
--BEFORE CODE 06.10.2017
--  INV_TYPE1_AFTER  OUT_TABLE_INVOICE_COR
IF COLUMNPROPERTY(object_id('[dbo].[OUT_TABLE_INVOICE_COR]'), 'INV_TYPE1_AFTER', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[OUT_TABLE_INVOICE_COR] ADD [INV_TYPE1_AFTER] varchar(100) NULL 
GO


GO

-- [POST_TYPE]
IF not exists(select * from sysobjects where id = object_id('[dbo].[POST_TYPE]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[POST_TYPE] (
	[LINK] int NOT NULL IDENTITY(0,1),
	[NAME] varchar(254) NOT NULL ,
	[INSTR] int NOT NULL DEFAULT (0)  )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[POST_TYPE] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_POST_TYPE')
CREATE UNIQUE INDEX [IX_POST_TYPE] ON [dbo].[POST_TYPE] ([NAME]) ON [INDEX]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX1_POST_TYPE')
CREATE CLUSTERED INDEX [IX1_POST_TYPE] ON [dbo].[POST_TYPE] ([LINK]) ON [INDEX]
GO


--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_POST_TYPE]'))
ALTER TABLE [dbo].[POST_TYPE] 
ADD CONSTRAINT [PK_POST_TYPE] PRIMARY KEY ([LINK])
GO
--


----  
IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 0 ) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('',1)

IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 1 ) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('   ',2)

IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 2 ) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES (' ',1)

IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 3) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('  ',2)

IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 4) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES (' ',1)
 
IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 5) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('             ',2)
 
IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 6) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('      (     )',2)

IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 7) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('       (   ,   .)',1)

IF NOT EXISTS(SELECT * FROM dbo.POST_TYPE WHERE link = 8) 
 insert into dbo.POST_TYPE(NAME,INSTR) VALUES ('     ,    ,       1)',1)

GO


GO

--  06.10.2017
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BV_DICTIONARY_GROUP_OKOF]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[BV_DICTIONARY_GROUP_OKOF]
GO







/*
  (Keysystems), 2005
*/
CREATE    


VIEW dbo.BV_DICTIONARY_GROUP_OKOF
AS
SELECT A.LINK, A.LINK_SELF, 
	[CODE]=convert(VARCHAR(20),A.CODE),
	[NAME]=convert(VARCHAR(254),A.NAME),
	[LINK_GRP]=convert(INT,A.GROUP_OS),
	[CODE_GRP]=(SELECT convert(VARCHAR(2),B.CODE) FROM dbo.GROUP_OS B WHERE B.LINK = A.GROUP_OS),
	[NAME_GRP]=(SELECT convert(VARCHAR(50),B.NAME) FROM dbo.GROUP_OS B WHERE B.LINK = A.GROUP_OS),
	[DEPGR_LINK] = CONVERT(INT,A.DEPRE_GROUP),
	[DEPGR_CODE]=(SELECT CONVERT(CHAR(2),B.CODE) FROM dbo.DEPRE_GROUP B WHERE B.LINK = A.DEPRE_GROUP),
	[DEPGR_VAL]=(SELECT CONVERT(NUMERIC(9,2),B.VALUE) FROM dbo.DEPRE_GROUP B WHERE B.LINK = A.DEPRE_GROUP),
	[DEPGR_NAME]=(SELECT CONVERT(VARCHAR(254),LTRIM(RTRIM(B.NAME)) + ' (' + LTRIM(RTRIM(STR(B.VALUE))) + ')') FROM dbo.DEPRE_GROUP B WHERE B.LINK = A.DEPRE_GROUP)
		 FROM dbo.ASSETS_GROUP_OKOF A 
			







GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SumToMoney]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SumToMoney]

GO
CREATE FUNCTION dbo.SumToMoney( @SUMMA NUMERIC(18,2))

RETURNS VARCHAR(30)
AS
BEGIN
	SET @SUMMA = ISNULL(@SUMMA,0)
	RETURN REPLACE( CONVERT(VARCHAR,CAST( @SUMMA AS MONEY),1),',',' ')
END
GO

GRANT EXECUTE ON dbo.[SumToMoney] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[POST_TYPES]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[POST_TYPES]

GO

/*
  (Keysystems), 2008
*/


CREATE       VIEW dbo.POST_TYPES
AS
SELECT link
	   ,NAME 
	   ,instr 
	   ,INSTR_C = CASE instr WHEN 0 THEN '0.   '
					   WHEN 1 THEN '1.   922  24.12.2007. ()'
					   ELSE '2.   562  06.09.2007. ( . )' 
				  end	   
	FROM POST_TYPE


GO


GRANT SELECT ON dbo.[POST_TYPES] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]

GO
CREATE FUNCTION dbo.BK_VIEW_EXPORT_FORMAT_NALOG_FN (@YEAR INT = NULL)
RETURNS TABLE

RETURN

	--      --
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.02 ( 01.01.2009 .)', PROC_NAME = 'BK_EXPORT_F1151006', 
		PRG_SKRIPT = CONVERT(VARCHAR(100),''),
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR < 2011

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.03 ( 01.01.2011 .)', PROC_NAME = 'BK_EXPORT_F1151006_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR BETWEEN 2011 AND 2013

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.05 ( 01.12.2013 .)', PROC_NAME = 'BK_EXPORT_F1151006_505', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2013

	UNION ALL
	--     --
	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)',
		PROC_NAME = 'BK_EXPORT_F1152004', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'
	WHERE @YEAR < 2012	

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.01 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_501', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2012

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.02 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2013
	
	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.03 ( 01.01.2015 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2014

	UNION ALL

	SELECT FORM_CODE = 'AV_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)', PROC_NAME = 'BK_EXPORT_F1152027', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'

	UNION ALL

	---      ---
	SELECT FORM_CODE = 'AV_F1152028',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152028', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_ASS',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152026', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	--   01.01.2012 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2013
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2014		
	UNION ALL
	--   01.01.2013 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.03 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.03 ( 01.01.2014 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2014		
	UNION ALL
	--   01.01.2018 --
--	SELECT FORM_CODE = 'ND_IMU',
--		FNAME = ' 5.04 ( 01.01.2018 .)',
--		PROC_NAME = 'BK_EXPORT_F1152026_503', 
--		PRG_SKRIPT = '',
--		DIR = 'IMNS',
--		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
--	UNION ALL
	SELECT FORM_CODE = 'AV_IMU_18',
		FNAME = ' 5.04 ( 01.01.2018 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_504', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2017		

	UNION ALL
	--   4 --
	SELECT FORM_CODE = '4FSS',
		FNAME = ',      06.11.2009 n 871', PROC_NAME = 'SA_4FSS_EXPORT', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR <= 2010	
	UNION ALL	
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.3 ( 19  12.02.2010  .  21.03.2011 (53)', PROC_NAME = 'SA_4FSS_EXPORT_v03', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2011
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.4 (   22.11.2011)', PROC_NAME = 'SA_4FSS_EXPORT_v04', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2012
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.5 ( 107  19.03.2013)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2013	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.6 ( 107  19.03.2013  .  11.02.2014  94)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2014	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.7 (  59  26.02.2015)', PROC_NAME = 'SA_4FSS_EXPORT_v07', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR IN ( 2015,2016)	
	UNION ALL
		SELECT FORM_CODE = '4FSS',
		FNAME = '  0.93 (  275  07.06.2017)', PROC_NAME = 'SA_4FSS_EXPORT_v093', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR >= 2017	
	UNION ALL
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 (2011)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2011', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2011	
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2012', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2012			
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2013', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2013
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 03.03.2014 . 25)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2014', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR >= 2014	
	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617005',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617005', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617004',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	-- -2 .  01.01.2011 --
	SELECT FORM_CODE = '0617004_11',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	--   -2  () --
	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR < 2012	

	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR >= 2012	

	UNION ALL
	--   -4 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR <= 2012	
	UNION ALL
	--   -4 c 01.01.2013 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010_13', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013		


	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1GS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2GS_GZ',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1MS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2MS',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1-() --
	SELECT FORM_CODE = '1T_GMS',
		FNAME = '   1-()  ', PROC_NAME = 'KJ_EXPORT_1T_GMS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '0607006',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '1_',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   11  () --
	SELECT FORM_CODE = '0602002',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	SELECT FORM_CODE = '_11',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2012		
	
	--   ( 2013) --		
	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_REST',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_REST',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_PROV',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_PROV',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	

	--     --		
	UNION ALL
	SELECT
		FORM_CODE = 'EOD_EXPORT_INV1',
		FNAME = ' 1.00 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_INV1',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	--  6- --		
	UNION ALL
	SELECT
		FORM_CODE = '6-',
		FNAME = ' 5.01 (  N-7-11/450@  14.10.2015.)',
		PROC_NAME = 'SA_6NDFL_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SA_6NDFL_EXPORT_TEST'
	--  - --		
	UNION ALL
	SELECT
		FORM_CODE = '-',
		FNAME = ' 2.52 ( 21.06.2016 .)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_52',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR < 2017	
	UNION ALL
	SELECT 	FORM_CODE = '-',
		FNAME = ' 2.56 ( 07.12.2016 . N 1077)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_56',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR >= 2017
	UNION ALL
	SELECT 	FORM_CODE = '',
		FNAME = ' 5.01 ( 10.10.2016. N-7-11/551@)',
		PROC_NAME = 'SS_RPSV_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SS_RPSV_EXPORT_TEST'
	WHERE @YEAR >= 2017	




GO


GRANT SELECT ON dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[EXPORT_FORMATS_ALL_PHIS]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[EXPORT_FORMATS_ALL_PHIS]

GO

CREATE VIEW dbo.EXPORT_FORMATS_ALL_PHIS
AS
SELECT FNAME = ' 1.00 ( 01.03.2016)', PROC_NAME = 'ALL_PHIS_EXPORT', PRG_SKRIPT = '',DIR = 'Bank', TEST_PROC = ''
UNION All 
SELECT FNAME = ' 1.00 ( 01.07.2017 -  )', PROC_NAME = 'ALL_PHIS_EXPORT_MIR', PRG_SKRIPT = '',DIR = 'Bank', TEST_PROC = ''




GO


GRANT SELECT ON dbo.[EXPORT_FORMATS_ALL_PHIS] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KD_VACATION_VID]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[KD_VACATION_VID]

GO


CREATE VIEW dbo.KD_VACATION_VID
AS
SELECT 
	[LINK] 		= 	V.LINK,
	[CODE]		= 	V.CODE,
	[NAME]		=	V.NAME,
	[TYPE_LINK]	=	V.TYPE_LINK,	
	[TYPE_NAME]	=	(SELECT NAME FROM dbo.TYP_DAYS WHERE LINK = V.TYPE_LINK),
	[LINK_PAYS]	=	V.LINK_PAYS,
	[CODE_PAYS]	=	(SELECT CODE FROM dbo.PAYS WHERE LINK = V.LINK_PAYS),
	[NAME_PAYS]	=	(SELECT NAME FROM dbo.PAYS WHERE LINK = V.LINK_PAYS),
	[PERIOD1]	=	V.PERIOD1,
	[BonusTakeTime] = 	COALESCE(V.BonusTakeTime,0), /*    */
	[BonusTakeTimeC]=	(Case when COALESCE(V.BonusTakeTime,0) = 0 then '' else '.' end),
	[Time_Arche]	= 	COALESCE(V.Time_Arche,0), /*        */
	[Time_ArcheC]	=	(Case when COALESCE(V.Time_Arche,0) = 0 then '' else '.' end),
	[NO_SAL] 	= 	COALESCE(V.NO_SAL,0), /*    */
	[NO_SALC]	=	(Case when COALESCE(V.NO_SAL,0) = 0 then '.' else ' .' end),
	[CHILDREN] 	= 	case when WORK_D = 7 then 1 else 0 end, /* -     1,5   3 */
	[CHILDRENC]	=	case when WORK_D = 7 then '' else '' end,
	[HOLIDAY]	=	COALESCE(V.HOLIDAY,0), /*    */
	[HOLIDAYC]	=	(Case when COALESCE(V.HOLIDAY,0) = 0 then ' .' else '.' end),
	[EDUC] = case when WORK_D = 5 then 1 else 0 end,
	[EDUCC] = case when WORK_D = 5 then '' else '' end,
	[ADM] = COALESCE(ADM,0),
	[ADMC] = CASE WHEN COALESCE(ADM,0) = 1 THEN '.' ELSE '' END,
	[NOT_LGOT_EXPIR] = COALESCE(NOT_LGOT_EXPIR,0),
	[NOT_LGOT_EXPIRC] = CASE WHEN COALESCE(NOT_LGOT_EXPIR,0) = 1 THEN ' .' ELSE '' END,
	[IS_DOP]   = ISNULL(LTRIM(RTRIM(v.IS_DOP)),''),
	[N_IS_DOP] = ISNULL((SELECT TOP 1 RTRIM(LTRIM(NAME)) FROM dbo.SA_SZV4_SPR WHERE SPR_CODE = 'ISCHISL_STAZH_DOP_SV' AND CODE = ISNULL(LTRIM(RTRIM(v.IS_DOP)),'')),''),
	[VAC_V] = v.VAC_V /*CASE WHEN COALESCE(V.ADM,0) = 1 THEN 1
				   WHEN COALESCE(V.ADM,0) = 0 
						AND COALESCE(D.WORK_D,0) NOT IN (5,7) 
						AND ( D.NAME LIKE '%%%'	
							  OR D.NAME LIKE '%%%' 
							  OR D.NAME LIKE '%.%.%' 
							  OR D.NAME LIKE '%.%.%' )
						AND ( v.Name LIKE '%%%'	
							  OR v.Name  LIKE '%%%' 
							  OR v.NAME LIKE '%.%.%' 
							  OR v.NAME LIKE '%.%.%')
						/*AND (V.LINK_PAYS = (SELECT TOP 1 link 
						                   FROM PAYS p 
											WHERE p.way_calc = 15 
											AND (p.NAME LIKE '%%%' 
													OR p.NAME LIKE '%%%' ))
								OR  V.LINK_PAYS IS NULL)
							*/  			
				   THEN 2
				   WHEN COALESCE(V.ADM,0) = 0 
						AND COALESCE(D.WORK_D,0) NOT IN (5,7,13) 
						AND ( D.NAME LIKE '%%%'	
							  OR D.NAME LIKE '%%%' 
							  OR D.NAME LIKE '%%%'
							  OR D.NAME LIKE '%%%'
							  OR D.NAME LIKE '%%%'
							  OR D.NAME LIKE '%%%')
						AND (v.Name LIKE '%%%' 
							  OR v.Name LIKE '%%%' 
							  OR v.Name LIKE '%%%'
							  OR v.Name LIKE '%%%'
							  OR v.Name LIKE '%%%'
							  OR v.Name LIKE '%%%'  )
						/*AND  V.LINK_PAYS = (SELECT TOP 1 link 
						                   FROM PAYS p 
											WHERE p.way_calc = 15 
											AND (p.NAME LIKE '%%%' 
													OR p.NAME LIKE '%%%' 
													OR p.NAME LIKE '%%%'
													OR p.NAME LIKE '%%%'
													OR p.NAME LIKE '%%%'
													OR p.NAME LIKE '%%%'  ))
														
			*/
				   THEN 3
 				   WHEN COALESCE(D.WORK_D,0) in(7,13) THEN 4
				   WHEN COALESCE(D.WORK_D,0) = 5 THEN 5
				  ELSE 0 end*/,
	[VAC_VC] = CASE COALESCE(v.VAC_V,0) 
					WHEN 1 THEN '1. '
					WHEN 2 THEN '2.  ' 
					WHEN 3 THEN '3.  ' 
					WHEN 4 THEN '4.    ' 
					WHEN 5 THEN '5. '  
					ELSE '0. ' END
	,INSTR = ISNULL(V.INSTR,0) + 1
	,INSTR_CODE = I.CODE
	,INSTR_NAME = I.NAME
	FROM 
		dbo.VACATION_VID V 
		left join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK
		LEFT JOIN dbo.SA_INSTR_AVG I ON I.INSTR = V.INSTR


GO


GRANT SELECT ON dbo.[KD_VACATION_VID] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[VACATION]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[VACATION]

GO
/*
  (Keysystems), 2005
*/
CREATE VIEW dbo.VACATION
AS
SELECT 
	iv.link, iv.moved,
	[flag_jc] = COALESCE(R.ref_doc,0)/COALESCE(R.ref_doc,1),--(case when  then 1 else 0 end),
	o.number, o.date, o.dep_link, iv.order_link, iv.empl_link,
	[tab_num] = LEFT(E.TAB,6), [fio] = LEFT(ISNULL( LTRIM(RTRIM(PERS.FM)) + ' ' + LTRIM(RTRIM(PERS.IM)) + ' ' + LTRIM(RTRIM(PERS.OT)),' '),100), 
	[subdiv] = S.[NAME], 
	[post] = p.[NAME], 
	iv.type_link,
	[type_name]=VV.[name],
	iv.period_begin, iv.period_end, iv.date_begin, iv.date_end, 
	iv.reason_LINK,
	[reason] = VO.OSN, 
	iv.reason_dop,
	iv.active,
	VGT.LINK as VAC_GRAPH_LINK,
	CHILDREN = case when D.WORK_D = 7 then 1 else 0 end,
	VV.HOLIDAY,
	dep.NAME as name_dep,
	NO_SAL ,
	iv.compens
	,INSTR =  case when ISNULL(VV.INSTR,0) = 0 THEN isnull(pt.INSTR,0) + 1 ELSE ISNULL(VV.INSTR,0) + 1 END 
	,INSTR_CODE = I.CODE 	
FROM 
dbo.item_vacation iv inner join orders o on iv.order_link=o.link
INNER JOIN dbo.EMPL E on iv.empl_link = E.LINK
INNER JOIN dbo.PERSON PERS on E.PERS_LINK = PERS.LINK
INNER JOIN dbo.DEPARTMENTS dep ON dep.link = E.DEP_LINK
LEFT JOIN vacation_vid VV ON VV.LINK = iv.type_link
LEFT JOIN vacation_osn VO ON VO.LINK = iv.reason_link
LEFT JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK
LEFT JOIN dbo.empl_staff1(DEFAULT) es ON ES.EMPL_LINK = iv.EMPL_LINK
LEFT JOIN dbo.staff Sf ON sf.link = es.STAFF_LINK
LEFT JOIN dbo.POST_TYPES pt ON  pt.link = sf.gossl
LEFT JOIN dbo.subdiv s ON s.link=es.subdiv_link
LEFT JOIN dbo.post p on p.link=es.post_link
LEFT JOIN dbo.VACATION_GRAPHICS_TABLE VGT ON VGT.SFORMIROVAN = IV.LINK
LEFT JOIN ( 
		select distinct sd.ref_doc  from dbo.SDOC S INNER JOIN dbo.SDOC_AVAC SD ON (S.LINK = SD.LINK_UP AND S.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_ADD_FURLOUGH'))
	) R ON R.ref_doc = iv.link
LEFT JOIN dbo.SA_INSTR_AVG I ON I.INSTR = (case when ISNULL(VV.INSTR,0) = 0 THEN isnull(pt.INSTR,0) ELSE ISNULL(VV.INSTR,0)  END)

GO


GRANT SELECT ON dbo.[VACATION] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOCUMENTS_CALC_AVG]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DOCUMENTS_CALC_AVG]

GO

CREATE       VIEW dbo.DOCUMENTS_CALC_AVG
AS
SELECT
	[LINK]	 	 	= S.LINK,
	[NUMBER]		= S.NUMBER,
	[DATE]		 	= S.[DATE],
	[COMMENTARY] 	= S.[COMMENTARY],
	[CODE_PAY]	 	= P.CODE,
	[NAME_PAY]	 	= P.NAME,
	[REF_PAY]	 	= SD.LINK_PAY,
	[FLAG_JC]	 	= S.FLAG_JC,
	[TAB_NUMER]	 	= E.TAB,
	[NAME_EMPL]	 	= dbo.sd_GetEmplName(SD.LINK_EMPL),
	[REF_EMPL] 		= SD.LINK_EMPL,
	[SUMMA]			= COALESCE(itog.summa,0),
	[SUMMA_BASE]	= SD.SUMMA_BASE,
	[SUMMA_TOTAL]	= SD.SUMMA_TOTAL,
	[SR_PREM]		= SD.SR_PREM,
	[TYP_PERIOD]	= SD.TYP_PERIOD,
	[PAYMENT] 		= SD.PAYMENT,
	[DATE1]			= SD.DATE1,
	[DATE2]			= SD.DATE2,
	E.SYST_PAY,
	[DATE_PER]		= SD.DATE_BEGIN,
	[PER_ARHE]		= VAC.DATE,
	[NUM_ARHE]		= VAC.NUMBER,
	[REF_ARHE]		= SD.REF_DOC,
	[NAME_TYP_ARHE]	= isnull(VAC.reason_name,''),
	[REF_TYP_ARHE]	= VAC.reason_link,
	[TYPE] =SD.TYPE,
	[LINK_DEP]  	= S.LINK_DEP,
	DOHOD			= COALESCE((Select SUM(T3.SUMMA1) + SUM(T3.SUMMA2) + SUM(T3.SUMMA3) 
					+ SUM(T3.SUMMA4) + SUM(T3.SUMMA5) + SUM(T3.SUMMA6) 
					+ SUM(T3.SUMMA7) + SUM(T3.SUMMA8) + SUM(T3.SUMMA9) 
					+ SUM(T3.SUMMA10) + SUM(T3.SUMMA11) + SUM(T3.SUMMA12)
				FROM dbo.SDOC_AVAC_TABLE3 T3  WHERE LINK_UP = S.LINK),0),
	RP_DAYS			= COALESCE(T2.DAYS,0),
	RP_HOURS		= COALESCE(T2.HOURS,0),
	RP_DAYS_N		= COALESCE(T2.DAYS_N,0),
	RP_HOURS_N		= COALESCE(T2.HOURS_N,0),
	RP_SUMMA_PREM		= COALESCE(T2.SUMMA_PREM,0),
	RP_SUMMA		= COALESCE(T2.SUMMA,0),
	RP_SUMMA_MAT	= COALESCE(T2.SUMMA_MAT,0),
	ITOGO_DNI 		= COALESCE(ST.DAYS,0),
	ITOGO_CH 		= COALESCE(ST.HOURS,0),
	P.LINK_EKR
	,INSTR = ISNULL(SD.INSTR,0) + 1
	,INSTR_CODE = I.CODE
	,RP_KDAYS = COALESCE(KDAYS,0), 
	RP_KDAYS_N = COALESCE(KDAYS_N,0) ,
	dep.NAME as name_dep
	
FROM dbo.SDOC S 
	INNER JOIN dbo.SDOC_AVAC SD ON (S.LINK = SD.LINK_UP AND S.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_CALC_AVG'))
	INNER JOIN dbo.PAYS P ON SD.LINK_PAY = P.LINK
	INNER  JOIN dbo.EMPL E ON E.LINK = SD.LINK_EMPL 
	INNER JOIN dbo.DEPARTMENTS dep ON dep.link = s.LINK_DEP
	LEFT JOIN dbo.DIS_FACE VAC ON SD.REF_DOC = VAC.LINK
	LEFT JOIN (
		SELECT LINK_UP, SUMMA = SUM(SUMMA), SUMMA_PREM = SUM(PREM), SUMMA_MAT = SUM(MATER),
			 DAYS = SUM(DAYS), HOURS = SUM(HOURS), DAYS_N = SUM(DAYS_N), HOURS_N = SUM(HOURS_N), KDAYS = SUM(KDAYS), KDAYS_N = SUM(KDAYS_N)
		FROM (
			Select LINK_UP, PERIOD, SUMMA = SUM(SUMMA), PREM = SUM(PREM), MATER = SUM(MATER),
			 DAYS = MAX(DAYS), HOURS = MAX(HOURS), DAYS_N = MAX(DAYS_N), HOURS_N = MAX(HOURS_N), KDAYS = SUM(KDAYS), KDAYS_N = SUM(KDAYS_N) 
			from SDOC_AVAC_TABLE2 GROUP BY LINK_UP, PERIOD) T2_1 
		GROUP BY LINK_UP ) T2 ON T2.LINK_UP = S.LINK
	left join (
		SELECT ST_0.LINK_UP, DAYS = SUM(ST_0.DAYS), HOURS = SUM(ST_0.HOURS), SUMMA = SUM(ST_0.SUMMA)
			FROM (Select LINK_UP, DATE1, DAYS = MAX(T1.DAYS), HOURS = MAX(T1.HOURS), SUMMA = MAX(T1.SUMMA) 
				from SDOC_AVAC_TABLE1 T1 GROUP BY LINK_UP, DATE1 ) ST_0
			GROUP BY ST_0.LINK_UP
		) ST on ST.LINK_UP = S.LINK
	left join (
		select link_up, sum(summa) as summa from SDOC_AVAC_TABLE1 group by link_up
		) itog on itog.link_up = S.link
LEFT JOIN dbo.SA_INSTR_AVG I ON I.INSTR = SD.INSTR		

GO



GRANT SELECT ON dbo.[DOCUMENTS_CALC_AVG] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_SRC_FIN]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SALARY_SRC_FIN]

GO

CREATE view [dbo].SALARY_SRC_FIN
as
select SF.LINK, 
	SF.CODE,
	SF.[NAME], 
	SF.KBK as LINK_KBK, 
	KBK.[CODE] as CODE_KBK, 
	KBK.[NAME] as NAME_KBK, 
	SF.[SOURCE],
	NSOURCE = BB.CODE + '.' + BB.NAME,
	SF.ENVD,
	NENVD = CASE WHEN SF.ENVD = 1 THEN '' else '' end,
	SF.USER_ACC,
	SF.KAU as LINK_KAU,
	KAU.[CODE] as CODE_KAU,
	KAU.[NAME] as NAME_KAU,
	SF.DOP_KL as LINK_DOP_KL,
	DOP.[CODE] as CODE_DOP_KL,
	DOP.[NAME] as NAME_DOP_KL,
	SF.COMMENT,
	SF.ACC_ESN,
	SF.LINK_LACC,
	CODE_LACC = DA.CODE, 
	NAME_LACC = DA.ANAME,
	USED = CAST(ISNULL(SF.USED,1) AS BIT),
	N_USED = case when SF.USED = 1 THEN '' ELSE '' end,
	SF.LINK_CH_SFIN,
	NSF_CODE = NSF.CODE,
	NSF_NAME = NSF.NAME,
	SF.DATE_CHANGE,
	SF.LINK_SS_SFIN,
	SSF_CODE = SSF.CODE
	,deleted = CAST(1 - ISNULL(SF.USED,1) AS BIT)
from 
	dbo.SAL_SFIN SF 
	left join dbo.KL_KBK KBK on SF.KBK = KBK.LINK
	left join dbo.BB_FIN_SOURCE BB on BB.CODE = SF.[SOURCE] AND ISUSED = 1
	left join dbo.KAU KAU on SF.KAU = KAU.LINK
	left join dbo.DOP_CLASSIF DOP on SF.DOP_KL = DOP.LINK
	left join dbo.DICTIONARY_ACCOUNTS DA on SF.LINK_LACC = DA.LINK
	LEFT JOIN dbo.SAL_SFIN NSF ON NSF.LINK = SF.LINK_CH_SFIN
	LEFT JOIN dbo.SAL_SFIN SSF ON SSF.LINK = SF.LINK_SS_SFIN

GO

GRANT SELECT ON dbo.[SALARY_SRC_FIN] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS3_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS3_FN (@linkEmpl int, @Month int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
     ,    ,    :
1)   ,     ,     ;
2)        -;
3)               
  ,               
          ,    
 ,          
   .

,       
-----------------------------------------------
!!!!!    /!!!!,
-----------------------------------------------
  ,       
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

--SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
--SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)

--     ,        
DECLARE @TYPE_OTHER_DEP_PERIOD INT, @PRIOR_OTHER_DEP_PERIOD INT, @HOUR_OTHER_DEP_PERIOD NUMERIC(18,2)
SELECT TOP 1 @TYPE_OTHER_DEP_PERIOD = N.LINK, @PRIOR_OTHER_DEP_PERIOD = TD.PRIORITET, @HOUR_OTHER_DEP_PERIOD = TD.[HOUR]
FROM 
	dbo.NETRUD N
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
ORDER BY
	(CASE WHEN WORK_D = 13 THEN 1 ELSE 2 END), N.CODE

IF @TYPE_OTHER_DEP_PERIOD IS NOT NULL
	INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
	SELECT 
		[TYPE] = @TYPE_OTHER_DEP_PERIOD, 
		[PRIOR] = @PRIOR_OTHER_DEP_PERIOD, 
		[HOUR] = @HOUR_OTHER_DEP_PERIOD,
		[DATE_1] = (CASE WHEN P.DATE1 < @DateBegin THEN @DateBegin ELSE P.DATE1 END),
		[DATE_2] = (CASE WHEN P.DATE2 > @DateEnd  THEN @DateEnd ELSE P.DATE2 END),
		[DOC]	= 4,--    
		[H] = 0 		 
	FROM
		dbo.SAL_OTHER_DEP D
		INNER JOIN dbo.SAL_OTHER_DEP_PERIOD_DATES P ON D.LINK = P.LINK_DOC
	WHERE
		LINK_EMPL = @linkEmpl
		AND
		(
			P.DATE1 BETWEEN @DateBegin AND @DateEnd 
			OR P.DATE2 BETWEEN @DateBegin AND @DateEnd 
			OR (P.DATE1 < @DateBegin AND P.DATE2 > @DateEnd)
		)				
-----------------------------------------------------------------------

INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(
		SD.DATE1 BETWEEN @DateBegin AND @DateEnd 
		OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd 
		OR (SD.DATE1 < @DateBegin AND SD.DATE2 > @DateEnd)
	)
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1 
	AND COALESCE(VV.TIME_ARCHE,0) = 0 --      
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
)  TAB

--
DELETE FROM @S WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----

--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

SET @RealCount =
(
SELECT datediff(day,@DateBegin,@DateEnd) + 1
- ISNULL(
	(
	SELECT COUNT(*)
	FROM
	(
	SELECT 
		D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
	FROM 
		dbo.[days_ex](@DateBegin,@DateEnd) D
		INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
	) T WHERE T.[NUM] = 1
	),0)
)

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

END


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_AllYear_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS3_AllYear_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS3_AllYear_FN (@linkEmpl int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
,        ,
     ,     :
  ,    
    
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEnd = dbo.ConvertDMY2Date(1,12,@Year) 
SET @DateEnd = dbo.DateEndOfMonth(@DateEnd)

--SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
--SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)


INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 --      
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
	

--  

)  TAB


DELETE FROM @S WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----


--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

SET @RealCount =
(
SELECT datediff(day,@DateBegin,@DateEnd) + 1
- ISNULL(
	(
	SELECT COUNT(*)
	FROM
	(
	SELECT 
		D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
	FROM 
		dbo.[days_ex](@DateBegin,@DateEnd) D
		INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
	) T WHERE T.[NUM] = 1
	),0)
)

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

END




GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_AllYear_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS_FN (@linkEmpl int, @Month int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
,        ,
     ,     :
  ,    
    
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)


INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
--
UNION
SELECT 
	[TYPE] 	= it.type_link, 
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR], 
	[DATE_1] = (CASE WHEN IT.[DATE_BEGIN]<@DateBegin THEN @DateBegin ELSE IT.[DATE_BEGIN] END),
	[DATE_2] = (CASE WHEN (ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END))> @DateEnd 
				 THEN @DateEnd ELSE 
				(ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END)) END),
	[DOC]= 3,
	[H] = 0
FROM 
	dbo.item_travel IT
	INNER JOIN dbo.komand_vid KV ON KV.LINK = IT.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = KV.TYPE_LINK
WHERE  
	IT.EMPL_LINK = @linkEmpl 
	AND IT.ACTIVE = 1 
	AND COALESCE(KV.TIME_ARCHE,0) = 0 
	AND (IT.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IT.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IT.DATE_BEGIN<@DateBegin) AND(IT.DATE_END>@DateEnd))
	 )
)  TAB


DELETE FROM @S
WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----

--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

SET @RealCount =
(
SELECT datediff(day,@DateBegin,@DateEnd) + 1
- ISNULL(
	(
	SELECT COUNT(*)
	FROM
	(
	SELECT 
		D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
	FROM 
		dbo.[days_ex](@DateBegin,@DateEnd) D
		INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
	) T WHERE T.[NUM] = 1
	),0)
)

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

RETURN @RealCount

END


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS_AllYear_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS_AllYear_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS_AllYear_FN (@linkEmpl int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
,        ,
     ,     :
  ,    
    
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEnd = dbo.ConvertDMY2Date(1,12,@Year) 
SET @DateEnd = dbo.DateEndOfMonth(@DateEnd)

--SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
--SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)


INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
--
UNION
SELECT 
	[TYPE] 	= it.type_link, 
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR], 
	[DATE_1] = (CASE WHEN IT.[DATE_BEGIN]<@DateBegin THEN @DateBegin ELSE IT.[DATE_BEGIN] END),
	[DATE_2] = (CASE WHEN (ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END))> @DateEnd 
				 THEN @DateEnd ELSE 
				(ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END)) END),
	[DOC]= 3,
	[H] = 0
FROM 
	dbo.item_travel IT
	INNER JOIN dbo.komand_vid KV ON KV.LINK = IT.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = KV.TYPE_LINK
WHERE  
	IT.EMPL_LINK = @linkEmpl 
	AND IT.ACTIVE = 1 
	AND COALESCE(KV.TIME_ARCHE,0) = 0 
	AND (IT.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IT.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IT.DATE_BEGIN<@DateBegin) AND(IT.DATE_END>@DateEnd))
	 )

)  TAB


DELETE FROM @S
WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----

--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

SET @RealCount =
(
SELECT datediff(day,@DateBegin,@DateEnd) + 1
- ISNULL(
	(
	SELECT COUNT(*)
	FROM
	(
	SELECT 
		D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
	FROM 
		dbo.[days_ex](@DateBegin,@DateEnd) D
		INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
	) T WHERE T.[NUM] = 1
	),0)
)

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount


END


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS_AllYear_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[PrintFSSRep_GetDpData]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[PrintFSSRep_GetDpData]

GO

CREATE  FUNCTION dbo.PrintFSSRep_GetDpData(@varKSnLinkDep int)
RETURNS TABLE 
AS
	RETURN 
	SELECT 
		DD1.OKPO AS OKPO1, 
		DD1.INN AS INN1, DD1.KPP AS KPP1, DD1.FULL_NAME, DD1.NAME AS ORGNAME,
		DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME, 
		DD2.NALOG AS SONO, 
		DD1.OGRN AS OGRN1,
		LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A))) 
			+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
			+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
		AS ADDR_STR,
		CAST(NULL AS DATETIME) AS DATE_END,
		RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.' AS CHIEF_FIO,
		CHIEF.FM as CHIEF_FM,
		CHIEF.IM as CHIEF_IM,
		CHIEF.OT as CHIEF_OT,
		CHIEF.POST_NAME AS CHIEF_POST,
		RTRIM(CHIEF.PHONE) AS CH_PHONE,
		RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.' AS GLBUH_FIO,
		replace(replace(replace(REPLACE(RTRIM(GLBUH.PHONE),'-',''),' ',''),'(',''),')','') AS GL_PHONE,
		DD1.OGRN,
		(CASE WHEN ( convert(varchar(5),(select value from S_OPTIONS where object = (select top 1 link from s_objects where code = 'NASTR_USE_OKATO_OKTMO'))) = '1' 
				  or convert(varchar(5),(select value from S_OPTIONS where object = (select top 1 link from s_objects where code = 'NASTR_USE_OKATO_OKTMO'))) = '') then DD1.OKATO ELSE '' END) AS OKATO,
		DD1.OKTMO,
		DD1.OKVED,
		DD1.OKPO,
		DD1.FSS_REG_NUM, --  ()  
		DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
		DD1.FSS_KOD_DOP, --      
		DD1.OKOPF, ---    - ;
		DD1.OKFS, ---     ;
		DD1.PFNUMBER,
		DA.PINDEX, DA.REGION, DA.REGCODE, DA.RAION, DA.GOROD, DA.NASEL, DA.STREET, DA.HOUSE, DA.KORP, DA.FLAT,
		TFOMS_RNUM = DD1.TFOMS_REG_NUM,
		TFOMS_KT = DD1.TFOMS_KT,
		DD1.FSS_KP_PC1, DD1.FSS_KP_PC2, DD1.FSS_KP_PC3,
		BUDG_ORG = dd1.buh_type,
		BUDG_CODE	= CASE WHEN dd1.buh_type = 2 then	( select (case when a.budg_code = '01' THEN '1' 
																 WHEN a.budg_code in ('2','02') THEN '2'
																 WHEN a.budg_code IN ('05','04','10','13') THEN '3'	
																 ELSE '4' END )
															 FROM  ( SELECT DISTINCT budg_code from BI_DICTION_ADMIN_BS WHERE code = 
															 (SELECT  distinct code_adm = left(xd.kbk_code,3) 		 
															 FROM dbo.XD_DEP_KBK xd
															  WHERE xd.DEP_LINK = DD1.link AND xd.Type_Str = ''		AND USED_ALL =1 )) a )
					ELSE '' END 										   	 
	FROM DICTIONARY_DEPARTMENT DD1 
		LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
		LEFT OUTER JOIN dbo.GetOtvFaceData(@varKSnLinkDep, '') chief on chief.link_dep = dd1.link
		LEFT OUTER JOIN dbo.GetOtvFaceData(@varKSnLinkDep, ' ') GLBUH ON GLBUH.link_dep = dd1.link
		LEFT JOIN DBO.DEP_ADRESS(@varKSnLinkDep) DA ON 1=1
	WHERE DD1.LINK = @varKSnLinkDep








GO


GRANT SELECT ON dbo.[PrintFSSRep_GetDpData] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_DOC_TABLE_MZ_NDS_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_DOC_TABLE_MZ_NDS_FN]

GO
CREATE FUNCTION dbo.BK_DOC_TABLE_MZ_NDS_FN
	(@intLINK_DOC	INT = NULL)

RETURNS @RETURN_TAB TABLE 
	(LINK		INT,
	LINK_UP		INT,
	OBJECT		INT,
	ORDERS		INT,
	LINK_OPER	INT,
	
	INV_TYPE	VARCHAR (30),
	INV_LINK	INT,
	INV_CODE	VARCHAR (20),
	INV_NAME	VARCHAR (254),
	INV_TYPE1	VARCHAR (30),

	UM_LINK		INT,
	UM_CODE		VARCHAR (6),
	UM_NAME		VARCHAR (254),
	PRICE		NUMERIC (18, 2),
	QTY		NUMERIC (18, 4),
	SUMMA		NUMERIC (18, 2),
	STAVKA_NDS	NUMERIC (18, 2),
	SUMMA_NDS	NUMERIC (18, 2), 
	SUMMA_ALL	NUMERIC (18, 2), 
	AKCIZ		NUMERIC (18, 2),
	NUM_TD		VARCHAR (30),
	EKR_LINK	INT,
	EKR_CODE	VARCHAR (3),
	SFIN_CODE	VARCHAR (1),
	SFIN_NAME	VARCHAR (30),
	NO_NDS		TINYINT,
	STATE_LINK	INT,
	STATE_CODE	VARCHAR (3),
	STATE_NAME	VARCHAR (60),

	FS_LINK		INT,
	FS_CODE		VARCHAR (2),
	FS_NAME		VARCHAR (20),

	TNDS_LINK	INT,
	TNDS_CODE	VARCHAR (2),
	COMMENT		VARCHAR (254)
	)
AS
BEGIN
	DECLARE
		@intTAB_LINK	INT,
		@intFS_OBJ_LINK	INT,
		@int@OBJ_COM	INT,
		@iOBJ_INV_TYPE1	INT

	SET @intTAB_LINK = dbo.GetObjLink ('DOC_TABLE_MZ_NDS')
	SET @intFS_OBJ_LINK = dbo.GetObjLink ('DOC_TABLE_MZ_NDS_FS_LINK')
	SET @int@OBJ_COM = dbo.GetObjLink ('DOC_TABLE_MZ_NDS_COMMENT')
	SET @iOBJ_INV_TYPE1 = dbo.GetObjLink ('DOC_TABLE_MZ_NDS_INV_TYPE1')

	--     --
	DECLARE @TAB0 TABLE
		(LINK	INT,
		LINK_UP	INT,
		OBJECT	INT,
		ORDERS	INT,
		LINK_OPER INT
		)

	INSERT @TAB0
	SELECT OTR.LINK,
		OTR.LINK_UP,
		OTR.OBJECT,
		OTR.ORDERS,
		OTR.LINK_OPER
	FROM dbo.OUT_TABLE_ROW OTR 
	WHERE OTR.OBJECT = @intTAB_LINK
		AND (OTR.LINK_UP = @intLINK_DOC
			OR @intLINK_DOC IS NULL)

	--    --
	DECLARE @TAB1	TABLE
		(LINK_UP	INT, 
		INV_TYPE	VARCHAR (30),
		INV_LINK	INT,
		INV_CODE	VARCHAR (20),
		INV_NAME	VARCHAR (254),
		UM_LINK		INT)

	-- ,  --
	INSERT INTO @TAB1
	SELECT OTR.LINK,

		OTMS.INV_TYPE,
		SMWT.LINK, 
		SMWT.INV_CODE,
		SMWT.INV_NAME,

		SMWT.UM_LINK

	FROM @TAB0 OTR
	LEFT JOIN dbo.OUT_TABLE_MZ_SUMMA OTMS ON (OTMS.LINK_ROW = OTR.LINK)
	LEFT JOIN dbo.SELECT_MZ_WITH_TYPE SMWT ON (SMWT.LINK = OTMS.NOMEN
				AND SMWT.INV_TYPE = OTMS.INV_TYPE)
	WHERE OTMS.INV_TYPE = 'BV_NOMENCLATURE'
		OR OTMS.INV_TYPE = 'DICTIONARY_SERV'			

	--   --
--	INSERT INTO @TAB1
	UNION ALL

	SELECT OTR.LINK,

		OTMS.INV_TYPE,
		SMWT.LINK, 
		SMWT.INV_CODE,
		SMWT.INV_NAME,

		SMWT.UM_LINK

	FROM @TAB0 OTR
	LEFT JOIN dbo.OUT_TABLE_MZ_SUMMA OTMS ON (OTMS.LINK_ROW = OTR.LINK)
	LEFT JOIN dbo.SELECT_MZ_WITH_TYPE SMWT ON (SMWT.LINK = OTMS.INV
				AND SMWT.INV_TYPE = OTMS.INV_TYPE)
	WHERE OTMS.INV_TYPE = 'INVENTORY_CARD'

	--  --
--	INSERT INTO @TAB1
	UNION ALL

	SELECT OTR.LINK,

		OTMS.INV_TYPE,
		SMWT.LINK, 
		SMWT.INV_CODE,
		SMWT.INV_NAME,

		SMWT.UM_LINK

	FROM @TAB0 OTR
	LEFT JOIN dbo.OUT_TABLE_MZ_SUMMA OTMS ON (OTMS.LINK_ROW = OTR.LINK)
	LEFT JOIN dbo.SELECT_MZ_WITH_TYPE SMWT ON (SMWT.LINK = OTMS.TMC
				AND SMWT.INV_TYPE = OTMS.INV_TYPE)
	WHERE OTMS.INV_TYPE = 'DICTIONARY_TMC'

	--  --
	INSERT INTO @RETURN_TAB
	SELECT T0.LINK,
		T0.LINK_UP,
		T0.OBJECT,
		T0.ORDERS,
		T0.LINK_OPER,

		
		T1.INV_TYPE,
		T1.INV_LINK,
		T1.INV_CODE,
		T1.INV_NAME,
		INV_TYPE1 = SUBSTRING (OTS_IT1.STRING, 1, 30),

		UM.LINK,
		UM.CODE AS UM_CODE,
		UM.[NAME] AS UM_NAME,

		CONVERT (NUMERIC (18, 2), OTMS.PRICE) AS PRICE,
		CONVERT (NUMERIC (18, 4), OTMS.QTY) AS QTY,
		CONVERT (NUMERIC (18, 2), OTMS.SUMMA) AS SUMMA,
		CONVERT (NUMERIC (18, 2), OTMS.STAVKA_NDS) AS STAVKA_NDS,
		CONVERT (NUMERIC (18, 2), OTMS.SUMMA_NDS) AS SUMMA_NDS,
		CONVERT (NUMERIC (18, 2), OTMS.SUMMA_ALL) AS SUMMA_ALL,
		OTMS.AKCIZ,
		OTMS.NUM_TD,

		EKR.LINK AS EKR_LINK,
		EKR.CODE AS EKR_CODE,
		FS.CODE,
		CONVERT (VARCHAR (20), FS.SHORT_NAME),
		OTMS.NO_NDS,
		
		KC.LINK,
		CONVERT (VARCHAR (3), KC.CODE1),
		CONVERT (VARCHAR (60), KC.[NAME]),

		FS.LINK,
		FS.CODE,
		CONVERT (VARCHAR (20), FS.SHORT_NAME),

		TO_NDS.LINK,
		TO_NDS.CODE,
		CONVERT (VARCHAR (254), OTS_COM.STRING)
	
	FROM @TAB0 T0 
	LEFT MERGE JOIN @TAB1 T1 ON (T1.LINK_UP = T0.LINK)
	LEFT JOIN dbo.OUT_TABLE_MZ_SUMMA OTMS ON (OTMS.LINK_ROW = T0.LINK)

	LEFT JOIN dbo.OUT_TABLE_STRING OTS_COM ON 
		(OTS_COM.[OBJECT] = @int@OBJ_COM
		AND OTS_COM.LINK_UP = T0.LINK)

	LEFT JOIN dbo.OUT_TABLE_STRING OTS_IT1 ON 
		(OTS_IT1.[OBJECT] = @iOBJ_INV_TYPE1
		AND OTS_IT1.LINK_UP = T0.LINK)

	LEFT JOIN dbo.DICTIONARY_DIGIT UM ON (UM.LINK = T1.UM_LINK)
	LEFT JOIN dbo.KOSGU EKR ON (EKR.LINK = OTMS.EKR)	
	LEFT JOIN dbo.FIN_SOURCE FS ON (FS.CODE = OTMS.FIN_SOURCE)
	LEFT JOIN dbo.KL_COUNTRY KC ON (KC.LINK = OTMS.COUNTRY_LINK)
	LEFT JOIN dbo.TYPE_OPER_NDS TO_NDS ON (TO_NDS.LINK = OTMS.TYPE_NDS)

	RETURN 
END


GO


GRANT SELECT ON dbo.[BK_DOC_TABLE_MZ_NDS_FN] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_UPDATE_OUT_TABLE_INVOICE_COR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_UPDATE_OUT_TABLE_INVOICE_COR]

GO
CREATE PROCEDURE dbo.BK_UPDATE_OUT_TABLE_INVOICE_COR
	(
	@intLINK	INT OUTPUT,
	@DOC_LINK	INT,
	@LINK_UP	INT,
	@QTY_AFTER	NUMERIC(19, 4) = 0,
	@PRICE_AFTER	NUMERIC(19, 4) = 0,
	@SUM_AFTER	NUMERIC(19, 4) = 0,
	@AKCIZ_AFTER 	NUMERIC(19, 4) = 0,
	@SUM_NDS_AFTER	NUMERIC(19, 4) = 0,
	@SUM_ALL_AFTER	NUMERIC(19, 4) = 0,
	@STAVKA_NDS_AFTER	NUMERIC(5, 2) = 0,
	@NO_NDS_AFTER	TINYINT,
	@TYPE_NDS_AFTER INT = NULL,
	@INV_TYPE1_AFTER	VARCHAR (100) = NULL
	)
AS
BEGIN
	DECLARE @intINV	INT,
		@intNOMEN INT,
		@intTMC INT,

		@inttrancount INT,
		@intRowCount INT,
		@intERROR INT

	IF NOT EXISTS (SELECT * FROM dbo.OUT_TABLE_ROW WHERE LINK = @LINK_UP)
	BEGIN
		RAISERROR ('  !', 11, 1)
		RETURN 5
	END

	IF NOT EXISTS (SELECT * FROM dbo.G_PROV WHERE LINK = @DOC_LINK)
	BEGIN
		RAISERROR (' !', 11, 1)
		RETURN 5
	END

	IF EXISTS (SELECT 1 FROM dbo.OUT_TABLE_INVOICE_COR
			WHERE LINK_UP = @LINK_UP
				AND DOC_LINK = @DOC_LINK
				AND LINK <> @intLINK)
		RETURN 8

	---    ---
	SELECT
		@QTY_AFTER = ISNULL (@QTY_AFTER, 0),
		@PRICE_AFTER = ISNULL (@PRICE_AFTER, 0),
		@SUM_AFTER = ISNULL (@SUM_AFTER, 0),
		@AKCIZ_AFTER = ISNULL (@AKCIZ_AFTER, 0),
		@SUM_NDS_AFTER = ISNULL (@SUM_NDS_AFTER, 0),
		@SUM_ALL_AFTER = ISNULL (@SUM_ALL_AFTER, 0),
		@STAVKA_NDS_AFTER = ISNULL (@STAVKA_NDS_AFTER, 0),
		@NO_NDS_AFTER = ISNULL (@NO_NDS_AFTER, 0),
		@INV_TYPE1_AFTER	=	LTRIM (@INV_TYPE1_AFTER)

	SET @TYPE_NDS_AFTER = (SELECT LINK
				FROM dbo.TYPE_OPER_NDS WITH (NOLOCK)
				WHERE @TYPE_NDS_AFTER = LINK)

	SET LOCK_TIMEOUT 30000
	SET @inttrancount = @@TRANCOUNT
	SET IMPLICIT_TRANSACTIONS ON

	UPDATE dbo.OUT_TABLE_INVOICE_COR
	SET
		DOC_LINK = @DOC_LINK,
		LINK_UP = @LINK_UP,
		QTY_AFTER = @QTY_AFTER, 
		PRICE_AFTER = @PRICE_AFTER, 
		SUM_AFTER = @SUM_AFTER, 
		AKCIZ_AFTER = @AKCIZ_AFTER, 
		SUM_NDS_AFTER = @SUM_NDS_AFTER, 
		SUM_ALL_AFTER = @SUM_ALL_AFTER,
		STAVKA_NDS_AFTER = @STAVKA_NDS_AFTER,
		NO_NDS_AFTER = @NO_NDS_AFTER,
		TYPE_NDS_AFTER = @TYPE_NDS_AFTER,
		INV_TYPE1_AFTER	=	@INV_TYPE1_AFTER
	WHERE LINK = @intLINK

	SELECT @intRowCount = @@ROWCOUNT,
		@intERROR = @@ERROR
	IF @intERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 1
	END

	IF @intRowCount = 0
	BEGIN
		INSERT INTO dbo.OUT_TABLE_INVOICE_COR
			(
			DOC_LINK,
			LINK_UP,
			QTY_AFTER,
			PRICE_AFTER,
			SUM_AFTER,
			AKCIZ_AFTER,
			SUM_NDS_AFTER,
			SUM_ALL_AFTER,
			STAVKA_NDS_AFTER,
			NO_NDS_AFTER,
			TYPE_NDS_AFTER,
			INV_TYPE1_AFTER
			)

		VALUES
			(
			@DOC_LINK,
			@LINK_UP,
			@QTY_AFTER, 
			@PRICE_AFTER, 
			@SUM_AFTER, 
			@AKCIZ_AFTER, 
			@SUM_NDS_AFTER, 
			@SUM_ALL_AFTER,
			@STAVKA_NDS_AFTER,
			@NO_NDS_AFTER,
			@TYPE_NDS_AFTER,
			@INV_TYPE1_AFTER
			)

		SELECT @intRowCount = @@ROWCOUNT,
			@intERROR = @@ERROR,
			@intLINK = @@IDENTITY

		IF @intERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 1
		END
	END

	IF @@TRANCOUNT > @inttrancount
		COMMIT TRAN
	RETURN 0

END


GO


GRANT EXECUTE ON dbo.[BK_UPDATE_OUT_TABLE_INVOICE_COR] TO PUBLIC

GO


-- --



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_DOC_TAB_INVOICE_COR_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_DOC_TAB_INVOICE_COR_FN]

GO
CREATE FUNCTION dbo.BK_DOC_TAB_INVOICE_COR_FN
	(@intLINK_DOC	INT = NULL)

RETURNS @RETURN_TAB TABLE 
	(LINK		INT,
	LINK_UP		INT,

	NEW_REC		TINYINT,
	ROW_LINK	INT,
	ORDERS		INT,
	
	INV_TYPE	VARCHAR (30),
	INV_LINK	INT,
	INV_CODE	VARCHAR (20),
	INV_NAME	VARCHAR (254),
	UM_LINK		INT,
	UM_CODE		VARCHAR (6),
	UM_NAME		VARCHAR (254),

	T_INV1		VARCHAR (30),
	T_INV1_N	VARCHAR (30),

	PRICE		NUMERIC (18, 2),
	QTY		NUMERIC (18, 4),
	SUMMA		NUMERIC (18, 2),
	STAVKA_NDS	NUMERIC (5, 2),
	SUMMA_NDS	NUMERIC (18, 2), 
	SUMMA_ALL	NUMERIC (18, 2), 
	AKCIZ		NUMERIC (18, 2),
	COUNTRY		VARCHAR (100),
	NUM_TD		VARCHAR (30),
	EKR_LINK	INT,
	EKR_CODE	VARCHAR (3),
	SFIN_CODE	VARCHAR (1),
	SFIN_NAME	VARCHAR (30),
	NO_NDS		TINYINT,

	TNDS_LINK1	INT,
	TNDS_CODE1	VARCHAR (2),

	PRICE_NEW	NUMERIC (18, 2),
	QTY_NEW		NUMERIC (18, 4),
	SUM_NEW		NUMERIC (18, 2),
	ST_NDS_NEW	NUMERIC (5, 2),
	NO_NDS_NEW	TINYINT,
	S_NDS_NEW	NUMERIC (18, 2), 
	S_ALL_NEW	NUMERIC (18, 2), 
	AKC_NEW		NUMERIC (18, 2),

	FS_LINK		INT,
	FS_CODE		VARCHAR (2),
	FS_NAME		VARCHAR (20),

	TNDS_LINK2	INT,
	TNDS_CODE2	VARCHAR (2)
	)
AS
BEGIN
	DECLARE
		@iOBJ_INV_TYPE1	INT,
		@iOBJ_INV_TYPE1_NEW	INT

	SET @iOBJ_INV_TYPE1 = dbo.GetObjLink ('DOC_TABLE_MZ_NDS_INV_TYPE1')
	SET @iOBJ_INV_TYPE1_NEW = dbo.GetObjLink ('DOC_TAB_COR_INVOICE_T_INV1_N')

	INSERT INTO @RETURN_TAB
	SELECT OTCI.LINK,
		OTCI.DOC_LINK,

		0,		
		OTCI.LINK_UP,
		OTR.ORDERS,
		
		OTMS.INV_TYPE,
		SMWT.LINK AS INV_LINK,
		SMWT.INV_CODE,
		SMWT.INV_NAME,
		SMWT.UM_LINK,
		UM.CODE AS UM_CODE,
		UM.[NAME] AS UM_NAME,

		T_INV1	=	SUBSTRING (OTS_IT1.STRING, 1, 30),
		T_INV1_N	=	SUBSTRING (OTCI.INV_TYPE1_AFTER, 1, 30),

		CONVERT (NUMERIC (18, 2), PRICE) AS PRICE,
		CONVERT (NUMERIC (18, 4), QTY) AS QTY,
		CONVERT (NUMERIC (18, 2), SUMMA) AS SUMMA,
		CONVERT (NUMERIC (5, 2), STAVKA_NDS) AS STAVKA_NDS,
		CONVERT (NUMERIC (18, 2), SUMMA_NDS) AS SUMMA_NDS,
		CONVERT (NUMERIC (18, 2), SUMMA_ALL) AS SUMMA_ALL,
		OTMS.AKCIZ, OTMS.COUNTRY, OTMS.NUM_TD,
		EKR.LINK AS EKR_LINK,
		EKR.CODE AS EKR_CODE,
		FS.CODE AS SFIN_CODE,
		CONVERT (VARCHAR (30), FS.[SHORT_NAME]) AS SFIN_NAME,
		OTMS.NO_NDS,

		TO_NDS1.LINK,
		TO_NDS1.CODE,
		
		CONVERT (NUMERIC (18, 2), OTCI.PRICE_AFTER),
		CONVERT (NUMERIC (18, 4), OTCI.QTY_AFTER),
		CONVERT (NUMERIC (18, 2), OTCI.SUM_AFTER),
		OTCI.STAVKA_NDS_AFTER,
		OTCI.NO_NDS_AFTER,
		CONVERT (NUMERIC (18, 2), OTCI.SUM_NDS_AFTER),
		CONVERT (NUMERIC (18, 2), OTCI.SUM_ALL_AFTER),
		OTCI.AKCIZ_AFTER,
		
		FS.LINK,
		FS.CODE,
		CONVERT (VARCHAR (20), FS.SHORT_NAME),

		TO_NDS2.LINK,
		TO_NDS2.CODE

	FROM dbo.OUT_TABLE_INVOICE_COR OTCI
	INNER JOIN dbo.OUT_TABLE_ROW OTR ON (OTR.LINK = OTCI.LINK_UP)
	INNER JOIN dbo.OUT_TABLE_MZ_SUMMA OTMS ON (OTMS.LINK_ROW = OTR.LINK)
	LEFT JOIN dbo.TYPE_OPER_NDS TO_NDS1 ON (TO_NDS1.LINK = OTMS.TYPE_NDS)
	LEFT JOIN dbo.SELECT_MZ_WITH_TYPE SMWT ON (SMWT.INV_TYPE = OTMS.INV_TYPE
		AND (OTMS.INV_TYPE IN ('BV_NOMENCLATURE', 'DICTIONARY_SERV')
				 AND SMWT.LINK = OTMS.NOMEN
			OR OTMS.INV_TYPE = 'INVENTORY_CARD'
			 	AND SMWT.LINK = OTMS.INV)
			OR OTMS.INV_TYPE = 'DICTIONARY_TMC'
			 	AND SMWT.LINK = OTMS.TMC)
	LEFT JOIN dbo.DICTIONARY_DIGIT UM ON (UM.LINK = SMWT.UM_LINK)
	LEFT JOIN dbo.KOSGU EKR ON (EKR.LINK = OTMS.EKR)	
	LEFT JOIN dbo.FIN_SOURCE FS ON (FS.CODE = OTMS.FIN_SOURCE)
	LEFT JOIN dbo.TYPE_OPER_NDS TO_NDS2 ON (TO_NDS2.LINK = OTCI.TYPE_NDS_AFTER)

	LEFT JOIN dbo.OUT_TABLE_STRING OTS_IT1 ON 
		(
		OTS_IT1.[OBJECT] = @iOBJ_INV_TYPE1
		AND OTS_IT1.LINK_UP = OTR.LINK
		)

	WHERE @intLINK_DOC IS NULL
		OR OTCI.DOC_LINK = @intLINK_DOC


	RETURN 
END






GO


GRANT SELECT ON dbo.[BK_DOC_TAB_INVOICE_COR_FN] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_PRINTDOC_INVOICE_COR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_PRINTDOC_INVOICE_COR]

GO
CREATE PROCEDURE dbo.BK_PRINTDOC_INVOICE_COR
	@intLINK_DOC	INT
AS
BEGIN
	DECLARE @DOC_HEADER TABLE
		(
		LINK		INT,
		DOC_NUM		VARCHAR (30),
		DOC_DATE	VARCHAR (10),
		COR_NUM		VARCHAR (30),
		COR_DATE	VARCHAR (10),

		OSN_NUM		VARCHAR (30),
		OSN_DATE	VARCHAR (10),
		OSN_NUM_C	VARCHAR (30),
		OSN_DATE_C	VARCHAR (10),
		
		SEL_NAME	VARCHAR (254),
		SEL_ADR		VARCHAR (254),
		SEL_INN		VARCHAR (20),
		SEL_KPP		VARCHAR (20),

		BUY_NAME	VARCHAR (254),
		BUY_ADR		VARCHAR (254),
		BUY_INN		VARCHAR (20),
		BUY_KPP		VARCHAR (20),

		DOG_INFO	VARCHAR (254),

		PRN_OTV		TINYINT
		)

	---   ---
	INSERT INTO @DOC_HEADER
	SELECT
		G.LINK,
		G.NUMBER,
		CONVERT (VARCHAR (10), G.[DATE], 104),
		
		CASE
			WHEN ISNULL (GPIC.COR_NUM, '') = '' THEN '-'
			ELSE GPIC.COR_NUM
		END, 
		CASE
			WHEN GPIC.COR_DATE IS NULL THEN '-'
			ELSE CONVERT (VARCHAR (10), GPIC.COR_DATE, 104)
		END,
		G0.NUMBER,
		CONVERT (VARCHAR (10), G0.[DATE], 104),
		
		CASE
			WHEN ISNULL (GPI.COR_NUM,  '') = '' THEN '-'
			ELSE GPI.COR_NUM  
		END,
		CASE
			WHEN GPI.COR_DATE IS NULL THEN '-' 
			ELSE CONVERT (VARCHAR (10), GPI.COR_DATE, 104)
		END,

		--  --
		dbo.BK_GET_PRINT_DEP_NAME (SEL.LINK),
		CONVERT (VARCHAR (254), dbo.GetAddressByKladr (SEL.KLADR_LINK) +
			ISNULL (', ' + SEL.HOUSE, '')),
		SEL.INN,
		SEL.KPP,
		--  --
		dbo.BK_GET_PRINT_DEP_NAME (BUY.LINK),
		CONVERT (VARCHAR (254), dbo.GetAddressByKladr (BUY.KLADR_LINK) +
			ISNULL (', ' + BUY.HOUSE, '')),
		BUY.INN,
		BUY.KPP,
		
		DOG_INFO	=	ISNULL (DOG.INFO, ''),

		1
	FROM dbo.G_PROV G
	LEFT JOIN dbo.G_PROV_INVOICE_COR GPIC ON (GPIC.DOC_LINK = G.LINK)
	LEFT JOIN dbo.OSNOV OSN ON (OSN.LINK = GPIC.OSNOV)
	LEFT JOIN dbo.G_PROV G0 ON (G0.LINK = OSN.LINK_G_PROV)
	LEFT JOIN dbo.G_PROV_INVOICE GPI ON (GPI.DOC_LINK = G0.LINK)

	LEFT JOIN dbo.DEPARTMENTS SEL ON (SEL.LINK = GPI.SELLER)
	LEFT JOIN dbo.DEPARTMENTS BUY ON (BUY.LINK = GPI.BUYER)

	LEFT JOIN dbo.BD_OSNOV DOG ON (DOG.LINK = GPI.OSNOV)
	WHERE G.LINK = @intLINK_DOC 

-- SELECT * FROM @DOC_HEADER

/*
	IF EXISTS (SELECT *
			FROM dbo.G_PROV G
			INNER JOIN dbo.S_OBJECTS SO ON (SO.LINK = G.OBJECT
				AND SO.CODE = 'DOCUMENTS_INVOICE_OR_IN')
			WHERE G.LINK = @intLINK_DOC)

		INSERT INTO @DOC_HEADER
		SELECT G.LINK,
			G.NUMBER,
			CONVERT (VARCHAR (10), G.[DATE], 104),
			G.OSNOV_NUM,
			CONVERT (VARCHAR (10), G.OSNOV_DATE, 104),

			dbo.BK_GET_PRINT_DEP_NAME (G.SEL_LINK),
			CONVERT (VARCHAR (254), dbo.GetAddressByKladr (SEL.KLADR_LINK) +
				ISNULL (', ' + SEL.HOUSE, '')),
			SEL.INN,
			SEL.KPP,
			
			dbo.BK_GET_PRINT_DEP_NAME (G.DEP_LINK),
			CONVERT (VARCHAR (254), dbo.GetAddressByKladr (BUY.KLADR_LINK) +
				ISNULL (', ' + BUY.HOUSE, '')),
			BUY.INN,
			BUY.KPP,
			1
		
		FROM dbo.DOCUMENTS_INVOICE_OR_IN G
		INNER JOIN dbo.DEPARTMENTS BUY ON (BUY.LINK = G.DEP_LINK)
		LEFT JOIN dbo.DEPARTMENTS SEL ON (SEL.LINK = G.SEL_LINK)
		WHERE G.LINK = @intLINK_DOC

	INSERT INTO 
*/	

	--    --
	DECLARE @DOC_TAB TABLE
		(DOC_LINK	INT,
		ORDERS		INT,
		INV_CODE	VARCHAR (20)	DEFAULT (''),
		INV_NAME	VARCHAR (254)	DEFAULT (''),
		UM_CODE		VARCHAR (20)	DEFAULT (''),
		UM_NAME		VARCHAR (254)	DEFAULT (''),

		QTY_OLD		NUMERIC (18, 4)	DEFAULT (0),
		QTY_NEW		NUMERIC (18, 4)	DEFAULT (0),

		PRICE_OLD	NUMERIC (18, 2)	DEFAULT (0),
		PRICE_NEW	NUMERIC (18, 2)	DEFAULT (0),

		SUM_OLD		NUMERIC (18, 2)	DEFAULT (0),
		SUM_NEW		NUMERIC (18, 2)	DEFAULT (0),
		SUM_DIF1	NUMERIC (18, 2)	DEFAULT (0),
		SUM_DIF2	NUMERIC (18, 2)	DEFAULT (0),

		AKC_OLD		NUMERIC (18, 2)	DEFAULT (0),
		AKC_NEW		NUMERIC (18, 2)	DEFAULT (0),
		AKC_DIF1	NUMERIC (18, 2)	DEFAULT (0),
		AKC_DIF2	NUMERIC (18, 2)	DEFAULT (0),

		STAVKA_NDS	NUMERIC (5, 2)	DEFAULT (0),
		ST_NDS_NEW	NUMERIC (5, 2)	DEFAULT (0),
		
		NO_NDS_OLD	TINYINT,
		NO_NDS_NEW	TINYINT,

		S_NDS_OLD	NUMERIC (18, 2)	DEFAULT (0), 
		S_NDS_NEW	NUMERIC (18, 2)	DEFAULT (0),
		S_NDS_DIF1	NUMERIC (18, 2)	DEFAULT (0), 
		S_NDS_DIF2	NUMERIC (18, 2)	DEFAULT (0),

		S_ALL_OLD	NUMERIC (18, 2)	DEFAULT (0),
		S_ALL_NEW	NUMERIC (18, 2)	DEFAULT (0),
		S_ALL_DIF1	NUMERIC (18, 2)	DEFAULT (0),
		S_ALL_DIF2	NUMERIC (18, 2)	DEFAULT (0),

		T_INV1	VARCHAR (30),
		T_INV1_N	VARCHAR (30)
		)

	INSERT INTO @DOC_TAB
	SELECT
		T1.LINK_UP,
		T1.ORDERS,
	
		T1.INV_CODE,
		T1.INV_NAME,
		ISNULL (T1.UM_CODE, '-'),
		ISNULL (T1.UM_NAME, '-'),

		T1.QTY,
		T1.QTY_NEW,

		T1.PRICE,
		T1.PRICE_NEW,

		T1.SUMMA,
		T1.SUM_NEW,
		CASE
			WHEN T1.SUMMA > T1.SUM_NEW THEN T1.SUMMA - T1.SUM_NEW
			ELSE 0
		END,
		CASE
			WHEN T1.SUM_NEW > T1.SUMMA THEN T1.SUM_NEW - T1.SUMMA
			ELSE 0
		END,

		T1.AKCIZ,
		T1.AKC_NEW,
		CASE
			WHEN T1.AKCIZ > T1.AKC_NEW THEN T1.AKCIZ - T1.AKC_NEW
			ELSE 0
		END,
		CASE
			WHEN T1.AKC_NEW > T1.AKCIZ THEN T1.AKC_NEW - T1.AKCIZ
			ELSE 0
		END,

		T1.STAVKA_NDS,
		T1.ST_NDS_NEW,

		T1.NO_NDS,
		T1.NO_NDS_NEW,

		T1.SUMMA_NDS,
		T1.S_NDS_NEW,
		CASE
			WHEN T1.SUMMA_NDS > T1.S_NDS_NEW THEN T1.SUMMA_NDS - T1.S_NDS_NEW
			ELSE 0
		END,
		CASE
			WHEN T1.S_NDS_NEW > T1.SUMMA_NDS THEN T1.S_NDS_NEW - T1.SUMMA_NDS
			ELSE 0
		END,

		T1.SUMMA_ALL,
		T1.S_ALL_NEW,
		CASE
			WHEN T1.SUMMA_ALL > T1.S_ALL_NEW THEN T1.SUMMA_ALL - T1.S_ALL_NEW
			ELSE 0
		END,
		CASE
			WHEN T1.S_ALL_NEW > T1.SUMMA_ALL THEN T1.S_ALL_NEW - T1.SUMMA_ALL
			ELSE 0
		END,

		T_INV1 = CASE
						WHEN ISNULL (T1.T_INV1, '') = '' THEN '-'
						ELSE LTRIM (T1.T_INV1)
					END,
		T_INV1_N = CASE
						WHEN ISNULL (T1.T_INV1_N, '') = '' THEN '-'
						ELSE LTRIM (T1.T_INV1_N)
					END
	FROM dbo.BK_DOC_TAB_INVOICE_COR_FN (@intLINK_DOC) T1

	IF @@ROWCOUNT = 0
		INSERT INTO @DOC_TAB (DOC_LINK, ORDERS)
		SELECT @intLINK_DOC, 0

	--  --
	SELECT *
	FROM @DOC_HEADER H1
	LEFT JOIN @DOC_TAB T1 ON (T1.DOC_LINK = H1.LINK)
	ORDER BY T1.ORDERS

--	SELECT * FROM @DOC_HEADER H1
END




GO


GRANT EXECUTE ON dbo.[BK_PRINTDOC_INVOICE_COR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PP_O]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PP_O]

GO

CREATE    PROCEDURE [dbo].[SA_CREATE_PP_O]
	@LINK_PP INT OUTPUT,
	@LINK_DOC INT,
	@DATE_DOC DATETIME
AS BEGIN

SET NOCOUNT ON

/*    */
DELETE FROM SAL_WORNINGS WHERE SID = SUSER_SID() AND TASK ='SALARY'

Set @LINK_PP = Coalesce((SELECT TOP 1 LINK_rko FROM dbo.sdoc_vedom_rko WHERE LINK_vedom = @LINK_DOC),0)
IF @LINK_PP <> 0 BEGIN
	Select LINK_RKO, COMMENT from dbo.sdoc_vedom_rko where LINK_VEDOM = @LINK_DOC
	RETURN 0
END

DECLARE @iCreatePP INT
SELECT @iCreatePP = dbo.sa_get_option_by_code('XB_NASTR_ZAYAVKA_KR_OR_PP')

DECLARE @OBJ_SNAME VARCHAR(10)
SET @OBJ_SNAME = CASE WHEN @iCreatePP = 0 THEN '' ELSE '' END

--
DECLARE 
	@NUM_PP 	VARCHAR(25),
	@DATE_PP  	DATETIME,
	@DATE_PROV	DATETIME,
	@SUMMA_PP	numeric(19,2),
	@LINK_KBK  	INT,
	@Add_text 	VARCHAR(100),
	@LINK_PAY 	INT,
	@LINK_EKR 	INT,
	@Osnovanie 	VARCHAR(100),
	@Osnovanie2 	VARCHAR(100),
	@pTARGETTEXT VARCHAR(1000)

CREATE TABLE #tmp (CODE VARCHAR(254), [TNAME] VARCHAR(254), LINK INT, [ANAME] VARCHAR(254), REF_LINK_B INT, REF_LINK_K INT)

--  
DECLARE
	@pKIND           CHAR(50),
	@pS_LINK         INT, --   		
	@pS_ACC_LINK     INT, --  
	@pD_LINK         INT,		
	@pD_ACC_LINK     INT,
	@pORDER          CHAR(1),
	@pPAYKIND        CHAR(5),
	@pREASON         CHAR(5),
	@pSBANK_LINK     INT,	
	@pDBANK_LINK     INT,
	@pNDSKIND        VARCHAR(100),
	@pNDS            INT,
	@pBK_IN_TGT      tinyint,
	@pPRINT_KPP      tinyint,
	@pNDS_LINK       INT,
	@pDOG_LINK       INT,
	@SROK		      Datetime,
	--
	@AVANSE TINYINT,
	@SHORT BIT,
	@BO_NUM char(10),
	@NDS_SUM NUMERIC(18,2)	

--    
DECLARE 
	@pDOH_LINK		INT,
	@pSGU_LINK		INT,
	@pOKATO		VARCHAR(11),
	@pP_REASON		VARCHAR(2),
	@pPERIOD1		VARCHAR(2),
	@pPERIOD		VARCHAR(10),
	@pTREBNUM		VARCHAR(30),
	@pTREBDATE		DATETIME,
	@pZERODATE		BIT,
	@pP_TYPE		VARCHAR(2),
	@pSTATUS		VARCHAR(2),
	@DAY			INT,
	@DT_FULL_CODE_ACC VARCHAR(13),
	@KD_FULL_CODE_ACC VARCHAR(13),
	@ACC_NAME varchar(15),
	@UIN VARCHAR(20)

DECLARE @LINK_DEFAULT_EKR int
SELECT @LINK_DEFAULT_EKR = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '213'

DECLARE @LINK_211EKR int
SELECT @LINK_211EKR = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211'

---
DECLARE @Cur CURSOR, @SUM_PROV numeric(18,2), @ORDER INT, @Account1 INT, @Account2 INT,	
		@HOZ_OPER INT, @P1 float, @P2 float, @SGU INT, @KD_CODE_ACC VARCHAR(6), @DT_CODE_ACC VARCHAR(6), @LINK_KAU INT, @Fin_Source VARCHAR(1),
		@isNALOG INT, @LINK_DOP_KL INT, @USER_ACC VARCHAR(4), @CODE_SFIN VARCHAR(30), @ACC_CODE VARCHAR(13),
		@trancount INT, @ERROR as INT, @REG_NUM VARCHAR(30), @LINK_OBJ INT, @LINK_OBJ_DOCUMENTS_DGH INT, @LINK_ORG INT

SET @LINK_OBJ_DOCUMENTS_DGH = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_DGH')

DECLARE @Cur1 CURSOR, @LINK_ACC int, @LINK_DOH int, @P_NAME varchar(254), @SHABLON_LINK INT, @LINK_SGU INT, @LINK_SAL_SFIN INT, @LINK_LACC INT

DECLARE @LINK_DEP INT 
SET @LINK_DEP = (SELECT D.LINK_DEP FROM dbo.SDOC D WHERE D.LINK = @LINK_DOC)

DECLARE @BUH_TYPE TINYINT
SET @BUH_TYPE = ISNULL((SELECT BUH_TYPE FROM DBO.DEPARTMENTS WHERE LINK = @LINK_DEP),0)

DECLARE @WORKMODE157N INT
SET @WORKMODE157N = ISNULL((SELECT dbo.XK_GET_NASTR_INT ('XK_WORKMODE157N')),0)
--   ,  ,     !
SET @BUH_TYPE = CASE WHEN @WORKMODE157N = 0 THEN 0 ELSE @BUH_TYPE END

--IF @BUH_TYPE = 0 BEGIN
--	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
--	select '  ' + @OBJ_SNAME + '   ',
--		'    .',
--		'      "  ".',
--		'SALARY'
--	RETURN 0		
--END

IF NOT EXISTS (SELECT * FROM DBO.SAL_NASTR_PROV WHERE TYPE_OPER = 1 AND TYPE_DEP = @BUH_TYPE) BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '   ',
		'     -  .  . .',
		'          "   -  .  . "    . ".',
		'SALARY'
	RETURN 0		
END

IF NOT EXISTS (SELECT * FROM dbo.DEPARTMENT_ACCOUNTS T2 WHERE LINK_UP = @LINK_DEP AND [TYPE] IN (1,2,4) ) BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '   ',
	'     .',
	'     .',
	'SALARY'
	RETURN 0
END

DECLARE @SALARY_OPTIONS_OPT9 INT --     	
SET @SALARY_OPTIONS_OPT9 = dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT9')

DECLARE @SALARY_OPTIONS_OPT11 INT --    . 
SET @SALARY_OPTIONS_OPT11 = dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT11')

SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
SELECT  
	D.[DATE],
	' ' + RTRIM(P.SNAME) + '  ' + coalesce((SELECT TOP 1 MON FROM months WHERE NUM = MONTH(CJ.PERIOD_END)),'') + ',' + CONVERT(VARCHAR(4),coalesce(YEAR(CJ.PERIOD_END),0))
		+ '  .. "' + ISNULL((SELECT TOP 1 LTRIM(RTRIM(FS.CODE)) + '.' + LTRIM(RTRIM(FS.NAME)) FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = F.SOURCE),'') +  '"',
	' ' + RTRIM(LTRIM(COALESCE(D.NUMBER,''))) + '  ' + COALESCE(convert(VARCHAR(10),D.[DATE], 104),''),
	CJ.LINK_PAYS,
	SUM(SUMMA),
	T.LINK_ACC,
	T.LINK_DOH,
	COALESCE(CAST (F.SOURCE as CHAR(1)),''),
	P.[NAME],
	/*    */ 
	CASE WHEN P.WAY_CALC <> 5 THEN 
					CASE WHEN @iCreatePP = 0 THEN dbo.sa_get_option_by_code('ESN_OPT2') ELSE dbo.sa_get_option_by_code('ESN_OPT4') END
				ELSE 
					CASE WHEN @iCreatePP = 0 THEN dbo.sa_get_option_by_code('ESNTR_OPT1') ELSE dbo.sa_get_option_by_code('ESNTR_OPT2') END
				END,
	T.LINK_SGU,
	RTRIM(LTRIM(COALESCE(T.REG_NUM,''))),
	D.OBJECT,
	T.LINK_ORG,
	LINK_LACC
FROM dbo.SDOC D INNER JOIN dbo.CALCULATE_JURNAL CJ ON D.LINK = CJ.LINK_DOC
	INNER JOIN dbo.PAYS P ON CJ.LINK_PAYS = P.LINK AND P.[OBJECT] = 3
	INNER JOIN TAX2_APP T on P.link = T.link_up
	LEFT JOIN  dbo.SAL_SFIN F ON F.LINK = CJ.LINK_VKR
	LEFT JOIN DBO.BB_FIN_SOURCE FUN ON FUN.CODE = F.[SOURCE]
WHERE 
	D.LINK = @LINK_DOC
GROUP BY 
	D.NUMBER, D.[DATE], CJ.PERIOD_END, CJ.LINK_PAYS, P.[NAME], P.SNAME, T.LINK_ACC, T.LINK_DOH, F.[SOURCE], 
	FUN.NAME, P.WAY_CALC,T.LINK_SGU,T.REG_NUM, D.OBJECT, T.LINK_ORG, LINK_LACC
HAVING 
	SUM(SUMMA) > 0

------
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @DATE_PP, @Osnovanie, @Add_Text, @LINK_PAY, @SUMMA_PP, @LINK_ACC, @LINK_DOH, @Fin_Source, @P_NAME, @SHABLON_LINK, @LINK_SGU, @REG_NUM, @LINK_OBJ, @LINK_ORG, @LINK_LACC

WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2) 
	BEGIN

		---
		IF NOT EXISTS (SELECT * FROM G_PROV WHERE LINK = @SHABLON_LINK)
		BEGIN
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '  ' + @OBJ_SNAME + '  ' + @Osnovanie,
			'   ' + @OBJ_SNAME + '    ,  ,     .',
			'     .',
			'SALARY'
			RETURN 0
		END
	
		IF @iCreatePP = 0
			--  
			SELECT  @pKIND = PP.KIND,
				@pD_LINK = PP.D_LINK,
				@pD_ACC_LINK = PP.D_ACC_LINK,
				@pORDER = PP.[ORDER],
				@pPAYKIND = PP.PAYKIND,
				@pREASON = PP.REASON,
				@pSBANK_LINK = PP.SBANK_LINK,		
				@pDBANK_LINK = PP.DBANK_LINK,		
				@pNDSKIND = PP.NDSKIND,	
				@pNDS = PP.NDS,
				@pBK_IN_TGT = PP.BK_IN_TGT,
				@pPRINT_KPP = PP.PRINT_KPP,
				@pNDS_LINK = PP.NDS_LINK,
				@pDOG_LINK = PP.DOG_LINK,
				@SROK 		= PP.SROK,
				@pTARGETTEXT = RTRIM(LTRIM(PP.TARGETTEXT)),
				@BO_NUM = '',
				@AVANSE = 0,
				@SHORT = 0
			FROM dbo.DOCUMENTS_PAY  PP
			WHERE PP.LINK = @SHABLON_LINK
		ELSE
			SELECT  
				@AVANSE = ISNULL(AVANSE,0), --  
				@pKIND = KIND, -- 
				@pD_LINK = KOR_LINK, -- 
				@pD_ACC_LINK = KOR_ACC_LINK, --   
				@pORDER = [ORDER], --      
				@pNDS = NDS, --   
				@pNDS_LINK = NDS_LINK, --   
				@SROK 		= SROK, --  
				@SHORT = ISNULL(SHORT,0), --   
				@pTARGETTEXT = RTRIM(LTRIM(TARGETTEXT)), -- ,
				@BO_NUM = ISNULL(BO_NUM,''),
				@UIN = ISNULL(UIN_CODE,'')
			FROM dbo.BB_ZAYAVKA_KR WHERE LINK = @SHABLON_LINK			
		
		SET @BO_NUM = ISNULL(@BO_NUM,'')
		SET @AVANSE = ISNULL(@AVANSE,'')
		SET @SHORT = ISNULL(@SHORT,0)
	
		--    
		SELECT
			@pDOH_LINK       = DOH_LINK,
			@isNALOG	      = DOH_LINK,
			@pSGU_LINK       = SGU_LINK,
			@pOKATO          = OKATO,
			@pP_REASON  = P_REASON,
			@pPERIOD1         = LEFT(PERIOD,2),
			@pTREBNUM        = '0',
			@pTREBDATE       = @DATE_PP,
			@pZERODATE       = ZERODATE,
			@pP_TYPE         = P_TYPE,
			@pSTATUS         = STATUS,
			@UIN = ISNULL(UIN_CODE,'')
		from dbo.DOCUMENTS_PAY_ADD where link = @SHABLON_LINK
	
		SET @pD_ACC_LINK = COALESCE(@LINK_ACC,@pD_ACC_LINK)
		SET @pDOH_LINK = COALESCE(@LINK_DOH,@pDOH_LINK)
		SET @pTARGETTEXT = @pTARGETTEXT + case when @SALARY_OPTIONS_OPT9 = 1 then CASE WHEN LEN(@pTARGETTEXT) > 0 THEN ', ' else '' end + RTRIM(LTRIM(@P_NAME)) ELSE '' END	
		SET @pTARGETTEXT = @pTARGETTEXT + case when @SALARY_OPTIONS_OPT11 = 1 then CASE WHEN LEN(@pTARGETTEXT) > 0 AND LEN(RTRIM(LTRIM(@REG_NUM))) >0 THEN ', . ' else '' end + RTRIM(LTRIM(@REG_NUM)) ELSE '' END	
		SET @pSGU_LINK = COALESCE(@LINK_SGU,@pSGU_LINK)
		SET @pPERIOD = @pPERIOD1 + RIGHT(CONVERT(VARCHAR(10),@DATE_PP,104),8)
		SET @DAY = (CASE WHEN @DAY > DAY(dbo.DateEndOfMonth(DATEADD(m,1,@DATE_PP))) THEN DAY(dbo.DateEndOfMonth(DATEADD(m,1,@DATE_PP))) ELSE DAY(@SROK) END)
		SET @SROK = dbo.ConvertDMY2Date(DAY(@SROK), MONTH(DATEADD(m,1,@DATE_PP)), YEAR(DATEADD(m,1,@DATE_PP)))
		SET @DATE_PP = CASE WHEN COALESCE(@DATE_DOC,@DATE_PP) > @DATE_PP THEN @DATE_DOC ELSE @DATE_PP END	
		SET @DATE_PROV = CASE WHEN dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT12') = 1 THEN @DATE_PP ELSE NULL END

		---
		SET @trancount = @@TRANCOUNT
		SET IMPLICIT_TRANSACTIONS ON
		BEGIN TRAN 
		COMMIT TRAN
	
		IF @ERROR <> 0
			RETURN @ERROR

		IF @DATE_PROV is not null and not exists(Select * from admin_info Where @DATE_PROV BETWEEN BEGINDATE AND ENDDATE) BEGIN
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
				'   ,   .        !',
				'   ,         " .    " ,    .',
				'SALARY'
			GOTO DO_NEXT
		END

		IF @pD_ACC_LINK IS NULL
		BEGIN
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
				'             () - !',
				'  \  \     .      () - .',
				'SALARY'
			GOTO DO_NEXT
		END		
	
		--    
		Set @NUM_PP = NULL
	
		IF @iCreatePP = 0
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_PAY', @NUM_PP output, @LINK_DEP
		ELSE
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'BB_ZAYAVKA_KR', @NUM_PP output, @LINK_DEP				
	
		--  ,     
		SET @pS_ACC_LINK = dbo.SA_GET_DEP_ACC(@LINK_DEP, DEFAULT, DEFAULT, DEFAULT)
	
		--   
		Set @LINK_PP = NULL
		IF @iCreatePP = 0 BEGIN
			exec X_SAVE_DOCUMENTS_PAY @LINK_PP OUT, @NUM_PP, @DATE_PP, @DATE_PROV, @SUMMA_PP, '',
				@pKIND, @pS_LINK, @pS_ACC_LINK, @pD_LINK, @pD_ACC_LINK,
				@SROK, @pORDER, @pPAYKIND, @pREASON, --@pSBANK_LINK, @pDBANK_LINK,
				@pTARGETTEXT, /*@pNDSKIND, */@pNDS, @pBK_IN_TGT, @pPRINT_KPP,
				@pNDS_LINK, /*@pDOG_LINK*/ 'DOCUMENTS_PAY'

			--   
			IF COALESCE(@isNALOG,0) <> 0 
				exec X_SAVE_DOCUMENTS_PAY_ADD @LINK_PP OUT, @pDOH_LINK, @pSGU_LINK, @pOKATO, @pP_REASON,
					 @pPERIOD, @pTREBNUM, @DATE_PP, @pZERODATE, @pP_TYPE, @pSTATUS, @UIN
		END
		ELSE BEGIN
			EXEC dbo.X_SAVE_DOCUMENTS_PAY @LINK_PP OUT, @NUM_PP, @DATE_PP, @DATE_PROV, @SUMMA_PP, '',
				@pKIND, @pS_LINK, @pS_ACC_LINK, @pD_LINK, @pD_ACC_LINK,
				@SROK, @pORDER, NULL, DEFAULT, 
				@pTARGETTEXT, @pNDS, @pBK_IN_TGT, NULL,
				@pNDS_LINK, 'BB_ZAYAVKA_KR'

			SET @NDS_SUM = ISNULL(@SUMMA_PP * ISNULL(@pNDS,0) / 100,0)
			EXEC dbo.X_SAVE_DOCUMENTS_PAY2 @LINK_PP, NULL, @BO_NUM, NULL, @AVANSE, @NDS_SUM, @SHORT

			EXEC dbo.X_SAVE_DOCUMENTS_PAY_ADD @LINK_PP, @pDOH_LINK, @pSGU_LINK, @pOKATO, @pP_REASON,
				 @pPERIOD, @pTREBNUM, @DATE_PP, @pZERODATE, @pP_TYPE, @pSTATUS, @UIN		
					
		END					 

		INSERT INTO dbo.sdoc_vedom_rko (LINK_VEDOM, LINK_RKO, LINK_PAYS, COMMENT)
		SELECT @LINK_DOC, @LINK_PP, @LINK_PAY, COALESCE(@Osnovanie,'') + ' ' + @OBJ_SNAME + ' ' + CONVERT(VARCHAR(8), @NUM_PP)  + '  ' + CONVERT(VARCHAR(10),@DATE_PP,104)
	
		Set @ORDER = 0
		SET @SUMMA_PP = 0

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
	
			SELECT  
				LINK_KBK = F.KBK,
				LINK_DOP_KL = F.DOP_KL,
				USER_ACC = F.USER_ACC,
				CODE_SFIN = F.CODE,
				(CASE WHEN ISNULL(CJ.link_ekr,@LINK_DEFAULT_EKR) = @LINK_211EKR THEN @LINK_DEFAULT_EKR ELSE ISNULL(CJ.link_ekr,@LINK_DEFAULT_EKR) END), 
				P.CODE_ACC, 
				LINK_KAU = COALESCE(LINK_KAU,F.KAU),
				SUMMA=  (CASE WHEN P.WAY_CALC <> 2 OR @LINK_OBJ_DOCUMENTS_DGH = @LINK_OBJ THEN SUM(SUMMA) 
							ELSE
				
							COALESCE((
							Select  
									SUM((CASE WHEN 
										P1.OBJECT = 3
										THEN 1 ELSE -1 END) * CJ1.SUMMA) 
							from 
								dbo.CALCULATE_JURNAL CJ1 INNER JOIN dbo.PAYS P1 ON CJ1.LINK_PAYS = P1.LINK
							where
								ISNULL(CJ1.link_ekr,@LINK_DEFAULT_EKR) = ISNULL(CJ.link_ekr,@LINK_DEFAULT_EKR)
								AND
								( 
										P1.OBJECT = 3
										OR
										P1.OBJECT = 1 AND ISNULL(CJ1.link_ekr,@LINK_DEFAULT_EKR) = @LINK_DEFAULT_EKR
								)									
								AND
								(P1.[OBJECT] = 1 OR P1.[OBJECT] = 3 AND P1.WAY_CALC = 2)
								AND
								YEAR(CJ1.PERIOD_BEGIN) = YEAR(CJ.PERIOD_BEGIN)
								AND 
								MONTH(CJ1.PERIOD_BEGIN) = MONTH(CJ.PERIOD_BEGIN)
								AND
								CJ1.LINK_VKR = CJ.LINK_VKR
								AND
								CJ1.LINK_DEP = CJ.LINK_DEP
							HAVING 
								SUM((CASE WHEN P1.OBJECT = 3 THEN 1 ELSE -1 END) * CJ1.SUMMA) > 0
							),0)
							
						END),
				F.LINK			
			FROM 
				dbo.CALCULATE_JURNAL CJ 
				INNER JOIN dbo.PAYS P ON CJ.LINK_PAYS = P.LINK
				LEFT JOIN  dbo.SAL_SFIN F ON F.LINK = CJ.LINK_VKR
			WHERE 
				LINK_DOC = @LINK_DOC
				AND CJ.LINK_PAYS = @LINK_PAY
				AND F.SOURCE = @Fin_Source
				AND ISNULL(F.LINK_LACC,0) = ISNULL(@LINK_LACC,0)
			GROUP BY 
				F.KBK,CJ.LINK_VKR, F.DOP_KL,F.USER_ACC,F.CODE, 
				CJ.link_ekr,
				P.CODE_ACC, COALESCE(LINK_KAU,F.KAU), P.WAY_CALC, CJ.PERIOD_BEGIN, CJ.LINK_DEP, F.LINK
		OPEN @Cur
	
		FETCH NEXT FROM @Cur INTO @LINK_KBK, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @LINK_EKR, @DT_CODE_ACC, @LINK_KAU, @SUM_PROV, @LINK_SAL_SFIN
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN
				IF COALESCE(@SUM_PROV,0) >= 0 BEGIN

					SET @P1 = NULL
					SET @Osnovanie2 = LEFT(@Osnovanie + ' ' + LTRIM(RTRIM(@CODE_SFIN)), 100)
					exec X_UPDATE_G_PROV1 @P1 output, @LINK_PP, NULL, @Osnovanie2, 1
			
					Set @ORDER = @ORDER + 1
					SET @SUMMA_PP = @SUMMA_PP + @SUM_PROV

					IF @Fin_Source = '0' BEGIN 
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
							'     \\ ',
							'SALARY'
						GOTO DO_NEXT
					END

					IF REPLACE(LTRIM(RTRIM(ISNULL(@DT_CODE_ACC,''))),'.','') = '' BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'       '+COALESCE(LTRIM(RTRIM(@P_NAME)),''),
							'    '+COALESCE(LTRIM(RTRIM(@P_NAME)),'')+'  .',
							'SALARY'
						GOTO DO_NEXT			
					END

					---
					SET @Account1 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @DT_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
					SET @DT_FULL_CODE_ACC = @Fin_Source + '.' + @DT_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END
					
					IF COALESCE(@Account1,0) = 0 BEGIN 
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'      ' + @DT_FULL_CODE_ACC,
							'     ' + @DT_FULL_CODE_ACC,
							'SALARY'
						GOTO DO_NEXT
					END
											
					---
					SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
						WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @DT_CODE_ACC) ) and A2.cSource <> '')
		
					IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
							'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
							'SALARY'
						GOTO DO_NEXT
					END
		
					--		
					SET @KD_CODE_ACC = (SELECT TOP 1 CODE_ACC FROM DBO.SAL_NASTR_PROV WHERE TYPE_OPER = 1 AND TYPE_DEP = @BUH_TYPE AND TYPE_FUNC = @Fin_Source)

					IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF		
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'     -  .  .     ' 
							+ ISNULL((SELECT TOP 1 BT_NAME FROM DBO.DICTIONARY_BUH_TYPE WHERE BUH_TYPE = @BUH_TYPE),'')
							+ '    ' + ISNULL((SELECT TOP 1 NAME FROM DBO.BB_FIN_SOURCE WHERE CODE = @Fin_Source),''),
							'       "     "       "   -  .  . ".',
							'SALARY'
						GOTO DO_NEXT
					END	

					SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
					SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END

					IF COALESCE(@Account2,0) = 0 BEGIN 
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'      ' + @KD_FULL_CODE_ACC,
							'     ' + @KD_FULL_CODE_ACC,
							'SALARY'
						GOTO DO_NEXT
					END

					---
					SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
						WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) ) and A2.cSource <> '')
	
					IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
							'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
							'SALARY'
						GOTO DO_NEXT
					END

					---
					IF COALESCE(@Account1,0) > 0 AND COALESCE(@Account2,0) > 0 BEGIN
		
						SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
						IF COALESCE(@HOZ_OPER,0) = 0 BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
								'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
								'           .        ',
								'SALARY'
							GOTO DO_NEXT
						END	
				
						set @P2 = null
						exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @Osnovanie, @HOZ_OPER, @ORDER
			
					---
					SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
					IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
						SET @SGU = @LINK_EKR
	
					IF COALESCE(@SGU,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
							'       ',
							'SALARY'
						GOTO DO_NEXT
					END	
					
					exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @LINK_ORG /**/, NULL, NULL, NULL, NULL, @LINK_KAU, @pD_ACC_LINK /* */, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU

					---
					SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
					IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
						SET @SGU = @LINK_EKR
	
					IF COALESCE(@SGU,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
							'       ',
							'SALARY'
						GOTO DO_NEXT
					END
					
					SET @pS_ACC_LINK = dbo.SA_GET_DEP_ACC(@LINK_DEP, @Account2, @LINK_SAL_SFIN, DEFAULT)

					UPDATE dbo.G_PROV SET ACC = @pS_ACC_LINK WHERE LINK = @LINK_PP

					exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @LINK_DEP /**/, NULL, NULL, NULL, NULL, @LINK_KAU, @pS_ACC_LINK /* */, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
					END

				END
			END

			IF @iCreatePP = 1
				EXEC dbo.BB_ZAYAVKA_KR_CREATE_TABLE @LINK_PP
				
			FETCH NEXT FROM @Cur INTO @LINK_KBK, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @LINK_EKR, @DT_CODE_ACC, @LINK_KAU, @SUM_PROV, @LINK_SAL_SFIN
		END
		
		CLOSE @Cur
		DEALLOCATE @Cur
		
		--
		UPDATE dbo.G_PROV SET SUMMA = @SUMMA_PP WHERE LINK = @LINK_PP
		
		--
		IF @@TRANCOUNT > @trancount BEGIN
			COMMIT TRAN
			SET IMPLICIT_TRANSACTIONS OFF
		END

		--  0  
		IF (select sum(G2.SUMMA)
				from dbo.G_PROV G
				inner join dbo.G_PROV1 G1 on G1.LINK_UP = G.LINK
				inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK
				where G.LINK = @LINK_PP) = 0
				
				DELETE FROM dbo.G_PROV WHERE LINK = @LINK_PP

		ELSE
		BEGIN			
		
			--- ,   
			DECLARE @TestBO tinyint
			exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_PP 

			IF @TestBO = 0
			BEGIN
				create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

				insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
				Exec dbo.XD_FORM_BO @LINK_PP

				IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
					FROM #tProtocol1	WHERE nSTATUS >= 1
				
				DROP TABLE #tProtocol1
					
			END	
				
		END		

	
	END
	DO_NEXT:
	FETCH NEXT FROM @Cur1 INTO @DATE_PP, @Osnovanie, @Add_Text, @LINK_PAY, @SUMMA_PP, @LINK_ACC, @LINK_DOH, @Fin_Source, @P_NAME, @SHABLON_LINK, @LINK_SGU, @REG_NUM, @LINK_OBJ, @LINK_ORG, @LINK_LACC
END

CLOSE @Cur1
DEALLOCATE @Cur1

IF @LINK_OBJ_DOCUMENTS_DGH = @LINK_OBJ BEGIN
	/*    */
	SET @P1 = 0
	EXEC dbo.SA_CREATE_PP @LINK_PP = @P1 OUT, @LINK_DOC = @LINK_DOC, @DATE_DOC = @DATE_DOC, @P = 1, @CLEAR_SAL_WORNINGS = 0
END ELSE
	Select LINK_RKO, COMMENT from dbo.sdoc_vedom_rko where LINK_VEDOM = @LINK_DOC

exec X_SALDO_CommitChanges

SET NOCOUNT OFF
Return 0
END



GO


GRANT EXECUTE ON dbo.[SA_CREATE_PP_O] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RK_CALC_AV_IMU_2018_21]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RK_CALC_AV_IMU_2018_21]

GO
--         --
CREATE PROCEDURE dbo.RK_CALC_AV_IMU_2018_21
	@intDEP_LINK	INT,		-- !!!!!! ---
	@PERIOD_BEGIN	DATETIME,	--   
	@PERIOD_END	DATETIME	--   ,
AS 
BEGIN
	SET @PERIOD_END = DATEADD (DAY, 1, @PERIOD_END)

	--	  --
	SELECT
		CODE = RIGHT ('0000' + RTRIM (CONVERT (VARCHAR (20), LINK_ROW)), 4),
		COL1 = RIGHT ('0000' + RTRIM (CONVERT (VARCHAR (20), LINK_ROW)), 4),
		COL2	=	'',	--	  (  010)
		COL3	=	'',	--	  (  020)
		COL4	=	INV.CODE,	--	  (  030)
		COL5	=	ISNULL (D2.CODE, ''),	--	 
		COL6	=	T1.SUMMA	--	 
	FROM 
		(
		SELECT
			LINK_ROW = ROW_NUMBER () OVER (ORDER BY INV),
			TTT.DEP_LINK,
			TTT.INV,
			SUMMA	=	SUM (TTT.OST_SUM)
		FROM dbo.CalcNalogBalanceOS (@PERIOD_END, @intDEP_LINK) TTT
		WHERE TTT.NO_NALOG <> 2
			AND TTT.GRP_CODE LIKE '1011%'
		GROUP BY
			TTT.DEP_LINK,
			TTT.INV
		) T1
	INNER JOIN dbo.INVENTORY INV ON (INV.LINK = T1.INV)	
	LEFT JOIN dbo.ASSETS D1 ON (D1.LINK_UP = INV.LINK)
	LEFT JOIN dbo.ASSETS_GROUP_OKOF D2 ON (D2.LINK = D1.OKOF)	

END


GO


GRANT EXECUTE ON dbo.[RK_CALC_AV_IMU_2018_21] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PP]

GO

CREATE  PROCEDURE [dbo].[SA_CREATE_PP]
			@LINK_PP int OUTPUT,
			@LINK_DOC int,
			@DATE_DOC DATETIME,
			@P TINYINT = 0 --       
					--     
			,@CLEAR_SAL_WORNINGS TINYINT = 1
AS BEGIN

SET NOCOUNT ON

Set @LINK_PP = Coalesce((SELECT TOP 1 LINK_rko FROM dbo.sdoc_vedom_rko WHERE LINK_vedom = @LINK_DOC),0)
IF (@LINK_PP <> 0 AND @P = 0) BEGIN
	Select LINK_RKO, COMMENT from dbo.sdoc_vedom_rko where LINK_VEDOM = @LINK_DOC
	RETURN 0
END

/*    */
IF @CLEAR_SAL_WORNINGS = 1
	DELETE FROM SAL_WORNINGS WHERE SID = SUSER_SID() AND TASK ='SALARY'

DECLARE @iCreatePP INT
SELECT @iCreatePP = dbo.sa_get_option_by_code('XB_NASTR_ZAYAVKA_KR_OR_PP')

/*   */
DECLARE @SHABLON_LINK INT, @OBJ_SNAME VARCHAR(10)
IF @iCreatePP = 0
	SELECT	@SHABLON_LINK = dbo.sa_get_option_by_code('NDFL_OPT4'),
			@OBJ_SNAME = ''
ELSE
	SELECT	@SHABLON_LINK = dbo.sa_get_option_by_code('NDFL_OPT10'),
			@OBJ_SNAME = ''
	
---
IF NOT EXISTS (SELECT * FROM dbo.G_PROV WHERE LINK = @SHABLON_LINK)
BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '    ',
	'   ' + @OBJ_SNAME + '    ,  ' + @OBJ_SNAME + ', ()    .',
	'    ' + @OBJ_SNAME,
	'SALARY'
	RETURN 0
END
	

---
DECLARE @NUM_PP VARCHAR(25), @LINK_EKR INT, @LINK_EMPL INT, @LINK_KBK INT, @DATE_PP DATETIME 

CREATE TABLE #tmp (CODE VARCHAR(254), [TNAME] VARCHAR(254), LINK INT, [ANAME] VARCHAR(254), REF_LINK_B INT, REF_LINK_K INT)

DECLARE
	@pKIND           CHAR(50),
	@pS_LINK         INT,		
	@pS_ACC_LINK     INT,
	@pD_LINK         INT,		
	@pD_ACC_LINK     INT,
	@pORDER          CHAR(1),
	@pPAYKIND        CHAR(5),
	@pREASON         CHAR(5),
	@pSBANK_LINK     INT,	
	@pDBANK_LINK     INT,
	@pNDSKIND        VARCHAR(100),
	@pNDS            INT,
	@pBK_IN_TGT      tinyint,
	@pPRINT_KPP      tinyint,
	@pNDS_LINK       INT,
	@pDOG_LINK       INT,
	@SROK		      Datetime,
	@pTARGETTEXT     VARCHAR(1000),
	--
	@AVANSE TINYINT,
	@SHORT BIT,
	@BO_NUM char(10),
	@NDS_SUM NUMERIC(18,2),
	@UIN VARCHAR(20)


DECLARE @LINK_DEP INT 
SET @LINK_DEP = (SELECT D.LINK_DEP FROM dbo.SDOC D WHERE D.LINK = @LINK_DOC)

IF @iCreatePP = 0
	-- 
	SELECT  
		@pKIND = PP.KIND, -- 
		@pD_LINK = PP.D_LINK, -- 
		@pD_ACC_LINK = PP.D_ACC_LINK, --   
		@pORDER = PP.[ORDER], --      
		@pPAYKIND = PP.PAYKIND, --    
		@pREASON = PP.REASON, --  
		@pSBANK_LINK = PP.SBANK_LINK, -- 		
		@pDBANK_LINK = PP.DBANK_LINK,	-- 	
		@pNDSKIND = PP.NDSKIND, --  	
		@pNDS = PP.NDS, --   
		@pBK_IN_TGT = PP.BK_IN_TGT, --      
		@pPRINT_KPP = PP.PRINT_KPP, --    
		@pNDS_LINK = PP.NDS_LINK, --   
		@pDOG_LINK = PP.DOG_LINK, --   
		@SROK 		= PP.SROK, --    
		@pTARGETTEXT = RTRIM(LTRIM(PP.TARGETTEXT)), --  
		@BO_NUM = ''
	FROM dbo.DOCUMENTS_PAY PP
	WHERE 
		PP.LINK = @SHABLON_LINK
ELSE
	SELECT  
		@AVANSE = ISNULL(AVANSE,0), --  
		@pKIND = KIND, -- 
		@pD_LINK = KOR_LINK, -- 
		@pD_ACC_LINK = KOR_ACC_LINK, --   
		@pORDER = [ORDER], --      
		@pNDS = NDS, --   
		@pNDS_LINK = NDS_LINK, --   
		@SROK 		= SROK, --  
		@SHORT = ISNULL(SHORT,0), --   
		@pTARGETTEXT = RTRIM(LTRIM(TARGETTEXT)), -- ,
		@BO_NUM = ISNULL(BO_NUM,''),
		@UIN = ISNULL(UIN_CODE,'')
	FROM dbo.BB_ZAYAVKA_KR WHERE LINK = @SHABLON_LINK		

SET @BO_NUM = ISNULL(@BO_NUM,'')
SET @AVANSE = ISNULL(@AVANSE,'')
SET @SHORT = ISNULL(@SHORT,0)

DECLARE 
	@pDOH_LINK       INT,
	@pSGU_LINK       INT,
	@pOKATO          VARCHAR(11),
	@pP_REASON       VARCHAR(2),
	@pPERIOD1         VARCHAR(2),
	@pPERIOD         VARCHAR(10),
	@pTREBNUM        VARCHAR(30),
	@pTREBDATE       DATETIME,
	@pZERODATE       BIT,
	@pP_TYPE         VARCHAR(2),
	@pSTATUS         VARCHAR(2),
	@DAY			INT,
	@DT_FULL_CODE_ACC VARCHAR(13),
	@KD_FULL_CODE_ACC VARCHAR(13),
	@ACC_NAME varchar(15)	

--  
SELECT
	@pDOH_LINK       = DOH_LINK, -- 
	@pSGU_LINK       = SGU_LINK, --
	@pOKATO          = OKATO, -- 
	@pP_REASON       = P_REASON, -- 
	@pPERIOD1        = LEFT(PERIOD,2), -- 
	@pTREBNUM        = '0', --  
	@pTREBDATE       = @DATE_PP, -- 
	@pZERODATE       = ZERODATE, --  = 0
	@pP_TYPE         = P_TYPE, -- 
	@pSTATUS         = [STATUS], -- 
	@UIN = ISNULL(UIN_CODE,'')
from dbo.DOCUMENTS_PAY_ADD where link = @SHABLON_LINK

DECLARE @LINK_EKR_DEFAULT int
SET @LINK_EKR_DEFAULT = (SELECT TOP 1 LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211')

IF NOT EXISTS (SELECT * FROM dbo.DEPARTMENT_ACCOUNTS T2 WHERE LINK_UP = @LINK_DEP AND [TYPE] IN (1,2,4) ) BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '   ',
	'     .',
	'     .',
	'SALARY'
	RETURN 0
END

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @BUH_TYPE TINYINT
SET @BUH_TYPE = ISNULL((SELECT BUH_TYPE FROM DBO.DEPARTMENTS WHERE LINK = @DEP_LINK),0)

DECLARE @WORKMODE157N INT
SET @WORKMODE157N = ISNULL((SELECT dbo.XK_GET_NASTR_INT ('XK_WORKMODE157N')),0)
--   ,  ,     !
SET @BUH_TYPE = CASE WHEN @WORKMODE157N = 0 THEN 0 ELSE @BUH_TYPE END

--IF @BUH_TYPE = 0 BEGIN
--	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
--	select '  ' + @OBJ_SNAME + '   ',
--		'    .',
--		'      "  ".',
--		'SALARY'
--	RETURN 0		
--END

IF NOT EXISTS (SELECT * FROM DBO.SAL_NASTR_PROV WHERE TYPE_OPER = 1 AND TYPE_DEP = @BUH_TYPE) BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '   ',
		'     -  .  . .',
		'          "   -  .  . "    . ".',
		'SALARY'
	RETURN 0		
END

DECLARE @GROUP_BY_SUB INT
SET @GROUP_BY_SUB = dbo.sa_get_option_by_code('SALARY_PROV_OPT3')

SELECT LINK, SUBDIV_HEAD, SUBDIV_NAME INTO #EMPL_INFO FROM DBO.SD_EMPL

----
DECLARE @CURSOR_EKR CURSOR, @DATE_PROV DATETIME, @Osnovanie VARCHAR(100), @Add_text VARCHAR(100), @link_pay int, @SUMMA_PP as numeric(19,2), @Fin_Source VARCHAR(1), @KD_CODE_ACC VARCHAR(6), @DT_CODE_ACC VARCHAR(6),
	@Cur CURSOR, @SUM_PROV numeric(18,2), @order int, @Account1 INT, @Account2 INT,	@HOZ_OPER int, @P1 float, @P2 float, @SGU INT, @LINK_KAU INT, @LINK_DOP_KL INT, @PAYS_CODE VARCHAR(10),
	@USER_ACC VARCHAR(4), @CODE_SFIN VARCHAR(30), @ACC_CODE VARCHAR(13),
	@trancount INT, @ERROR as INT, @LINK_ORG int, @LINK_ACC int, @LINK_DOH int, @SUBDIV_HEAD INT, @SUBDIV_NAME VARCHAR(254),
	@LINK_SFIN INT

SET @CURSOR_EKR = CURSOR FORWARD_ONLY
FOR 
SELECT  
	D.[DATE],
	'   ' + coalesce((SELECT TOP 1 MON FROM months WHERE NUM = MONTH(CJ.PERIOD_END)),'') + ',' + CONVERT(VARCHAR(4),coalesce(YEAR(CJ.PERIOD_END),0)) + '.' + '  ' + RTRIM(EKR.CODE) + '  ' 
		+ '  .. "' + RTRIM(LTRIM(F.CODE)) + '"  .. "' + RTRIM(LTRIM(ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = F.SOURCE),''))) +  '"',
	' ' + RTRIM(LTRIM(COALESCE(D.NUMBER,''))) + '  ' + COALESCE(convert(VARCHAR(10),D.[DATE], 104),''),
	CJ.LINK_PAYS,
	SUM(SUMMA),
	@pTARGETTEXT + case when dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT9') = 1 then CASE WHEN LEN(@pTARGETTEXT) > 0 THEN ', ' else '' end + P.[NAME]  + '  ' + RTRIM(EKR.CODE) + ' '  ELSE '' END,
	COALESCE(CJ.link_ekr,@LINK_EKR_DEFAULT),
	P.CODE_ACC, 
	COALESCE(CAST (F.SOURCE as CHAR(1)),''),
	T.LINK_ORG,
	T.LINK_ACC,
	T.LINK_DOH,
	CASE WHEN @GROUP_BY_SUB = 1 THEN SUBDIV_HEAD ELSE NULL END,
	CASE WHEN @GROUP_BY_SUB = 1 THEN SUBDIV_NAME ELSE NULL END,
	F.LINK --   
FROM 
	dbo.SDOC D INNER JOIN dbo.CALCULATE_JURNAL CJ ON D.LINK = CJ.LINK_DOC
	INNER JOIN dbo.PAYS P ON (CJ.LINK_PAYS = P.LINK AND P.OBJECT = 2 AND P.WAY_CALC = 4)
	INNER JOIN dbo.DICTIONARY_ITEM EKR ON EKR.LINK = COALESCE(CJ.link_ekr,@LINK_EKR_DEFAULT)
	LEFT JOIN  dbo.SAL_SFIN F ON F.LINK = CJ.LINK_VKR
	LEFT JOIN DBO.BB_FIN_SOURCE FUN ON FUN.CODE = F.[SOURCE]	
	LEFT JOIN TAX2_APP T on P.link = T.link_up
	LEFT JOIN #EMPL_INFO E ON E.LINK = CJ.LINK_EMPL
WHERE 
	D.LINK = @LINK_DOC 
GROUP BY 
	D.NUMBER, D.[DATE], CJ.PERIOD_END, CJ.LINK_PAYS, P.[NAME], CJ.link_ekr, EKR.CODE, P.CODE_ACC, F.SOURCE,	F.CODE, T.LINK_ORG,	T.LINK_ACC,	T.LINK_DOH, CASE WHEN @GROUP_BY_SUB = 1 THEN SUBDIV_HEAD ELSE NULL END,
	CASE WHEN @GROUP_BY_SUB = 1 THEN SUBDIV_NAME ELSE NULL END, F.LINK
HAVING 
	SUM(SUMMA) > 0

OPEN @CURSOR_EKR
FETCH NEXT FROM @CURSOR_EKR INTO @DATE_PP, @Osnovanie, @Add_Text, @link_pay, @SUMMA_PP, @pTARGETTEXT, @link_ekr, @DT_CODE_ACC, @Fin_Source, @LINK_ORG, @LINK_ACC, @LINK_DOH, @SUBDIV_HEAD, @SUBDIV_NAME, @LINK_SFIN
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @pPERIOD = @pPERIOD1 + RIGHT(CONVERT(VARCHAR(10),@DATE_PP,104),8)
		SET @DAY = (CASE WHEN DAY(@SROK) > DAY(dbo.DateEndOfMonth(DATEADD(m,1,@DATE_PP))) THEN DAY(dbo.DateEndOfMonth(DATEADD(m,1,@DATE_PP))) ELSE DAY(@SROK) END)
		SET @SROK = dbo.ConvertDMY2Date(@DAY, MONTH(DATEADD(m,1,@DATE_PP)), YEAR(DATEADD(m,1,@DATE_PP)))
		SET @DATE_PP = CASE WHEN COALESCE(@DATE_DOC,@DATE_PP) > @DATE_PP THEN @DATE_DOC ELSE @DATE_PP END	
		SET @DATE_PROV = CASE WHEN dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT12') = 1 THEN @DATE_PP ELSE NULL END

		SET @pD_ACC_LINK = COALESCE(@LINK_ACC,@pD_ACC_LINK)
		SET @pDOH_LINK = COALESCE(@LINK_DOH,@pDOH_LINK)
		SET @pD_LINK = COALESCE(@LINK_ORG,@pD_LINK)
		---

			
		IF @pD_ACC_LINK is null OR @pD_ACC_LINK is null OR @pD_LINK is null BEGIN
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
				'            !',
				' ,   ,       : \\  \ .',
				'SALARY'
			GOTO DO_NEXT
		END


		IF @DATE_PROV is not null and not exists(Select * from admin_info Where @DATE_PROV BETWEEN BEGINDATE AND ENDDATE) BEGIN
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
				'   ,   .        !',
				'   ,         " .    " ,    .',
				'SALARY'
			GOTO DO_NEXT
		END
		
		SET @trancount = @@TRANCOUNT
		SET IMPLICIT_TRANSACTIONS ON
		BEGIN TRAN 
		COMMIT TRAN

		--    
		Set @NUM_PP = NULL
		IF @iCreatePP = 0		
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_PAY', @NUM_PP output, @LINK_DEP
		ELSE
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'BB_ZAYAVKA_KR', @NUM_PP output, @LINK_DEP	

		--  ,     
		SET @pS_ACC_LINK = dbo.SA_GET_DEP_ACC(@LINK_DEP, DEFAULT, DEFAULT, DEFAULT)

		--   
		Set @LINK_PP = NULL		
		IF @iCreatePP = 0 
		BEGIN
			EXEC dbo.X_SAVE_DOCUMENTS_PAY @LINK_PP OUT, @NUM_PP, @DATE_PP, @DATE_PROV, @SUMMA_PP, '',
				@pKIND, @pS_LINK, @pS_ACC_LINK, @pD_LINK, @pD_ACC_LINK,
				@SROK, @pORDER, @pPAYKIND, @pREASON,
				@pTARGETTEXT, @pNDS, @pBK_IN_TGT, @pPRINT_KPP,
				@pNDS_LINK, 'DOCUMENTS_PAY'

			EXEC dbo.X_SAVE_DOCUMENTS_PAY_ADD @LINK_PP OUT, @pDOH_LINK, @pSGU_LINK, @pOKATO, @pP_REASON,
				 @pPERIOD, @pTREBNUM, @DATE_PP, @pZERODATE, @pP_TYPE, @pSTATUS, @UIN
		END		 
		ELSE
		BEGIN
			EXEC dbo.X_SAVE_DOCUMENTS_PAY @LINK_PP OUT, @NUM_PP, @DATE_PP, @DATE_PROV, @SUMMA_PP, '',
				@pKIND, @pS_LINK, @pS_ACC_LINK, @pD_LINK, @pD_ACC_LINK,
				@SROK, @pORDER, NULL, DEFAULT, 
				@pTARGETTEXT, @pNDS, @pBK_IN_TGT, NULL,
				@pNDS_LINK, 'BB_ZAYAVKA_KR'

			SET @NDS_SUM = ISNULL(@SUMMA_PP * ISNULL(@pNDS,0) / 100, 0)

			EXEC dbo.X_SAVE_DOCUMENTS_PAY2 @LINK_PP, NULL, @BO_NUM, NULL, @AVANSE, @NDS_SUM, @SHORT

			EXEC dbo.X_SAVE_DOCUMENTS_PAY_ADD @LINK_PP, @pDOH_LINK, @pSGU_LINK, @pOKATO, @pP_REASON,
				 @pPERIOD, @pTREBNUM, @DATE_PP, @pZERODATE, @pP_TYPE, @pSTATUS, @UIN			
					
		END		 

		IF @SUBDIV_HEAD IS NOT NULL
			SET @Osnovanie = @Osnovanie + LEFT(CASE WHEN LEN(@Osnovanie) > 0 THEN ', ' else '' end + LTRIM(RTRIM(COALESCE(@SUBDIV_NAME,''))), 200)

		INSERT INTO dbo.sdoc_vedom_rko (LINK_VEDOM, LINK_RKO, LINK_PAYS, COMMENT) 
		VALUES(@LINK_DOC, @LINK_PP, @link_pay, @Osnovanie  + ' ' + @OBJ_SNAME + ' ' + CONVERT(VARCHAR(8), @NUM_PP)  + '  ' + CONVERT(VARCHAR(10),@DATE_PP,104))
		
		Set @order = 0

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
			SELECT 
				LINK_KBK = F.KBK,
				LINK_KAU = F.KAU,
				LINK_DOP_KL = F.DOP_KL,
				USER_ACC = F.USER_ACC,
				CODE_SFIN = F.CODE,
				SUMMA= SUM(CJ.SUMMA),
				PAYS_CODE = P.CODE
			FROM 
				dbo.CALCULATE_JURNAL CJ 
				INNER JOIN dbo.PAYS P ON (CJ.LINK_PAYS = P.LINK AND P.OBJECT = 2 AND P.WAY_CALC = 4)
				LEFT JOIN  dbo.SAL_SFIN F ON F.LINK = CJ.LINK_VKR
				LEFT JOIN #EMPL_INFO E ON E.LINK = CJ.LINK_EMPL
			WHERE 
				LINK_DOC = @LINK_DOC AND COALESCE(CJ.link_ekr,@LINK_EKR_DEFAULT) = @LINK_EKR AND F.SOURCE = @Fin_Source
				AND (@GROUP_BY_SUB = 1 AND SUBDIV_HEAD = @SUBDIV_HEAD OR @GROUP_BY_SUB = 0)
				AND CJ.LINK_VKR = @LINK_SFIN
			GROUP BY 
				F.KBK, F.KAU, F.SOURCE, F.DOP_KL, F.USER_ACC, F.CODE, P.CODE
			HAVING 
				SUM(CJ.SUMMA) >= 0
				
		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @LINK_KBK, @LINK_KAU, @LINK_DOP_KL,  @USER_ACC, @CODE_SFIN, @SUM_PROV, @PAYS_CODE
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN

				IF @Fin_Source = '0' BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
						'     \\ ',
						'SALARY'
					GOTO DO_NEXT
				END

				IF REPLACE(LTRIM(RTRIM(ISNULL(@DT_CODE_ACC,''))),'.','') = '' BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'       '+COALESCE(LTRIM(RTRIM(@PAYS_CODE)),''),
						'    '+COALESCE(LTRIM(RTRIM(@PAYS_CODE)),'')+'  .',
						'SALARY'
					GOTO DO_NEXT			
				END

				---			
				SET @P1 = NULL
				exec X_UPDATE_G_PROV1 @P1 output, @LINK_PP, NULL, @Osnovanie, 1
		
				Set @order = @order + 1

				---
				SET @Account1 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @DT_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
				SET @DT_FULL_CODE_ACC = @Fin_Source + '.' + @DT_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END
				
				IF COALESCE(@Account1,0) = 0 BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'      ' + @DT_FULL_CODE_ACC,
						'     ' + @DT_FULL_CODE_ACC,
						'SALARY'
					GOTO DO_NEXT
				END					
			
				---
				SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
					WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @DT_CODE_ACC) ) and A2.cSource <> '')

				IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
						'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
						'SALARY'
					GOTO DO_NEXT
				END

				--		
				SET @KD_CODE_ACC = (SELECT TOP 1 CODE_ACC FROM DBO.SAL_NASTR_PROV WHERE TYPE_OPER = 1 AND TYPE_DEP = @BUH_TYPE AND TYPE_FUNC = @Fin_Source)

				IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF		
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'     -  .  .     ' 
						+ ISNULL((SELECT TOP 1 BT_NAME FROM DBO.DICTIONARY_BUH_TYPE WHERE BUH_TYPE = @BUH_TYPE),'')
						+ '    ' + ISNULL((SELECT TOP 1 NAME FROM DBO.BB_FIN_SOURCE WHERE CODE = @Fin_Source),''),
						'       "     "       "   -  .  . ".',
						'SALARY'
					GOTO DO_NEXT
				END	

				SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
				SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END

				IF COALESCE(@Account2,0) = 0 BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'      ' + @KD_FULL_CODE_ACC,
						'     ' + @KD_FULL_CODE_ACC,
						'SALARY'
					GOTO DO_NEXT
				END
		
				---
				SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
					WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) ) and A2.cSource <> '')

				IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
						'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
						'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
						'SALARY'
					GOTO DO_NEXT
				END
				
				IF COALESCE(@Account1,0) > 0 AND COALESCE(@Account2,0) > 0 BEGIN
	
					SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
					IF COALESCE(@HOZ_OPER,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
							'           .        ',
							'SALARY'
						GOTO DO_NEXT
					END	
			
					set @P2 = null
					exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @Osnovanie, @HOZ_OPER, @order

					---
					SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
					IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
						SET @SGU = @LINK_EKR
	
					IF COALESCE(@SGU,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
							'       ',
							'SALARY'
						GOTO DO_NEXT
					END	
					exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @LINK_ORG /**/, NULL, NULL, NULL, NULL, @LINK_KAU, @pD_ACC_LINK /* */, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU

					---
					SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
					IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
						SET @SGU = @LINK_EKR
	
					IF COALESCE(@SGU,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
							'       ',
							'SALARY'
						GOTO DO_NEXT
					END	
					
					SET @pS_ACC_LINK = dbo.SA_GET_DEP_ACC(@LINK_DEP, @Account2, @LINK_SFIN, DEFAULT)

					UPDATE dbo.G_PROV SET ACC = @pS_ACC_LINK WHERE LINK = @LINK_PP

					exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @LINK_DEP /**/, @SUBDIV_HEAD, NULL, NULL, NULL, @LINK_KAU, @pS_ACC_LINK /* */, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU

				END
				
			END
			
			IF @iCreatePP = 1
				EXEC dbo.BB_ZAYAVKA_KR_CREATE_TABLE @LINK_PP
			
			FETCH NEXT FROM @Cur INTO @LINK_KBK, @LINK_KAU, @LINK_DOP_KL,  @USER_ACC, @CODE_SFIN, @SUM_PROV, @PAYS_CODE
		END
		
		CLOSE @Cur
		DEALLOCATE @Cur

		IF @@TRANCOUNT > @trancount BEGIN
			COMMIT TRAN
			SET IMPLICIT_TRANSACTIONS OFF
		END

		--- ,   
		DECLARE @TestBO tinyint
		exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_PP 
		IF @TestBO = 0
		BEGIN
			create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

			insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
			Exec dbo.XD_FORM_BO @LINK_PP

			IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
				FROM #tProtocol1	WHERE nSTATUS >= 1
			
			DROP TABLE #tProtocol1
				
		END				

	END

	DO_NEXT:
	FETCH NEXT FROM @CURSOR_EKR INTO @DATE_PP, @Osnovanie, @Add_Text, @link_pay, @SUMMA_PP, @pTARGETTEXT, @link_ekr, @DT_CODE_ACC, @Fin_Source, @LINK_ORG, @LINK_ACC, @LINK_DOH, @SUBDIV_HEAD, @SUBDIV_NAME, @LINK_SFIN
END

CLOSE @CURSOR_EKR
DEALLOCATE @CURSOR_EKR

Select LINK_RKO, COMMENT from dbo.sdoc_vedom_rko where LINK_VEDOM = @LINK_DOC

exec X_SALDO_CommitChanges

SET NOCOUNT OFF
Return 0
END


GO


GRANT EXECUTE ON dbo.[SA_CREATE_PP] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_N_VACATION_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_N_VACATION_SAVE]

GO

/*
  (Keysystems), 2005
*/
CREATE PROCEDURE [dbo].SD_N_VACATION_SAVE
	@LINK		int	OUTPUT,
	@Obj		varchar(30) = null,
	@Number		varchar(15) = null,
	@Date		datetime = null,
	@RefPay		int = null,
	@Comments	varchar(100) = '',
	@Flag		tinyint	= 0,
	@REF_EMPL	int = null,
	@Summa		numeric(15,2) = 0.0,	
	@Summa_Base	numeric(15,4) = 0.0,
	@Type_Period	varchar(50) = null,
	@Date1		datetime = null,
	@Date2		datetime = null,
	@SrPrem	numeric(15,2) = 0.0,
	@Payment			VARCHAR(50),
	@REF_ARHE		int,
	@SummaTotal		numeric(15,2) = 0.0,
	@TYPE int,
	@DATEPER datetime,
	@LINK_DEP INT = NULL,
	@INSTR TINYINT = 0

AS

DECLARE @ERROR	tinyint, @strVALUE	varchar(7000), @trancount	int, 	@soLink int, @RowCount int

SET @INSTR = COALESCE(@INSTR,1) - 1

SET @trancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

IF @REF_ARHE = 0
	SET @REF_ARHE = NULL	

IF @Number IS NULL OR @Number = ''  or @Date IS NULL OR @REF_EMPL IS NULL or @RefPay is null
BEGIN
	ROLLBACK
	RETURN 5
END

IF len(rtrim(@Obj)) = 0
BEGIN
	ROLLBACK
	RETURN 7	
END

SET @soLink = dbo.obj_id(@Obj)


EXECUTE @ERROR = [dbo].SALARY_UPD_SDOC @LINK OUTPUT, @soLink, @Number,@Date,@Comments,@Flag,null,@Summa, @LINK_DEP
IF @ERROR <> 0
	RETURN @ERROR


IF not exists(select link_up from [dbo].sdoc_avac  where link_up =@LINK)
	BEGIN
		INSERT INTO [dbo].sdoc_avac WITH (ROWLOCK) (LINK_UP,LINK_EMPL,LINK_PAY,DATE_BEGIN,SUMMA_TOTAL,SR_PREM,SUMMA_BASE,TYP_PERIOD,PAYMENT,REF_DOC,Date1,DATE2,Type,INSTR)
			VALUES (@LINK, @REF_EMPL,@RefPay,@DATEPER,@SummaTotal,@SrPrem,@Summa_Base,@Type_Period, @Payment,@REF_ARHE ,@Date1 ,@Date2,@TYPE,@INSTR)
		SELECT @ERROR = @@ERROR
		IF @ERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
ELSE
	BEGIN
		UPDATE [dbo].sdoc_avac WITH (ROWLOCK) 
		SET LINK_EMPL=@REF_EMPL,LINK_PAY=@RefPay,DATE_BEGIN=@DATEPER,SUMMA_TOTAL=@SummaTotal,SR_PREM=@SrPrem,
			SUMMA_BASE=@Summa_Base,TYP_PERIOD=@Type_Period,PAYMENT=@Payment,REF_DOC=@REF_ARHE,Date1=@Date1,DATE2=@Date2,Type=@TYPE
			,INSTR = @INSTR
		WHERE LINK_UP=@LINK
		SELECT @ERROR = @@ERROR, @RowCount = @@ROWCOUNT
		IF @ERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @RowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END

DELETE FROM [dbo].SDOC_AVAC_TABLE1  WHERE LINK_UP = @LINK
DELETE FROM [dbo].SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK
DELETE FROM [dbo].SDOC_AVAC_TABLE3  WHERE LINK_UP = @LINK


declare @EventText varchar(200)
SET @EventText = '   ' + RTRIM(LTRIM(convert(varchar(10),@Number))) + '  ' + CONVERT(VARCHAR(10),@Date,104)
EXECUTE WF_GENERATEEVENT ' ', @EventText, @soLink, 'SDOC',@LINK
IF @@TRANCOUNT > @trancount
	COMMIT TRAN
RETURN 0

GO


GRANT EXECUTE ON dbo.[SD_N_VACATION_SAVE] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_KU_EMPL_PLACING]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_KU_EMPL_PLACING]

GO

CREATE  PROCEDURE [dbo].[SYNCH_KU_EMPL_PLACING] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 899,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)

SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------


---  POST    
IF OBJECT_ID('tempdb..#POST') IS NOT NULL DROP TABLE #POST
CREATE TABLE #POST ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT , LINK_NEW INT)
SET @SQL = 
N'	
INSERT INTO #POST ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, right(ltrim(rtrim(ISNULL(p.CODE,''''))),6),P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [NAME] ,  [CODE]  ORDER BY [NAME] )
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL 
---
----------

--      
SET @ERR_MSG = NULL
SET @SQL = 
N'

UPDATE P 
SET LINK_NEW = p2.LINK 
FROM 
	#POST as p
	left join  ' + @DB + 'dbo.POST p2 on (p2.name ' + @COLLATE + ' = p.name) and right(ltrim(rtrim(ISNULL(p2.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(p.CODE,''''))),6)
WHERE 
 p.num = 1

 
'	
EXEC SP_EXECUTESQL @SQL


--    
SET @ERR_MSG = NULL
SET @SQL = 
N'

Delete from #POST 
WHERE 
 LINK_NEW is null
'	
EXEC SP_EXECUTESQL @SQL
 

---------- C  --------
IF OBJECT_ID('tempdb..#SUBDIV_HEAD') IS NOT NULL DROP TABLE #SUBDIV_HEAD
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK)
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null
FROM
	dbo.SUBDIV_HEAD H
	inner join dbo.DEPARTMENTS d on  d.link = h.dep_link
WHERE
	EXISTS (SELECT * FROM dbo.SUBDIV S WHERE S.LINK_UP = H.LINK)
	and (d.type = 4 or d.zb = 1)
'	
EXEC SP_EXECUTESQL @SQL 



---     
IF OBJECT_ID('tempdb..#SUBDIV') IS NOT NULL DROP TABLE #SUBDIV
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
	inner join #SUBDIV_HEAD h on h.link = S.LINK_UP
'	
EXEC SP_EXECUTESQL @SQL --, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + ' = D1.CODE  AND D2.INN ' + @COLLATE + ' = D1.INN  AND D2.KPP ' + @COLLATE + ' = D1.KPP  
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	

---   #subdiv_head  #subdiv       #DEPARTMENTS_SMETA_KS
  delete from #subdiv_head where dep not in (select link1 from #DEPARTMENTS_SMETA_KS ) 
  delete from  #subdiv where link_up not in (select link from #subdiv_head)

'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN



IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


----------

--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID]  = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'

	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE]  AND S2.[NAME] ' + @COLLATE + ' = S.[NAME] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK] )
	
	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN]  AND ( S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[NAME] ' + @COLLATE + ' = S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK]  AND  H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])

	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN] AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]= H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])	
	
'	
EXEC SP_EXECUTESQL @SQL



---------------------------------- 
----    --
----------------------------------
SET @ERR_MSG = NULL


IF OBJECT_ID('tempdb..#person') IS NOT NULL DROP TABLE #person
CREATE TABLE #person ([LINK] INT, [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT)


SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT #person ([LINK],[FM],[IM],[OT],[DOC_CODE],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[SNILS],[INN],[KLADR_CODE_REAL],[HOUSE_REAL],[CORP_REAL],[FLAT_REAL],[KLADR_CODE_OFIC],[HOUSE_OFIC],[DRIVER_DOC_NUM],[DRIVER_KLASS],[GUID])
SELECT [LINK],
	   [FM],
	   [IM],
	   [OT],
	   [DOC_CODE]= (SELECT TOP 1 code FROM dbo.face_document WHERE LINK = p.DOC_LINK),
	   [DOC_NUM],
	   [DOC_WHOM],
	   [DOC_DATE],
	   [SNILS] = left(ltrim(rtrim(p.INSUR_NUM)),11),
	   [INN],
	   [KLADR_CODE_REAL] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = P.[ADR_REAL_LINK] ),
	   [HOUSE_REAL],
	   [CORP_REAL],
	   [FLAT_REAL],
	   [KLADR_CODE_OFIC] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = p.[ADR_OFIC_LINK] ),
	   [HOUSE_OFIC],
	   [DRIVER_DOC_NUM],
	   [DRIVER_KLASS],
	   [GUID]  =  ISNULL([GUID],NEWID())
FROM dbo.person AS p
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
	--   GUID
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@DB+'dbo.[PERSON] P ON P.[GUID]  = T.[GUID]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2] 
	WHERE T.[GUID] IS NOT NULL

	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON P.[INN] ' + @COLLATE + ' = T.[INN]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2]
	WHERE T.[LINK_NEW] IS NULL AND P.[INN] ' + @COLLATE + ' <> ''''

	--    
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') = REPLACE(REPLACE(T.[DOC_NUM], ''-'', ''''), '' '', '''')
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2]
	WHERE T.[LINK_NEW] IS NULL AND REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') <> ''''
	
	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON LTRIM(RTRIM(P.[FM] ' + @COLLATE + ')) = T.[FM] AND LTRIM(RTRIM(P.[IM] ' + @COLLATE + '))= T.[IM] AND LTRIM(RTRIM(P.[OT] ' + @COLLATE + ')) = T.[OT]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2] 
	WHERE T.[LINK_NEW] IS NULL AND P.[FM] ' + @COLLATE + ' <> '''' AND P.[IM] ' + @COLLATE + ' <> ''''

	--   
	UPDATE T
	SET  [DOC_LINK] = D.[LINK]
		,[KLADR_LINK] = ISNULL(K1.[LINK], 0)
		,[ADR_OFIC_LINK] = ISNULL(K2.[LINK], 0)
	FROM #person T
	LEFT JOIN '+@db+'dbo.[FACE_DOCUMENT] D ON D.[CODE] ' + @COLLATE + ' =T.[DOC_CODE]
	LEFT JOIN '+@db+'dbo.[KLADR] K1 ON K1.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_REAL]
	LEFT JOIN '+@db+'dbo.[KLADR] K2 ON K2.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_OFIC]
	
	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID] IS NULL

	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM '+@db+'dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK_NEW]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID]  IS NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
			--   
			UPDATE P
			SET  [FM] = T.[FM]
				,[IM] = T.[IM]
				,[OT] = T.[OT]
				,[DOC_LINK] = T.[DOC_LINK]
				,[DOC_NUM] = T.[DOC_NUM]
				,[DOC_WHOM] = T.[DOC_WHOM]
				,[DOC_DATE] = T.[DOC_DATE]
				,[SNILS] = T.[SNILS]
				,[INN] = T.[INN]
				,[KLADR_LINK] = T.[KLADR_LINK]
				,[HOUSE] = LEFT(T.[HOUSE_REAL], 8)
				,[CORP] = T.[CORP_REAL]
				,[FLAT] = LEFT(T.[FLAT_REAL], 4)
				,[ADR_OFIC_LINK] = T.[ADR_OFIC_LINK]
				,[HOUSE_OFIC] = T.[HOUSE_OFIC]
				,[DRIVER_DOC_NUMBER] = LEFT(T.[DRIVER_DOC_NUM], 10)
				,[DRIVER_CLASS] = T.[DRIVER_KLASS]
			FROM '+@db+'[dbo].[PERSON] P
			JOIN #person T ON P.[LINK] = T.[LINK_NEW]
			WHERE T.[LINK_NEW] IS NOT NULL

'	

EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
 

IF OBJECT_ID('tempdb..#PERSON_SNEW') IS NOT NULL DROP TABLE #PERSON_SNEW
CREATE TABLE #PERSON_SNEW ( [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), LINK_DEP INT, [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_OLD] INT)


IF OBJECT_ID('tempdb..#tabLink') IS NOT NULL DROP TABLE #tabLink
CREATE TABLE #tabLink ([LINK_OLD] INT,[LINK_NEW] INT)

	

SET @ERR_MSG = NULL
SET @SQL = 
N'
	
	
		SELECT	 p.FM
				,p.IM
				,p.OT
				,p.DOC_LINK
				,p.DOC_NUM
				,p.DOC_WHOM
				,p.DOC_DATE
				,p.INN
				,p.KLADR_LINK
				,[HOUSE_REAL] = LEFT(p.HOUSE_REAL, 8)
				,p.CORP_REAL
				,FLAT_REAL = LEFT(p.FLAT_REAL, 4)
				,p.ADR_OFIC_LINK
				,p.HOUSE_OFIC
				,[LINK_DEP] = (select top 1 link2 from  #DEPARTMENTS_SMETA_KS )
				,DRIVER_DOC_NUM = LEFT(p.DRIVER_DOC_NUM, 10)
				,p.DRIVER_KLASS
				,p.SNILS
				,p.GUID
				,LINK_OLD = p.LINK
		INTO #PERSON_SNEW		 
		FROM #person  p 
			WHERE p.LINK_NEW IS NULL
		

		--   
			INSERT '+@DB+'dbo.[PERSON]([FM],[IM],[OT],[DOC_LINK],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[INN],[KLADR_LINK],[HOUSE],[CORP],[FLAT],[ADR_OFIC_LINK],[HOUSE_OFIC],[LINK_DEP],[DRIVER_DOC_NUMBER],[DRIVER_CLASS],[SNILS],[GUID])
			SELECT
				 [FM]
				,[IM]
				,[OT]
				,[DOC_LINK]
				,[DOC_NUM]
				,[DOC_WHOM]
				,[DOC_DATE]
				,[INN]
				,[KLADR_LINK]
				,[HOUSE_REAL]
				,[CORP_REAL]
				,[FLAT_REAL]
				,[ADR_OFIC_LINK]
				,[HOUSE_OFIC]
				,p.[LINK_DEP]
				,[DRIVER_DOC_NUM]
				,[DRIVER_KLASS]
				,[SNILS]
				,[GUID]
			FROM #PERSON_SNEW  p
			
			INSERT #tabLink([LINK_OLD],[LINK_NEW])
			SELECT
				LINK_OLD =a.LINK_OLD, 
				LINK_NEW = b.link
			FROM #PERSON_SNEW a
			inner join '+@DB+'dbo.[PERSON] b on b.[GUID] = a.[GUID] 
				
				
			UPDATE H
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person H
			JOIN #tabLink L ON H.[LINK] = L.[LINK_OLD]


'
EXEC SP_EXECUTESQL @SQL




DECLARE @srv VARCHAR(50) ,
		@db_n VARCHAR(50) 
	

IF (SELECT  PATINDEX ('%'+@@ServerName+'%' , @db  )) = 1
BEGIN 
	SET @srv = @@ServerName
END
ELSE BEGIN
     	SET @srv = SUBSTRING(@db, 1, CHARINDEX(']',@db) )
     END
	
SET @db_n = SUBSTRING(@db, len(@srv)+2, len(@db)-len(@srv) )

	---   PERSON    ,      
	SET @SQL = 
	N'
		CREATE table #REL_PERS (link int)
		INSERT INTO #REL_PERS
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_table FROM '+ @DB +'dbo.RELATIONS_PERSON(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null
		' ELSE ' EXEC( ''SELECT link_table FROM '+ @db_n +'dbo.RELATIONS_PERSON(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null'' ) AT ' +@srv+' 
		' END + '
		delete from '+ @DB +'dbo.[PERSON]
				where link  not in (select LINK_NEW from #person)
				and link not in (select isnull(link,0) from #REL_PERS)	

		drop table #REL_PERS
		  
	'	
	EXEC SP_EXECUTESQL @SQL		


SET @ERR_MSG = NULL
SET @SQL = 
N'
			UPDATE P
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person P
			JOIN #tabLink L ON P.[LINK] = L.[LINK_OLD]
'
EXEC SP_EXECUTESQL @SQL


------------------------------
-------------------------------



SET @ERR_MSG = NULL

IF OBJECT_ID('tempdb..#empl') IS NOT NULL DROP TABLE #empl
CREATE TABLE #empl([LINK] INT, [PERS_LINK] INT, [DEP_LINK] INT, [TAB] VARCHAR(10), [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT, [DEP_LINK_NEW] INT, [SACK] INT)

IF OBJECT_ID('tempdb..#emplPost') IS NOT NULL DROP TABLE #emplPost
CREATE TABLE #emplPost([EMPL_LINK] INT, [SUBDIV_LINK] INT, [POST_LINK] INT, [POST_NAME] VARCHAR(254), [DATE_BEGIN] DATETIME, [DATE_END] DATETIME , N int)
------------***************************************
SET @ERR_MSG = NULL
SET @SQL = 
N' 
INSERT #empl([LINK],[PERS_LINK],[DEP_LINK],[TAB],[GUID],[SACK])
select E.[LINK],E.[PERS_LINK],E.[DEP_LINK],E.[TAB],[GUID] = ISNULL(E.GUID,NEWID()), KU.SACK
from dbo.EMPL  E
INNER JOIN dbo.KU_EMPL_PLACING KU ON KU.LINK = E.LINK  /*where   status =1  */


		--       
;WITH T ([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END],[N]) AS
(
	SELECT
		 E.[LINK]
		,S.[SUBDIV_LINK]
		,S.[POST_LINK]
		,p.[NAME]
		,(CASE WHEN ROW_NUMBER() OVER(PARTITION BY E.[LINK],M.[STAFF_LINK] ORDER BY MIN(S.[DATE_BEGIN])) > 1 THEN MIN(S.[DATE_BEGIN]) ELSE MIN(M.[DATE_BEGIN]) END) as [DATE_BEGIN]
		,MAX(D.[DIS_DATE]) as [DATE_END]
		,ROW_NUMBER() OVER(PARTITION BY E.[LINK] ORDER BY MIN(S.[DATE_BEGIN]) DESC)
	FROM #empl E 
	JOIN dbo.SA_ITEM_MOVE M ON E.[LINK] = M.[EMPL_LINK] AND M.[NEW_FACE] IN (0,1,2) AND M.[ACTIVE] = 1
	LEFT JOIN dbo.ITEM_DIS_FACE D ON E.[LINK] = D.[EMPL_LINK] AND D.[ACTIVE] = 1
	JOIN dbo.STAFF S ON M.[STAFF_LINK] = S.[LINK_UP] AND S.[DATE_END] > M.[DATE_BEGIN] AND M.[DATE_END3] > S.[DATE_BEGIN] AND (D.[DIS_DATE] IS NULL OR S.[DATE_BEGIN] < D.[DIS_DATE])
	join dbo.post p on p.link = S.[POST_LINK] 
	GROUP BY E.[LINK],M.[STAFF_LINK],S.[SUBDIV_LINK],S.[POST_LINK], p.name
)
INSERT #emplPost([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END], [N])
SELECT
	 T1.[EMPL_LINK]
	,T1.[SUBDIV_LINK]
	,T1.[POST_LINK]
	,t1.[POST_NAME]
	,T1.[DATE_BEGIN]
	,CASE WHEN T1.[N] = 1 THEN T1.[DATE_END] ELSE DATEADD(dd, -1, T2.[DATE_BEGIN]) END [DATE_END]
	,t1.N
FROM T T1
LEFT JOIN T T2 ON T1.[EMPL_LINK] = T2.[EMPL_LINK] AND T1.[N] = (T2.[N] + 1)
ORDER BY T1.[EMPL_LINK],T1.[DATE_BEGIN]
'	
EXEC SP_EXECUTESQL @SQL



SET @ERR_MSG = NULL
SET @SQL = 
N'
	
		UPDATE E
		SET [DEP_LINK_NEW] = D.[LINK2]
		FROM #empl E
		JOIN #DEPARTMENTS_SMETA_KS D ON E.[DEP_LINK] = D.[LINK1]
		
		delete from #empl where  [DEP_LINK_NEW] is null 
		--   GUID
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN '+@DB+'dbo.[EMPL] E ON E.[GUID] = T.[GUID]
		WHERE T.[GUID] IS NOT NULL 
		and ltrim(rtrim(e.tab ' + @COLLATE + ')) = ltrim(rtrim(t.tab))

		--      GUID
		UPDATE E
		SET [TAB] = T.[TAB], [PERS_LINK] = T.[PERS_LINK]
		FROM '+@DB+'dbo.[EMPL] E
		JOIN #empl T ON E.[LINK] = T.[LINK_NEW]
		
		--      
		--          
		UPDATE T
		SET [LINK_NEW] = T2.[LINK] 
		FROM #empl T
		INNER JOIN DBO.KU_EMPL_PLACING KU ON T.LINK = ku.LINK  
		LEFT JOIN (SELECT LINK, DEP_LINK, TAB, FIO, NUM = ROW_NUMBER() OVER (PARTITION BY DEP_LINK, TAB, FIO ORDER BY LINK) FROM '+@DB+'dbo.v_empl) T2 ON 
		T.[DEP_LINK_NEW] = T2.[DEP_LINK]
		--left JOIN '+@DB+'dbo.[EMPL] E ON T.[DEP_LINK_NEW] = E.[DEP_LINK] AND T.[TAB] = E.[TAB]
		WHERE /* t.pers_link = 17166 and */  T2.NUM = 1 AND T2.[TAB] ' + @COLLATE + ' = T.[TAB] AND t2.fio ' + @COLLATE + ' = ku.fio AND T.[LINK_NEW] IS NULL AND T.[TAB] IS NOT NULL AND T.[TAB] <> ''''
	
	
		--    
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN #person P ON T.[PERS_LINK] = P.[LINK]
		JOIN '+@DB+'dbo.[EMPL] E ON E.[DEP_LINK]  = T.[DEP_LINK_NEW]  AND E.[PERS_LINK] = P.[LINK_NEW] 
		WHERE T.[LINK_NEW] IS NULL and E.[TAB] ' + @COLLATE + ' = T.[TAB]

'	
EXEC SP_EXECUTESQL @SQL




SET @ERR_MSG = NULL
SET @SQL = 
N'

		update ep
		set post_link = (select top 1 link from #post where num = 1 and name = ep.post_name)
		from #emplPost ep where not exists( select * from #post where link = ep.post_link)
		
		DELETE E
		FROM #empl E
		JOIN #emplPost P ON E.[LINK] = P.[EMPL_LINK]
		LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
		WHERE S.[NEW_link] IS NULL OR D.[LINK_NEW] IS NULL

		--   
		DELETE E
		FROM '+@DB+'dbo.[EMPL_POST] E
		JOIN #empl T ON E.[LINK_UP] = T.[LINK_NEW]
'	
EXEC SP_EXECUTESQL @SQL


		--LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		--LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
	---   EMPL    ,      
	SET @SQL = 
	N'
		CREATE table #REL_EMPL (link int)
		INSERT INTO #REL_EMPL
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT DISTINCT link_table FROM '+ @DB +'dbo.RELATIONS_EMPL(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null
		' ELSE 'EXEC(''SELECT DISTINCT link_table FROM '+ @db_n +'dbo.RELATIONS_EMPL(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null '') AT ' +@srv+' 
		' END + '

		
		delete from '+ @DB +'dbo.[EMPL]
				where link not in (select LINK from #EMPL)
				and link not in (select link from #REL_EMPL)	
				and dep_link in (select link2 from #DEPARTMENTS_SMETA_KS) 
		drop table #REL_EMPL
		 
	'	


	EXEC SP_EXECUTESQL @SQL	


--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

SET @ERR_MSG = NULL
SET @SQL = 
	N'
				
		
		SELECT DISTINCT
			 P.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,E.[GUID]
			,link_old = E.link
			,E.[SACK]
		INTO #empl_snew 
		FROM #empl E
		inner JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		WHERE E.[LINK_NEW] IS NULL AND E.[DEP_LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND E.[SACK] = 0
		order by P.[LINK_NEW],E.[TAB],E.[DEP_LINK_NEW],E.[GUID],E.link


		--       
		INSERT '+@DB+'dbo.[EMPL]([PERS_LINK],[TAB],[DEP_LINK],[PHONE_S],[PHONE_M],[EMAIL],[FIO],[COMMENT],[GUID])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,''''
			,''''
			,''''
			,''''
			,''''
			,E.[GUID]
		FROM #empl_snew E

		INSERT #PROTOKOL (OP, LINK, NEW_LINK)
		SELECT
			''A'',
			link =s.LINK_OLD , 
			NEW_LINK = e1.link 
		FROM #empl e
		--INNER JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		inner join '+@DB+'dbo.[EMPL] e1 on e1.[GUID]  = e.[GUID] 
		INNER JOIN #empl_snew s on s.[GUID]  = e1.[GUID] AND S.[SACK] = 0
		WHERE e.[LINK_NEW] IS NULL	
				
		--select * from #PROTOKOL
		UPDATE E
		SET [LINK_NEW] = L.[NEW_LINK]
		FROM #empl E
		JOIN #PROTOKOL L ON E.[LINK] = L.[LINK]


'	
EXEC SP_EXECUTESQL @SQL


	
INSERT INTO #EXEC ([text]) SELECT
	'
	
		---             (     ),     , 
		---              ,      
		delete 
			from #emplpost 
			where empl_link in (
								select min(ep.empl_link)
								from  #emplpost ep
								inner join #empl e on e.link = ep.empl_link  
								GROUP BY e.pers_link , DATE_BEGIN,DATE_END 
								having count(*)> 1 ) 
	
		--   
		INSERT '+@DB+'dbo.[EMPL_POST]([LINK_UP],[POST_LINK],[SUBDIV_LINK],[DATE_BEG],[DATE_END])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,P.[LINK_NEW]
			,S.[NEW_link]
			,EP.[DATE_BEGIN]
			,EP.[DATE_END]
		FROM #empl E
		JOIN #emplPost EP ON EP.[EMPL_LINK] = E.[LINK]
		JOIN #Post P ON P.[LINK] = EP.[POST_LINK] 
		JOIN #subdiv_head S ON  S.[LINK] = EP.[SUBDIV_LINK]
		WHERE E.[LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND S.[NEW_link] IS NOT null 
		ORDER BY  E.[LINK_NEW] ,P.[LINK_NEW] ,S.[NEW_link] 	,EP.[DATE_BEGIN] ,EP.[DATE_END]
	'	
IF EXISTS (SELECT text FROM #EXEC)
EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

END



GO


GRANT EXECUTE ON dbo.[SYNCH_KU_EMPL_PLACING] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_N_VAC_FILL2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_N_VAC_FILL2]

GO

CREATE      PROCEDURE dbo.SA_N_VAC_FILL2 
---     562  
(
 @LINK_DOC INT OUTPUT, --  .	
 @OBJ_CODE VARCHAR(50), -- 
 @SR_VID TINYINT = 1, --     1 -   , 2 - 
 @LINK_VAC INT, --  
 @SR_LINK_EMPL INT  = NULL, --       
 @LINK_PAYS INT = NULL, --   
 @TYP_PERIOD TINYINT  = NULL, --  : 1- 3 , 2 - 12 
 @PAYMENT TINYINT  = NULL,--   1 -   , 2 -   
 @SR_DATE1 DATETIME  = NULL,--         
 @SR_DATE2 DATETIME  = NULL,--         
 @SR_DATE DATETIME  = NULL,--           
 @RECALC TINYINT = 0, -- 0  .     3 
			-- 1 -      
			-- 2 -     
			-- 3 -     
 @OPER TINYINT = 0, -- 1 -  ,
 @LINK_DEP INT = NULL
)
AS

SET NOCOUNT ON

SET @PAYMENT = 2 --     
--    
SET @TYP_PERIOD = CASE WHEN COALESCE(@TYP_PERIOD,0) = 0 THEN
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT2')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT1')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 1
				ELSE NULL
			END
		ELSE @TYP_PERIOD END

SET @TYP_PERIOD = 2 -- 12 

--   
SET @PAYMENT = CASE WHEN COALESCE(@PAYMENT,0) = 0 THEN
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT3')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT2')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 2
				ELSE NULL
			END
		ELSE @PAYMENT END

---
DECLARE 
 @LINK_EMPL INT, --  
 @DATE_BEGIN DATETIME, -- , 
 @DATE_BEGIN2 DATETIME, -- , 
 @DATE_END DATETIME, -- , 
 @REF_TYP INT, --   , 
 @order_link int, 
 @NEW_DATE_END DATETIME,
 @NEW_DATE_BEG DATETIME,
 @UCHET_PREM TINYINT,
 @comment varchar(100),
 @HOLIDAY TINYINT

DECLARE @UNAME VARCHAR(30)
SET @UNAME = CASE WHEN DBO.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT10') = 1 THEN COALESCE(dbo.AdminGetUserFIO(default),'') ELSE '' END
SET @UNAME = @UNAME + CASE WHEN LEN(@UNAME) > 0 THEN ':' ELSE '' END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_ADD_FURLOUGH'
BEGIN

	SELECT @LINK_EMPL = EMPL_LINK, @LINK_PAYS = COALESCE(@LINK_PAYS,LINK_PAYS), 
		@DATE_BEGIN = DATE_BEGIN,
		@SR_DATE = COALESCE(@SR_DATE, (select min(DATE_BEGIN) from dbo.ITEM_VACATION IV1 WHERE IV1.order_link = IV.order_link and IV1.EMPL_LINK = IV.EMPL_LINK)), 
		@DATE_END = DATE_END,
		@REF_TYP = IV.TYPE_LINK, @order_link = order_link,
		@comment = @UNAME + '.:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(VV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@HOLIDAY = VV.HOLIDAY, --  ,
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_VACATION IV ON IV.ORDER_LINK = O.LINK
		INNER JOIN dbo.VACATION_VID VV ON IV.TYPE_LINK = VV.LINK WHERE IV.LINK = @LINK_VAC

	DECLARE	@DATE_BREAK DATETIME	--    
	DECLARE	@DATE_BREAK_NEW_BEGIN DATETIME	--    

	-- :  ,        
	IF EXISTS(SELECT * FROM ITEM_VACATION_BREAK IVB WHERE IVB.ACTIVE = 1 AND ISNULL(BREAK_WORK_DAYS,0) != 0 AND IVB.VAC_LINK = @LINK_VAC) BEGIN

		DECLARE @BREAK_WORK_DAYS INT	--    
		DECLARE @LEN_KAL_DAYS INT	--    
		DECLARE @EMPL_LINK INT		--   
		--
		SELECT	TOP 1
			@EMPL_LINK = EMPL_LINK,
			@DATE_BREAK = DATE_BREAK,
			@BREAK_WORK_DAYS = BREAK_WORK_DAYS,
			@LEN_KAL_DAYS = LEN_KAL_DAYS
		FROM	ITEM_VACATION_BREAK IVB
		WHERE	IVB.ACTIVE = 1
			AND ISNULL(BREAK_WORK_DAYS,0) != 0
			AND IVB.VAC_LINK = @LINK_VAC
		--
		SET ROWCOUNT @BREAK_WORK_DAYS
		SELECT	T.DATE
		INTO	#TEMP_TABLE
		FROM
		(
		SELECT	[DATE]  = dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD)),
			[HOURS] = MAX(HOURS)
		FROM	GRAPHICS G INNER JOIN dbo.GRAPHIC_DAYS GD ON GD.LINK_UP=G.LINK 
		WHERE	G.GRAPH_LINK = dbo.kd_GetEmplGr(@EMPL_LINK)
			AND dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD)) BETWEEN @DATE_BREAK AND @DATE_BREAK + @BREAK_WORK_DAYS + @LEN_KAL_DAYS
		GROUP	BY dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD))
		) T
		WHERE	T.HOURS > 0
			AND T.DATE >= @DATE_BREAK
		SET ROWCOUNT 0
		--
		SET @DATE_BREAK_NEW_BEGIN = (SELECT TOP 1 DATE + 1 FROM #TEMP_TABLE ORDER BY DATE DESC)
		--SET @NEW_DATE_END = @DATE_BREAK_NEW_BEGIN + @LEN_KAL_DAYS - 1
		SET @NEW_DATE_END = @DATE_END + @LEN_KAL_DAYS - 1 + 1  --      
			
	
		DROP TABLE #TEMP_TABLE
		SET @DATE_END = COALESCE(@NEW_DATE_END,@DATE_END)
	END 
	ELSE BEGIN
		SET @NEW_DATE_END = (SELECT MIN(ivb.DATE_BREAK - 1) FROM dbo.item_vacation iv inner join dbo.item_vacation_break ivb on ivb.vac_link = iv.link WHERE ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
		SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) <  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)
	END
	-- :    
	SET @NEW_DATE_END = (SELECT MAX(ivb.NEW_DATE_END) FROM item_vacation iv inner join item_vacation_dis ivb on ivb.vac_link = iv.link WHERE  ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
	SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) >  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)
END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_TRAVEL'
BEGIN
	SELECT @LINK_EMPL = EMPL_LINK, @LINK_PAYS = COALESCE(@LINK_PAYS,LINK_PAYS), 
		@SR_DATE = COALESCE(@SR_DATE, DATE_BEGIN), 
		@DATE_BEGIN = DATE_BEGIN, @DATE_END = DATE_END, 
		@REF_TYP = IT.TYPE_LINK,
		@comment = @UNAME + '..:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(KV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.item_travel IT ON IT.ORDER_LINK = O.LINK
		INNER JOIN dbo.KOMAND_VID KV ON IT.TYPE_LINK = KV.LINK WHERE IT.LINK = @LINK_VAC

	-- :   
	SET @NEW_DATE_END = (SELECT MAX(ivb.NEW_DATE_END) FROM item_travel iv inner join item_travel_long ivb on ivb.TRAVEL_LINK = iv.link WHERE ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
	SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) >  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)

END

DECLARE @PDAY NUMERIC(5,2)
SET @PDAY = 0	

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG' 
BEGIN

	SELECT @LINK_EMPL = EMPL_LINK, 
		@SR_DATE = COALESCE(@SR_DATE, DIS_DATE), 
		@DATE_BEGIN = DIS_DATE, 
		@DATE_END = DIS_DATE + CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END,
		@PDAY = CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN VAC_KOMPENS_DAY - CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END,
		@REF_TYP = IT.REASON,
		@comment = @UNAME + '. .:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(KV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_DIS_FACE IT ON IT.ORDER_LINK = O.LINK
		INNER JOIN [dbo].[DICTION] KV ON IT.REASON = KV.LINK 
	WHERE IT.LINK = @LINK_VAC AND ISNULL(VAC_KOMPENS_DAY,0) > 0

	IF @LINK_EMPL IS NULL
		SELECT @LINK_EMPL = @SR_LINK_EMPL, @comment = @UNAME + '..:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(P.[NAME])),30)
		FROM dbo.PAYS P WHERE LINK = @LINK_PAYS

	SELECT @LINK_DEP = DEP_LINK FROM DBO.USER_DEP WHERE @LINK_DEP IS NULL

END


---    
IF (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' 
	OR @OBJ_CODE = 'DOCUMENTS_CALC_TRAVEL' 
	OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
	SET @UCHET_PREM = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT8'),1)
ELSE
	SET @UCHET_PREM = 0

---

DECLARE 
 @SystPay INT,
 @RP INT, --   
 @DATE_BEGIN_RP DATETIME, --  
 @DATE_END_RP DATETIME, --  
 @DATE_BEGIN_WRK DATETIME, --  
 @DATE_END_WRK DATETIME, --  
 @LINK_PERS INT, --  .
 @DEP_LINK INT,
 @MAX_DATE DATETIME,
 @I INT,
 @varKSsoLink INT,
 @NO_RAION TINYINT

SET @RP = (CASE @TYP_PERIOD WHEN 1 THEN 3 WHEN 2 THEN 12 ELSE 0 END)

SELECT TOP 1 
 @LINK_PERS = PERS_LINK,  @SystPay = SYST_PAY, @DEP_LINK = DEP_LINK, 
 @DATE_BEGIN_RP = dbo.kd_DateBeginWork(LINK,@DATE_BEGIN), 
 @DATE_END_RP = dbo.kd_DateEndWork(LINK,@DATE_BEGIN), 
 @MAX_DATE = '29990101',
 @NO_RAION = ISNULL(NO_RAION,0)
FROM dbo.EMPL WHERE LINK = @LINK_EMPL

declare @EmplNumStake numeric(5,2)
Set @EmplNumStake = Coalesce(dbo.ku_GetEmplNumStake(@LINK_EMPL,DEFAULT),0)

DECLARE @MINROT NUMERIC(18,2)

	SET @MINROT = dbo.minrot2(@DATE_BEGIN) * @EmplNumStake

---  
IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG'
	SELECT @DATE_BEGIN_RP = @SR_DATE, @DATE_END_RP = dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)), @DATE_BEGIN = @SR_DATE1, @DATE_END = @SR_DATE2, @LINK_EMPL = @SR_LINK_EMPL
ELSE
	SELECT 
	@DATE_BEGIN_RP = dbo.DateBeginOfMonth( CASE WHEN @DATE_BEGIN_RP > @SR_DATE THEN @DATE_BEGIN_RP ELSE @SR_DATE END),
	@DATE_END_RP = dbo.DateEndOfMonth( CASE WHEN COALESCE(@DATE_END_RP,@MAX_DATE) < dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)) THEN COALESCE(@DATE_END_RP,@MAX_DATE) ELSE dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)) END ),
	@SR_VID = 1

---   ,    
DECLARE @NUMBER VARCHAR(10), @DATE_DOC DATETIME
IF COALESCE(@LINK_DOC,0)  = 0
BEGIN
	exec dbo.SALARY_NEXT_NUM @NUMBER OUT, @OBJ_CODE
	SET @DATE_DOC = (Select top 1 WORKDATE from USER_DATES)
	exec dbo.SD_N_VACATION_SAVE @LINK_DOC OUT,@OBJ_CODE, @NUMBER, @DATE_DOC, @LINK_PAYS, @comment, 0, @LINK_EMPL, 0, 0, @TYP_PERIOD, 
			@DATE_BEGIN, @DATE_END, 0, @PAYMENT, @LINK_VAC, 0, @SR_VID, @DATE_BEGIN_RP, @LINK_DEP, 2
END
ELSE
	SET @DATE_DOC = (SELECT [DATE] FROM DBO.SDOC WHERE LINK = @LINK_DOC)

--
UPDATE dbo.SDOC_AVAC 
SET INSTR = 2
WHERE LINK_UP = @LINK_DOC

DECLARE @DEFAULT_KBK INT
SET @DEFAULT_KBK = (Select TOP 1 KBK.LINK_KBK FROM dbo.KU_EmplStafKBK(default) KBK WHERE KBK.LINK_EMPL = @LINK_EMPL)
SET @DEFAULT_KBK = ISNULL((SELECT CH.NEW_LINK FROM dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH WHERE CH.LINK = @DEFAULT_KBK),@DEFAULT_KBK)

--
IF @RECALC <= 1  ---     
BEGIN
	---   
	CREATE TABLE #BASE1 (
		PERIOD DATETIME,
		CODE_PAY VARCHAR(254),
		NAME_PAY VARCHAR(254), 
		WAY_CALC INT,
		LINK_PAY INT,
		SUMMA NUMERIC(18,2),
		LINK_VKR INT,
		DATE1 DATETIME,
		DATE2 DATETIME,
		KOEF  NUMERIC(18,4),
		SUMMA_CL NUMERIC(18,2),
		p tinyint
	)


	/*          */
	UPDATE B SET B.LINK_VKR = CH.NEW_LINK
	FROM #BASE1 B INNER JOIN dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH ON CH.LINK = B.LINK_VKR	

	DECLARE @FURLOUGH_GOS_OPT1 int --    1/12   
	SET @FURLOUGH_GOS_OPT1 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT1')

	DECLARE @FURLOUGH_GOS_OPT2 int --     1/12   
	SET @FURLOUGH_GOS_OPT2 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT2')

	DECLARE @DOCUMENTS_RECALC_OPT1 INT --    
	SET @DOCUMENTS_RECALC_OPT1 = dbo.SA_GET_OPTION_BY_CODE('DOCUMENTS_RECALC_OPT1')
	IF ISNULL(@DOCUMENTS_RECALC_OPT1,0) NOT IN (1,2) 
		SET @DOCUMENTS_RECALC_OPT1 = 1

	IF @RECALC = 0 BEGIN
		--     
		INSERT INTO #BASE1 (PERIOD, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, LINK_VKR, DATE1, DATE2, p)
		Select 
			PERIOD_BEGIN = CASE WHEN COALESCE(R.LINK_UP,0) = 0 THEN dbo.DateBeginOfMonth(PERIOD_BEGIN) ELSE dbo.DateBeginOfMonth(DATE1) END,
			CODE_PAY = SJ.CODE_PAYS,
			NAME_PAY = SJ.NAME_PAYS,
			WAY_CALC = SJ.WAY_CALC,
			LINK_PAY = SJ.LINK_PAYS,
			SUMMA = SUM(SJ.SUMMA),
--			SUMMA = CASE SJ.WAY_CALC
--					WHEN 6 THEN (CASE WHEN @FURLOUGH_GOS_OPT1 = 1 THEN ROUND(SUM(SJ.SUMMA)/12,2) ELSE SUM(SJ.SUMMA) END) 
--					WHEN 7 THEN (CASE WHEN @FURLOUGH_GOS_OPT1 = 1 THEN ROUND(SUM(SJ.SUMMA)/12,2) ELSE SUM(SJ.SUMMA) END) 
--					WHEN 12 THEN (CASE WHEN @FURLOUGH_GOS_OPT2 = 1 THEN ROUND(SUM(SJ.SUMMA)/12,2) ELSE SUM(SJ.SUMMA) END) 
--				END,
			LINK_VKR = COALESCE(LINK_VKR,@DEFAULT_KBK),
			DATE1, 
			DATE2,
			1
		from dbo.S_J_C_Short SJ
			INNER JOIN dbo.group_pays(@LINK_PAYS) T ON SJ.link_PAYS=T.PAY_LINK
			--      ,   
			LEFT JOIN dbo.SDOC_AREC R ON SJ.LINK_DOC = R.LINK_UP 
		where 
			SJ.LINK_EMPL = @LINK_EMPL	
			AND (CASE WHEN COALESCE(R.LINK_UP,0) = 0 OR @DOCUMENTS_RECALC_OPT1 = 2 THEN PERIOD_BEGIN ELSE DATE1 END) >= @DATE_BEGIN_RP
			AND (CASE WHEN COALESCE(R.LINK_UP,0) = 0 OR @DOCUMENTS_RECALC_OPT1 = 2  THEN PERIOD_END ELSE DATE2 END) <= @DATE_END_RP
			AND SJ.WAY_CALC in (6,7,12)--   
		GROUP BY 
			CASE WHEN COALESCE(R.LINK_UP,0) = 0 THEN dbo.DateBeginOfMonth(PERIOD_BEGIN) ELSE dbo.DateBeginOfMonth(DATE1) END,
			SJ.CODE_PAYS, SJ.NAME_PAYS, SJ.WAY_CALC, SJ.LINK_PAYS, COALESCE(LINK_VKR,@DEFAULT_KBK), DATE1,  DATE2				
	END

	--  

	DECLARE @DATE_BEGIN_RP_OLD DATETIME
	SELECT @DATE_BEGIN_RP_OLD = @DATE_BEGIN_RP

	SET @DATE_BEGIN_RP = dbo.DateBeginOfMonth(@DATE_BEGIN)

	INSERT INTO #BASE1 (PERIOD, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, LINK_VKR, DATE1, DATE2, p)
	select @DATE_BEGIN_RP, P.CODE, P.NAME, P.WAY_CALC, S.LINK_PAY, S.SUMMA, S.LINK_KBK, @DATE_BEGIN_RP, dbo.DateEndOfMonth(@DATE_BEGIN), 0  
	from 
		dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @DATE_BEGIN, DEFAULT, @LINK_DEP) S
		inner join dbo.pays P on s.link_pay = p.link
	where 
		WAY_CALC not in (6, 7, 12)
		AND
		s.link_pay IN (Select T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)

	SELECT @DATE_BEGIN_RP = @DATE_BEGIN_RP_OLD

	---
	UPDATE #BASE1 SET LINK_VKR = @DEFAULT_KBK WHERE LINK_VKR IS NULL

	---
	DECLARE @FURLOUGH_OPT11 int --     
	--    "  ",    
	SET @FURLOUGH_OPT11 = (CASE WHEN @NO_RAION = 1 THEN 0 ELSE dbo.sa_get_option_by_code('FURLOUGH_OPT11') END)

	DECLARE @FURLOUGH_GOS_OPT4 varchar(10) --     . 
	SET @FURLOUGH_GOS_OPT4 = COALESCE((SELECT VALUE FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('FURLOUGH_GOS_OPT4'))) AND SID IS NULL),'')
	SET @FURLOUGH_GOS_OPT4 = CASE WHEN @FURLOUGH_GOS_OPT4 LIKE '%.  .%' THEN '' ELSE @FURLOUGH_GOS_OPT4 END

	SET @FURLOUGH_GOS_OPT4 = CASE WHEN LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) = '' THEN '01.01.1900' else LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) END

	----
	UPDATE #BASE1
	SET SUMMA_CL = SUMMA

	---  ,  

	UPDATE #BASE1
	SET SUMMA = COALESCE(SUMMA_CL,0) *
			CASE WHEN WAY_CALC = 12
			THEN (CASE WHEN PERIOD >= CONVERT(DATETIME,@FURLOUGH_GOS_OPT4,104) THEN 1 + DBO.SA_GET_REGION(@LINK_EMPL,PERIOD,1) / 100 ELSE 1 END) 
			ELSE 1 + DBO.SA_GET_REGION(@LINK_EMPL,PERIOD,1) / 100
			END
	WHERE 
		@FURLOUGH_OPT11 = 1	

	---  ,  
	DECLARE @FURLOUGH_GOS_OPT5 int --     
	SET @FURLOUGH_GOS_OPT5 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT5')

	IF @FURLOUGH_GOS_OPT5 = 1 BEGIN
		DECLARE @NORTH_KOEF NUMERIC(6,2)
		SET @NORTH_KOEF = DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEGIN,2) / 100
	
		UPDATE #BASE1
		SET SUMMA = COALESCE(SUMMA,0) + COALESCE(SUMMA_CL,0) * @NORTH_KOEF
		WHERE @NORTH_KOEF > 0
	END

	--- ,      
	DECLARE @KBK_OPT TINYINT
	IF (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
		SET @KBK_OPT = dbo.sa_get_option_by_code('FURLOUGH_OPT7')
	ELSE			
		SET @KBK_OPT = 0

	/*          */
	UPDATE B SET B.LINK_VKR = CH.NEW_LINK
	FROM #BASE1 B INNER JOIN dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH ON CH.LINK = B.LINK_VKR

	IF @RECALC = 0 BEGIN
		---
		Select PERIOD = MAX(PERIOD), PERIOD1 = (YEAR(PERIOD) * 100 + MONTH(PERIOD)), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, 
			summa = SUM(SUMMA), KOEF= 1, LINK_VKR = (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), DATE1, DATE2 
		INTO #BASE
		from #BASE1 
		where p = 1
		group by (YEAR(PERIOD) * 100 + MONTH(PERIOD)), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), DATE1, DATE2 

		--   
		DECLARE @PAYS_MONTS VARCHAR(100)
		EXEC X_GET_TABLE_NAME @PAYS_MONTS OUTPUT

		---
		EXEC M_CROSS_TABLE
			'LINK_PAY, LINK_VKR',
			'PERIOD1', 'INT',
			'SUMMA', 'NUMERIC(18,2)', 'SUM(SUMMA) AS SUMMA',
			'#BASE', @PAYS_MONTS

		DECLARE @PAYS_MONTS1 VARCHAR(100)
		SET @PAYS_MONTS1 = @PAYS_MONTS + '1'

		EXEC M_CROSS_TABLE
			'LINK_PAY, LINK_VKR',
			'PERIOD1', 'INT',
			'KOEF', 'NUMERIC(18,4)', 'MAX(KOEF) AS KOEF',
			'#BASE', @PAYS_MONTS1

		DELETE FROM dbo.SDOC_AVAC_TABLE3  WHERE LINK_UP = @LINK_DOC
		
		DECLARE @SCRIPT VARCHAR(8000)
		SET @SCRIPT = ' INSERT INTO dbo.SDOC_AVAC_TABLE3 (LINK_UP, ORDERS, LINK_PAY, LINK_KBK, SUMMA1, KOEF1, SUMMA2, KOEF2, SUMMA3, KOEF3, SUMMA4, KOEF4, SUMMA5, KOEF5, SUMMA6, KOEF6, 
					SUMMA7, KOEF7, SUMMA8, KOEF8,  SUMMA9, KOEF9, SUMMA10, KOEF10, SUMMA11, KOEF11,  SUMMA12, KOEF12)'  
				+ ' Select ' + CONVERT(VARCHAR(20),@LINK_DOC) + ', 0, P1.LINK_PAY, P1.LINK_VKR'  
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
			+ ' from ' + @PAYS_MONTS + ' P1 LEFT JOIN ' + @PAYS_MONTS1 + ' P2 ON P1.LINK_PAY = P2.LINK_PAY AND P1.LINK_VKR = P2.LINK_VKR' 
		exec (@SCRIPT)
		
		SET @I = 0
		UPDATE dbo.SDOC_AVAC_TABLE3  
		SET @I = @I+1, ORDERS = @I
		WHERE LINK_UP = @LINK_DOC
	END --IF @RECALC = 0 BEGIN
	
END -- IF @RECALC <= 1

IF @RECALC < = 1 ---    
BEGIN
	---- 
	DECLARE @WTIME TABLE(M INT, Y INT, DAYS NUMERIC(18,2), HOURS NUMERIC(18,2), DAYS_NORM NUMERIC(18,2), HOURS_NORM NUMERIC(18,2))

	--   
	INSERT INTO @WTIME (M,Y)
	SELECT m,y 
	FROM dbo.months_ex(@DATE_BEGIN_RP, @DATE_END_RP)

	---
	DECLARE @TABLE2 TABLE (Y INT, M INT, LINK_KBK INT, SUMMA_ZP NUMERIC(18,2), SUMMA_PR NUMERIC(18,2), SUMMA_MAT NUMERIC(18,2))
	INSERT INTO @TABLE2
	SELECT  
		T.Y,
		T.M,
		COALESCE(B.LINK_KBK,@DEFAULT_KBK),
		SUMMA_ZP = SUM( CASE WHEN coalesce(PAYMENT,0) not in (6,7,12) THEN coalesce(SUMMA,0) ELSE 0 END),
		SUMMA_PR = SUM( CASE WHEN coalesce(PAYMENT,0) in (6,7) THEN (CASE WHEN @FURLOUGH_GOS_OPT1 = 1 THEN ROUND(coalesce(SUMMA,0)/12,2) ELSE coalesce(SUMMA,0) END) ELSE 0 END),
		SUMMA_MAT = SUM( CASE WHEN coalesce(PAYMENT,0) = 12 THEN (CASE WHEN @FURLOUGH_GOS_OPT2 = 1 THEN ROUND(coalesce(SUMMA,0)/12,2) ELSE coalesce(SUMMA,0) END) ELSE 0 END)
	FROM 
		@WTIME T LEFT JOIN 
		(
		Select PERIOD = DATEADD(MONTH,0,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,0,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,0,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA1,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA1,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,1,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,1,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,1,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA2,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA2,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,2,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,2,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,2,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA3,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA3,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,3,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,3,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,3,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA4,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA4,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,4,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,4,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,4,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA5,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA5,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,5,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,5,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,5,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA6,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA6,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,6,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,6,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,6,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA7,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA7,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,7,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,7,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,7,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA8,0) 
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA8,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,8,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,8,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,8,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA9,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA9,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,9,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,9,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,9,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA10,0) 
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA10,0) <> 0 
	UNION ALL
		Select PERIOD = DATEADD(MONTH,10,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,10,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,10,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA11,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA11,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,11,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,11,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,11,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA12,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3 WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA12,0) <> 0
	) AS B ON T.Y = YEAR(B.PERIOD) AND T.M = MONTH(B.PERIOD)
	GROUP BY
		T.Y, T.M, B.LINK_KBK

	-----
	DELETE FROM dbo.SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK_DOC

	INSERT INTO dbo.SDOC_AVAC_TABLE2 (LINK_UP, ORDERS, PERIOD, LINK_KBK, SUMMA, PREM, DAYS, HOURS, DAYS_N, HOURS_N, MATER)
	SELECT  @LINK_DOC, 0, dbo.ConvertDMY2Date(1, M, Y), 
	LINK_KBK, 
	SUMMA_ZP,
	SUMMA_PR, 
	0,0,0,0,SUMMA_MAT
	FROM @TABLE2
	ORDER BY Y, M, LINK_KBK

	INSERT INTO dbo.SDOC_AVAC_TABLE2 (LINK_UP, ORDERS, PERIOD, LINK_KBK, SUMMA, PREM, DAYS, HOURS, DAYS_N, HOURS_N, MATER)
	SELECT  @LINK_DOC, 0, @DATE_BEGIN, 
	(CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), 
	sum(SUMMA),
	0, 
	0,0,0,0,0
	FROM #BASE1
	where p = 0
	group by (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end)

	SET @I = 0
	UPDATE dbo.SDOC_AVAC_TABLE2  
	SET @I = @I+1, ORDERS = @I
	WHERE LINK_UP = @LINK_DOC


END	--IF @RECALC < = 1

IF @RECALC < = 2 ---       
BEGIN		



	---       
	DECLARE @INDEX TABLE ([DATE] DATETIME, [DATE2] DATETIME, SUMMA NUMERIC(18,2), INDEX_VAL NUMERIC(18,10))

	INSERT INTO @INDEX
	SELECT DISTINCT 
		[DATE] = CASE WHEN @DATE_BEGIN >= DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END, 
		NULL,
		0,
		1
	FROM 
		DBO.DICTIONARY_PAYS_EMPL_FN(@DATE_END, @LINK_EMPL, DEFAULT, DEFAULT, @DEP_LINK, DEFAULT) S
	WHERE
		S.WAY_CALC not in (6, 7, 12)
		AND
		s.LINK_PAYS IN (Select T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)	

		
	UPDATE A
	SET A.DATE2 = ISNULL((SELECT MIN(B.[DATE])-1 FROM @INDEX B WHERE B.[DATE] > A.[DATE]),@DATE_END)
	FROM @INDEX A
		
	DECLARE @Cur1 CURSOR, @Cur2 CURSOR, @NEXT_DATE DATETIME, @NEXT_DATE2 DATETIME, @INDEX_VAL NUMERIC(18,10)
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR SELECT [DATE] FROM @INDEX ORDER BY [DATE]

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @NEXT_DATE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			UPDATE @INDEX 
			SET SUMMA = (SELECT SUM(SUMMA) FROM dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @NEXT_DATE, DEFAULT, @LINK_DEP) WHERE LINK_SOVM = 0)
			WHERE [DATE] = @NEXT_DATE

			SET @INDEX_VAL = 1
		
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR SELECT [DATE] FROM @INDEX WHERE [DATE] <= @NEXT_DATE ORDER BY [DATE]
			OPEN @Cur2
			FETCH NEXT FROM @Cur2 INTO @NEXT_DATE2
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN
					SET @INDEX_VAL = @INDEX_VAL 
					* (CASE WHEN (SELECT TOP 1 SUMMA FROM @INDEX WHERE [DATE] < @NEXT_DATE2 ORDER BY [DATE] DESC) <> 0
						THEN
							(SELECT SUMMA / (SELECT TOP 1 SUMMA FROM @INDEX WHERE [DATE] < @NEXT_DATE2 ORDER BY [DATE] DESC) FROM @INDEX WHERE [DATE] = @NEXT_DATE2)
						ELSE 1
						END)
				END
				FETCH NEXT FROM @Cur2 INTO @NEXT_DATE2
			END

			CLOSE @Cur2
			DEALLOCATE @Cur2				

			UPDATE @INDEX 
			SET INDEX_VAL = @INDEX_VAL
			WHERE [DATE] = @NEXT_DATE
			
		END

		FETCH NEXT FROM @Cur1 INTO @NEXT_DATE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1

	--- 
	DECLARE @PERIODY TABLE (DATE_BEGIN DATETIME, DATE_END DATETIME, INDEX_VAL NUMERIC(18,10), DH_NORM NUMERIC(18,2))
	DECLARE @PERIODY_DOP TABLE (NUM INT IDENTITY(1,1), DATE_BEGIN DATETIME, DATE_END DATETIME, T TINYINT)

		--- 1.     
	if @DATE_BREAK IS NULL
		INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
		SELECT 
			DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  
		from dbo.months_ex(@DATE_BEGIN, @DATE_END)
	ELSE
	BEGIN
		SET @DATE_BREAK = @DATE_BREAK -1
		
		INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
		select 
			DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN  @DATE_BREAK < dbo.DateEndOfMonth(DATE_BEGIN) THEN  @DATE_BREAK ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  
		from dbo.months_ex(@DATE_BEGIN, @DATE_BREAK)
		UNION ALL
		select 
			DATE_BEGIN = (CASE WHEN @DATE_BREAK_NEW_BEGIN > DATE_BEGIN THEN @DATE_BREAK_NEW_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  			
		from dbo.months_ex(@DATE_BREAK_NEW_BEGIN, @DATE_END)

	END

	--  
	INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
	SELECT DATE_BEGIN = [DATE], DATE_END = [DATE2], 2 FROM @INDEX	

	DECLARE @A TABLE (NUM INT, [DATE] DATETIME, T INT)
	DECLARE @MIN_D DATETIME, @MAX_D DATETIME
	SELECT @MIN_D = MIN(DATE_BEGIN), @MAX_D = MAX(DATE_END) FROM @PERIODY_DOP

	INSERT INTO @A (NUM, [DATE], T)
	SELECT P.NUM, [DATE], T 
	FROM
		@PERIODY_DOP P
		INNER JOIN dbo.days_ex(@MIN_D, @MAX_D) D ON D.[DATE] BETWEEN P.DATE_BEGIN AND P.DATE_END
	ORDER BY P.NUM		

	DECLARE @T1 TABLE (NUM1 INT, [DATE] DATETIME, NUM2 INT)

	INSERT INTO @T1 (NUM1, [DATE], NUM2)
	SELECT A1.NUM, A1.[DATE], A2.NUM
	FROM @A A1 INNER JOIN @A A2 ON A1.[DATE] = A2.[DATE]
	WHERE A1.T = 1 AND A2.T = 2
	UNION
	SELECT A2.NUM, A2.[DATE], A1.NUM
	FROM @A A1 INNER JOIN @A A2 ON A1.[DATE] = A2.[DATE]
	WHERE A1.T = 1 AND A2.T = 2

	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, INDEX_VAL)
	SELECT 
		DATE_BEGIN, DATE_END,
		INDEX_VAL = ISNULL((SELECT INDEX_VAL FROM @INDEX I WHERE T.[DATE_BEGIN] BETWEEN I.DATE AND I.DATE2 AND T.[DATE_END] BETWEEN I.DATE AND I.DATE2),1)
	FROM (
		SELECT DISTINCT DATE_BEGIN = MIN([DATE]), DATE_END = MAX([DATE]) FROM @T1 GROUP BY NUM1, NUM2	
		) T	

	----
	UPDATE @PERIODY
	SET DH_NORM = DATEDIFF(DAY,DATE_BEGIN, DATE_END)+1 - (CASE WHEN @HOLIDAY = 1 THEN dbo.SA_HOLIDAY_COUNT_FN(DATE_BEGIN,DATE_END) ELSE 0 END) + @PDAY

	---
	DECLARE @REP_SUMMA_PR NUMERIC(18,2), @SUMMA_ZP NUMERIC(18,2), @SUMMA_PR NUMERIC(18,2), @PNORM NUMERIC(18,2), @PWORK NUMERIC(18,2), 
		@SR_ZP NUMERIC(18,2), @AvgDays NUMERIC(18,2), @DAYS_SZ NUMERIC(18,2)
	SET @AvgDays = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT4'),29.4)
	
	---	
	SELECT 
		@SUMMA_ZP = COALESCE(SUM(SUMMA),0), 
		@SUMMA_PR = COALESCE(SUM(PREM),0) + COALESCE(SUM(MATER),0),
		@REP_SUMMA_PR = SUM(PREM)
	FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC

	---	
	SET @SR_ZP = CASE WHEN @AvgDays <> 0 THEN (@SUMMA_ZP + @SUMMA_PR) / @AvgDays ELSE 0 END
		
	DECLARE @KBK_KOEF TABLE (LINK_KBK INT, KOEF NUMERIC(18,4))
	DECLARE @S NUMERIC(18,2)
	SET @S = COALESCE((SELECT SUM(SUMMA) + SUM(PREM) + SUM(MATER) FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC),0)

	INSERT INTO @KBK_KOEF (LINK_KBK, KOEF) 
	SELECT LINK_KBK, CASE WHEN @S <> 0 THEN (SUM(SUMMA) + SUM(PREM) + SUM(MATER)) / @S ELSE 0 END
	FROM dbo.SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK_DOC 
	GROUP BY LINK_KBK
	
	---
	DELETE FROM dbo.SDOC_AVAC_TABLE1  WHERE LINK_UP = @LINK_DOC


	INSERT INTO dbo.SDOC_AVAC_TABLE1 (LINK_UP, ORDERS, DATE1, DATE2, [DAYS], [HOURS], SR_ZP, SUMMA, LINK_KBK, KOEF_KBK, KOEF_IDX)
	SELECT @LINK_DOC, 0, DATE_BEGIN, DATE_END, 
		DH_NORM,
		ISNULL(CONVERT(NUMERIC(10,2),dbo.NORM_HOUR_DH(@LINK_EMPL,DATE_BEGIN,DATE_END)),0),
		SR_ZP = @SR_ZP,
		0,
		K.LINK_KBK,	
		K.KOEF,
		P.INDEX_VAL
	FROM @PERIODY P INNER JOIN @KBK_KOEF K ON 1=1
	ORDER BY DATE_BEGIN

	UPDATE sdoc_avac WITH (ROWLOCK) 
	SET 
		LINK_EMPL = @LINK_EMPL, LINK_PAY=@LINK_PAYS, DATE_BEGIN=@DATE_BEGIN_RP, SUMMA_TOTAL = @SUMMA_ZP, SR_PREM=@SUMMA_PR, 
			TYP_PERIOD=@TYP_PERIOD, SUMMA_BASE = @SR_ZP, 
		PAYMENT=@PAYMENT, REF_DOC = @LINK_VAC, DATE1 = @DATE_BEGIN, DATE2 = @DATE_END, [TYPE] = @SR_VID
	WHERE 
		LINK_UP = @LINK_DOC

	--       ,    
	IF dbo.sa_get_option_by_code('FURLOUGH_OPT6') = 1 AND (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
		UPDATE dbo.SDOC_AVAC_TABLE1
		SET SR_ZP = case when SR_ZP < dbo.minrot2(DATE1) / (datediff(day,dbo.DateBeginOfMonth(DATE1),dbo.DateEndOfMonth(DATE1)) + 1) 
			then	
				dbo.minrot2(DATE1) / (datediff(day,dbo.DateBeginOfMonth(DATE1),dbo.DateEndOfMonth(DATE1)) + 1)
			else	
				SR_ZP 
			end
	WHERE LINK_UP = @LINK_DOC

END --@RECALC <= 2 

-----------------------------------------
Select CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR, DAYS = SUM(CJ.DAYS), HOURS = SUM(CJ.HOURS), SUMMA = SUM(SUMMA)
INTO #SUM_OLD
from 
	dbo.SDOC_AVAC SA inner join dbo.CALCULATE_JURNAL CJ on CJ.LINK_DOC = SA.LINK_UP
	inner join dbo.sdoc d on CJ.LINK_DOC = d.link 
where
	COALESCE(@LINK_VAC,0) > 0
	AND
	SA.REF_DOC = @LINK_VAC
	and
	d.object = (Select top 1 link from s_objects where code = @OBJ_CODE)
GROUP BY
	CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR

DECLARE @INDEX_ZP INT, @INDEX_PREM INT
SET @INDEX_ZP = 1
SET @INDEX_PREM = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT6')

----  
UPDATE dbo.SDOC_AVAC_TABLE1
SET SUMMA_NEW = CONVERT(NUMERIC(18,2), T.SR_ZP * T.[DAYS] * KOEF_KBK) 
	+ CASE WHEN KOEF_IDX > 1 AND @INDEX_ZP = 1 THEN 
		CONVERT(NUMERIC(18,4), (CASE WHEN @AvgDays <> 0 THEN SUMMA_TOTAL / @AvgDays ELSE 0 END) * T.[DAYS] * KOEF_KBK * (KOEF_IDX-1) )
	  ELSE 
		0	
	  END
	+ CASE WHEN KOEF_IDX > 1 AND @INDEX_PREM = 1 THEN 
		CONVERT(NUMERIC(18,4), (CASE WHEN @AvgDays <> 0 THEN SR_PREM / @AvgDays ELSE 0 END) * T.[DAYS] * KOEF_KBK * (KOEF_IDX-1) )
	  ELSE 
		0		
	  END,	  
	 SUMMA_OLD = COALESCE(SO.SUMMA,0),
	[DAYS] = COALESCE(T.DAYS,0) - COALESCE(SO.DAYS,0), 
	[HOURS] = COALESCE(T.HOURS,0) - COALESCE(SO.HOURS,0)
FROM dbo.sdoc_avac A INNER JOIN dbo.SDOC_AVAC_TABLE1 T ON A.LINK_UP = T.LINK_UP
	LEFT JOIN #SUM_OLD SO ON T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR
WHERE T.LINK_UP = @LINK_DOC AND KOEF_KBK IS NOT NULL AND SR_ZP IS NOT NULL

--  ,   
insert into dbo.SDOC_AVAC_TABLE1 (link_up, ORDERS, DATE1, DATE2, DAYS, HOURS, SUMMA, LINK_KBK, SR_ZP, KOEF_KBK, SUMMA_OLD, SUMMA_NEW)
Select @LINK_DOC, 0, DATE_BEGIN, DATE_END, -DAYS, -HOURS, 0, LINK_VKR, 0, 1, SO.SUMMA, 0
from #SUM_OLD SO
where 
	NOT EXISTS (Select * from dbo.SDOC_AVAC_TABLE1 T where T.LINK_UP = @LINK_DOC and T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR)

---- 
UPDATE dbo.SDOC_AVAC_TABLE1
SET SUMMA = COALESCE(SUMMA_NEW,0) - COALESCE(SUMMA_OLD,0)
WHERE LINK_UP = @LINK_DOC


---
SET @I = 0
UPDATE dbo.SDOC_AVAC_TABLE1  
SET @I = @I+1, ORDERS = @I
WHERE LINK_UP = @LINK_DOC

---
DECLARE @SUMMA NUMERIC(18,2)
SELECT @SUMMA = COALESCE((SELECT SUM(SUMMA) FROM dbo.SDOC_AVAC_TABLE1 WHERE LINK_UP = @LINK_DOC),0), @SUMMA_ZP = COALESCE(@SUMMA_ZP,0), @SUMMA_PR = COALESCE(@SUMMA_PR,0)
---
SELECT @NUMBER = NUMBER,  @DATE_DOC = [DATE] from dbo.SDOC WHERE LINK = @LINK_DOC
---  
SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = @OBJ_CODE
EXECUTE dbo.SALARY_UPD_SDOC @LINK_DOC OUTPUT, @varKSsoLink, @NUMBER,@DATE_DOC,@comment,0,null,@SUMMA, @LINK_DEP

IF @OPER = 1 
	exec dbo.SD_N_VACATION_PROV @LINK_DOC, @OBJ_CODE

SET NOCOUNT OFF



GO


GRANT EXECUTE ON dbo.[SA_N_VAC_FILL2] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_SUBDIVISION]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_SUBDIVISION]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_SUBDIVISION] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 38,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)



SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
------------------
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK_S  INT, LINK_OLD_S INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK_S , LINK_OLD_S )
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null , NULL
FROM
	dbo.SUBDIV_HEAD H
	inner join dbo.DEPARTMENTS d on  d.link = h.dep_link
	INNER JOIN (
	SELECT link_UP = max(link_UP) , code , name , date_begin ,date_end 
	FROM dbo.SUBDIV S 
	group by  code , name , date_begin ,date_end  )  ss ON  H.LINK = ss.link_up 
WHERE 
	(d.type = 4 or d.zb = 1)
GROUP BY H.DEP_LINK, H.LINK,H.[GUID], ss.link_up  	
	ORDER BY link_up
'	
EXEC SP_EXECUTESQL @SQL 

---     
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT , link_self_new int, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
	inner join #SUBDIV_HEAD h on h.link = S.LINK_UP


'	
EXEC SP_EXECUTESQL @SQL 

-----

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(isnull(D.CODE,''))) + '/' + LTRIM(RTRIM(isnull(D.INN,''))) + '/' + LTRIM(RTRIM(isnull(D.KPP,'')))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE isnull(DD.CODE,'') = isnull(D.CODE,'') AND isnull(DD.INN,'') = isnull(D.INN,'') AND isnull(DD.KPP,'') = isnull(D.KPP,''))
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(isnull(D.CODE,''))) + '/' + LTRIM(RTRIM(isnull(D.INN,''))) + '/' + LTRIM(RTRIM(isnull(D.KPP,'')))	
			FOR XML PATH('')
		), 2, 3000)
	

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END

----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	

---   #subdiv_head  #subdiv       #DEPARTMENTS_SMETA_KS
  delete from #subdiv_head where dep not in (select link1 from #DEPARTMENTS_SMETA_KS ) 
  delete from  #subdiv where link_up not in (select link from #subdiv_head)
'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID]  
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT 
		WHERE 
			SU.LOGINAME  = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


----------
SET @ERR_MSG = NULL
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)
--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'



UPDATE H
SET [NEW_LINK_S] = H2.[LINK]
FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID] = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL

SET @ERR_MSG = NULL
SET @SQL = 
N'


	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK_S] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN] AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]= S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[CODE] ' + @COLLATE + '=S.[CODE] AND S2.[NAME] ' + @COLLATE + '=S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK_S] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]=sh.[NEW_LINK_S])

	--   
	UPDATE H
	SET [NEW_LINK_S] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]=S.[DATE_BEGIN] AND (S2.[DATE_END]=S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[NAME] ' + @COLLATE + '=S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]  = H2.[LINK]  AND  H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK_S] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK] = sh.[NEW_LINK_S])

	--   
	UPDATE H
	SET [NEW_LINK_S] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] =S.[DATE_BEGIN] AND (S2.[DATE_END] =S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + '=S.[CODE]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[LINK] =S2.[LINK_UP] AND H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK_S] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK] =sh.[NEW_LINK_S])	

	--  link_self_new  #subdiv 
	UPDATE s
	set link_self_new = h.new_link_s
		from 
		#subdiv s 
		inner join (select s1.link,s1.NEW_LINK_S , su1.link_self   from #subdiv_head s1 inner join #subdiv su1 on isnull(su1.link_self,null) =  isnull(s1.link,null) ) as h on h.link_self  = s.link_self 
	where s.link_self = h.link

'	
EXEC SP_EXECUTESQL @SQL

	
SET @ERR_MSG = NULL
SET @SQL = 
N'

--      
   DELETE S
   FROM '+@DB+'dbo.[SUBDIV] s where S.[LINK_UP] in ( 
   select [NEW_LINK_S] from  #subdiv_head H  )

--  GUID    
   UPDATE H
   SET [GUID] = T.[GUID]
   FROM '+@DB+'dbo.[SUBDIV_HEAD] H
   JOIN #subdiv_head T ON H.[LINK] = T.[NEW_LINK_S]
   WHERE T.[GUID] IS NOT NULL AND H.[GUID]  IS NULL

 
--  GUID   -      (      )
   UPDATE H
   SET [GUID] = T.[GUID]
   FROM dbo.[SUBDIV_HEAD] H
   JOIN #subdiv_head T ON H.[LINK] = T.[LINK]
   WHERE T.[GUID] IS NOT NULL AND H.[GUID] IS NULL	

'	
EXEC SP_EXECUTESQL @SQL


--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


DECLARE @srv VARCHAR(50) ,
		@db_n VARCHAR(50) 
	

IF (SELECT  PATINDEX ('%'+@@ServerName+'%' , @db  )) = 1
BEGIN 
	SET @srv = @@ServerName
END
ELSE BEGIN
     	SET @srv = SUBSTRING(@db, 1, CHARINDEX(']',@db) )
     END
	
SET @db_n = SUBSTRING(@db, len(@srv)+2, len(@db)-len(@srv) )
	---   SUBDIV_HEAD    ,      


	SET @SQL = 
	N'

		CREATE table #REL_SUB (link int)
		INSERT INTO #REL_SUB
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_table FROM '+ @DB +'dbo.RELATIONS_SUBDIV_HEAD(NULL, DEFAULT) WHERE [TYPE] = 1  
				and ([table_name]  != ''SUBDIV_HEAD'' or [table_name]  != ''SUBDIV'') and str_link  is not null
		' ELSE ' EXEC( ''SELECT link_table FROM '+ @db_n +'dbo.RELATIONS_SUBDIV_HEAD(NULL, DEFAULT) WHERE [TYPE] = 1  
				and ([table_name]  != ''''SUBDIV_HEAD'''' or [table_name]  != ''''SUBDIV'''') and str_link  is not null'' ) AT ' +@srv+' 
		' END + ' 
		
		
	delete from '+ @DB +'dbo.[SUBDIV_HEAD]
				where link  not in (select new_link_S from #subdiv_head)
				and link  not in (select isnull(link,0) from #REL_SUB)
				and dep_link in (select link2 from #DEPARTMENTS_SMETA_KS) 	
		drop table #REL_SUB

	'	

	EXEC SP_EXECUTESQL @SQL			

---     dbo.[SUBDIV_HEAD_SNEW]             
IF (EXISTS(SELECT 1 FROM #subdiv_head WHERE [NEW_LINK_S] IS NULL))
BEGIN

	SET @ERR_MSG = NULL
	
	SET @ERR_MSG = NULL
	SET @SQL = 
	N'
				
			--       
				SELECT LINK = h.link,  [DEP_LINK] = d.[link2],[GUID] = h.[GUID], link_old = h.[LINK], [NEW_LINK_S]
				INTO #SUBDIV_HEAD_SNEW
				FROM #subdiv_head h
				inner join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
				WHERE [NEW_LINK_S] IS NULL

	
				INSERT '+ @DB +'dbo.[SUBDIV_HEAD]([DEP_LINK],[GUID])
				SELECT [DEP_LINK],[GUID]
				FROM #SUBDIV_HEAD_SNEW

				INSERT #PROTOKOL (OP, LINK, NEW_LINK)
				SELECT  
					''A'',
					link =S.LINK_OLD, 
					NEW_LINK = a.link
				FROM #subdiv_head h
				inner join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
				inner join '+ @DB +'dbo.[SUBDIV_HEAD] a on a.[GUID] = h.[GUID] 
				inner join #SUBDIV_HEAD_SNEW S ON S.[GUID]= a.[GUID] 
				WHERE h.[NEW_LINK_S] IS NULL	
	
			
				
				UPDATE H
				SET [NEW_LINK_S] = L.[NEW_LINK]
				FROM #subdiv_head H
				JOIN #PROTOKOL L ON H.[LINK] = L.[LINK]
			
				--select * from 	#subdiv_head 
				--select * from '+ @DB +'dbo.[SUBDIV_HEAD]
				--select * from  #subdiv_head

	'	
	EXEC SP_EXECUTESQL @SQL

	
END 


INSERT INTO #EXEC ([text]) SELECT
'
 
 
		--   
		INSERT '+@DB+'dbo.[SUBDIV]([LINK_UP],[CODE],[NAME],[LINK_SELF],[ORDERS],[LIM],[DATE_BEGIN],[DATE_END],[OBOSOB],[O_OKATO],[O_KPP])
		SELECT
			 H.[NEW_LINK_s]
			,S.[CODE]
			,S.[NAME]
			,H2.[NEW_LINK_s]
			,S.[ORDERS]
			,S.[LIM]
			,S.[DATE_BEGIN]
			,[DATE_END] =  case when S.[DATE_END] = ''99991231'' then null else S.[DATE_END] end
			,S.[OBOSOB]
			,S.[O_OKATO]
			,S.[O_KPP]
		FROM #subdiv_head H
		JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
		LEFT JOIN #subdiv_head H2 ON S.[LINK_SELF] = H2.[LINK] 
		where H.[NEW_LINK_s] is not null
		GROUP BY H.[NEW_LINK_s],S.[CODE],S.[NAME],H2.[NEW_LINK_s],S.[ORDERS],S.[LIM],S.[DATE_BEGIN], S.[DATE_END] ,S.[OBOSOB],S.[O_OKATO],S.[O_KPP]

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN
----  

UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END



GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_SUBDIVISION] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PP_BY_VEDOM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PP_BY_VEDOM]

GO

CREATE PROCEDURE [dbo].[SA_CREATE_PP_BY_VEDOM] 
			@LINK_PP INT OUTPUT,
			@LINK_VEDOM INT,
			@DATE_DOC DATETIME

AS BEGIN

---
Set @LINK_PP = Coalesce((SELECT TOP 1 R.LINK_RKO 
						FROM dbo.sdoc_vedom_rko R
							INNER JOIN dbo.G_PROV G ON R.LINK_RKO = G.LINK
							INNER JOIN dbo.S_OBJECTS O ON O.LINK = G.[OBJECT]
						WHERE 
							O.CODE IN ('DOCUMENTS_RKO', 'DOCUMENTS_PAY', 'BB_ZAYAVKA_KR')
							AND
							LINK_vedom = @LINK_VEDOM),0)

IF @LINK_PP <> 0 BEGIN

	Select R.LINK_RKO, R.COMMENT from dbo.sdoc_vedom_rko R
			INNER JOIN dbo.G_PROV G ON R.LINK_RKO = G.LINK
			INNER JOIN dbo.S_OBJECTS O ON O.LINK = G.[OBJECT]
	where 
		O.CODE IN ('DOCUMENTS_RKO', 'DOCUMENTS_PAY', 'BB_ZAYAVKA_KR') 
		AND
		R.LINK_VEDOM = @LINK_VEDOM
	
	RETURN 0
END

/*    */
delete from SAL_WORNINGS WHERE SID = SUSER_SID() AND TASK ='SALARY'

DECLARE 
	@NUM_PP 	VARCHAR(25),
	@NUM_VEDOM	VARCHAR(20),
	@DATE_VEDOM  	DATETIME,
	@SUMMA_PP	numeric(19,2),
	@DEP_LINK	INT,
	@var_EKR_LINK_adv	INT,
	@REF_EMPL	INT,
	@Osnovanie VARCHAR(254),
	@Add_text VARCHAR(254),
	@link_pay INT,
	@TYP_PAYMENT TINYINT,
	@LINK_CARD INT,
	@pTARGETTEXT     VARCHAR(1000),
	@Cur CURSOR, 
	@CUR_F CURSOR,
	@SUM_PROV NUMERIC(18,2), 
	@ORDER INT, 
	@Account1 INT, 
	@Account2 INT,	
	@HOZ_OPER INT, 
	@P1 FLOAT, 
	@P2 FLOAT, 
	@SGU INT,
	@LINK_KBK INT, 
	@LINK_KAU INT, 
	@LINK_DOP_KL INT, 
	@USER_ACC VARCHAR(4), 
	@CODE_SFIN VARCHAR(30), 
	@Fin_Source CHAR(1),
	@LINK_EKR INT,
	@MONTH_BASE INT,
	@YEAR_BASE INT,
	@ACC_CODE VARCHAR(30),
	@UIN VARCHAR(20)
	

DECLARE @trancount INT, @ERROR as INT

CREATE TABLE #tmp (CODE VARCHAR(254), [TNAME] VARCHAR(254), LINK INT, [ANAME] VARCHAR(254), REF_LINK_B INT, REF_LINK_K INT)

DECLARE @iCreatePP INT
SELECT @iCreatePP = dbo.sa_get_option_by_code('XB_NASTR_ZAYAVKA_KR_OR_PP')

/*   */
DECLARE @SHABLON_LINK INT, @OBJ_SNAME VARCHAR(10)
IF @iCreatePP = 0
	SELECT	@SHABLON_LINK = dbo.sa_get_option_by_code('VEDOM_OPTIONS_OPT9'),
			@OBJ_SNAME = ''
ELSE
	SELECT	@SHABLON_LINK = dbo.sa_get_option_by_code('VEDOM_OPTIONS_OPT15'),
			@OBJ_SNAME = ''

---
IF NOT EXISTS (SELECT * FROM G_PROV WHERE LINK = @SHABLON_LINK)
BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '      ',
	'   ' + @OBJ_SNAME + '     ,  ' + @OBJ_SNAME + ' ,     .',
	'   .',
	'SALARY'
	GOTO DO_END
END

---
DECLARE
	@pKIND           CHAR(50),
	@pS_LINK         INT,		
	@pS_ACC_LINK     INT,
	@pD_LINK         INT,		
	@pD_ACC_LINK     INT,
	@pORDER          CHAR(1),
	@pPAYKIND        CHAR(5),
	@pREASON         CHAR(5),
	@pSBANK_LINK     INT,	
	@pDBANK_LINK     INT,
	@pNDSKIND        VARCHAR(100),
	@pNDS            INT,
	@pBK_IN_TGT      tinyint,
	@pPRINT_KPP      tinyint,
	@pNDS_LINK       INT,
	@pDOG_LINK       INT,
	--
	@AVANSE TINYINT,
	@SHORT BIT,
	@BO_NUM char(10),
	@NDS_SUM NUMERIC(18,2)	


IF @iCreatePP = 0
	-- 
	SELECT  @pKIND = PP.KIND,
		@pD_LINK = PP.D_LINK,
		@pD_ACC_LINK = PP.D_ACC_LINK,
		@pORDER = PP.[ORDER],
		@pPAYKIND = PP.PAYKIND,
		@pREASON = PP.REASON,
		@pSBANK_LINK = PP.SBANK_LINK,		
		@pDBANK_LINK = PP.DBANK_LINK,		
		@pNDSKIND = PP.NDSKIND,	
		@pNDS = PP.NDS,
		@pBK_IN_TGT = PP.BK_IN_TGT,
		@pPRINT_KPP = PP.PRINT_KPP,
		@pNDS_LINK = PP.NDS_LINK,
		@pDOG_LINK = PP.DOG_LINK,
		@pTARGETTEXT = RTRIM(LTRIM(PP.TARGETTEXT)),
		@UIN = ISNULL(ppA.UIN_CODE,'')
	FROM dbo.DOCUMENTS_PAY PP
		LEFT JOIN dbo.DOCUMENTS_PAY_ADD PPA on PP.LINK = PPA.LINK
	WHERE PP.LINK = @SHABLON_LINK
ELSE
	SELECT  
		@AVANSE = ISNULL(AVANSE,0), --  
		@pKIND = KIND, -- 
		@pD_LINK = KOR_LINK, -- 
		@pD_ACC_LINK = KOR_ACC_LINK, --   
		@pORDER = [ORDER], --      
		@pNDS = NDS, --   
		@pNDS_LINK = NDS_LINK, --   
--		@SROK 		= SROK, --  
		@SHORT = ISNULL(SHORT,0), --   
		@pTARGETTEXT = RTRIM(LTRIM(TARGETTEXT)), -- ,
		@BO_NUM = ISNULL(BO_NUM,''),
		@UIN = ISNULL(UIN_CODE,'')
	FROM dbo.BB_ZAYAVKA_KR WHERE LINK = @SHABLON_LINK		

--   
SELECT 	
	@DATE_VEDOM = CASE WHEN dbo.SA_GET_OPTION_BY_CODE('VEDOM_OPTIONS_OPT11') = 1 THEN dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1, MONTH_BASE, YEAR_BASE)) ELSE [DATE] END,
	@NUM_VEDOM = NUMBER,
	@MONTH_BASE = MONTH_BASE,
	@YEAR_BASE = YEAR_BASE,
	@DEP_LINK=LINK_DEP,
	@REF_EMPL=REF_EMPL,
	@TYP_PAYMENT = TYP_PAYMENT,
	@Add_Text = ' ' + RTRIM(LTRIM(COALESCE(NUMBER,''))) + '  ' + COALESCE(convert(VARCHAR(10),[DATE], 104),''),
	@link_pay = REF_PAY,
	@LINK_CARD = CARD_LINK,
	@pTARGETTEXT = @pTARGETTEXT + case when dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT9') = 1 then CASE WHEN LEN(@pTARGETTEXT) > 0 THEN ', ' else '' end + [NAME_PAY] ELSE '' END 
FROM 
	(
	SELECT [DATE], MONTH_BASE, YEAR_BASE, NUMBER, LINK_DEP, REF_EMPL, TYP_PAYMENT, REF_PAY, CARD_LINK, NAME_PAY FROM dbo.DOCUMENTS_DED_PR V1 WHERE V1.LINK = @LINK_VEDOM
	UNION ALL
	SELECT [DATE], MONTH_BASE, YEAR_BASE, NUMBER, LINK_DEP, REF_EMPL, TYP_PAYMENT, REF_PAY, CARD_LINK, NAME_PAY FROM dbo.DOCUMENTS_DED_PR_DGH V2 WHERE V2.LINK = @LINK_VEDOM
	) V

--
SET @DATE_VEDOM = CASE WHEN COALESCE(@DATE_DOC,@DATE_VEDOM) > @DATE_VEDOM THEN @DATE_DOC ELSE @DATE_VEDOM END	

DECLARE	@DATE_PROV datetime
SET @DATE_PROV = CASE WHEN dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT12') = 1 THEN @DATE_VEDOM ELSE NULL END

--  
IF @DATE_PROV is not null and not exists(Select * from admin_info Where @DATE_PROV BETWEEN BEGINDATE AND ENDDATE)
BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '        ' + @Add_Text,
		'   ,   .        !',
		'       " .    "     .',
		'SALARY'
	GOTO DO_END
END


--     
IF COALESCE(@LINK_CARD,0) = 0
	RETURN 0

IF NOT EXISTS (SELECT * FROM dbo.DEPARTMENT_ACCOUNTS T2 WHERE LINK_UP = @DEP_LINK AND [TYPE] IN (1,2,4) ) BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '      ',
	'     .',
	'     .',
	'SALARY'
	RETURN 0		
END

----
DECLARE @CODE_OBJECT VARCHAR(254)
SET @CODE_OBJECT = (SELECT O.CODE FROM SDOC D INNER JOIN dbo.S_OBJECTS O ON D.OBJECT = O.LINK WHERE D.LINK = @LINK_VEDOM)

DECLARE @LINK_EKR_DEFAULT INT
SELECT @LINK_EKR_DEFAULT = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = CASE WHEN RTRIM(LTRIM(@CODE_OBJECT)) = 'DOCUMENTS_DED_PAYROLL' THEN '211' ELSE '226' END

---
Declare @ACC_304_03 VARCHAR(10)
SET @ACC_304_03 = (SELECT TOP 1 RTRIM(LTRIM(VALUE)) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT2'))) AND SID IS NULL)

IF RTRIM(LTRIM(COALESCE(@ACC_304_03,''))) IN ('','.') BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '      ',
		'           .',
		'          .',
		'SALARY'
	RETURN 0		
END	

---
DECLARE @LINK_ORG int, @LINK_ACC int, @LINK_SFIN INT
DECLARE @KD_CODE_ACC VARCHAR(6), @KD_FULL_CODE_ACC VARCHAR(13), @ACC_NAME VARCHAR(15)

DECLARE @BUH_TYPE TINYINT
SET @BUH_TYPE = ISNULL((SELECT BUH_TYPE FROM DBO.DEPARTMENTS WHERE LINK = @DEP_LINK),0)

DECLARE @WORKMODE157N INT
SET @WORKMODE157N = ISNULL((SELECT dbo.XK_GET_NASTR_INT ('XK_WORKMODE157N')),0)
--   ,  ,     !
SET @BUH_TYPE = CASE WHEN @WORKMODE157N = 0 THEN 0 ELSE @BUH_TYPE END

--IF @BUH_TYPE = 0 BEGIN
--	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
--	select '  ' + @OBJ_SNAME + '      ',
--		'    .',
--		'      "  ".',
--		'SALARY'
--	RETURN 0		
--END

IF NOT EXISTS (SELECT * FROM DBO.SAL_NASTR_PROV WHERE TYPE_OPER = 1 AND TYPE_DEP = @BUH_TYPE) BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ' + @OBJ_SNAME + '      ',
		'     -  .  . .',
		'          "   -  .  . "    . ".',
		'SALARY'
	RETURN 0		
END

SET @CUR_F = CURSOR FORWARD_ONLY
FOR 
	SELECT F.KBK, COALESCE(CAST (F.SOURCE as CHAR(1)),'') ,
		T.LINK_ORG,
		T.LINK_ACC,
		F.LINK
	FROM dbo.CALCULATE_JURNAL CJ
		LEFT JOIN  dbo.SAL_SFIN F ON F.LINK = CJ.LINK_VKR
		LEFT JOIN TAX2_APP T on CJ.LINK_PAYS = T.link_up
	WHERE CJ.LINK_DOC = @LINK_VEDOM
	GROUP BY F.KBK, F.SOURCE, T.LINK_ORG, T.LINK_ACC, F.LINK
	HAVING SUM(CJ.SUMMA) <> 0
	ORDER BY F.KBK
OPEN @CUR_F
FETCH NEXT FROM @CUR_F INTO @LINK_KBK, @Fin_Source, @LINK_ORG, @LINK_ACC, @LINK_SFIN
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN	--      

		SET @trancount = @@TRANCOUNT
		SET IMPLICIT_TRANSACTIONS ON
		BEGIN TRAN 
		COMMIT TRAN

		IF @ERROR <> 0
			RETURN @ERROR



		IF COALESCE(@LINK_ORG,0) = 0 BEGIN 
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '       ',
				'  ,      ',
				'     ',
				'SALARY'
			GOTO DO_NEXT
		END

		IF COALESCE(@LINK_ACC,0) = 0 BEGIN 
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '       ',
				'  ,       ',
				'      ',
				'SALARY'
			GOTO DO_NEXT
		END

		--------------------
		SELECT TOP 1 @Osnovanie = (case COALESCE(@TYP_PAYMENT,0) WHEN 1 THEN ' /' WHEN 2 THEN ' ' ELSE ' . .' end) +
			'  ' + coalesce((SELECT TOP 1 MON FROM dbo.months WHERE NUM = @MONTH_BASE),'') + ',' + CONVERT(VARCHAR(4),coalesce(@YEAR_BASE,0)) + '.' +
			 '   ' + RTRIM(LTRIM(COALESCE(KBK.[CODE],''))) + ' ' + ISNULL((SELECT TOP 1 LTRIM(RTRIM(NAME)) FROM DBO.BB_FIN_SOURCE WHERE CODE = @Fin_Source),'')  + ', .' + RTRIM(LTRIM(COALESCE(@NUM_VEDOM,''))) + '  ' + COALESCE(convert(VARCHAR(10),@DATE_VEDOM, 104),'')
		FROM dbo.KL_KBK KBK WHERE KBK.LINK = @LINK_KBK
		
		SET @ORDER = 0

		--   
		Set @NUM_PP = NULL
		IF @iCreatePP = 0		
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_PAY', @NUM_PP output, @DEP_LINK
		ELSE
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'BB_ZAYAVKA_KR', @NUM_PP output, @DEP_LINK			

		--		
		SET @KD_CODE_ACC = (SELECT TOP 1 CODE_ACC FROM DBO.SAL_NASTR_PROV WHERE TYPE_OPER = 1 AND TYPE_DEP = @BUH_TYPE AND TYPE_FUNC = @Fin_Source)

		IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF		
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '  ' + @OBJ_SNAME + '      ',
				'     -  .  .     ' 
				+ ISNULL((SELECT TOP 1 BT_NAME FROM DBO.DICTIONARY_BUH_TYPE WHERE BUH_TYPE = @BUH_TYPE),'')
				+ '    ' + ISNULL((SELECT TOP 1 NAME FROM DBO.BB_FIN_SOURCE WHERE CODE = @Fin_Source),''),
				'       "     "       "   -  .  . ".',
				'SALARY'
			RETURN 0		
		END		

		SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
		SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END

		IF COALESCE(@Account2,0) = 0 BEGIN 
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '       ',
				'      ' + @KD_FULL_CODE_ACC,
				'     ' + @KD_FULL_CODE_ACC,
				'SALARY'
			GOTO DO_NEXT
		END
		
		SET @pS_ACC_LINK = dbo.SA_GET_DEP_ACC(@DEP_LINK, @Account2, @LINK_SFIN, DEFAULT)
		
		IF COALESCE(@pS_ACC_LINK,0) = 0 BEGIN
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '       ',
				'      ""   ' + @ACC_NAME + ' .',
				' ' + @ACC_NAME + '        "".',
				'SALARY'
			GOTO DO_NEXT
		END		

		--   
		SET @LINK_PP = NULL
		SET @pD_ACC_LINK = @LINK_ACC--COALESCE(@LINK_ACC,@pD_ACC_LINK)
		SET @pD_LINK = @LINK_ORG--COALESCE(@LINK_ORG,@pD_LINK)
		
		IF @iCreatePP = 0 
		BEGIN
			EXEC dbo.X_SAVE_DOCUMENTS_PAY @LINK_PP OUT, @NUM_PP, @DATE_VEDOM, @DATE_PROV, 0, '',
				@pKIND, @pS_LINK, @pS_ACC_LINK, @pD_LINK, @pD_ACC_LINK,
				@DATE_VEDOM, @pORDER, @pPAYKIND, @pREASON,
				@pTARGETTEXT, @pNDS, @pBK_IN_TGT, @pPRINT_KPP,
				@pNDS_LINK, 'DOCUMENTS_PAY'
		END		 
		ELSE
		BEGIN
			EXEC dbo.X_SAVE_DOCUMENTS_PAY @LINK_PP OUT, @NUM_PP, @DATE_VEDOM, @DATE_PROV, 0, '',
				@pKIND, @pS_LINK, @pS_ACC_LINK, @pD_LINK, @pD_ACC_LINK,
				@DATE_VEDOM, @pORDER, NULL, DEFAULT, 
				@pTARGETTEXT, @pNDS, @pBK_IN_TGT, NULL,
				@pNDS_LINK, 'BB_ZAYAVKA_KR'

			SET @NDS_SUM = ISNULL(@SUMMA_PP * ISNULL(@pNDS,0) / 100 ,0)

			EXEC dbo.X_SAVE_DOCUMENTS_PAY2 @LINK_PP, NULL, @BO_NUM, NULL, @AVANSE, @NDS_SUM, @SHORT

		END					

		INSERT INTO dbo.sdoc_vedom_rko (LINK_VEDOM, LINK_RKO, COMMENT) VALUES(@LINK_VEDOM, @LINK_PP, @Osnovanie)

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
			--   
			SELECT 	COALESCE(JC.LINK_EKR,@LINK_EKR_DEFAULT), 
				LINK_KAU = F.KAU,
				LINK_DOP_KL = F.DOP_KL,
				USER_ACC = F.USER_ACC,
				CODE_SFIN = F.CODE,
				SUMMA= SUM(JC.SUMMA) 
			FROM	
				dbo.CALCULATE_JURNAL JC INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
			WHERE   
				JC.LINK_DOC = @LINK_VEDOM AND F.KBK = @LINK_KBK AND COALESCE(CAST (F.SOURCE as CHAR(1)),'') = @Fin_Source
			GROUP BY 
				JC.LINK_EKR, JC.LINK_PAYS, F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, F.CODE
			HAVING 
				SUM(JC.SUMMA) <> 0

		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @LINK_EKR, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @SUM_PROV
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN
				IF COALESCE(@SUM_PROV,0) >= 0 BEGIN
						
					SET @P1 = NULL

					exec X_UPDATE_G_PROV1 @P1 output, @LINK_PP, NULL, @Osnovanie, 1
			
					Set @ORDER = @ORDER + 1
					--    

					IF RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> ''
						Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = RTRIM(LTRIM(@Fin_Source)) and cSinth = RTRIM(dbo.SA_GET_WORD_NUM(@ACC_304_03,1,'.')) and cAnalit = RTRIM(dbo.SA_GET_WORD_NUM(@ACC_304_03,2,'.')) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
					ELSE 
						Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = RTRIM(LTRIM(@Fin_Source)) and cSinth = RTRIM(dbo.SA_GET_WORD_NUM(@ACC_304_03,1,'.')) and cAnalit = RTRIM(dbo.SA_GET_WORD_NUM(@ACC_304_03,2,'.')) )

					IF @Fin_Source = '0' BEGIN 
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
							'     \\ ',
							'SALARY'
						GOTO DO_NEXT
					END

					--  ,  !
					IF COALESCE(@Account1,0) = 0 BEGIN 
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'      ' + @Fin_Source + '.' + RTRIM(dbo.SA_GET_WORD_NUM(@ACC_304_03,1,'.')) + '.' + RTRIM(dbo.SA_GET_WORD_NUM(@ACC_304_03,2,'.')) + + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) else '' END,
							'     .',
							'SALARY'
						GOTO DO_NEXT
					END

					---
					SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
						WHERE A2.LINK = @Account1 and A2.cSource <> '')

					IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
							'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
							'SALARY'
						GOTO DO_NEXT
					END

					---
					SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
						WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) ) and A2.cSource <> '')

					IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
							'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
							'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
							'SALARY'
						GOTO DO_NEXT
					END
	
					IF COALESCE(@Account1,0) > 0 AND COALESCE(@Account2,0) > 0 BEGIN

						SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
						IF COALESCE(@HOZ_OPER,0) = 0 BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
								'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
								'           .        ',
								'SALARY'
							GOTO DO_NEXT
						END	
				
						set @P2 = null
						exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @Osnovanie, @HOZ_OPER, @ORDER
						
						UPDATE dbo.G_PROV
						SET SUMMA = SUMMA + @SUM_PROV
						WHERE LINK = @LINK_PP
			
						SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
						IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
							SET @SGU = @LINK_EKR
		
						IF COALESCE(@SGU,0) = 0 BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
								'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
								'       ',
								'SALARY'
							GOTO DO_NEXT
						END	
						exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @pD_LINK, NULL, NULL, NULL, NULL, @LINK_KAU, @pD_ACC_LINK, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
		
						SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
						IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
							SET @SGU = @LINK_EKR
		
						IF COALESCE(@SGU,0) = 0 BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '  ' + @OBJ_SNAME + ' ' + @Osnovanie,
								'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
								'       ',
								'SALARY'
							GOTO DO_NEXT
						END	
						exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @DEP_LINK, NULL, NULL, NULL, NULL, @LINK_KAU, @pS_ACC_LINK, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
					END
		
				END
			END

			IF @iCreatePP = 1
				EXEC dbo.BB_ZAYAVKA_KR_CREATE_TABLE @LINK_PP
			
			FETCH NEXT FROM @Cur INTO @LINK_EKR, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @SUM_PROV
		END
		
		CLOSE @Cur
		DEALLOCATE @Cur

		IF @@TRANCOUNT > @trancount BEGIN
			COMMIT TRAN
			SET IMPLICIT_TRANSACTIONS OFF
		END
		--- ,   
		DECLARE @TestBO tinyint
		exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_PP 

		IF @TestBO = 0
		BEGIN
			create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

			insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
			Exec dbo.XD_FORM_BO @LINK_PP

			IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
				FROM #tProtocol1	WHERE nSTATUS >= 1
			
			DROP TABLE #tProtocol1
				
		END				

	END

	DO_NEXT:

	FETCH NEXT FROM @CUR_F INTO @LINK_KBK, @Fin_Source, @LINK_ORG, @LINK_ACC, @LINK_SFIN
END

CLOSE @CUR_F
DEALLOCATE @CUR_F

exec X_SALDO_CommitChanges

DO_END:

Select LINK_RKO, COMMENT from dbo.sdoc_vedom_rko where LINK_VEDOM = @LINK_VEDOM

Return 0
END



GO


GRANT EXECUTE ON dbo.[SA_CREATE_PP_BY_VEDOM] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_N_VAC_FILL1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_N_VAC_FILL1]

GO

CREATE    PROCEDURE dbo.SA_N_VAC_FILL1 
(
 @LINK_DOC INT OUTPUT, --  .	
 @OBJ_CODE VARCHAR(50), -- 
 @SR_VID TINYINT = 1, --     1 -   , 2 - 
 @LINK_VAC INT, --  
 @SR_LINK_EMPL INT  = NULL, --       
 @LINK_PAYS INT = NULL, --   
 @TYP_PERIOD TINYINT  = NULL, --  : 1- 3 , 2 - 12 
 @VID_DAYS TINYINT  = NULL,--   1 -   , 2 -   
 @SR_DATE1 DATETIME  = NULL,--         
 @SR_DATE2 DATETIME  = NULL,--         
 @SR_DATE DATETIME  = NULL,--           
 @RECALC TINYINT = 0, -- 0  .     3 
			-- 1 -      
			-- 2 -     
			-- 3 -     
 @OPER TINYINT = 0, -- 1 -  
 @LINK_DEP INT = NULL
)
AS

SET NOCOUNT ON

--    
SET @TYP_PERIOD = CASE WHEN COALESCE(@TYP_PERIOD,0) = 0 THEN
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT2')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT1')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 1
				ELSE NULL
			END
		ELSE @TYP_PERIOD END
--   
SET @VID_DAYS = CASE WHEN COALESCE(@VID_DAYS,0) = 0 THEN
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT3')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT2')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 2
				ELSE NULL
			END
		ELSE @VID_DAYS END
---
DECLARE 
 @LINK_EMPL INT, --  
 @DATE_BEGIN DATETIME, -- , 
 @DATE_BEGIN2 DATETIME, -- , 
 @DATE_END DATETIME, -- , 
 @REF_TYP INT, --   , 
 @order_link int, 
 @NEW_DATE_END DATETIME,
 @NEW_DATE_BEG DATETIME,
 @UCHET_PREM TINYINT,
 @comment varchar(100),
 @HOLIDAY TINYINT,
 @NO_RAION TINYINT

DECLARE @UNAME VARCHAR(30)
SET @UNAME = CASE WHEN DBO.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT10') = 1 THEN COALESCE(dbo.AdminGetUserFIO(default),'') ELSE '' END
SET @UNAME = @UNAME + CASE WHEN LEN(@UNAME) > 0 THEN ':' ELSE '' END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_ADD_FURLOUGH'
BEGIN

	SELECT @LINK_EMPL = EMPL_LINK, @LINK_PAYS = COALESCE(@LINK_PAYS,LINK_PAYS), 
		@DATE_BEGIN = DATE_BEGIN,
		@SR_DATE = COALESCE(@SR_DATE, (select min(DATE_BEGIN) from dbo.ITEM_VACATION IV1 WHERE IV1.order_link = IV.order_link and IV1.EMPL_LINK = IV.EMPL_LINK)), 
		@DATE_END = DATE_END,
		@REF_TYP = IV.TYPE_LINK, @order_link = order_link,
		@comment = @UNAME + '.:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(VV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@HOLIDAY = VV.HOLIDAY, --  
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_VACATION IV ON IV.ORDER_LINK = O.LINK
		INNER JOIN dbo.VACATION_VID VV ON IV.TYPE_LINK = VV.LINK WHERE IV.LINK = @LINK_VAC

	DECLARE	@DATE_BREAK DATETIME	--    
	DECLARE	@DATE_BREAK_NEW_BEGIN DATETIME	--    

	-- :  ,        
	IF EXISTS(SELECT * FROM ITEM_VACATION_BREAK IVB WHERE IVB.ACTIVE = 1 AND ISNULL(BREAK_WORK_DAYS,0) != 0 AND IVB.VAC_LINK = @LINK_VAC) BEGIN

		DECLARE @BREAK_WORK_DAYS INT	--    
		DECLARE @LEN_KAL_DAYS INT	--    
		DECLARE @EMPL_LINK INT		--   
		--
		SELECT	TOP 1
			@EMPL_LINK = EMPL_LINK,
			@DATE_BREAK = DATE_BREAK,
			@BREAK_WORK_DAYS = BREAK_WORK_DAYS,
			@LEN_KAL_DAYS = LEN_KAL_DAYS
		FROM	ITEM_VACATION_BREAK IVB
		WHERE	IVB.ACTIVE = 1
			AND ISNULL(BREAK_WORK_DAYS,0) != 0
			AND IVB.VAC_LINK = @LINK_VAC
		--
		SET ROWCOUNT @BREAK_WORK_DAYS
		SELECT	T.DATE
		INTO	#TEMP_TABLE
		FROM
		(
		SELECT	[DATE]  = dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD)),
			[HOURS] = MAX(HOURS)
		FROM	GRAPHICS G INNER JOIN dbo.GRAPHIC_DAYS GD ON GD.LINK_UP=G.LINK 
		WHERE	G.GRAPH_LINK = dbo.kd_GetEmplGr(@EMPL_LINK)
			AND dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD)) BETWEEN @DATE_BREAK AND @DATE_BREAK + @BREAK_WORK_DAYS + @LEN_KAL_DAYS
		GROUP	BY dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD))
		) T
		WHERE	T.HOURS > 0
			AND T.DATE >= @DATE_BREAK
		SET ROWCOUNT 0
		--
		SET @DATE_BREAK_NEW_BEGIN = (SELECT TOP 1 DATE + 1 FROM #TEMP_TABLE ORDER BY DATE DESC)
		SET @NEW_DATE_END = @DATE_END + @LEN_KAL_DAYS - 1 + 1  --      
	
		DROP TABLE #TEMP_TABLE
		SET @DATE_END = COALESCE(@NEW_DATE_END,@DATE_END)

	END 
	ELSE BEGIN
		SET @NEW_DATE_END = (SELECT MIN(ivb.DATE_BREAK - 1) FROM dbo.item_vacation iv inner join dbo.item_vacation_break ivb on ivb.vac_link = iv.link WHERE ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
		SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) <  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)
	END
	-- :    
	SET @NEW_DATE_END = (SELECT MAX(ivb.NEW_DATE_END) FROM item_vacation iv inner join item_vacation_dis ivb on ivb.vac_link = iv.link WHERE  ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
	SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) >  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)

END


IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_TRAVEL'
BEGIN
	SELECT @LINK_EMPL = EMPL_LINK, @LINK_PAYS = COALESCE(@LINK_PAYS,LINK_PAYS), 
		@SR_DATE = COALESCE(@SR_DATE, DATE_BEGIN), 
		@DATE_BEGIN = DATE_BEGIN, @DATE_END = DATE_END, 
		@REF_TYP = IT.TYPE_LINK,
		@comment = @UNAME + '..:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(KV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.item_travel IT ON IT.ORDER_LINK = O.LINK
		INNER JOIN dbo.KOMAND_VID KV ON IT.TYPE_LINK = KV.LINK WHERE IT.LINK = @LINK_VAC

	-- :   
	SET @NEW_DATE_END = (SELECT MAX(ivb.NEW_DATE_END) FROM item_travel iv inner join item_travel_long ivb on ivb.TRAVEL_LINK = iv.link WHERE ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
	SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) >  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)

END

DECLARE @PDAY NUMERIC(5,2)
SET @PDAY = 0

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG'
BEGIN

	SELECT @LINK_EMPL = EMPL_LINK, 
		@SR_DATE = COALESCE(@SR_DATE, DIS_DATE), 
		@DATE_BEGIN = DIS_DATE + 1, 
		@DATE_END = (DIS_DATE + 1) + CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END,
		@PDAY = CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN VAC_KOMPENS_DAY - CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END,
		@REF_TYP = IT.REASON,
		@comment = @UNAME + '. .:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(KV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK), 
		@SR_DATE1 = DIS_DATE + 1, 
		@SR_DATE2 = DIS_DATE + CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_DIS_FACE IT ON IT.ORDER_LINK = O.LINK
		INNER JOIN [dbo].[DICTION] KV ON IT.REASON = KV.LINK 
	WHERE IT.LINK = @LINK_VAC AND ISNULL(VAC_KOMPENS_DAY,0) > 0

	IF @LINK_EMPL IS NULL
		SELECT @LINK_EMPL = @SR_LINK_EMPL, @comment = @UNAME + '..:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(P.[NAME])),30)
		FROM dbo.PAYS P WHERE LINK = @LINK_PAYS

	SELECT @LINK_DEP = DEP_LINK FROM DBO.USER_DEP WHERE @LINK_DEP IS NULL
END

---    
IF (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
	SET @UCHET_PREM = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT8'),1)
ELSE
	SET @UCHET_PREM = COALESCE(dbo.sa_get_option_by_code('CALC_TRAVEL_OPT5'),1)

---

DECLARE 
 @SystPay INT,
 @RP INT, --   
 @DATE_BEGIN_RP DATETIME, --  
 @DATE_END_RP DATETIME, --  
 @DATE_BEGIN_WRK DATETIME, --  
 @DATE_END_WRK DATETIME, --  
 @LINK_PERS INT, --  .
 @DEP_LINK INT,
 @MAX_DATE DATETIME,
 @I INT,
 @varKSsoLink INT

SET @RP = (CASE @TYP_PERIOD WHEN 1 THEN 3 WHEN 2 THEN 12 ELSE 0 END)

SELECT TOP 1 
 @LINK_PERS = PERS_LINK,  @SystPay = SYST_PAY, @DEP_LINK = DEP_LINK, 
 @DATE_BEGIN_RP = dbo.kd_DateBeginWork(LINK,@DATE_BEGIN), 
 @DATE_END_RP = dbo.kd_DateEndWork(LINK,@DATE_BEGIN), 
 @MAX_DATE = '29990101',
 @NO_RAION = ISNULL(NO_RAION,0) 
FROM dbo.EMPL WHERE LINK = @LINK_EMPL

declare @EmplNumStake numeric(5,2)
Set @EmplNumStake = Coalesce(dbo.ku_GetEmplNumStake(@LINK_EMPL,DEFAULT),0)

---  
IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG'
	SELECT @DATE_BEGIN_RP = @SR_DATE, @DATE_END_RP = dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)), @DATE_BEGIN = @SR_DATE1, @DATE_END = @SR_DATE2, @LINK_EMPL = @SR_LINK_EMPL
ELSE BEGIN
	
	SELECT 
	@DATE_BEGIN_RP = dbo.DateBeginOfMonth( CASE WHEN @DATE_BEGIN_RP > @SR_DATE THEN @DATE_BEGIN_RP ELSE @SR_DATE END),
	@DATE_END_RP = dbo.DateEndOfMonth( CASE WHEN COALESCE(@DATE_END_RP,@MAX_DATE) < dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)) THEN COALESCE(@DATE_END_RP,@MAX_DATE) ELSE dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)) END ),
	@SR_VID = 1
	
	--,            
	IF YEAR(@DATE_END_RP) * 100 + MONTH(@DATE_END_RP) >= YEAR(@DATE_BEGIN) * 100 + MONTH(@DATE_BEGIN) 
		SET @DATE_END_RP = dbo.DateBeginOfMonth(@DATE_BEGIN) - 1
	
END	

---
DECLARE @MINROT NUMERIC(18,2)
SET @MINROT = dbo.minrot2(@DATE_BEGIN) * @EmplNumStake

---   ,    
DECLARE @NUMBER VARCHAR(10), @DATE_DOC DATETIME
IF COALESCE(@LINK_DOC,0)  = 0
BEGIN
	exec dbo.SALARY_NEXT_NUM @NUMBER OUT, @OBJ_CODE
	SET @DATE_DOC = (Select top 1 WORKDATE from USER_DATES)
	exec dbo.SD_N_VACATION_SAVE @LINK_DOC OUT,@OBJ_CODE, @NUMBER, @DATE_DOC, @LINK_PAYS, @comment, 0, @LINK_EMPL, 0, 0, @TYP_PERIOD, 
			@DATE_BEGIN, @DATE_END, 0, @VID_DAYS, @LINK_VAC, 0, @SR_VID, @DATE_BEGIN_RP, @LINK_DEP, 1
END
ELSE
	SET @DATE_DOC = (SELECT [DATE] FROM SDOC WHERE LINK = @LINK_DOC)

--
UPDATE dbo.SDOC_AVAC SET INSTR = 1 WHERE LINK_UP = @LINK_DOC


/***************************************************************************************/
---  .       
DECLARE @INDEX TABLE ([DATE] DATETIME, [DATE2] DATETIME, SUMMA NUMERIC(18,2), INDEX_VAL NUMERIC(18,10))

/* ,    */
DECLARE @NO_INDEX_EMPL table (link int)
INSERT INTO @NO_INDEX_EMPL (link)
SELECT LINK_EMPL FROM dbo.GROUPS_EMPL G inner join dbo.GROUPS_EMPL_REF E on E.LINK_GROUP = G.LINK
WHERE G.LINK = [dbo].[sa_get_option_by_code]('DICTIONARY_INDEX_OPT4')

--  
--    ,    ,    
DECLARE @INDEX_OPT2 int 
SET @INDEX_OPT2 = [dbo].[sa_get_option_by_code]('DICTIONARY_INDEX_OPT2')

/* ,    */
DECLARE @NO_INDEX_PAY table (link int)
INSERT INTO @NO_INDEX_PAY (link)
SELECT P.link
FROM dbo.PAY_GROUPS G inner join PAYS_REF PR on PR.LINK_GROUPS = G.LINK
	inner join  dbo.PAYS P on P.LINK = PR.LINK_PAYS
WHERE G.LINK = [dbo].[sa_get_option_by_code]('DICTIONARY_INDEX_OPT3')

declare @pn2 table (link_pay int, period datetime, summa numeric(18,2))	

--          
INSERT INTO @INDEX ([DATE], [DATE2], SUMMA, INDEX_VAL)
VALUES (@DATE_END_RP,@DATE_BEGIN,0,1)

--     
IF @INDEX_OPT2 >= 2 AND NOT EXISTS (SELECT * FROM @NO_INDEX_EMPL WHERE LINK = @LINK_EMPL)
BEGIN

	--      
	INSERT INTO @INDEX
	SELECT DISTINCT      
		[DATE] = CASE WHEN @DATE_BEGIN >= DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END, 
		NULL,
		0,
		1
	FROM 
		DBO.DICTIONARY_PAYS_EMPL_FN(@DATE_END, @LINK_EMPL, 0, DEFAULT, @DEP_LINK, DEFAULT) S
	WHERE
		EXISTS (SELECT * FROM dbo.WAY_CALC WC WHERE WC.TYPE = 1 AND WC.CODE = S.WAY_CALC AND WC.OKLAD = 1)
		AND
		EXISTS (Select * FROM dbo.group_pays(@LINK_PAYS) T WHERE T.PAY_LINK = s.LINK_PAYS)
		AND
		NOT EXISTS (SELECT * FROM @NO_INDEX_PAY A WHERE A.LINK = s.LINK_PAYS)

	UPDATE A
	SET A.DATE2 = ISNULL((SELECT MIN(B.[DATE])-1 FROM @INDEX B WHERE B.[DATE] > A.[DATE]),@DATE_END)
	FROM @INDEX A
	
	DECLARE @Cur1 CURSOR, @Cur2 CURSOR, @NEXT_DATE DATETIME, @NEXT_DATE2 DATETIME, @INDEX_VAL NUMERIC(18,10)
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR SELECT [DATE] FROM @INDEX ORDER BY [DATE]

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @NEXT_DATE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			
			UPDATE @INDEX 
			SET SUMMA = (SELECT SUM(SUMMA) FROM dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @NEXT_DATE, DEFAULT, @LINK_DEP) S 
							INNER JOIN dbo.PAYS P ON P.LINK = S.LINK_PAY
							INNER JOIN dbo.WAY_CALC W ON P.WAY_CALC = W.CODE 
							WHERE LINK_SOVM = 0 AND W.[TYPE] = 1 AND W.OKLAD = 1 )
			WHERE 
				[DATE] = @NEXT_DATE

			SET @INDEX_VAL = 1
		
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR SELECT [DATE] FROM @INDEX WHERE [DATE] <= @NEXT_DATE ORDER BY [DATE]
			OPEN @Cur2
			FETCH NEXT FROM @Cur2 INTO @NEXT_DATE2
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN
					SET @INDEX_VAL = @INDEX_VAL 
					* (CASE WHEN (SELECT TOP 1 SUMMA FROM @INDEX WHERE [DATE] < @NEXT_DATE2 ORDER BY [DATE] DESC) <> 0
						THEN
							(SELECT SUMMA / (SELECT TOP 1 SUMMA FROM @INDEX WHERE [DATE] < @NEXT_DATE2 ORDER BY [DATE] DESC) FROM @INDEX WHERE [DATE] = @NEXT_DATE2)
						ELSE 1
						END)
				END
				FETCH NEXT FROM @Cur2 INTO @NEXT_DATE2
			END

			CLOSE @Cur2
			DEALLOCATE @Cur2				

			UPDATE @INDEX 
			SET INDEX_VAL = @INDEX_VAL
			WHERE [DATE] = @NEXT_DATE
		
		END

		FETCH NEXT FROM @Cur1 INTO @NEXT_DATE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1

	--  
	DELETE FROM @INDEX WHERE DATE2 < @DATE_BEGIN

END --IF NOT EXISTS (SELECT * FROM @NO_INDEX_EMPL WHERE LINK = @LINK_EMPL

--   
IF @INDEX_OPT2 <= 1 AND NOT EXISTS (SELECT * FROM @NO_INDEX_EMPL WHERE LINK = @LINK_EMPL)
BEGIN

	INSERT INTO @INDEX ([DATE], [DATE2], SUMMA, INDEX_VAL)
	SELECT TOP 1 @DATE_END_RP+1, [DATE], 0, [KOEF] FROM dbo.DICTIONARY_INDEX WHERE [DATE] BETWEEN @DATE_END_RP+1 AND @DATE_BEGIN ORDER BY [DATE] DESC

	INSERT INTO @INDEX ([DATE], [DATE2], SUMMA, INDEX_VAL)
	SELECT TOP 1 [DATE], @DATE_END, 0, [KOEF] FROM dbo.DICTIONARY_INDEX WHERE [DATE] BETWEEN @DATE_BEGIN+1 AND @DATE_END ORDER BY [DATE] DESC	

	UPDATE A
	SET A.DATE2 = ISNULL((SELECT MIN(B.[DATE])-1 FROM @INDEX B WHERE B.[DATE] > A.[DATE]),@DATE_END)
	FROM @INDEX A	
	
END	
--. 1  ,     
IF EXISTS (SELECT * FROM @NO_INDEX_EMPL WHERE LINK = @LINK_EMPL)
BEGIN

	INSERT INTO @INDEX ([DATE], [DATE2], SUMMA, INDEX_VAL)
	SELECT TOP 1 @DATE_END_RP+1, @DATE_END, 0, 1

	UPDATE A
	SET A.DATE2 = ISNULL((SELECT MIN(B.[DATE])-1 FROM @INDEX B WHERE B.[DATE] > A.[DATE]),@DATE_END)
	FROM @INDEX A	
	
END

/***************************************************************************************/
DECLARE @DEFAULT_KBK INT
SET @DEFAULT_KBK = (Select TOP 1 KBK.LINK_KBK FROM dbo.KU_EmplStafKBK(default) KBK WHERE KBK.LINK_EMPL = @LINK_EMPL)
SET @DEFAULT_KBK = ISNULL((SELECT CH.NEW_LINK FROM dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH WHERE CH.LINK = @DEFAULT_KBK),@DEFAULT_KBK)
	
--
IF @RECALC = 0  ---     
BEGIN

	---   
	CREATE TABLE #BASE1 (
		PERIOD DATETIME,
		NADB NUMERIC(18,2),
		CODE_PAY VARCHAR(254),
		NAME_PAY VARCHAR(254), 
		WAY_CALC INT,
		LINK_PAY INT,
		SUMMA NUMERIC(18,2),
		SUM0 NUMERIC(18,2),
		KOEF  NUMERIC(18,4),
		CV	NUMERIC(18,2),
		LINK_VKR INT,
		DATE1 DATETIME,
		DATE2 DATETIME
	)

	INSERT INTO #BASE1 (PERIOD, NADB, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, SUM0, KOEF, CV, LINK_VKR, DATE1, DATE2)
	exec dbo.SD_BASE_SUM_PAY_DIF_PERIODS @LINK_PAYS, @LINK_EMPL, @DATE_BEGIN_RP, @DATE_END_RP, @OBJ_CODE, @DATE_BEGIN, @DATE_END_RP

	IF COALESCE((SELECT SUM(SUMMA) FROM #BASE1),0) = 0 BEGIN

		SELECT TOP 1  @DATE_BEGIN_RP = dbo.kd_DateBeginWork(LINK,@DATE_BEGIN), @DATE_END_RP = dbo.kd_DateEndWork(LINK,@DATE_BEGIN)
		FROM dbo.EMPL WHERE LINK = @LINK_EMPL
		---	
		IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG'
			SELECT @DATE_BEGIN_RP = DATEADD(MONTH,-@RP,@SR_DATE), @DATE_END_RP = dbo.DateEndOfMonth(DATEADD(MONTH, (@RP-1)+@RP,@SR_DATE))
		ELSE 
			SELECT @DATE_BEGIN_RP = dbo.DateBeginOfMonth( CASE WHEN @DATE_BEGIN_RP > DATEADD(MONTH, -(@RP+@RP),@DATE_BEGIN) THEN @DATE_BEGIN_RP ELSE DATEADD(MONTH, -@RP*2,@DATE_BEGIN) END),
			@DATE_END_RP = dbo.DateEndOfMonth( CASE WHEN COALESCE(@DATE_END_RP,@MAX_DATE) < DATEADD(MONTH, -((CASE WHEN @RP > 0 THEN 1 ELSE 0 END)+@RP),@DATE_BEGIN) THEN COALESCE(@DATE_END_RP,@MAX_DATE) ELSE DATEADD(MONTH, -((CASE WHEN @RP > 0 THEN 1 ELSE 0 END)+@RP),@DATE_BEGIN) END )

		IF COALESCE(@DATE_END_RP,@MAX_DATE) < @DATE_BEGIN_RP
			SET @DATE_END_RP = dbo.DateEndOfMonth(@DATE_BEGIN_RP)
		---
		INSERT INTO #BASE1 (PERIOD, NADB, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, SUM0, KOEF, CV, LINK_VKR, DATE1, DATE2)
		exec dbo.SD_BASE_SUM_PAY_DIF_PERIODS @LINK_PAYS, @LINK_EMPL, @DATE_BEGIN_RP, @DATE_END_RP, @OBJ_CODE, @DATE_BEGIN, @DATE_END_RP

		IF COALESCE((SELECT SUM(SUMMA) FROM #BASE1),0) = 0 BEGIN
			SET @DATE_BEGIN_RP = dbo.DateBeginOfMonth(@DATE_BEGIN)
			SET @DATE_END_RP = dbo.DateEndOfMonth(@DATE_BEGIN)
	
			INSERT INTO #BASE1 (PERIOD, NADB, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, SUM0, KOEF, CV, LINK_VKR, DATE1, DATE2)
			SELECT @DATE_BEGIN, 0, P.CODE, P.NAME, P.WAY_CALC, S.LINK_PAY, S.SUMMA,S.SUMMA, 1, 0, S.LINK_KBK, @DATE_BEGIN_RP, dbo.DateEndOfMonth(@DATE_BEGIN) 
			FROM 
				dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @DATE_BEGIN, DEFAULT, @LINK_DEP) S
				inner join dbo.pays P on s.link_pay = p.link
			WHERE s.link_pay IN (SELECT T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)
	
		END
		
	END

--          

	DECLARE @INDEX2 NUMERIC(18,10)
	SET @INDEX2 = ISNULL((SELECT TOP 1 INDEX_VAL FROM @INDEX WHERE [DATE] <= @DATE_BEGIN ORDER BY [DATE] DESC),1)

	IF @INDEX2 > 1 BEGIN

		UPDATE B
		SET B.KOEF = B.KOEF * @INDEX2, B.SUMMA = B.SUMMA * @INDEX2
		FROM
			#BASE1 B
		WHERE
			B.PERIOD < @DATE_END_RP
			AND
			NOT EXISTS (SELECT * FROM @NO_INDEX_PAY N WHERE N.LINK = B.LINK_PAY)

		--  
		UPDATE @INDEX SET INDEX_VAL = 1
		WHERE DATE <= @DATE_BEGIN
	
	END	--IF @INDEX2 > 1 BEGIN		

	---
	UPDATE #BASE1 SET LINK_VKR = @DEFAULT_KBK WHERE LINK_VKR IS NULL

	--- ,      
	DECLARE @KBK_OPT TINYINT
	IF (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
		SET @KBK_OPT = dbo.sa_get_option_by_code('FURLOUGH_OPT7')
	ELSE			
		SET @KBK_OPT = dbo.sa_get_option_by_code('CALC_TRAVEL_OPT4')

	DECLARE @isMATER tinyint
	SET @isMATER = dbo.sa_get_option_by_code('FURLOUGH_OPT12')

	IF @KBK_OPT <> 1
	BEGIN
		---    . ,               
		CREATE TABLE #GRP_KOEF (PERIOD DATETIME, LINK_PAY INT, GRP_KOEF NUMERIC(18,4))
		
		INSERT INTO #GRP_KOEF (PERIOD, LINK_PAY, GRP_KOEF)
		SELECT PERIOD, LINK_PAY, ROUND(SUM(SUMMA) / SUM(SUM0),4) FROM #BASE1 GROUP BY PERIOD, LINK_PAY HAVING(SUM(SUM0)) > 0
		
		UPDATE #BASE1
		SET KOEF = (SELECT TOP 1 GRP_KOEF FROM #GRP_KOEF G WHERE G.PERIOD = #BASE1.PERIOD AND G.LINK_PAY = #BASE1.LINK_PAY)
		WHERE EXISTS (SELECT * FROM #GRP_KOEF G WHERE G.PERIOD = #BASE1.PERIOD AND G.LINK_PAY = #BASE1.LINK_PAY)
		
		DROP TABLE #GRP_KOEF
	END	

	--------------------------------------------------------------------------------------------------------------
	DECLARE 
		@FURLOUGH_OPT_REG_KOEF INT, --     
		@FURLOUGH_OPT_NORTH_KOEF INT --     

	--    "  ",    
	SET @FURLOUGH_OPT_REG_KOEF = 
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN (CASE WHEN @NO_RAION = 1 THEN 0 ELSE dbo.sa_get_option_by_code('FURLOUGH_OPT15') END)
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN (CASE WHEN @NO_RAION = 1 THEN 0 ELSE dbo.sa_get_option_by_code('CALC_TRAVEL_OPT7') END)
				WHEN 'DOCUMENTS_CALC_AVG' THEN (CASE WHEN @NO_RAION = 1 
													THEN 0 
													ELSE 
														CASE WHEN @SR_VID = 1 
															THEN dbo.sa_get_option_by_code('FURLOUGH_OPT15') 
															ELSE dbo.sa_get_option_by_code('CALC_TRAVEL_OPT7') 
														END	
												END)				
				ELSE 0
			END		

	SET @FURLOUGH_OPT_NORTH_KOEF =
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT16')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT8')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 	CASE WHEN @SR_VID = 1 
													THEN dbo.sa_get_option_by_code('FURLOUGH_OPT16') 
													ELSE dbo.sa_get_option_by_code('CALC_TRAVEL_OPT8') 
												END	
				ELSE 0
			END		 

	DECLARE @NORTH_KOEF NUMERIC(6,2), @REG_KOEF NUMERIC(6,2)
	
	IF @FURLOUGH_OPT_REG_KOEF = 1 OR @FURLOUGH_OPT_NORTH_KOEF = 1
	BEGIN
	
		SET @NORTH_KOEF = DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEGIN,2) / 100
		SET @REG_KOEF = DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEGIN,1) / 100

		UPDATE #BASE1
		SET 
			SUMMA = ISNULL(SUMMA,0)
				---  ,  
				+ (CASE WHEN @FURLOUGH_OPT_REG_KOEF = 1 AND @REG_KOEF > 0 THEN ISNULL(SUMMA,0) * @REG_KOEF ELSE 0 END)
				---  ,  
				+ (CASE WHEN @FURLOUGH_OPT_NORTH_KOEF = 1 AND @NORTH_KOEF > 0 THEN ISNULL(SUMMA,0) * @NORTH_KOEF ELSE 0 END),

			SUM0 = ISNULL(SUM0,0)
				---  ,  
				+ (CASE WHEN @FURLOUGH_OPT_REG_KOEF = 1 AND @REG_KOEF > 0 THEN ISNULL(SUM0,0) * @REG_KOEF ELSE 0 END)
				---  ,  
				+ (CASE WHEN @FURLOUGH_OPT_NORTH_KOEF = 1 AND @NORTH_KOEF > 0 THEN ISNULL(SUM0,0) * @NORTH_KOEF ELSE 0 END)

	END
	--------------------------------------------------------------------------------------------------------------
	
	/*          */
	UPDATE B SET B.LINK_VKR = CH.NEW_LINK
	FROM #BASE1 B INNER JOIN dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH ON CH.LINK = B.LINK_VKR

	---
	Select PERIOD = MIN(PERIOD), PERIOD1 = (YEAR(PERIOD) * 100 + MONTH(PERIOD)), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, 
		SUMMA = SUM( CASE WHEN WAY_CALC in (6,7) AND (DATEDIFF(MONTH,DATE1, DATE2) + 1) <> 0 AND @UCHET_PREM = 1 THEN 
					CONVERT(NUMERIC(18,2), SUM0 * --         (     > 1 )
						(DATEDIFF(MONTH,CASE WHEN DATE1 <= @DATE_BEGIN_RP THEN @DATE_BEGIN_RP ELSE DATE1 END,
								CASE WHEN DATE2 >= @DATE_END_RP THEN @DATE_END_RP ELSE DATE2 END) + 1)
						/ (DATEDIFF(MONTH,DATE1, DATE2) + 1))
				ELSE
					CASE WHEN WAY_CALC = 12 
					THEN
						CONVERT(NUMERIC(18,2), SUM0 * 
							CASE @isMATER
								WHEN 1 THEN 1 --1) 
								WHEN 2 THEN --2)          (     > 1 )
									CONVERT(NUMERIC(18,2), (DATEDIFF(MONTH,CASE WHEN DATE1 <= @DATE_BEGIN_RP THEN @DATE_BEGIN_RP ELSE DATE1 END, 
									CASE WHEN DATE2 >= @DATE_END_RP THEN @DATE_END_RP ELSE DATE2 END) + 1))
									/ (DATEDIFF(MONTH,DATE1, DATE2) + 1)
								WHEN 3 THEN 0 --3)   
							ELSE 1 END)
					ELSE SUM0 
					END
			END), 
		SUM0 = SUM(SUM0),	
		KOEF, 
		LINK_VKR = (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), DATE1, DATE2 
	INTO #BASE
	from #BASE1 
	where (@isMATER = 3 and WAY_CALC <> 12 or @isMATER <> 3)
	group by (YEAR(PERIOD) * 100 + MONTH(PERIOD)), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, KOEF, (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), DATE1, DATE2 

	--   
	DECLARE @PAYS_MONTS VARCHAR(100)
	EXEC X_GET_TABLE_NAME @PAYS_MONTS OUTPUT

	---
	EXEC M_CROSS_TABLE
		'LINK_PAY, LINK_VKR',
		'PERIOD1', 'INT',
		'SUMMA', 'NUMERIC(18,2)', 'SUM(SUMMA) AS SUMMA',
		'#BASE', @PAYS_MONTS

	DECLARE @PAYS_MONTS1 VARCHAR(100)
	SET @PAYS_MONTS1 = @PAYS_MONTS + '1'

	EXEC M_CROSS_TABLE
		'LINK_PAY, LINK_VKR',
		'PERIOD1', 'INT',
		'KOEF', 'NUMERIC(18,4)', 'MAX(KOEF) AS KOEF',
		'#BASE', @PAYS_MONTS1

	DELETE FROM dbo.SDOC_AVAC_TABLE3  WHERE LINK_UP = @LINK_DOC
	
	DECLARE @SCRIPT VARCHAR(8000)
	SET @SCRIPT = ' INSERT INTO dbo.SDOC_AVAC_TABLE3 (LINK_UP, ORDERS, LINK_PAY, LINK_KBK, SUMMA1, KOEF1, SUMMA2, KOEF2, SUMMA3, KOEF3, SUMMA4, KOEF4, SUMMA5, KOEF5, SUMMA6, KOEF6, 
				SUMMA7, KOEF7, SUMMA8, KOEF8,  SUMMA9, KOEF9, SUMMA10, KOEF10, SUMMA11, KOEF11,  SUMMA12, KOEF12)'  
			+ ' Select ' + CONVERT(VARCHAR(20),@LINK_DOC) + ', 0, P1.LINK_PAY, P1.LINK_VKR'  
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP)) )
			THEN ', COALESCE(SUMMA_'
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP))) ) 
				+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP))) ) 
				+ ',0)' ELSE ',0,0' END
		+ ' from ' + @PAYS_MONTS + ' P1 LEFT JOIN ' + @PAYS_MONTS1 + ' P2 ON P1.LINK_PAY = P2.LINK_PAY AND P1.LINK_VKR = P2.LINK_VKR' 

	exec (@SCRIPT)

	SET @I = 0
	UPDATE dbo.SDOC_AVAC_TABLE3  
	SET @I = @I+1, ORDERS = @I
	WHERE LINK_UP = @LINK_DOC

	UPDATE dbo.sdoc_avac 
	SET DATE_BEGIN = @DATE_BEGIN_RP, DATE_END = @DATE_END_RP
	WHERE LINK_UP = @LINK_DOC		
	
END -- IF @RECALC = 0
--SELECT * FROM dbo.SDOC_AVAC_TABLE3 WHERE LINK_UP = @LINK_DOC
---------------------------------------------
SELECT @DATE_BEGIN_RP = DATE_BEGIN, @DATE_END_RP = ISNULL(DATE_END, @DATE_END_RP)
FROM dbo.sdoc_avac WHERE LINK_UP = @LINK_DOC
---------------------------------------------		

IF @RECALC < = 1 ---    
BEGIN
	---- 
	DECLARE @WTIME TABLE(M INT, Y INT, DAYS NUMERIC(18,2), HOURS NUMERIC(18,2), DAYS_NORM NUMERIC(18,2), HOURS_NORM NUMERIC(18,2), KDAYS NUMERIC(18,2), KDAYS_N NUMERIC(18,2))

	DECLARE @LINK_GRAPH INT
	SET @LINK_GRAPH = (SELECT TOP 1 GRAPH_LINK FROM DBO.EMPL WHERE LINK = @LINK_EMPL)

	INSERT INTO @WTIME (M,Y,DAYS,HOURS,DAYS_NORM,HOURS_NORM,KDAYS,KDAYS_N)
	---   
	SELECT  M, Y,
		DAYS = COALESCE(CONVERT(NUMERIC(4,0), DBO.SA_GET_EMPL_WD (@LINK_EMPL, 0, DEFAULT, dbo.ConvertDMY2Date(1,M,Y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,M,Y)), @LINK_GRAPH, 0) ),0),
		HOURS = COALESCE(CONVERT(NUMERIC(10,2), DBO.SA_GET_EMPL_WH (@LINK_EMPL, 0, DEFAULT, dbo.ConvertDMY2Date(1,M,Y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,M,Y)), @LINK_GRAPH, 0) ),0),
		DAYS_NORM = ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_DAYS(@LINK_EMPL,M,Y)),0),
		HOURS_NORM = ISNULL(CONVERT(NUMERIC(10,2),dbo.NORM_HOURS(@LINK_EMPL,M,Y)),0),
		0,0
	FROM dbo.months_ex(@DATE_BEGIN_RP, @DATE_END_RP) M
	WHERE NOT EXISTS (SELECT * FROM @WTIME W WHERE (W.Y = M.Y AND W.M = M.M) )

	---
	IF  @VID_DAYS <> 1 BEGIN--   
		UPDATE @WTIME
		SET KDAYS = ISNULL(CONVERT(NUMERIC(4,0),dbo.SA_CALENDAR_DAYS_FN(@LINK_EMPL,M,Y)),0),
			KDAYS_N = ISNULL(CONVERT(NUMERIC(4,0),DAY(dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1, M, Y)))),0)

	END

	---
	DECLARE @TABLE2 TABLE (Y INT, M INT, LINK_KBK INT, SUMMA_ZP NUMERIC(18,2), SUMMA_PR NUMERIC(18,2), SUMMA_MAT NUMERIC(18,2), DAYS INT, HOURS NUMERIC(18,2), DAYS_NORM INT, HOURS_NORM NUMERIC(18,2), KDAYS INT, KDAYS_N INT)
	INSERT INTO @TABLE2
	SELECT  
		T.Y,
		T.M,
		COALESCE(B.LINK_KBK,@DEFAULT_KBK),
		SUMMA_ZP = SUM( CASE WHEN coalesce(PAYMENT,0) not in (7,12) THEN coalesce(SUMMA,0) ELSE 0 END),
		SUMMA_PR = SUM( CASE WHEN coalesce(PAYMENT,0) = 7 THEN coalesce(SUMMA,0) ELSE 0 END),
		SUMMA_MAT = SUM( CASE WHEN coalesce(PAYMENT,0) = 12 THEN coalesce(SUMMA,0) ELSE 0 END),
		COALESCE(DAYS,0),COALESCE(HOURS,0),COALESCE(DAYS_NORM,0),COALESCE(HOURS_NORM,0), COALESCE(KDAYS,0), COALESCE(KDAYS_N,0)
	FROM 
		@WTIME T LEFT JOIN 
		(
		Select PERIOD = DATEADD(MONTH,0,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,0,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,0,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA1,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA1,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,1,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,1,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,1,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA2,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA2,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,2,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,2,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,2,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA3,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA3,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,3,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,3,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,3,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA4,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA4,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,4,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,4,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,4,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA5,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA5,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,5,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,5,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,5,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA6,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA6,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,6,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,6,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,6,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA7,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA7,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,7,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,7,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,7,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA8,0) 
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA8,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,8,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,8,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,8,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA9,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA9,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,9,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,9,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,9,@DATE_BEGIN_RP)),	

			SUMMA = COALESCE(T3.KSUMMA10,0) 
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA10,0) <> 0 
	UNION ALL
		Select PERIOD = DATEADD(MONTH,10,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,10,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,10,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA11,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA11,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,11,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,11,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,11,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA12,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3 WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA12,0) <> 0
	) AS B ON T.Y = YEAR(B.PERIOD) AND T.M = MONTH(B.PERIOD)
	GROUP BY
		T.Y, T.M, B.LINK_KBK, DAYS,HOURS, DAYS_NORM, HOURS_NORM, KDAYS, KDAYS_N	

	-----
	DELETE FROM dbo.SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK_DOC

	INSERT INTO dbo.SDOC_AVAC_TABLE2 (LINK_UP, ORDERS, PERIOD, LINK_KBK, SUMMA, PREM, DAYS, HOURS, DAYS_N, HOURS_N, KDAYS, KDAYS_N, MATER)
	SELECT  @LINK_DOC, 0, dbo.ConvertDMY2Date(1, M, Y), 
	LINK_KBK, SUMMA_ZP, SUMMA_PR, DAYS,HOURS,DAYS_NORM,HOURS_NORM, KDAYS, KDAYS_N, SUMMA_MAT
	FROM @TABLE2
	ORDER BY Y, M, LINK_KBK

	SET @I = 0
	UPDATE dbo.SDOC_AVAC_TABLE2  
	SET @I = @I+1, ORDERS = @I
	WHERE LINK_UP = @LINK_DOC

END	--IF @RECALC < = 1

IF @RECALC < = 2 ---       
BEGIN		

	--- 
	DECLARE @PERIODY TABLE (DATE_BEGIN DATETIME, DATE_END DATETIME, INDEX_VAL NUMERIC(18,10), DH_NORM NUMERIC(18,2))
	DECLARE @PERIODY_DOP TABLE (NUM INT IDENTITY(1,1), DATE_BEGIN DATETIME, DATE_END DATETIME, T TINYINT)

		--- 1.     
	if @DATE_BREAK IS NULL
		INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
		SELECT 
			DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  
		from dbo.months_ex(@DATE_BEGIN, @DATE_END)
	ELSE
	BEGIN
		SET @DATE_BREAK = @DATE_BREAK -1
		
		INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
		select 
			DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN  @DATE_BREAK < dbo.DateEndOfMonth(DATE_BEGIN) THEN  @DATE_BREAK ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  
		from dbo.months_ex(@DATE_BEGIN, @DATE_BREAK)
		UNION ALL
		select 
			DATE_BEGIN = (CASE WHEN @DATE_BREAK_NEW_BEGIN > DATE_BEGIN THEN @DATE_BREAK_NEW_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  			
		from dbo.months_ex(@DATE_BREAK_NEW_BEGIN, @DATE_END)

	END

	--  
	INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
	SELECT DATE_BEGIN = [DATE], DATE_END = [DATE2], 2 FROM @INDEX	

	DECLARE @A TABLE (NUM INT, [DATE] DATETIME, T INT)
	DECLARE @MIN_D DATETIME, @MAX_D DATETIME
	SELECT @MIN_D = MIN(DATE_BEGIN), @MAX_D = MAX(DATE_END) FROM @PERIODY_DOP

	INSERT INTO @A (NUM, [DATE], T)
	SELECT P.NUM, [DATE], T 
	FROM
		@PERIODY_DOP P
		INNER JOIN dbo.days_ex(@MIN_D, @MAX_D) D ON D.[DATE] BETWEEN P.DATE_BEGIN AND P.DATE_END
	ORDER BY P.NUM		

	DECLARE @T1 TABLE (NUM1 INT, [DATE] DATETIME, NUM2 INT)

	INSERT INTO @T1 (NUM1, [DATE], NUM2)
	SELECT A1.NUM, A1.[DATE], A2.NUM
	FROM @A A1 INNER JOIN @A A2 ON A1.[DATE] = A2.[DATE]
	WHERE A1.T = 1  AND A2.T = 2
	UNION
	SELECT A2.NUM, A2.[DATE], A1.NUM
	FROM @A A1 INNER JOIN @A A2 ON A1.[DATE] = A2.[DATE]
	WHERE A1.T = 1 AND A2.T = 2

	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, INDEX_VAL)
	SELECT 
		DATE_BEGIN, DATE_END,
		INDEX_VAL = ISNULL((SELECT INDEX_VAL FROM @INDEX I WHERE T.[DATE_BEGIN] BETWEEN I.DATE AND I.DATE2 AND T.[DATE_END] BETWEEN I.DATE AND I.DATE2),1)
	FROM (
		SELECT DISTINCT DATE_BEGIN = MIN([DATE]), DATE_END = MAX([DATE]) FROM @T1 GROUP BY NUM1, NUM2	
		) T	

	----
	UPDATE @PERIODY
	SET DH_NORM = 
			  CASE WHEN @VID_DAYS = 1 
				THEN ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_DAY_DH(@LINK_EMPL,DATE_BEGIN,DATE_END)),0) + (CASE WHEN DATE_BEGIN = (SELECT MAX(DATE_BEGIN) FROM @PERIODY) THEN @PDAY ELSE 0 END)
			  ELSE	
				DATEDIFF(DAY,DATE_BEGIN, DATE_END)+1 - (CASE WHEN @HOLIDAY = 1 THEN dbo.SA_HOLIDAY_COUNT_FN(DATE_BEGIN,DATE_END) ELSE 0 END) + (CASE WHEN DATE_BEGIN = (SELECT MAX(DATE_BEGIN) FROM @PERIODY) THEN @PDAY ELSE 0 END)
			  END
	---
	DECLARE @REP_SUMMA_PR NUMERIC(18,2), @SUMMA_ZP NUMERIC(18,2), @SUMMA_PR NUMERIC(18,2), @PNORM NUMERIC(18,2), @PWORK NUMERIC(18,2), 
		@SR_ZP NUMERIC(18,2), @AvgDays NUMERIC(18,2), @DAYS_SZ NUMERIC(18,2)
	SET @AvgDays = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT4'),29.3)
	
	--IF @DATE_BEGIN <= '20140401'
	--	SET @AvgDays = 29.4
/*
	  139    (     2  2014. N55-) 
	            
	   12         
	 12   29,3 (   )
	     22  2012. N12-942    10   
	    		
*/	
	
	---    
	SELECT  [PERIOD],
		[DAYS_N] = MAX(DAYS_N),
		[HOURS_N] = MAX(HOURS_N),
		[DAYS] = MAX(DAYS),
		[HOURS] = MAX(HOURS),
		[KDAYS] = MAX(KDAYS),
		[KDAYS_N] = MAX(ISNULL(CONVERT(NUMERIC(4,0),DAY(dbo.DateEndOfMonth(PERIOD))),0))
	INTO #TMP
	FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC
	GROUP BY [PERIOD]

	SELECT  
		@PNORM = SUM(CASE WHEN @SystPay = 1 THEN DAYS_N ELSE  HOURS_N END),
		@PWORK = SUM(CASE WHEN @SystPay = 1 THEN DAYS ELSE HOURS END),
		@DAYS_SZ = SUM(
			CASE WHEN @VID_DAYS = 1 THEN--   
				CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
					CASE WHEN COALESCE(DAYS,0.00) >= COALESCE(DAYS_N,0.00) THEN COALESCE(DAYS_N,0.00) else COALESCE(DAYS,0.00) * 1.2 END
				ELSE DAYS --  ,     
				END
			ELSE --  
				CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
					CASE WHEN COALESCE(KDAYS,0.00) <> 0 AND COALESCE(KDAYS,0.00) >= COALESCE(KDAYS_N,0.00) THEN @AvgDays else CONVERT(NUMERIC(18,2),@AvgDays * (CASE WHEN COALESCE(KDAYS_N,0.00) <> 0.00 THEN COALESCE(KDAYS,0.00) / COALESCE(KDAYS_N,0.00) else 0.00 END)) END
				ELSE KDAYS --  ,     
				END				
			END)
	FROM #TMP

	---	
	SELECT 
		@SUMMA_ZP = SUM(SUMMA) + SUM(MATER), 
		@SUMMA_PR = CASE WHEN SUM(@PNORM) > 0 THEN SUM(PREM) / SUM(@PNORM) * SUM(@PWORK) ELSE 0 END,
		@REP_SUMMA_PR = CASE WHEN SUM(@PNORM) > 0 THEN SUM(PREM) / SUM(@PNORM) * SUM(@PWORK) ELSE 0 END
	FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC

	---	
	SET @SR_ZP = CASE WHEN @DAYS_SZ <> 0 THEN (@SUMMA_ZP + @SUMMA_PR) / @DAYS_SZ ELSE 0 END
		
	DECLARE @KBK_KOEF TABLE (LINK_KBK INT, KOEF NUMERIC(18,4))
	DECLARE @S NUMERIC(18,2)
	SET @S = COALESCE((SELECT SUM(SUMMA) + (CASE WHEN SUM(@PNORM) > 0 THEN SUM(PREM) / SUM(@PNORM) * SUM(@PWORK) ELSE 0 END) FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC),0)

	INSERT INTO @KBK_KOEF (LINK_KBK, KOEF) 
	SELECT LINK_KBK, CASE WHEN @S <> 0 THEN (SUM(SUMMA) + (CASE WHEN SUM(@PNORM) > 0 THEN SUM(PREM) / SUM(@PNORM) * SUM(@PWORK) ELSE 0 END)) / @S ELSE 0 END
	FROM dbo.SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK_DOC 
	GROUP BY LINK_KBK
	
	---
	DELETE FROM dbo.SDOC_AVAC_TABLE1  WHERE LINK_UP = @LINK_DOC

	INSERT INTO dbo.SDOC_AVAC_TABLE1 (LINK_UP, ORDERS, DATE1, DATE2, DAYS, HOURS, SR_ZP, SUMMA, LINK_KBK, KOEF_KBK, KOEF_IDX)
	SELECT @LINK_DOC, 0, DATE_BEGIN, DATE_END, 
		DH_NORM,
		ISNULL(CONVERT(NUMERIC(10,2),dbo.NORM_HOUR_DH(@LINK_EMPL,DATE_BEGIN,DATE_END)),0),
		SR_ZP = @SR_ZP,
		0,
		K.LINK_KBK,	
		K.KOEF,
		ISNULL(P.INDEX_VAL,1)
	FROM @PERIODY P INNER JOIN @KBK_KOEF K ON 1=1
	ORDER BY DATE_BEGIN

	UPDATE sdoc_avac WITH (ROWLOCK) 
	SET 	LINK_EMPL = @LINK_EMPL, LINK_PAY=@LINK_PAYS, DATE_BEGIN=@DATE_BEGIN_RP, SUMMA_TOTAL = @SUMMA_ZP, SR_PREM=@SUMMA_PR, 
			TYP_PERIOD=@TYP_PERIOD, SUMMA_BASE = @SR_ZP, 
			PAYMENT=@VID_DAYS, REF_DOC = @LINK_VAC, DATE1 = @DATE_BEGIN, DATE2 = @DATE_END, TYPE = @SR_VID
	WHERE LINK_UP = @LINK_DOC

	--       ,    
	IF dbo.sa_get_option_by_code('FURLOUGH_OPT6') = 1 AND (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
	BEGIN
		IF @VID_DAYS = 1 --    
			UPDATE dbo.SDOC_AVAC_TABLE1
			SET SR_ZP = (case when 
		 			(CASE WHEN @SystPay = 1 
		 				THEN ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_DAYS(@LINK_EMPL, MONTH(DATE1), YEAR(DATE1) )),0) 
		 				ELSE ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_HOURS(@LINK_EMPL, MONTH(DATE1), YEAR(DATE1) )),0) 	
		 			END)  > 0
		 
		 		then 
						case when SR_ZP < CONVERT(NUMERIC(18,2), dbo.minrot2(DATE1) / 
												(CASE WHEN @SystPay = 1 
													THEN ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_DAYS(@LINK_EMPL, MONTH(DATE1), YEAR(DATE1) )),0) 
													ELSE ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_HOURS(@LINK_EMPL, MONTH(DATE1), YEAR(DATE1) )),0) 	
												END) )
							then	
								CONVERT(NUMERIC(18,2), dbo.minrot2(DATE1) / 
									(CASE WHEN @SystPay = 1 
										THEN ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_DAYS(@LINK_EMPL, MONTH(DATE1), YEAR(DATE1) )),0) 
										ELSE ISNULL(CONVERT(NUMERIC(4,0),dbo.NORM_HOURS(@LINK_EMPL, MONTH(DATE1), YEAR(DATE1) )),0) 	
									END) )
							else SR_ZP end
		 		else SR_ZP end)
			WHERE LINK_UP = @LINK_DOC
		ELSE	--    
			IF dbo.sa_get_option_by_code('FURLOUGH_OPT6') = 1 AND (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
			UPDATE dbo.SDOC_AVAC_TABLE1
			SET SR_ZP = case when SR_ZP < dbo.minrot2(DATE1) / (datediff(day,dbo.DateBeginOfMonth(DATE1),dbo.DateEndOfMonth(DATE1)) + 1) 
				then	
					dbo.minrot2(DATE1) / (datediff(day,dbo.DateBeginOfMonth(DATE1),dbo.DateEndOfMonth(DATE1)) + 1)
				else	
					SR_ZP 
				end
			WHERE LINK_UP = @LINK_DOC	
	END
END --@RECALC <= 2 


Select CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR, DAYS = SUM(CJ.DAYS) , HOURS = SUM(CJ.HOURS), SUMMA = SUM(SUMMA)
INTO #SUM_OLD
from 
	dbo.SDOC_AVAC SA inner join dbo.CALCULATE_JURNAL CJ on CJ.LINK_DOC = SA.LINK_UP
	inner join dbo.sdoc d on CJ.LINK_DOC = d.link 
where
	COALESCE(@LINK_VAC,0) > 0
	AND
	SA.REF_DOC = @LINK_VAC
	and
	d.object = (Select top 1 link from s_objects where code = @OBJ_CODE)
GROUP BY
	CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR

----  
UPDATE dbo.SDOC_AVAC_TABLE1
SET 
	SUMMA_NEW = CONVERT(NUMERIC(18,2), T.SR_ZP * T.DAYS * KOEF_KBK 
					* --    
						(CASE WHEN KOEF_IDX >= 1 THEN KOEF_IDX ELSE 1 END)
						), 
	SUMMA_OLD = COALESCE(SO.SUMMA,0),
	DAYS = COALESCE(T.DAYS,0) - COALESCE(SO.DAYS,0), 
	HOURS = COALESCE(T.HOURS,0) - COALESCE(SO.HOURS,0)
FROM dbo.sdoc_avac A INNER JOIN dbo.SDOC_AVAC_TABLE1 T ON A.LINK_UP = T.LINK_UP
	LEFT JOIN #SUM_OLD SO ON T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR
WHERE T.LINK_UP = @LINK_DOC AND KOEF_KBK IS NOT NULL AND SR_ZP IS NOT NULL

--  ,   
insert into dbo.SDOC_AVAC_TABLE1 (link_up, ORDERS, DATE1, DATE2, DAYS, HOURS, SUMMA, LINK_KBK, SR_ZP, KOEF_KBK, SUMMA_OLD, SUMMA_NEW)
Select @LINK_DOC, 0, DATE_BEGIN, DATE_END, -DAYS, -HOURS, 0, LINK_VKR, 0, 1, SO.SUMMA, 0
from #SUM_OLD SO
where 
	NOT EXISTS (Select * from dbo.SDOC_AVAC_TABLE1 T where T.LINK_UP = @LINK_DOC and T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR)

---- 
UPDATE dbo.SDOC_AVAC_TABLE1
SET SUMMA = COALESCE(SUMMA_NEW,0) - COALESCE(SUMMA_OLD,0)
WHERE LINK_UP = @LINK_DOC

---
SET @I = 0
UPDATE dbo.SDOC_AVAC_TABLE1  
SET @I = @I+1, ORDERS = @I
WHERE LINK_UP = @LINK_DOC

---
DECLARE @SUMMA NUMERIC(18,2)
SELECT @SUMMA = COALESCE((SELECT SUM(SUMMA) FROM dbo.SDOC_AVAC_TABLE1 WHERE LINK_UP = @LINK_DOC),0), @SUMMA_ZP = COALESCE(@SUMMA_ZP,0), @SUMMA_PR = COALESCE(@SUMMA_PR,0)

---
SELECT @NUMBER = NUMBER,  @DATE_DOC = [DATE] from dbo.SDOC WHERE LINK = @LINK_DOC
---  
SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = @OBJ_CODE
EXECUTE dbo.SALARY_UPD_SDOC @LINK_DOC OUTPUT, @varKSsoLink, @NUMBER,@DATE_DOC,@comment,0,null,@SUMMA, @LINK_DEP

IF @OPER = 1 
	exec dbo.SD_N_VACATION_PROV @LINK_DOC, @OBJ_CODE
	
SET NOCOUNT OFF



GO


GRANT EXECUTE ON dbo.[SA_N_VAC_FILL1] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_POST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_POST]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_POST] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 7,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 4
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(ISNULL(CODE,''))) + '/' + LTRIM(RTRIM(ISNULL(INN,''))) + '/' + LTRIM(RTRIM(ISNULL(KPP,'')))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(ISNULL(CODE,''))) + '/' + LTRIM(RTRIM(isnull(INN,''))) + '/' + LTRIM(RTRIM(isnull(KPP,'')))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)



---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)



------------------
declare @DEP_LINK INT 

exec dbo.xd_whats_zb @DEP_LINK output

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					D.LINK  = @DEP_LINK 
					AND 
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)

	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2)
SELECT D1.LINK, D2.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	   D1.LINK = ' + str(@DEP_LINK) + '
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK ) 	
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END

---     
CREATE TABLE #DICT ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT)
SET @SQL = 
N'	
INSERT INTO #DICT ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, P.CODE,P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [code],[NAME] ORDER BY [NAME], [code])
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

----------
--    - -       
CREATE TABLE #TAB_KS_SMART ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)



SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT INTO #TAB_KS_SMART ([LINK1],[LINK2],[DEP1], [DEP2]) 
SELECT  
	[LINK1] = P.LINK,
	[LINK2] = p2.LINK , 
	[dep1] = dsk.link1,
	[dep2] = dsk.link2
FROM 
	#DICT as p
	left join  ' + @DB + 'dbo.POST p2 on (ltrim(rtrim(p2.name ' + @COLLATE + '))=ltrim(rtrim(p.name)))
	left join #DEPARTMENTS_SMETA_KS dsk on  p2.link_dep  =dsk.link2
WHERE 
--	and dsk.link1= ' + str(@DEP_LINK) + ' 
	/*and*/ p.num = 1

'	
EXEC SP_EXECUTESQL @SQL



/*
declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 46,@p2 output,@p3 output
select @p2, @p3
*/

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK_1 INT, LINK_2 INT)

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


DECLARE @srv VARCHAR(50) ,
		@db_n VARCHAR(50) 
	

IF (SELECT  PATINDEX ('%'+@@ServerName+'%' , @db  )) = 1
BEGIN 
	SET @srv = @@ServerName
END
ELSE BEGIN
     	SET @srv = SUBSTRING(@db, 1, CHARINDEX(']',@db) )
     END
	
SET @db_n = SUBSTRING(@db, len(@srv)+2, len(@db)-len(@srv) )
	---   POST    ,      
	SET @SQL = 
	N'
	
		CREATE table #REL_POST (link int)
		INSERT INTO #REL_POST
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_TABLE FROM '+ @DB+'dbo.RELATIONS_POST(NULL, DEFAULT) WHERE [TYPE] = 1 and str_link is not null '
		ELSE ' EXEC( ''SELECT link_TABLE FROM '+ @db_n+'dbo.RELATIONS_POST(NULL, DEFAULT) WHERE [TYPE] = 1 and str_link is not null'' ) AT ' +@srv+' '
		   END + ' 
		
		delete from '+ @DB +'dbo.[POST]
				where link not in (select link2 from #TAB_KS_SMART)
				and link not in (select link from #REL_POST)	
		
		drop table #REL_POST
		  
	'
	EXEC SP_EXECUTESQL @SQL		


INSERT INTO #EXEC ([text]) SELECT
'
INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT 
	''U'',
	LINK_1 = t.link,
	LINK_2 = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
WHERE
	a.link_dep = ks.dep2
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )) 
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    -    
UPDATE A SET
	A.NAME = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254),
	A.CODE = RIGHT(LTRIM(RTRIM(ISNULL(T.CODE,''''))),6)
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
	INNer JOIN #PROTOKOL p on t.link = p.link_1 and A.link  = p.link_2 and  p.OP = ''U''
WHERE
	a.link_dep  = ks.dep2
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) ))
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    
INSERT INTO ' + @DB + 'dbo.[POST] (CODE, [NAME], LINK_DEP)
SELECT distinct
	CODE        = RIGHT(LTRIM(RTRIM(T.CODE)),6), 
	[NAME]      = LTRIM(RTRIM(T.NAME)), 
	LINK_DEP    = (select link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+')
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
WHERE 
	 t.num = 1 
	and ks.link2 is null  


INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT distinct
	''A'',
	LINK_1      = t.link, 
	LINK_2      = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	inner join ' + @DB + 'dbo.[POST] a on a.CODE ' + @COLLATE + ' = RIGHT(LTRIM(RTRIM(T.CODE)),6) 
										and a.[NAME] ' + @COLLATE + ' =  LTRIM(RTRIM(T.NAME))									
WHERE 
	 t.num = 1 
	and ks.link2 is null  
	and a.LINK_DEP = (select top 1 link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+')

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END





GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_POST] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DOCUMENTS_RKO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DOCUMENTS_RKO]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DOCUMENTS_RKO] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
EXEC [dbo].[SYNCH_DOCUMENTS_RKO] '[KSDB2\SQL2008R2].bs_kirov_depfin.', 1130
SELECT * FROM [SYNCH_SMETA_SMART_TAB] WHERE LINK = 1130
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('     /.',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

DECLARE @iOBJECT INT
SET @SQL = 
N'SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + ''''	

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
	INNER JOIN dbo.SDOC_VEDOM_RKO D ON D.LINK_RKO = G.LINK
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
/***********************************************************************/
/**********************     ************************/
/***********************************************************************/
--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD


--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT
UNION	
SELECT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[DOCUMENTS_RKO] T ON T.LINK = G.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = T.S_ACC_LINK
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT
				
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #DOP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #DOP (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] KAU ON KAU.LINK = KAU


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[DOP_CLASSIF] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


----------------
--
CREATE TABLE #EMP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, NAME VARCHAR(254), SUBDIV2 INT)
INSERT INTO #EMP (DEP, CODE, LINK1, NAME)
SELECT G.DEP, LTRIM(RTRIM(E.TAB)), E.LINK, RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT)
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[EMPL] E ON E.LINK = EMP
	INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
UNION	
SELECT G.DEP, LTRIM(RTRIM(E.TAB)), E.LINK, RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT)
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[DOCUMENTS_RKO] T ON T.[Link] = G.[Link] 
	INNER JOIN [dbo].[EMPL] E ON E.LINK = CASE T.[OPTION] WHEN 1 THEN T.FACE_LINK WHEN 3 THEN T.FACE_LINK2 ELSE NULL END
	INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE + '' '' + K.NAME
			FROM
				#EMP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[V_EMPL] A WHERE A.DEP_LINK = T.LINK2 
					AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE
					AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
					)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE + '' '' + K.NAME
			FROM
				#EMP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.[V_EMPL] A ON A.DEP_LINK = T.LINK2 
					AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE
					AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
			GROUP BY
				K.CODE,K.NAME
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK, SUBDIV2 = EP.SUBDIV_LINK
FROM
	#EMP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.[V_EMPL] A ON A.DEP_LINK = T.LINK2 AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
	LEFT JOIN 
		(SELECT LINK_EMPL=LINK_UP, MAX_DATE_BEG = MAX(DATE_BEG), MIN_DATE_BEG = MIN(DATE_BEG) FROM ' + @DB + 'dbo.EMPL_POST WHERE DATE_BEG <= @DATE GROUP BY LINK_UP) EI ON EI.LINK_EMPL = A.LINK
	LEFT JOIN ' + @DB + 'dbo.EMPL_POST EP WITH (NOLOCK) ON EP.LINK_UP = EI.LINK_EMPL AND EP.DATE_BEG = EI.MAX_DATE_BEG	
'	
EXEC SP_EXECUTESQL @SQL, N'@DATE DATETIME', @DATE = @PERIOD

----------------

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
----------

/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[S_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP 
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[D_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, T.DEP
FROM
	(	SELECT A.DEP, DEP_ACC
		FROM 
			#DOC A
			INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
			INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
			INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
			INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		GROUP BY A.DEP, DEP_ACC 
	) T
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T.DEP_ACC	
--

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT GAP.DEP, G.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
WHERE 
	GAP.DEP IS NOT NULL
	AND NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = GAP.DEP AND D.DEP = G.DEP)

/* */
--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

create table #EXEC (text varchar(8000), id int identity(1,1))

INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])	

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN 
	(
		SELECT LINK, DEP,LINK_INS, [OBJECT], NUM = ROW_NUMBER() OVER (PARTITION BY DEP, LINK_INS, [OBJECT] ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV 
	)G_2 ON G_2.LINK_INS = G_1.LINK AND G_2.NUM = 1	
WHERE
	 G_2.[OBJECT] IS NOT NULL 	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

IF NOT EXISTS (SELECT * FROM #G_PROV)
	GOTO END_PROC

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
---
INSERT INTO ' + @DB + '[dbo].[KO]
([LINK_UP],[SUBDIV],[DEP],[EMPL],[ACC],[REASON],[ADDTEXT],[NDS],[FOND],[ALSO],[USE_NDS],[OTHER_PAY],[DOC_NAME],
[NDS_LINK],[PR_F_DOC],[REASON_SH_LINK],[DOCBASE_LINK],[KBK_LINK],[FIELD_SHABLON])
SELECT
	[LINK_UP] = A.LINK2
	,[SUBDIV] = E.SUBDIV2
	,[DEP] = A.[DEP2]
	,[EMPL] = E.LINK2
	,[ACC] = sacc.LINK2
	,[REASON] = ISNULL(T.[REASON],'''')
	,[ADDTEXT] = T.[ADDTEXT]
	,[NDS] = NULL
	,[FOND] = 0
	,[ALSO] = ''''
	,[USE_NDS] = 0
	,[OTHER_PAY] = CASE WHEN T.[OPTION]=4 OR (T.[DOCUM] IS NOT NULL AND T.[DOCUM]<>'''') THEN T.[PAYER] END
	,[DOC_NAME] = T.[DOCUM]
	,[NDS_LINK] = NULL
	,[PR_F_DOC] = NULL
	,[REASON_SH_LINK] = NULL
	,[DOCBASE_LINK] = NULL
	,[KBK_LINK] = NULL
	,[FIELD_SHABLON] = NULL
FROM
	#G_PROV A
	INNER JOIN ' + @DB + '[dbo].[V_DEP] VD ON A.[DEP2] = VD.[LINK]
	INNER JOIN dbo.[G_PROV] G ON G.[Link] = A.LINK1
	INNER JOIN dbo.[DOCUMENTS_RKO] T ON T.[Link] = G.[Link]
	LEFT JOIN #EMP E ON E.DEP = A.DEP1 AND E.LINK1 = CASE T.[OPTION] WHEN 1 THEN T.FACE_LINK WHEN 3 THEN T.FACE_LINK2 ELSE NULL END
	LEFT JOIN #ACCOUNT sacc ON sacc.LINK1 = T.S_ACC_LINK AND sacc.DEP = A.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV1
	)  G1_2 ON G1_2.LINK_INS = G1_1.LINK AND G1_2.NUM = 1	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV2
	)  G2_2 ON G2_2.LINK_INS = G2_1.LINK AND G2_2.NUM = 1
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, AP2, EMP, SUB)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,AP2		= DOP.LINK2
	,EMP		= EMP.LINK2
	,SUB		= EMP.SUBDIV2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DOP DOP ON DOP.LINK1 = GAP.AP2 AND DOP.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP AND DEP.DEP = T.DEP1
	LEFT JOIN #EMP EMP ON EMP.LINK1 = GAP.EMP AND EMP.DEP = T.DEP1
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

/*      ,  */
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT '
INSERT INTO ' + @DB + 'dbo.G_PROV_DOC_OPER (LINK_UP, DOC_OPER)
SELECT LINK2, LINK
FROM
(SELECT DISTINCT D.LINK2, DO.LINK, ROW_NUMBER() OVER (PARTITION BY D.LINK2 ORDER BY (CASE WHEN DO.NAME LIKE ''%'' THEN 1 ELSE 0 END), DO.LINK) AS NUM
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	LEFT JOIN ' + @DB + 'dbo.KO KO ON KO.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.V_DOC_OPERS DO ON DO.OBJ_CODE = SO.CODE AND DO.CODE =
		CASE 
			--1.  210.03   201.34 - 
			WHEN SAD.cSinth LIKE ''210'' AND SAD.cAnalit LIKE ''03'' THEN ''DOCUMENTS_KO_BANK'' 
			--2.  201.23   201.34 -  /  (201.23)
			WHEN SAD.cSinth LIKE ''201'' AND SAD.cAnalit LIKE ''23'' THEN ''DOCUMENTS_KO_KARTA'' 
			--3.  205        201.34 -  
			WHEN SAD.cSinth LIKE ''205'' THEN ''DOCUMENTS_KO_VOZVRAT_DOHOD''
			--4.  304.02   201.34 -   
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''02'' THEN ''DOCUMENTS_KO_DEPONENT'' 
			--5.  302.11-13  201.34 -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''1[1-3]'' THEN ''DOCUMENTS_KO_ZARPLATA'' 
			--6.  302.25-26   201.34 -    
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[5-6]'' THEN ''DOCUMENTS_KO_ZARPLATA_VNESHTAT'' 
			--7.  302.62-63   201.34 -  ,   .
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''6[2-3]'' THEN ''DOCUMENTS_KO_POSOBIE'' 
			--8.  304.03      201.34  -    / (304.03)
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''03'' THEN ''DOCUMENTS_KO_UDERZANIY'' 
			--9.  302.21-24,29, 206   201.34 - 
			WHEN (SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[1-4,9]'') OR SAD.cSinth LIKE ''206'' THEN ''DOCUMENTS_KO_DEP'' 
			--10.  208    201.34  - 
			WHEN SAD.cSinth LIKE ''208'' THEN ''DOCUMENTS_KO_EMPL'' 
			--11.  201.34    - 
			ELSE ''DOCUMENTS_KO_OTHER''
		END
WHERE
	SO.CODE = ''DOCUMENTS_RKO'' AND ISNULL(KO.FOND,0) = 0
	AND
	SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''34''
) T	
WHERE
	T.NUM = 1
	
----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		

	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

END_PROC:

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_DOCUMENTS_RKO] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_RKO_BY_VEDOM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_RKO_BY_VEDOM]

GO

CREATE  PROCEDURE [dbo].[SA_CREATE_RKO_BY_VEDOM]
			@LINK_RKO INT OUTPUT,
			@LINK_VEDOM INT
AS 
/*
         
*/

---
Set @LINK_RKO = Coalesce((SELECT TOP 1 R.LINK_RKO 
						FROM dbo.sdoc_vedom_rko R
							INNER JOIN dbo.G_PROV G ON R.LINK_RKO = G.LINK
							INNER JOIN dbo.S_OBJECTS O ON O.LINK = G.[OBJECT]
						WHERE 
							O.CODE IN ('DOCUMENTS_RKO', 'DOCUMENTS_PAY')
							AND
							LINK_vedom = @LINK_VEDOM),0)

IF @LINK_RKO <> 0 BEGIN

	Select R.LINK_RKO, R.COMMENT from dbo.sdoc_vedom_rko R
			INNER JOIN dbo.G_PROV G ON R.LINK_RKO = G.LINK
			INNER JOIN dbo.S_OBJECTS O ON O.LINK = G.[OBJECT]
	where 
		O.CODE IN ('DOCUMENTS_RKO', 'DOCUMENTS_PAY') 
		AND
		R.LINK_VEDOM = @LINK_VEDOM
	
	RETURN 0
END

/*    */
DELETE FROM SAL_WORNINGS WHERE SID = SUSER_SID() AND TASK ='SALARY'

---
DECLARE 
	@NUM_RKO 		VARCHAR(25),
	@NUM_VEDOM		VARCHAR(20),
	@DATE_VEDOM  		datetime,
	@DATE_BUH_DOC		datetime,
	@RUK			VARCHAR(254),
	@KAS			VARCHAR(254),
	@BUH			VARCHAR(254),
	@DEP_LINK		INT,
	@EMP_LINK		INT,
	@Osnovanie 		VARCHAR(254),
	@AddText 		VARCHAR(254),
	@LINK_PAY 		INT,
	@TYP_PAYMENT 		TINYINT,
	@MONTH_BASE 		INT,
	@YEAR_BASE 		INT,
	@KD_FULL_CODE_ACC VARCHAR(13)

DECLARE @varKStrancount INT, @varKSERROR as INT

--   
SELECT 	
	@DATE_VEDOM = CASE WHEN dbo.SA_GET_OPTION_BY_CODE('VEDOM_OPTIONS_OPT11') = 1 THEN dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1, MONTH_BASE, YEAR_BASE)) ELSE [DATE] END,
	@NUM_VEDOM = NUMBER,
	@DEP_LINK=LINK_DEP,
	@EMP_LINK=REF_EMPL,
	@MONTH_BASE = MONTH_BASE,
	@YEAR_BASE = YEAR_BASE,
	@TYP_PAYMENT = TYP_PAYMENT,
	@AddText = ' ' + RTRIM(LTRIM(COALESCE(NUMBER,''))) + '  ' + COALESCE(convert(VARCHAR(10),[DATE], 104),''),
	@LINK_PAY = REF_PAY
FROM 	
	(
	SELECT [DATE], MONTH_BASE, YEAR_BASE, NUMBER, LINK_DEP, REF_EMPL, TYP_PAYMENT, REF_PAY FROM dbo.DOCUMENTS_DED_PR V1 WHERE V1.LINK = @LINK_VEDOM
	UNION ALL
	SELECT [DATE], MONTH_BASE, YEAR_BASE, NUMBER, LINK_DEP, REF_EMPL, TYP_PAYMENT, REF_PAY FROM dbo.DOCUMENTS_DED_PR_DGH V2 WHERE V2.LINK = @LINK_VEDOM
	) V

---
Declare @KD_CODE_ACC VARCHAR(6), @PAYS_CODE VARCHAR(20)
Select TOP 1 @KD_CODE_ACC = CODE_ACC, @PAYS_CODE = CODE from dbo.Pays where Link = @LINK_PAY

IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '  ',
		'          '+ ISNULL(LTRIM(RTRIM(@PAYS_CODE)),''),
		'    '+ISNULL(LTRIM(RTRIM(@PAYS_CODE)),'')+'  .',
		'SALARY'
	RETURN 0
END	

---
Declare @ACC_302 VARCHAR(10)
SELECT TOP 1 @ACC_302 = LTRIM(RTRIM(VALUE)) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT1'))) AND SID IS NULL

--    
SELECT @RUK=Face_Name FROM DICTIONARY_OTV_FACE 
WHERE dep_link=@DEP_LINK and [name] = ''

SELECT @BUH=Face_Name FROM DICTIONARY_OTV_FACE 
WHERE dep_link=@DEP_LINK and [name]=' '

SELECT @KAS=Face_Name FROM DICTIONARY_OTV_FACE 
WHERE dep_link=@DEP_LINK and [name]= ''

DECLARE @empl_pasport VARCHAR(254)
exec dbo.X_DOCUMENT_RKO_PASSPORT @EMP_LINK, @empl_pasport OUTPUT
set @empl_pasport = RTRIM(LTRIM(COALESCE(@empl_pasport,'')))


DECLARE @CODE_OBJECT VARCHAR(254)
SET @CODE_OBJECT = (SELECT O.CODE FROM SDOC D INNER JOIN dbo.S_OBJECTS O ON D.OBJECT = O.LINK WHERE D.LINK = @LINK_VEDOM)

DECLARE @LINK_EKR_DEFAULT INT
SELECT @LINK_EKR_DEFAULT = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = CASE WHEN RTRIM(LTRIM(@CODE_OBJECT)) = 'DOCUMENTS_DED_PAYROLL' THEN '211' ELSE '226' END

DECLARE	@DATE_PROV datetime
SET @DATE_PROV = CASE WHEN dbo.sa_get_option_by_code('SALARY_OPTIONS_OPT12') = 1 THEN @DATE_VEDOM ELSE NULL END

--  
IF @DATE_PROV is not null and not exists(Select * from admin_info Where @DATE_PROV BETWEEN BEGINDATE AND ENDDATE)
BEGIN

	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '     ' + @AddText,
		'   ,   .        !',
		'       " .    "     .',
		'SALARY'
	RETURN 0
END

DECLARE 
	@Cur CURSOR, 
	@SUM_PROV NUMERIC(18,2), 
	@ORDER INT, 
	@Account1 INT, 
	@Account2 INT,	
	@HOZ_OPER INT, 
	@P1 FLOAT, 
	@P2 FLOAT, 
	@SGU INT,
	@LINK_KBK INT, 
	@LINK_KAU INT, 
	@LINK_DOP_KL INT, 
	@USER_ACC VARCHAR(4), 
	@CODE_SFIN VARCHAR(30), 
	@Fin_Source CHAR(1),
	@LINK_EKR	INT,
	@ACC_CODE VARCHAR(20)

DECLARE @CUR_F CURSOR

--     
SET @CUR_F = CURSOR FORWARD_ONLY
FOR 
	SELECT F.KBK 
	FROM dbo.CALCULATE_JURNAL JC INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
	WHERE JC.LINK_DOC = @LINK_VEDOM
	GROUP BY F.KBK
	HAVING SUM(JC.SUMMA) <> 0
	ORDER BY F.KBK
OPEN @CUR_F
FETCH NEXT FROM @CUR_F INTO @LINK_KBK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN	--      

		SET @varKStrancount = @@TRANCOUNT
		SET IMPLICIT_TRANSACTIONS ON
		BEGIN TRAN 
		COMMIT TRAN

		IF @varKSERROR <> 0
			RETURN @varKSERROR
		--------------------

		SELECT TOP 1 @Osnovanie = (case COALESCE(@TYP_PAYMENT,0) WHEN 1 THEN ' ' WHEN 2 THEN ' ' ELSE ' ' end) +
			'  ' + coalesce((SELECT TOP 1 MON FROM dbo.months WHERE NUM = @MONTH_BASE),'') + ',' + CONVERT(VARCHAR(4),coalesce(@YEAR_BASE,0)) + '.' +
			 + RTRIM(LTRIM(COALESCE((SELECT '   ' + KBK.[CODE] FROM dbo.KL_KBK KBK WHERE KBK.LINK = @LINK_KBK),''))) 
			 + '  ' + RTRIM(LTRIM(COALESCE(@NUM_VEDOM,''))) + '  ' + COALESCE(convert(VARCHAR(10),@DATE_VEDOM, 104),'')

		IF COALESCE(@ACC_302,0)=0 BEGIN
			ROLLBACK
			SET IMPLICIT_TRANSACTIONS OFF
			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			select '   ' + @Osnovanie,
				'           ',
				'          .',
				'SALARY'
			GOTO DO_NEXT
		END	

		Set @ORDER = 0

		--    R
		exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_RKO', @NUM_RKO output, @DEP_LINK

		--   
		SET @LINK_RKO = NULL
		exec dbo.X_SAVE_DOCUMENTS_RKO @LINK_RKO OUT, @NUM_RKO, @DATE_VEDOM, @DATE_PROV, 0, '', @DEP_LINK,
					NULL, @EMP_LINK, 1, NULL, NULL, @Osnovanie, NULL, @RUK, @BUH,
					@KAS, @empl_pasport, NULL, 0,''

		INSERT INTO dbo.sdoc_vedom_rko (LINK_VEDOM, LINK_RKO, COMMENT) VALUES(@LINK_VEDOM, @LINK_RKO, @Osnovanie)

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
		
		--   
		SELECT 	COALESCE(JC.LINK_EKR,@LINK_EKR_DEFAULT), 
			LINK_KAU = F.KAU,
			LINK_DOP_KL = F.DOP_KL,
			USER_ACC = F.USER_ACC,
			CODE_SFIN = F.CODE,
			COALESCE(CAST (F.SOURCE as CHAR(1)),''),
			SUMMA= SUM(JC.SUMMA) 
		FROM	
			dbo.CALCULATE_JURNAL JC INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
		WHERE   
			JC.LINK_DOC = @LINK_VEDOM AND ISNULL(F.KBK,0) = ISNULL(@LINK_KBK,0)
		GROUP BY 
			JC.LINK_EKR, JC.LINK_PAYS, F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, F.CODE, F.SOURCE
		HAVING 
			SUM(JC.SUMMA) <> 0
		ORDER BY
			F.SOURCE
		
		--------------------
		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @LINK_EKR, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @SUM_PROV
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN
			
				IF COALESCE(@SUM_PROV,0) >= 0 BEGIN

				SET @P1 = NULL
				exec X_UPDATE_G_PROV1 @P1 output, @LINK_RKO, NULL, @AddText, 1
		
				Set @ORDER = @ORDER + 1
				
				IF RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> ''
					Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = @Fin_Source and cSinth = RTRIM(LTRIM(@ACC_302)) and ANALIT_EKR = @LINK_EKR AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))) )
				ELSE 
					Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = @Fin_Source and cSinth = RTRIM(LTRIM(@ACC_302)) and ANALIT_EKR = @LINK_EKR )


				IF COALESCE(@Account1,0) = 0 BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @Osnovanie,
						'      ' + @Fin_Source + '.' + RTRIM(LTRIM(@ACC_302)) + '.0X' + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) else '' END + '     ' + RTRIM(LTRIM((select top 1 code from KOSGU where LINK = @LINK_EKR))),
						'           ',
						'SALARY'
					GOTO DO_NEXT
				END


				IF @Fin_Source = '0' BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @Osnovanie,
						'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
						'     \\ ',
						'SALARY'
					GOTO DO_NEXT
				END

				---
				SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
					WHERE A2.LINK = @Account1 and A2.cSource <> '')

				IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @Osnovanie,
						'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
						'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
						'SALARY'
					GOTO DO_NEXT
				END


				SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
				SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END

				IF COALESCE(@Account2,0) = 0 BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @Osnovanie,
						'      ' + @KD_FULL_CODE_ACC,
						'     ' + @KD_FULL_CODE_ACC,
						'SALARY'
					GOTO DO_NEXT
				END				

				---
				SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
					WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) ) and A2.cSource <> '')

				IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   ' + @Osnovanie,
						'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
						'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
						'SALARY'
					GOTO DO_NEXT
				END

				IF COALESCE(@Account1,0) > 0 AND COALESCE(@Account2,0) > 0 BEGIN

					SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
					IF COALESCE(@HOZ_OPER,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @Osnovanie,
							'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
							'    ' + COALESCE(LTRIM(RTRIM(@PAYS_CODE)),'') + '                  .',
							'SALARY'
						GOTO DO_NEXT
					END	

					set @P2 = null
					exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @Osnovanie, @HOZ_OPER, @ORDER
									
					SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
					IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
						SET @SGU = @LINK_EKR
	
					IF COALESCE(@SGU,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @Osnovanie,
							'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
							'       ',
							'SALARY'
						GOTO DO_NEXT
					END	
					exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @DEP_LINK, NULL, NULL, NULL, NULL, @LINK_KAU, NULL, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
			
		
					SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
					IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
						SET @SGU = @LINK_EKR
	
					IF COALESCE(@SGU,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '   ' + @Osnovanie,
							'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
							'       ',
							'SALARY'
						GOTO DO_NEXT
					END	
					exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @DEP_LINK, NULL, NULL, NULL, NULL, @LINK_KAU, NULL, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
				END
				END
		
			END
			FETCH NEXT FROM @Cur INTO @LINK_EKR, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @SUM_PROV
		END
		
		CLOSE @Cur
		DEALLOCATE @Cur

		IF @@TRANCOUNT > @varKStrancount BEGIN
			COMMIT TRAN
			SET IMPLICIT_TRANSACTIONS OFF
		END

		--- ,   
		DECLARE @TestBO tinyint
		exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_RKO 
		IF @TestBO = 0
		BEGIN
			create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

			insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
			Exec dbo.XD_FORM_BO @LINK_RKO

			IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
				FROM #tProtocol1	WHERE nSTATUS >= 1
			
			DROP TABLE #tProtocol1
				
		END				

	END

	DO_NEXT:

	FETCH NEXT FROM @CUR_F INTO @LINK_KBK
END

CLOSE @CUR_F
DEALLOCATE @CUR_F
	
exec X_SALDO_CommitChanges

DO_END:

Select LINK_RKO, COMMENT from dbo.sdoc_vedom_rko where LINK_VEDOM = @LINK_VEDOM

Return 0



GO


GRANT EXECUTE ON dbo.[SA_CREATE_RKO_BY_VEDOM] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BB_ZAYAVKA_KR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BB_ZAYAVKA_KR]
GO

CREATE  PROCEDURE [dbo].[SYNCH_BB_ZAYAVKA_KR] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
DELETE bs_synch.dbo.g_prov where link >= 23386
EXEC [dbo].[SYNCH_BB_ZAYAVKA_KR] 'bs_synch.', 55
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('     /.',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

DECLARE @iOBJECT INT
SET @SQL = 
N'SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + ''''	

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
	INNER JOIN dbo.SDOC_VEDOM_RKO D ON D.LINK_RKO = G.LINK
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
/***********************************************************************/
/**********************     ************************/
/***********************************************************************/
--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD

--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT
UNION	
SELECT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = T.LINK_DT_ACC
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK
UNION
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = P.[Link_Dohod]
UNION	
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = T.[LINK_KBK]
UNION	
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = T.[LINK_KBK_D]

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU
UNION
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = P.Link_SGU
UNION	
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = T.LINK_SGU
UNION	
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = T.LINK_SGU_D

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #DOP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #DOP (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), AP2
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] KAU ON KAU.LINK = AP2
UNION	
SELECT G.DEP, LTRIM(RTRIM(DOP.CODE)), DOP.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = T.LINK_DCL
UNION	
SELECT G.DEP, LTRIM(RTRIM(DOP.CODE)), DOP.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = T.LINK_DCL_D	
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[DOP_CLASSIF] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
----------

/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[S_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP 
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[D_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, T.DEP
FROM
	(	SELECT A.DEP, DEP_ACC
		FROM 
			#DOC A
			INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
			INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
			INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
			INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		GROUP BY A.DEP, DEP_ACC 
	) T
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T.DEP_ACC		
--

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT GAP.DEP, G.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
WHERE 
	GAP.DEP IS NOT NULL
	AND NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = GAP.DEP AND D.DEP = G.DEP)

/* */
--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

create table #EXEC (text varchar(8000), id int identity(1,1))
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])	

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN 
	(
		SELECT LINK, DEP,LINK_INS, [OBJECT], NUM = ROW_NUMBER() OVER (PARTITION BY DEP, LINK_INS, [OBJECT] ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV 
	)G_2 ON G_2.LINK_INS = G_1.LINK AND G_2.NUM = 1
WHERE
	 G_2.[OBJECT] IS NOT NULL 	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


IF NOT EXISTS (SELECT * FROM #G_PROV)
	GOTO END_PROC

---
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + '[dbo].[FINANSE_PAYS]
([Link],[kind],[S_Acc],[D_Acc],[srok],[order_pay],[PAYKIND],[REASON],[TARGETTEXT],[BK_IN_TGT],[PRINT_KPP],[NDS],[NDS_LINK],[Link_Dohod],[Link_SGU],[OKATO],
[P_Reason],[P_Type],[Nal_Period],[TrebDate],[TrebNum],[ZeroDate],[Filial_Pay],[Filial_Rcp],[INN_OK_Pay],[INN_OK_Rcp],[Kod_FP],[LS_Rcp],[Nm_OK_Pay],[Nm_OK_Rcp],
[Time_Pay],[Link_Dogovor],[Link_Invoice],[BO_NUM],[avanse],[SUMMA_NDS],[SHORT],[STATUS],[NALOG_PAY],[TARGET_LINK],[PAY_PURPOSE],[KBK_KREDIT],[SUMMA_P],
[CODE_DOHOD],[NAME_DOHOD],[UIN_CODE],[EMPL_LINK],[FIELD_SHABLON],[USR_TXT],[KT_ACC])

SELECT
	[Link] = T.LINK2
	,[kind] = P.[kind]
	,[S_Acc] = sacc.LINK2
	,[D_Acc] = dacc.LINK2
	,[srok] = P.[srok]
	,[order_pay] = P.[order_pay]
	,[PAYKIND] = P.[PAYKIND]
	,[REASON] = P.[REASON]
	,[TARGETTEXT] = 
		CASE WHEN ''' + @OBJECT_CODE + ''' = ''BB_ZAYAVKA_KR'' THEN P.[TARGETTEXT]
		ELSE
			case P.BK_IN_TGT when 1 then rtrim(replace(replace(replace(replace(replace(replace(
			case isnull(ltrim(rtrim(P.BO_NUM)),'''') when '''' then rtrim(dbo.BB_DDELIM_DEL(isnull(APO.LS_FMT, APOD.LS_FMT),''<>'')) else isnull(APO.LS_FMT, APOD.LS_FMT) end, 
			''<>'', isnull(ltrim(rtrim(P.BO_NUM)),'''')),
			''<>'', case SA.[TYPE] when 1 then '''' else rtrim(SA.CODE) end),
			''<_>'', ''
			)''),''<>'',rtrim(dbo.BB_BK_FOR_SHABLON(P.LINK, isnull(APO.SHABLON_BK, APOD.SHABLON_BK),isnull(APO.DELIM, APOD.DELIM),isnull(APO.DELIM5, APOD.DELIM5)))),
			''<>'',rtrim(ltrim(str(floor(F1.SUMMA))))),
			''<>'', right(''00'' + rtrim(ltrim(str((F1.SUMMA - floor(F1.SUMMA)) * 100))),2))) + '' '' 
			else '''' end + ltrim(replace(replace(P.TARGETTEXT,char(10),''''),char(13),'''')) + '' '' + ltrim(dbo.PrintPlatporGetNDSString(P.LINK,0))	
		END	
	,[BK_IN_TGT] = P.[BK_IN_TGT]
	,[PRINT_KPP] = P.[PRINT_KPP]
	,[NDS] = P.[NDS]
	,[NDS_LINK] = NS.LINK	-- /  !
	,[Link_Dohod] = kksk.LINK2
	,[Link_SGU] = sgu.LINK2
	,[OKATO] = P.[OKATO]
	,[P_Reason] = P.[P_Reason]
	,[P_Type] = P.[P_Type]
	,[Nal_Period] = P.[Nal_Period]
	,[TrebDate] = P.[TrebDate]
	,[TrebNum] = P.[TrebNum]
	,[ZeroDate] = P.[ZeroDate]
	,[Filial_Pay] = P.[Filial_Pay]
	,[Filial_Rcp] = P.[Filial_Rcp]
	,[INN_OK_Pay] = P.[INN_OK_Pay]
	,[INN_OK_Rcp] = P.[INN_OK_Rcp]
	,[Kod_FP] = P.[Kod_FP]
	,[LS_Rcp] = P.[LS_Rcp]
	,[Nm_OK_Pay] = P.[Nm_OK_Pay]
	,[Nm_OK_Rcp] = P.[Nm_OK_Rcp]
	,[Time_Pay] = P.[Time_Pay]
	,[Link_Dogovor] = NULL
	,[Link_Invoice] = NULL -- / - 
	,[BO_NUM] = P.[BO_NUM]
	,[avanse] = P.[avanse]
	,[SUMMA_NDS] = P.[SUMMA_NDS]
	,[SHORT] = P.[SHORT]
	,[STATUS] = ST.[LINK]
	,[NALOG_PAY] = NULL
	,[TARGET_LINK] = NULL
	,[PAY_PURPOSE] = NULL
	,[KBK_KREDIT] = NULL
	,[SUMMA_P] = G.SUMMA
	,[CODE_DOHOD] = NULL --   ,   
	,[NAME_DOHOD] = NULL --   ,   
	,[UIN_CODE] = P.[UIN_CODE]
------------------------------------------------
--   [EMPL_LINK]
------------------------------------------------
	,[EMPL_LINK] = NULL
------------------------------------------------
--   [FIELD_SHABLON]
------------------------------------------------
	,[FIELD_SHABLON] = NULL
	,[USR_TXT] = P.[TARGETTEXT]
------------------------------------------------
--   [KT_ACC]
------------------------------------------------
	,[KT_ACC] = NULL
'
INSERT INTO #EXEC ([text]) SELECT
'	
FROM
	#G_PROV T
	INNER JOIN ' + @DB + '[dbo].[V_DEP] VD ON T.[DEP2] = VD.[LINK]
	INNER JOIN dbo.[G_PROV] G ON G.[Link] = T.LINK1
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = T.LINK1
	INNER JOIN dbo.DICTIONARY_ACCOUNTS  SA WITH (NOLOCK) on P.S_ACC = SA.LINK	
	CROSS APPLY (SELECT SUMMA = ISNULL(dbo.CalcDocSummaOneProv(G.LINK), G.SUMMA)) F1		
	LEFT JOIN dbo.BB_PAY_ACC_OPTIONS APO on APO.LINK_ACC = G.ACC
	LEFT JOIN dbo.DOCUMENTS_PAY_ACC_OPTIONS APOD on APOD.OSN = 1
	inner join dbo.DEPARTMENT_ACCOUNTS DA on APOD.LINK_ACC = DA.LINK and SA.[TYPE] = DA.TYPE	
	LEFT JOIN #DEP_ACCOUNTS sacc ON sacc.LINK1 = P.S_Acc AND sacc.DEP = T.[DEP1]
	LEFT JOIN #DEP_ACCOUNTS dacc ON dacc.LINK1 = P.D_Acc AND dacc.DEP = T.[DEP1]
	LEFT JOIN #KBK kksk ON kksk.LINK1 = P.[Link_Dohod] AND kksk.DEP = T.DEP1
	LEFT JOIN #SGU sgu ON sgu.LINK1 = P.Link_SGU AND SGU.DEP = T.DEP1
	LEFT JOIN ' + @DB + '[dbo].[PAY_STATUS] ST ON P.[Status] ' + @COLLATE + ' = ST.[CODE]
	LEFT JOIN [dbo].[DICTION] N ON P.NDS_LINK = N.LINK
	LEFT JOIN ' + @DB + '[dbo].[NDS_SHABLON] NS ON NS.LINK_DEP = VD.LINK_CB AND NS.[NAME] ' + @COLLATE + ' = N.[NAME]
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


---------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @iTABLE_OBJ_ID INT
SELECT @iTABLE_OBJ_ID = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''BB_ZAYAVKA_KR_TABSUM''

INSERT ' + @DB + '[dbo].[OUT_TABLE_ROW] ([LINK_UP],[OBJECT],[ORDERS],[LINK_OPER],[COMMENT],[LINK_INS])
SELECT
	[LINK_UP] = C.LINK2
	,[OBJECT] = @iTABLE_OBJ_ID
	,[ORDERS] = 0
	,[LINK_OPER] = NULL
	,[COMMENT] = NULL
	,T.LINK
FROM
	#G_PROV C
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON C.LINK1 = T.LINK_UP
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT ' + @DB + '[dbo].[ZAYAVKA_KR_TABLE]
([LINK_UP],[LINK_KBK],[LINK_SGU],[LINK_DCL],[LINK_KBK_D],[LINK_SGU_D],[LINK_DCL_D],[TARGET],[TITLE],[SUMMA],[VYD_SR],[LINK_DT_ACC],[SOURCE],[LINK_KAU],[DCL_LINK_DBT])
SELECT
	[LINK_UP] = O.LINK
	,[LINK_KBK] = kksk.LINK2
	,[LINK_SGU] = sgu.LINK2
	,[LINK_DCL] = DCL.LINK2
	,[LINK_KBK_D] = kkskd.LINK2
	,[LINK_SGU_D] = sgud.LINK2
	,[LINK_DCL_D] = DCLD.LINK2
	,[TARGET] = T.[TARGET]
	,[TITLE] = T.[TITLE]
	,[SUMMA] = T.[SUMMA]
	,[VYD_SR] = T.[VYD_SR]
	,[LINK_DT_ACC] = accks.LINK2
	,[SOURCE] = fins.LINK
	,[LINK_KAU] = NULL
	,[DCL_LINK_DBT] = NULL
FROM
	#G_PROV C
	INNER JOIN (SELECT ROW_NUMBER() OVER(PARTITION BY [LINK_INS] ORDER BY [LINK]) [ORDER],* FROM ' + @DB + '[dbo].[OUT_TABLE_ROW]) O ON C.LINK2=O.LINK_UP
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON O.[LINK_INS]=T.[LINK]
	
	LEFT JOIN #KBK kksk ON kksk.LINK1 = T.[LINK_KBK] AND kksk.DEP = C.[DEP1]
	LEFT JOIN #KBK kkskd ON kkskd.LINK1 = T.[LINK_KBK_D] AND kkskd.DEP = C.[DEP1]

	LEFT JOIN #SGU sgu ON sgu.LINK1 = T.LINK_SGU AND sgu.DEP = C.[DEP1]
	LEFT JOIN #SGU sgud ON sgud.LINK1 = T.LINK_SGU_D AND sgud.DEP = C.[DEP1]

	LEFT JOIN #DOP DCL ON DCL.LINK1 = T.LINK_DCL AND DCL.DEP = C.[DEP1]
	LEFT JOIN #DOP DCLD ON DCLD.LINK1 = T.LINK_DCL_D AND DCLD.DEP = C.[DEP1]

	LEFT JOIN #ACCOUNT accks ON accks.LINK1 = T.LINK_DT_ACC AND accks.DEP = C.[DEP1]

	LEFT JOIN dbo.FIN_SOURCE fins1 ON fins1.LINK = T.[SOURCE]
	LEFT JOIN
	(SELECT  RowNumber = row_number () OVER ( PARTITION BY CODE ORDER BY CODE), *
	 FROM ' + @DB + 'dbo.FIN_SOURCE) fins ON fins1.CODE = fins.CODE ' + @COLLATE + ' AND fins.RowNumber = 1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'	
	

----------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV1
	)  G1_2 ON G1_2.LINK_INS = G1_1.LINK AND G1_2.NUM = 1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV2
	)  G2_2 ON G2_2.LINK_INS = G2_1.LINK AND G2_2.NUM = 1
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, AP2, DEP_ACC)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,AP2		= DOP.LINK2
	,DEP_ACC	= DEP_ACC.LINK2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DOP DOP ON DOP.LINK1 = GAP.AP2 AND DOP.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP
	LEFT JOIN #DEP_ACCOUNTS DEP_ACC ON DEP_ACC.LINK1 = GAP.DEP_ACC AND DEP_ACC.DEP = T.DEP1
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @iTABLE_OBJ_ID INT
select @iTABLE_OBJ_ID = link from ' + @DB + 'dbo.s_objects where code=''BB_ZAYAVKA_KR_TABSUM''

INSERT  ' + @DB + '[dbo].[OUT_TABLE_ROW] ([LINK_UP],[OBJECT],[ORDERS],[LINK_OPER],[COMMENT],[LINK_INS])
SELECT
	[LINK_UP] = G.[LINK]
	,[OBJECT] = @iTABLE_OBJ_ID
	,[ORDERS] = G1.ORDERS
	,[LINK_OPER] = NULL
	,[COMMENT] = NULL
	,[LINK_INS] = G2.LINK
FROM 
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
WHERE
	(SO.CODE = ''DOCUMENTS_PAY'' OR SO.CODE = ''BB_ZAYAVKA_KR'')
	AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT ' + @DB + '[dbo].[ZAYAVKA_KR_TABLE]
([LINK_UP],[LINK_KBK],[LINK_SGU],[LINK_DCL],[LINK_DCL_D],[TARGET],[TITLE],[SUMMA],[VYD_SR],[LINK_DT_ACC],[SOURCE],[LINK_KAU],[DCL_LINK_DBT])
SELECT
	[LINK_UP] = R.LINK
	,[LINK_KBK] = GAPD.KBK
	,[LINK_SGU] = GAPK.SGU
	,[LINK_DCL] = GAPK.AP2
	,[LINK_DCL_D] = GAPD.AP2
	,[TARGET] = ''''
	,[TITLE] = ''''
	,[SUMMA] = G2.[SUMMA]
	,[VYD_SR] = CASE WHEN G.SNAME LIKE '''' THEN 1 ELSE 6 END
	,[LINK_DT_ACC] = GAPD.DEP_ACC
	,[SOURCE] = S.LINK
	,[LINK_KAU] = GAPK.KAU
	,[DCL_LINK_DBT] = NULL
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_GROUPS_REF GR ON GR.DEP_LINK = D.DEP2
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_GROUPS G on GR.GROUP_LINK = G.LINK and G.[SYS] = 3
	INNER JOIN ' + @DB + '[dbo].[OUT_TABLE_ROW] R ON R.LINK_UP = D.[LINK2]
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = R.LINK_INS
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	LEFT JOIN ' + @DB + 'dbo.FIN_SOURCE S ON S.CODE = SAK.cSource
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

/*      ,  */
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT '
INSERT INTO ' + @DB + 'dbo.G_PROV_DOC_OPER (LINK_UP, DOC_OPER)
SELECT DISTINCT LINK2, LINK
FROM
(SELECT DISTINCT D.LINK2, DO.LINK, ROW_NUMBER() OVER (PARTITION BY D.LINK2 ORDER BY (CASE WHEN DO.NAME LIKE ''%'' THEN 1 ELSE 0 END), DO.LINK) AS NUM
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	LEFT JOIN ' + @DB + 'dbo.KOSGU KSGU ON KSGU.LINK = GAPK.SGU
	LEFT JOIN ' + @DB + 'dbo.V_DOC_OPERS DO ON DO.OBJ_CODE = SO.CODE AND DO.CODE =
		CASE 
			--1.  206.21-26,29   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''206'' AND SAD.cAnalit LIKE ''2[1-6,9]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_ADV_POST''
			--2.  302.21-26,29   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[1-6,9]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_PAY_POST''			
			--3.  304.03   304.05(201.11)  -    /(304.03)
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''03'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UDER_ZARP''			
			--4.  302.11-13 304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''1[1-3]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_ZARPLATY''				
			--5.  208   304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''208''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_PODOTCHET''	
'
INSERT INTO #EXEC ([text]) SELECT '							
			--6.  206.41,51   304.05  -   ()
			WHEN SAD.cSinth LIKE ''206'' AND SAD.cAnalit LIKE ''[4,5]1'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'')
					THEN ''BB_ZKR_PAY_TRANSFER_AVANCE''			
			--7.  302.41,51   304.05  -  
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''[4,5]1'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'')
					THEN ''BB_ZKR_PAY_TRANSFER''				
			--8.  303.01-03, 06-13  304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''303'' AND (SAD.cAnalit LIKE ''0[1-3,6-9]'' OR SAD.cAnalit LIKE ''1[0-3]'')
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_NALOG''			
			--9.  303.04   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''303'' AND SAD.cAnalit LIKE ''04''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_NALOG_NDS''			
			--10.  304.04    304.05(201.11)  -  () 
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''04''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UCHR''			
			--11.  210.02   201.11  -   (210.02)
			WHEN SAD.cSinth LIKE ''210'' AND SAD.cAnalit LIKE ''02''
					AND SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11''
					THEN ''BB_ZKR_TRANS_DOHOD''			
			--12.  302.62 304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''62''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UDER_RODPLATA''		
'
INSERT INTO #EXEC ([text]) SELECT '						
			--13.  302.61,63   304.05(201.11)  -  ,   .
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''6[1,3]''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_POSOBIE''			
			--14.  304.01   304.05(201.11)  -      
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''01''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_VREM_RASPOR''			
			--15.  301    304.05(810)  -  
			WHEN SAD.cSinth LIKE ''301''
					AND SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' AND ISNULL(KSGU.CODE,'''') LIKE ''810''
					THEN ''SUM_UPL_CREDIT''				
			--16.  301   304.05 (231-232) -  
			WHEN SAD.cSinth LIKE ''301''
					AND SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' AND ISNULL(KSGU.CODE,'''') LIKE ''23[1-2]''
					THEN ''SUM_UPL_PROC''	
			--    
			ELSE ''BB_ZKR_TRANS_OTHER''
		END
WHERE
	SO.CODE = ''DOCUMENTS_PAY'' OR SO.CODE = ''BB_ZAYAVKA_KR''
) T	
WHERE
	T.NUM = 1 AND T.LINK IS NOT NULL

----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		
		
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

END_PROC:

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_BB_ZAYAVKA_KR] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PROV_O]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PROV_O]

GO

CREATE  PROCEDURE [dbo].[SA_CREATE_PROV_O] @nMONTH INT, @nYear INT, @LINK_DEP INT
/*
    
EXEC dbo.[SA_CREATE_PROV_O] @nMONTH = 8, @nYear = 2016, @LINK_DEP = 74578
*/
AS BEGIN

SET NOCOUNT OFF

DECLARE @LINK_DOC_SAL as INT,
	@NUM_DOC_SAL as VARCHAR(25),
	@DATE_DOC_SAL as datetime,
	@SUM_DOC_SAL as NUMERIC(18,2),
	@ACC_CODE VARCHAR(30),
	@KD_FULL_CODE_ACC VARCHAR(13)

DECLARE @varKStrancount int, @varKSERROR as INT

DECLARE @LinkEKR213 int, @LINK_EKR212 INT, @SALARY_PROV_OPT4 TINYINT, @LinkEKR211 int, @LinkEKR_R211 int

SELECT @LinkEKR211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211'
SELECT @LinkEKR213 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '213'
SET @LINK_EKR212 = (SELECT TOP 1 LINK FROM DBO.KOSGU WHERE CODE = '212')
SELECT @LinkEKR_R211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = 'R211'

SET @SALARY_PROV_OPT4 = dbo.sa_get_option_by_code('SALARY_PROV_OPT4')

DECLARE @SALARY_OPTIONS_OPT14 VARCHAR(254)
SET @SALARY_OPTIONS_OPT14 = ISNULL(
									(SELECT TOP 1 VALUE
										FROM dbo.S_OPTIONS WHERE OBJECT = 	
										(SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT14'))) 
									AND SID IS NULL)
								,'')	

DECLARE @SALARY_OPTIONS_OPT5 VARCHAR(254)
SET @SALARY_OPTIONS_OPT5 = ISNULL(
									(SELECT TOP 1 VALUE
										FROM dbo.S_OPTIONS WHERE OBJECT = 	
										(SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT5'))) 
									AND SID IS NULL)
								,'')

IF 
ISNULL((SELECT TOP 1 RESERV FROM dbo.MINROT WHERE PERIOD<=dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@nYear)) ORDER BY PERIOD DESC),0) > 0
AND
REPLACE(LTRIM(RTRIM(ISNULL(@SALARY_OPTIONS_OPT14,''))),'.','') = '' 
BEGIN

	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '    ',
		'              (401.60)',
		'    \\   ; :      \             (401.60).',
		'SALARY'
	Return 0

END	


DECLARE @Cur CURSOR, @SRC VARCHAR(30), @LINK_EKR INT, @SUM_PROV numeric(18,2), @order int, @Account1 INT, @Account2 INT,	
	@HOZ_OPER int, @P1 float, @P2 float, @SGU INT, 	@OSNOVANIE VARCHAR(254), @KD_CODE_ACC VARCHAR(6),
	@LINK_PAYS int, @CODE_PAYS VARCHAR(10), @LINK_KBK int, @LINK_KAU int, @LINK_DOP_KL int, @USER_ACC varchar(4), @CODE_SFIN VARCHAR(30), @Fin_Source CHAR(1) ,
	@LINK_ORG INT, @LINK_ORG_ACC INT, @LINK_ORG_DOH INT

Set @order = 0

SET @Cur = CURSOR FORWARD_ONLY
FOR 
--   
SELECT 	[DATE] = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@nYear)),
	CASE WHEN @SALARY_PROV_OPT4 = 0 THEN 
			CASE WHEN (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) = @LinkEKR211 THEN @LinkEKR213 ELSE (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) END
		ELSE 
			CASE WHEN (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) IN (@LinkEKR211, @LINK_EKR212) THEN @LinkEKR213 ELSE (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) END
	END, 
	LINK_PAYS = JC.LINK_PAYS,
	CODE_PAYS = P.CODE,
	OSNOVANIE = RTRIM(P.[NAME]), 
	LINK_KBK = F.KBK,
	LINK_KAU = ISNULL(F.KAU,P.LINK_KAU), 
	LINK_DOP_KL = F.DOP_KL,
	USER_ACC = F.USER_ACC,
	CODE_SFIN = F.CODE,
	ISNULL(CAST (F.SOURCE as CHAR(1)),''),
	P.CODE_ACC,
	SUMMA= SUM(JC.SUMMA),
	TA.LINK_ORG,
	TA.LINK_ACC,
	(CASE WHEN JC.link_ekr = @LinkEKR_R211 THEN @SALARY_OPTIONS_OPT14 ELSE 
		CASE WHEN ISNULL(LTRIM(RTRIM(F.ACC_ESN)),'') = '' THEN @SALARY_OPTIONS_OPT5 ELSE F.ACC_ESN END
	END)
FROM	
	dbo.SDOC D INNER JOIN dbo.CALCULATE_JURNAL JC ON JC.LINK_DOC = D.LINK
			INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
			LEFT JOIN dbo.TAX2_APP TA ON P.LINK = TA.LINK_UP
WHERE   
	P.OBJECT = 3
	AND NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  
	AND MONTH(JC.PERIOD_BEGIN) = @nMONTH AND YEAR(JC.PERIOD_BEGIN) = @nYEAR
	AND JC.LINK_DEP = @LINK_DEP
GROUP BY 
	JC.LINK_EKR, JC.LINK_PAYS, P.CODE, P.[NAME], F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, F.CODE, F.SOURCE, P.CODE_ACC, P.LINK_KAU, TA.LINK_ORG, TA.LINK_ACC, F.ACC_ESN
ORDER BY
	P.[NAME], F.SOURCE

-------------------
OPEN @Cur
FETCH NEXT FROM @Cur INTO @DATE_DOC_SAL, @LINK_EKR, @LINK_PAYS, @CODE_PAYS, @OSNOVANIE, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @KD_CODE_ACC, @SUM_PROV, @LINK_ORG, @LINK_ORG_ACC, @SRC
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF ISNULL(@SUM_PROV,0) <> 0 BEGIN

			SET @varKStrancount = @@TRANCOUNT
			SET IMPLICIT_TRANSACTIONS ON
			BEGIN TRAN 
			COMMIT TRAN

			IF @varKSERROR <> 0
				RETURN @varKSERROR
			--------------------

			IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'        .',
					'    '+ISNULL(LTRIM(RTRIM(@CODE_PAYS)),'')+'  .',
					'SALARY'
				GOTO DO_NEXT
			END

			IF @Fin_Source = '0' BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
					'     \\ ',
					'SALARY'
				GOTO DO_NEXT
			END					
			
			--  
			SELECT @LINK_DOC_SAL = 0, @NUM_DOC_SAL = NULL
			--   
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_SALARY', @NUM_DOC_SAL output, @LINK_DEP

			exec X_SAVE_DOCUMENTS_SALARY @LINK_DOC_SAL OUT, @NUM_DOC_SAL, @DATE_DOC_SAL, @DATE_DOC_SAL, @SUM_PROV, @OSNOVANIE, @LINK_DEP, NULL

			SET @P1 = NULL
			exec X_UPDATE_G_PROV1 @P1 output, @LINK_DOC_SAL, NULL, @OSNOVANIE, 1
	
			Set @order = @order + 1

			IF RTRIM(LTRIM(ISNULL(@SRC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'  c            .',
					' c            .',
					'SALARY'
				GOTO DO_NEXT
			END

			Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = RTRIM(LTRIM(@Fin_Source)) and cSinth = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),1,'.') and cAnalit = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),2,'.') AND cUser = RTRIM(LTRIM(ISNULL(@USER_ACC,''))) )
			IF ISNULL(@Account1,0) = 0
				Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = RTRIM(LTRIM(@Fin_Source)) and cSinth = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),1,'.') and cAnalit = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),2,'.') )

			IF ISNULL(@Account1,0) = 0 BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'')+ '     "' + RTRIM(LTRIM(@CODE_SFIN)) + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = CONVERT(VARCHAR(1),@Fin_Source)),'') +  '"',
					'   ' + RTRIM(LTRIM(@Fin_Source)) + RTRIM(LTRIM(@SRC)),
					'     ' + RTRIM(LTRIM(@Fin_Source)) + RTRIM(LTRIM(@SRC)), 
					'SALARY'
				GOTO DO_NEXT
			END

			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = @Account1 and A2.cSource <> '')

			IF  RTRIM(LTRIM(ISNULL(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(ISNULL(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''), 
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(ISNULL(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(ISNULL(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
			SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END

			IF COALESCE(@Account2,0) = 0 BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'')+ '     "' + RTRIM(LTRIM(@CODE_SFIN)) + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = CONVERT(VARCHAR(1),@Fin_Source)),'') +  '"',
					'      ' + @KD_FULL_CODE_ACC,
					'     ' + @KD_FULL_CODE_ACC,
					'SALARY'
				GOTO DO_NEXT
			END

			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) ) and A2.cSource <> '')

			IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			IF ISNULL(@Account1,0) > 0 AND ISNULL(@Account2,0) > 0 BEGIN

				SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
	
				IF ISNULL(@HOZ_OPER,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    : ' + ISNULL(LTRIM(RTRIM(@CODE_PAYS)),''),
						'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
						'    ' + ISNULL(LTRIM(RTRIM(@CODE_PAYS)),'') + '                  .',
						'SALARY'
					GOTO DO_NEXT
				END	
	
				set @P2 = null
				exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @OSNOVANIE, @HOZ_OPER, @order
				
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF ISNULL(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	
				exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @LINK_DEP, NULL, NULL, NULL, NULL, @LINK_KAU, NULL, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
				-----		
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF ISNULL(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	
				exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @LINK_ORG /**/, NULL, NULL, NULL, NULL, @LINK_KAU, @LINK_ORG_ACC /* */, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
			END

			IF @@TRANCOUNT > @varKStrancount BEGIN
				COMMIT TRAN
				SET IMPLICIT_TRANSACTIONS OFF
			END
			--- ,   
			DECLARE @TestBO tinyint
			exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_DOC_SAL 
			IF @TestBO = 0
			BEGIN
				create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

				insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
				Exec dbo.XD_FORM_BO @LINK_DOC_SAL

				IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
					FROM #tProtocol1	WHERE nSTATUS >= 1
				
				DROP TABLE #tProtocol1
					
			END				

		END
	END

	DO_NEXT:
	FETCH NEXT FROM @Cur INTO @DATE_DOC_SAL, @LINK_EKR, @LINK_PAYS, @CODE_PAYS, @OSNOVANIE, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @KD_CODE_ACC, @SUM_PROV, @LINK_ORG, @LINK_ORG_ACC, @SRC
END

CLOSE @Cur
DEALLOCATE @Cur

exec X_SALDO_CommitChanges

SET NOCOUNT OFF
Return 0
END


GO


GRANT EXECUTE ON dbo.[SA_CREATE_PROV_O] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DOCUMENTS_SALARY]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DOCUMENTS_SALARY]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DOCUMENTS_SALARY] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 

UPDATE bs_synch..G_PROV SET DATE_PROV = NULL WHERE POSTTIME >= '20161013'
DELETE bs_synch..G_PROV WHERE POSTTIME >= '20161013'
EXEC [dbo].[SYNCH_DOCUMENTS_SALARY] 'bs_synch.', 99
SELECT * FROM dbo.SYNCH_SMETA_SMART_TAB WHERE LINK = 99
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''DOC_SALARY''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT


------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_SALARY')

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD


--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)

---      -, ..      SALARY,           
UPDATE G SET LINK_INS = NULL
FROM
	' + @DB + 'dbo.G_PROV G
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)


---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1


--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK


---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD


--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 104
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 105
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 106
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 107
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 107
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 108
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 109
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 110
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL
--
--
CREATE TABLE #DOP_CLASSIF (DEP INT, CODE VARCHAR(20), LINK1 INT, LINK2 INT)
INSERT INTO #DOP_CLASSIF (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(dop.CODE)), AP2
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = AP2

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP_CLASSIF K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[DOP_CLASSIF] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = LTRIM(RTRIM(K.CODE)))
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    .: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 109
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP_CLASSIF K
				INNER JOIN ' + @DB + '[dbo].[DOP_CLASSIF] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = LTRIM(RTRIM(K.CODE))
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . .: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 110
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP_CLASSIF K
	INNER JOIN ' + @DB + '[dbo].[DOP_CLASSIF] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = LTRIM(RTRIM(K.CODE))
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU		

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 111
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 112
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 113
END


/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, T.DEP
FROM
	(	SELECT A.DEP, DEP_ACC
		FROM 
			#DOC A
			INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
			INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
			INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
			INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		GROUP BY A.DEP, DEP_ACC 
	) T
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T.DEP_ACC	

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT GAP.DEP, G.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
WHERE 
	GAP.DEP IS NOT NULL
	AND NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = GAP.DEP AND D.DEP = G.DEP)

/* */
--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					D.[TYPE] <> 3 --
					AND
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND ISNULL(LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )),'''') = ISNULL(D.KPP,'''')
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND ISNULL(LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )),'''') = ISNULL(D.KPP,'''') and  LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE
				WHERE
					D.[TYPE] <> 3 --
					AND				
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--   - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP 
WHERE
	D.[TYPE] <> 3 --
	AND
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL
------------

--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.CODE)) + ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					D.[TYPE] = 3 --
					AND
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE AND LTRIM(RTRIM(A.NAME ' + @COLLATE + ' )) = D.NAME
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.CODE, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.CODE)) + ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  -. /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.CODE)) + ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE AND LTRIM(RTRIM(A.NAME ' + @COLLATE + ' )) = D.NAME
				WHERE
					D.[TYPE] = 3 --
					AND				
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   - . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--   - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE AND LTRIM(RTRIM(A.NAME ' + @COLLATE + ' )) = D.NAME
WHERE
	D.[TYPE] = 3 --
	AND
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL

--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 114
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT DISTINCT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN 
	(
		SELECT LINK, DEP,LINK_INS, [OBJECT], NUM = ROW_NUMBER() OVER (PARTITION BY DEP, LINK_INS, [OBJECT] ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV 
	)G_2 ON G_2.LINK_INS = G_1.LINK AND G_2.NUM = 1
WHERE
	 G_2.[OBJECT] IS NOT NULL 
 '

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT DISTINCT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV1
	)  G1_2 ON G1_2.LINK_INS = G1_1.LINK AND G1_2.NUM = 1
	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1

INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT DISTINCT G2_1.LINK AS A, G2_2.LINK AS B, T.[DEP1] AS C, T.[DEP2] AS D, ACCOUNT0.LINK2 AS E, ACCOUNT1.LINK2 AS F
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV2
	)  G2_2 ON G2_2.LINK_INS = G2_1.LINK AND G2_2.NUM = 1
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'



IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, DEP_ACC,AP2)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,DEP_ACC	= DEP_ACC.LINK2
	,AP2		=  DOP.LINK2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP AND DEP.DEP = T.DEP1 
	LEFT JOIN #DEP_ACCOUNTS DEP_ACC ON DEP_ACC.LINK1 = GAP.DEP_ACC AND DEP_ACC.DEP = T.DEP1	
	left join #DOP_CLASSIF DOP on DOP.LINK1 = GAP.AP2 and  DOP.DEP = T.DEP1
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		
		
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1


----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_DOCUMENTS_SALARY] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PROV_VEDOM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PROV_VEDOM]

GO

CREATE PROCEDURE [dbo].[SA_CREATE_PROV_VEDOM] @nMONTH INT, @nYear INT, @LINK_DEP INT
/*
         
      
*/
AS BEGIN

SET NOCOUNT OFF

DECLARE @LINK_DOC_SAL INT,
	@NUM_DOC_SAL VARCHAR(25),
	@OSNOVANIE VARCHAR(100),
	@SUM_DOC_SAL NUMERIC(18,2),
	@ACC_CODE VARCHAR(30)

DECLARE @varKStrancount int, @varKSERROR as INT

DECLARE @CODE_OBJECT VARCHAR(254), @LINK_EKR_DEFAULT int

DECLARE @Cur CURSOR, @SRC VARCHAR(30), @LINK_EKR INT, @SUM_PROV numeric(18,2), @order int, @Account1 INT, @Account2 INT,	
	@HOZ_OPER int, @P1 float, @P2 float, @SGU INT, @DATE_VEDOM DATETIME,
	@LINK_KBK int, @LINK_KAU int, @LINK_DOP_KL int, @USER_ACC varchar(4), @CODE_SFIN VARCHAR(30), @Fin_Source CHAR(1) 

Set @order = 0

--     (999)
SELECT TOP 1 @SRC = RTRIM(LTRIM(VALUE)) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT1'))) AND SID IS NULL
---
Declare @SAL_ACC_KD VARCHAR(10)
--      / (999.99)
SELECT TOP 1 @SAL_ACC_KD = LTRIM(RTRIM(VALUE)) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT2'))) AND SID IS NULL

DECLARE @LINK_ORG int, @LINK_ACC int, @LINK_VEDOM INT
DECLARE @SALARY_PROV_OPT2 tinyint
--      
SET @SALARY_PROV_OPT2 = dbo.SA_GET_OPTION_BY_CODE('SALARY_PROV_OPT2')
--SELECT * FROM S_OBJECTS WHERE CODE = 'VEDOM_OPTIONS_OPT11'

-- 
DECLARE @BB DATETIME, @BE DATETIME
SELECT @BB = BEGINDATE, @BE = ENDDATE FROM dbo.ADMIN_INFO

SET @Cur = CURSOR FORWARD_ONLY
FOR 
--   
SELECT
	S.LINK,
	CASE WHEN dbo.SA_GET_OPTION_BY_CODE('VEDOM_OPTIONS_OPT11') = 1 THEN dbo.DateEndOfMonth(D.REF_BASE) ELSE S.[DATE] END,
	O.CODE,
 	JC.LINK_EKR, 
	LINK_KBK = F.KBK,
	LINK_KAU = F.KAU,
	LINK_DOP_KL = F.DOP_KL,
	USER_ACC = F.USER_ACC,
	CODE_SFIN = F.CODE,
	COALESCE(CAST (F.SOURCE as CHAR(1)),''),
	SUMMA= SUM(JC.SUMMA),
	T.LINK_ORG,
	T.LINK_ACC,
	CASE WHEN @SALARY_PROV_OPT2 = 0 
		THEN '  ' + (CASE WHEN RTRIM(LTRIM(O.CODE)) = 'DOCUMENTS_DED_PAYROLL' THEN '' ELSE ' ' END) + ' /  ' 
	ELSE
		'' + (CASE WHEN RTRIM(LTRIM(O.CODE)) = 'DOCUMENTS_DED_PAYROLL' THEN '' ELSE ' ' END) + ' ' + RTRIM(LTRIM(COALESCE(NUMBER,''))) + '  ' + COALESCE(convert(VARCHAR(10),[DATE], 104),'') + ' ' + RTRIM(LTRIM(COMMENTARY))
	END	
FROM	
	dbo.SDOC S INNER JOIN dbo.S_OBJECTS O ON S.OBJECT = O.LINK
	INNER JOIN 
	(
		SELECT CARD_LINK, LINK, REF_BASE FROM dbo.DOCUMENTS_DED_PR V1
		UNION ALL
		SELECT CARD_LINK, LINK, REF_BASE FROM dbo.DOCUMENTS_DED_PR_DGH V2
	) D ON S.LINK = D.LINK
	INNER JOIN CALCULATE_JURNAL JC ON D.LINK = JC.LINK_DOC
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
	LEFT JOIN TAX2_APP T on JC.LINK_PAYS = T.link_up
WHERE   
	NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  
	--AND MONTH(JC.PERIOD_BEGIN) = @nMONTH AND YEAR(JC.PERIOD_BEGIN) = @nYEAR
	AND MONTH(S.[DATE]) = @nMONTH AND YEAR(S.[DATE]) = @nYEAR
	AND JC.LINK_DEP = @LINK_DEP
	AND CARD_LINK IS NOT NULL
	AND JC.LINK_PAYS <> dbo.sa_get_option_by_code('VEDOM_OPTIONS_OPT10')
GROUP BY 
	S.LINK, O.CODE, S.[DATE], D.REF_BASE, JC.LINK_EKR, F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, F.CODE, F.SOURCE, T.LINK_ORG, T.LINK_ACC, S.LINK, 

	CASE WHEN @SALARY_PROV_OPT2 = 0 
		THEN '  ' + (CASE WHEN RTRIM(LTRIM(O.CODE)) = 'DOCUMENTS_DED_PAYROLL' THEN '' ELSE ' ' END) + ' /  ' 
	ELSE
		'' + (CASE WHEN RTRIM(LTRIM(O.CODE)) = 'DOCUMENTS_DED_PAYROLL' THEN '' ELSE ' ' END) + ' ' + RTRIM(LTRIM(COALESCE(NUMBER,''))) + '  ' + COALESCE(convert(VARCHAR(10),[DATE], 104),'') + ' ' + RTRIM(LTRIM(COMMENTARY))
	END
	
ORDER BY
	F.SOURCE

--------------------
OPEN @Cur
FETCH NEXT FROM @Cur INTO @LINK_VEDOM, @DATE_VEDOM, @CODE_OBJECT, @LINK_EKR, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source,@SUM_PROV, @LINK_ORG, @LINK_ACC, @OSNOVANIE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF COALESCE(@SUM_PROV,0) <> 0 BEGIN

			IF @DATE_VEDOM NOT BETWEEN @BB AND @BE
				SET @DATE_VEDOM = dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1,@nMONTH,@nYEAR))

			SET @varKStrancount = @@TRANCOUNT
			SET IMPLICIT_TRANSACTIONS ON
			BEGIN TRAN 
			COMMIT TRAN

			IF @varKSERROR <> 0
				RETURN @varKSERROR
			--------------------

			IF @Fin_Source = '0' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '  : ' + @OSNOVANIE,
					'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
					'     \\ ',
					'SALARY'
				GOTO DO_NEXT
			END

			SET @LINK_EKR_DEFAULT = (SELECT TOP 1 LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = CASE WHEN RTRIM(LTRIM(@CODE_OBJECT)) = 'DOCUMENTS_DED_PAYROLL' THEN '211' ELSE '226' END)
			SET @LINK_EKR = COALESCE(@LINK_EKR,@LINK_EKR_DEFAULT)

			--SET @OSNOVANIE = '  ' + CASE WHEN RTRIM(LTRIM(@CODE_OBJECT)) = 'DOCUMENTS_DED_PAYROLL' THEN '' ELSE ' ' END + ' /  '
				
			--  
			SELECT @LINK_DOC_SAL = 0, @NUM_DOC_SAL = NULL
			--   
			exec dbo.X_DOCUMENT_GET_MAX_NUMBER 'DOCUMENTS_SALARY', @NUM_DOC_SAL output, @LINK_DEP
			SET @NUM_DOC_SAL = CASE WHEN @NUM_DOC_SAL is null THEN '0001' ELSE convert(VARCHAR(25),convert(int, @NUM_DOC_SAL)+1) END

			exec X_SAVE_DOCUMENTS_SALARY @LINK_DOC_SAL OUT, @NUM_DOC_SAL, @DATE_VEDOM, @DATE_VEDOM, @SUM_PROV, @OSNOVANIE, @LINK_DEP, NULL

			--    
			INSERT INTO dbo.sdoc_vedom_rko (LINK_VEDOM, LINK_RKO, COMMENT) VALUES(@LINK_VEDOM, @LINK_DOC_SAL, @OSNOVANIE)

			SET @P1 = NULL
			exec X_UPDATE_G_PROV1 @P1 output, @LINK_DOC_SAL, NULL, @OSNOVANIE, 1
	
			Set @order = @order + 1

			IF RTRIM(LTRIM(COALESCE(@SRC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '  : ' + @OSNOVANIE,
					'  c         .',
					' c         .',
					'SALARY'
				GOTO DO_NEXT
			END	
	
			IF RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> ''
				Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = @Fin_Source and cSinth = RTRIM(LTRIM(@SRC)) and ANALIT_EKR = @LINK_EKR AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))) )
			ELSE 
				Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = @Fin_Source and cSinth = RTRIM(LTRIM(@SRC)) and ANALIT_EKR = @LINK_EKR)				

			IF COALESCE(@Account1,0) = 0 BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '   ' + @OSNOVANIE,
					'      ' + @Fin_Source + '.' + RTRIM(LTRIM(@SRC)) + '.0X' + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) else '' END + '     ' + RTRIM(LTRIM((select top 1 code from KOSGU where LINK = @LINK_EKR))),
					'           ',
					'SALARY'
				GOTO DO_NEXT
			END

			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = @Account1 and A2.cSource <> '')

			IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '  : ' + @OSNOVANIE,
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END
			
			--     
			Set @Account2 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS 	WHERE cSource = RTRIM(LTRIM(@Fin_Source)) 
				and cSinth = RTRIM(dbo.SA_GET_WORD_NUM(@SAL_ACC_KD,1,'.')) and cAnalit = RTRIM(dbo.SA_GET_WORD_NUM(@SAL_ACC_KD,2,'.')))	

			IF COALESCE(@Account2,0) = 0 BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '  : ' + @OSNOVANIE,
					'  (      )       /     .',
					'       /     ',
					'SALARY'
				GOTO DO_NEXT
			END	

			IF RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' BEGIN
				
				Set @Account2 = (select top 1 A1.link from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
						WHERE A2.LINK = @Account2 AND A1.cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))

				IF COALESCE(@Account2,0) = 0 BEGIN 
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '  : ' + @OSNOVANIE,
						'      ' + RTRIM(LTRIM(@Fin_Source)) + '.'+ RTRIM(LTRIM(@SAL_ACC_KD)) + '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))),
						'     ' + RTRIM(LTRIM(@Fin_Source)) + '.'+ RTRIM(LTRIM(@SAL_ACC_KD)) + '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))),
						'SALARY'
					GOTO DO_NEXT
				END

			END


			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = @Account2 and A2.cSource <> '')

			IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '  : ' + @OSNOVANIE,
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			IF COALESCE(@Account1,0) > 0 AND COALESCE(@Account2,0) > 0 BEGIN
	
				SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))

				IF COALESCE(@HOZ_OPER,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '  : ' + @OSNOVANIE,
						'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
						'                     /.',
						'SALARY'
					GOTO DO_NEXT
				END	
	
				set @P2 = null
				exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @OSNOVANIE, @HOZ_OPER, @order
				
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF COALESCE(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   : ' + @OSNOVANIE,
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	

				exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @LINK_DEP, NULL, NULL, NULL, NULL, @LINK_KAU, NULL, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
				------		
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF COALESCE(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '   : ' + @OSNOVANIE,
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	

				exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @LINK_ORG, NULL, NULL, NULL, NULL, @LINK_KAU, @LINK_ACC, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
			END

			IF @@TRANCOUNT > @varKStrancount BEGIN
				COMMIT TRAN
				SET IMPLICIT_TRANSACTIONS OFF
			END
	
			--- ,   
			DECLARE @TestBO tinyint
			exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_DOC_SAL 
			IF @TestBO = 0
			BEGIN
				create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

				insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
				Exec dbo.XD_FORM_BO @LINK_DOC_SAL

				IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
					FROM #tProtocol1	WHERE nSTATUS >= 1
				
				DROP TABLE #tProtocol1
					
			END	
		END
	END
	DO_NEXT:
	FETCH NEXT FROM @Cur INTO @LINK_VEDOM, @DATE_VEDOM, @CODE_OBJECT, @LINK_EKR, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source,@SUM_PROV, @LINK_ORG, @LINK_ACC, @OSNOVANIE
END

CLOSE @Cur
DEALLOCATE @Cur

exec X_SALDO_CommitChanges

SET NOCOUNT OFF
Return 0
END


GO


GRANT EXECUTE ON dbo.[SA_CREATE_PROV_VEDOM] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PROV_U]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PROV_U]

GO

CREATE  PROCEDURE [dbo].[SA_CREATE_PROV_U] @nMONTH INT, @nYear INT, @LINK_DEP INT
/*
          
*/
AS BEGIN

SET NOCOUNT OFF

DECLARE @LINK_DOC_SAL as INT,
	@NUM_DOC_SAL as VARCHAR(25),
	@DATE_DOC_SAL as datetime,
	@SUM_DOC_SAL as NUMERIC(18,2),
	@ACC_CODE VARCHAR(30),
	@KD_FULL_CODE_ACC VARCHAR(13)

DECLARE @varKStrancount int, @varKSERROR as INT

DECLARE @LinkEKR211 int
SELECT @LinkEKR211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211'

DECLARE @Cur CURSOR, @FIN VARCHAR(5), @SRC VARCHAR(30), @LINK_EKR INT, @SUM_PROV numeric(20,2), @order int, @Account1 INT, @Account2 INT, @KD_CODE_ACC VARCHAR(6),	
	@HOZ_OPER int, @P1 float, @P2 float, @SGU INT, 	@OSNOVANIE VARCHAR(254), @LINK_KD1 INT, @LINK_KD2 INT,
	@LINK_PAYS int, @CODE_PAYS VARCHAR(10), @LINK_KBK int, @LINK_KAU int, @LINK_DOP_KL int, @USER_ACC varchar(4), @CODE_SFIN VARCHAR(30), @Fin_Source CHAR(1),
	@LINK_ORG int,  @LINK_ORG_ACC int, @LINK_EMPL INT, @SUBDIV_HEAD INT, @SUBDIV_NAME VARCHAR(254)

Set @order = 0
DECLARE @DEPONIR_LINK_PAYS INT
SET @DEPONIR_LINK_PAYS = dbo.sa_get_option_by_code('VEDOM_OPTIONS_OPT10')

DECLARE @GROUP_BY_SUB INT
SET @GROUP_BY_SUB = dbo.sa_get_option_by_code('SALARY_PROV_OPT3')

SELECT TOP 1 @SRC = RTRIM(LTRIM(VALUE)) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT1'))) AND SID IS NULL

---
SET @Cur = CURSOR FORWARD_ONLY
FOR 
--   
SELECT  
	LINK_EMPL = CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN JC.LINK_EMPL ELSE NULL END,
	[DATE] = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@nYear)),
	COALESCE(JC.LINK_EKR,@LinkEKR211), 
	LINK_PAYS = JC.LINK_PAYS,
	CODE_PAYS = P.CODE,
	OSNOVANIE = LEFT(RTRIM(P.[NAME]) 
				+ CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN ' (' + RTRIM(O.[NAME]) ELSE '' END
				+ CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN ' ' + RTRIM(D.[NUMBER]) ELSE '' END
				+ CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN '  ' + CONVERT(varchar(10),D.[DATE], 104) + ')' ELSE '' END
				,254),
	LINK_KBK = F.KBK,
	LINK_KAU = F.KAU,
	LINK_DOP_KL = F.DOP_KL,
	USER_ACC = F.USER_ACC,
	CODE_SFIN = F.CODE,
	COALESCE(CAST (F.SOURCE as CHAR(1)),''),
	P.CODE_ACC, SUMMA= SUM(JC.SUMMA),
	LINK_ORG = COALESCE(JC.LINK_ORG,TA.LINK_ORG),
	LINK_ORG_ACC = (CASE WHEN COALESCE(JC.LINK_ORG,0) = 0 THEN TA.LINK_ACC ELSE NULL END),
	CASE WHEN O.CODE = 'DOCUMENTS_INCOME_TAX' AND @GROUP_BY_SUB = 1 THEN SUBDIV_HEAD ELSE NULL END,
	CASE WHEN O.CODE = 'DOCUMENTS_INCOME_TAX' AND @GROUP_BY_SUB = 1 THEN SUBDIV_NAME ELSE NULL END
FROM	
	dbo.SDOC D INNER JOIN dbo.CALCULATE_JURNAL JC ON JC.LINK_DOC = D.LINK
			INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
			LEFT JOIN dbo.TAX2_APP TA ON P.LINK = TA.LINK_UP
			LEFT JOIN dbo.S_OBJECTS O ON O.LINK = D.OBJECT
			LEFT JOIN DBO.SD_EMPL E ON E.LINK = JC.LINK_EMPL
WHERE   
	P.[OBJECT] = 2
	AND NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  
	AND MONTH(JC.PERIOD_BEGIN) = @nMONTH AND YEAR(JC.PERIOD_BEGIN) = @nYEAR
	AND JC.LINK_DEP = @LINK_DEP
	AND --    
	(	O.CODE NOT IN ('DOCUMENTS_DED_PAYROLL','DOCUMENTS_DED_PAYROLL_DGH')
		OR
		JC.LINK_PAYS = @DEPONIR_LINK_PAYS
	)	
GROUP BY 
	CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN JC.LINK_EMPL ELSE NULL END, 
	LEFT(RTRIM(P.[NAME]) 
				+ CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN ' (' + RTRIM(O.[NAME]) ELSE '' END
				+ CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN ' ' + RTRIM(D.[NUMBER]) ELSE '' END
				+ CASE WHEN JC.LINK_PAYS = @DEPONIR_LINK_PAYS THEN '  ' + CONVERT(varchar(10),D.[DATE], 104) + ')' ELSE '' END
				,254),
	JC.LINK_EKR, JC.LINK_PAYS, P.CODE, P.[NAME], F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, 
	F.CODE, F.SOURCE, P.CODE_ACC, JC.LINK_ORG, TA.LINK_ORG, TA.LINK_ACC, (CASE WHEN O.CODE = 'DOCUMENTS_INCOME_TAX' AND @GROUP_BY_SUB = 1 THEN SUBDIV_HEAD ELSE NULL END) ,
	CASE WHEN O.CODE = 'DOCUMENTS_INCOME_TAX' AND @GROUP_BY_SUB = 1 THEN SUBDIV_NAME ELSE NULL END
ORDER BY
	P.[NAME], F.SOURCE

-------------------
OPEN @Cur
FETCH NEXT FROM @Cur INTO @LINK_EMPL, @DATE_DOC_SAL,@LINK_EKR, @LINK_PAYS, @CODE_PAYS, @OSNOVANIE, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @KD_CODE_ACC, @SUM_PROV, @LINK_ORG, @LINK_ORG_ACC, @SUBDIV_HEAD, @SUBDIV_NAME
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF COALESCE(@SUM_PROV,0) <> 0 BEGIN

			SET @varKStrancount = @@TRANCOUNT
			SET IMPLICIT_TRANSACTIONS ON
			BEGIN TRAN 
			COMMIT TRAN

			IF @varKSERROR <> 0
				RETURN @varKSERROR
			--------------------

			IF @SUBDIV_HEAD IS NOT NULL
				SET @Osnovanie = @Osnovanie + LEFT(CASE WHEN LEN(@Osnovanie) > 0 THEN ', ' else '' end + LTRIM(RTRIM(COALESCE(@SUBDIV_NAME,''))), 200)

			IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '       ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'        .',
					'    '+COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'')+'  .',
					'SALARY'
				GOTO DO_NEXT			
			END

			IF @Fin_Source = '0' BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'   "' + LTRIM(RTRIM(@CODE_SFIN)) + '"      ( )    0"',
					'     \\ ',
					'SALARY'
				GOTO DO_NEXT
			END	
			
			--  
			SELECT @LINK_DOC_SAL = 0, @NUM_DOC_SAL = NULL
			--   
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_SALARY', @NUM_DOC_SAL output, @LINK_DEP

			exec X_SAVE_DOCUMENTS_SALARY @LINK_DOC_SAL OUT, @NUM_DOC_SAL, @DATE_DOC_SAL, @DATE_DOC_SAL, @SUM_PROV, @OSNOVANIE, @LINK_DEP, NULL

			SET @P1 = NULL
			exec X_UPDATE_G_PROV1 @P1 output, @LINK_DOC_SAL, NULL, @OSNOVANIE, 1
	
			Set @order = @order + 1

			IF RTRIM(LTRIM(COALESCE(@SRC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'  c         .',
					' c         .',
					'SALARY'
				GOTO DO_NEXT
			END	

			IF RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> ''
				Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE BUH_TYPE > 0 AND cSource = @Fin_Source and cSinth = RTRIM(LTRIM(@SRC)) and ANALIT_EKR = @LINK_EKR AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))) )
			ELSE 
				Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE BUH_TYPE > 0 AND cSource = @Fin_Source and cSinth = RTRIM(LTRIM(@SRC)) and ANALIT_EKR = @LINK_EKR)				

			IF COALESCE(@Account1,0) = 0 BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'') + '     "' + RTRIM(LTRIM(@CODE_SFIN)) + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = CONVERT(VARCHAR(1),@Fin_Source)),'') +  '"',
					'      ' + @Fin_Source + '.' + RTRIM(LTRIM(@SRC)) + '.0X' + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) else '' END + '     ' + RTRIM(LTRIM((select top 1 code from KOSGU where LINK = @LINK_EKR))),
					'           ',
					'SALARY'
				GOTO DO_NEXT
			END
			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = @Account1 and A2.cSource <> '')

			IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where BUH_TYPE > 0 AND cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
			SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END
			
			IF COALESCE(@Account2,0) = 0 BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'') + '     "' + RTRIM(LTRIM(@CODE_SFIN)) + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = CONVERT(VARCHAR(1),@Fin_Source)),'') +  '"',
					'      ' + @KD_FULL_CODE_ACC,
					'     ' + @KD_FULL_CODE_ACC,
					'SALARY'
				GOTO DO_NEXT
			END			

			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) )
				and A2.cSource <> '')

			IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			IF COALESCE(@Account1,0) > 0 AND COALESCE(@Account2,0) > 0 BEGIN

				SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
	
				IF COALESCE(@HOZ_OPER,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
						'    ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'') + '                  .',
						'SALARY'
					GOTO DO_NEXT
				END	

				IF EXISTS (SELECT * FROM dbo.XD_XOZ_OPER WHERE LINK = @HOZ_OPER AND GROUP_CODE = '99') BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'     ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
						'  .',
						'SALARY'
					GOTO DO_NEXT
				END									

				set @P2 = null
				exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @OSNOVANIE, @HOZ_OPER, @order

				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF COALESCE(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	
				exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @LINK_DEP, NULL, NULL, NULL, NULL, @LINK_KAU, NULL, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
				-------
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR
			
				IF COALESCE(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	

				exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @LINK_ORG, @SUBDIV_HEAD, @LINK_EMPL, NULL, NULL, @LINK_KAU, @LINK_ORG_ACC, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU

			END

			IF @@TRANCOUNT > @varKStrancount BEGIN
				COMMIT TRAN
				SET IMPLICIT_TRANSACTIONS OFF
			END
			
			--- ,   
			DECLARE @TestBO tinyint
			exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_DOC_SAL 
			IF @TestBO = 0
			BEGIN
				create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

				insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
				Exec dbo.XD_FORM_BO @LINK_DOC_SAL

				IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
					FROM #tProtocol1	WHERE nSTATUS >= 1
				
				DROP TABLE #tProtocol1
					
			END	

		END
	END

	DO_NEXT:

	FETCH NEXT FROM @Cur INTO @LINK_EMPL, @DATE_DOC_SAL,@LINK_EKR, @LINK_PAYS, @CODE_PAYS, @OSNOVANIE, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @KD_CODE_ACC, @SUM_PROV, @LINK_ORG, @LINK_ORG_ACC, @SUBDIV_HEAD, @SUBDIV_NAME
END

CLOSE @Cur
DEALLOCATE @Cur

exec X_SALDO_CommitChanges

SET NOCOUNT OFF
Return 0
END




GO


GRANT EXECUTE ON dbo.[SA_CREATE_PROV_U] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PROV_N]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PROV_N]

GO

CREATE PROCEDURE [dbo].[SA_CREATE_PROV_N]
	@nMonth INT,
	@nYear INT,
	@DEP_LINK int
AS


DECLARE @varKStrancount int, @varKSERROR int


DECLARE @DATE_CRT DATETIME
SET @DATE_CRT = dbo.ConvertDMY2Date(1,@nMonth, @nYear)
SET @DATE_CRT = dbo.DateEndOfMonth(@DATE_CRT)

DECLARE @LinkEKR211 int,
		@LInkEKR213 int,
		@LinkEKR_R211 int

SELECT @LinkEKR211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211'
SELECT @LinkEKR213 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '213'
SELECT @LinkEKR_R211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = 'R211'

/*  ,    */
SELECT 		
		JC.LINK_PAYS AS [LINK_PAYS],
		 RTRIM(P.NAME) AS [NAME_PAY],
		 RTRIM(P.CODE) AS [CODE_PAY],
		 SUM(JC.SUMMA) AS [SUMMA],
		 JC.PERIOD_END AS [DATE2],
		 [TYP_OPER] = 
				(CASE P.WAY_CALC 
					WHEN 13 THEN (CASE WHEN JC.LINK_EKR = @LinkEKR213 THEN P.LINK_OPER ELSE P.LINK_OPER3 END) 
					WHEN 15 THEN (CASE WHEN JC.LINK_EKR = @LinkEKR_R211 THEN P.LINK_OPER3 ELSE P.LINK_OPER END)
					ELSE P.LINK_OPER 
				END
				),
		 [REF_ORG] = JC.LINK_ORG,
		 [REF_BUD] = JC.LINK_VKR,
		 [REF_EKR] = (CASE WHEN JC.LINK_EKR = @LinkEKR_R211 THEN @LinkEKR211 ELSE JC.LINK_EKR END)
into 
	#tmp
FROM 
	dbo.CALCULATE_JURNAL JC 
	left outer join dbo.PAYS P on P.LINK = JC.LINK_PAYS
WHERE 
	NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  AND 
	MONTH(JC.PERIOD_BEGIN)=@nMonth AND YEAR(JC.PERIOD_BEGIN)=@nYear
	AND NOT(JC.LINK_EMPL IS NULL AND JC.PERS_LINK IS NOT NULL)
	AND P.OBJECT = 1
	AND JC.LINK_DEP = @DEP_LINK
GROUP BY 
	P.LINK_OPER,P.LINK_OPER2,P.LINK_OPER3,P.WAY_CALC,JC.LINK_PAYS, JC.PERIOD_END, JC.LINK_ORG, JC.LINK_VKR, JC.LINK_EKR,P.[NAME], P.CODE
UNION ALL
--   
SELECT 		
	JC.LINK_PAYS AS [LINK_PAYS],
	 RTRIM(P.NAME) AS [NAME_PAY], 
	 RTRIM(P.CODE) AS [CODE_PAY],
	 SUM(JC.SUMMA) AS [SUMMA],
	 JC.PERIOD_END AS [DATE2],
	 [TYP_OPER] = P.LINK_OPER2,
	 [REF_ORG] = NULL,
	 [REF_BUD] = JC.LINK_VKR,
	 [REF_EKR] = JC.LINK_EKR
FROM dbo.CALCULATE_JURNAL JC left outer join dbo.PAYS P on P.LINK = JC.LINK_PAYS
WHERE NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  AND 
	MONTH(JC.PERIOD_BEGIN)=@nMonth AND YEAR(JC.PERIOD_BEGIN)=@nYear
	AND (JC.LINK_EMPL IS NULL AND JC.PERS_LINK IS NOT NULL) 
	AND P.WAY_CALC NOT IN (13,14) AND P.OBJECT = 1   
	AND JC.LINK_DEP = @DEP_LINK
GROUP BY P.LINK_OPER,P.LINK_OPER2,JC.LINK_PAYS, JC.PERIOD_END,JC.LINK_VKR, JC.LINK_EKR, P.[NAME],P.CODE

------------------
INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	SELECT '       "' + COALESCE((LTRIM(RTRIM(T.CODE_PAY))),'') + '"',
		'   "' + LTRIM(RTRIM(COALESCE(F.[CODE],''))) + '"      ( )    0"',
		'     \\ ',
		'SALARY'
FROM
	#tmp t 
	inner join dbo.SAL_SFIN F on t.ref_bud = f.link
WHERE
	F.SOURCE = 0
GROUP BY
	T.CODE_PAY, F.[CODE]


------------------
DECLARE @P tinyint
SET @P = dbo.sa_get_option_by_code('SALARY_PROV_OPT1')

declare @O_BI_DICTION_KBK int
set @O_BI_DICTION_KBK = (SELECT top 1 LINK FROM S_OBJECTS WHERE CODE = 'BI_DICTION_KBK')

declare @O_DICTIONARY_ITEM int
set @O_DICTIONARY_ITEM = (SELECT top 1 LINK FROM S_OBJECTS WHERE CODE = 'DICTIONARY_ITEM')

DECLARE @Cur CURSOR, @OSNOVANIE VARCHAR(254), @SUM_PROV NUMERIC(20,2), @LINK_GP1 float, @LINK_TYP_OPER int,
	@LINK_PAYS int, @LINK_KBK int, @REF_EKR int, @LINK_KAU int, @LINK_DOP_KL int, @USER_ACC varchar(4), @USER_ACC1 varchar(4),
	@CODE_SFIN VARCHAR(30)

DECLARE @Cur1 CURSOR, @LINK_GP2 int, @NAME_GP2 varchar(250), @ORD_GP2 tinyint, @LINK_GP2_ECONOM_OPER int,
	@NEW_LINK_GP2 int, @d_acc  as int, @new_d_acc as int, @new_k_acc as int, @k_acc     as int, @d_cSource as char(1),	
		@d_cSinth char(3), @d_cAnalit char(2), @d_pKassa bit, @k_cSource char(1), @k_cSinth char(3),	
		@k_cAnalit char(2), @k_pKassa bit, @nFin_Source int, @DEP_LINK_ACC int, @CODE_PAYS VARCHAR(10)

SET @nFin_Source = 1

DECLARE @KBK int, @EKR int, @DEP int, @SUB int, @EMP int, @NOMEN int, @INV int, @KAU int, @DEP_ACC int, @TMC int, 
	@INDATE datetime, @SGU int, @AP1 int, @AP2 int, @AP3 int, @LINK_SAL_SFIN INT

DECLARE @LINK_DOC_SAL INT, @NUM_DOC_SAL VARCHAR(25), @SUM_DOC_SAL NUMERIC(18,2)

INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
select '       "' + COALESCE(LTRIM(RTRIM(CODE_PAY)),'') + '"',
	'        .',
	'      .',
	'SALARY'
FROM #TMP WHERE TYP_OPER IS NULL

-------
SET @Cur = CURSOR FORWARD_ONLY
FOR 

	Select 
		F.CODE,
		LINK_PAYS= (CASE WHEN @P = 1 AND COALESCE(PE.PAYS_EMPL,0) > 0 THEN 0 ELSE t.LINK_PAYS END), 
		NAME_PAY = (CASE WHEN @P = 1 AND COALESCE(PE.PAYS_EMPL,0) > 0 THEN ' ' ELSE NAME_PAY END), 
		CODE_PAY = (CASE WHEN @P = 1 AND COALESCE(PE.PAYS_EMPL,0) > 0 THEN '' ELSE CODE_PAY END), 
		TYP_OPER,
		LINK_KBK = F.KBK, 
		REF_EKR,
		LINK_KAU = F.KAU,
		LINK_DOP_KL = F.DOP_KL,
		COALESCE(CAST (F.SOURCE as CHAR(1)),''),
		F.USER_ACC,
		SUMMA= SUM(SUMMA),
		F.LINK 
	from 
		#tmp t 
		inner join dbo.SAL_SFIN F on t.ref_bud = f.link
		left join 
			(select DISTINCT PAYS_EMPL= LINK_PAYS from dbo.PAYS_EMPL
			WHERE @DATE_CRT BETWEEN [DATE] AND COALESCE(dbo.SalaryPaysEmplEndDate(LINK_EMPL,LINK_PAYS, [DATE]),@DATE_CRT)) PE
			ON PE.PAYS_EMPL = t.LINK_PAYS
	WHERE
		F.[SOURCE] > 0
		AND
		T.[TYP_OPER] IS NOT NULL
	group by
		F.CODE, 
		(CASE WHEN @P = 1 AND COALESCE(PE.PAYS_EMPL,0) > 0 THEN 0 ELSE t.LINK_PAYS END),
		(CASE WHEN @P = 1 AND COALESCE(PE.PAYS_EMPL,0) > 0 THEN ' ' ELSE NAME_PAY END),
		(CASE WHEN @P = 1 AND COALESCE(PE.PAYS_EMPL,0) > 0 THEN '' ELSE CODE_PAY END),
		T.[TYP_OPER],
		F.KBK,
		REF_EKR,
		F.KAU,
		F.DOP_KL,
		F.SOURCE,
		F.USER_ACC,
		F.LINK
	order by 2
OPEN @Cur
FETCH NEXT FROM @Cur INTO @CODE_SFIN, @LINK_PAYS,@OSNOVANIE,@CODE_PAYS, @LINK_TYP_OPER,@LINK_KBK,@REF_EKR,@LINK_KAU,@LINK_DOP_KL,@nFin_Source,@USER_ACC1,@SUM_PROV,@LINK_SAL_SFIN
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF COALESCE(@SUM_PROV,0) <> 0 BEGIN

			SET @varKStrancount = @@TRANCOUNT
			SET IMPLICIT_TRANSACTIONS ON
			BEGIN TRAN 
			COMMIT TRAN

			IF @varKSERROR <> 0
				RETURN @varKSERROR
			--------------------
	
			--  
			SELECT @LINK_DOC_SAL = 0, @NUM_DOC_SAL = NULL
			--   
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_SALARY', @NUM_DOC_SAL output, @DEP_LINK

			exec X_SAVE_DOCUMENTS_SALARY @LINK_DOC_SAL OUT, @NUM_DOC_SAL, @DATE_CRT, @DATE_CRT, @SUM_PROV, @OSNOVANIE, @DEP_LINK, NULL

			SET @LINK_GP1 = NULL
			exec X_UPDATE_G_PROV1 @LINK_GP1 output, @LINK_DOC_SAL, NULL, @OSNOVANIE, 1
			
			--   (    )
			SET @Cur1 = CURSOR FORWARD_ONLY
			FOR select link, name, orders, econ_oper from dbo.g_prov2 where link_up = @LINK_TYP_OPER
			
			OPEN @Cur1
			FETCH NEXT FROM @Cur1 INTO @LINK_GP2, @NAME_GP2, @ORD_GP2, @LINK_GP2_ECONOM_OPER
			WHILE @@FETCH_STATUS = 0
			BEGIN
				SET @NEW_LINK_GP2 = 0
				EXEC X_UPDATE_G_PROV2 @NEW_LINK_GP2 output, @LINK_GP1, null, @SUM_PROV, 0, 0, @OSNOVANIE, @LINK_GP2_ECONOM_OPER, @ORD_GP2
				IF @NEW_LINK_GP2 > 0 
				BEGIN
				
					-- ,      "  ".       

					IF NOT EXISTS (SELECT * FROM dbo.XOZ_OPER XO WHERE XO.LINK = @LINK_GP2_ECONOM_OPER AND XO.ZP = 1)
					BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '       "' + CASE WHEN COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') <> '' THEN 
					 				COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') ELSE  (Select TOP 1 CODE_PAY from #tmp WHERE TYP_OPER = @LINK_TYP_OPER) END + '"',
							'  . ' + FULLCODE + '    "   ""' ,
							'   "   ""  .  ' + FULLCODE,
							'SALARY'
						FROM dbo.XD_XOZ_OPER WHERE LINK = @LINK_GP2_ECONOM_OPER
						
						GOTO DO_NEXT
					END					
				
					--        ,   - 
					SELECT	@d_acc = account
					FROM G_PROV_AP WHERE link_UP = @LINK_GP2 and DB_KR = 0

					IF COALESCE(@d_acc,0)= 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '       "' + CASE WHEN COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') <> '' THEN 
					 				COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') ELSE  (Select TOP 1 CODE_PAY from #tmp WHERE TYP_OPER = @LINK_TYP_OPER) END + '"',
							'    ,     ' ,
							'  ,     ',
							'SALARY'
						GOTO DO_NEXT
					END

					--       ,       ,      
					SET @d_cSource = CAST (@nFin_Source as CHAR(1))
					SELECT @d_cSinth=cSinth, @d_cAnalit=cAnalit, @USER_ACC = (CASE WHEN COALESCE(RTRIM(LTRIM(cUser)),'') <> '' THEN cUser ELSE @USER_ACC1 END) 
  					FROM s_accounts 
					WHERE link = @d_acc
					
					SET @d_acc = NULL
					--  @d_acc    ,     
					SELECT top 1 @d_acc=link, @d_pKassa = p_KASSA 
					FROM s_accounts
					WHERE 	cSource = @d_cSource AND @d_cSinth = cSinth AND @d_cAnalit=cAnalit

					--      ,         
					IF COALESCE(@USER_ACC,0)= 0 and exists (Select link from s_accounts where cSource = @d_cSource AND @d_cSinth = cSinth AND @d_cAnalit=cAnalit and len(cUser) > 0)
					BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'    "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"    "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"    '  
								 + '      ' + COALESCE(@d_cSource,'') + '.' + COALESCE(@d_cSinth,'') + '.' + COALESCE(@d_cAnalit,'') + '   !',
								'       "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"      ' + COALESCE(@d_cSource,'') + '.' + COALESCE(@d_cSinth,'') + '.' + COALESCE(@d_cAnalit,'')+  '   ',
								'SALARY'
						GOTO DO_NEXT
					END

					IF COALESCE(@d_acc,0)= 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'   "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = @nFin_Source),'') +  '", ' 
								 + '      ' + COALESCE(@d_cSource,'') + '.' + COALESCE(@d_cSinth,'') + '.' + COALESCE(@d_cAnalit,''),
								'     ,        ',
								'SALARY'
						GOTO DO_NEXT
					END

					IF COALESCE(RTRIM(LTRIM(@USER_ACC)),'') <> ''
					BEGIN
						SET @new_d_acc = NULL
						SELECT top 1 @new_d_acc=link, @d_pKassa = p_KASSA 
						FROM s_accounts
						WHERE 	cSource = @d_cSource AND @d_cSinth = cSinth AND @d_cAnalit=cAnalit AND cUser = @USER_ACC

						IF @new_d_acc is not null 
							SET @d_acc=@new_d_acc
						ELSE BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'   "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"    , ' 
								 + '      ' + COALESCE(@d_cSource,'') + '.' + COALESCE(@d_cSinth,'') + '.' + COALESCE(@d_cAnalit,'') + '/' + COALESCE(@USER_ACC,''),
								'     ,         ',
								'SALARY'
							GOTO DO_NEXT
						END
					END

					--===========================================================
					
					SELECT	@k_acc = account
					FROM G_PROV_AP WHERE link_UP = @LINK_GP2 and DB_KR = 1
					
					IF COALESCE(@k_acc,0) = 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
						select '       "' + CASE WHEN COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') <> '' THEN 
					 				COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') ELSE  (Select TOP 1 CODE_PAY from #tmp WHERE TYP_OPER = @LINK_TYP_OPER) END + '"',
							'    ,     ' ,
							'  ,     ',
							'SALARY'
						GOTO DO_NEXT
					END


					--       .      ,      
					SET @k_cSource = CAST (@nFin_Source as CHAR(1))
					SELECT @k_cSinth=cSinth, @k_cAnalit=cAnalit, @USER_ACC = (CASE WHEN COALESCE(RTRIM(LTRIM(@USER_ACC1)),'') <> '' THEN @USER_ACC1 ELSE cUser END)
  					FROM s_accounts 
					WHERE link = @k_acc 
 
 					SET @k_acc = NULL
					--  @@k_acc    ,     
					SELECT top 1 @k_acc=link, @k_pKassa = p_KASSA 
					FROM s_accounts
					WHERE 	cSource = @k_cSource AND @k_cSinth = cSinth AND	@k_cAnalit=cAnalit AND cUser = @USER_ACC

					--      ,         
					IF COALESCE(@USER_ACC,0)= 0 and exists (Select link from s_accounts where cSource = @k_cSource AND @k_cSinth = cSinth AND @k_cAnalit=cAnalit and len(cUser) > 0)
					BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'    "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"    "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"    '  
								 + '      ' + COALESCE(@k_cSource,'') + '.' + COALESCE(@k_cSinth,'') + '.' + COALESCE(@k_cAnalit,'') + '   !',
								'       "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"      ' + COALESCE(@k_cSource,'') + '.' + COALESCE(@k_cSinth,'') + '.' + COALESCE(@k_cAnalit,'')+  '   ',
								'SALARY'
						GOTO DO_NEXT
					END

					IF COALESCE(@k_acc,0)= 0 BEGIN
						ROLLBACK
						SET IMPLICIT_TRANSACTIONS OFF
						INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'   "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = @nFin_Source),'') +  '", ' 
								 + '      ' + COALESCE(@k_cSource,'') + '.' + COALESCE(@k_cSinth,'') + '.' + COALESCE(@k_cAnalit,''),
								'     ,        ',
								'SALARY'
						GOTO DO_NEXT
					END

					IF COALESCE(RTRIM(LTRIM(@USER_ACC)),'') <> ''
					BEGIN
						SET @new_k_acc = NULL
						SELECT top 1 @new_k_acc=link, @k_pKassa = p_KASSA 
						FROM s_accounts
						WHERE 	cSource = @k_cSource AND @k_cSinth = cSinth AND	@k_cAnalit=cAnalit AND cUser = @USER_ACC

						IF @new_k_acc is not null 
							SET @k_acc = @new_k_acc
						ELSE BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'   "' + COALESCE(LTRIM(RTRIM(@CODE_SFIN)),'') + '"    , '
								 + '      ' + COALESCE(@k_cSource,'') + '.' + COALESCE(@k_cSinth,'') + '.' + COALESCE(@k_cAnalit,'') + '/' + COALESCE(@USER_ACC,''),
								'     ,         ',
								'SALARY'
							GOTO DO_NEXT
						END
					END

					IF  COALESCE(@d_acc,0) > 0 AND COALESCE(@k_acc,0) > 0 BEGIN
					
						--  ,  
						IF EXISTS(SELECT * FROM dbo.S_ACCOUNTS SA WHERE SA.LINK_SELF = @d_acc )
						BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'     ' + COALESCE(SA.CODE,'') + ',    !',
								'   ,    .',
								'SALARY'
							FROM dbo.S_ACCOUNTS SA WHERE LINK = @d_acc	
							GOTO DO_NEXT													
						END	

						--  ,  
						IF EXISTS(SELECT * FROM dbo.S_ACCOUNTS SA WHERE SA.LINK_SELF = @k_acc )
						BEGIN
							ROLLBACK
							SET IMPLICIT_TRANSACTIONS OFF
							INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
							select '       "' + COALESCE((LTRIM(RTRIM(@CODE_PAYS))),'') + '"',
								'     ' + COALESCE(SA.CODE,'') + ',    !',
								'   ,    .',
								'SALARY'
							FROM dbo.S_ACCOUNTS SA WHERE LINK = @k_acc	
							GOTO DO_NEXT													
						END												

						SELECT	
							@KBK = COALESCE(KBK,@LINK_KBK), @EKR = COALESCE(EKR,@REF_EKR), @DEP = COALESCE(DEP,@DEP_LINK), 
							@SUB = SUB, @EMP = EMP, @NOMEN = NOMEN, @INV = INV,
							@KAU = COALESCE(KAU,@LINK_KAU), @TMC = TMC, @INDATE = INDATE, @SGU = SGU,
							@AP1 = AP1, @AP2 = COALESCE(AP2,@LINK_DOP_KL), @AP3 = AP3
						FROM G_PROV_AP WHERE link_UP = @LINK_GP2 and DB_KR = 0

						--   
						if @d_pKassa = 1
							set @SGU = @EKR

						SET @DEP_ACC = dbo.SA_GET_DEP_ACC(@DEP_LINK, @k_acc, @LINK_SAL_SFIN, DEFAULT)
						UPDATE dbo.G_PROV SET ACC = @DEP_ACC WHERE LINK = @LINK_DOC_SAL

						EXEC X_UPDATE_G_PROV_AP @NEW_LINK_GP2, 0, @d_acc, @KBK, @EKR, @DEP,
							@SUB, @EMP, @NOMEN, @INV, @KAU, @DEP_ACC, @TMC, 
							@INDATE, @AP1, @AP2, @AP3, @SGU
	
						SELECT	
							@KBK = COALESCE(KBK,@LINK_KBK), @EKR = COALESCE(EKR,@REF_EKR), @DEP = COALESCE(DEP,@DEP_LINK), 
							@SUB = SUB, @EMP = EMP, @NOMEN = NOMEN, @INV = INV,
							@KAU = COALESCE(KAU,@LINK_KAU), @TMC = TMC, @INDATE = INDATE, @SGU = SGU,
							@AP1 = AP1, @AP2 = COALESCE(AP2,@LINK_DOP_KL), @AP3 = AP3
						FROM G_PROV_AP WHERE link_UP = @LINK_GP2 and DB_KR = 1
	
						--   
						if @k_pKassa = 1
							set @SGU = @EKR

						EXEC X_UPDATE_G_PROV_AP @NEW_LINK_GP2, 1, @k_acc, @KBK, @EKR, @DEP,
							@SUB, @EMP, @NOMEN, @INV, @KAU, @DEP_ACC, @TMC, 
							@INDATE, @AP1, @AP2, @AP3, @SGU

					END

				END

				FETCH NEXT FROM @Cur1 INTO @LINK_GP2, @NAME_GP2, @ORD_GP2, @LINK_GP2_ECONOM_OPER
			
			END
			CLOSE @Cur1
			DEALLOCATE @Cur1

			IF @@TRANCOUNT > @varKStrancount BEGIN
				COMMIT TRAN
				SET IMPLICIT_TRANSACTIONS OFF
			END

			--- ,   
			DECLARE @TestBO tinyint
			exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_DOC_SAL 
			IF @TestBO = 0
			BEGIN
			
				create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

				insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
				Exec dbo.XD_FORM_BO @LINK_DOC_SAL

				IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
					FROM #tProtocol1	WHERE nSTATUS >= 1
				
				DROP TABLE #tProtocol1
					
			END	

		END

	END

	DO_NEXT:

	FETCH NEXT FROM @Cur INTO @CODE_SFIN, @LINK_PAYS,@OSNOVANIE,@CODE_PAYS,@LINK_TYP_OPER,@LINK_KBK,@REF_EKR,@LINK_KAU,@LINK_DOP_KL,@nFin_Source,@USER_ACC1,@SUM_PROV,@LINK_SAL_SFIN
END

CLOSE @Cur
DEALLOCATE @Cur

exec X_SALDO_CommitChanges

Return 0




GO


GRANT EXECUTE ON dbo.[SA_CREATE_PROV_N] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_4FSS_EXPORT_v092]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_4FSS_EXPORT_v092]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].SA_4FSS_EXPORT_v092       42251*/
CREATE      PROCEDURE [dbo].SA_4FSS_EXPORT_v092 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)

SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DD1.Email ,
	DA.[ADDRESS] , 
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = FSS_REG_NUM + '_' + CONVERT(VARCHAR(4),@YEAR)  + '_' +  (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.92"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<F4REPORT xmlns="http://fz122.fss.ru" xmlns:xsd="http://www.w3.org/2001/XMLSchema-instance" xsd:schemaLocation="http://fz122.fss.ru/doc/f4form_2017.xsd">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<TITLE'
		+ ' REG_NUM="' + LTRIM(RTRIM(FSS_REG_NUM)) + '"'
		+ ' KPS_NUM="' + LTRIM(RTRIM(FSS_KOD_P)) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' YEAR_NUM="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' QUART_NUM="' + (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '"'
		+ ' NumCorr="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' NumDot="' + LTRIM(RTRIM(CONVERT(VARCHAR(2),@NumDot))) + '"' -- 
		+ ' LIKV="' +LTRIM(RTRIM(CONVERT(VARCHAR(1),@nLIKV))) + '"'
		+ ' NAME="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"','&quot;'))) + '"'
		+ ' INN="' + LTRIM(RTRIM(INN1)) + '"'
		+ ' KPP="' + LTRIM(RTRIM(KPP1)) + '"'
		+ ' OGRN="' + LTRIM(RTRIM(OGRN)) + '"'
		--+ ' OKOPF="' + LTRIM(RTRIM(OKOPF)) + '"'
		--+ CASE WHEN @OKATO_OR_OKTMO = 1 THEN  (' OKATO="' + REPLACE(LTRIM(RTRIM(OKATO)),' ','') + '"') ELSE (' OKTMO="' + REPLACE(LTRIM(RTRIM(OKTMO)),' ','') + '"') END
		--+ ' OKPO="' + LTRIM(RTRIM(OKPO)) + '"'
		--+ ' OKFS="' + LTRIM(RTRIM(OKFS)) + '"'
		--
		+ ' PHONE="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ' ') + '"'
		+ ' CADDR="'+left(LTRIM(RTRIM(ADDR_STR)),128)+'"'
		+ ' EMAIL="'+LTRIM(RTRIM(EMAIL))+'"'
		+ ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"'
		--+ ' TaxType="' + LEFT(LTRIM(RTRIM(TaxType)),3) + '"' -- ( )
		--+ ' TaxType2="' + LEFT(LTRIM(RTRIM(TaxType2)),2) + '"' -- ( )
		--+ ' TaxType3="' + LEFT(LTRIM(RTRIM(TaxType3)),2) + '"' -- ( )		
		+ ' T1R1C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 1, 3)),0)))) + '"' -- 	
		--+ ' T1R2C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 2, 3)),0)))) + '"' -- : 	
		+ ' T1R4C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 3, 3)),0)))) + '"' -- :  	
		+ ' T1R6C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 4, 3)),0)))) + '"' -- : ,       ()   	
		+ ' Upoln="1"'
		+ ' CEO="' + LTRIM(RTRIM(CHIEF_FIO)) + '"'
		+ ' CRE_DATE="' + convert(varchar(10),@modify_date,120) + '"'
		--+ ' WRO="' + LEFT(FSS_REG_NUM,4) + '"'
		--+ ' CFO="' + LTRIM(RTRIM(GLBUH_FIO)) + '"'
		--+ ' AUTHOR="' + ISNULL(dbo.AdminGetUserFIO(default),'') + '"'
		+ '/>'
		FROM #DEP_DATA
--  /**  I **/

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INFO '		



		-- 1  2  3
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 3) WHERE SUMMA2 <> 0
		-- 1  2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2,4) WHERE SUMMA2 <> 0
		-- 1  2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 5) WHERE SUMMA2 <> 0
		-- 1  2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 6) WHERE SUMMA2 <> 0
		
		-- 1  3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 3) WHERE SUMMA2 <> 0
		-- 4	
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4) WHERE SUMMA2 <> 0
		--  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 5) WHERE SUMMA2 <> 0
		--  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 6) WHERE SUMMA2 <> 0

		-- 1  4  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 3) WHERE SUMMA2 <> 0
		-- 4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4) WHERE SUMMA2 <> 0
		-- 5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 5) WHERE SUMMA2 <> 0
		-- 6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 6) WHERE SUMMA2 <> 0

		-- 1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_MIS="' + right(ltrim(rtrim(str(SUMMA2))),2)+'.' +substring(convert(varchar(4),(SUMMA2 - ROUND(SUMMA2, 0, 1))),3,1)  + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 3) WHERE SUMMA2 <> 0
		-- 1  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_DEC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 6, 3) WHERE SUMMA2 <> 0
		-- 1  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 3) WHERE SUMMA2 <> 0
		-- 1  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' INC_DATE="'
					+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
						WHEN 10 THEN
							SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
						WHEN 8 THEN
							'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
						ELSE
						''
					END + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 8,7) WHERE ISNULL(STR_VAL,'') <> ''


		
---		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA

		--  1 
		-- 2  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3) WHERE SUMMA2 <> 0
		-- 2  2_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3) WHERE SUMMA2 <> 0
		-- 2_3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3) WHERE SUMMA2 <> 0
		-- 2_4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3) WHERE SUMMA2 <> 0
		-- 2_5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3) WHERE SUMMA2 <> 0
		
		-- 2  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3) WHERE SUMMA2 <> 0
		-- 2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R13C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3) WHERE SUMMA2 <> 0
		-- 2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R11C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3) WHERE SUMMA2 <> 0
		-- 2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R16C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 11, 3) WHERE SUMMA2 <> 0
		-- 2  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R17C61="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 12, 3) WHERE SUMMA2 <> 0
		-- 2  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R18C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 14, 3) WHERE SUMMA2 <> 0
		-- 2  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R39C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 16, 3) WHERE SUMMA2 <> 0
		-- 2  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R19C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 17, 3) WHERE SUMMA2 <> 0
		-- 2  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R40C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 19, 3) WHERE SUMMA2 <> 0

		-- 2  15_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R21C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 21, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R23C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 23, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R24C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 24, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R25C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 25, 3) WHERE SUMMA2 <> 0
		-- 2  16_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R27C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 27, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R29C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R30C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R31C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 <> 0
		-- 2  17
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R38C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 3) WHERE SUMMA2 <> 0
		-- 2  19
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R34C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4,34, 3) WHERE SUMMA2 <> 0
		-- 2  20
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R35C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 35, 3) WHERE SUMMA2 <> 0

		-- 
		-- 3  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4) WHERE SUMMA2 <> 0
		-- 3  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4) WHERE SUMMA2 <> 0
		-- 3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4) WHERE SUMMA2 <> 0
		-- 3  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4) WHERE SUMMA2 <> 0
		-- 3  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4) WHERE SUMMA2 <> 0
		-- 3  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4) WHERE SUMMA2 <> 0
		-- 3  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4) WHERE SUMMA2 <> 0
		-- 3  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4) WHERE SUMMA2 <> 0
		-- 3  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4) WHERE SUMMA2 <> 0
		-- 3  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R11C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5,11, 4) WHERE SUMMA2 <> 0


		-- 4
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' M' + CONVERT(VARCHAR(2),ROW) + '="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, DEFAULT, 3) WHERE ROW IN (1,2,3,5) AND SUMMA <> 0

		-- 5  1
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL3="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL4="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7) WHERE SUMMA <> 0

		-- 5  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 8) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 9) WHERE SUMMA <> 0
		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + ' >'


		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 4)
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INFO>'
		
	/*	
		/* 1.1 ,      ,    2.1  22    24  1998 N125-*/
		CREATE TABLE #SVED (
			NUM_PP INT, REG_NOM VARCHAR(10), INN VARCHAR(12), OKVED VARCHAR(8), CHISL NUMERIC(6),
			B_ALL VARCHAR(25), B_INV VARCHAR(25), B_1M_ALL NUMERIC(18,2), B_1M_INV NUMERIC(18,2),
			B_2M_ALL NUMERIC(18,2), B_2M_INV NUMERIC(18,2), B_3M_ALL NUMERIC(18,2), B_3M_INV NUMERIC(18,2),
			STR_KL  NUMERIC(2,2) , STR_SK  NUMERIC(2,1) )
		
		CREATE TABLE #TAB1_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
			INSERT INTO #TAB1_1 (ROW_CODE, COL,SUMMA , SUMMA2, STR_VAL)
			SELECT ROW_CODE, COL,SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL



		INSERT INTO #SVED (NUM_PP, REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK)
		SELECT 
			NOM_PP = ROW_NUMBER() OVER (PARTITION BY REG_NOM ORDER BY REG_NOM), 
			REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK
		FROM (	
			SELECT DISTINCT
				REG_NOM = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 2 AND T.ROW_CODE = T11.ROW_CODE),
				INN = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL =3 AND T.ROW_CODE = T11.ROW_CODE),
				OKVED = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 4 AND T.ROW_CODE = T11.ROW_CODE),
				CHISL = (SELECT TOP 1 SUMMA FROM #TAB1_1 T WHERE T.COL = 5 AND T.ROW_CODE = T11.ROW_CODE),
				B_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 6 AND T.ROW_CODE = T11.ROW_CODE),
				B_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 7 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 8 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 9 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 10 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 11 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 12 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 13 AND T.ROW_CODE = T11.ROW_CODE),
				STR_KL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 14 AND T.ROW_CODE = T11.ROW_CODE),
				STR_SK = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 15 AND T.ROW_CODE = T11.ROW_CODE)
			FROM
				#TAB1_1 T11
			) as t	

			DROP TABLE #TAB1_1

		
		IF (SELECT COUNT(*) FROM #SVED ) > 0
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,
				SPACE(1) + '<F4DOGOV' 
					+ ' REG_NUM_P="' + LEFT(LTRIM(RTRIM(STR(REG_NOM))),10) + '"'
					+ ' INN_P="' + LEFT(LTRIM(RTRIM(INN)),12) + '"' 
					+ ' OKVED_P="' + LEFT(LTRIM(RTRIM(OKVED)),8) + '"' 
					+ ' WRK_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL(CHISL,0)))) + '"'
					+ ' FOT_="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_ALL,0)))) + '"' 
					+ ' FOTINV_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_INV,0)))) + '"'
					+ ' C1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_ALL,0)))) + '"'
					+ ' I1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_INV,0)))) + '"'
					+ ' C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_ALL,0)))) + '"' 
					+ ' I2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_INV,0)))) + '"' 
					+ ' C3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_ALL,0)))) + '"'
					+ ' I3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_INV,0)))) + '"' 
					+ ' RATE_MIS_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(4),ISNULL(STR_KL,0)))) + '"' 
					+ ' MIS_ALL_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(5),ISNULL(STR_SK,0)))) + '"/>'
			FROM #SVED
			ORDER BY NUM_PP

			DROP TABLE #SVED

		END
	*/
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, SPACE(0) + '</F4REPORT>'
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]












GO


GRANT EXECUTE ON dbo.[SA_4FSS_EXPORT_v092] TO PUBLIC

GO




GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_16_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_16_PREPARE_R2]

GO
CREATE PROCEDURE dbo.SA_6NDFL_16_PREPARE_R2 @LSF INT
AS

DECLARE
	@START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @BYearDate DATETIME,
	@nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SET DATEFIRST 7

SELECT
	@DEP_LINK = Link_Organization,
	@START_DATE = BEGIN_DATE
FROM
	report_saved_forms
WHERE
	link_saved_form = @LSF
	

SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)


SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE)-2,
	@nMONTH2 = MONTH(@START_DATE)-1,
	@nMONTH3 = MONTH(@START_DATE)
DECLARE @BDATE DATETIME , @EDATE DATETIME

SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH1,@nYEAR)
SET @EDATE = @START_DATE

DECLARE @varKSname VARCHAR(100), @varKSSQL VARCHAR(8000)
SET @varKSname = (SELECT ID FROM BUFFER WHERE LINK = -116 AND SID = SUSER_SID() )




--------------------------------------------
IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL DROP TABLE #FIZ_VID_DOH
CREATE TABLE #FIZ_VID_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME 
							, VID_DOH CHAR(3), mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED TINYINT, link_ved INT , SUM_DED NUMERIC(18,2) )



EXEC dbo.SA_6NDFL_PREPARE_R2 @BDATE,@EDATE,'REP2NDFL', @DEP_LINK

-- EXEC SA_6NDFL_16_PREPARE_R2        3195 

-- exec dbo.RI_REPORT_FORMULA_ALL_CALCULATE '2016-01-01 00:00:00','2016-03-31 00:00:00',2,1,3195
---      1       , 2    ,  2  
-- -       ,       ,    
-- 
SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUMMA_DOH
	  ,SUMMA_NAL = SUMMA_NAL
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP_GR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'ZP'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH,SUMMA_DOH, SUMMA_NAL, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  
----       
SELECT
	  PERS_LINK = PERS_LINK
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = sum(SUMMA_DOH)
	  ,SUMMA_NAL = sum(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP	  
FROM #TAB_ZP_GR
WHERE VID_DOH = 'ZP'
GROUP BY PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  


SELECT 
	  PERS_LINK
	  , DGH  = 1
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_DZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DZP'
GROUP BY  link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_UV	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'UV'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
	  ,DED
INTO #TAB_DR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DR'
AND isnull(DATE_DOH,'') <> '' 
GROUP BY link_FACE,DIS, INOSTR, VID_DOH, mon, DATE_DOH, DATE_NAL, DATE_ISCH,DED



/*

-- EXEC SA_6NDFL_16_PREPARE_R2        3195

*/CREATE TABLE #PAYS_TMP (VID_DOH CHAR(3), SUMMA_DOH NUMERIC(18,2), SUMMA_NAL NUMERIC(18,2), MON tinyint, DATE_DOH datetime, DATE_NAL datetime, DATE_ISCH DATETIME)
INSERT INTO #PAYS_TMP(VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH)

--SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
--FROM #TAB_DR TDR

SELECT TB.VID_DOH, SUMMA_DOH = SUM(TB.SUMMA_DOH), SUMMA_NAL = SUM(TB.SUMMA_NAL),MON,TB.DATE_DOH,TB.DATE_NAL, TB.DATE_ISCH
FROM 
(SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_ZP TZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DZP TDZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_UV TUV
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DR TDR)  TB
GROUP BY TB.VID_DOH,MON, TB.DATE_DOH, TB.DATE_NAL, TB.DATE_ISCH--, TB.SUMMA_DOH, TB.SUMMA_NAL

-- EXEC SA_6NDFL_16_PREPARE_R2    565

CREATE TABLE #RAZD2 (LINK INT IDENTITY (1,1), COL2 VARCHAR(10),COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 NUMERIC(18,2), COL6 NUMERIC(18,2))
INSERT INTO #RAZD2 ( COL2, COL3, COL4, COL5, COL6)
SELECT
	CONVERT (VARCHAR (10), A.DATE_DOH,104),
	CONVERT(VARCHAR (10), A.DATE_NAL,104),
	CONVERT(VARCHAR (10), A.DATE_ISCH,104),
	sum(A.SUMMA_DOH),
	SUM(A.SUMMA_NAL)
FROM 
	#PAYS_TMP  A
GROUP BY A.[mon],A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH /*, B.PERIOD_ndfl*/
ORDER BY
	A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH

SELECT
	CODE = REPLICATE( '0', 3-len(CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ))+CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ,
	COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)),
	COL2,
	COL3,
	COL4,
	COL5,
	COL6
FROM
	#RAZD2 E
ORDER BY
	month(convert(datetime,COL2,104))

DROP TABLE #FIZ_VID_DOH
DROP TABLE #RAZD2


	

RETURN 0





GO


GRANT EXECUTE ON dbo.[SA_6NDFL_16_PREPARE_R2] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS_INFO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CALENDAR_DAYS_INFO]

GO

CREATE PROCEDURE dbo.SA_CALENDAR_DAYS_INFO (@linkEmpl int, @Month int, @Year int)
AS

DECLARE @INFO TABLE (
	ORD TINYINT, 
	NAME VARCHAR(254), 
	DATE_BEG DATETIME, 
	DATE_END DATETIME, 
	COMMENT VARCHAR(254), 
	LINK_OBJ INT, 
	CODE_OBJ VARCHAR(254)
)

/*     */

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @RealCount NUMERIC(18,2)
SET @RealCount = DBO.SA_CALENDAR_DAYS_FN(@linkEmpl,@Month,@Year)

INSERT INTO @INFO (ORD, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
SELECT 
	1, ' ', @DateBegin, @DateEnd, '  /',
	(SELECT ORDER_LINK FROM ITEM_MOVE WHERE NEW_FACE = 1 AND EMPL_LINK = @linkEmpl AND ACTIVE = 1),
	'ORDERS_REESTR'

UPDATE @INFO
SET LINK_OBJ = (SELECT TOP 1 ORDER_LINK FROM ITEM_DIS_FACE IM WHERE EMPL_LINK = @linkEmpl AND  ACTIVE = 1)
WHERE @DateSack = @DateEnd

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int,
 LINK_DOC INT 	 	
)


--     ,        
DECLARE @TYPE_OTHER_DEP_PERIOD INT, @PRIOR_OTHER_DEP_PERIOD INT, @HOUR_OTHER_DEP_PERIOD NUMERIC(18,2)
SELECT TOP 1 @TYPE_OTHER_DEP_PERIOD = N.LINK, @PRIOR_OTHER_DEP_PERIOD = TD.PRIORITET, @HOUR_OTHER_DEP_PERIOD = TD.[HOUR]
FROM 
	dbo.NETRUD N
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
ORDER BY
	(CASE WHEN WORK_D = 13 THEN 1 ELSE 2 END), N.CODE

IF @TYPE_OTHER_DEP_PERIOD IS NOT NULL
	INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H], LINK_DOC)
	SELECT 
		[TYPE] = @TYPE_OTHER_DEP_PERIOD, 
		[PRIOR] = @PRIOR_OTHER_DEP_PERIOD, 
		[HOUR] = @HOUR_OTHER_DEP_PERIOD,
		[DATE_1] = (CASE WHEN P.DATE1 < @DateBegin THEN @DateBegin ELSE P.DATE1 END),
		[DATE_2] = (CASE WHEN P.DATE2 > @DateEnd  THEN @DateEnd ELSE P.DATE2 END),
		[DOC]	= 4,--    
		[H] = 0,
		D.LINK
	FROM
		dbo.SAL_OTHER_DEP D
		INNER JOIN dbo.SAL_OTHER_DEP_PERIOD_DATES P ON D.LINK = P.LINK_DOC
	WHERE
		LINK_EMPL = @linkEmpl
		AND
		(
			P.DATE1 BETWEEN @DateBegin AND @DateEnd 
			OR P.DATE2 BETWEEN @DateBegin AND @DateEnd 
			OR (P.DATE1 < @DateBegin AND P.DATE2 > @DateEnd)
		)		
-----------------------------------------------------------------------

INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H], LINK_DOC)
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H, LINK FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0,
	LINK = SD.LINK_UP 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY,
	LINK = IV.LINK
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
--
UNION
SELECT 
	[TYPE] 	= it.type_link, 
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR], 
	[DATE_1] = (CASE WHEN IT.[DATE_BEGIN]<@DateBegin THEN @DateBegin ELSE IT.[DATE_BEGIN] END),
	[DATE_2] = (CASE WHEN (ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END))> @DateEnd 
				 THEN @DateEnd ELSE 
				(ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END)) END),
	[DOC]= 3,
	[H] = 0,
	LINK = IT.LINK
FROM 
	dbo.item_travel IT
	INNER JOIN dbo.komand_vid KV ON KV.LINK = IT.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = KV.TYPE_LINK
WHERE  
	IT.EMPL_LINK = @linkEmpl 
	AND IT.ACTIVE = 1 
	AND COALESCE(KV.TIME_ARCHE,0) = 0 
	AND (IT.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IT.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IT.DATE_BEGIN<@DateBegin) AND(IT.DATE_END>@DateEnd))
	 )
)  TAB

DELETE FROM @S
WHERE DATE_1 > DATE_2

INSERT INTO @INFO (ORD, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 2, ' ', DATE_1, DATE_2, ' ', LINK_DOC, 'ORDER_DISABILITY_SHEET'
	FROM @S WHERE DOC = 1
UNION 
	SELECT 3, ',  ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC IN (2,22) AND coalesce(H,0) = 1
UNION 
	SELECT 4, ',   ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC IN (2,22) AND coalesce(H,0) <> 1
UNION 
	SELECT 5, '', DATE_1, DATE_2, '  ', LINK_DOC, 'TRAVEL'
	FROM @S WHERE DOC = 3
UNION 
	SELECT 6, '   ', DATE_1, DATE_2, '   ', LINK_DOC, 'DOC_SAL_OTHER_DEP'
	FROM @S WHERE DOC = 4	

INSERT INTO @INFO (ORD, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 7, ' ', t1.DATE, t1.DATE, TYPE_HOL_STR, LINK, 'KD_HOLIDAYS'
	FROM
		dbo.SD_DAY(@DateBegin,@DateEnd) T1 
		INNER JOIN KD_HOLIDAYS DH ON day(t1.DATE) = DH.DAY and month(t1.DATE) = DH.MONTH and YEAR(t1.DATE) = DH.YEAR
	WHERE 
		(DH.WORK_D = 14 or DH.WORK_D = 11) AND TYPE_HOL = 1
		AND
		EXISTS (SELECT * FROM @INFO I WHERE ORD = 3 AND T1.DATE BETWEEN DATE_BEG AND DATE_END)

SELECT ORD, [NAME] AS NAME_PER, DATE_BEG, DATE_END, 
	CNT_DAYS = CASE WHEN ORD BETWEEN 2 AND 6 THEN -1 ELSE 1 END * (datediff(day,DATE_BEG,DATE_END) + 1 ), 
	RealCount = @RealCount, COMMENT AS COM , LINK_OBJ, CODE_OBJ 
FROM @INFO ORDER BY ORD, DATE_BEG

RETURN 0

GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS_INFO] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_RPSV_EXPORT_v5_01]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_RPSV_EXPORT_v5_01]

GO

CREATE   PROCEDURE [dbo].SS_RPSV_EXPORT_v5_01( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254), @WORK_END VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')

DECLARE @ATR_TYPE_KOR INT
SET @ATR_TYPE_KOR  = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_TYPE_KOR'))	

-- " "
SET @WORK_END = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_LIKVID'))
SET @WORK_END = CASE WHEN @WORK_END LIKE '' THEN '0' ELSE '' END
	
DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, @Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

SELECT top 1
	DD1.OKPO AS OKPO1,
	RIGHT(LTRIM(RTRIM(DD1.INN)), 12) AS INN1,
	DD1.KPP AS KPP1,
	FULL_NAME = CONVERT(VARCHAR(160),UPPER(DD1.FULL_NAME)),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15) AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	OGRN = RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15),
	DD1.OKATO,
	DD1.OKTMO,
	OKVED = (CASE WHEN LEN(ltrim(rtrim(DD1.OKVED)))<8 AND RIGHT(DD1.OKVED,1) = '.' THEN STUFF(DD1.OKVED,LEN(ltrim(rtrim(DD1.OKVED))),1,'') ELSE DD1.OKVED end) ,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TFOMS_KTI = '03',
	WORK_END = '1'
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP


/*       ,       */
IF OBJECT_ID('tempdb..#t_osn') IS NOT NULL DROP TABLE #t_osn
CREATE table #t_osn (code CHAR(10), COL1 INT , COL2 VARCHAR(10) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 INT, COL6 VARCHAR(100), COL7 VARCHAR(10), col8 int , col9 int, col10 int, col11 int)
IF OBJECT_ID('tempdb..#t_kor') IS NOT NULL DROP TABLE #t_kor
CREATE table #t_kor (code CHAR(10), COL1 INT , COL2 CHAR(4) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 VARCHAR(50), COL6 VARCHAR(50), COL7 VARCHAR(50), col8 int , col9 VARCHAR(100), col10 VARCHAR(10), col11 int, col12 int , col13 int, col14 VARCHAR(50), col15 VARCHAR(50), col16 VARCHAR(10))


INSERT INTO #t_osn /*(code, COL1, COL2, COL3, COL4, COL5, COL6, COL7, col8, col9, col10, col11)*/
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,0,  @link   

INSERT INTO #t_kor
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,1,  @link   

INSERT INTO #t_osn (code, COL1 , COL2 , COL4)
SELECT code, COL1 , COL2 , COL4
FROM #t_kor

DECLARE @NUM_P INT 
IF COALESCE(dbo.sa_get_option_by_code('SA_SZV4_OPT3'),0) = 1
	SET @NUM_P = (SELECT MIN(COALESCE(COL1,0))-1 FROM #t_osn) 
ELSE 
	SET @NUM_P = (SELECT MAX(COALESCE(COL1,0))+1 FROM #t_osn) 

drop table #t_osn 
drop table #t_kor

/**/





DECLARE @Cur0 CURSOR, @CurD0 CURSOR, @Cur00 CURSOR,@Cur000 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @TABD_NUM TINYINT, @TABD_NAME VARCHAR(254), @TAB1_NAME VARCHAR(254), @TAB1_NUM TINYINT, @Cur CURSOR, @Cur1 CURSOR , @Cur2 CURSOR , @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254),
		@CurI0 CURSOR,@CurI00 CURSOR,@CurI000 CURSOR,@CurI CURSOR, @CurI1 CURSOR, @CurI2 CURSOR


DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)
SELECT @lcFNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0' FROM #DEP_DATA

--exec SS_RPSV_EXPORT_v5_01   3229	
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.01">'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
										+ ' ="1151111"'
										+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
										+ ' ="' + ISNULL(LTRIM(RTRIM(@ATR_TYPE_KOR)),'') + '"'
										+ ' ="' + (CASE WHEN @Period_Number = 1 and @WORK_END = '' THEN '21'
															  WHEN @Period_Number = 2 and @WORK_END = '' THEN '31' 
															  WHEN @Period_Number = 3 and @WORK_END = '' THEN '33' 
															  WHEN @Period_Number = 4 and @WORK_END = '' THEN '34' 
															  WHEN @Period_Number = 1 and @WORK_END = '0' THEN '51'
															  WHEN @Period_Number = 2 and @WORK_END = '0' THEN '52' 
															  WHEN @Period_Number = 3 and @WORK_END = '0' THEN '53' 
															  WHEN @Period_Number = 4 and @WORK_END = '0' THEN '90'	END) + '"'
										+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
										+ ' ="' + LTRIM(RTRIM(isnull(IMNS_SONO,''))) + '"'
										+ ' ="214">'
	FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(ISNULL(OKVED,''))) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	
					+ ' ="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '"'
					+ ' ="' +LTRIM(RTRIM(INN1)) + '"'
					+ ' ="' + LTRIM(RTRIM(KPP1)) + '">'
				FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME,  
						  CASE WHEN @WORK_END = '0'
							   THEN   SPACE(4) + '<'
						   	   + '  = "' + @WORK_END + '"'
						   	   + ' ="' +LTRIM(RTRIM(INN1)) + '"'
						   	   + ' ="' + LTRIM(RTRIM(KPP1)) + '"/>' 
						   	   ELSE '' END
						 	   FROM #DEP_DATA
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'				 	   	
		
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA		
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	
				*/
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
							+ ' ="          "'
							+ ' =" "'
							+ ' ="   ">'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' ="          "/>'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ '  ="      "'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+' />'	
							FROM #DEP_DATA				
					UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	*/				
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	--exec SS_RPSV_EXPORT_v5_01   3229	
	
	--   
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '< ="'+ REPLACE(LTRIM(RTRIM(ISNULL(OKTMO,''))),SPACE(1),'') +'">' 			
		FROM #DEP_DATA

	---  1  1
	--     
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="18210202010061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 4)) +'"/>'	
	---     
			UNION ALL
			SELECT @lcFNAME, SPACE(4) + '< ="18210202101081013160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 8, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 10, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 11, 4)) +'"/>'	
	---          
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (13,14,15,16)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 13, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 15, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 4)) +'"/>'	
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (18,19,20,21)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 21, 4)) +'"/>'	
			END
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (23,24,25,26)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 23, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 4)) +'"/>'				
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (28,29,30,31)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 28, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 30, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 4)) +'"/>'				
			END


			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (33,34,35,36)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253062060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 33, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 35, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 4)) +'"/>'				
			END
		
			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (38,39,40,41)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253066060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 38, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 39, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 40, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 41, 4)) +'"/>'				
			END			
			---       
			--             
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202090071010160" >'
				UNION ALL
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) = 0 then  ''
						ELSE '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) +'" ' 
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 44, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 45, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 46, 4)) = 0 then  ''
					     else '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 4)) +'" '
					END     
					+ '/>'		
					
			
			--exec SS_RPSV_EXPORT_v5_01    5020
			--        
			--        
			--     
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) = 0 then  ''
						else '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2))  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 48, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 48, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 49, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 49, 4)) +'" '
					END	
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 50, 4)) = 0 then  ''
						ELSE '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 50, 4)) +'" '
					END	
					+ '/>'					
				UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'


	--           (1-.1)	
	-- 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			--__	 -   
			SELECT @lcFNAME, SPACE(4) + '<__ '	 	
			--	
				 + '="' + (select LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) FROM #DEP_DATA) + '">' 
			--_ -  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
	


---  1..1.3.1            
		--_428 - 
		--	_428.1-2 - 	  
		
			if   (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
			BEGIN
						
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_428>'
				--   1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'	
				END 	
					
				--   2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 )>0  
				BEGIN				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'									
				END
				
				--              
				--        428     (1 .1.3.2)
			--exec SS_RPSV_EXPORT_v5_01   3229		
	 ----------------------------
	  -----------  1 ----------
	  ------------------------------
				-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
			---------------------
			----------   2
			--------------------
							-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="2" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
	--exec SS_RPSV_EXPORT_v5_01   3229	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
					END			
				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_428>'
				END 
	---            
	--     ,        
	--    (1 .1.4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>1</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>2</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</__>'	 			  					  
	
	--         
	--        (1 .2)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="1">' 
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 7)) +'"/>'
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 7)) +'"/>'
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 7)) +'"/>'	
			--exec SS_RPSV_EXPORT_v5_01   3229	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 7)) +'"/>'

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 
				
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="2">'  
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 7)) +'"/>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + ' < ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 7)) +'"/>'
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			


				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 	
				

	---        
	--        ,   
	--      (1 .3)

				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
				BEGIN
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 6)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 5)) +'"/>'
					END 
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 6)) +'"/>'
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END
				
			
---------------------------
----------------
---------------------------


--exec SS_RPSV_EXPORT_v5_01   3229	
	-- ,    ,     (1. .4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, DEFAULT, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
				begin
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'	
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA) ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					end	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<255>'		
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</255>'	
					END
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
							SELECT @lcFNAME, SPACE(6) + '<>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 31, 4))+'"</> '
							 
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END	

------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
	--           , 
	--    3  1  427     (1 .5)  
------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, DEFAULT,DEFAULT) WHERE row IN(1,2,4) AND col IN(3,4) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3.1.427>'	
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3) WHERE summa <> 0 ) > 0 
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3))+'"</_9> '
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,4))+'"</_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3))+'"</248_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,4))+'"</248_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5..427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,4))+'"</5..427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,4))+'"</5.427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5) WHERE isnull(str_val,'') <> '' ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,6))+'"/>'
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3.1.427>'			
				END
-----------------------------------------------------------------------------------------------------------
	--1 .6_7
	--          , 
	--   5  1  427     (1 .6)
---------------------------------------------------------------------------------------------------------	

				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(1,2,3) AND col IN(3) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<5.1.427 346.15=""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3,3))+'"/>'

				END 
------------------------------------------------------------------------------------------------------------
--1 .6_7
	--           , 
	--    7  1  427     (1 .7)
------------------------------------------------------------------------------------------------------------	
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(4,5,6,7,8) AND col IN(4,5) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<7.1.427 =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4) ) > 0 THEN 
								'6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4))+'"'
							 ELSE ''
						  END 			
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,5))+'"/>'
				END 
--exec SS_RPSV_EXPORT_v5_01   3229	
--------------------------------------------------------------------------------------------------------
--- 1 .8   
	--,        , 
	--   9  1  427     (1 .8)

	--***9.1.427 - 	
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--- 1..9
------ ,      ,    
------  2  2  425 (   1  2  426) 
------     (1..9)
-----------------------------------------------------------------------------------------------------------



				if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) WHERE ROW_code ='1' AND COL = 2 AND ISNULL(STR_VAL,'') <> '') > 0
				begin

						/*   */
						CREATE TABLE #INOST (LINK INT, FM VARCHAR(60), IM VARCHAR(60), OT VARCHAR(60), INN VARCHAR(12), SNILS VARCHAR(14),
							 GR_CODE VARCHAR(3), SUM_NACH NUMERIC(11,2),SUM_M1 NUMERIC(11,2),SUM_M2 NUMERIC(11,2),SUM_M3 NUMERIC(11,2) )

						CREATE TABLE #TAB1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
						INSERT INTO #TAB1 (ROW_CODE, COL, SUMMA, STR_VAL)
						SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

						INSERT INTO #INOST (LINK, FM, IM, OT, INN, SNILS, GR_CODE, SUM_NACH,SUM_M1,SUM_M2,SUM_M3)
						SELECT DISTINCT
							LINK = (SELECT TOP 1 row_code FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							FM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							IM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
							OT = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE),
							INN = (SELECT TOP 1 left(STR_VAL,12) FROM #TAB1 T WHERE T.COL = 5 AND T.ROW_CODE = T1.ROW_CODE),
							SNILS = (SELECT TOP 1 left(STR_VAL,14) FROM #TAB1 T WHERE T.COL = 6 AND T.ROW_CODE = T1.ROW_CODE),
							GR_CODE = (SELECT TOP 1 left(STR_VAL,3) FROM #TAB1 T WHERE T.COL = 7 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_NACH = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 8 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M1 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 9 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M2 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 10 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M3 =(SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 11 AND T.ROW_CODE = T1.ROW_CODE)
						FROM
							#TAB1 T1 
	

						DROP TABLE #TAB1

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2.2.425>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_NACH),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SUM_M1),0)+ISNULL(sum(SUM_M2),0)+ISNULL(sum(SUM_M3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M3),0)))) + '"' +
							' />'
						FROM #INOST
					
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME, SPACE(5) + '<'+	
								         ' ="' + UPPER(LTRIM(RTRIM(ISNULL(INN,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(SNILS,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(GR_CODE,'')))) + '">' + 
								SPACE(6) + '<' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(FM,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(IM,'')))) + '"' +
										 CASE WHEN ISNULL(OT,'')<>'' THEN ' ="' + UPPER(LTRIM(RTRIM(ISNULL(OT,'')))) + '"'
										 ELSE '' END +
										  '/>'+
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_NACH,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(SUM_M1,0)+ISNULL(SUM_M2,0)+ISNULL(SUM_M3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M3,0)))) + '"' +				
												' />'+	
								SPACE(5) + '</>'					
							FROM #INOST
							ORDER BY fm, im, ot, snils
							--INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
						
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2.2.425>'	

						DROP TABLE #INOST	
				END
				
--exec SS_RPSV_EXPORT_v5_01   355	

-----------------------------------------------------------------
	-- ,      1  3  422     
	-- ,            
	-- ,          ,  
	--    (         ,  
	--  )      - ,    
	--    ()   (1 .10)

--- 
------------------------------------------------------------------

				CREATE TABLE #STUD (LINK INT, FM VARCHAR(60), IM VARCHAR(60),OT VARCHAR(60), NUM_SPR1 VARCHAR(30), 
									DATE_SPR1 VARCHAR(10),NUM_SPR2 VARCHAR(30), DATE_SPR2 VARCHAR(10),
									SM_ALL 	NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

				CREATE TABLE #STUD_1 ( LINK_UP INT , N_PP INT ,SVED VARCHAR(1000), DATE_R VARCHAR(10),NUM_R VARCHAR(28) )

				CREATE TABLE #TAB110 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				CREATE TABLE #TAB110_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110_1 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				INSERT INTO #STUD (LINK, FM,IM,OT, NUM_SPR1, DATE_SPR1,NUM_SPR2, DATE_SPR2,
					SM_ALL, SM1, SM2, SM3 )
				SELECT DISTINCT
					link = (SELECT TOP 1 ROW_CODE FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					FM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					IM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 3 AND T.ROW_CODE = T110.ROW_CODE),
					OT = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 4 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 5 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 6 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 7 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 8 AND T.ROW_CODE = T110.ROW_CODE),
					SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 9 AND T.ROW_CODE = T110.ROW_CODE),
					SM1 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 10 AND T.ROW_CODE = T110.ROW_CODE),
					SM2 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 11 AND T.ROW_CODE = T110.ROW_CODE),
					SM3 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 12 AND T.ROW_CODE = T110.ROW_CODE)
				FROM
					#TAB110 T110

				DROP TABLE #TAB110


				INSERT INTO #STUD_1 ( LINK_UP, N_PP,SVED, DATE_R,NUM_R)
				SELECT DISTINCT
					link_up = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					N_PP = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					SVED = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					DATE_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL,104),''))) FROM #TAB110_1 T WHERE T.COL = 3 AND T.ROW_CODE = T110_1.ROW_CODE),
					NUM_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 4 AND T.ROW_CODE = T110_1.ROW_CODE)
				FROM
					#TAB110_1 T110_1

				DROP TABLE #TAB110_1


				--  
				DECLARE @NEXT_NUM2 INT
				SET @NEXT_NUM2 = 0
				UPDATE #STUD SET @NEXT_NUM2 = @NEXT_NUM2 + 1, LINK = @NEXT_NUM2

				-- 
				DECLARE @COUNT_STUD INT
				set @COUNT_STUD = (select count(*) from #STUD )


				--IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 15, DEFAULT, DEFAULT) WHERE COL = 5 AND SUMMA <> 0) > 0 --  
				--BEGIN

				IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				BEGIN


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<1.3.422>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM_ALL),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SM1),0)+ISNULL(sum(SM2),0)+ISNULL(sum(SM3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM3),0)))) + '"' +
							' />'
						FROM #STUD
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,   
							SPACE(5) + '<>' + CHAR(10) +		
								SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(3),ISNULL(S.link,0)))) + '</>' + CHAR(10) + 		
								SPACE(6) + '<' + 
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.FM,'')))) + '"' + 		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.IM,'')))) + '"' +		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.OT,'')))) + '"' +											
										'"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										   ' ="' + UPPER(LTRIM(RTRIM(ISNULL(S.NUM_SPR1,'')))) + '"' + 		
										   ' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR1,1,2)+'.'+SUBSTRING(S.DATE_SPR1,3,2)+'.'+SUBSTRING(S.DATE_SPR1,5,4),104),''))) + '"' + 		
										   '"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										' ="' + LTRIM(RTRIM(ISNULL(S.NUM_SPR2,''))) + '"' + 		
										' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR2,1,2)+'.'+SUBSTRING(S.DATE_SPR2,3,2)+'.'+SUBSTRING(S.DATE_SPR2,5,4),104),''))) + '"' + 			
										'"/>' + CHAR(10) +
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM_ALL,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(S.SM1,0)+ISNULL(S.SM2,0)+ISNULL(S.SM3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM3,0)))) + '"' +				
												'"/>' + CHAR(10) +
								SPACE(6) + '<>' + CHAR(10) +	
									SPACE(7) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(1000),ISNULL(S1.SVED,0)))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10), SUBSTRING(S1.DATE_R,1,2)+'.'+SUBSTRING(S1.DATE_R,3,2)+'.'+SUBSTRING(S1.DATE_R,5,4),104),''))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(convert(varchar(28),ISNULL(S1.NUM_R,0)))) + '</>' + CHAR(10) + 
								SPACE(6) + '</>' + CHAR(10) +	
							SPACE(5) + '</>'                                   
						FROM #STUD S 
						LEFT JOIN #STUD_1 S1 ON S.LINK	= S1.LINK_UP		
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</1.3.422>'		

				END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
	-- <_>'  -     
	
-----------------------------------------------------
-----------------------------------------------------
------    
------     2.5.1   
------ 
-----------------------------------------------------	

	---     -     
			  			
if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) WHERE COL = 22 and ISNULL(STR_VAL,'') <> '') <> 0
begin	
	
				
					
		--  exec SS_RPSV_EXPORT_v5_01 2932			
/********************************/
--				* 
--				*  3 
/********************** */	
 
					CREATE TABLE #TAB3 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

  --  exec SS_RPSV_EXPORT_v5_01 803

					CREATE TABLE #P_3 (	LINK INT, [TYPE] varchar(15), NOM_PP INT, NOM_K CHAR(3), PER VARCHAR(2),YEAR_BEGIN VARCHAR(4),DATE_PU VARCHAR(10), 
										PER_EDT VARCHAR(2), YEAR_EDT VARCHAR(4), 
										INN VARCHAR(12), SNILS VARCHAR(14), FM varchar(100), IM varchar(100), OT varchar(100), BIRTH_DATE VARCHAR(10),
										GRAZHD VARCHAR(3),SEX INT, DOC_CODE CHAR(2), DOC_SR VARCHAR(20) , DOC_NM  VARCHAR(20), PRIZ_OPS INT , PRIZ_OMS INT , PRIZ_FSS INT , link_face int
										/*NOM_PACH varchar(5)*/)

					INSERT INTO #P_3 ( /*LINK,*/[TYPE], NOM_PP, NOM_K, PER,YEAR_BEGIN,DATE_PU, 
										PER_EDT, YEAR_EDT, 
										INN, SNILS, FM, IM, OT, BIRTH_DATE,
										GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM, PRIZ_OPS, PRIZ_OMS, PRIZ_FSS,  link_face
										/*NOM_PACH*/ )
					SELECT
								/*LINK */
								[TYPE],
								NOM_PP =  ROW_NUMBER() OVER ( ORDER BY fm, im , ot, SNILS, LINK_FACE) ,
								NOM_K,
								PER,YEAR_BEGIN,DATE_PU,PER_EDT, YEAR_EDT,
								INN, SNILS, FM, IM, OT, BIRTH_DATE,
								GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM,  PRIZ_OPS, PRIZ_OMS, PRIZ_FSS , link_face--, NOM_PACH
						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),15) FROM #TAB3 T WHERE T.COL = 20 AND T.ROW_CODE = T3.ROW_CODE),
						--NOM_PP = 0,--(SELECT TOP 1 ROW_CODE FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_K = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),3) FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE), 
						PER = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 3 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),4) FROM #TAB3 T WHERE T.COL = 4 AND T.ROW_CODE = T3.ROW_CODE),
						DATE_PU = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL = 5 AND T.ROW_CODE = T3.ROW_CODE),
						PER_EDT = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 23 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_EDT = ''/*(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 14 AND T.ROW_CODE = T3.ROW_CODE)*/,		
						INN= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),12) FROM #TAB3 T WHERE T.COL = 6 AND T.ROW_CODE = T3.ROW_CODE), 
						SNILS = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),14) FROM #TAB3 T WHERE T.COL = 7 AND T.ROW_CODE = T3.ROW_CODE),
						FM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 8 AND T.ROW_CODE = T3.ROW_CODE),
						IM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 9 AND T.ROW_CODE = T3.ROW_CODE),
						OT= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 10 AND T.ROW_CODE = T3.ROW_CODE),
						BIRTH_DATE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL =11 AND T.ROW_CODE = T3.ROW_CODE),
						GRAZHD  = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),3) FROM #TAB3 T WHERE T.COL =12 AND T.ROW_CODE = T3.ROW_CODE),
						SEX = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),1) FROM #TAB3 T WHERE T.COL =13 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_CODE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),2) FROM #TAB3 T WHERE T.COL =14 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_SR = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =15 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_NM = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =16 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OPS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =17 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OMS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =18 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_FSS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =19 AND T.ROW_CODE = T3.ROW_CODE),
						LINK_FACE= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =22 AND T.ROW_CODE = T3.ROW_CODE)--,
						--NOM_PACH= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =21 AND T.ROW_CODE = T3.ROW_CODE)
					FROM
					#TAB3 T3	
						) T GROUP BY [TYPE]/*,NOM_PP*/,NOM_K,PER,YEAR_BEGIN,DATE_PU,PER_EDT,YEAR_EDT,INN,SNILS, FM,IM,OT,BIRTH_DATE	,GRAZHD,SEX,DOC_CODE,DOC_SR,DOC_SR,DOC_NM,PRIZ_OPS,PRIZ_OMS,PRIZ_FSS, LINK_FACE
					ORDER BY t.FM,IM,OT,SNILS


/****************************************************/
/* 3.1*/
/**************************************************/
   				
					CREATE TABLE #TAB3_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_1 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 20, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL


					CREATE TABLE #P_3_1 (
												LINK INT, [TYPE] varchar(15), NOM_PP INT, SNILS VARCHAR(14), CODE_STR int, CODE_KAT varchar(5),CODE_TAR char(2), INSUR NUMERIC(18,2), B_BEF NUMERIC(18,2), GB_BEF NUMERIC(18,2),B_AFT NUMERIC(18,2),
												PER VARCHAR(1), YEAR_BEGIN VARCHAR(4), PER_EDT VARCHAR(1), YEAR_EDT VARCHAR(4), FM varchar(100), IM varchar(100), OT varchar(100),
												k_PER_EDT1 VARCHAR(1), k_YEAR_EDT1 VARCHAR(4), k_INSUR1 NUMERIC(18,2), k_INSUR_1 NUMERIC(18,2), k_GAIN1 NUMERIC(18,2),
												k_PER_EDT2 VARCHAR(1), k_YEAR_EDT2 VARCHAR(4), k_INSUR2 NUMERIC(18,2), k_INSUR_2 NUMERIC(18,2), k_GAIN2 NUMERIC(18,2),
												k_PER_EDT3 VARCHAR(1), k_YEAR_EDT3 VARCHAR(4), k_INSUR3 NUMERIC(18,2), k_INSUR_3 NUMERIC(18,2), k_GAIN3 NUMERIC(18,2),
												k_PER_EDT4 VARCHAR(1), k_YEAR_EDT4 VARCHAR(4), k_INSUR4 NUMERIC(18,2), k_INSUR_4 NUMERIC(18,2), k_GAIN4 NUMERIC(18,2),
												k_PER_EDT5 VARCHAR(1), k_YEAR_EDT5 VARCHAR(4), k_INSUR5 NUMERIC(18,2), k_INSUR_5 NUMERIC(18,2), k_GAIN5 NUMERIC(18,2),SUM_VZNOS NUMERIC(18,2), UVOL CHAR(1),LINK_FACE INT)
					
					INSERT INTO #P_3_1 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE)
					SELECT
								/*LINK = ROW_NUMBER()  OVER (PARTITION BY  [type],snils ORDER BY  snils  ),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, LINK_FACE, [TYPE], PER_EDT ORDER BY CODE_STR , PER_EDT ),
								SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE

						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 13 AND T.ROW_CODE = T3_1.ROW_CODE),
						SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 2 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_STR = convert(int, (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 4 AND T.ROW_CODE = T3_1.ROW_CODE)),
						CODE_KAT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 5 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_TAR = '',
						INSUR = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 6 AND T.ROW_CODE = T3_1.ROW_CODE),
						B_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 7 AND T.ROW_CODE = T3_1.ROW_CODE ),
						GB_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 8 AND T.ROW_CODE = T3_1.ROW_CODE ),
						B_AFT = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 9 AND T.ROW_CODE = T3_1.ROW_CODE ),
						SUM_VZNOS = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 10 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL))FROM #TAB3_1 T WHERE T.COL = 11 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 12 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 14 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 15 AND T.ROW_CODE = T3_1.ROW_CODE),
						FM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 17 AND T.ROW_CODE = T3_1.ROW_CODE),
						IM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 18 AND T.ROW_CODE = T3_1.ROW_CODE),
						OT= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 19 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 20 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 21 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 22 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 23 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 24 AND T.ROW_CODE = T3_1.ROW_CODE),
						
						k_PER_EDT2= (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 25 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT2 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA)))FROM #TAB3_1 T WHERE T.COL = 26 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 27 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 28 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 29 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 30 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 31 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 32 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 33 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 34 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 35 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 36 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 37 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 38 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 39 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 40 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 41 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 42 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 43 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 44 AND T.ROW_CODE = T3_1.ROW_CODE),
						UVOL = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 45 AND T.ROW_CODE = T3_1.ROW_CODE),
						LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 16 AND T.ROW_CODE = T3_1.ROW_CODE)
						
					FROM
					#TAB3_1 T3_1
						) T	


				--exec SA_RSV1_EXPORT_0700_2014     42276
					DECLARE @NEXT_NUM3 INT 
					SET @NEXT_NUM3 = 0
					UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and  ltrim(rtrim(FM)) = ltrim(rtrim(p.FM))
																										 and ltrim(rtrim(IM)) = ltrim(rtrim(p.IM))	 and ltrim(rtrim(OT)) = ltrim(rtrim(p.OT))
																										 and [type] = (case p.[type] when '' then 1 when '' then 2 else 3 end)
																										 and PER_EDT  = p.PER_EDT)
					FROM #P_3_1 p
		
					
/****************************************************/
/* 3.2*/
/**************************************************/

					CREATE TABLE #TAB3_2 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_2 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 21, DEFAULT, DEFAULT) T  ORDER BY T.COL	


					CREATE TABLE #P_3_2 (
												LINK INT, [TYPE] INT , NOM_PP INT, SNILS VARCHAR(14), CODE_STR INT, CODE_SPO varchar(5),CODE_TAR char(2), INC_T1M NUMERIC(18,2), INC_T2M NUMERIC(18,2),
												DATE_BEGIN1 varchar(10),DATE_END1 VARCHAR(10),TU_CODE1 VARCHAR(10), OS_CODE1 VARCHAR(30), EX_CODE1 VARCHAR(10), f_is_dop1 VARCHAR(100), P_CODE1 varchar(10), f_ud_dop1 varchar(100),
												DATE_BEGIN2 varchar(10),DATE_END2 VARCHAR(10),TU_CODE2 VARCHAR(10), OS_CODE2 VARCHAR(30), EX_CODE2 VARCHAR(10), f_is_dop2 VARCHAR(100), P_CODE2 varchar(10), f_ud_dop2 varchar(100),
												DATE_BEGIN3 varchar(10),DATE_END3 VARCHAR(10),TU_CODE3 VARCHAR(10), OS_CODE3 VARCHAR(30), EX_CODE3 VARCHAR(10), f_is_dop3 VARCHAR(100), P_CODE3 varchar(10), f_ud_dop3 varchar(100),
												DATE_BEGIN4 varchar(10),DATE_END4 VARCHAR(10),TU_CODE4 VARCHAR(10), OS_CODE4 VARCHAR(30), EX_CODE4 VARCHAR(10), f_is_dop4 VARCHAR(100), P_CODE4 varchar(10), f_ud_dop4 varchar(100),
											LINK_FACE int)
					
					INSERT INTO #P_3_2 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE)
					SELECT
								/*LINK = dEnse_RANK() OVER (PARTITION BY SNILS, [TYPE] ORDER BY SNILS, [TYPE]),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, LINK_FACE, [TYPE] ORDER BY CODE_STR),
												SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE		
					FROM
					(
						SELECT DISTINCT
							[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 9 AND T.ROW_CODE = T32.ROW_CODE),
							SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 7 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_STR = CONVERT( int ,(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 3 AND T.ROW_CODE = T32.ROW_CODE)),
							CODE_SPO = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 4 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_TAR = '',
							INC_T1M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 5 AND T.ROW_CODE = T32.ROW_CODE),
							INC_T2M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 6 AND T.ROW_CODE = T32.ROW_CODE ),

							DATE_BEGIN1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 10 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 11 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 12 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 13 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 14 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 15 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 16 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 17 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 18 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 19 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 20 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 21 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 22 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 23 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 24 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 25 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 26 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 27 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 28 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 29 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 30 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 31 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 32 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 33 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 34 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 35 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 36 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 37 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 38 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 39 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 40 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 41 AND T.ROW_CODE = T32.ROW_CODE),
							LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 8 AND T.ROW_CODE = T32.ROW_CODE)
						FROM
						#TAB3_2 T32	
					) T	


				UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and [type] = p.[type] )
					FROM #P_3_2 p


					------	            
					SELECT DISTINCT sd.LINK , SD.PERS_LINK, sd.SNILS, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
					INTO #EMPL_DT
					FROM DBO.KU_EMPL_PLACING SD
						left JOIN (select * from STAFF WHERE @End_Date BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND @End_Date BETWEEN S.DATE_BEGIN AND S.DATE_END
						LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
						WHERE
							(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)

					UPDATE  p  SET  CODE_TAR = CASE WHEN LTRIM(RTRIM(p.CODE_KAT)) IN ('','','') AND LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2) THEN '01'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '03'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '02'
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22' 
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'
												end
																		   
					FROM #P_3_1 p 
						LEFT JOIN #P_3_2 p2 ON p2.LINK = p.LINK 	
						LEFT JOIN #EMPL_DT e ON e.PERS_LINK = p.LINK_FACE



					UPDATE  p2  SET  CODE_TAR = CASE 
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'

												end
																		   
					FROM  #P_3_2 p2 
					LEFT JOIN #EMPL_DT e ON e.PERS_LINK = p2.LINK_FACE	

				--exec SS_RPSV_EXPORT_v5_01     5021
				--DROP TABLE #P_3_1
				DROP TABLE #TAB3_1
				DROP TABLE #TAB3_2
				DROP TABLE #EMPL_DT	


--exec SS_RPSV_EXPORT_v5_01 2932
/*SELECT * FROM #P_3 ORDER BY fm 
select * from #p_3_1
select * from #p_3_2 */

/**********************************************************/
----------------------------------------------------------
----- 3   -     
--- (       )
----------------------------------------------------------

----         
DECLARE  @LINK_3 int , @TYPE VARCHAR(14),@NOM_PP int, @NOM_K int, @PER_3 int, @YEAR_BEGIN_3 VARCHAR(4),
	@DATE_PU_3 VARCHAR(10),@PER_EDT_3 CHAR(2),@INN_3 VARCHAR(12),@SNILS VARCHAR(14),@FM varchar(60),
	@IM varchar(60),@OT varchar(60),@BIRTH_DATE VARCHAR(10),@GRAZHD CHAR(3),@SEX CHAR(1),
	@DOC_CODE CHAR(2),@DOC_SR VARCHAR(6), @DOC_NM VARCHAR(10),@PRIZ_OPS int, @PRIZ_OMS INT,@PRIZ_FSS INT , @LINK_FACE INT /*,
	@NOM_PACH CHAR(3)*/

SET @Cur1= CURSOR FORWARD_ONLY
FOR
select 	 
	[TYPE] = case [TYPE] when 1 then '' WHEN 2 then '' else '' end ,
	NOM_PP,
	NOM_K, 
	PER ,
	YEAR_BEGIN,
	DATE_PU,
	PER_EDT,
	INN, 
	SNILS,
	FM,
	IM,
	OT,
	BIRTH_DATE,
	GRAZHD ,
	SEX,
	DOC_CODE,
	DOC_SR, 
	DOC_NM,
	PRIZ_OPS,
	PRIZ_OMS,
	PRIZ_FSS,
	LINK_FACE/*,
	NOM_PACH*/
from #P_3   order by [TYPE],FM, SNILS,link_face

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE/*,@NOM_PACH*/


WHILE (@@fetch_status <> -1)
BEGIN
	
	IF (@@fetch_status <> -2)
	BEGIN	


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<'
											    + ' ="'+LTRIM(RTRIM(STR(@NOM_K)))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(@PER_3)))+'"'	
											    + ' ="'+LTRIM(RTRIM(@YEAR_BEGIN_3))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(@NOM_PP)))+'"'
											    + ' ="'+LTRIM(RTRIM(CONVERT(varchar(10),@DATE_PU_3,104)))+'">' 
					-----------------------------------------------------
					--- 3 -     
					-----------------------------------------------------
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT TOP 1 @lcFNAME,SPACE(4) + '<' 
												 + ' ="'+LTRIM(RTRIM(@INN_3))+'"'
												 + ' ="'+LTRIM(RTRIM(@SNILS))+'"'	
												 + ' ="'+LTRIM(RTRIM(@BIRTH_DATE))+'"'
												 + ' ="'+case when LTRIM(RTRIM(STR(@GRAZHD))) = '000' then '643' else LTRIM(RTRIM(STR(@GRAZHD))) end +'"'
												 + ' ="'+LTRIM(RTRIM(STR(@SEX)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@DOC_CODE)))+'"'
												 + ' ="'+LTRIM(RTRIM(@DOC_SR))+' '+LTRIM(RTRIM(@DOC_NM))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@PRIZ_OPS)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@PRIZ_OMS)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@PRIZ_FSS)))+'">' + CHAR(10) +	
												   SPACE(5) + '<' +
								   						' ="' + left(LTRIM(RTRIM(ISNULL(@FM,''))),60) + '"' +
														' ="' + left(LTRIM(RTRIM(ISNULL(@IM,''))),60) + '"' +
														CASE WHEN ISNULL(@OT,'') <> '' THEN 
														' ="' + left(LTRIM(RTRIM(ISNULL(@OT,''))),60) + '"'
														ELSE '' END + '/>' + CHAR(10) +			
												/*  CASE WHEN @GRAZHD = '643' 
													   then (SPACE(5) + '<' +
														' ="'+LTRIM(RTRIM((select PINDEX from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select REGCODE from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select RAION from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +										
														' ="'+LTRIM(RTRIM((select GOROD from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select NASEL from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select STREET from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +		
														' ="'+LTRIM(RTRIM(REPLACE(p.HOUSE_OFIC,'"','')))+'"' +
														' ="'+LTRIM(RTRIM(p.CORP_OFIC))+'"' +
														' ="'+LTRIM(RTRIM(p.FLAT_OFIC))+'' +												
														'"/>' )
													   WHEN @GRAZHD <> '643' 	
									   					THEN (SPACE(5) + '<' +
																' ="000"' +
																' ="'+LTRIM(RTRIM(dbo.GetAddressBykladr(p.ADR_OFIC_LINK)))+'' +
																'"/>' )	
													   ELSE ''
													   END + CHAR(10) +	*/		
												SPACE(4) + '</>' 		
								FROM person p where  p.link = @LINK_FACE
							  
						
						-----------------------------------------------------------------------
						-------- 3.2        
						-----------------------------------------------------------------------
				
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '<>' --
							IF exists(SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND link_FACE = @LINK_FACE  AND NOM_PP <> 1 )
							BEGIN
							
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INSUR,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(B_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(GB_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR((select SUM(COALESCE(SUM_VZNOS,0)) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1),15,2)))+'">'
									 FROM #P_3_1 WHERE link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND link_FACE = @LINK_FACE   AND NOM_PP <> 1	
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																					WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																					WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																					WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
															 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
															 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																							and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																							and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																						  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																						  ELSE '0.00' END) 
																	 + '"/>'
										FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND link_FACE = @LINK_FACE    AND  p.NOM_PP <> 1	 
										
											
										--GROUP BY p.CODE_KAT, p.CODE_STR, p.NOM_PP, INSUR

--exec SS_RPSV_EXPORT_v5_01 2894

							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 
						end	
						ELSE BEGIN
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0">'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="01"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 		
							END  
							
						-----------------------------------------------------------------------
						-------- 3.3       
						-----------------------------------------------------------------------
								
							IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
							BEGIN
								
								IF EXISTS(SELECT  * FROM #P_3_2 p WHERE SNILS = @SNILS AND link_FACE = @LINK_FACE  and p.NOM_PP <> 1 AND (INC_T1M <> 0 or INC_T2M <> 0))
								BEGIN
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
									SELECT @lcFNAME,SPACE(5) + '<' 		 -- H
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T1M,0)),15,2)))+'"'
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T2M,0)),15,2)))+'">'
											 FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and	NOM_PP <>1		
									GROUP BY SNILS  
									
									/*IF @SNILS = '029-033-987 55'
									 begin 
									 	SELECT * FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
											--	GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
										SELECT p.CODE_STR,p.CODE_TAR,SUM(INC_T1M),SUM(INC_T2M),ltrim(RTRIM(SNILS))  FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR --, p.INC_T1M, p.INC_T2M	
									end*/
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
												SELECT @lcFNAME,SPACE(6) + '< '--- 
																	+ ' ="'+CASE WHEN ltrim(rtrim(p.CODE_STR)) = '701' THEN '01' 
																							WHEN ltrim(rtrim(p.CODE_STR)) = '702' THEN '02'
																							WHEN ltrim(rtrim(p.CODE_STR)) = '703' THEN '03' END  +'"'+
																	+ ' ="'+RTRIM(LTRIM(isnull(p.CODE_TAR,'22')))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T1M),0),15,2)))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T2M),0),15,2))) +'"/>'
												FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and link_FACE = @LINK_FACE  and p.NOM_PP <> 1	
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
									IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
									BEGIN
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
										SELECT @lcFNAME,SPACE(5) + '</>'
										FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and	NOM_PP <>1		
										GROUP BY SNILS   
									END
								END	
							END		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '</>' --			
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
				
		end
	
	FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE--,@NOM_PACH	
end

CLOSE @Cur1
DEALLOCATE @Cur1

END
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)	
				SELECT @lcFNAME, SPACE(2) + '</>'		
	--SELECT *  FROM DBO.SA_SAVED_REPORT_VIEW (3229, 17, default, default)	WHERE  COL = 6 
--exec SS_RPSV_EXPORT_v5_01   3229	
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(0) + '</>'
				
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--exec SS_RPSV_EXPORT_v5_01 2891

GO


GRANT EXECUTE ON dbo.[SS_RPSV_EXPORT_v5_01] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOCUMENTS_REESTR_FSS_LIST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[DOCUMENTS_REESTR_FSS_LIST]

GO


CREATE PROCEDURE [dbo].[DOCUMENTS_REESTR_FSS_LIST]
				@BUFFER_ID VARCHAR(20) = NULL,
				@MODE TINYINT = 0 -- 1-- .  , 0 -     
AS
BEGIN

SET NOCOUNT ON

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output


DECLARE @FIO_RUK VARCHAR(254), @DOLG_RUK VARCHAR(254), @FIO_BUH VARCHAR(254), @LINK_EMPL_RUK INT

SET @FIO_RUK = ISNULL((select FACE_NAME from dbo.DICTIONARY_OTV_FACE_ALL WHERE Dep_LINK= @DEP_LINK and name = ''),'')
SET @LINK_EMPL_RUK = (select FACE_LINK  from dbo.DICTIONARY_OTV_FACE_ALL WHERE Dep_LINK=@DEP_LINK and name = '')
SET @DOLG_RUK = ISNULL((select POST_NAME from dbo.SD_EMPL_FN(@LINK_EMPL_RUK,DEFAULT,DEFAULT,@DEP_LINK) ),'')
SET @FIO_BUH = ISNULL((select FACE_NAME from dbo.DICTIONARY_OTV_FACE_ALL WHERE Dep_LINK= @DEP_LINK and name = ' '),'')

--
DECLARE @SC_DATE DATETIME
SELECT @SC_DATE = SC_DATE FROM dbo.SALARY_CALC_PERIOD SCP

--
IF OBJECT_ID('tempdb..#REC') IS NOT NULL
	DROP TABLE #REC
	
CREATE TABLE #REC (LINK INT)
CREATE INDEX #TMP_IDX_REC ON #REC (LINK)

IF ISNULL(@BUFFER_ID,'') <> ''
	INSERT INTO #REC (LINK)
	SELECT LINK FROM dbo.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER_ID

-- :
DECLARE @BUF_ID VARCHAR(20)
EXEC DBO.GETRANDSTR 20, @BUF_ID OUT


INSERT INTO dbo.BUFFER (LINK, ID)

SELECT LINK_EMPL , @BUF_ID
FROM (SELECT SD.LINK_EMPL
		FROM
			dbo.SDOC S
			INNER JOIN dbo.SDOC_DIS SD ON  S.LINK = SD.LINK_UP 
			INNER JOIN dbo.USER_INFO UI ON S.[DATE] BETWEEN UI.BEGINDATE AND UI.ENDDATE AND S.LINK_DEP = @DEP_LINK 
		WHERE
			ISNULL(@BUFFER_ID,'') = ''
			OR 
			ISNULL(@BUFFER_ID,'') <> '' AND EXISTS (SELECT * FROM #REC R WHERE R.LINK = S.LINK)	
			
	UNION ALL 
	
	SELECT LINK_EMPL = ivd.EMPL_LINK   
		FROM 
		dbo.orders o
		INNER JOIN dbo.ITEM_VACATION ivd ON ivd.order_link =o.LINK 
		INNER JOIN dbo.VAC_CHILD AS vc ON vc.LINK = ivd.LINK
		--INNER JOIN dbo.DICTIONARY_VAC_CHILD dc ON dc.LINK = ivd.link
		----INNER JOIN dbo.USER_INFO UI ON o.[DATE] BETWEEN UI.BEGINDATE AND UI.ENDDATE
		WHERE ivd.ACTIVE = 1 
			AND o.dep_link = @DEP_LINK 	
	) AS s1 
	GROUP BY s1.link_empl
	
	
	--           ,        
	/*SELECT * FROM dbo.orders o
	INNER JOIN dbo.ITEM_VACATION ivd ON ivd.order_link =o.LINK 
	INNER JOIN dbo.DICTIONARY_VAC_CHILD dc ON dc.LINK = ivd.link
	INNER JOIN dbo.VAC_CHILD AS vc ON vc.LINK = ivd.LINK
	INNER JOIN dbo.USER_INFO UI ON o.[DATE] BETWEEN UI.BEGINDATE AND UI.ENDDATE
	WHERE ivd.ACTIVE = 1 
		AND o.dep_link = @DEP_LINK 		
*/
-- 
IF OBJECT_ID('tempdb..#EMPL_OKLAD') IS NOT NULL
	DROP TABLE #EMPL_OKLAD

CREATE TABLE #EMPL_OKLAD (LINK_EMPL INT, OKLAD NUMERIC(18,2))
CREATE INDEX #TMP_IDX_EMPL_OKLAD ON #EMPL_OKLAD (LINK_EMPL)

IF @MODE = 1
	INSERT INTO #EMPL_OKLAD (LINK_EMPL, OKLAD) 
	SELECT LINK_EMPL, OKLAD = SUM(VALUE) 
	FROM dbo.DICTIONARY_PAYS_EMPL_FN(DEFAULT, DEFAULT, 0, @BUF_ID, @DEP_LINK,1) D
		INNER JOIN dbo.WAY_CALC W ON W.CODE = D.WAY_CALC AND W.[TYPE] = 1
	WHERE
		W.OKLAD = 1	
	GROUP BY
		LINK_EMPL	


---  
IF OBJECT_ID('tempdb..#EMPL') IS NOT NULL
	DROP TABLE #EMPL
CREATE TABLE #EMPL(LINK INT, PERS_LINK INT, TAB VARCHAR(10), STATUS_EMPL TINYINT, DATE_BEGIN DATETIME, DATE_END DATETIME, NO_RAION TINYINT, SYST_PAY TINYINT)
CREATE INDEX #TMP_IDX_EMPL ON #EMPL (LINK)

INSERT INTO #EMPL (LINK, PERS_LINK, TAB, STATUS_EMPL, DATE_BEGIN, DATE_END, NO_RAION, SYST_PAY)
SELECT LINK, PERS_LINK, TAB, STATUS_EMPL, DATE_BEGIN, DATE_END, NO_RAION, SYST_PAY 
FROM dbo.SD_EMPL_FN(DEFAULT,DEFAULT,@BUF_ID,@DEP_LINK)

--    
IF OBJECT_ID('tempdb..#DICT_PAYS_EMPL') IS NOT NULL
	DROP TABLE #DICT_PAYS_EMPL
	
CREATE TABLE #DICT_PAYS_EMPL (LINK_EMPL INT, DATE_BEG DATETIME, DATE_END DATETIME, SUMMA NUMERIC(18,4))
CREATE INDEX #TMP_IDX_DICT_PAYS_EMPL ON #DICT_PAYS_EMPL (LINK_EMPL)

IF @MODE = 1
	INSERT INTO #DICT_PAYS_EMPL (LINK_EMPL, DATE_BEG, DATE_END, SUMMA)
	SELECT LINK_EMPL, DATE_BEG, DATE_END, SUMMA FROM dbo.SA_DICT_PAYS_EMPL0(DEFAULT, 0, @BUF_ID)
	WHERE LINK_PAYS = dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPTIONS3_1')
--
DELETE FROM DBO.BUFFER WHERE ID = @BUF_ID

IF OBJECT_ID('tempdb..#T3') IS NOT NULL
	DROP TABLE #T3

CREATE TABLE #T3 (
					[LINK_R] INT,
					[NUMBER_R] VARCHAR(30),
					[DATE_R] DATETIME,
					[COMMENTARY_R] VARCHAR(254),
					[CODE_PAY_R] VARCHAR(10),
					[NAME_PAY_R] VARCHAR(60),
					[REF_PAY_R]	INT,
					[FLAG_JC_R]	TINYINT,
					SYST_PAY TINYINT,
					[SUMMA_R] NUMERIC(18,2),
					[SR_PREM_R] NUMERIC(18,2),
					[TYP_PER_R] TINYINT,
					[DATE1_R] DATETIME,
					[DATE2_R] DATETIME,
					[DATE_B_R] DATETIME,
					[DATE_E_R] DATETIME,
					[LIMIT_R] TINYINT,
					[REF_ARHE_R] INT,
					[STAG_R] INT,
					[STAG_MONTH_R] INT,
					[SUMA_BASE0_R]	 NUMERIC(18,2),
					[LINK_DEP_R] INT,
					RAB_SUM_R NUMERIC(18,2),
					RAB_DAYS_R NUMERIC(18,2),
					FSS_SUM_R NUMERIC(18,2),
					FSS_DAYS_R NUMERIC(18,2),
					DOHOD_R NUMERIC(18,2),
					ITOGO_DNI_R NUMERIC(18,2),
					ITOGO_CH_R NUMERIC(18,2),
					RP_DAYS_R NUMERIC(18,2),
					RP_HOURS_R NUMERIC(18,2),
					RP_DAYS_N_R NUMERIC(18,2),
					RP_HOURS_N_R NUMERIC(18,2),
					RP_SUMMA_PREM_R	NUMERIC(18,2),
					RP_SUMMA_R NUMERIC(18,2),
					DEKRET TINYINT,
					INSTRUCT TINYINT
				)	
CREATE INDEX #TMP_IDX_T3 ON #T3 (REF_ARHE_R)				

INSERT INTO #T3 (LINK_R,NUMBER_R,DATE_R,COMMENTARY_R,CODE_PAY_R,NAME_PAY_R,REF_PAY_R,
				FLAG_JC_R,SYST_PAY,SUMMA_R,SR_PREM_R,TYP_PER_R,DATE1_R,DATE2_R,DATE_B_R,DATE_E_R,LIMIT_R,
				REF_ARHE_R,STAG_R,STAG_MONTH_R,SUMA_BASE0_R,LINK_DEP_R,RAB_SUM_R,RAB_DAYS_R,FSS_SUM_R,FSS_DAYS_R,
				DOHOD_R,ITOGO_DNI_R,ITOGO_CH_R,RP_DAYS_R,RP_HOURS_R,RP_DAYS_N_R,RP_HOURS_N_R,RP_SUMMA_PREM_R,RP_SUMMA_R,DEKRET,INSTRUCT)					

SELECT DISTINCT 
	[LINK_R]			= S.LINK,
	[NUMBER_R]		= S.NUMBER,
	[DATE_R]			= S.[DATE],
	[COMMENTARY_R]	= S.[COMMENTARY],
	[CODE_PAY_R]		= P.CODE,
	[NAME_PAY_R]	 	= P.NAME,
	[REF_PAY_R]		= SD.LINK_PAY,
	[FLAG_JC_R]		= S.FLAG_JC,
	e.SYST_PAY,
	[SUMMA_R]			= COALESCE(SUM(ST.SUMMA),0),
	[SR_PREM_R]		= SD.SR_PREM,
	[TYP_PER_R]	= SD.TYP_PERIOD,
	[DATE1_R]			= DIS.DATE1,
	[DATE2_R]			= DIS.DATE2,
	[DATE_B_R]	= SD.DATE_BEGIN,
	[DATE_E_R]	= CASE WHEN SD.TYP_PERIOD = 1 THEN dateadd(MONTH,1,SD.DATE_BEGIN) 
						WHEN SD.TYP_PERIOD = 2 THEN dateadd(MONTH,2,SD.DATE_BEGIN)
						WHEN SD.TYP_PERIOD = 3 THEN dateadd(MONTH,12,SD.DATE_BEGIN)
						WHEN SD.TYP_PERIOD = 4 THEN dateadd(YEAR,2,SD.DATE_BEGIN)
						END ,
	[LIMIT_R]			= SD.LIMIT,
	[REF_ARHE_R]		= SD.REF_DOC,
	[STAG_R]			= DIS.NEPR_YEAR,
	[STAG_MONTH_R]		= DIS.NEPR_MONTH,
	[SUMA_BASE0_R]		= SD.SR_ZAR,
	[LINK_DEP_R]  		= S.LINK_DEP,
	RAB_SUM_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 1 then ST.SUMMA else 0 end),0),
	RAB_DAYS_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 1 then ST.DAYS else 0 end),0),
	FSS_SUM_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 0 then ST.SUMMA else 0 end),0),
	FSS_DAYS_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 0 then ST.DAYS else 0 end),0),
	DOHOD_R			= COALESCE((Select SUM(T3.SUMMA1) + SUM(T3.SUMMA2) + SUM(T3.SUMMA3) 
					+ SUM(T3.SUMMA4) + SUM(T3.SUMMA5) + SUM(T3.SUMMA6) 
					+ SUM(T3.SUMMA7) + SUM(T3.SUMMA8) + SUM(T3.SUMMA9) 
					+ SUM(T3.SUMMA10) + SUM(T3.SUMMA11) + SUM(T3.SUMMA12)
				FROM dbo.SDOC_ADIS_TABLE3 T3  WHERE LINK_UP = S.LINK),0),
	ITOGO_DNI_R 		= COALESCE(SUM(ST.DAYS),0),
	ITOGO_CH_R 		= COALESCE(SUM(ST.HOURS),0),
	RP_DAYS_R			= COALESCE(MAX(T2.DAYS),0),
	RP_HOURS_R		= COALESCE(MAX(T2.HOURS),0),
	RP_DAYS_N_R		= COALESCE(MAX(T2.DAYS_N),0),
	RP_HOURS_N_R		= COALESCE(MAX(T2.HOURS_N),0),
	RP_SUMMA_PREM_R		= COALESCE(MAX(T2.SUMMA_PREM),0),
	RP_SUMMA_R		= COALESCE(MAX(T2.SUMMA),0),
	DIS.DEKRET,
	SD.INSTRUCT as INSTRUCT_R
FROM 
	dbo.SDOC S 
	INNER JOIN dbo.SDOC_ADIS SD ON (S.LINK = SD.LINK_UP AND S.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_ADD_ARCHE')) and SD.REF_DOC is not null  /*and s.flag_jc = 1*/
	INNER JOIN dbo.PAYS P ON SD.LINK_PAY = P.LINK
	INNER JOIN #EMPL E ON e.LINK = SD.LINK_EMPL 
	INNER JOIN dbo.DEPARTMENTS dep ON dep.link = s.LINK_DEP
	LEFT JOIN dbo.DIS ON SD.REF_DOC = DIS.LINK
		left join (
			Select LINK_UP, DATE1, PAYER = MAX(PAYER), DAYS = MAX(T1.DAYS), HOURS = MAX(T1.HOURS), SUMMA = SUM(T1.SUMMA) from dbo.SDOC_ADIS_TABLE1 T1 GROUP BY LINK_UP, DATE1
			) ST on ST.LINK_UP = S.LINK
		LEFT JOIN (
			SELECT LINK_UP, SUMMA = SUM(SUMMA), SUMMA_PREM = SUM(SUMMA_PREM), 
				 DAYS = SUM(DAYS), HOURS = SUM(HOURS), DAYS_N = SUM(DAYS_N), HOURS_N = SUM(HOURS_N) 
			FROM (
				Select LINK_UP, PERIOD, SUMMA = SUM(SUMMA), SUMMA_PREM = SUM(SUMMA_PREM), 
				 DAYS = MAX(DAYS), HOURS = MAX(HOURS), DAYS_N = MAX(DAYS_N), HOURS_N = MAX(HOURS_N) 
				from dbo.SDOC_ADIS_TABLE2 GROUP BY LINK_UP, PERIOD) T2_1 
			GROUP BY LINK_UP ) T2 ON T2.LINK_UP = S.LINK
WHERE
	ISNULL(@BUFFER_ID,'') = ''
	OR 
	ISNULL(@BUFFER_ID,'') <> '' AND EXISTS (SELECT * FROM #REC R WHERE R.LINK = S.LINK)				 
group by 
		S.link, S.NUMBER, S.[DATE], S.[COMMENTARY], P.CODE,  P.[NAME],SD.LINK_PAY, S.FLAG_JC, E.SYST_PAY, SD.SR_PREM,
	    SD.TYP_PERIOD, DIS.DATE1, DIS.DATE2, SD.DATE_BEGIN, SD.LIMIT, SD.REF_DOC, DIS.NEPR_YEAR, DIS.NEPR_MONTH, SD.SR_ZAR,
	    S.LINK_DEP,DIS.DEKRET,dep.NAME, E.[STATUS_EMPL], SD.INSTRUCT

--     
SELECT DISTINCT		
		0 as CHECKED, 
		0 as UPD, 
		0 as DEL, 
		convert(bit, 0) as LOCKED,
		[LINK]   = S.LINK,
		[NUMBER] = S.NUMBER,
		[DATE]	 = S.DATE,
		[COMMENTARY] = S.COMMENTARY,
		[FLAG_JC]  = COALESCE(R.ref_doc,0)/COALESCE(R.ref_doc,1),
		[LINK_DEP] = S.LINK_DEP,
		dep.NAME as name_dep,
		[MDEP_NAME] = SD.MDEP_NAME ,
		[MDEP_ADDR] = SD.MDEP_ADDR,
		[ADR_MED_DEP_LINK] = '',
		[HOUSE_MED_DEP] = '',
		[INDEX_MED_DEP] = '',
		[OGRN_MED_DEP]	= '',
		[TAB_NUMER]  = sde.TAB,
		[NAME_EMPL]	 = KU.NAME_PERS,
		[REF_EMPL]	 = SD.LINK_EMPL,
		[BIRTH_EMPL] = KU.BIRTHDATE,
		[SEX]	= KU.SEX,
		[DAYS]	= SD.days,
		[HOURS] = SD.HOURS,
		[DATE1] = SD.DATE1,
		[DATE2] = SD.DATE2,
		[NEPR_YEAR]  = SD.NEPR_YEARS,
		[NEPR_MONTH] = SD.NEPR_MONTH,
		[NEPR_DAY]	 = SD.NEPR_DAY,
		[CODE_TYP_ARHE] = N.CODE,
		[NAME_TYP_ARHE] = N.NAME,
		[REF_TYP_ARHE] 	= N.LINK,
		[DOC_TYPE] = case 
						when substring(ltrim(rtrim(N.CODE)),2,2) IN ('01','04') then '1'
						when substring(ltrim(rtrim(N.CODE)),2,2) = '05' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '06' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '07' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '08' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '09' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '10'  
						then '5'	 
						when substring(ltrim(rtrim(N.CODE)),2,2) = '02' then '2'
						when substring(ltrim(rtrim(N.CODE)),2,2) = '03' then '6'
						when substring(ltrim(rtrim(N.CODE)),2,2) = '11' then '3' 
						else '1'
					 END, 
		[NUM_DOC] 		= isnull(S2.NUMBER,''),
		[REF_DOC] 		= isnull(SD.REF_DOC,''),
		[DECRET]  = N.DEKRET,
		LINK_PAYS = COALESCE(N.LINK_PAYS,0),
		CODE_PAYS = COALESCE(P.CODE,''),
		NAME_PAYS = COALESCE(P.[NAME],''),
		KIDS_FLAG = COALESCE(N.KIDS,0),
		REF_PERS_KID = COALESCE(SD.REF_PERS_KID,''),
		[PERS_KID] = LEFT(ISNULL(F.FIO,''),150),
		FAMILY_NAME = LEFT(ISNULL(F.FAMILY_NAME,''),20),
		BIRTHDATE = F.BIRTHDATE,
		AGE_E = case when F.BIRTHDATE is not null then 
												convert(varchar(3),((datediff(year, f.BIRTHDATE,S.[DATE] )*12 ) - (month(f.BIRTHDATE) -  month(s.[DATE])))/12) 
											  else '' END,
		AGE_M = case when F.BIRTHDATE is not null then 
											 convert(varchar(3),(case when (month(s.[DATE]) - month(F.BIRTHDATE))  < 0 then  12 - ABS(month(s.[DATE]) - month(F.BIRTHDATE))  else  (month(s.[DATE]) - month(F.BIRTHDATE)) end))
											 else '' END,
		sde.PERS_LINK,
		[INSTRUCT] = N.INSTRUCT,
		INSUR_NUM = isnull(KU.INSUR_NUM,''),
		KU.INN,
		KU.FM,
		KU.IM,
		KU.OT,
		KU.RESIDENT, 
		KU.DOC_CODE,
		[DOC_NAME] = (SELECT TOP 1 NAME FROM FACE_DOCUMENT WHERE ltrim(rtrim(code)) = ltrim(rtrim(KU.DOC_CODE))),
		KU.DOC_NUM,
		KU.DOC_DATE,
		KU.DOC_WHOM,
		[ADR_REAL_LINK] = isnull(KU.ADR_REAL_LINK,'') ,
		[ADR_REAL] = isnull((SELECT address=dbo.GetAddressByKladr( KU.ADR_REAL_LINK)),''),
		[REGION_REAL] = isnull(dbo.GetRegionByKladr(KU.ADR_REAL_LINK),''),
		[HOUSE_REAL] = isnull(KU.HOUSE_REAL,''),
		[CORP_REAL] = isnull(KU.CORP_REAL,''),
		[FLAT_REAL] = isnull(KU.FLAT_REAL,''),
		[INDEX_REAL] = isnull((SELECT address=left(dbo.GetAddressByKladr( KU.ADR_REAL_LINK),6)),''),
		[BIK] = isnull(DB.BIK,'') , 
		[BANK_NAME] = isnull(PC.BANK_NAME,''),
		[LIC_SCHET] = isnull(PC.LIC_SCHET, ''),	
		[PAYCARD_FLAG] = CASE WHEN PC.CARD_NAME LIKE '%%' THEN 1 ELSE 0 end,	
		[PAYCARD_NUM] = isnull(PC.LIC_SCHET, ''),
		[ADR_OFIC_LINK] = isnull(KU.ADR_OFIC_LINK,'') ,
		[ADR_OFIC] = isnull((SELECT address=dbo.GetAddressByKladr( KU.ADR_OFIC_LINK)),''),
		[REGION_OFIC]= isnull(dbo.GetRegionByKladr(KU.ADR_OFIC_LINK),''),
		[HOUSE_OFIC] = isnull(KU.HOUSE_OFIC,''),
		[CORP_OFIC] = isnull(KU.CORP_OFIC,''),
		[FLAT_OFIC] = isnull(KU.FLAT_OFIC,''),
		[INDEX_OFIC] = isnull((SELECT address=left(dbo.GetAddressByKladr( KU.ADR_OFIC_LINK),6)),'') ,
		[STATUS_EMPL] = case when SDE.STATUS_EMPL  = 1 then 1 else 0 end, --select * from empl
		[STATUSC_EMPL] = CASE SDE.STATUS_EMPL WHEN 1 THEN '' WHEN 2 THEN '' ELSE '. ' END,
		[OGRN] = isnull(dep.OGRN,''),
		[FSS_REG_NUM] = dep.FSS_REG_NUM,
		[FSS_KOD_P] = isnull(dep.FSS_KOD_P,''),  
		[KPP_dep] = isnull(dep.KPP,''), 
		[INN_dep] = isnull(dep.INN,''), 
		[DEP_TEL] = ISNULL(dep.phone,''),
		[DEP_eMail] = ISNULL(DEP.eMail,''),
		[FIO_RUK] = @FIO_RUK,
		[DOLG_RUK] = @DOLG_RUK,
		[FIO_BUH] = @FIO_BUH,
		[DATE_BEGIN] = SDE.DATE_BEGIN,
		[DATE_END] = SDE.DATE_END, --select * from sd_empl
		[OKLAD] = isnull(EO.OKLAD,0),
		[REG_KOEF] = CASE WHEN ISNULL(sde.NO_RAION,0) = 0 THEN (1+ ISNULL(ISNULL(DP.[SUMMA],DEF.KOF),0)/100)*100 ELSE 0 END ,
		LINK_EXCH = isnull(I.link,''),
		REF_BL = isnull(I.REF_BL,''),
		REF_RBL = isnull(I.REF_RBL,''), 
		LINK_SOST = isnull(I.LINK_SOST,''),
		FIO_SOST = isnull(I.FIO_SOST,''),
		EMAIL_SOST = isnull(I.EMAIL_SOST,''),
		TEL_SOST = isnull(I.TEL_SOST,''),
		STAT_EXCH = isnull(I.STATUS,0),
		STAT_NAME = isnull(I.STAT_NAME,''),
		DATE_OUT = isnull(I.DATE_OUT,''),
		TYPE_INFO  = isnull(I.TYPE_INFO, 0),
		RECALC_REASON_CODE = I.RECALC_REASON_CODE,
		OWNER_FLAG = isnull(I.OWNER_FLAG , 1),
		PAYMENT_TYPE = isnull(I.PAYMENT_TYPE , 1),
		YEAR_CHANGE_FLAG = isnull(I.YEAR_CHANGE_FLAG , null),
		FILE_NUMBER = isnull(I.FILE_NUMBER , 0),
		[YEAR1_OLD] =  '',
		[YEAR2_OLD] = '',
		[YEAR1] = year(t3.date_b_r),
		[YEAR2] = year(t3.date_b_r)+1,
		[BASE_SUM1] = isnull((select top 1 SUMMA from dbo.DOCUMENTS_ADD_ARCHE_TABLE1 where [year] = year(t3.date_b_r) and link = t3.LINK_R),0),
		[BASE_SUM2] = isnull((select top 1 SUMMA from dbo.DOCUMENTS_ADD_ARCHE_TABLE1 where [year] = (year(t3.date_b_r)+1) and link = t3.LINK_R),0),
		t3.*
	FROM 
		dbo.SDOC S
		INNER JOIN dbo.SDOC_DIS SD ON  S.LINK = SD.LINK_UP 
		inner join dbo.USER_INFO UI  on  S.DATE BETWEEN UI.BEGINDATE AND UI.ENDDATE AND S.LINK_DEP =    @DEP_LINK 
		INNER JOIN dbo.NETRUD N ON SD.TYPE = N.LINK
		inner join #EMPL SDE on SDE.LINK = SD.LINK_EMPL   
		inner join dbo.KU_PERSON KU on KU.LINK = SDE.PERS_LINK  
		inner JOIN dbo.DEPARTMENTS dep on dep.link = s.LINK_DEP
		LEFT join #EMPL_OKLAD EO on EO.LINK_EMPL =  SD.LINK_EMPL 
		left join dbo.SD_PERSON_ECARD PC on KU.LINK = PC.PERS_LINK
		left join dbo.DICTIONARY_BANK DB on DB.LINK = PC.BANK_LINK
		LEFT JOIN dbo.SDOC S2 ON SD.REF_DOC = S2.LINK
		LEFT JOIN dbo.PAYS P ON P.LINK = N.LINK_PAYS
		LEFT JOIN dbo.KU_PERS_FAMILY F ON F.LINK = SD.REF_PERS_KID
		LEFT JOIN ( 
				select distinct sd.ref_doc  from dbo.SDOC S INNER JOIN dbo.sdoc_adis SD ON S.LINK = SD.LINK_UP
			) R ON R.ref_doc = s.link
		LEFT JOIN #DICT_PAYS_EMPL DP ON DP.LINK_EMPL = sde.LINK 
					AND @SC_DATE BETWEEN DP.DATE_BEG AND ISNULL(DP.DATE_END,'29990101')
		LEFT JOIN (
					SELECT (KOEF - 1) * 100 AS KOF FROM dbo.MINROT
					WHERE KOEF > 0 AND PERIOD = (SELECT MAX(PERIOD) FROM dbo.MINROT WHERE PERIOD <= @SC_DATE)
				   ) DEF ON 1=1
		
		LEFT JOIN #T3 T3 on T3.REF_ARHE_R = S.LINK
		LEFT JOIN dbo.REESTR_FSS_EXCH_INFO I on  I.REF_BL = S.LINK 
WHERE
	ISNULL(@BUFFER_ID,'') = ''
	OR 
	ISNULL(@BUFFER_ID,'') <> '' AND EXISTS (SELECT * FROM #REC R WHERE R.LINK = S.LINK)			
		
drop table #EMPL
drop table #DICT_PAYS_EMPL
drop table #T3
drop table #EMPL_OKLAD

END




GO


GRANT EXECUTE ON dbo.[DOCUMENTS_REESTR_FSS_LIST] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KU_CHIN_CONF_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KU_CHIN_CONF_SAVE]

GO


/*
  (Keysystems), 2005
*/

CREATE   PROCEDURE [dbo].KU_CHIN_CONF_SAVE
	@parLINK	int	OUTPUT,
	@parNUMBER  varchar(30),
	@parDATE   datetime,
	@parEMPL_LINK	int = null,
	@parDATE_BEGIN datetime = null,
	@parDATE_END2 datetime = null,
	@parORDER_LINK INT = null,
	@parATT_KOM_LINK int = NULL,
	@parRef_EC INT = NULL,
	@parReason VARCHAR(254) = '',
	@parDEP_LINK int = null,
	@parORDER_STATUS int = 0
	
AS
DECLARE @ERROR	tinyint,
		@strVALUE	varchar(7000),	
		@trancount	int,
		@ObjectLink int,
		@EventText	varchar(254),
		@SQLError int,
		@RowCount int

SET @parNUMBER = LTRIM(RTRIM(@parNUMBER))
SET @parReason = LTRIM(RTRIM(@parReason)) 
		
DECLARE @staff_link int, @num_stake numeric(5, 2), @status int, @DEP_LINK int, @comment varchar(254), @item_link int,
		@temp_link int, @date_end2 DATETIME	,@date_begin_MP	 DATETIME
SET @trancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	IF @parEMPL_LINK is null or @parDATE_BEGIN is null or @parRef_EC IS NULL 
		BEGIN
			ROLLBACK
			RETURN 5
		END
	SELECT @parORDER_LINK = link FROM ORDERS WITH (UPDLOCK) WHERE LINK = @parORDER_LINK
	SELECT @SQLError = @@ERROR, @RowCount = @@ROWCOUNT
	IF @SQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	
	IF @RowCount = 0
	BEGIN
		SET @comment='    '+dbo.ku_GetEmplFIO(@parEMPL_LINK)
		EXECUTE @ERROR = KU_ORDER_SAVE @parORDER_LINK OUTPUT, 128, @parNumber, @parDate, @comment, 0, @parDEP_LINK
		IF @ERROR <> 0
			RETURN @ERROR
	END
	
		
	IF (select [type] from orders where link = @parORDER_LINK) not in(28,128)
	BEGIN
		SELECT @staff_link = staff_link, @status = status, @num_stake = im.num_stake,
			@temp_link = temp_link, @date_end2 = DATE_END2
		FROM item_move im WHERE im.empl_link=@parEMPL_LINK and @parDATE_BEGIN between date_begin and date_end
			and active=1
	END
	ELSE 
		BEGIN
			SELECT @staff_link = staff_link, @status = status, @num_stake = im.num_stake,
				@temp_link = temp_link, @date_end2 = @parDATE_END2--, @date_begin_MP = im.DATE_END
			FROM item_move im WHERE im.empl_link=@parEMPL_LINK and (@parDATE_BEGIN between date_begin and date_end OR (new_face = 1 AND DATE_end >= @parDATE_BEGIN)) 
				and active=1
		END	
	IF isnull(@staff_link,0) = 0
	BEGIN
		ROLLBACK
		RETURN 5
	END

	IF @parLINK is null or @parLINK=0 BEGIN
		IF @parDATE_END2 IS NULL BEGIN 
			INSERT INTO item_move (new_face, staff_link, num_stake, date_begin, type, status, empl_link, order_link, temp_link, date_end2, ref_att, ref_EC,Reason) 
				VALUES (4, @staff_link, @num_stake, @parDATE_BEGIN, 128, @status, @parEMPL_LINK, @parORDER_LINK, @temp_link, @date_end2, @parATT_KOM_LINK, @parRef_EC, @parReason)
			SELECT @SQLError = @@ERROR, @parLINK = @@IDENTITY
			IF @SQLError <> 0
			BEGIN
				ROLLBACK
				RETURN 7
			END
		END ELSE BEGIN 
			INSERT INTO item_move (new_face, staff_link, num_stake, date_begin, type, status, empl_link, order_link, temp_link, date_end2, ref_att, ref_EC,Reason) 
				VALUES (4, @staff_link, @num_stake, @parDATE_BEGIN, 128, @status, @parEMPL_LINK, @parORDER_LINK, @temp_link, @date_end2, @parATT_KOM_LINK, @parRef_EC, @parReason)
			SELECT @SQLError = @@ERROR, @parLINK = @@IDENTITY
			IF @SQLError <> 0
			BEGIN
				ROLLBACK
				RETURN 7
			END
		END 	
	END
	ELSE BEGIN
		UPDATE item_move SET date_begin=@parDATE_BEGIN, date_end = '99991231', date_end2=@parDATE_END2,  
		ref_att = @parATT_KOM_LINK, ref_EC = @parRef_EC, Reason = @parReason WHERE link=@parLINK
		SELECT @SQLError = @@ERROR, @RowCount = @@ROWCOUNT
		IF @SQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @RowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
		UPDATE money_period SET date_begin = @parDATE_BEGIN WHERE item_link = @parLINK
		SELECT @SQLError = @@ERROR
		IF @SQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END

	SELECT @ObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'CHIN_CONFERM'
	SET @EventText = '  '
	EXECUTE WF_GENERATEEVENT '  ', @EventText, @ObjectLink, 'ITEM_MOVE', @parLINK
IF @@TRANCOUNT > @trancount
	COMMIT TRAN
RETURN 0








GO


GRANT EXECUTE ON dbo.[KU_CHIN_CONF_SAVE] TO PUBLIC

GO




GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

IF EXISTS (SELECT * 
           FROM dbo.[SYSOBJECTS]
           WHERE [ID] = OBJECT_ID(N'dbo.[kj_Form_anketa_20050526]') AND 
                 OBJECTPROPERTY(ID, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.[kj_Form_anketa_20050526]
GO

/*******************************************************************************

	  (Keysystems), 2008

*******************************************************************************/
CREATE PROCEDURE dbo.kj_Form_anketa_20050526
	@varLink	INT
AS
DECLARE	@WORKDATE DATETIME
SELECT	@WORKDATE = WORKDATE FROM USER_INFO
--    
SELECT	[FM]		= KEP.FM,
	[IM]		= KEP.IM,
	[OT]		= KEP.OT,
	[FM_CH]	= CASE	WHEN EXISTS(SELECT * FROM CHANGE_FM WHERE EMPL_LINK = KEP.LINK AND ACTIVE = 1)
			 	THEN (SELECT TOP 1 RTRIM(FM) + ' ' + RTRIM(IM)+ ' ' + RTRIM(OT) + ' ' + CONVERT(VARCHAR(10),DATE,104) + '.' +
						   CASE WHEN RTRIM(REASON) = '' THEN '' ELSE ' (' + RTRIM(REASON) + ')' END
				      FROM CHANGE_FM
				      WHERE EMPL_LINK = KEP.LINK AND ACTIVE = 1
				      ORDER BY DATE DESC)
				ELSE ''
			  END,
	[BIRTH]		= CONVERT(VARCHAR(10), P.BIRTHDATE, 104) + ' .' + CASE WHEN RTRIM(ISNULL(P.BIRTHPLACE,'')) = '' THEN '' ELSE ' (' + RTRIM(P.BIRTHPLACE) + ')' END,
	[GRAZHD]	= (SELECT NAME FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
	[EDUC]		= dbo.KJ_GET_EDUC_EMPL(KEP.LINK),
	[POSL_VUZ]	= CASE	WHEN EXISTS(SELECT * FROM KU_PERS_EDUCATION WHERE EDUC_CODE = '19' AND PERS_LINK = P.LINK)
				THEN (SELECT TOP 1 RTRIM(SCHOOL_NAME) + ISNULL(' ' + CONVERT(VARCHAR(4),YEAR(DATE_END)) + ' .','')
				      FROM KU_PERS_EDUCATION
				      WHERE EDUC_CODE = '19' AND PERS_LINK = P.LINK
				      ORDER BY DATE_END DESC)
				ELSE ''
			  END + CASE WHEN ISNULL(P.ACAD_STATUS_LINK,0) = 0 THEN ''
				     ELSE ' . - ' +(SELECT NAME FROM ACAD_STATUS WHERE LINK = P.ACAD_STATUS_LINK)
				END
			      + CASE WHEN ISNULL(P.ACAD_DEGREE_LINK,0) = 0 THEN ''
				     ELSE ' . - ' +(SELECT NAME FROM ACAD_DEGREE WHERE LINK = P.ACAD_DEGREE_LINK)
				END,
	[LANG]		= dbo.KJ_GET_LANG_PERS(P.LINK),
	[CHIN]		= ISNULL((
			  SELECT TOP 1
				ISNULL(RTRIM(EM_CH.CHIN_NAME) + ' ' + CONVERT(VARCHAR(10), EM_CH.DATE,104),'')  + 
				CASE WHEN LEN(RTRIM(LTRIM(EM_CH.REASON))) = 0 THEN '' ELSE '(' + RTRIM(LTRIM(EM_CH.REASON)) + ')' END
			  FROM	KU_EMPL_CHIN EM_CH
			  WHERE EM_CH.DATE <= @WORKDATE
			  	AND EM_CH.EMPL_LINK = KEP.LINK
			  ORDER BY EM_CH.DATE DESC
			  ),''),
	[SUD]		= CONVERT(VARCHAR(300),''),
	[TAYNA]		= CONVERT(VARCHAR(300),''),
	[AWARDS]	= CONVERT(VARCHAR(650),K_AWARDS.AWARD_STR),
	[ZAGRAN]	= dbo.KJ_GET_ZAGRAN_PERS(P.LINK),
	[VOIN]		= ISNULL(RTRIM((SELECT NAME FROM VOINOTN WHERE LINK = P.VOINOTN_LINK)),'') + 
			  ISNULL(
			  CASE	WHEN  ISNULL(P.VOINZV_LINK,0) = 0 THEN ''
				ELSE ', ' + RTRIM((SELECT NAME FROM VOINZV WHERE LINK = P.VOINZV_LINK))
			  END,''),
 	[ADR_REG]	= CONVERT(VARCHAR(500),ISNULL(RTRIM(dbo.GetAddressByFace(P.LINK, 0)),'') + CASE WHEN LEN(RTRIM(P.PHONE_REAL)) = 0 THEN '' ELSE ' . ' + RTRIM(P.PHONE_REAL) END),
 	[ADR_FACT]	= CONVERT(VARCHAR(500),ISNULL(RTRIM(dbo.GetAddressByFace(P.LINK, 1)),'') + CASE WHEN LEN(RTRIM(P.PHONE_OFIC)) = 0 THEN '' ELSE ' . ' + RTRIM(P.PHONE_OFIC) END),
	[DOC]		= RTRIM((SELECT NAME FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK)) + '  ' + RTRIM(P.DOC_NUM) + 
			  '  ' + RTRIM(P.DOC_WHOM) + ' ' + ISNULL(CONVERT(VARCHAR(10), P.DOC_DATE, 104) + ' .',''),
	[DOC_ZAGR]	= ' ',
	[PENS]		= P.INSUR_NUM,	
	[INN]		= P.INN,
	[DOP_INF]	= dbo.KJ_GET_VIBOR_PERS(P.LINK) + CHAR(10) + P.OTHER,
	[ZAGRAN_FAM]= CONVERT(VARCHAR(400),'')
INTO	#EMPL_INFO
FROM	KU_EMPL_PLACING KEP
	LEFT JOIN PERSON P ON KEP.PERS_LINK = P.LINK
	LEFT JOIN KJ_GET_AWARD_PERS_TABLE(@WORKDATE) K_AWARDS ON K_AWARDS.PERS_LINK = P.LINK
WHERE	KEP.LINK = @varLink

--     
CREATE TABLE #EMPL_OLDWORK (OW_BEG VARCHAR(10),OW_END VARCHAR(10),OW_POST VARCHAR(400),OW_ADR VARCHAR(500))
INSERT	#EMPL_OLDWORK
SELECT	[OW_BEG]	= CONVERT(VARCHAR(10),DATE_BEGIN,104),
	[OW_END]	= CONVERT(VARCHAR(10),DATE_END,104),
	[OW_POST]	= CASE WHEN LEN(RTRIM(POST)) = 0 THEN '. '
			       ELSE RTRIM(POST)
			  END + 
			  CASE WHEN LEN(RTRIM(DEP)) = 0 THEN ''
			       ELSE ' (' + RTRIM(DEP) + ')'
			  END,
	[OW_ADR]	= RTRIM(PLACE)
FROM	KU_EMPL_OLDWORK
WHERE	EMPL_LINK = @varLink
ORDER	BY DATE_BEGIN
--
DECLARE	@DEP_NAME VARCHAR(150)
SELECT	@DEP_NAME = CONVERT(VARCHAR(150),NAME) FROM DEPARTMENTS WHERE LINK = (SELECT DEP_LINK FROM USER_DEP)
INSERT	#EMPL_OLDWORK
SELECT	[OW_BEG]	= CONVERT(VARCHAR(10),DATE_BEGIN,104),
		[OW_END]	= CASE WHEN DATE_END = '99991231' THEN '' ELSE CONVERT(VARCHAR(10),DATE_END,104) END,
		[OW_POST]	= ISNULL(RTRIM(POST_NAME),'') + ISNULL(CASE WHEN LEN(RTRIM(SUBDIV_NAME)) = 0 THEN '' ELSE ' (' + RTRIM(SUBDIV_NAME) + ')' END,''),
		[OW_ADR]	= @DEP_NAME
FROM	KU_ONLY_MOVES
WHERE	EMPL_LINK = @varLink
	AND DATE_BEGIN <= @WORKDATE
ORDER	BY DATE_BEGIN
--
IF NOT EXISTS(SELECT * FROM #EMPL_OLDWORK) BEGIN
	INSERT #EMPL_OLDWORK
	SELECT ' ',' ',' ',' '
	INSERT #EMPL_OLDWORK
	SELECT ' ',' ',' ',' '
	INSERT #EMPL_OLDWORK
	SELECT ' ',' ',' ',' '
	INSERT #EMPL_OLDWORK
	SELECT ' ',' ',' ',' '
END

--    
SELECT
	[ROD_LINK]  = LINK,
	[ROD_ST]	= FAMILY_NAME,
	[ROD_FIO]	= RTRIM(FM) + ' ' + RTRIM(IM) + ' ' + RTRIM(OT),
	[ROD_BIRTH]	= ISNULL(CONVERT(VARCHAR(10),BIRTHDATE,104) + ' .',''),
	[ROD_WORK]	= ISNULL(WORK_INFO,' '),
	[ROD_ADR]	= ISNULL(HOME_ADRES,' '),
	[ROD_ZAGRAN]= ZAGRAN_DATE
INTO	#EMPL_FAMILY
FROM	KU_PERS_FAMILY 
WHERE	PERS_LINK = (SELECT PERS_LINK FROM EMPL WHERE LINK = @varLink)

DECLARE @ZAGRAN_FAM VARCHAR(400), @ZAGRAN_FAM_LINK INT, @ZAGRAN_FAM_FIO VARCHAR(80), @ZAGRAN_FAM_DATE DATETIME
SET @ZAGRAN_FAM = ''
SELECT * INTO #TEMP FROM #EMPL_FAMILY WHERE ISNULL(ROD_ZAGRAN,0) != 0
WHILE EXISTS(SELECT * FROM #TEMP) BEGIN
	SELECT TOP 1 @ZAGRAN_FAM_LINK = ROD_LINK, @ZAGRAN_FAM_FIO = ROD_FIO, @ZAGRAN_FAM_DATE = ROD_ZAGRAN FROM #TEMP
	SET @ZAGRAN_FAM = RTRIM(@ZAGRAN_FAM) + CASE WHEN (SELECT COUNT(*) FROM #TEMP) != 1
												THEN RTRIM(@ZAGRAN_FAM_FIO) + ' ( ' + CONVERT(VARCHAR(10),@ZAGRAN_FAM_DATE,104) + ' .),' + CHAR(10)
												ELSE RTRIM(@ZAGRAN_FAM_FIO) + ' ( ' + CONVERT(VARCHAR(10),@ZAGRAN_FAM_DATE,104) + ' .)'
											END
	DELETE FROM #TEMP WHERE ROD_LINK = @ZAGRAN_FAM_LINK
END
DROP TABLE #TEMP

UPDATE	#EMPL_INFO
SET		[ZAGRAN_FAM] = RTRIM(LTRIM(@ZAGRAN_FAM))
--

IF NOT EXISTS(SELECT * FROM #EMPL_FAMILY) BEGIN
	INSERT #EMPL_FAMILY(ROD_LINK,ROD_ST,ROD_FIO,ROD_BIRTH,ROD_WORK,ROD_ADR,ROD_ZAGRAN)
	SELECT 0,' ',' ',' ',' ',' ', NULL
	UNION ALL
	SELECT 0,' ',' ',' ',' ',' ', NULL
	UNION ALL
	SELECT 0,' ',' ',' ',' ',' ', NULL
	UNION ALL
	SELECT 0,' ',' ',' ',' ',' ', NULL
END

--   
SELECT * INTO #TEMP_SUD FROM PERS_SUDIMOST WHERE PERS_LINK = (SELECT PERS_LINK FROM EMPL WHERE LINK = @varLink)
DECLARE @SUD VARCHAR(300)
SET	@SUD = ''
DECLARE	@SUD_DATE_BEGIN DATETIME, @SUD_DATE_END DATETIME, @SUD_REASON VARCHAR(200), @SUD_LINK INT
WHILE EXISTS(SELECT * FROM #TEMP_SUD) BEGIN
	SELECT TOP 1 @SUD_LINK = LINK, @SUD_DATE_BEGIN = DATE_BEGIN, @SUD_DATE_END = DATE_END, @SUD_REASON = REASON FROM #TEMP_SUD
	SET @SUD = RTRIM(@SUD)+ CASE WHEN (SELECT COUNT(*) FROM #TEMP_SUD) != 1
								THEN CONVERT(VARCHAR(10),@SUD_DATE_BEGIN,104) + CASE WHEN ISNULL(@SUD_DATE_END,0) = 0 THEN ''
																					 ELSE ' - ' + CONVERT(VARCHAR(10),@SUD_DATE_END,104)
																				END + 
																				CASE WHEN LEN(RTRIM(LTRIM(@SUD_REASON))) = 0 THEN ''
																					 ELSE ' (' + RTRIM(LTRIM(@SUD_REASON)) + ')'
																				END + CHAR(10)
								ELSE CONVERT(VARCHAR(10),@SUD_DATE_BEGIN,104) + CASE WHEN ISNULL(@SUD_DATE_END,0) = 0 THEN ''
																					 ELSE ' - ' + CONVERT(VARCHAR(10),@SUD_DATE_END,104)
																				END + 
																				CASE WHEN LEN(RTRIM(LTRIM(@SUD_REASON))) = 0 THEN ''
																					 ELSE ' (' + RTRIM(LTRIM(@SUD_REASON)) + ')'
																				END
							END
	DELETE FROM #TEMP_SUD WHERE LINK = @SUD_LINK
END
DROP TABLE #TEMP_SUD

UPDATE	#EMPL_INFO
SET		[SUD] = RTRIM(LTRIM(@SUD))

--   . .
SELECT * INTO #TEMP_GOSTAYNA FROM KJ_PERS_GOSTAYNA WHERE PERS_LINK = (SELECT PERS_LINK FROM EMPL WHERE LINK = @varLink)
DECLARE @GOSTAYNA VARCHAR(300)
SET	@GOSTAYNA = ''
DECLARE	@GOSTAYNA_DATE DATETIME, @GOSTAYNA_NUMBER VARCHAR(200), @GOSTAYNA_LINK INT, @GOSTAYNA_STEPEN VARCHAR(15)
WHILE EXISTS(SELECT * FROM #TEMP_GOSTAYNA) BEGIN
	SELECT TOP 1 @GOSTAYNA_LINK = LINK, @GOSTAYNA_DATE = DATE, @GOSTAYNA_NUMBER = NUMBER, @GOSTAYNA_STEPEN = STEPEN_SPIS FROM #TEMP_GOSTAYNA
	SET @GOSTAYNA = RTRIM(@GOSTAYNA)+ CASE WHEN (SELECT COUNT(*) FROM #TEMP_GOSTAYNA) != 1
								THEN RTRIM(@GOSTAYNA_STEPEN) + CASE WHEN ISNULL(@GOSTAYNA_DATE,0) = 0 THEN ''
																	ELSE ' (' + CONVERT(VARCHAR(10),@GOSTAYNA_DATE,104) 
																			  + CASE WHEN LEN(RTRIM(LTRIM(@GOSTAYNA_NUMBER))) = 0 THEN ')'
																					 ELSE '  ' + RTRIM(LTRIM(@GOSTAYNA_NUMBER)) + ')'
																				END
															   END + CHAR(10)
								ELSE RTRIM(@GOSTAYNA_STEPEN) + CASE WHEN ISNULL(@GOSTAYNA_DATE,0) = 0 THEN ''
																	ELSE ' (' + CONVERT(VARCHAR(10),@GOSTAYNA_DATE,104) 
																			  + CASE WHEN LEN(RTRIM(LTRIM(@GOSTAYNA_NUMBER))) = 0 THEN ')'
																					 ELSE '  ' + RTRIM(LTRIM(@GOSTAYNA_NUMBER)) + ')'
																				END
															   END
							END
	DELETE FROM #TEMP_GOSTAYNA WHERE LINK = @GOSTAYNA_LINK
END
DROP TABLE #TEMP_GOSTAYNA

UPDATE	#EMPL_INFO
SET		[TAYNA] = RTRIM(LTRIM(@GOSTAYNA))

--   
SELECT * FROM #EMPL_INFO
SELECT * FROM #EMPL_OLDWORK
SELECT * FROM #EMPL_FAMILY

--  
DROP TABLE #EMPL_INFO
DROP TABLE #EMPL_OLDWORK
DROP TABLE #EMPL_FAMILY
GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KJ_KADRY_ALL_PHIS_REP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KJ_KADRY_ALL_PHIS_REP]

GO
CREATE       PROCEDURE dbo.KJ_KADRY_ALL_PHIS_REP        
	@dDate1 datetime,
	@cText1 varchar(20),
	@varKScVal1 CHAR(1),
	@varKSnOtborLink1 int
AS BEGIN
	
	-- EXEC KJ_KADRY_ALL_PHIS_REP '20160101' , '223' , '', NULL
	--     
	CREATE TABLE #KSPERS (PERS_LINK INT)
	IF LEN(@varKScVal1) <> 0 
		INSERT	INTO #KSPERS
		SELECT	RECORD FROM OBJECT_VAR_PERSON WHERE LINK_UP = @varKSnOtborLink1
	ELSE
		INSERT	INTO #KSPERS
		SELECT	p.LINK
		FROM	DBO.ku_person p




	/* --   -- */
	DECLARE @intORG_LINK INT 
	SET @intORG_LINK = dbo.GetOwnDepLink()

	--    
	-- !!!      !!! --
	DECLARE
		@ORGNAME VARCHAR(254), @DEP_LINK INT, @ORGFULLNAME VARCHAR(2000),@DEP_ACC_M VARCHAR(20),
	    @DEP_INN VARCHAR(12), @DEP_KPP VARCHAR(9), @DEP_OKPO VARCHAR(20), @DEP_OGRN VARCHAR(13),
	    @N_ACC_CODE VARCHAR(20), @count_phiz INT,
	    @DOC_ID  UNIQUEIDENTIFIER

	SET @count_phiz = (SELECT COUNT(*) FROM #KSPERS)
	SET @DOC_ID = NEWID()    
	SELECT  top 1 
			
			@ORGNAME 	= LEFT(DEP.[NAME],254),
			@ORGFULLNAME  = LEFT(DEP.[FULL_NAME],2000),
			@DEP_LINK 	= DEP.LINK,
			@DEP_INN = LEFT(INN,12), @DEP_KPP = LEFT(KPP,9), @DEP_OKPO = LEFT(OKPO,20), @DEP_OGRN = LEFT(OGRN,13) , @DEP_ACC_M = CONVERT(VARCHAR(20),DEP.MAIN_LINK),
			@N_ACC_CODE = N_ACC_CODE
	FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE link = @intORG_LINK


	/*************************/
	
	SELECT	
		N_PP = ROW_NUMBER() OVER (/*PARTITION BY p.LINK */ORDER BY P.FM, P.IM, P.OT ),
		p.LINK,
		p.FM,
		P.IM ,
		P.OT, 
		B.OSB ,
		B.FILIAL,
		B.FILIAL_NAME,
		RESIDENT = CASE  when P.RESIDENT in (1,3) 
							THEN 'FALSE' 
							ELSE 'TRUE' END,
		P.CITIZ_NAME ,
		VALUTE_CODE = 'RUR',
		PODVIDV_CODE = (SELECT TOP 1 POSTFIX FROM dbo.CARDS WHERE link = EC.CARD_LINK ) ,
		VIDV_CODE =  (SELECT TOP 1 CODE FROM dbo.CARDS WHERE link = EC.CARD_LINK ),
		VIDV_NAME = (SELECT TOP 1 NAME FROM dbo.CARDS WHERE link = EC.CARD_LINK ),
		p.DOC_LINK, 
		p.DOC_CODE,
		p.DOC_NAME,
		DOC_SER = convert(varchar(6),(CASE WHEN PATINDEX ( '% %' , substring(P.DOC_NUM,4,16 )) = 0 AND  PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 )) <> 0
						THEN left(P.DOC_NUM, PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 ))-1)
						ELSE left(P.DOC_NUM, 5) END) ),

		DOC_NUM = CASE WHEN PATINDEX ( '% %' , substring(P.DOC_NUM,4,16 )) = 0  AND  PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 )) <> 0 
						then SUBSTRING(P.DOC_NUM,PATINDEX ( '%/%' , substring(P.DOC_NUM,1,20 ))+1,10)
						ELSE SUBSTRING(P.DOC_NUM,7,10) END ,
		P.DOC_DATE,
		P.DOC_WHOM,
		p.BIRTHDATE,
		SEX = CASE WHEN SEX = 1 THEN '' ELSE '' END ,
		P.BIRTHPLACE,
		[PINDEX] = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		[PSTR] =  case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then ' ' else '' END,
		PREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							ELSE ''		
		               END,
		PRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		PRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		PGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
 		PHOUSE = RTRIM(CONVERT(varchar(10),P.HOUSE_OFIC)) ,
		PKORP = RTRIM(CONVERT(varchar(10),P.CORP_OFIC)) ,
		PFLAT = RTRIM(CONVERT(varchar(10),P.FLAT_OFIC)) ,
		[FINDEX] = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		[FSTR] =  (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then ' ' else '' END),
		FREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							ELSE ''		
		               END,
		FRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		FRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		FGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
 		FHOUSE = RTRIM(CONVERT(varchar(10),P.HOUSE_OFIC)) ,
		FKORP = RTRIM(CONVERT(varchar(10),P.CORP_OFIC)) ,
		FFLAT = RTRIM(CONVERT(varchar(10),P.FLAT_OFIC)) ,
		ADDR = (case when rtrim((select dbo.GetAddressByKladr(P.ADR_OFIC_LINK))) = ''
					 THEN '' 
					 ELSE rtrim((select dbo.GetAddressByKladr(P.ADR_OFIC_LINK))) END )
				 + (CASE WHEN  RTRIM(P.HOUSE_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.HOUSE_OFIC) END)   
				 + (CASE WHEN  RTRIM(P.CORP_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.CORP_OFIC) END )
				 + (CASE WHEN  RTRIM(P.FLAT_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.FLAT_OFIC) END ), 
		COL3 = CASE WHEN SEX = 1 THEN 'MR' ELSE 'MRS' END,
		COL2 = 	
		(select replace(replace(replace(replace(replace(replace(replace(replace(replace(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(replace(upper(p.FM),
                         '','X')
                        ,'','A')
						 , '','B')
						 , '','V')
						 , '', 'G')
						 , '', 'D')
						 , '', 'E')
						 , '','Z') 
						 , '', 'I')
						 , '', 'Y')
						 , '', 'K') 
						 , '', 'L')
						 , '', 'M')
						 , '', 'N')
						 , '', 'O')
						 , '', 'P')
						 , '', 'R')
						 , '', 'S')
						 , '', 'T')
						 , '', 'U')
						 , '', 'F')
						 , '', 'H')
						 , '', 'Y')
						 , '', '#')
						 , '', '''')						
                        , '','ZH')
                        ,'','YO')
                        ,'','TS')
                        ,'','CH')
                        ,'','SH')
                        ,'','SCH')
                        ,'','EH')
                        ,'','YU')
                        ,'','YA'))
                        ,

		COL1= 	
		(select replace(replace(replace(replace(replace(replace(replace(replace(replace(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(replace(upper(p.im),
                         '','X')
                        ,'','A')
						 , '','B')
						 , '','V')
						 , '', 'G')
						 , '', 'D')
						 , '', 'E')
						 , '','Z') 
						 , '', 'I')
						 , '', 'Y')
						 , '', 'K') 
						 , '', 'L')
						 , '', 'M')
						 , '', 'N')
						 , '', 'O')
						 , '', 'P')
						 , '', 'R')
						 , '', 'S')
						 , '', 'T')
						 , '', 'U')
						 , '', 'F')
						 , '', 'H')
						 , '', 'Y')
						 , '', '#')
						 , '', '''')						
                        , '','ZH')
                        ,'','YO')
                        ,'','TS')
                        ,'','CH')
                        ,'','SH')
                        ,'','SCH')
                        ,'','EH')
                        ,'','YU')
                        ,'','YA'))
                        ,
       DATE_DOC = @dDate1,
	   num_dog = @cText1,
	   orgname = @ORGNAME ,
	   org_fuln = @ORGFULLNAME,
	   dep_link = @DEP_LINK,
	   DEP_INN = @DEP_INN,
	   N_ACC_CODE = @N_ACC_CODE,
	   count_phiz = @count_phiz,
       DOC_ID  = @DOC_ID              
		FROM	
		DBO.ku_person p 
		LEFT JOIN dbo.SA_PERSON_ECARD_DEFAULT EC ON EC.PERS_LINK = p.LINK
		LEFT JOIN dbo.BANKS AS b ON b.LINK = EC.BANK_LINK
	WHERE	((LEN(@varKScVal1) <> 0 AND p.LINK IN (SELECT PERS_LINK FROM #KSPERS)) OR LEN(@varKScVal1) = 0)
	ORDER BY P.FM, P.IM, P.OT


DROP TABLE #KSPERS

END






GO


GRANT EXECUTE ON dbo.[KJ_KADRY_ALL_PHIS_REP] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BV_SELECT_OKOF_TREE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BV_SELECT_OKOF_TREE]

GO


/*
  (Keysystems), 2007
*/

CREATE PROCEDURE dbo.BV_SELECT_OKOF_TREE
	@varKSnLINK_SELF	INT = NULL
AS

IF @varKSnLINK_SELF = 0
	SET @varKSnLINK_SELF = NULL

IF OBJECT_ID ('TEMPDB..#T1') IS NOT NULL
	EXEC ('DROP TABLE #T1')

CREATE TABLE #T1
	(
	[CHECKED] int ,
	[UPD] int ,
	[DEL] int ,
	[LINK] int ,
	[LINK_SELF] int ,
	[CODE] VARCHAR(20) ,
	[NAME] varchar(254) ,
	[LINK_GRP] int ,
	[CODE_GRP] varchar(2) ,
	[NAME_GRP] varchar(50) ,
	[DEPGR_LINK] int ,
	[DEPGR_CODE] VARCHAR(2) ,
	[DEPGR_VALUE] numeric(9, 2) ,
	[DEPGR_NAME] varchar(254) ,
	[CHILDRENS] bit ,
	[IMAGEINDEX] varchar(10))

INSERT INTO	#T1
	(
	[CHECKED],
	[UPD],
	[DEL],
	[LINK],
	[LINK_SELF],
	[CODE],
	[NAME],
	[LINK_GRP],
	[CODE_GRP],
	[NAME_GRP],
	[DEPGR_LINK],
	[DEPGR_CODE],
	[DEPGR_VALUE],
	[DEPGR_NAME],
	[CHILDRENS],
	[IMAGEINDEX]
	)
SELECT  0 AS CHECKED, 0 AS UPD, 0 AS DEL, 
	A.LINK,
	A.LINK_SELF,
	CODE = convert(VARCHAR(20),A.CODE),
	[NAME] = CONVERT (VARCHAR (254), RTRIM(LTRIM(A.CODE)) + ' ' + LEFT(RTRIM(LTRIM(ISNULL(G.CODE,'__'))),2) + ' ' + RTRIM(LTRIM(A.NAME))),
	[LINK_GRP]=convert(INT,A.GROUP_OS),
	[CODE_GRP]= convert(VARCHAR(2),G.CODE),
	[NAME_GRP]= convert(VARCHAR(50),G.NAME),
	[DEPGR_LINK] = CONVERT(INT,A.DEPRE_GROUP),
	[DEPGR_CODE]=(SELECT CONVERT(VARCHAR(2),B.CODE) FROM dbo.DEPRE_GROUP B WHERE B.LINK = A.DEPRE_GROUP),
	[DEPGR_VALUE]=(SELECT CONVERT(NUMERIC(9,2),B.VALUE) FROM dbo.DEPRE_GROUP B WHERE B.LINK = A.DEPRE_GROUP),
	[DEPGR_NAME]=(SELECT CONVERT(VARCHAR(254),LTRIM(RTRIM(B.NAME)) + ' (' + LTRIM(RTRIM(STR(B.VALUE))) + ')') FROM dbo.DEPRE_GROUP B WHERE B.LINK = A.DEPRE_GROUP),
	CHILDRENS = CONVERT(BIT,0),
	IMAGEINDEX = CONVERT(VARCHAR(10),'FOLDER')
FROM dbo.ASSETS_GROUP_OKOF A
LEFT JOIN GROUP_OS G ON G.LINK = A.GROUP_OS
WHERE A.LINK_SELF = @varKSnLINK_SELF OR (@varKSnLINK_SELF IS NULL AND LINK_SELF IS NULL)

UPDATE #T1
SET	CHILDRENS = CONVERT(BIT,1), IMAGEINDEX = CONVERT(VARCHAR(10),'ACCOUNT')
WHERE NOT EXISTS(SELECT * FROM ASSETS_GROUP_OKOF A WHERE A.LINK_SELF = #T1.LINK )

SELECT * FROM #T1 
WHERE (@varKSnLINK_SELF IS NULL AND #T1.LINK_SELF IS NULL) OR (#T1.LINK_SELF = @varKSnLINK_SELF)
ORDER BY LINK_SELF, CODE, IMAGEINDEX DESC

DROP TABLE #T1

GO


GRANT EXECUTE ON dbo.[BV_SELECT_OKOF_TREE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_REPORT_F49]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_REPORT_F49]

GO

CREATE    PROCEDURE [dbo].[SALARY_REPORT_F49]

	@varKSnMonth int, /*  */
	@varKSnYear varchar(4), /*  */
	@varKSnSortMode INT, /*   */
	@nCheck1 int = 0, /*   */
	@nCheck2 int = 0, /*  ...    */
	@nCheck3 int = 0, /*     */
	@nCheck4 int = 0, /*     */
	@nCheck5 int = 0, /*  /      */
	@varKScVal1 CHAR(1) = '',  --   
	@varKSnOtborLink1 int = 0,
	@ALL_DEP tinyint = NULL,
	@nCheck7 tinyint = 0, /*        */	
	@nMPAY tinyint = 1,/*  */
	@DETALIZE_SFIN tinyint = 0, --  ,
	@DETALIZE_EKR tinyint = 0, --  ,
	@cVal2 CHAR(1) = '', --   
	@nOtborLink2 int = 0		
AS 
BEGIN

/*          .   @ALL_DEP = 1*/

SET @ALL_DEP = COALESCE(@ALL_DEP,0)

DECLARE @DEP_LINK INT
exec dbo.xd_whats_zb @DEP_LINK output

--  
CREATE TABLE #VKR (LINK_VKR INT)
IF LEN(@varKScVal1) <> 0 
	INSERT  INTO #VKR
	SELECT O.RECORD
	FROM OBJECT_VAR_SAL_SFIN O WHERE LINK_UP = @varKSnOtborLink1
else 
	INSERT INTO #VKR
	SELECT F.LINK FROM SAL_SFIN F

declare @cur_date datetime
Set @cur_date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@varKSnMonth,@varKSnYEAR)) 
	
CREATE TABLE #RES (LINK_DEP INT, LINK_EMPL INT, LINK_SFIN INT, LINK_EKR INT, LINK_PAYS INT, CP VARCHAR(11), NP VARCHAR(254), S NUMERIC(20,2) , sum_n NUMERIC(20,2))
CREATE TABLE #RES_U (LINK_DEP2 INT, LINK_EMPL2 INT, LINK_SFIN1 INT, LINK_EKR1 INT, CU VARCHAR(11), NU VARCHAR(254), SU NUMERIC(20,2) , sum_U NUMERIC(20,2) )

set @nCheck1 = Coalesce(@nCheck1,0)
set @nCheck2 = Coalesce(@nCheck2,0)
set @nCheck3 = Coalesce(@nCheck3,0)
set @nCheck4 = Coalesce(@nCheck4,0)
set @nCheck5 = Coalesce(@nCheck5,0)
set @nMPAY = coalesce(@nMPAY,0)


DECLARE @LINK_R211 INT, @LINK_211 INT
SET @LINK_R211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211')
SET @LINK_211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = '211')
	
--   
SELECT 
	LINK_DEP = J.LINK_DEP,
	PERS_LINK = CAST(0 AS INT), 
	LINK_FACE = E.PERS_LINK,	 
	J.LINK_EMPL, 
	TAB_NUM = E.TAB, 
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = UPPER(E.SUBDIV_CODE), 
	NAME_SUBDIV = UPPER(E.SUBDIV_NAME), 
	CODE_POST = E.POST_CODE, 
	NAME_POST = E.POST_NAME,

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)	
INTO 
	#DOC1 
FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.PAYS P on P.LINK = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.LINK = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1  and CARD_LINK is null) 
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)
--   
UNION ALL
SELECT 
	LINK_DEP = J.LINK_DEP,
	J.PERS_LINK,
	LINK_FACE = 0,
	LINK_EMPL = 0, 
	TAB_NUM = '', 
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = '', 
	NAME_SUBDIV = '', 
	CODE_POST = '', 
	NAME_POST = '',

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)

FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.PERSON E ON E.LINK = J.PERS_LINK
	INNER JOIN dbo.PAYS P on P.link = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.link = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE TYP_PAYMENT = 1 and CARD_LINK is null)

if @@rowcount <>0
	select top 1 *  from months
else 
	select * from months where num = 0

/*,   */
if @nCheck3 = 1
	UPDATE #DOC1 
	Set #DOC1.NAME_PAYS = LEFT(rtrim(ltrim(COALESCE(P.SNAME,''))),254)
	from #DOC1 D inner join dbo.Pays P on D.LINK_PAYS = P.link


----- " "  
IF @nCheck1 = 1 and  @nCheck4 = 1
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR_DGH where TYP_PAYMENT = 1 and CARD_LINK is not null)
-------" "  
IF @nCheck4 = 1
begin
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT <> 1 and CARD_LINK is not null)

	UPDATE #DOC1
	Set NAME_PAYS = LEFT( RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT( RTRIM(CODE_PAYS) + '/', 10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1 and CARD_LINK is not null)
end

IF @nCheck5=1
	UPDATE #DOC1
	Set 
		CODE_PAYS = LEFT(rtrim(ltrim(CODE_PAYS)) + (case rtrim(ltrim(CODE_EKR)) when '211' then '' when '213' then '' else '' end),10), 
		NAME_PAYS = LEFT(rtrim(ltrim(NAME_PAYS)) + SPACE(1) + (case rtrim(ltrim(CODE_EKR)) when '211' then '(  -)' when '213' then '(  )' else '' end),254)
	where link_ekr is not null and way_calc in (13,20) and TYP_OPER = 1

UPDATE #DOC1 
SET LINK_EMPL = -PERS_LINK,
	TAB_NUM = '.',
	NAME_POST = '.: ' + dbo.SA_DOCUMENTS_DGH(PERS_LINK, @varKSnYear, @varKSnMonth)
WHERE COALESCE(LINK_EMPL,0) = 0
------

declare @varKSFKR1 varchar(200),@varKSFKR2 varchar(200),@varKSFKR3 varchar(200),@varKSCode_1 varchar(20),@varKSCode_2 varchar(20),@varKSCode_3 varchar(20)
if (select count(*) from #VKR) = 1
	select @varKSFKR1 = NAME_FKR_D, @varKSFKR2 = NAME_FKR_E, @varKSFKR3 = NAME_FKR_T, 
		@varKSCode_1 = CODE_FKR_D, @varKSCode_2 =CODE_FKR_T, @varKSCode_3 =CODE_FKR_E   from BI_DICTION_VKR where link = (select link_vkr from #VKR)
else 
	select @varKSFKR1='',@varKSFKR2='',@varKSFKR3='',@varKSCode_1 = '', @varKSCode_2 ='', @varKSCode_3 =''

--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN (link_empl int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN (link_empl,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	SUM(SUMMA) 
FROM 
	dbo.dictionary_sal_remain SR 
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE 
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY 
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----

CREATE TABLE #VIPLATY (LINK_DEP int, link_empl int, LINK_SFIN INT, LINK_EKR INT, ostatok numeric(18,2), vipl numeric(18,2))

insert into #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)
select 
	SJ.LINK_DEP,
	link_empl = (case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end), 
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	LINK_EKR = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	ostatok = sum(case when  month_begin < @varKSnMonth then (case when typ_oper = 1 then SJ.summa else -SJ.summa end) else 0 end),
	vipl = SUM(case when 	SJ.MONTH_BEGIN = @varKSnMonth and SJ.TYP_OPER  = 2 and (coalesce(v.link,0) <> 0 or coalesce(v1.link,0) <> 0) then summa else 0 end)
from 
	S_J_C_Short SJ
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SJ.LINK_EKR THEN @LINK_211 ELSE SJ.LINK_EKR END) 
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V on SJ.LINK_DOC = V.link
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V1 on SJ.LINK_DOC = V1.link
where 
	LINK_VKR in (select link_vkr from #VKR)  
	and year_begin = convert(int, @varKSnYear)
	and month_begin <= @varKSnMonth
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and typ_oper in (1,2)
	and (SJ.LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
group by 
	SJ.LINK_DEP, SJ.LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	(case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end)

--       
UPDATE E
SET E.ostatok = ISNULL(E.ostatok,0) + ISNULL(SR.summa, 0)
FROM 
	#VIPLATY E INNER JOIN #SAL_REMAIN SR on E.link_empl = SR.link_empl AND E.LINK_SFIN = SR.LINK_SFIN AND E.LINK_EKR = SR.LINK_EKR
	
INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT E.DEP_LINK, R.link_empl, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN R INNER JOIN dbo.EMPL E ON E.LINK = R.LINK_EMPL
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE R.LINK_EMPL = V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)

--------------------------------------------------------------------------------------------
select distinct D1.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC =YEAR_BEGIN, 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = D1.LINK_EMPL,
	[POST] = name_post,
	[TN]=TAB_NUM,
	[FIO] = (case when @nCheck2 = 0 then FIO else (case when coalesce(LINK_FACE,0) <> 0 then dbo.sa_GetPersName(LINK_FACE) else dbo.sa_GetPersName(PERS_LINK) end) end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(convert(varchar(254),NAME_SUBDIV)),
	SubdivCode = UPPER(convert(varchar(254),CODE_SUBDIV)),
	CODE_POST = convert(varchar(254),CODE_POST),
	NAME_POST = convert(varchar(254),NAME_POST),
	D1.LINK_SFIN,
	D1.LINK_EKR1
into #Empls
from #DOC1 D1 INNER JOIN #VIPLATY V on D1.link_empl = V.link_empl and D1.LINK_DEP = V.LINK_DEP AND D1.LINK_SFIN = V.LINK_SFIN AND D1.LINK_EKR1 = V.LINK_EKR
where
	D1.MONTH_BEGIN = @varKSnMonth

------ ,     ,     
INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = V.LINK_EMPL,
	[POST] = POST_NAME,
	[TN]= TAB,
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(E.SUBDIV_NAME),	
	SubdivCode = UPPER(E.SUBDIV_CODE),	
	E.POST_CODE,
	E.POST_NAME,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
	INNER JOIN #VIPLATY V on E.link = V.link_empl and coalesce(ostatok,0) <> 0 and E.DEP_LINK = V.LINK_DEP
where 	
	(DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)
	AND (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

------------------------------------------------------------------------------------------
---- ,     ,     
INSERT INTO #Empls
select distinct V.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = -P.link,
	[POST] = ' ',
	[TN]='.',
	[FIO] = (case when @nCheck2 = 0 then FIO else NAME_PERS end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = null,
	SubdivCode = null,
	POST_CODE = null,
	POST_NAME = null,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.KU_Person P 
	inner join #VIPLATY V on P.link = -V.link_empl and coalesce(ostatok,0) > 0
where 	
	@nCheck1 = 1
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)

--------------------------------------------------------------------------------------------

INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = E.LINK,
	[POST] = POST_NAME,
	[TN]= TAB,
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = 0,
	[vipl] = 0,
	SubdivName = UPPER(E.SUBDIV_NAME),
	SubdivCode = UPPER(E.SUBDIV_CODE),
	E.POST_CODE,
	E.POST_NAME,
	LINK_SFIN = 0,
	LINK_EKR = 0	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
where 
	@nCheck7 = 1
	and (DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	and E.LINK not in (Select distinct LINK_EMPL0 from #Empls)
	and (@varKSnYear * 100 + @varKSnMonth) BETWEEN (YEAR(DATE_BEGIN)*100 + MONTH(DATE_BEGIN)) AND COALESCE((YEAR(DATE_END)*100 + MONTH(DATE_END)), (@varKSnYear * 100 + @varKSnMonth))
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

select 
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1,
	saldo = SUM(saldo),
	vipl = SUM(vipl)	
into #EmplsG
from #Empls
group by
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1

--------------------------------------------------------------------------------------------

	INSERT INTO #RES
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, LINK_PAYS, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 1 group by LINK_PAYS, LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	declare @CODE_PAYS varchar(254), @NAME_PAYS varchar(254), @LINK_PAYS INT
	Select top 1 @LINK_PAYS = LINK_PAYS, @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 1 and CODE_PAYS is not null

	INSERT INTO #RES
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, @LINK_PAYS, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	UPDATE R
	SET CP = CP + '*'
	FROM
		#RES R
		INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
	WHERE
		@nMPAY = 1

	--- 
	UPDATE #RES
	Set NP = CP + '#&' + NP

	INSERT INTO #RES_U
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 2 group by LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	Select top 1 @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 2 and CODE_PAYS is not null

	INSERT INTO #RES_U
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	--- 
	UPDATE #RES_U
	Set NU = CU + '#&' + NU

	DECLARE @varKSTABLE_N VARCHAR(100), @varKSTABLE_U VARCHAR(120), @varKSTABLE_R VARCHAR(120)
	EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT
	SELECT @varKSTABLE_U = @varKSTABLE_N + '_U', @varKSTABLE_R = @varKSTABLE_N + '_R'

	DECLARE @varKSCNT_N INT, @varKSCNT_U INT
	SELECT @varKSCNT_N = COUNT(DISTINCT CP) FROM #RES 
	SELECT @varKSCNT_U = COUNT(DISTINCT CU) FROM #RES_U

	IF @ALL_DEP = 0 BEGIN
		EXEC M_CROSS_TABLE
			'LINK_EMPL, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_EMPL2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_EMPL = U.LINK_EMPL2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set link_empl = link_empl2 where link_empl is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (link_empl, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.link_empl0, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.link_empl = E.link_empl0 AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')		
	
	END
	ELSE BEGIN
		EXEC M_CROSS_TABLE
			'LINK_DEP, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_DEP2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_DEP = U.LINK_DEP2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_DEP = LINK_DEP2 where LINK_DEP is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')		

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (LINK_DEP, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.LINK_DEP, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.LINK_DEP = E.LINK_DEP AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')

	END
	
	DECLARE @varKSI INT, @varKSSQL_STR VARCHAR(4000), @varKSFIELD_NAME VARCHAR(100)
	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_N BEGIN

		SET @varKSFIELD_NAME= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_N + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 

		EXEC (@varKSSQL_STR)

		SET @varKSFIELD_NAME= 'S_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 

		EXEC (@varKSSQL_STR)

		SET @varKSI=@varKSI+1
	END

	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_U BEGIN
		SET @varKSFIELD_NAME= 'NU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_U + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END

	IF @ALL_DEP = 0 BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_EMPL = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_EMPL2   = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
	END 
	ELSE BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_DEP = R0.LINK_DEP) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_DEP2   = R0.LINK_DEP2) FROM ' +   @varKSTABLE_R + ' R0 ')		
	END


	
	IF @varKSCNT_N = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CP_0 VARCHAR(10), NP_0_0 VARCHAR(254), S_0_0 numeric(20,2) ')
	END
	IF @varKSCNT_U = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CU_0 VARCHAR(10), NU_0_0 VARCHAR(254), SU_0_0 numeric(20,2) ')
	END

	DECLARE @varKScSQL VARCHAR(7000)


	IF @ALL_DEP = 0
		SET @varKScSQL = ' SELECT E.*, D.INN, D.KPP, R.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, s_saldo, s_vipl '
			+ ' FROM #EmplsG E LEFT JOIN DBO.SAL_SFIN F ON F.LINK = E.LINK_SFIN' 
			+ ' LEFT JOIN DEPARTMENTS D on e.LINK_DEP = D.LINK '
			+ ' LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = E.LINK_EKR1' 			
			+ ' LEFT JOIN ' + @varKSTABLE_R+' R on link_empl0 = link_empl AND ISNULL(R.LINK_SFIN,0) = E.LINK_SFIN AND ISNULL(R.LINK_EKR,0) = E.LINK_EKR1'
			+ ' LEFT JOIN (SELECT s_saldo = SUM(saldo), s_vipl = SUM(vipl) FROM #EMPLSG) S on 1=1'
			+ ' order by '
			+ (CASE @varKSnSortMode WHEN 1 THEN 'COALESCE(TN,'''')' 
						WHEN 2 THEN 'FIO, F.CODE, EKR.CODE' 
						WHEN 3 THEN 'COALESCE(SubdivName,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 4 THEN 'COALESCE(SubdivName,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 5 THEN 'COALESCE(SubdivCode,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 6 THEN 'COALESCE(SubdivCode,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 7 THEN 'COALESCE(SubdivName,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 8 THEN 'COALESCE(SubdivCode,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						else 'COALESCE(TN,''''), F.CODE, EKR.CODE'  END)
	ELSE

		SET @varKScSQL = ' SELECT R.* , D.INN, D.KPP, E.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, DEP_NAME= D.[NAME], GRP_NAME = COALESCE(GRP.GRP_NAME,'' '')  FROM ' + @varKSTABLE_R+' R '
	+ ' INNER JOIN DEPARTMENTS D on R.LINK_DEP = D.LINK
		LEFT JOIN DBO.SAL_SFIN F ON F.LINK = R.LINK_SFIN
		LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = R.LINK_EKR
		LEFT JOIN (select GRP_NAME= G.[NAME], D_LINK= REF.DEP_LINK
			from DEPARTMENT_GROUPS G inner join DEPARTMENT_GROUPS_REF REF on G.LINK = REF.GROUP_LINK
			where G.LINK = (SELECT MAX(REF1.GROUP_LINK) from DEPARTMENT_GROUPS_REF REF1 where REF1.DEP_LINK = REF.DEP_LINK)) GRP on D.LINK = GRP.D_LINK'
	+ ' INNER JOIN (SELECT link_dep, LINK_SFIN, LINK_EKR1, saldo = SUM(saldo), vipl = SUM(vipl), FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C FROM #EMPLSG group by link_dep, LINK_SFIN, LINK_EKR1, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C) E on R.LINK_DEP = E.link_dep AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR1 = E.LINK_EKR1'
	+ ' order by GRP.GRP_NAME, D.NAME, F.CODE'
	
	exec (@varKScSQL)

	EXEC ('DROP TABLE ' + @varKSTABLE_N)
	EXEC ('DROP TABLE ' + @varKSTABLE_U)
	EXEC ('DROP TABLE ' + @varKSTABLE_R)
	drop table #Doc1
	drop table #Empls
	drop table #EmplsG
END






GO


GRANT EXECUTE ON dbo.[SALARY_REPORT_F49] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_RECALC_FTA_EKR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_RECALC_FTA_EKR]

GO
CREATE PROCEDURE dbo.SA_RECALC_FTA_EKR 
	@DATE DATETIME,
	@LINK_PAYS INT,
	@LINK_EMPL INT
AS 
BEGIN

SELECT TOP 1 LINK_PAY, LINK_EKR, CODE_EKR FROM (
SELECT P.LINK AS LINK_PAY, K.LINK AS LINK_EKR, K.CODE AS CODE_EKR, 1 AS NUM
FROM
	dbo.PAYS P INNER JOIN dbo.KOSGU K ON 1=1
WHERE 
	P.LINK = @LINK_PAYS AND P.WAY_CALC = 15 AND K.CODE = 'R211'
	AND ISNULL((SELECT TOP 1 RESERV FROM dbo.MINROT WHERE PERIOD<=@DATE order by PERIOD DESC),0) > 0
	AND NOT EXISTS(SELECT * FROM dbo.SS_NOT_RESERV R WHERE R.LINK_EMPL = @LINK_EMPL)
UNION ALL
SELECT P.LINK AS LINK_PAY, K.LINK AS LINK_EKR, K.CODE AS CODE_EKR, 2 AS NUM
FROM
	dbo.PAYS P INNER JOIN dbo.KOSGU K ON P.LINK_EKR = K.LINK
WHERE 
	P.LINK = @LINK_PAYS ) T ORDER BY NUM

END

GO


GRANT EXECUTE ON dbo.[SA_RECALC_FTA_EKR] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[K_FILL_T_STAFF]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[K_FILL_T_STAFF]

GO

CREATE      PROCEDURE [dbo].K_FILL_T_STAFF

AS
BEGIN

	DECLARE @CURRENT_DATE DATETIME
	SET @CURRENT_DATE = (SELECT REP_DATE FROM OBJECT_VAR_DATE WHERE SID = SUSER_SID() )



	CREATE TABLE #OTDEL0 (
		LINK INT, CODE VARCHAR(15), NAME VARCHAR(254), 
		LINK_SELF INT, ORDERS INT IDENTITY (1,1), DEP_LINK INT)
	INSERT INTO #OTDEL0  (LINK,CODE,NAME,LINK_SELF,DEP_LINK)
	SELECT LINK, CODE, [NAME], LINK_SELF, DEP_LINK
	FROM SUBDIVISION(@CURRENT_DATE) WHERE deleted=0
	ORDER BY ORDERS

	CREATE TABLE #OTDEL  (
		link INT, code VARCHAR(10) ,name VARCHAR (254), 
		orders INT,  
		dep_link INT,  LINK_PARENT INT,
		SUBD_LEVEL INT, REAL_ORDERS INT, NUM_PARENT INT
	)

	CREATE TABLE #OTDEL1  (
		link INT, code VARCHAR(10) ,name VARCHAR (254), 
		orders INT, dep_link INT,  LINK_PARENT INT,
		SUBD_LEVEL INT, REAL_ORDERS INT, NUM_PARENT INT)

	DECLARE #TMP_CUR_DEP CURSOR LOCAL FOR 
		SELECT LINK FROM DICTIONARY_DEPARTMENT WHERE TYPE IN (2, 4 ) or zb = 1
	OPEN #TMP_CUR_DEP
	DECLARE @LINK_DEP INT
	FETCH #TMP_CUR_DEP INTO @LINK_DEP
	WHILE @@FETCH_STATUS=0 BEGIN
		DELETE FROM #OTDEL

		EXEC MK_STAFF_TREE_MAKE @LINK_DEP, @CURRENT_DATE
		INSERT INTO #OTDEL1 SELECT * FROM #OTDEL
		FETCH #TMP_CUR_DEP INTO @LINK_DEP
	END
	CLOSE #TMP_CUR_DEP 
	DEALLOCATE #TMP_CUR_DEP 

	INSERT INTO #STAFF 
		SELECT 
			[num_otd] = REAL_ORDERS,
			[LNK] = DS.STAFF_LINK, 
			[LINK_OTD] = O.LINK, 
			[SUBDIV_CODE] = O.CODE, 
			[SUBDIV_NAME] = O.NAME, 
			[LINK_DOL] = DS.POST_LINK, 
			[POST_CODE] =RIGHT(DS.POST_CODE,6), 
			[POST_NAME] = DS.POST_NAME, 
			[NORM] = DS.NUM_STAKE, 
			[FACT] = CAST(0.0 AS FLOAT), 
			[VAC] = DS.FREE_STAKES, 
			[OKLAD] = DS.OKLAD, 
			[FOT] = DS.OKLAD, 
			[LEVEL_OTD] = SUBD_LEVEL,
			[CHIN_LINK] = DP.LINK, 
			[CHIN_CODE] = DP.CODE, 
			[CHIN] = DP.NAME, 
			[CONFIRMED] = 0,		--Ds.num_stake, 
			[DEYAT_TYPE_LINK] = 0,		--Ds.dey_link, 
			[DEYAT_TYPE] = '',		--DS.DEY_NAME,
			[KATEG_LINK] = Ds.kat_link, 
			[KATEG_CODE] = DS.KAT_CODE,
			[KATEG_DOL] = LEFT(DS.KAT_NAME,40),
			[GOSSL] = ISNULL(DS.GOSSL, 0),
			[FEDERAL] = ISNULL(DS.FIN, 0),
			[FOND] =  ISNULL(DS.FIN_FOND, 0),
			[LINK_DEP] = O.DEP_LINK, 
			[LINK_PARENT] = O.LINK_PARENT, 
			[NUM_PARENT] = O.NUM_PARENT,
			[KAT_GOS_LINK] = DS.KAT_GOS_LINK,
			[KAT_GOS_CODE] = DS.KAT_GOS_CODE,
			[KAT_GOS_NAME] = DS.KAT_GOS_NAME,
			[GR_GOS_LINK] = DS.GR_GOS_LINK,
			[GR_GOS_CODE] = DS.GR_GOS_CODE,
			[GR_GOS_NAME] = DS.GR_GOS_NAME
		FROM #OTDEL1 O 
		LEFT JOIN DICTIONARY_STAFF_FN(@CURRENT_DATE)  DS ON  DS.SUBDIV_LINK=O.LINK and ds.deleted=0
		LEFT OUTER JOIN DICTIONARY_POST DP ON DS.POST_LINK = DP.LINK AND dp.DATE_begin <= @CURRENT_DATE AND dp.DATE_end  >= @CURRENT_DATE
		ORDER BY REAL_ORDERS
	
	DECLARE @nLinkFIeld INT

	UPDATE #STAFF SET  FACT=( NORM - VAC)
	UPDATE #STAFF SET  FOT= FOT*NORM

	DROP TABLE #OTDEL

END




GO


GRANT EXECUTE ON dbo.[K_FILL_T_STAFF] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_EXPORT_F1152028_504]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_EXPORT_F1152028_504]

GO
CREATE PROCEDURE dbo.BK_EXPORT_F1152028_504
	(
	@iLINK_FORM INT
	)
AS
BEGIN
--    
	exec dbo.RN_MOVE_FORM_FROM_ARH @iLINK_FORM

	DECLARE
		@FNAME VARCHAR (254),
		@FNAME_ID VARCHAR (254),

		@PART_NAME_NNN VARCHAR (100),

		@DEP_LINK	INT,
		@INN	VARCHAR (12),
		@KPP VARCHAR (9),
		@IMNS VARCHAR (4),
		@OKVED VARCHAR (8),
		@TLF_GL_BUH	VARCHAR (10),
		@DEP_NAME VARCHAR (254),

		@C_PLACE	VARCHAR (3),
		@C_TYPE		VARCHAR (2),

		@NAME_RUK	VARCHAR (60),
		@FAM_RUK	VARCHAR (60),
		@OT_RUK		VARCHAR (60),

		@dDATE_FORM	DATETIME,
		@PERIOD_TYPE	INT,
		@PERIOD_NUM	INT,
		@cPERIOD_NUM	VARCHAR (2),

		@iLINK_TABLE	INT,
		@PROC_NAME	VARCHAR (254),

		---  1 ---
		@KBK VARCHAR (30),
		@OKTMO VARCHAR (15),
		@OKTMO_DIC VARCHAR (15),
		@SUMMA	NUMERIC (15,0),

		---  2 ---
		@ST_IMUSH	NUMERIC (15,0),
		@CODE_NL	VARCHAR (20),
		@ST_IMUSH_NO NUMERIC (15,0),
		@Dol_ST	VARCHAR (21),
		@CODE_LG_PNS VARCHAR (7),
		@NAL_STAV	NUMERIC (3,2),
		@KJD	NUMERIC (3,2),
		@NAL_BASE	NUMERIC (15,0),
		@SUM_NAL_PER	NUMERIC (15,0),

		@SumAV	NUMERIC (15),
		@CODE_LG_UM	VARCHAR (7),
		@SUM_LG_UM NUMERIC (15),

		@SUM_NAL_PRED	NUMERIC (15),
		@OST_SUM_ALL	NUMERIC (15,0),

		@strNUM_COR	VARCHAR (3),

		@strEXEC	VARCHAR (8000),

		@cREORG_CODE	VARCHAR (1),
		@cREORG_INN	VARCHAR (12),
		@cREORG_KPP	VARCHAR (12)

	--- ---
	SELECT
		@DEP_LINK = LINK_ORGANIZATION,
		@dDATE_FORM	= BEGIN_DATE,
		@PERIOD_TYPE = PERIOD_TYPE,
		@PERIOD_NUM	= PERIOD_NUMBER
	FROM dbo.REPORT_SAVED_FORMS RSF
	WHERE link_saved_form = @iLINK_FORM

	EXEC dbo.GetRandStr 36, @PART_NAME_NNN OUTPUT

	SELECT
		@INN	= CONVERT (VARCHAR (10), INN_LONG),
		@KPP = CONVERT (VARCHAR (9), KPP),
		@IMNS = CONVERT (VARCHAR (4), IMNS),
		@OKVED = CONVERT (VARCHAR (8), OKVED),
		@DEP_NAME = FULL_NAME,
		@OKTMO_DIC = CONVERT (VARCHAR (11), REPLACE (OKTMO, ' ', ''))
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = @DEP_LINK

	SELECT
		@TLF_GL_BUH = PHONE
	FROM dbo.DICTIONARY_OTV_FACE
	WHERE DEP_LINK = @DEP_LINK
		AND [NAME] = ' '

	SELECT
		@NAME_RUK = IM,
		@FAM_RUK = FM,
		@OT_RUK = OT
	FROM dbo.KU_EMPL_PLACING 
	WHERE LINK = (SELECT FACE_LINK FROM dbo.DICTIONARY_OTV_FACE
					WHERE DEP_LINK = @DEP_LINK
						AND [NAME] = '')

	--- !!!!!! ---
	--   1 --
	SELECT 
		@iLINK_TABLE = RT.LINK_TABLE
	FROM dbo.REPORT_SAVED_FORMS RSF 
	INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM
		AND RT.ORDERS = 1
		)
	WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM

	CREATE TABLE #TAB_R1
		(
		CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (50),
		COL2 VARCHAR(254),	-- 
		FCOL2 VARCHAR (254),
		COL3 VARCHAR (100), 	-- 
		FCOL3 VARCHAR (254),
		COL4 VARCHAR(100), 	--   
		FCOL4 VARCHAR (254),
		COL6 VARCHAR (100), 	--   
		FCOL6 VARCHAR (254),
		COL7 VARCHAR(100), 	--  
		COL8 VARCHAR(100), 	--   
		FCOL8 VARCHAR (254),
		COL9 VARCHAR(100), 	--  
		FCOL9 VARCHAR (254),
		COL10 VARCHAR(100), 	-- INN 
		FCOL10 VARCHAR (254),
		COL11 VARCHAR(100), 	-- KPP 
		FCOL11 VARCHAR (254),
		COL12 VARCHAR(100), 	--  
		FCOL12 VARCHAR (254),
		ITOG NUMERIC (20)
		) 	
	
	SET @strEXEC = 'INSERT INTO #TAB_R1 (CHECKED, UPD, DEL,
		LINK_SAVED_FORM, LINK_ROW, ORDERS, CALC_ORDERS, PRINT_NULL,
		CODE, COL1, COL2, FCOL2, COL3, FCOL3,
		COL4, FCOL4, 
		COL6, FCOL6, COL7,
		COL8, FCOL8, COL9, FCOL9,
		COL10, FCOL10, COL11, FCOL11, COL12, FCOL12, ITOG)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'
--	SET @strEXEC = 'EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
--				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

	SELECT
		@KBK = ISNULL (COL2, ''),
		@OKTMO = ISNULL (COL3, ''),
		@SUMMA = CONVERT (NUMERIC (15), COL4),
		@C_PLACE = ISNULL (COL6, ''),
		@cPERIOD_NUM = ISNULL (COL8, ''),

		@cREORG_CODE = ISNULL (COL9, ''),
		@cREORG_INN = ISNULL (COL10, ''),
		@cREORG_KPP = ISNULL (COL11, ''),

		@strNUM_COR = ISNULL (COL12, ''),
		@C_TYPE = ISNULL (COL7, '')
	FROM #TAB_R1

	IF ISNULL (@strNUM_COR, '') = ''
		SET @strNUM_COR = '0'

	--   2 --
	--   2 .1 --
	---      ---
	SELECT 
		@iLINK_TABLE = LINK_TABLE
	FROM dbo.REPORT_SAVED_FORMS RSF 
	INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM
		AND RT.ORDERS = 2
		)
	WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM

	CREATE TABLE #TAB_R21
		(
		CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (254),
		COL2 VARCHAR(254),	
		COL3 NUMERIC (20), 	-- 
		FCOL3 VARCHAR (254),
		COL4 NUMERIC (20), 	--  
		FCOL4 VARCHAR (254),
		ITOG NUMERIC (20)
		) 	
	
	SET @strEXEC = 'INSERT INTO #TAB_R21 (CHECKED, UPD, DEL,
		LINK_SAVED_FORM, LINK_ROW, ORDERS, CALC_ORDERS, PRINT_NULL,
		CODE, COL1, COL2, COL3, FCOL3,
		COL4, FCOL4, ITOG)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

--	SET @strEXEC = 'EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
--				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

-- SELECT * FROM #TAB_R21

	--   2 .2 --
	-- !!!!!! --
	SELECT
		@iLINK_TABLE = LINK_TABLE
	FROM dbo.REPORT_SAVED_FORMS RSF 
	INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM
		AND RT.ORDERS = 3
		)
	WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM

	CREATE TABLE #TAB_R22
		(CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (254),
		COL2 VARCHAR(254),	
		COL3 NUMERIC (20), 	-- 
		FCOL3 VARCHAR (254),
		COL4 NUMERIC (20, 2), 	--  
		FCOL4 VARCHAR (254),
		COL5 VARCHAR(100), 	--    1
		FCOL5 VARCHAR (254),
		COL6 VARCHAR (100), 	--    2
		FCOL6 VARCHAR (254),
		ITOG NUMERIC (20)) 	
	
	SET @strEXEC = 'INSERT INTO #TAB_R22 (CHECKED, UPD, DEL,
		LINK_SAVED_FORM, LINK_ROW, ORDERS, CALC_ORDERS, PRINT_NULL,
		CODE, COL1, COL2, COL3, FCOL3,
		COL4, FCOL4, COL5, FCOL5,
		COL6, FCOL6, 
		ITOG)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

--	SET @strEXEC = 'EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
--				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

-- SELECT * FROM #TAB_R22

	SELECT
		@ST_IMUSH = CONVERT (NUMERIC (15), COL3)
	FROM #TAB_R22
	WHERE CODE = '120'

	SELECT
		@CODE_NL = CONVERT (VARCHAR (7), COL5)
		+ CASE
			WHEN LEN (COL6) = 0 THEN ''
			ELSE '/' + CONVERT (VARCHAR (12), COL6)
		END
	FROM #TAB_R22
	WHERE CODE = '130'

	SELECT
		@ST_IMUSH_NO = CONVERT (NUMERIC (15), COL3)
	FROM #TAB_R22
	WHERE CODE = '140'

	SELECT
		@Dol_ST = CONVERT (VARCHAR (22), COL5)
	FROM #TAB_R22
	WHERE CODE = '150'

	SELECT
		@CODE_LG_PNS = CONVERT (VARCHAR (7), COL5)
		+ CASE
			WHEN LEN (COL6) = 0 THEN ''
			ELSE '/' + CONVERT (VARCHAR (12), COL6)
		END
	FROM #TAB_R22
	WHERE CODE = '160'

	SELECT
		@NAL_STAV = CONVERT (NUMERIC (4,2), COL4)
	FROM #TAB_R22
	WHERE CODE = '170'

	SELECT
		@KJD = CONVERT (NUMERIC (4,2), COL4)
	FROM #TAB_R22
	WHERE CODE = '175'

	SELECT
		@SUM_NAL_PER = CONVERT (NUMERIC (15), COL3)
	FROM #TAB_R22
	WHERE CODE = '180'

	SELECT
		@CODE_LG_UM = CONVERT (VARCHAR (7), COL5)
		+ CASE
			WHEN LEN (COL6) = 0 THEN ''
			ELSE '/' + CONVERT (VARCHAR (12), COL6)
		END
	FROM #TAB_R22
	WHERE CODE = '190'

	SELECT
		@SUM_LG_UM = CONVERT (NUMERIC (15), COL3)
	FROM #TAB_R22
	WHERE CODE = '200'
	
	SELECT
		@OST_SUM_ALL = CONVERT (NUMERIC (15), COL3)
	FROM #TAB_R22
	WHERE CODE = '210'

	--   2.1 --
	---    ---
	SELECT 
		@iLINK_TABLE = LINK_TABLE
	FROM dbo.REPORT_SAVED_FORMS RSF 
	INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM
		AND RT.ORDERS = 4
		)
	WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM

	CREATE TABLE #TAB_R2_1
		(
		CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (254),
		COL2 VARCHAR(254),	
		FCOL2 VARCHAR (254),
		COL3 VARCHAR (50), 	
		FCOL3 VARCHAR (254),
		COL4 VARCHAR (30), 	
		FCOL4 VARCHAR (254),
		COL5 VARCHAR (30), 	
		FCOL5 VARCHAR (254),
		COL6 NUMERIC (20), 	
		FCOL6 VARCHAR (254)
		) 	
	
	SET @strEXEC = 'INSERT INTO #TAB_R2_1 (CHECKED, UPD, DEL,
		LINK_SAVED_FORM, LINK_ROW, ORDERS, CALC_ORDERS, PRINT_NULL,
		CODE, COL1, COL2, FCOL2, COL3, FCOL3,
		COL4, FCOL4, COL5, FCOL5, COL6, FCOL6)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

-- SELECT * FROM #TAB_R2_1
				
	--   3 --
	-- !!!!!! --
	SELECT 
		@iLINK_TABLE = LINK_TABLE
	FROM dbo.REPORT_SAVED_FORMS RSF 
	INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM
		AND RT.ORDERS = 5
		)
	WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM

	CREATE TABLE #TAB_R3
		(
		CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (254),
		COL2 VARCHAR(254),	
		COL3 NUMERIC (20), 	-- 
		FCOL3 VARCHAR (254),
		COL4 NUMERIC (20, 2), 	--  
		FCOL4 VARCHAR (254),
		COL5 VARCHAR(100), 	--    1
		FCOL5 VARCHAR (254),
		COL6 VARCHAR (100), 	--    2
		FCOL6 VARCHAR (254),
		COL7 VARCHAR (100), 	--  
		FCOL7 VARCHAR (254),
		ITOG NUMERIC (20)
		) 	
	
	SET @strEXEC = 'INSERT INTO #TAB_R3 (CHECKED, UPD, DEL,
		LINK_SAVED_FORM, LINK_ROW, ORDERS, CALC_ORDERS, PRINT_NULL,
		CODE, COL1, COL2, COL3, FCOL3,
		COL4, FCOL4, COL5, FCOL5,
		COL6, FCOL6, COL7, FCOL7, 
		ITOG)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

--	SET @strEXEC = 'EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
--				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

 -- SELECT * FROM #TAB_R3
	---  XML ---
	SELECT
		@FNAME_ID = 'NO_IMUR_' + ISNULL (RTRIM (@IMNS), '0000') + '_' + ISNULL (RTRIM (@IMNS), '0000') + '_'
		+ ISNULL (RTRIM (@INN), '0000000000') + ISNULL (RTRIM (@KPP), '000000000')
		+ '_' + CONVERT (VARCHAR (10), GETDATE (), 112) + '_'
		+ SUBSTRING (@PART_NAME_NNN, LEN (@PART_NAME_NNN) - 36, 36) 

	SELECT @FNAME = RTRIM (@FNAME_ID) + '.XML'

	DECLARE @OUTPUT TABLE
		(
		ID INT IDENTITY (1,1),
		F_NAME VARCHAR(254) DEFAULT (''),
		OUT_TEXT TEXT DEFAULT ('')
		)

	-- 
	CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

	DECLARE @NAME_PROG VARCHAR(254),
		@VERS_PROG VARCHAR(254)

	SELECT @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
		@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
		+ '.' + (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
		+ '.' + (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
	FROM dbo.DICTIONARY_TASK
	WHERE CODE = 'SMETA'

	SET @NAME_PROG = RTRIM (@NAME_PROG) + ' ' + @VERS_PROG

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, 'OEM')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<?xml version="1.0" encoding="windows-1251" ?>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + RTRIM (@FNAME_ID) + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + RTRIM (LEFT (@NAME_PROG, 40)) + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="5.04">')

	-- 
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="1152028"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + CONVERT (VARCHAR (10), GETDATE (), 104) + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + @cPERIOD_NUM + '"')	
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + LTRIM (STR (YEAR (@dDATE_FORM))) + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@IMNS, '') + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@strNUM_COR, '0') + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@C_PLACE, '') + '">')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="' + ISNULL (@OKVED, '') + '"')
	IF ISNULL (@TLF_GL_BUH, '') <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + RTRIM (ISNULL (@TLF_GL_BUH, '')) + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="'
			 + RTRIM (ISNULL (REPLACE (@DEP_NAME, '"', '&quot;'), '')) + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@INN, '') + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@KPP, '') + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '>')

	--    ()  ()
	IF LEN (@cREORG_CODE) > 0	
	BEGIN
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="'
			+ ISNULL (@cREORG_CODE, '') + '"')
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@cREORG_INN, '') + '"')
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + ISNULL (@cREORG_KPP, '') + '"')
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '/>')
	END

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="1">')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="' + RTRIM (ISNULL (@FAM_RUK, '')) 
					+ '" ="' + RTRIM (@NAME_RUK) + '"'
					+ CASE WHEN ISNULL (@OT_RUK, '') <> '' THEN ' ="' + RTRIM (ISNULL (@OT_RUK, '')) + '"'
							ELSE '' END
					+ '/>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	--     --
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')

   	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="' + ISNULL (@KBK, '') + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + CASE WHEN ISNULL (@OKTMO, '') = ''
											THEN ISNULL (@OKTMO_DIC, '')
											ELSE @OKTMO END + '"')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '="' + CONVERT (VARCHAR (20), ISNULL (@SUMMA, 0)) + '">')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="' + ISNULL (@C_TYPE, '') + '">')
/*
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="' + CONVERT (VARCHAR (20), ISNULL (@ST_IMUSH, 0)) + '"'
			+	CASE WHEN ISNULL (@CODE_NL, '') = '' THEN ''
					ELSE ' ="' + @CODE_NL + '"'
				END
			+	CASE WHEN ISNULL (@ST_IMUSH_NO, 0) = 0 THEN ''
					ELSE ' ="' + CONVERT (VARCHAR (20), @ST_IMUSH_NO) + '"'
				END
			+	CASE WHEN ISNULL (@Dol_ST, '') = '' THEN ''
					ELSE ' ="' + @Dol_ST + '"'
				END
			+	CASE WHEN ISNULL (@CODE_LG_PNS, '') = '' THEN ''
					ELSE ' ="' + @CODE_LG_PNS + '"'
				END
			+	' ="' + CONVERT (VARCHAR (5), ISNULL (@NAL_STAV, 0.0)) + '"'
			+ '>')
*/
--	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) 
	SELECT @FNAME,
		CASE
			WHEN CODE = '141' THEN '<'
			ELSE '<' + REPLACE (RTRIM (COL1), '.', '')
		END
		+ CASE WHEN ISNULL (COL3, 0) = 0 THEN ''
				ELSE ' ="' + CONVERT (VARCHAR (20), COL3) +'"'
			END
		+ CASE WHEN ISNULL (COL4, 0) = 0 THEN ''
				ELSE ' ="' + CONVERT (VARCHAR (20), COL4) +'"'
			END
		+ '/>'
	FROM #TAB_R21

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '< ="' + CONVERT (VARCHAR (20), ISNULL (@ST_IMUSH, 0)) + '"'
			+	CASE WHEN ISNULL (@CODE_NL, '') = '' THEN ''
					ELSE ' ="' + @CODE_NL + '"'
				END
			+	CASE WHEN ISNULL (@ST_IMUSH_NO, 0) = 0 THEN ''
					ELSE ' ="' + CONVERT (VARCHAR (20), @ST_IMUSH_NO) + '"'
				END
			+	CASE WHEN ISNULL (@Dol_ST, '') = '' THEN ''
					ELSE ' ="' + @Dol_ST + '"'
				END
			+	CASE WHEN ISNULL (@CODE_LG_PNS, '') = '' THEN ''
					ELSE ' ="' + @CODE_LG_PNS + '"'
				END
			+	' ="' + CONVERT (VARCHAR (5), ISNULL (@NAL_STAV, 0.0)) + '"'
			+	CASE
					WHEN ISNULL (@KJD, 0) = 0 THEN ''
					ELSE ' ="' + CONVERT (VARCHAR (5), @KJD) + '"'
				END	
			+	' ="' + LTRIM (STR (ISNULL (@SUM_NAL_PER, 0))) + '"'			
			+	CASE WHEN ISNULL (@CODE_LG_UM, '') = '' THEN ''
					ELSE ' ="' + RTRIM (@CODE_LG_UM) + '"'
				END
			+	CASE WHEN ISNULL (@SUM_LG_UM, 0) = 0 THEN ''
					ELSE ' ="' + CONVERT (VARCHAR (20), ISNULL (@SUM_LG_UM, 0)) + '"'
				END
			+	' ="' + CONVERT (VARCHAR (20), ISNULL (@OST_SUM_ALL, 0)) + '"'
			+ '/>')
				
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	--   --
	IF EXISTS (SELECT 1 FROM #TAB_R2_1)
	BEGIN
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')
		
		INSERT INTO @OUTPUT
			(
			F_NAME,
			OUT_TEXT
			) 
		SELECT
			@FNAME,
			'<'
			+	CASE
					WHEN ISNULL (COL2, '') = '' THEN ''
					ELSE ' ="' + LTRIM (RTRIM (COL2)) +'"'
				END
			+	CASE
					WHEN ISNULL (COL3, '') = '' THEN ''
					ELSE ' ="' + LTRIM (RTRIM (COL3)) +'"'
				END
			+	CASE
					WHEN ISNULL (COL4, '') = '' THEN ''
					ELSE ' ="' + LTRIM (RTRIM (COL4)) +'"'
				END
			+ ' ="' + ISNULL (COL5, '') +'"'
			+ ' ="' + CONVERT (VARCHAR (20), ISNULL (COL6, 0)) +'"'
			+ '/>'
		FROM #TAB_R2_1

		
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')
	END	

	--  3  --
	IF EXISTS (SELECT 1 FROM #TAB_R3 WHERE (CODE = '014' OR CODE = '015') AND ISNULL (COL7, '') <> '')
	BEGIN
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')

		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')
		
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')
		
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) 
		SELECT
			@FNAME,
			CASE
				WHEN CODE = '014' THEN '<>' + LTRIM (ISNULL (COL7, '')) + '</>'
				WHEN CODE = '015' AND (ISNULL (COL7, '')) <> '' THEN '<>' + LTRIM (COL7) + '</>'
				WHEN CODE = '020' THEN '<>' + CONVERT (VARCHAR (20), ISNULL (COL3, 0)) + '</>'
				WHEN CODE = '030' AND ISNULL (COL3, 0) <> 0 THEN '<>' + CONVERT (VARCHAR (20), COL3) + '</>'
				WHEN CODE = '040' AND (ISNULL (COL5, '')) <> '' THEN '<>' + LTRIM (COL5)
						+
						CASE
							WHEN ISNULL (COL6, '') = '' THEN ''
							ELSE '/' + LTRIM (COL6)
						END
						+ '</>'
				WHEN CODE = '050' AND (ISNULL (COL5, '')) <> '' THEN '<>' + LTRIM (COL5) + '</>'		
				WHEN CODE = '060' AND (ISNULL (COL5, '')) <> '' THEN '<>' + LTRIM (COL5)
						+
						CASE
							WHEN ISNULL (COL6, '') = '' THEN ''
							ELSE '/' + LTRIM (COL6)
						END
						+ '</>'
				WHEN CODE = '070' THEN '<>' + CONVERT (VARCHAR (10), ISNULL (COL4, 0)) + '</>'		
				WHEN CODE = '080' AND (ISNULL (COL5, '')) <> '' THEN '<>' + LTRIM (COL5)
						+
						CASE
							WHEN ISNULL (COL6, '') = '' THEN ''
							ELSE '/' + LTRIM (COL6)
						END
						+ '</>'
				ELSE ''
			END
		FROM #TAB_R3
		WHERE CODE = '014'
			OR CODE = '015'
			OR CODE = '020'
			OR CODE = '030' 
			OR CODE = '040'
			OR CODE = '050'
			OR CODE = '060'
			OR CODE = '070'
			OR CODE = '080'
		ORDER BY CODE	

		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')
		
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<>')
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT)
		SELECT
			@FNAME,
			CASE 
				WHEN CODE = '090' THEN '<>' + CONVERT (VARCHAR (20), ISNULL (COL3, 0)) + '</>'
				WHEN CODE = '100' AND (ISNULL (COL5, '')) <> '' THEN '<>' + LTRIM (COL5)
						+
						CASE
							WHEN ISNULL (COL6, '') = '' THEN ''
							ELSE '/' + LTRIM (COL6)
						END
						+ '</>'
				WHEN CODE = '110' AND ISNULL (COL3, 0) <> 0 THEN '<>' + CONVERT (VARCHAR (20), COL3) + '</>'
				ELSE ''
			END
		FROM #TAB_R3
		WHERE
			CODE = '090' 
			OR CODE = '100' 
			OR CODE = '110' 
		ORDER BY CODE	
		
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')
		
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')
	END	--  3  --
	
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</>')

	SELECT * FROM @OUTPUT ORDER BY ID

	DROP TABLE #TAB_R1
	DROP TABLE #TAB_R21
	DROP TABLE #TAB_R22
	DROP TABLE #TAB_R3
	DROP TABLE #TASK_PROP

END 




GO


GRANT EXECUTE ON dbo.[BK_EXPORT_F1152028_504] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[MK_MAKE_EMPL_BIRTH]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[MK_MAKE_EMPL_BIRTH]

GO



/*
  (Keysystems), 2005
*/
CREATE    PROCEDURE [dbo].MK_MAKE_EMPL_BIRTH  AS
begin

	SELECT kep.LINK, p.BIRTHDATE AS BIRTH, kep.FM, kep.IM, kep.OT,
		M.MON AS [MONTH]
	FROM ku_empl_placing kep, person p,
		USER_DEP UI, MONTHS M
	WHERE
		kep.PERS_LINK = p.LINK
		AND kep.DEP_LINK = UI.DEP_LINK
		AND kep.SACK = 0
		AND MONTH(p.BIRTHDATE) = M.NUM
		AND kep.date_begin IS NOT null
	ORDER BY MONTH(p.BIRTHDATE), DAY(p.BIRTHDATE)

end




GO


GRANT EXECUTE ON dbo.[MK_MAKE_EMPL_BIRTH] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_ALLYEAR_INFO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CALENDAR_DAYS3_ALLYEAR_INFO]

GO

CREATE PROCEDURE dbo.SA_CALENDAR_DAYS3_ALLYEAR_INFO (@linkEmpl int, @Year int)
AS

DECLARE @INFO TABLE (
	ORD TINYINT, 
	SYMB varchar(4),
	NAME VARCHAR(254), 
	DATE_BEG DATETIME, 
	DATE_END DATETIME, 
	COMMENT VARCHAR(254), 
	LINK_OBJ INT, 
	CODE_OBJ VARCHAR(254)
)

/*     */

declare @DateBegin datetime, @DateEnd datetime

--SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
--SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEND = dbo.ConvertDMY2Date(1,12,@Year)
SET @DateEnd 	= dbo.DateEndOfMonth(@DateEND)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @RealCount NUMERIC(18,2)
SET @RealCount = DBO.SA_CALENDAR_DAYS3_AllYear_FN(@linkEmpl,@Year)

INSERT INTO @INFO (ORD,SYMB, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
SELECT 
	1,'', ' ', @DateBegin, @DateEnd, '  /',
	(SELECT ORDER_LINK FROM ITEM_MOVE WHERE NEW_FACE = 1 AND EMPL_LINK = @linkEmpl AND ACTIVE = 1),
	'ORDERS_REESTR'

UPDATE @INFO
SET LINK_OBJ = (SELECT TOP 1 ORDER_LINK FROM ITEM_DIS_FACE IM WHERE EMPL_LINK = @linkEmpl AND  ACTIVE = 1)
WHERE @DateSack = @DateEnd

DECLARE @S TABLE 
([TYPE] int,
 [SYMB] varchar(4),
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int,
 LINK_DOC INT 	 	
)

INSERT INTO @S ([TYPE], [SYMB],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H], LINK_DOC)
---
SELECT [TYPE], [SYMB],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H, LINK FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[SYMB] = TD.SYMB,
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0,
	LINK = SD.LINK_UP 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[SYMB] = TD.SYMB,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY,
	LINK = IV.LINK
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)

--  
	
)  TAB

DELETE FROM @S
WHERE DATE_1 > DATE_2



INSERT INTO @INFO (ORD,SYMB, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 2,SYMB, case when SYMB = '' then '    ' when SYMB = '' then '    ' else ' ' end, DATE_1, DATE_2, case when SYMB = '' then '    ' when SYMB = '' then '    ' else ' ' end, LINK_DOC, 'ORDER_DISABILITY_SHEET'
	FROM @S WHERE DOC = 1
UNION 
	SELECT 3,'', ',  ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 2 AND coalesce(H,0) = 1
UNION 
	SELECT 4,'', ',   ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 2 AND coalesce(H,0) <> 1
UNION 
	SELECT 5,'', '    ', DATE_1, DATE_2, '  ,   ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 22 AND coalesce(H,0) = 1
UNION 
	SELECT 6,'', '    ', DATE_1, DATE_2, '  ,   ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 22 AND coalesce(H,0) <> 1
UNION 
	SELECT 7,'', '', DATE_1, DATE_2, '  ', LINK_DOC, 'TRAVEL'
	FROM @S WHERE DOC = 3

/*      */
SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEND = dbo.ConvertDMY2Date(1,12,@Year)
SET @DateEnd 	= dbo.DateEndOfMonth(@DateEND)

INSERT INTO @INFO (ORD,SYMB, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 8, '', ' ', t1.DATE, t1.DATE, TYPE_HOL_STR, LINK, 'KD_HOLIDAYS'
	FROM
		dbo.SD_DAY(@DateBegin,@DateEnd) T1 
		INNER JOIN KD_HOLIDAYS DH ON day(t1.DATE) = DH.DAY and month(t1.DATE) = DH.MONTH and YEAR(t1.DATE) = DH.YEAR
	WHERE 
		(DH.WORK_D = 14 or DH.WORK_D = 11) AND TYPE_HOL = 1
		AND
		EXISTS (SELECT * FROM @INFO I WHERE ORD IN(3,5) AND T1.DATE BETWEEN DATE_BEG AND DATE_END)

SELECT ORD,SYMB, [NAME] AS NAME_PER, DATE_BEG, DATE_END, 
	CNT_DAYS = abs(CASE WHEN ORD BETWEEN 2 AND 7 THEN -1 ELSE 1 END * (datediff(day,DATE_BEG,DATE_END) + 1 )), 
	RealCount = @RealCount, COMMENT AS COM , LINK_OBJ, CODE_OBJ 
FROM @INFO ORDER BY ORD, DATE_BEG

RETURN 0










GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_ALLYEAR_INFO] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ALL_PHIS_EXPORT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ALL_PHIS_EXPORT]

GO

/* : exec ALL_PHIS_EXPORT '20160314','35',95432 */



CREATE   PROCEDURE [dbo].ALL_PHIS_EXPORT (
	@dDate1 datetime,				/**/
	@cText1 VARCHAR(20),				/* */
	@cText2 VARCHAR(20),			/* */
	@cText3 VARCHAR(20),			/* */
	@nFiltlink INT = null /*  . */	
) AS


	
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*  */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFiltlink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE='OTBOR_QUERY_SQL_FL'))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE='QUERY_OTBOR_CHECK'))


CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

--   
CREATE TABLE #ALL_PHIS(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254) ,  RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE DATETIME, DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254), 
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8), 
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254) , 
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36)
)
				 
INSERT INTO #ALL_PHIS(N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID
)

exec dbo.KJ_KADRY_ALL_PHIS_REP @dDate1 , @cText1, @cVal1, @nOtborLink1


DELETE FROM #ALL_PHIS WHERE isnull(DOC_ID,'') = ''  

IF (SELECT COUNT(*) FROM #ALL_PHIS)=0
BEGIN
	RETURN 1
END	

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

declare @DEP_LINK int, @lcFNAME VARCHAR(254), @INN VARCHAR(12),	@ACC_CODE varchar(20), @FULL_NAME varchar(2000),	@COUNT_PERS INT , @DOC_ID VARCHAR(36)

exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Cur1 CURSOR, @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth int
set @ID1 = 0
SET @nYear = year(@dDate1)
set @nMonth = month(@dDate1)

--   
-----
	SELECT top 1 @lcFNAME = 'imp_card_' + CONVERT(VARCHAR(4),@nYEAR) + '_' + CONVERT(VARCHAR(4),@nMONTH) + '.XML' ,
	@INN = DEP_INN,
	@ACC_CODE = N_ACC_CODE,
	@FULL_NAME = ORG_FULN,
	@COUNT_PERS = COUNt_PHIZ,
	@DOC_ID = DOC_ID
	FROM  #ALL_PHIS WHERE DEP_LINK = @DEP_LINK
	  

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, 'windows-1251' --  
			UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>' 
			UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+ CONVERT(VARCHAR(10),convert(smalldatetime, dbo.DateEndOfMonth(GETDATE())),127) +'"  ="'+rtrim(@cText1)+'" ="'+rtrim(@FULL_NAME)+'" ="'+@INN+'" ="'+rtrim(coalesce(@ACC_CODE,''))+'">' -- ="" ="'+rtrim(@DOC_ID)+'" >'
			 UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' 
	DECLARE @DOCCOUNT INT 
	set @DOCCOUNT = (select count(*) from #ALL_PHIS WHERE DEP_LINK = @DEP_LINK1 )

-- -- EXEC KJ_KADRY_ALL_PHIS_REP '20160314' , 35 , '1', 95433
	---
	--  
	---

	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select N_PP from #ALL_PHIS WHERE DEP_LINK = @DEP_LINK
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID1

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, 
					SPACE(2) + '< ="'+RTRIM(LTRIM(STR(@ID1)))+'">' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(IM,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OSB,''))) + '</>' + CHAR(10) 
						+ SPACE(3) + '<>' +RTRIM(LTRIM(COALESCE(RESIDENT,''))) + '</>' + CHAR(10) 
						+ SPACE(3) + '<>' + RTRIM(LTRIM(COALESCE(CITIZ_NAME,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '< ="'+RTRIM(LTRIM(COALESCE(VIDV_CODE,'')))+'" ="'+RTRIM(LTRIM(COALESCE(PODVIDV_CODE,'')))+'" ="'+RTRIM(LTRIM(COALESCE(VALUTE_CODE,'')))+'">' + RTRIM(LTRIM(COALESCE(VIDV_NAME,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NAME,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_SER,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NUM,'')))+'</>' + CHAR(10)
				            + SPACE(4) + '<>'+ CONVERT(VARCHAR(10),DOC_DATE,127) +'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_WHOM,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>'+ CONVERT(VARCHAR(10),BiRTHDATE,127) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(SEX,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(BiRTHPLACE,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTR,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTR,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '< 1="'+RTRIM(LTRIM(COALESCE(COL1,'')))+'" 2="'+RTRIM(LTRIM(COALESCE(COL2,'')))+'" 3="'+RTRIM(LTRIM(COALESCE(COL3,'')))+'"/>' + CHAR(10)
						+ SPACE(3) + '<>''</>' + CHAR(10)
				  + SPACE(2) + '</>' + CHAR(10)

				  
    			FROM
					#ALL_PHIS
				WHERE 
					N_PP = @ID1 
	
		END
		
		FETCH NEXT FROM @Cur1 INTO @ID1



	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	

	
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '</>' + CHAR(10)	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '<>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+ +RTRIM(LTRIM(STR(COALESCE(@COUNT_PERS,0))))+ +'</>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'  + CHAR(10)	
  UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '</>' 	




SET NOCOUNT OFF

select * from #OUTPUT  order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]
--exec ALL_PHIS_EXPORT '20160314','35',95432




GO


GRANT EXECUTE ON dbo.[ALL_PHIS_EXPORT] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_REP_FUR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_REP_FUR]

GO


CREATE   PROCEDURE [dbo].SA_REP_FUR @LINK_DOC INT
AS

declare @OBJ_CODE varchar(254), @SR_VID INT, @AvgDays NUMERIC(18,2), @PAYMENT INT, @PER INT, @DATE_BEG DATETIME, @LINK_EMPL INT, @LINK_PAYS INT 
Set @OBJ_CODE = (Select top 1 O.CODE from dbo.sdoc D inner join S_OBJECTS O on D.OBJECT = O.LINK and D.LINK = @LINK_DOC)

Select top 1 @SR_VID = [TYPE], @PAYMENT = [PAYMENT], @PER = [TYP_PERIOD], @DATE_BEG = DATE1, @LINK_EMPL = LINK_EMPL, @LINK_PAYS = LINK_PAY
from SDOC_AVAC where LINK_UP = @LINK_DOC
  
--
DECLARE @LINK_DEP INT
select @LINK_DEP = LINK_DEP from SDOC where LINK = @LINK_DOC

SET @AvgDays = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT4'),29,3)
--IF @DATE_BEG <= '20140401'
--	SET @AvgDays = 29.4

Select  NAME_DOC = '  ' + RTRIM(C.[NUMBER]) + '  ' + convert(varchar(10), C.[DATE], 104),
	NAME_DOC2 = ':  ' + RTRIM(LTRIM(t.[NAME])) + ' ' + RTRIM(O.NUMBER) + '  ' + convert(varchar(10),O.[DATE],104),
	NAME_EMPL,
	TAB_NUMER,
	DATE1, DATE2, ITOGO_DNI,
	SYST_PAY = CASE WHEN SYST_PAY = 2 THEN '  ' else '' END,
	CODE_PAY, NAME_PAY,
	DATE_PER,
	TYP_PERIOD = CASE TYP_PERIOD WHEN 1 THEN '3 ' WHEN 2 THEN '12 ' end,
	PAYMENT = CASE PAYMENT WHEN 1 THEN '  ' WHEN 2 THEN '  ' end,
	NAME_TYP = NAME_TYP_ARHE
from dbo.DOCUMENTS_ADD_FUR C 
	INNER JOIN dbo.item_vacation iv ON C.REF_ARHE = IV.LINK
	INNER JOIN dbo.orders O ON IV.ORDER_LINK = O.LINK
	INNER JOIN dbo.order_types T on O.TYPE = T.CODE
where C.LINK = @LINK_DOC
UNION
Select  NAME_DOC = '  ' + RTRIM(C.[NUMBER]) + '  ' + convert(varchar(10), C.[DATE], 104),
	NAME_DOC2 = ':  ' + RTRIM(LTRIM(t.[NAME])) + ' ' + RTRIM(O.NUMBER) + '  ' + convert(varchar(10),O.[DATE],104),
	NAME_EMPL,
	TAB_NUMER,
	DATE1, DATE2, ITOGO_DNI,
	SYST_PAY = CASE WHEN SYST_PAY = 2 THEN '  ' else '' END,
	CODE_PAY, NAME_PAY,
	DATE_PER,
	TYP_PERIOD = CASE TYP_PERIOD WHEN 1 THEN '3 ' WHEN 2 THEN '12 ' end,
	PAYMENT = CASE PAYMENT WHEN 1 THEN '  ' WHEN 2 THEN '  ' end,
	NAME_TYP = NAME_TYP_ARHE
from dbo.DOCUMENTS_CALC_TRAVEL C 
	INNER JOIN dbo.item_travel iv ON C.REF_ARHE = IV.LINK
	INNER JOIN dbo.orders O ON IV.ORDER_LINK = O.LINK
	INNER JOIN dbo.order_types T on O.TYPE = T.CODE
where C.LINK = @LINK_DOC
UNION
Select  NAME_DOC = CASE WHEN TYPE = 1 THEN '     ' else '   ' end + RTRIM(C.[NUMBER]) + '  ' + convert(varchar(10), C.[DATE], 104),
	NAME_DOC2 = '',
	NAME_EMPL,
	TAB_NUMER,
	DATE1, DATE2, ITOGO_DNI,
	SYST_PAY = CASE WHEN SYST_PAY = 2 THEN '  ' else '' END,
	CODE_PAY, NAME_PAY,
	DATE_PER,
	TYP_PERIOD = CASE TYP_PERIOD WHEN 1 THEN '3 ' WHEN 2 THEN '12 ' end,
	PAYMENT = CASE PAYMENT WHEN 1 THEN '  ' WHEN 2 THEN '  ' end,
	NAME_TYP = NAME_TYP_ARHE
from dbo.DOCUMENTS_CALC_AVG C 
where C.LINK = @LINK_DOC


DECLARE @SCRIPT1 VARCHAR(8000), 
	@I INT, 
	@DATE_BEGIN_RP DATETIME,
	@RP_SUMMA_PREM NUMERIC(18,2),
	@RP_SUMMA_MAT NUMERIC(18,2),
	@RP_SUMMA NUMERIC(18,2),
	@SR_PREM NUMERIC(18,2),
	@RP_DAYS INT,
	@RP_HOURS NUMERIC(18,2),
	@RP_DAYS_N INT,
	@RP_HOURS_N NUMERIC(18,2),
	@SUMMA_BASE0 NUMERIC(18,2),
	@ITOGO_DNI NUMERIC(6,2),
	@ITOGO_CH NUMERIC(18,2),
	@INSTR TINYINT,
	@SYST_PAY TINYINT

SELECT  @SCRIPT1 = '', @I = 1, @DATE_BEGIN_RP = DATE_PER,
	@RP_SUMMA_PREM = RP_SUMMA_PREM, @RP_SUMMA_MAT = RP_SUMMA_MAT, @RP_SUMMA = RP_SUMMA, 
	@SR_PREM = SR_PREM, @SYST_PAY = SYST_PAY,
	@RP_DAYS = RP_DAYS,	@RP_HOURS = RP_HOURS,
	@RP_DAYS_N = RP_DAYS_N , @RP_HOURS_N = RP_HOURS_N,
	@SUMMA_BASE0 = SUMMA_BASE, @ITOGO_DNI = ITOGO_DNI, @ITOGO_CH = ITOGO_CH,
	@INSTR = INSTR
FROM 	(
	Select DATE_PER, RP_SUMMA_PREM, RP_SUMMA, RP_SUMMA_MAT, SR_PREM, SYST_PAY, RP_DAYS, RP_HOURS, RP_DAYS_N, RP_HOURS_N, SUMMA_BASE, ITOGO_DNI, ITOGO_CH, INSTR from dbo.DOCUMENTS_ADD_FUR where LINK = @LINK_DOC
	UNION 
	Select DATE_PER, RP_SUMMA_PREM, RP_SUMMA, RP_SUMMA_MAT=0, SR_PREM, SYST_PAY, RP_DAYS, RP_HOURS, RP_DAYS_N, RP_HOURS_N, SUMMA_BASE, ITOGO_DNI, ITOGO_CH, INSTR from dbo.DOCUMENTS_CALC_TRAVEL where LINK = @LINK_DOC
	UNION 
	Select DATE_PER, RP_SUMMA_PREM, RP_SUMMA, RP_SUMMA_MAT=0, SR_PREM, SYST_PAY, RP_DAYS, RP_HOURS, RP_DAYS_N, RP_HOURS_N, SUMMA_BASE, ITOGO_DNI, ITOGO_CH, INSTR from dbo.DOCUMENTS_CALC_AVG where LINK = @LINK_DOC
	) DOC


---   
DECLARE @COUNT_M INT
SET @COUNT_M = COALESCE((Select COUNT(DISTINCT PERIOD) from SDOC_AVAC_TABLE2 where LINK_UP = @LINK_DOC),0) - (CASE WHEN @INSTR = 3 THEN 1 ELSE 0 END)
SET @COUNT_M = CASE WHEN @COUNT_M <= 0 THEN 1 ELSE @COUNT_M END
SET @COUNT_M = CASE WHEN @COUNT_M > 12 THEN 12 ELSE @COUNT_M END


IF EXISTS (Select LINK_UP from dbo.SDOC_AVAC_TABLE3 T3 where LINK_UP = @LINK_DOC)
BEGIN

	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = SUMMA' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))
		SET @I = @I + 1
	END

	SET @I = 1
	SET @SCRIPT1 = @SCRIPT1 + ', SUM_N = 0'
	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 + '+ COALESCE(SUMMA' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ',0)'
		SET @I = @I + 1
	END

	SET @SCRIPT1 = 'Select ORDERS, LINK_PAY, NAME_PAY = P.NAME, LINK_KBK, CODE_KBK = KBK.CODE ' + @SCRIPT1 
			+ ' from dbo.SDOC_AVAC_TABLE3 T3 INNER JOIN dbo.PAYS P ON T3.LINK_PAY = P.LINK '
			+ ' LEFT JOIN dbo.SAL_SFIN KBK ON T3.LINK_KBK = KBK.LINK WHERE LINK_UP = ' 
		+ CONVERT(VARCHAR(20),@LINK_DOC) + ' ORDER BY ORDERS'
END
ELSE
BEGIN --     ,      

	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = 0.00'
		SET @I = @I + 1
	END

	SET @I = 1
	SET @SCRIPT1 = @SCRIPT1 + ', SUM_N = 0'
	SET @SCRIPT1 = 'Select ORDERS=0, LINK_PAY=0, NAME_PAY = '''', LINK_KBK=0, CODE_KBK = '''' ' + @SCRIPT1 

END

exec (@SCRIPT1)

-- 
IF (	COALESCE((Select COUNT(distinct koef1) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef1,0) > 0 group by link_up having count(koef1) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef2) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef2,0) > 0 group by link_up having count(koef2) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef3) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef3,0) > 0 group by link_up having count(koef3) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef4) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef4,0) > 0 group by link_up having count(koef4) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef5) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef5,0) > 0 group by link_up having count(koef5) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef6) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef6,0) > 0 group by link_up having count(koef6) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef7) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef7,0) > 0 group by link_up having count(koef7) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef8) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef8,0) > 0 group by link_up having count(koef8) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef9) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef9,0) > 0 group by link_up having count(koef9) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef10) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef10,0) > 0 group by link_up having count(koef10) > 0),1)
	*COALESCE((Select COUNT(distinct koef11) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef11,0) > 0 group by link_up having count(koef11) > 0),1)
	*COALESCE((Select COUNT(distinct koef12) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef12,0) > 0 group by link_up having count(koef12) > 0),1) 
)  = 1 
BEGIN

	SET  @SCRIPT1 = 'Select distinct INSTR = ' + convert(varchar(1),@INSTR) + ', ORDERS = 1, NAME_PAY = ''  '', CODE_KBK = ''  ''' 
	SET  @I = 1
	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = MAX(COALESCE(koef' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ',1))'
		SET @I = @I + 1
	END
	SET  @SCRIPT1 = @SCRIPT1 + ' from dbo.SDOC_AVAC_TABLE3 where LINK_UP = ' + CONVERT(VARCHAR(20),@LINK_DOC)
	exec (@SCRIPT1)

END
ELSE BEGIN

	SET  @SCRIPT1 = ''
	SET  @I = 1
	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = KOEF' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))
		SET @I = @I + 1
	END
	
	SET @SCRIPT1 = 'Select INSTR = ' + convert(varchar(1),@INSTR) + ', ORDERS, LINK_PAY, NAME_PAY = P.NAME, LINK_KBK, CODE_KBK = KBK.CODE ' + @SCRIPT1 
			+ ' from dbo.SDOC_AVAC_TABLE3 T3 INNER JOIN dbo.PAYS P ON T3.LINK_PAY = P.LINK '
			+ ' LEFT JOIN dbo.SAL_SFIN KBK ON T3.LINK_KBK = KBK.LINK WHERE LINK_UP = ' 
		+ CONVERT(VARCHAR(20),@LINK_DOC) + ' ORDER BY ORDERS'
	
	exec (@SCRIPT1)
END

		

DECLARE @DAYS_SZ NUMERIC(18,2)
---    
SELECT  [PERIOD],
	[DAYS_N] = MAX(DAYS_N) ,
	[HOURS_N] = MAX(HOURS_N),
	[DAYS] = MAX(DAYS) ,
	[HOURS] = MAX(HOURS),
	[KDAYS] = MAX(KDAYS),
	[KDAYS_N] = MAX(ISNULL(CONVERT(NUMERIC(4,0),DAY(dbo.DateEndOfMonth(PERIOD))),0))
INTO #TMP
FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC
GROUP BY [PERIOD]

SELECT  
	@DAYS_SZ = SUM(
		CASE WHEN @PAYMENT = 1 THEN--   
			CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
				CASE WHEN COALESCE(DAYS,0) >= COALESCE(DAYS_N,0) THEN COALESCE(DAYS_N,0) else COALESCE(DAYS,0) * 1.2 END
			ELSE DAYS --  ,     
			END
		ELSE --  
			CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
					CASE WHEN COALESCE(KDAYS,0.00) <> 0 AND COALESCE(KDAYS,0.00) >= COALESCE(KDAYS_N,0.00) THEN @AvgDays else CONVERT(NUMERIC(18,2),@AvgDays * (CASE WHEN COALESCE(KDAYS_N,0.00) <> 0.00 THEN COALESCE(KDAYS,0.00) / COALESCE(KDAYS_N,0.00) else 0.00 END)) END
			ELSE KDAYS --  ,     
			END				
		END)
FROM #TMP

---  
Select ORDERS, PERIOD, SUMMA, PREM, MATER, 
	DAYS = CASE WHEN @SYST_PAY = 2 THEN 0 ELSE DAYS END, 
	HOURS, 
	DAYS_N = CASE WHEN @SYST_PAY = 2 THEN 0 ELSE DAYS_N END, 
	HOURS_N, CODE_KBK = KBK.CODE, 
	RP_S_PREM = @RP_SUMMA_PREM, RP_SUMMA = @RP_SUMMA, RP_S_MAT = @RP_SUMMA_MAT, 
	RP_DAYS = @RP_DAYS,	RP_HOURS = @RP_HOURS,
	RP_DAYS_N = @RP_DAYS_N,	RP_HOURS_N = @RP_HOURS_N,
	SR_PREM = @SR_PREM, DSUM = @SUMMA_BASE0,
	SUM_DSZ = @DAYS_SZ,
	KOEF = 
	CASE WHEN @PAYMENT = 1 THEN--   
		CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
			CASE WHEN COALESCE(DAYS,0) >= COALESCE(DAYS_N,0) THEN 1 else 1.2 END
		ELSE 1 --  ,     
		END
	ELSE --  
	CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
			1
		ELSE 1 --  ,     
		END				
	END,
	DAYS_SZ = ROUND(
	CASE WHEN @PAYMENT = 1 THEN--   
		CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
			CASE WHEN COALESCE(DAYS,0) >= COALESCE(DAYS_N,0) THEN COALESCE(DAYS_N,0) else COALESCE(DAYS,0) * 1.2 END
		ELSE DAYS --  ,     
		END
	ELSE --  
		CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
					CASE WHEN COALESCE(KDAYS,0.00) <> 0 AND COALESCE(KDAYS,0.00) >= COALESCE(KDAYS_N,0.00) THEN @AvgDays else @AvgDays * (CASE WHEN COALESCE(KDAYS_N,0.00) <> 0.00 THEN COALESCE(KDAYS,0.00) / COALESCE(KDAYS_N,0.00) else 0.00 END) END
		ELSE KDAYS --  ,     
		END				
	END,2)
from SDOC_AVAC_TABLE2 T2  LEFT JOIN dbo.SAL_SFIN KBK ON T2.LINK_KBK = KBK.LINK
where link_up = @LINK_DOC
ORDER BY PERIOD

---

DECLARE @FURLOUGH_OPT11 int --     
SET @FURLOUGH_OPT11 = dbo.sa_get_option_by_code('FURLOUGH_OPT11')
---  ,  
DECLARE @FURLOUGH_GOS_OPT5 int --     
SET @FURLOUGH_GOS_OPT5 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT5')

DECLARE @FURLOUGH_GOS_OPT4 varchar(10) --     . 
SET @FURLOUGH_GOS_OPT4 = COALESCE((SELECT VALUE FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('FURLOUGH_GOS_OPT4'))) AND SID IS NULL),'')
SET @FURLOUGH_GOS_OPT4 = CASE WHEN @FURLOUGH_GOS_OPT4 LIKE '%.  .%' THEN '' ELSE @FURLOUGH_GOS_OPT4 END

SET @FURLOUGH_GOS_OPT4 = CASE WHEN LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) = '' THEN '01.01.1900' else LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) END


select INSTR = @INSTR, CODE_PAYS = P.CODE, NAME_PAYS = P.NAME, S.SUMMA,
	RAION_S = S.SUMMA *
	CASE WHEN @FURLOUGH_OPT11 = 1 THEN
		CASE WHEN WAY_CALC = 12
			THEN (CASE WHEN @DATE_BEG >= CONVERT(DATETIME,@FURLOUGH_GOS_OPT4,104) THEN DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEG,1) / 100  ELSE 1 END) 
			ELSE DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEG,1) / 100
		END
	ELSE 0
	END,
	NORHT_S = S.SUMMA * CASE WHEN @FURLOUGH_GOS_OPT5 = 1 THEN DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEG,2) / 100 ELSE 0 END
INTO #TMPA
from 
	dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @DATE_BEG, DEFAULT, @LINK_DEP) S
	inner join dbo.pays P on s.link_pay = p.link
where 
	WAY_CALC not in (6, 7, 12)
	AND
	s.link_pay IN (Select T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)

IF NOT EXISTS (SELECT * FROM #TMPA)
	INSERT INTO #TMPA (INSTR, CODE_PAYS, NAME_PAYS) 
	VALUES (1, '', '')

SELECT * FROM #TMPA

---  
Select ORDERS, DATE1, DATE2, DAYS, HOURS, KOEF_IDX, SR_ZP, SUMMA, 
	CODE_KBK = KBK.CODE, ITOGO_DNI = @ITOGO_DNI, ITOGO_CH = @ITOGO_CH
from SDOC_AVAC_TABLE1 T2  LEFT JOIN dbo.SAL_SFIN KBK ON T2.LINK_KBK = KBK.LINK
where link_up = @LINK_DOC 




GO


GRANT EXECUTE ON dbo.[SA_REP_FUR] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_PREPARE_R2]

GO
-- exec [dbo].SA_6NDFL_PREPARE_R2 '2016', 1 , '1' ,95494

CREATE PROCEDURE dbo.SA_6NDFL_PREPARE_R2 @dBDATE datetime /*    */, 
									 @dEDATE DATETIME /*    */,
									 @cBUFFID_NAME VARCHAR(10), /*     */
									 @nDep_link int 	/*   */
AS




IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL 
BEGIN 


	DECLARE
		@DEP_LINK INT 
		
	SET @DEP_LINK = @nDep_link	
	set @cBUFFID_NAME = LTRIM(RTRIM(@cBUFFID_NAME))


	SET DATEFIRST 7

DECLARE @dBDATE_EMP DATETIME,
		@dEDATE_EMP datetime
	set @dBDATE_EMP  = DATEADD(MONTH , -1 ,@dBDATE)

	set @dEDATE_EMP  = DATEADD(MONTH , 1 ,@dEDATE)

		create table #S_J_C_SHORT (link int,LINK_FACE int,PERS_LINK int, link_empl int, link_doc INT, link_pays int, 
								 name_pays VARCHAR(60), link_vkr int,link_ekr int, typ_per tinyint, typ_oper tinyint, 
								 summa numeric(18,2), link_inc int, period_begin datetime,period_end datetime, date1 datetime, 
								 date2 datetime, link_dep INT ,way_calc INT, way_name VARCHAR(50), type_doc VARCHAR(100), 
								 num_doc VARCHAR(30), Dt_doc datetime, comm_doc VARCHAR(254), CODE VARCHAR(30))

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl,link_doc, link_pays, 
								 name_pays,link_vkr, link_ekr, typ_per, typ_oper, 
								 summa,link_inc, period_begin, period_end, date1, 
								 date2,link_dep,way_calc, way_name,type_doc, 
								 num_doc,Dt_doc,comm_doc, CODE)
		Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, JC.link_doc, P.LINK, 
				name_pays = p.name, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, 
				summa, P.LINK_INC,
			period_begin = (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
							end) ,
			JC.PERIOD_END,
			JC.DATE_BEGIN,
			JC.DATE_END,
			JC.LINK_DEP ,
			P.WAY_CALC ,
			way_name = w.name,
			type_doc = sd.[TYPE], 
			num_doc = sd.NUMBER,
			Dt_doc = sd.[DATE], 
			comm_doc = sd.COMMENTARY, 
			CODE = sd.CODE
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = p.way_calc AND w.[TYPE] = 1 
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = jc.LINK_DOC
		where
			(
					(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and (JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP)
					or 
					ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (JC.DATE_BEGIN between @dBDATE_EMP AND @dEDATE_EMP or JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP )
					

				)
			AND 
				(	-->>NEW
				E.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				or
				JC.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		
		union all --
		SELECT LINK_FACE, PERS_LINK, link_empl, link_doc, link_pays, 
				 name_pays = p.name, sjc.link_vkr, sjc.link_ekr, sjc.typ_per, sjc.typ_oper, 
				 summa,sjc.link_inc, period_begin, period_end, date1, 
				 date2,SJC.link_dep, sjc.WAY_CALC, way_name = w.name,
				 type_doc = sd.[TYPE], 
				 num_doc = sd.NUMBER,
				 Dt_doc = sd.[DATE], 
				 comm_doc = sd.COMMENTARY, 
				 CODE = sd.CODE
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = SJC.LINK_DOC
			LEFT JOIN dbo.PAYS P ON SJC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = sjc.way_calc AND w.[TYPE] = 1
		where 
			SJC.LINK_DEP = @DEP_LINK
			and SJC.PERIOD_BEGIN between @dBDATE AND @dEDATE
			and TYP_OPER = 2



	--  #S_J_C_SHORT             , 
	--     - , ,       ,     DIS ,       
	IF OBJECT_ID('tempdb..#FIZ_EMPL_TAB') IS NOT NULL DROP TABLE #FIZ_EMPL_TAB
	CREATE TABLE #FIZ_EMPL_TAB (LINK_FACE INT, PERS_LINK INT , LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME)
	INSERT INTO #FIZ_EMPL_TAB (LINK_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS)
	SELECT sjc.LINK_FACE,
		sjc.pers_link,
		sjc.link_empl,
		INOSTR = CASE WHEN (SELECT TOP 1 code FROM citizenship WHERE link = p.CITIZ_LINK ) NOT IN('1','2') THEN 1 
					 ELSE 0 END,
		dis = CASE WHEN IDF.empl_link IS NOT NULL THEN 1 ELSE 0 END,
		IDF.DIS_DATE
	FROM 	#S_J_C_SHORT sjc
	INNER JOIN dbo.PERSON p ON p.link = ISNULL(sjc.LINK_FACE,sjc.pers_link) 
	left JOIN dbo.item_dis_face IDF ON IDF.empl_link = sjc.link_empl AND IDF.DIS_DATE BETWEEN @dBDATE AND @dEDATE AND IDF.ACTIVE = 1
	WHERE sjc.typ_oper = 1
	GROUP BY sjc.LINK_FACE, sjc.pers_link , sjc.link_empl, IDF.DIS_DATE, IDF.empl_link , p.CITIZ_LINK 

--------------------------------------------------------
---     
--------------------------------------------------------
-------- 1)    

	----------              ,
	----------  ,       
	IF OBJECT_ID('tempdb..#FIZ_DOH') IS NOT NULL DROP TABLE #FIZ_DOH
	CREATE TABLE #FIZ_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME, link_ved int ,VID_DOH CHAR(3),
						  mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_VED DATETIME,DATE_CALC DATETIME,DATE_PAY DATETIME,
						  TYP_PAYMENT TINYINT, TYP_TAX TINYINT, LINK_VKR int, LINK_EKR INT,LINK_PD INT,CODE_PD CHAR(4),NAME_PD VARCHAR(50),
						  DATE_FACT TINYINT,  DATE_FACT_C VARCHAR(50), DATE_ENUM TINYINT,DATE_ENUM_C VARCHAR(50), LINK_NDFL INT,
						  NDFL_SUM_BASE NUMERIC(18,2), NDFL_MONTH_SK NUMERIC(18,2),NDFL_SUMMA NUMERIC(18,2),SUMMA NUMERIC(18,2),DISBURS NUMERIC(18,2), 
						  DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED TINYINT, t3sum_d NUMERIC(18,2))
INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED ,t3sum_d)
	SELECT link_FACE = null,
			f.PERS_LINK, 
			f.LINK_EMPL , 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = 'DZP', 
			mon =  MONTH(S.DATE_CALC),
			summa_doh =  CASE WHEN f.PERS_LINK IS NOT NULL 
							  THEN (CASE WHEN F.INOSTR = 1
										THEN (sum(t.SUMMA) / 0.70)--sj.summa_doh
										ELSE (sum(t.SUMMA) / 0.87)
									END) 
							ELSE  0		
						 END  ,  			
			summa_nal = CASE WHEN f.PERS_LINK IS NOT NULL  
							THEN (CASE WHEN f.INOSTR = 1
									THEN (sum(t.SUMMA) / 0.70) - sum(t.DISBURS)  
									ELSE (sum(t.SUMMA) / 0.87)- sum(t.DISBURS) 
								   END)
							ELSE 0  
			            end ,
			DATE_VED = max(S.DATE),
			DATE_CALC =  dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = null,
			SD.TYP_PAYMENT, 
			TYP_TAX = 0 ,
			SD.LINK_VKR,
			SD.LINK_EKR,
			LINK_PD = NULL,
			CODE_PD = NULL,
			NAME_PD = NULL,
			DATE_FACT = NULL,
			DATE_FACT_C = NULL,
			DATE_ENUM = NULL,
			DATE_ENUM_C = NULL,
			LINK_NDFL = null,
			NDFL_SUM_BASE = null,
			NDFL_MONTH_SK = null,
			NDFL_SUMMA = null,			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),	
			date_doh = 	dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_NAL = max(S.DATE),
			DATE_ISCH = CASE WHEN ISNULL(max(S.DATE),'') <> '' THEN dbo.next_work_day(max(S.DATE)) ELSE NULL END,
			DED = 0, 
			t3sum_d = 0
	  FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM_DGH sd ON sd.LINK_UP = s.LINK --AND sd.TYP_PAYMENT = 1
			INNER JOIN dbo.SDOC_VEDOM_DGH_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.PERS_LINK = f.PERS_LINK	
	  WHERE
			sd.TYP_PAYMENT IN ( 1,3)
			AND
			S.DATE_CALC BETWEEN @dBDATE AND @dEDATE
		GROUP BY	
			f.PERS_LINK, S.DATE_CALC, s.link , 
			f.LINK_EMPL,f.INOSTR,f.dis,F.date_DIS, /*S.DATE ,*/
			SD.TYP_PAYMENT,sd.LINK_VKR,sd.LINK_EKR


/*	UNION ALL */
	INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED ,t3sum_d)
-------- 2)    	
	SELECT  f.link_face,
		    PERS_LINK = NULL , 
		    t.link_EMPL, 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = CASE WHEN f.dis =1 AND month(F.date_DIS) = MONTH(S.DATE_CALC) THEN 'UV'					
						   WHEN sd.typ_payment = 1 THEN 'ZP' 
						   WHEN sd.typ_payment = 3 THEN 'DR' 
						   END , 
			mon =  MONTH(S.DATE_CALC),
			summa_doh = case when sd.typ_payment = 1
								THEN sum(isnull(t31.t3_SUM_D,0.00)) - (sum(isnull(t32.t3_sum_U,0.00)) - (CASE WHEN  sum(isnull(t32.t3_sum_U,0.00)) = 0 THEN 0
																										ELSE   SUM(isnull(t32.t3_sum_Av,0.00))
																								        END 	      
																									))
																	
										   --EXECUTE KIR_EXEC_QUERY 20302,'''2016'',3,10,0,20308'
							ELSE (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
									   THEN sum(isnull(dd.summa_base,0.00)	)
									   WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2    --    "  " -       
									   THEN  0 --               -      UPDATE
									   WHEN isnull(dd.LINK,0) = 0 and sd.typ_tax = 3  --    "   " -      
									   THEN (CASE WHEN   (sum(ISNULL(t32.t3_sum_U,0.00)) + sum(ISNULL(t32.t3_sum_AV,0.00))) <> 0 AND f.dis  = 1 AND  sd.typ_payment <> 3
												   THEN 
												   			sum(isnull(t31.t3_SUM_D,0.00)) - (sum(ISNULL(t32.t3_sum_N,0.00)) + sum(ISNULL(t32.t3_sum_U,0.00)) + sum(ISNULL(t32.t3_sum_AV,0.00))) 
												   ELSE 
												   			sum(isnull(t31.t3_SUM_D,0.00)) 
										   		   END 	 )   	
											  	
									   else sum(isnull(t31.t3_SUM_D,0.00)) 		     
										  END )	
							END ,
			summa_nal = case when sd.typ_payment = 1 
								THEN	sum(isnull(t32.t3_SUM_N,0))  
									/*(CASE WHEN f.INOSTR = 1
											THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13) 
											ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13)
										   END)*/
							ELSE  (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
											THEN sum(dd.SUMMA)
									
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2 --    "  " -     
											THEN (CASE WHEN f.INOSTR = 1
														THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) 
														ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0)
													END)
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 3	--    "   " -      
											then  (CASE WHEN   sum(ISNULL(t32.t3_sum_U,0)) <> 0 AND f.dis  = 1 
													   THEN 
													   	    0
													   ELSE 
													   		sum(isnull(t32.t3_SUM_N,0)) 
												   	   END 	    	
											      )
											 ELSE sum(isnull(t32.t3_SUM_N,0))  	
							       END ) 
										
						END ,
			DATE_VED = S.DATE ,
			
			DATE_CALC = dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = SD.DATE_PAY,
			SD.TYP_PAYMENT, 
			SD.TYP_TAX,
			LINK_VKR =  isnull(t.link_sfin,SD.LINK_VKR),
			LINK_EKR = isnull(t.link_ekr,SD.LINK_EKR),
			LINK_PD = sd.LINK_PD,
			CODE_PD = pd.CODE,
			NAME_PD = pd.NAME,
			DATE_FACT = pd.DATE_FACT,
			DATE_FACT_C = pd.DATE_FACT_C,
			DATE_ENUM = pd.DATE_ENUM,
			DATE_ENUM_C = pd.DATE_ENUM_C,
			LINK_NDFL = dd.LINK,
			NDFL_SUM_BASE = sum(dd.summa_base),
			NDFL_MONTH_SK = sum(dd.MONTH_SK),
			NDFL_SUMMA = sum(dd.SUMMA),			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),
			date_doh = 	case when sd.typ_payment = 1 
								then ISNULL(dbo.DateEndOfMonth(S.DATE_CALC),SD.DATE_PAY)
							 WHEN sd.typ_payment = 3  
			           			then (CASE WHEN pd.DATE_FACT = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 	
			           	END ,
			DATE_NAL = case when sd.typ_payment = 1  
								then ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC))
							WHEN sd.typ_payment = 3 
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 		
						END ,
			DATE_ISCH = case when sd.typ_payment = 1   
								then dbo.next_work_day(ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC)))
			                 WHEN sd.typ_payment = 3
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE dbo.next_work_day(ISNULL(SD.DATE_PAY, S.DATE)) 
									  END ) 
						 END ,
	      
	    
	     /* t.link_EMPL, 
	      LINK_FACE = f.link_face, 
	      TYP_PAYMENT  = sd.TYP_PAYMENT ,
	      DATE_DV = CASE WHEN sd.TYP_PAYMENT = 1
								then dbo.DateEndOfMonth(S.DATE_CALC) 
	                     else sd.date_pay end , 
	      DATE_V = case when sd.TYP_PAYMENT = 1 
							then max(S.DATE) 
						else (case when pd.date_fact = 1 
									 then dbo.DateEndOfMonth(S.DATE_CALC) 
								   else sd.date_pay end) 
	                    end , 
		
			s.link, T.LINK_EKR, sd.TYP_PAYMENT, sum(s.SUMMA_T) AS SUMMA_T, sum(t.SUMMA) AS SUMMA, sum(t.DISBURS) AS DISBURS */
			DED = 0,
			t3SUM_D = sum(isnull(t31.t3_SUM_D,0))
		FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM sd ON sd.LINK_UP = s.LINK AND sd.TYP_PAYMENT IN( 1,3)
			INNER JOIN dbo.SDOC_VEDOM_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.LINK_EMPL = f.LINK_EMPL
			LEFT JOIN (SELECT t3_SUM_D = SUM(s3.summa),s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin from dbo.sdoc_vedom_table3 s3 
						INNER JOIN SDOC_VEDOM_TABLE1 AS svt ON svt.LINK_UP = s3.LINK_UP  AND svt.LINK_EMPL= s3.LINK_EMPL AND svt.link_ekr = s3.link_ekr AND svt.LINK_SFIN = s3.LINK_SFIN						
			           where  s3.typ_pay = 1
			           AND svt.disburs <> 0
			           GROUP BY s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin) AS t31 ON t31.LINK_UP = s.LINK AND  t31.link_empl = t.link_empl AND t31.link_ekr =  t.link_EKR AND t31.link_sfin = t.LINK_SFIN  --    
			LEFT JOIN (SELECT t3_sum_N = ISNULL(SUM(case when p3.way_calc = 4 then t3.summa 
												ELSE 0 end ),0),
							t3_sum_U =  ISNULL(sum(case when p3.way_calc = 1 and p3.name =' ' THEN t3.summa
												ELSE 0 end ),0), 
							t3_sum_av = ISNULL((SELECT sUM(t1.disburs) 
											   FROM  
											   DBO.sdoc s1 
											   INNER JOIN dbo.SDOC_VEDOM sd1 ON sd1.LINK_UP = s1.LINK 
											   INNER JOIN dbo.SDOC_VEDOM_TABLE1 T1 ON T1.LINK_UP = sd1.LINK_UP
											   WHERE  sd1.TYP_PAYMENT IN( 2) 
											   AND t1.LINK_EMPL = t3.link_empl AND s1.date_calc = ss.DATE_CALC AND t1.link_sfin = t3.LINK_SFIN AND t1.link_ekr = t3.link_ekr 
							            ),0),		
							link_empl, 
							link_UP, t3.LINK_SFIN,t3.link_ekr
			           FROM dbo.sdoc_vedom_table3 t3 
					   INNER JOIN dbo.pays p3 ON p3.LINK = t3.LINK_PAY 
					   LEFT JOIN DBO.sdoc ss ON ss.link = t3.LINK_UP 		
			           where t3.typ_pay = 2 AND p3.way_calc in (4 , 1)
						GROUP BY link_empl, link_UP,ss.DATE_CALC ,t3.LINK_SFIN,t3.link_ekr) AS t32 ON t32.LINK_UP = s.LINK AND  t32.link_empl = t.link_empl AND t.link_sfin = t32.LINK_SFIN AND t.link_ekr = t32.link_ekr   --    
			LEFT JOIN dbo.dict_pay_direction Pd ON PD.LINK = SD.LINK_PD
			LEFT JOIN (SELECT D.LINK,D.NUMBER,D.DATE, D.FLAG_JC,D.PERIOD,D.SUMMA AS SUM_all,D.MONTH_BASE,D.YEAR_BASE,D.RKO,D.name_dep,
						  DI.ORDERS,DI.REF_EMPL,DI.LINK_VKR,DI.SUMMA_BASE,DI.TOTAL_SK,DI.SUM_CALC,DI.SUMMA,DI.TOTAL_DED,DI.TOTAL_SUM,DI.TOTAL_TAX,
						  DI.MONTH_SK,DI.MONTH_DED,LINK_EKR,DI.NDFL_RANGE
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 ) AS DD 
							ON DD.LINK = SD.LINK_NDFL	 
							AND DD.REF_EMPL = f.LINK_EMPL 
							AND DD.LINK_VKR = T.LINK_SFIN
							AND DD.LINK_EKR = T.LINK_EKR
		WHERE
			( ((sd.TYP_PAYMENT = 1 AND t.summa = 0 AND NOT EXISTS( SELECT * FROM DBO.sdoc s_1 
																	INNER JOIN dbo.SDOC_VEDOM sd_1 ON sd_1.LINK_UP = s_1.LINK AND sd_1.TYP_PAYMENT = 3
																	INNER JOIN dbo.SDOC_VEDOM_TABLE1 T_1 ON T_1.LINK_UP = s_1.LINK 
																	LEFT JOIN dbo.dict_pay_direction Pd_1 ON Pd_1.LINK = SD_1.LINK_PD
			                                                       WHERE  t_1.LINK_EMPL = f.LINK_EMPL
			                                                       AND s_1.FLAG_JC = 1
			                                                       AND ( (isnull(SD_1.LINK_PD,0)= 0 AND S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
																			  (isnull(SD_1.LINK_PD,0)<> 0 AND (
			  																									(Pd_1.DATE_FACT = 1 and S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  																									 OR  (Pd_1.DATE_FACT = 2 and SD_1.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  																								 )  
																		  )								 
																		)
																  )
			    ) 
			   OR (sd.TYP_PAYMENT = 1 AND t.summa <> 0)
			   )
			  or (sd.TYP_PAYMENT = 3 AND t.summa <> 0) 
			)
			AND 
			s.FLAG_JC = 1
			AND
			( (isnull(SD.LINK_PD,0)= 0 AND S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
			  (isnull(SD.LINK_PD,0)<> 0 AND ( (sd.TYP_PAYMENT = 1 AND SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) or
											 	
			  								 ((sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 1 and S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  								 OR  (sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 2 and SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  								 ))  
			  )								 
			)
			--AND T.LINK_UP =     22427
			--AND  t.LINK_EMPL = 184
		GROUP BY T.LINK_EMPL ,date_calc ,f.link_face,f.INOSTR ,f.dis,F.date_DIS, s.link, S.DATE,SD.DATE_PAY,SD.TYP_PAYMENT, 
			SD.TYP_TAX,SD.LINK_VKR,SD.LINK_EKR,t.LINK_EKR,t.link_sfin,sd.LINK_PD,pd.CODE,pd.NAME,pd.DATE_FACT,pd.DATE_FACT_C,pd.DATE_ENUM,pd.DATE_ENUM_C,
			dd.link, sd.LINK_NDFL

--EXECUTE KIR_EXEC_QUERY 20671,'''2016'',4,12,0,20677'
----------------------------------


----------------------------------
---     UPDATE        "  " , 
--             
 UPDATE doh
		SET summa_doh = (CASE WHEN doh.INOSTR = 1
													THEN Floor(FLOOR(isnull(doh.summa,0.00)) / 0.70)/* + (sum(t.SUMMA) - Floor(sum(t.SUMMA)))*/ --sj.summa_doh
													ELSE Floor(FLOOR(isnull(doh.summa,0.00)) / 0.87) /*+ (sum(t.SUMMA) - Floor(sum(t.SUMMA)))*/
												END)   
						+ (disburs - FLOOR(DISBURS))						 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DR'	AND doh.TYP_PAYMENT = 3
 AND doh.TYP_TAX = 2
 AND isnull(doh.LINK_NDFL,0) =  0

 -----------------------------------
 UPDATE doh
		SET summa_doh =  doh.NDFL_SUM_BASE						 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DR'	AND doh.TYP_PAYMENT = 3
 AND doh.TYP_TAX = 2
 AND isnull(doh.LINK_NDFL,0) <>  0			
	

 --****
 UPDATE doh
		SET summa_doh =  ISNULL(( SELECT SUM(DI.summa_base)
					    FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 								
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR 
							AND summa_base <> 0.00 and di.summa <> 0.00 
							AND d.[date] = (SELECT MAX(d1.[DATE]) FROM DOCUMENTS_INCTAX d1 LEFT JOIN DOCUMENTS_INCTAX_table DI1 ON DI1.LINK = D1.LINK 
															WHERE D1.FLAG_JC = 1 AND d1.MONTH_BASE = doh.mon AND d1.YEAR_BASE = YEAR(doh.date_calc) 
															AND DI1.REF_EMPL = doh.link_empl AND di1.summa_base <> 0.00 and di1.summa <> 0.00 ))
								
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr) ,0)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)
			 

 UPDATE doh
		SET summa_nal =  ( SELECT SUM(DI.summa)
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR) 
						- 
						(SELECT sum(fd.summa_nal) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)			 


 
 UPDATE doh
		SET summa_doh =  doh.summa_doh 
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'UV'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.date_ved > doh.DATE_DIS
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr 
									 AND fd.summa_nal = 0 )							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 3
 AND doh.DATE_VED = doh.DATE_DIS		
  AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.date_ved > doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			 AND fd.summa_nal = 0)		 
--***


 
 UPDATE doh
		SET summa_doh =  case when (doh.dISBURS - ceiling(doh.dISBURS) ) > 0
							  THEN CEILING(doh.summa_doh) + (doh.dISBURS - ceiling(doh.dISBURS))
							  ELSE CEILING(doh.summa_doh)
							  END 				 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DZP'
 	
 UPDATE doh
		SET summa_nal =  ceiling(doh.summa_nal) 									 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DZP'	
--***	

--EXECUTE KIR_EXEC_QUERY 20302,'''2016'',3,10,0,20308'

 INSERT INTO #FIZ_VID_DOH(link_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS, VID_DOH, mon,summa_doh,summa_nal,DATE_DOH,DATE_NAL, DATE_ISCH, DED, link_ved , sum_ded ) 
 SELECT
		link_FACE, 
		PERS_LINK, 
		LINK_EMPL, 
		INOSTR , 
		DIS = CASE when MONTH(DATE_DIS) = mon  THEN 1 ELSE 0 end, 
		DATE_DIS, 
		VID_DOH, 
		mon,
		summa_doh, 
		summa_nal, 
		DATE_DOH,
		DATE_NAL, 
		DATE_ISCH, 
		DED, 
		link_ved ,
		SUM_DED_OTHER = 0
 FROM #FIZ_DOH 	WHERE (summa_doh <> 0 )--AND summa_nal <> 0)	 


--SELECT * FROM #FIZ_VID_DOH ORDER BY link_empl, mon, date_doh
-- -- EXECUTE KIR_EXEC_QUERY 20185,'''2016'',1,20193'


	DROP TABLE #S_J_C_SHORT
	DROP TABLE #FIZ_EMPL_TAB

--DROP TABLE #FIZ_DOH

END 

RETURN 0







GO


GRANT EXECUTE ON dbo.[SA_6NDFL_PREPARE_R2] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REESTR_FSS_PREPARE_DATA_1_7_4]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REESTR_FSS_PREPARE_DATA_1_7_4]

GO

CREATE     PROCEDURE dbo.SD_REESTR_FSS_PREPARE_DATA_1_7_4 
		   @BUFFER_ID VARCHAR(20) = NULL
AS

BEGIN

	DECLARE @str VARCHAR(7000),
			@nLink INT, 
			@nMode INT,
			@SortMode INT,
			@GroupMode INT,
			@WrapMode INT,
			@FIOShort tinyint

	CREATE TABLE #REC1 (LINK INT)
	CREATE INDEX #TMP_IDX_REC ON #REC1 (LINK)
	
	INSERT INTO #REC1 (LINK)
	SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER_ID
	
	DECLARE @WORK_DATE DATETIME, @DEP_LINK INT, @SID VARBINARY(85)
	SELECT @WORK_DATE = WORKDATE, @DEP_LINK = DEP_LINK, @SID = [SID] FROM dbo.USER_INFO
--SELECT 	@WORK_DATE, @DEP_LINK , @SID
	CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

	SET NOCOUNT ON
	-- 
	CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

	declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
	Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
		@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
		+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
		+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
	from dbo.DICTIONARY_TASK where CODE = 'SALARY'


	CREATE TABLE #DOC_REESTR_FSS_TABLE1( ROW int IDENTITY(1,1), CHECKED tinyint, UPD tinyint, DEL tinyint, LOCKED tinyint,
			[LINK] int,[NUMBER] varchar(30), [DATE] DATETIME, [COMMENTARY] varchar (254) , [FLAG_JC] tinyint,   
			[LINK_DEP] int , [name_dep] varchar (254), [MDEP_NAME] varchar (90), MDEP_ADDR varchar (254), 
			ADR_MED_DEP_LINK varchar (100), HOUSE_MED_DEP  varchar (30), INDEX_MED_DEP  varchar (6), OGRN_MED_DEP  varchar (15),
			[TAB_NUMER] varchar (10), [NAME_EMPL] varchar (150), [REF_EMPL] int, BIRTH_EMPL datetime , SEX tinyint, [DAYS] int, 
			[HOURS] numeric (18,2),	[DATE1] DATETIME, [DATE2] DATETIME, [NEPR_YEAR] int,[NEPR_MONTH] int,
			[NEPR_DAY] int,[CODE_TYP_ARHE] varchar (5),	[NAME_TYP_ARHE] varchar (150),[REF_TYP_ARHE] int ,[DOC_TYPE] CHAR(2),[NUM_DOC] varchar (30),
			[REF_DOC] int,[DECRET] tinyint, LINK_PAYS int,CODE_PAYS varchar (10),NAME_PAYS varchar (60), KIDS_FLAG tinyint, 
			REF_PERS_KID int,[PERS_KID] varchar (304),FAMILY_NAME varchar (35), BIRTHDATE DATETIME ,AGE_E int,AGE_M int,PERS_LINK int,[INSTRUCT] tinyint,
			INSUR_NUM varchar (14),INN varchar (12),FM varchar(100),IM varchar (100),OT varchar (100),RESIDENT tinyint,
			DOC_CODE varchar (2),[DOC_NAME] VARCHAR(150),DOC_NUM varchar (20),DOC_DATE DATETIME,DOC_WHOM varchar (254),[ADR_REAL_LINK] int,
			[ADR_REAL] varchar (254),[REGION_REAL] varchar (254),[HOUSE_REAL] varchar (30),[CORP_REAL] varchar (30),[FLAT_REAL] varchar (30),
			[INDEX_REAL] varchar (6),[BIK] varchar (9),[BANK_NAME] varchar (80),[LIC_SCHET] varchar (25), [PAYCARD_FLAG] TINYINT, [PAYCARD_NUM] varchar (25),
			[ADR_OFIC_LINK] int, [ADR_OFIC] varchar (254),[REGION_OFIC] varchar (254),[HOUSE_OFIC] varchar (30),[CORP_OFIC] varchar (30),
			[FLAT_OFIC] varchar (30),[INDEX_OFIC] varchar (6),[STATUS_EMPL] int, [STATUSC_EMPL] varchar(20),[OGRN] varchar (15),
			[FSS_REG_NUM] varchar (10),[FSS_KOD_P] varchar (10),[KPP_dep] varchar (9),[INN_dep] varchar (12),[dep_tel] varchar (20),[dep_mail] varchar (30),
			[FIO_RUK] varchar (90), [DOLG_RUK] varchar (90), [FIO_BUH] varchar (90),[DATE_BEGIN] DATETIME, 
			[DATE_END] DATETIME, [OKLAD] numeric (18,2) ,[REG_KOEF] numeric (3),LINK_EXCH int,REF_BL int ,REF_RBL int,
			LINK_SOST int, FIO_SOST varchar (120),EMAIL_SOST varchar (40),TEL_SOST varchar (30),STAT_EXCH tinyint,
			STAT_NAME varchar (30),DATE_OUT DATETIME,TYPE_INFO tinyint, RECALC_REASON_CODE tinyint,OWNER_FLAG tinyint, 
			PAYMENT_TYPE tinyint,YEAR_CHANGE_FLAG tinyint, FILE_NUMBER tinyint, [YEAR1_OLD] varchar (4),[YEAR2_OLD] varchar (4) ,
			[YEAR1] varchar (4),[YEAR2] varchar (4),[BASE_SUM1] numeric (18,2), [BASE_SUM2] numeric (18,2), [LINK_R] int, [NUMBER_R] varchar(30),[DATE_R] DATETIME,
			[COMMENTARY_R] varchar (254),[CODE_PAY_R] varchar (10),[NAME_PAY_R] varchar (60),[REF_PAY_R] int,[FLAG_JC_R] tinyint,
			SYST_PAY tinyint,[SUMMA_R] numeric (18,2),[SR_PREM_R] numeric (18,2),
			[TYP_PER_R] tinyint ,[DATE1_R] DATETIME,[DATE2_R] DATETIME,[DATE_B_R] DATETIME,[DATE_E_R] DATETIME,[LIMIT_R] tinyint,/*[PER_ARHE_R],[NUM_ARHE_R],*/
			[REF_ARHE_R] int,/*[CODE_TYP_ARHE_BL],[NAME_TYP_ARHE_BL],[REF_TYP_ARHE_BL],*/ [STAG_R] int,[STAG_MONTH_R] int,
			[SUMA_BASE0_R] numeric (18,4),[LINK_DEP_R] int, RAB_SUM_R numeric(18,2), RAB_DAYS_R numeric(18,2), FSS_SUM_R numeric(18,2), 
			FSS_DAYS_R numeric(18,2), DOHOD_R  numeric(18,2),ITOGO_DNI_R numeric(18,2), ITOGO_CH_R numeric(18,2), 
			RP_DAYS_R numeric(18,2),RP_HOURS_R numeric(18,2),RP_DAYS_N_R numeric(18,2), RP_HOURS_N_R numeric(18,2), 
			RP_SUMMA_PREM_R numeric(18,2),  RP_SUMMA_R numeric(18,2), DEKRET tinyint,INSTRUCT_R tinyint)

		INSERT INTO #DOC_REESTR_FSS_TABLE1 ( CHECKED, UPD, DEL, LOCKED, LINK ,NUMBER,  [DATE], COMMENTARY, FLAG_JC,LINK_DEP, 
											 name_dep, MDEP_NAME, MDEP_ADDR, ADR_MED_DEP_LINK,HOUSE_MED_DEP, INDEX_MED_DEP, OGRN_MED_DEP, TAB_NUMER,NAME_EMPL, REF_EMPL,
											BIRTH_EMPL, SEX, [DAYS],[HOURS],DATE1,DATE2, NEPR_YEAR,NEPR_MONTH,NEPR_DAY,CODE_TYP_ARHE,	
											NAME_TYP_ARHE,REF_TYP_ARHE,[DOC_TYPE],NUM_DOC,REF_DOC,DECRET,LINK_PAYS,CODE_PAYS,NAME_PAYS,KIDS_FLAG,REF_PERS_KID,
											PERS_KID,FAMILY_NAME,BIRTHDATE,AGE_E,AGE_M,PERS_LINK,INSTRUCT,INSUR_NUM,INN,FM,
											IM,OT,RESIDENT,DOC_CODE,[DOC_NAME],DOC_NUM,DOC_DATE,DOC_WHOM,ADR_REAL_LINK,ADR_REAL,REGION_REAL,
											HOUSE_REAL,CORP_REAL,FLAT_REAL,INDEX_REAL,BIK,BANK_NAME,LIC_SCHET,PAYCARD_FLAG,PAYCARD_NUM,ADR_OFIC_LINK, ADR_OFIC,REGION_OFIC,
											HOUSE_OFIC,CORP_OFIC,FLAT_OFIC,INDEX_OFIC,[STATUS_EMPL], [STATUSC_EMPL],[OGRN],[FSS_REG_NUM],[FSS_KOD_P],[KPP_dep],
											[INN_dep],DEP_TEL,DEP_MAIL,[FIO_RUK], [DOLG_RUK], [FIO_BUH],[DATE_BEGIN],[DATE_END], [OKLAD],[REG_KOEF],
											LINK_EXCH,REF_BL,REF_RBL,LINK_SOST,FIO_SOST,EMAIL_SOST,TEL_SOST,STAT_EXCH,STAT_NAME,DATE_OUT,
											TYPE_INFO, RECALC_REASON_CODE ,OWNER_FLAG ,PAYMENT_TYPE ,YEAR_CHANGE_FLAG , FILE_NUMBER, [YEAR1_OLD],[YEAR2_OLD],[YEAR1] ,[YEAR2] ,
											[BASE_SUM1] , [BASE_SUM2] , [LINK_R] , [NUMBER_R] ,[DATE_R] ,[COMMENTARY_R] ,[CODE_PAY_R] ,[NAME_PAY_R] ,[REF_PAY_R] ,[FLAG_JC_R] ,
											SYST_PAY,[SUMMA_R] ,[SR_PREM_R] ,[TYP_PER_R] ,[DATE1_R] ,[DATE2_R] ,[DATE_B_R],[DATE_e_R] ,[LIMIT_R] ,[REF_ARHE_R],
											[STAG_R],[STAG_MONTH_R],[SUMA_BASE0_R],[LINK_DEP_R], RAB_SUM_R, RAB_DAYS_R, FSS_SUM_R,FSS_DAYS_R, DOHOD_R,ITOGO_DNI_R,
											 ITOGO_CH_R,RP_DAYS_R,RP_HOURS_R,RP_DAYS_N_R, RP_HOURS_N_R,RP_SUMMA_PREM_R , RP_SUMMA_R, DEKRET,INSTRUCT_R) 
		exec dbo.DOCUMENTS_REESTR_FSS_LIST @BUFFER_ID = @BUFFER_ID, @MODE = 1
	
	--SELECT * FROM #DOC_REESTR_FSS_TABLE1
		---
		select ID = b.ROW , a.* 
		into #DOC_REESTR_FSS_TABLE2 
		FROM 
			DOCUMENTS_ADD_ARCHE_TABLE0 a
			inner join  #DOC_REESTR_FSS_TABLE1 b on a.link =  b.link_r

		--
		DECLARE @Cur1 CURSOR,
			@FNAME varchar(254),
			@ROW int ,
			@ID int,
			@ROW_NAME varchar(254) , 
			@name_dep VARCHAR(254), --  
			@DOC_DATE DATETIME,	 --   
			@DOC_DATE1 varchar(10), --       
			@FIO_SOST varchar (120),  --  
			@EMAIL_SOST varchar (40), -- Email 
			@TEL_SOST varchar (30),	   --  
			@OWNER_FLAG tinyint,	   -- ,    1- 0- 
			@TYPE_INFO tinyint,	   -- : 0    (    ), 1-
 			@RECALC_REASON_CODE tinyint, --  
 			@DEP_REG_NUM varchar (10), --    			
 			@DEP_KOD_P varchar (10),   --   
 			@KPP_dep varchar (9),  --  
 			@INN_dep varchar (12), --  
 			@DEP_OGRN VARCHAR(15), --   
			@FIO_RUK varchar (90), --    
			@DOLG_RUK varchar (90),--    
			@FIO_BUH varchar (90), --   
			@LastFileNumber  numeric (2) 
			
		SELECT  top 1 
				@name_dep 	= LEFT(DEP.[NAME],254), 
				@INN_dep	= LEFT(INN,12), 
				@KPP_dep = LEFT(KPP,9),  
				@DEP_OGRN = LEFT(OGRN,13) , 
				@DEP_REG_NUM = left(FSS_REG_NUM,10), 
				@DEP_KOD_P = left(FSS_KOD_P,0)
		FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE DEP.LINK = @DEP_LINK

 		DECLARE @LINK_SOST INT
 		SELECT @LINK_SOST = USER_REF FROM dbo.WHO_IS_WHO WHERE [SID] = @SID

		SELECT 
			@FIO_SOST = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LTRIM(RTRIM(IM)) + ' ' + LTRIM(RTRIM(OT)),' '))),100),
			@EMAIL_SOST = LEFT(ISNULL(LTRIM(RTRIM((select DBO.ConcatEmplPhoneValues (2,0,E.link)) )),' '),254),
			@TEL_SOST = LEFT(ISNULL(LTRIM(RTRIM((select DBO.ConcatEmplPhoneValues (1,3,E.link)) )),' '),254)
		FROM 
			dbo.PERSON P
			INNER JOIN dbo.EMPL E ON P.LINK = E.PERS_LINK
		WHERE
			E.LINK = @LINK_SOST

		SET	@LastFileNumber =
			isnull(
				(select max(FILE_NUMBER) 
				from 
					#REC1 R
					INNER JOIN dbo.REESTR_FSS_EXCH_INFO I ON R.LINK = I.REF_BL
				WHERE
					I.DATE_OUT = @WORK_DATE
				),0) + 1

		SET @DOC_DATE = @WORK_DATE

	set @ROW  = 0
	DECLARE @Cur2  CURSOR


	--   
	-----

		SELECT top 1 @FNAME = 'E_'+ ltrim(rtrim(FSS_REG_NUM))+'_'+ CONVERT(VARCHAR(4),  YEAR(@DOC_DATE))+'_' 
								  + case  when len(convert(varchar(2), MONTH(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), MONTH(@DOC_DATE))) else ( convert(varchar(2), MONTH(@DOC_DATE))) end +'_'
								  + case  when len(convert(varchar(2), day(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), day(@DOC_DATE))) else (convert(varchar(2), day(@DOC_DATE))) end  + '_' 
								  + case  when len(convert(varchar(2),(@LastFileNumber))) = 1 then ('0' + convert(varchar(2),(@LastFileNumber))) else (convert(varchar(2),(@LastFileNumber))) end +'.xml'
		FROM  #DOC_REESTR_FSS_TABLE1 

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		 SELECT @FNAME, 'UTF-8' --  
				UNION ALL SELECT @FNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8"?>'																								
				UNION ALL SELECT @FNAME, SPACE(0) + '<ROWSET version="1.7.4" software="'+rtrim(ltrim(@NAME_PROG))+'" version_software="SP'+substring(@VERS_PROG, 5,2)+'" author="'+isnull(RTRIM(LTRIM(@FIO_SOST)),' ')+'" phone="'+isnull((RTRIM(LTRIM(@TEL_SOST))),' ')+'" email="'+isnull((RTRIM(LTRIM(@EMAIL_SOST))),' ')+'" EMPL_KPP="'+ltrim(rtrim(@KPP_dep))+'" EMPL_INN="'+ltrim(rtrim(@INN_dep))+'" EMPL_OGRN="'+ltrim(rtrim(@DEP_OGRN))+'" EMPL_REG_NO="'+ltrim(rtrim(@DEP_REG_NUM))+'"  xsi:noNamespaceSchemaLocation="XSD.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">' 

	--- 
	--  
	---

	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select ROW from #DOC_REESTR_FSS_TABLE1 order by ROW

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ROW

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME, 
				SPACE(1) + '<ROW>' + CHAR(10)
				  + SPACE(2) + '<BATCH_NO>'+ 'E_'+ ltrim(rtrim(FSS_REG_NUM))+'_'+ CONVERT(VARCHAR(4),  YEAR(@DOC_DATE))+'_' 
				  						   + case  when len(convert(varchar(2), MONTH(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), MONTH(@DOC_DATE))) else ( convert(varchar(2), MONTH(@DOC_DATE))) end +'_'
										   + case  when len(convert(varchar(2), day(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), day(@DOC_DATE))) else (convert(varchar(2), day(@DOC_DATE))) end  + '_' 
										   + case  when len(convert(varchar(2),(@LastFileNumber))) = 1 then ('0' + convert(varchar(2),(@LastFileNumber))) else (convert(varchar(2),(@LastFileNumber))) end  +':'+convert(varchar(2),ROW) 
							 + '</BATCH_NO>' + CHAR(10)
				  + SPACE(2) + '<TYPE_INFO>'+ convert(varchar(1),isnull([TYPE_INFO],0))+'</TYPE_INFO>' + CHAR(10)  
				  + SPACE(2) + '<RECALC_REASON_CODE>'+  case when convert(varchar(1),isnull(RECALC_REASON_CODE,'')) = '0' 
															 then ''
															 else convert(varchar(1),isnull(RECALC_REASON_CODE,'')) 
														end
							 +'</RECALC_REASON_CODE>' + CHAR(10) 
				 + SPACE(2) + '<DOC_TYPE>' + case 
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2)  = '01' or  substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) ='04' then '1'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '05' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '06' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '07' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '08' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '09' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '10'  
												then '5'	 
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '02' then '2'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '03' then '6'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '11' then '13' 
											  else '01'
											  end
							 + '</DOC_TYPE>' + CHAR(10)
				  + SPACE(2) + '<DOC_DT1>' + convert(varchar(10),[DATE],120) + '</DOC_DT1>' + CHAR(10) 
				  + SPACE(2) + '<SNILS>' + convert(varchar(11),replace(replace(d.INSUR_NUM,' ',''),'-','')) + '</SNILS>' + CHAR(10) 
				  + SPACE(2) + '<INN_PERSON>' + LEFT(ltrim(rtrim(d.INN)),12) + '</INN_PERSON>' + CHAR(10)
				  + SPACE(2) + '<SURNAME>' + LEFT(UPPER(ltrim(rtrim(d.FM))),30) + '</SURNAME>' + CHAR(10)
				  + SPACE(2) + '<NAME>' + LEFT(UPPER(ltrim(rtrim(d.IM))),30) + '</NAME>' + CHAR(10)
				  + SPACE(2) + '<PATRONIMIC>'+ LEFT(UPPER(ltrim(rtrim(d.OT))),30) +'</PATRONIMIC>' + CHAR(10)
				  + SPACE(2) + '<RESIDENT_FLAG>'+ case 
												when convert(varchar (1), d.RESIDENT) = '2' THEN '1'
												WHEN convert(varchar (1), d.RESIDENT) = '3' THEN '2'
												ELSE '0' end
												  +'</RESIDENT_FLAG>' + CHAR(10)
				  + SPACE(2) + '<RESIDENT_CODE>'+ CASE WHEN (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK ) IN (1,2) 
							THEN '643' 
							ELSE (CASE WHEN p.DOC_WHOM = 'MDA' THEN '498' 
										WHEN p.DOC_WHOM LIKE '%%' THEN '398'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '804'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '051' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '112' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '417'
										ELSE '000' end) end +'</RESIDENT_CODE>' + CHAR(10)
				  + SPACE(2) + '<ID_TYPE>'  +RTRIM(LTRIM(COALESCE(d.DOC_CODE,'')))+ '</ID_TYPE>' + CHAR(10) 
				  + SPACE(2) + '<ID_NO>' + RTRIM(LTRIM(COALESCE(d.DOC_NUM,''))) + '</ID_NO>' + CHAR(10)
				  + SPACE(2) + '<ID_DT>' + convert(varchar(10),d.DOC_DATE, 120) + '</ID_DT>' + CHAR(10)
				  + SPACE(2) + '<ID_DEPT>' +RTRIM(LTRIM(COALESCE(d.DOC_WHOM,'')))+ '</ID_DEPT>' + CHAR(10)
			
				  --+ SPACE(2) + '<ADDR>'+ RTRIM(LTRIM(COALESCE(ADR_REAL,'')))+'</ADDR>' + CHAR(10)
				  + SPACE(2) + '<ADDR_KLADR>' + CASE 
												 WHEN isnull(RTRIM(LTRIM(convert(varchar(20),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = d.ADR_REAL_LINK)))),'') = ''
												 THEN '' 
												 ELSE '#'+ isnull(RTRIM(LTRIM(convert(varchar(20),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = d.ADR_REAL_LINK)))),'')
												END 
											  + '</ADDR_KLADR>' + CHAR(10)
				  + SPACE(2) + '<ADDR_HOUSE>'+ RTRIM(LTRIM(COALESCE(d.HOUSE_REAL,'')))+'</ADDR_HOUSE>' + CHAR(10)
				  + SPACE(2) + '<ADDR_BUILDING>'+ RTRIM(LTRIM(COALESCE(d.CORP_REAL,'')))+'</ADDR_BUILDING>' + CHAR(10)
				  + SPACE(2) + '<ADDR_FLAT>'+ RTRIM(LTRIM(COALESCE(d.FLAT_REAL,'')))+'</ADDR_FLAT>' + CHAR(10)
				  + SPACE(2) + '<POST_INDEX>'+ RTRIM(LTRIM(COALESCE(d.INDEX_REAL,'')))+'</POST_INDEX>' + CHAR(10)
				  
				  + SPACE(2) + '<OWNER_FLAG>'+ convert(varchar(1),d.OWNER_FLAG) +'</OWNER_FLAG>' + CHAR(10)
				  + SPACE(2) + '<PAYMENT_TYPE>'+ convert(varchar(1),d.PAYMENT_TYPE) +'</PAYMENT_TYPE>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT_BIC>'+ RTRIM(LTRIM(COALESCE(d.BIK,'')))+'</ACCOUNT_BIC>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT_NAME>'+ RTRIM(LTRIM(COALESCE(d.BANK_NAME,'')))+'</ACCOUNT_NAME>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT>'+ RTRIM(LTRIM(COALESCE(d.LIC_SCHET,'')))+'</ACCOUNT>' + CHAR(10)
				  + SPACE(2) + '<PAYCARD_FLAG>'+ convert(varchar(1),d.PAYCARD_FLAG)+'</PAYCARD_FLAG>' + CHAR(10)
				  + SPACE(2) + '<PAYCARD_NUM>'+ RTRIM(LTRIM(COALESCE(d.PAYCARD_NUM,'')))+'</PAYCARD_NUM>' + CHAR(10)
				  + SPACE(2) + '<ADDR2>'+ RTRIM(LTRIM(COALESCE(d.ADR_OFIC,'')))+'</ADDR2>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_KLADR>' + CASE when isnull(RTRIM(LTRIM(convert(varchar(99),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = d.ADR_OFIC_LINK)))),'') = ''
													  THEN ''
													  ELSE '#'+ RTRIM(LTRIM(convert(varchar(99),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = d.ADR_OFIC_LINK))))
													  END  + '</ADDR2_KLADR>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_HOUSE>'+ RTRIM(LTRIM(COALESCE(d.HOUSE_OFIC,'')))+'</ADDR2_HOUSE>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_BUILDING>'+ RTRIM(LTRIM(COALESCE(d.CORP_OFIC,'')))+'</ADDR2_BUILDING>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_FLAT>'+ RTRIM(LTRIM(COALESCE(d.FLAT_OFIC,'')))+'</ADDR2_FLAT>' + CHAR(10)
				  + SPACE(2) + '<POST_INDEX2>'+ RTRIM(LTRIM(COALESCE(d.INDEX_OFIC,'')))+'</POST_INDEX2>' + CHAR(10)
	
				  + SPACE(2) + '<EMPLOYER>'+ UPPER(ltrim(rtrim(d.name_dep)))+'</EMPLOYER>' + CHAR(10)
				  + SPACE(2) + '<EMPL_FLAG>'+convert(varchar(1),d.STATUS_EMPL)+'</EMPL_FLAG>' + CHAR(10)
				  + SPACE(2) + '<EMPL_OGRN>'+ ltrim(rtrim(d.OGRN)) +'</EMPL_OGRN>' + CHAR(10)
				  + SPACE(2) + '<EMPL_REG_NO>'+ ltrim(rtrim(d.FSS_REG_NUM)) +'</EMPL_REG_NO>' + CHAR(10)
				  + SPACE(2) + '<EMPL_PARENT_NO>'+ ltrim(rtrim(d.FSS_KOD_P)) + '</EMPL_PARENT_NO>' + CHAR(10)
				  + SPACE(2) + '<EMPL_KPP>'+ ltrim(rtrim(d.KPP_dep)) +'</EMPL_KPP>' + CHAR(10)
				  + SPACE(2) + '<EMPL_INN>'+ ltrim(rtrim(d.INN_dep)) +'</EMPL_INN>' + CHAR(10)
				   
				  + SPACE(2) + '<APPROVE1>'+ isnull(UPPER(ltrim(rtrim(d.FIO_RUK))),'') +'</APPROVE1>' + CHAR(10)
				  + SPACE(2) + '<APPROVE1_ROLE>'+ isnull(UPPER(ltrim(rtrim(d.DOLG_RUK))),'') +'</APPROVE1_ROLE>' + CHAR(10)
				  + SPACE(2) + '<APPROVE2>'+ isnull(UPPER(ltrim(rtrim(d.FIO_BUH))),'') +'</APPROVE2>' + CHAR(10)
				  
				  + SPACE(2) + '<WORK_CONTRACT_START_DT>'+isnull(convert(varchar(10),d.[DATE_BEGIN],120),'')+'</WORK_CONTRACT_START_DT>' + CHAR(10)
				  + SPACE(2) + '<WORK_CONTRACT_FINISH_DT>'+isnull(convert(varchar(10),d.[DATE_END],120),'')+'</WORK_CONTRACT_FINISH_DT>' + CHAR(10)
				   
				  + SPACE(2) + '<ROLE_WAGE>'+ RTRIM(LTRIM(STR(COALESCE(d.OKLAD,0),18,2)))   + '</ROLE_WAGE>' + CHAR(10)
				  + SPACE(2) + '<BASE_CALC_DAYS>'+ 
								RTRIM(LTRIM(STR(COALESCE(datediff(day , dbo.ConvertDMY2Date(1,1,YEAR1), (dbo.DateEndOfYear(dbo.ConvertDMY2Date(1,1,YEAR2))+1)),3,0))))		  
							 + '</BASE_CALC_DAYS>' + CHAR(10)
				  + SPACE(2) + '<BASE_AVG_SAL>'+RTRIM(LTRIM(STR(COALESCE((BASE_SUM1+BASE_SUM2),0),18,2)))+'</BASE_AVG_SAL>' + CHAR(10)
				  + SPACE(2) + '<BASE_AVG_DAILY_SAL>'+ RTRIM(LTRIM(STR(COALESCE([SUMA_BASE0_R],0),15,2))) +'</BASE_AVG_DAILY_SAL>' + CHAR(10)
				  + SPACE(2) + '<YEAR_CHANGE_FLAG>'+ isnull(convert(varchar(1),YEAR_CHANGE_FLAG), '') +'</YEAR_CHANGE_FLAG>' + CHAR(10)
				  + SPACE(2) + '<YEAR1_OLD></YEAR1_OLD>' + CHAR(10)
				  + SPACE(2) + '<YEAR2_OLD></YEAR2_OLD>' + CHAR(10)
				  + SPACE(2) + '<YEAR1>'+ ltrim(rtrim(isnull(YEAR1,''))) +'</YEAR1>' + CHAR(10)
				  + SPACE(2) + '<YEAR2>'+ ltrim(rtrim(isnull(YEAR2,''))) +'</YEAR2>' + CHAR(10)
				  + SPACE(2) + '<BASE_SUM1>'+ RTRIM(LTRIM(STR(COALESCE(BASE_SUM1,0),18,2))) +'</BASE_SUM1>' + CHAR(10)
				  + SPACE(2) + '<BASE_SUM2>'+ RTRIM(LTRIM(STR(COALESCE(BASE_SUM2,0),18,2))) +'</BASE_SUM2>' + CHAR(10)
				  + SPACE(2) + '<KF_REG>'+ RTRIM(LTRIM(STR(COALESCE(d.REG_KOEF,0),3,0))) +'</KF_REG>' + CHAR(10)
				  + SPACE(2) + '<KF_SHORT_DAY></KF_SHORT_DAY>' + CHAR(10)
				  + SPACE(2) + '<LIVE_COND_FLAG></LIVE_COND_FLAG>' + CHAR(10)
				  + SPACE(2) + '<LIVE_COND></LIVE_COND>' + CHAR(10)
				  + SPACE(2) + '<CALC_MH_PERIOD_START></CALC_MH_PERIOD_START>' + CHAR(10)
				  + SPACE(2) + '<CALC_MH_PERIOD_FINISH></CALC_MH_PERIOD_FINISH>' + CHAR(10)
				  + SPACE(2) + '<INSUR_YY>'+ convert(varchar(2),isnull(d.STAG_R,'')) +'</INSUR_YY>' + CHAR(10)
				  + SPACE(2) + '<INSUR_MM>'+convert(varchar(2),isnull(STAG_MONTH_R,'')) +'</INSUR_MM>' + CHAR(10)
				  + SPACE(2) + '<NOT_INSUR_YY></NOT_INSUR_YY>' + CHAR(10)
				  + SPACE(2) + '<NOT_INSUR_MM></NOT_INSUR_MM>' + CHAR(10)
				  + SPACE(2) + '<LN_CODE>'+ convert(varchar(12),replace(replace(d.NUMBER,' ',''),'-','')) +'</LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<PREV_LN_CODE>'+ ltrim(rtrim(d.NUM_DOC)) +'</PREV_LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<PRIMARY_FLAG>'+ (case when d.REF_DOC is not null then '1' else '0' end)  +'</PRIMARY_FLAG>' + CHAR(10)
				  + SPACE(2) + '<DUPLICATE_FLAG>0</DUPLICATE_FLAG>' + CHAR(10)
				  + SPACE(2) + '<LN_DATE>'+ convert(varchar(10),[DATE], 120) +'</LN_DATE>' + CHAR(10)
				  + SPACE(2) + '<LPU_NAME>'+isnull(ltrim(rtrim(MDEP_NAME)),'') +'</LPU_NAME>' + CHAR(10)
				  + SPACE(2) + '<LPU_ADDRESS>'+isnull(ltrim(rtrim(MDEP_ADDR)),'') +'</LPU_ADDRESS>' + CHAR(10)
				 -- + SPACE(2) + '<LPU_ADDRESS_KLADR>'+ltrim(rtrim(ADR_MED_DEP_LINK)) +'</LPU_ADDRESS_KLADR>' + CHAR(10)
				  --+ SPACE(4) + '<LPU_ADDR_A1>'+ RTRIM(LTRIM(STR(COALESCE([s2_7],0),15,2))) +'</LPU_ADDR_A1>'
				  --+ SPACE(3) + '<LPU_ADDR_A3>'+ +'</LPU_ADDR_A3>'
				  --+ SPACE(3) + '<LPU_ADDR_A5>' ++ '</LPU_ADDR_A5>'
				 -- + SPACE(2) + '<LPU_ADDR_HOUSE>'+isnull(ltrim(rtrim(HOUSE_MED_DEP)),'') +'</LPU_ADDR_HOUSE>' + CHAR(10)
				 -- + SPACE(2) + '<LPU_ADDR_POST_INDEX>'+ltrim(rtrim(INDEX_MED_DEP)) +'</LPU_ADDR_POST_INDEX>' + CHAR(10)
				  + SPACE(2) + '<LPU_OGRN>'+ltrim(rtrim(OGRN_MED_DEP)) +'</LPU_OGRN>' + CHAR(10)
				  + SPACE(2) + '<BIRTHDAY>'+ convert(varchar(10),[BIRTH_EMPL], 120) +'</BIRTHDAY>' + CHAR(10)
				  + SPACE(2) + '<GENDER>' + convert(varchar(1),d.[sex]) + '</GENDER>' + CHAR(10)
				  + SPACE(2) + '<REASON1>' + convert(varchar(2),left(CODE_TYP_ARHE,2))+'</REASON1>' + CHAR(10)
				  + SPACE(2) + '<REASON2></REASON2>' + CHAR(10)
				  + SPACE(2) + '<REASON3></REASON3>' + CHAR(10)
				  + SPACE(2) + '<PARENT_CODE></PARENT_CODE>' + CHAR(10)
				  + SPACE(2) + '<DATE1></DATE1>' + CHAR(10)
				  + SPACE(2) + '<DATE2></DATE2>' + CHAR(10)    
				  + SPACE(2) + '<VOUCHER_NO></VOUCHER_NO>' + CHAR(10)
				  + SPACE(2) + '<VOUCHER_OGRN></VOUCHER_OGRN>' + CHAR(10)    

				  + SPACE(2) + '<SERV1_AGE>'+ case when d.BIRTHDATE is not null then 
												convert(varchar(3),((datediff(year, d.BIRTHDATE,[DATE] )*12 ) - (month(d.BIRTHDATE) -  month([DATE])))/12) 
											  else '' end	
							 +' </SERV1_AGE>' + CHAR(13) + CHAR(10)  /*convert(varchar(3),((convert(numeric(5,0),datediff(year, BIRTHDATE,[DATE] ))*12 - (month(BIRTHDATE) -  month([DATE])))/12))*/
				  + SPACE(2) + '<SERV1_MM>'+ case when d.BIRTHDATE is not null then 
											 convert(varchar(3),(case when (month([DATE]) - month(d.BIRTHDATE))  < 0 then  12 - ABS(month([DATE]) - month(d.BIRTHDATE))  else  (month([DATE]) - month(d.BIRTHDATE)) end))
											 else '' end
							 +' </SERV1_MM>' + CHAR(10)
				  + SPACE(2) + '<SERV1_RELATION_CODE>'+ case when ltrim(rtrim(FAMILY_NAME)) = ''  
															 then (case when d.[sex] = 1 
																	   then '39'
																	   else '38'
																  end)	 	   
															 when ltrim(rtrim(FAMILY_NAME)) = '' 
															 then (case when d.[sex] = 1 
																	   then '39'
																	   else '38'
																  end)	 			   
															 when ltrim(rtrim(FAMILY_NAME)) = '' or ltrim(rtrim(FAMILY_NAME)) = '' 
															 then '40'
															 else '41'
															 end	 		
							 +'</SERV1_RELATION_CODE>' + CHAR(10)
				  + SPACE(2) + '<SERV1_FIO>'+ ltrim(rtrim(PERS_KID)) +'</SERV1_FIO>' + CHAR(10)
				  + SPACE(2) + '<SERV2_DAYS></SERV2_DAYS>' + CHAR(10)
				  + SPACE(2) + '<PREGN12W_FLAG></PREGN12W_FLAG>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_DT1></HOSPITAL_DT1>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_DT2></HOSPITAL_DT2>' + CHAR(10)	
				  + SPACE(2) + '<HOSPITAL_BREACH_CODE></HOSPITAL_BREACH_CODE>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_BREACH_DT></HOSPITAL_BREACH_DT>' + CHAR(10)
				  + SPACE(2) + '<MSE_DT1></MSE_DT1>' + CHAR(10)
				  + SPACE(2) + '<MSE_DT2></MSE_DT2>' + CHAR(10)	
				  + SPACE(2) + '<MSE_DT3></MSE_DT3>' + CHAR(10)
				  + SPACE(2) + '<MSE_INVALID_GROUP></MSE_INVALID_GROUP>' + CHAR(10)
				  + SPACE(2) + '<MSE_INVALID_DAYS></MSE_INVALID_DAYS>' + CHAR(10)
				  + SPACE(2) + '<MSE_RESULT></MSE_RESULT>' + CHAR(10)	
				  
				  + SPACE(2) + '<TREAT1_DT1>'+ convert(varchar(10),DATE1, 120) +'</TREAT1_DT1>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DT2>'+ convert(varchar(10),DATE2, 120) +'</TREAT1_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR_ROLE></TREAT1_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR></TREAT1_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOC_ID></TREAT1_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR2_ROLE></TREAT1_DOCTOR2_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_CHAIRMAN_VK></TREAT1_CHAIRMAN_VK>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOC2_ID></TREAT1_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DT1></TREAT2_DT1>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DT2></TREAT2_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR_ROLE></TREAT2_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR></TREAT2_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOC_ID></TREAT2_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR2_ROLE></TREAT2_DOCTOR2_ROLE>' + CHAR(10)					  				  
				  + SPACE(2) + '<TREAT2_CHAIRMAN_VK></TREAT2_CHAIRMAN_VK>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOC2_ID></TREAT2_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DT1></TREAT3_DT1>' + CHAR(10)		
				  + SPACE(2) + '<TREAT3_DT2></TREAT3_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR_ROLE></TREAT3_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR></TREAT3_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOC_ID></TREAT3_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR2_ROLE></TREAT3_DOCTOR2_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_CHAIRMAN_VK></TREAT3_CHAIRMAN_VK>' + CHAR(10)		
				  + SPACE(2) + '<TREAT3_DOC2_ID></TREAT3_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<OTHER_STATE_DT></OTHER_STATE_DT>' + CHAR(10)
				  + SPACE(2) + '<RETURN_DATE_LPU></RETURN_DATE_LPU>' + CHAR(10)
				  + SPACE(2) + '<NEXT_LN_CODE></NEXT_LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<CALC_METHOD>1</CALC_METHOD>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION1></CALC_CONDITION1>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION2></CALC_CONDITION2>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION3></CALC_CONDITION3>' + CHAR(10)
				  + SPACE(2) + '<FORM1_DT></FORM1_DT>' + CHAR(10)

				  + SPACE(2) + '<RETURN_DATE_EMPL>'+ convert(varchar(10),DATE2+1,120)+'</RETURN_DATE_EMPL>' + CHAR(10)
				  + SPACE(2) + '<FSS_PAYMENT_FLAG>1</FSS_PAYMENT_FLAG>' + CHAR(10)
				  + SPACE(2) + '<DT1>'+ convert(varchar(10),DATE1,120)+'</DT1>' + CHAR(10)
				  + SPACE(2) + '<DT2>'+ convert(varchar(10),DATE2,120) +'</DT2>' + CHAR(10)
				  + SPACE(2) + '<CALC_DAYS>'+ convert(varchar(3),[DAYS])+'</CALC_DAYS>' + CHAR(10)
				  + SPACE(2) + '<DT2_FACT></DT2_FACT>' + CHAR(10)
				  --+ SPACE(2) + '<CALC_PERIOD></CALC_PERIOD>' + CHAR(10)				  
		  
				  + SPACE(2) + '<EMPL_PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([RAB_SUM_R],0),18,2))) +'</EMPL_PAYMENT>' + CHAR(10)
				  + SPACE(2) + '<FSS_PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([FSS_SUM_R],0),18,2))) +'</FSS_PAYMENT>' + CHAR(10)
				  + SPACE(2) + '<PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([RAB_SUM_R] + [FSS_SUM_R],0),18,2))) +'</PAYMENT>' + CHAR(10)
  
  				 -- + SPACE(2) + '<CERT_TYPE></CERT_TYPE>' + CHAR(10)
				  + SPACE(2) + '<CERT_NO></CERT_NO>' + CHAR(10)
				  + SPACE(2) + '<CERT_DT></CERT_DT>' + CHAR(10)
				  + SPACE(2) + '<CERT_BR></CERT_BR>' + CHAR(10)
				  + SPACE(2) + '<CERT_DT_DATE></CERT_DT_DATE>' + CHAR(10)
				  + SPACE(2) + '<CERT_SURNAME></CERT_SURNAME>' + CHAR(10)
				  + SPACE(2) + '<CERT_NAME></CERT_NAME>' + CHAR(10)		
				  + SPACE(2) + '<CERT_PATRONIMIC></CERT_PATRONIMIC>' + CHAR(10)
				  + SPACE(2) + '<REF_24_NO></REF_24_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_24_DT></REF_24_DT>' + CHAR(10)
				  + SPACE(2) + '<CHILD_SER></CHILD_SER>' + CHAR(10)
				  + SPACE(2) + '<MH_OUT></MH_OUT>' + CHAR(10)
				  + SPACE(2) + '<HOLID_ORD_NO></HOLID_ORD_NO>' + CHAR(10)		
				  + SPACE(2) + '<HOLID_ORD_DT></HOLID_ORD_DT>' + CHAR(10)
				  + SPACE(2) + '<HOLID_DT_ST></HOLID_DT_ST>' + CHAR(10)
				  + SPACE(2) + '<HOLID_DT_FN></HOLID_DT_FN>' + CHAR(10)
				  + SPACE(2) + '<HOLID_CH_ORD_NO></HOLID_CH_ORD_NO>' + CHAR(10)
				  + SPACE(2) + '<HOLID_CH_ORD_DT></HOLID_CH_ORD_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_OTHER_NO></REF_NPAY_OTHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_OTHER_DT></REF_NPAY_OTHER_DT>' + CHAR(10)
				  + SPACE(2) + '<WARD_FLAG></WARD_FLAG>' + CHAR(10)
				  + SPACE(2) + '<WARD_REF_NO></WARD_REF_NO>' + CHAR(10)
				  + SPACE(2) + '<WARD_REF_DT></WARD_REF_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_FAMILY_NO></REF_FAMILY_NO>' + CHAR(10)
	  			  + SPACE(2) + '<REF_FAMILY_DT></REF_FAMILY_DT>' + CHAR(10)					  
				  + SPACE(2) + '<OTHER_CHILD_FLAG_DT></OTHER_CHILD_FLAG_DT>' + CHAR(10)
				  + SPACE(2) + '<OTHER_CHILD_FLAG_BR></OTHER_CHILD_FLAG_BR>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_FATHER_NO></REF_NPAY_FATHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_FATHER_DT></REF_NPAY_FATHER_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_MOTHER_NO></REF_NPAY_MOTHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_MOTHER_DT></REF_NPAY_MOTHER_DT>' + CHAR(10)
				  + SPACE(2) + '<PERIODS>' 
				 FROM
					#DOC_REESTR_FSS_TABLE1 d
					INNER JOIN dbo.person p ON p.link = d.PERS_LINK
				 WHERE 
					ROW = @ROW 
				---
				--  
				---

				SET @Cur2 = CURSOR FORWARD_ONLY
				FOR select ORDERS from #DOC_REESTR_FSS_TABLE2 WHERE id = @ROW
				
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @ID

				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @FNAME, 
								SPACE(3) + '<PERIOD>'	
										+ SPACE(4) + '<START_DATE>'+convert(varchar(10),DATE1,120)+'</START_DATE>'
										+ SPACE(4) + '<END_DATE>'+convert(varchar(10),DATE2,120)+'</END_DATE>'
										+ SPACE(4) + '<IDLE_AVERAGE>'+ RTRIM(LTRIM(STR(COALESCE(summa,0),18,2)))+'</IDLE_AVERAGE>'
								+ SPACE(3) + '</PERIOD>'

							 FROM
								#DOC_REESTR_FSS_TABLE2
							WHERE 
								ID = @ID 

					END


					FETCH NEXT FROM @Cur2 INTO @ID
				END

			CLOSE @Cur2
			DEALLOCATE @Cur2

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME,	
						SPACE(2) + '</PERIODS>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME,	
				 + SPACE(1) + '</ROW>'
		END

		FETCH NEXT FROM @Cur1 INTO @ROW	

	END
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @FNAME, SPACE(0) + '</ROWSET>'

	CLOSE @Cur1
	DEALLOCATE @Cur1


	select * from #OUTPUT  order by [ID]	
		

END 




GO


GRANT EXECUTE ON dbo.[SD_REESTR_FSS_PREPARE_DATA_1_7_4] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ALL_PHIS_EXPORT_MIR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ALL_PHIS_EXPORT_MIR]

GO

/* : exec [dbo].ALL_PHIS_EXPORT_MIR '20160314','35',95432 */



CREATE   PROCEDURE [dbo].[ALL_PHIS_EXPORT_MIR] (
	@dDate1 datetime,				/**/
	@cText1 VARCHAR(20),				/* */
	@cText2 VARCHAR(20),			/* */
	@cText3 VARCHAR(20),			/* */
	@nFiltlink INT = null /*  . */	
) AS


	
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*  */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFiltlink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE='OTBOR_QUERY_SQL_FL'))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE='QUERY_OTBOR_CHECK'))


CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

--   
CREATE TABLE #ALL_PHIS(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254), RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE DATETIME, DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254),
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8),
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254) ,
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36)
)
				
INSERT INTO #ALL_PHIS(N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID
)

exec dbo.KJ_KADRY_ALL_PHIS_REP @dDate1 , @cText1, @cVal1, @nOtborLink1

DELETE FROM #ALL_PHIS WHERE isnull(DOC_ID,'') = ''

IF (SELECT COUNT(*) FROM #ALL_PHIS)=0
BEGIN
	RETURN 1
END	

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

declare @DEP_LINK int, @lcFNAME VARCHAR(254), @INN VARCHAR(12),	@ACC_CODE varchar(20), @FULL_NAME varchar(2000),	@COUNT_PERS INT , @DOC_ID VARCHAR(36), @OSB varchar(4),
@WINDEX VARCHAR(6),@WSTR varchar(50),  @WREGION_NAME VARCHAR(254),@WREGION_SOKR VARCHAR(8),@WRAION_N VARCHAR(254),@WRAION_S VARCHAR(8),@WGOROD_N VARCHAR(254),@WGOROD_S VARCHAR(8),
@WNASEL_N VARCHAR(254),@WNASEL_S VARCHAR(8),@WSTREET_N VARCHAR(254),@wSTREET_S VARCHAR(8),@wHOUSE varchar(10),@wKORP varchar(50),@wFLAT varchar(50)

exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Cur1 CURSOR, @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth int
set @ID1 = 0
SET @nYear = year(@dDate1)
set @nMonth = month(@dDate1)


---     #ALL_PHIS 	
ALTER TABLE #ALL_PHIS
add EMPL_LINK INT
ALTER TABLE #ALL_PHIS
add POST_NAME VARCHAR(254)



---     
UPDATE ap
SET 	DEP_LINK = @DEP_LINK
		, EMPL_LINK  =  E.link
	  ,POST_name = e.POST_name
FROM
	 #ALL_PHIS AS ap
	INNER JOIN DBO.ku_empl_placing AS E  ON E.pers_LINK = AP.LINK
WHERE E.date_begin IS NOT NULL
	AND @dDate1 BETWEEN	 E.date_begin AND isnull(E.date_sack,'29991231' )
	AND E.SACK <> 1
	AND e.dep_link = @DEP_LINK
--       	
DELETE  FROM #ALL_PHIS WHERE empl_link IS NULL

CREATE TABLE #ALL_PHIS_RES(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254), RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE DATETIME, DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254),
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8),
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254) ,
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36),EMPL_LINK INT , POST_NAME VARCHAR(254)
)
				
INSERT INTO #ALL_PHIS_RES (N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID,EMPL_LINK,POST_NAME
)
SELECT N_PP = ROW_NUMBER() OVER (/*PARTITION BY p.LINK*/ ORDER BY FM, IM, OT ),
	 LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
	 DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,
	 PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
	 FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,
	 COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID,EMPL_LINK,POST_NAME
FROM #ALL_PHIS

DROP TABLE  #ALL_PHIS



--   
-----
	SELECT top 1
	@lcFNAME = '' + LTRIM(rtrim(isnull(@cText3,''))) + '' + ltrim(rtrim(@cText2))+'o.XML' ,
	@INN = DEP_INN,
	@ACC_CODE = dd.N_ACC_CODE,
	@FULL_NAME = ORG_FULN,
	@DOC_ID = DOC_ID,
	@OSB =  LTRIM(rtrim(isnull(@cText3,''))),
	@WINDEX = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WSTR =  ' ' ,
	@WREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''
							ELSE ''		
		               END,
	@WRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@wSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@wHOUSE = RTRIM(CONVERT(varchar(10),dd.HOUSE)) ,
	@wKORP = RTRIM(CONVERT(varchar(10),dd.CORP)) ,
	@wFLAT = RTRIM(CONVERT(varchar(10),dd.FLAT))
	FROM  #ALL_PHIS_RES  AS a
	INNER JOIN DICTIONARY_DEPARTMENT AS dd ON dd.link = @DEP_LINK
	WHERE DEP_LINK = @DEP_LINK


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, 'windows-1251' -- 
			UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
			UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+ CONVERT(VARCHAR(10),convert(smalldatetime, dbo.DateEndOfMonth(GETDATE())),127) +'"  ="'+rtrim(@cText1)+'" ="'+rtrim(@FULL_NAME)+'" ="'+@INN+'" ="'+rtrim(coalesce(@ACC_CODE,''))+'" ="" ="'+ltrim(rtrim(@cText2))+'" ="'+CONVERT(VARCHAR(10),@dDate1,120)+'">' --'" ="'+rtrim(@DOC_ID)+'"
			 UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'


	set @COUNT_PERS = (select count(*) from #ALL_PHIS_RES)
	
-- -- EXEC KJ_KADRY_ALL_PHIS_REP '20160314' , 35 , '1', 95433
-- exec ALL_PHIS_EXPORT_MIR '20170713','22323','232323','2323223232323',16825
	---
	--  
	---

	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select N_PP from #ALL_PHIS_RES WHERE DEP_LINK = @DEP_LINK
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID1

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME,
					SPACE(2) + '< ="'+RTRIM(LTRIM(STR(@ID1)))+'">' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(IM,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '< 1="'+RTRIM(LTRIM(COALESCE(COL1,'')))+'" 2="'+RTRIM(LTRIM(COALESCE(COL2,'')))+'" 3="'+RTRIM(LTRIM(COALESCE(COL3,'')))+'"/>' + CHAR(10)
						+ SPACE(3) + '<>'+ CONVERT(VARCHAR(10),BiRTHDATE,127) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(SEX,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OSB,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(FILIAL,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '< ="52" ="6" ="810"/>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NAME,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_CODE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_SER,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NUM,'')))+'</>' + CHAR(10)
				            + SPACE(4) + '<>'+ CONVERT(VARCHAR(10),DOC_DATE,127) +'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_WHOM,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<></>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + RTRIM(LTRIM(COALESCE(CITIZ_NAME,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' +RTRIM(LTRIM(COALESCE(RESIDENT,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(BiRTHPLACE,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@WINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+case when RTRIM(LTRIM(COALESCE(@WSTR,''))) = ' ' THEN '643' ELSE '' END +'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WREGION_NAME,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WREGION_SOKR,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@wHOUSE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@WKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@WFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)						
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+case when RTRIM(LTRIM(COALESCE(PSTR,'')))= ' ' THEN '643' ELSE '' END+'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PHOUSE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+ case when RTRIM(LTRIM(COALESCE(fSTR,''))) = ' ' THEN '643' ELSE '' END +'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fHOUSE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<>'+LTRIM(RTRIM(POST_NAME))+'</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						
				  + SPACE(2) + '</>' + CHAR(10)

				
			FROM
					#ALL_PHIS_RES
				WHERE
					N_PP = @ID1
	
		END
		
		FETCH NEXT FROM @Cur1 INTO @ID1



	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	

	
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '</>' + CHAR(10)	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '<>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+ +RTRIM(LTRIM(STR(COALESCE(@COUNT_PERS,0))))+ +'</>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'  + CHAR(10)	
UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '</>' 	




SET NOCOUNT OFF

select * from #OUTPUT  order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]
--exec ALL_PHIS_EXPORT '20160314','35',95432








GO


GRANT EXECUTE ON dbo.[ALL_PHIS_EXPORT_MIR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSS_RPSV_17_FNS_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSS_RPSV_17_FNS_PREPARE]

GO


CREATE PROCEDURE dbo.RSS_RPSV_17_FNS_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20160101', @vardEnd datetime = '20161231', @variCol int, @variRow int, @variLSF int
AS

-- 

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @TFOMS_KT int

DECLARE --  
	@C3S NUMERIC(18,6), @C4S NUMERIC(18,6), @C5S NUMERIC(18,6), @C6S NUMERIC(18,6),
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3SS NUMERIC(18,6), @C4SS NUMERIC(18,6), @C5SS NUMERIC(18,6), @C6SS NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)	

select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF


set @TFOMS_KT = (select  (case when TFOMS_KT = '' then '01' else TFOMS_KT end)  from dictionary_department where link = @DEP_LINK)

set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, SP VARCHAR(4))

-----     ,  , ,           13%, 
--	  PERSON_CZ  - 0 ..        .
SELECT DISTINCT PERS_LINK = p.link ,RESIDENT = CASE WHEN p.FM IN('','','') THEN 0 else p.RESIDENT END   , --      ,     -  -        13%
				PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN 
								 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
										or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
										OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
										OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
INTO #PERS_INO
FROM person p
INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))



Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, SP)
Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
	( CASE WHEN P.RESIDENT = 0 THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
	1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
	F.ENVD,
	IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SP = isnull(s4.code,'')
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
	inner join PERSON P on S.REF_PHYS_PERS = P.link
	inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
WHERE  WAY_CALC not in (5)

--  
INSERT INTO #SPR_ESN
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO)
SELECT
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
	( CASE WHEN P.RESIDENT = 0  THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
	1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
	F.ENVD,
	IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END
	
FROM
	DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join PERSON P on GT.PERS_LINK = P.link
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  not in (5)
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @START_DATE)


CREATE TABLE #RES2(CODE_STR VARCHAR(10), C1 NUMERIC(18,2), C2 NUMERIC(18,2),  C3 NUMERIC(18,2), C4 NUMERIC(18,2), C5 NUMERIC(18,2), C6 NUMERIC(18,2), C7 NUMERIC(18,2), C8 NUMERIC(18,2))
/*
   "  ",    ,
       ()    .
*/

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @C1_PERIOD_BEG DATETIME, @C1_PERIOD_END DATETIME

SELECT @C1_PERIOD_BEG = @START_DATE,
	   @C1_PERIOD_END = @END_DATE
		
--------------
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int
/*SELECT @NAvgCount = COUNT(pers_link)
FROM
(
	SELECT DISTINCT E.pers_link
	FROM
		dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE
		P.DATE_BEGIN <= @C1_PERIOD_END
		and
		coalesce(U.DIS_DATE,'20990101') >= @C1_PERIOD_BEG
		And
		E.DEP_LINK = @DEP_LINK
	UNION
	Select DISTINCT
		DFG.link
	FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
	WHERE
		DGH.DATE1 = (
			Select max(DATE1)  from SALARY_REESTR_DGH as DGH0
					where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
						AND
						(
							ISNULL(DATE1, '19000101') between  @C1_PERIOD_BEG and @C1_PERIOD_END
							or ISNULL(DATE2, '20990101') between @C1_PERIOD_BEG and @C1_PERIOD_END
						)
					)
		And
		DGH.DEP_LINK = @DEP_LINK
) AS T		
*/

SELECT @NAvgCount = 	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)

--




INSERT INTO #RES2(CODE_STR, C1)
SELECT '1', ISNULL(@NAvgCount,0)



/******** **********/
SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

/*      */
---Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
SELECT @NAvgCount = 	ISNULL(
			(SELECT max(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
--
UPDATE #RES2 SET C2 = ISNULL(@NAvgCount,0) WHERE CODE_STR = '1'
-- 2.     ,     
Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)


--   
SELECT
	GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
INTO #DGH_FAKT_BASE
FROM
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  = 6
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK
GROUP BY
	GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
INTO #DGH_FAKT_BASE1
FROM #DGH_FAKT_BASE
GROUP BY PERS_LINK, MONTH_BASE

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213 
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

------
CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
WHERE
	Year(period_begin) = @nYEAR
	and Month(period_begin) <= @nMONTH3
	and CJ.LINK_DEP = @DEP_LINK
GROUP BY
	cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO

DELETE FROM #CALCULATE_JURNAL 
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT)
--SELECT DISTINCT PERS_LINK
--INTO #PERS_INV
--FROM dbo.PERS_INVALID I
--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


------	            
SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
INTO #EMPL_DT
FROM DBO.KU_EMPL_PLACING SD
	left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
	WHERE
		(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


--  #SALARY_SUM2
CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
		SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
		/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
	SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
		SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2)
		)
--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO ,
			SUMMA_ALL_INO , SUMMA_NO_INO
		/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
		SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31)
select
	E.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SUMMA_ALL_INO = 0,
	SUMMA_NO_INO = 0,
	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

	----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
	SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END)

from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
where 	
	P.[OBJECT] = 1
GROUP BY
	E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK

--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
		--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
		)
select
	CJ.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SUMMA_ALL_INO = 0,
	SUMMA_NO_INO = 0
	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D1 = 0,

	--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D2 = 0
		
from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	--     
--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
	--   
--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
where 	
	P.[OBJECT] = 1
GROUP BY
	CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK


----    ,      
--UPDATE D SET
--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
--FROM #SALARY_SUM_DATA D
--WHERE INV = 1 --    -  	

--    ,      
UPDATE D SET
	SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
	SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
FROM #SALARY_SUM_DATA D
WHERE INO = 1 --  -  	


--   
SELECT MON = Month(PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
	SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
	SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
	SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
	SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
	SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
	SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
	SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
	SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31)
INTO #SALARY_SUM2
FROM #SALARY_SUM_DATA
GROUP BY
	Month(PERIOD_BEGIN)

--
--DROP TABLE #SALARY_SUM_DATA	

--  ר 303.09 (  )   
CREATE TABLE #REST_30309_KAU (LINK_KAU INT, REST NUMERIC(18,2))

DECLARE @Cur1 CURSOR, @LINK_ACC INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.09%'

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30309_KAU (LINK_KAU, REST)
			SELECT KAU, REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT) GROUP BY KAU

	END

	FETCH NEXT FROM @Cur1 INTO @LINK_ACC
END

CLOSE @Cur1
DEALLOCATE @Cur1

--  ר 303.10 (  )   
CREATE TABLE #REST_30310(REST NUMERIC(18,2))

DECLARE @Cur2 CURSOR
SET @Cur2 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.10%'

OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30310 (REST)
			SELECT REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT)

	END

	FETCH NEXT FROM @Cur2 INTO @LINK_ACC
END

CLOSE @Cur2
DEALLOCATE @Cur2

--  ר 303.07 (  )   
CREATE TABLE #REST_30307(REST NUMERIC(18,2))

DECLARE @Cur3 CURSOR
SET @Cur3 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.07%'

OPEN @Cur3
FETCH NEXT FROM @Cur3 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30307 (REST)
			SELECT REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT)

	END

	FETCH NEXT FROM @Cur3 INTO @LINK_ACC
END

CLOSE @Cur3
DEALLOCATE @Cur3

--          1
DECLARE @KAU_S1 INT, @KAU_S2 INT

SET @KAU_S1 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s1')
SET @KAU_S2 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s2')

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '100',
	C3 = ISNULL((SELECT SUM(REST) FROM #REST_30310),0),
	0,0,
	6 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S1),0),
	7 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S2),0),
	C8 = ISNULL((SELECT SUM(REST) FROM #REST_30307),0)



-----  ,   ,     7  8    24  2009  212-
----- (       ,    ,
-----      ,        , ,
-----  ,   ,        ,
-----  ,    ,          )
-----    
/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '202',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
*/
-----

--,        
DECLARE @LIMIT NUMERIC(18,2)

SELECT
	@LIMIT  = MIN(S.PREDEL)
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	tarif =1
	and
	[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT = ISNULL(@LIMIT,0)


--,        
DECLARE @LIMIT_OMS NUMERIC(18,2)

SELECT @LIMIT_OMS = MAX(S.PREDEL)
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


--  ,        (%)
--   
--    2014         ,      " 1967"
DECLARE
	@PERCENT NUMERIC(18,2),
	--    2014  
	-- @PERCENT_N NUMERIC(18,2)  --
	@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
	
SELECT
	@PERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT3 > 0
	
SET @PERCENT = ISNULL(@PERCENT,0)	


--
SELECT @PERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0

--
SELECT @IPERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0	

SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

--  
---  
DECLARE @IPERCENT NUMERIC(28,2)
SELECT @IPERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERCENT = ISNULL(@IPERCENT,0)

	
---     2014  
/*   */
-----

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0



declare @dateBeg_mon1 datetime , @dateBeg_mon2 datetime, @dateBeg_mon3 datetime ,
		@dateEND_mon1 datetime , @dateEND_mon2 datetime, @dateEND_mon3 DATETIME,
		@NAvgCountM1 INT, @NAvgCountM2 INT,@NAvgCountM3 INT

SELECT @datebeg_mon1 = dbo.ConvertDMY2Date(1,@nMONTH1,year(@START_DATE)),
		@datebeg_mon2 = dbo.ConvertDMY2Date(1,@nMONTH2,year(@START_DATE)),
		@datebeg_mon3 = dbo.ConvertDMY2Date(1,@nMONTH3,year(@START_DATE)),
		@dateEND_mon1 = dbo.DateEndOfMonth(@datebeg_mon1), 
		@dateEND_mon2 = dbo.DateEndOfMonth(@datebeg_mon2),
		@dateEND_mon3 = dbo.DateEndOfMonth(@datebeg_mon3)


-- 11.1_1.2 
--   ,  (.) - 010  - 
-- 
---          1 ,     ,    
  

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110010',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 6 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		


 
-- 11.1_1.2
--   ,            (.) - 020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110020',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 6 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		


--     ,             (.) - 021
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110021',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0),	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) ,0) 	

-- 11.1_1.2
--    ,        - 030
--      ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110030',
			
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		


-- 11.1_1.2
--,       - 040
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110040',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))


-- 11.1_1.2
-- ,     
--   :      
--                - 051
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110051',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))

	
-- 11.1_1.2
--    (.061+.062)
--  ,       
--       - 061
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110061',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))



DECLARE @PERC1 NUMERIC(28,2), @IPERC1 NUMERIC(28,2)
--  
SELECT @PERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @PERC1 = ISNULL(@PERC1,0)	
--  
SELECT @IPERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERC1 = ISNULL(@IPERC1,0)	
-- 11.1_1.2
--  ,       
--       - 061
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110062',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2) ,0)) * @PERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))) * @PERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0)) * @PERC1)/100	

update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '0110062' )) ,
	C4 = (c4 - (select c4 from #RES2 where code_str = '0110062' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '0110062' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '0110062' ))
from #RES2
where code_str = '0110061'
	
-- 11.1_1.2	- 1010 - 1060
-----     
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0111010',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0  AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0),	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 

--   ,       ,
--  (.) - 1020


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0111020',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0  AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0),	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 

-- 11.1_1.2

--    ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111030',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
FROM #SALARY_SUM2		
-- 11.1_1.2
--,       - 1040
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111040',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))



SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END INTO #SPR_ESN1M FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2M
FROM
	#SPR_ESN1M T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1M T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1M T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

	

/*---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '213',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH3) ,0))
*/


-- 11.1_1.2
--        - 1060
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111060',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  /*AND INO = 0*/ AND I = 1) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	


--    
/*
--   
 1.           -1       .
 2.        ,   .
 3.        ,   .
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT6_1 INT
SET @SALARY_OPTIONS_OPT6_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT6_1')


------------------------------------------------------------------------------------
-----    2014 
	IF ISNULL(@PERCENT,0) > 0
	BEGIN
		--    	
		SELECT
			@C3S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),

			@C3SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
				)
			),

			@C4S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),

			@C4SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
				)
			),			
			
			@C5S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),		

			@C5SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
				)
			),					

			@C6S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)						
			),

			@C6SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
				)
			)	
			
		FROM #RES2
		WHERE
			CODE_STR IN ('0110030', '0110040', '0110051')
		IF @SALARY_OPTIONS_OPT6_1 = 1
		BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0)
						ELSE ISNULL(@C3SS,0)
					END,			
				C4 = ISNULL(@C4SS,0),
				C5 = ISNULL(@C5SS,0),
				C6 = ISNULL(@C6SS,0)
			WHERE
				CODE_STR = '0110061'
			
		END

------------------------------------------------------------------------------------
		--     
		
		--   

		
		IF @SALARY_OPTIONS_OPT6_1 = 3
		BEGIN
			UPDATE #RES2
			SET
				C3 = C3 + ISNULL(@C3S,0),
				C4 = C4 + ISNULL(@C4S,0),
				C5 = C5 + ISNULL(@C5S,0),
				C6 = C6 + ISNULL(@C6S,0)			
			WHERE
				CODE_STR = '0110040'
		END		
	
	END	

---    2014 
	--IF @SALARY_OPTIONS_OPT6_1 = 1
	--BEGIN
	--		UPDATE #RES2
	--		SET
	--			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
	--			C4 = ISNULL(@C4NS,0),
	--			C5 = ISNULL(@C5NS,0),
	--			C6 = ISNULL(@C6NS,0)
	--		WHERE
	--			CODE_STR = '251'
	--END


	--IF @SALARY_OPTIONS_OPT6_1 = 3
	--BEGIN
	--	UPDATE #RES2
	--	SET
	--		C3 = C3 + ISNULL(@C3N,0),
	--		C4 = C4 + ISNULL(@C4N,0),
	--		C5 = C5 + ISNULL(@C5N,0),
	--		C6 = C6 + ISNULL(@C6N,0)			
	--	WHERE
	--		CODE_STR = '212'
	--END		

--END		
---SELECT * FROM #RES2 WHERE CODE_STR IN('210','211','212','213','214')

IF ISNULL(@PERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		)					
	FROM #RES2
	WHERE
		CODE_STR IN ('0111030', '0111040')

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE
			CODE_STR = '0111060'
		
	END

--	SELECT @C3N , @C4N, @C5N , @C6N
	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN ( select C3 from #RES2 where code_str = '0111030') < ( C3 + ISNULL(@C3N,0)) THEN ( select C3 from #RES2 where code_str = '0111030') ELSE ( C3 + ISNULL(@C3N,0)) END ,
			C4 = CASE WHEN ( select C4 from #RES2 where code_str = '0111030') < ( C4 + ISNULL(@C5N,0)) THEN ( select C4 from #RES2 where code_str = '0111030') ELSE ( C4 + ISNULL(@C4N,0)) END ,
			C5 = CASE WHEN ( select C5 from #RES2 where code_str = '0111030') < ( C5 + ISNULL(@C5N,0)) THEN ( select C5 from #RES2 where code_str = '0111030') ELSE ( C5 + ISNULL(@C5N,0)) END  ,
			C6 =  CASE WHEN ( select C6 from #RES2 where code_str = '0111030') < ( C6 + ISNULL(@C6N,0)) THEN ( select C6 from #RES2 where code_str = '0111030') ELSE ( C6 + ISNULL(@C6N,0)) END			
		WHERE
			CODE_STR = '0111040'
	END		
END		



---------------
/******** 1.3.1          
       ,    1  2 428  
                                     
**********/
--1131
---   ,       
--        (.)   010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT '0130010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where  WAY_CALC = 10 and SP = '' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = '' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = '' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)

--1131
---    ,      .1  - 020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0) )
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)  + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	

--1131
--,      .1 - 030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	


--1131
---       .1 - 050
---*
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'0130050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 and SP = ''	



/********--1131**********/
/*******  2 *********/

---   ,       
--        (.) .2 -  1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0131010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where  WAY_CALC = 11 and SP = '' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = '' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = '' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)

--1131
---     ,      .2  -  1020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''		
--1131
--,      .2   - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''	

--1131
---       .2  - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'0131050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 and SP = ''	



/******** 1.3.2         
*         ,  
*   3  428    ***********/
--1132_1

/********         1**********/
/*******    - ,    - 4  *****/

--- 4   ,       
--        (.) - 1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013211010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)

---4     ,      - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'	


--4 ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'

---***4        - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013211050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'

/********         1**********/
/*******    - ,    - 3.4  *****/

--- ***3.4   ,             (.) - 2010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013212010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.4     ,      - 2020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

--- 3.4 ,       - 2030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

---3.4        - 2050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013212050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'


/********         1**********/
/*******   - ,    - 3.3  ******/

---3.3   ,             (.) - 3010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013213010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.3' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.3' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.3' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.3     ,       - 3020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'	

--3.3 ,      - 3030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'


---*3.3        - 3050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013213050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.3'


/********         1**********/
/*******   - ,    - 3.2 *****/
--- 3.2   ,             (.) - 4010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013214010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.2' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.2' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.2' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.2     ,      - 4020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

--3.2 ,       - 4030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

---*3.2        - 4050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013214050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'


/*******    - ,    - 3.1 *****/
-- 3.1   ,             (.) - 5010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013215010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.1' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.1' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.1' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.1     ,      - 5020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	

--3.1 ,       - 5030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	


---*3.1        - 5050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013215050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'



/********         2**********/
/******** 1.3.2         
*                ,  
*          3  428    ***********/
/*******    - ,    - 4  ******/

--- 4   ,             (.) - 1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013221010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)


--- 4     ,      - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'	



--4 ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'


---4        - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013221050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'



/********         2**********/
/*******    - ,    - 3.4  *****/

--- 3.4   ,             (.)  -  2010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013222010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.4     ,      - 2020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	

--3.4 ,      - 2030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	



---*3.4      ,  - 2050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013222050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'



/*******   - ,    - 3.3  ******/

--3.3   ,             (.) - 3010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013223010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.3' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.3' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.3' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)

-- 3.3     ,      - 3020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '3.3'	

--3.3 ,      - 3030 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'

---*3.3        - 3050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013223050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.3'



/********         2**********/
/*******   - ,    - 3.2 *****/

--- 3.2   ,             (.) - 4010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013224010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.2' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.2' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.2' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)


--- 3.2     ,      - 4020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	

--3.2 ,      - 4030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	


---**3.2        - 4050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013224050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'


/******* 2.4****    - ,    - 3.1 *****/
-- 3.1   ,             (.) - 5010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013225010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.1' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.1' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.1' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)


--- 3.1     ,      - 5020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	

--3.1 ,      5030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	


---*3.1        - 5050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013225050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'

--select * from #RES2
--------------------------------------------------------------------------
---***  2       
---***     
---***        1
---***  4 
--------------------------------------------------------------------------
----              
SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end), 
		 CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS]) ,month_base = month(j.period_end)
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = pe.LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE ,  month(j.period_end)

----    
SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS_all
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = pe.LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 

/*
DECLARE @PERCENT_FSS NUMERIC(3,2)
SELECT @PERCENT_FSS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 2
WHERE
	predel < 999999999.00
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3  AND P.WAY_CALC = 2 AND [DATE] < @END_DATE where 	s1.predel < 999999999.00
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0	
SELECT @PERCENT_FSS
SET @PERCENT_FSS = ISNULL(@PERCENT_FSS,0)
*/

--SELECT percent1 FROM STAVKI AS sp WHERE year([DATE]) = '2017' AND predel <> 999999999.00 AND tarif = 1 AND comment LIKE '%%'
/**/

---  
Declare @StBase3 table (link int)
Insert into @StBase3 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 2)


--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(GT.SUMMA_BASE) , resident  = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) 
INTO #DGH_FAKT_BASE_FSS
FROM 
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.person p on p.link = GT.PERS_LINK
	left join CITIZENSHIP c ON c.LINK= p.CITIZ_LINK
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY GT.PERS_LINK, MONTH(G.[DATE]), c.code

CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


---------
SELECT cnt_empl = count(plink),MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO)
INTO #SALARY_SUM2_FSS
FROM 
(
select 
	plink = e.link,
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END) --     
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase3 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = e.PERS_LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY
	Month(CJ.PERIOD_BEGIN),e.link
UNION ALL	
select 
	Plink = B.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)) --     
from 
	#DGH_CJ CJ
	LEFT JOIN #DGH_FAKT_BASE_FSS B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN),B.pers_link
) AS T
GROUP BY 
	MON




DECLARE @SALARY_OPTIONS_OPT5_2 INT
SET @SALARY_OPTIONS_OPT5_2 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT5_2')
/********** 
*  12 -  2       
*      
*         1
**********/

---   ,  (.)   1  2   -   1010
/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT 
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021010' ELSE '020010' end,
	@NAvgCount,
	isnull((
		SELECT MAX(t.CNT) 
		FROM 
			(SELECT CNT = @NAvgCountM1
			 UNION SELECT CNT = @NAvgCountM2
			 UNION	SELECT CNT = @NAvgCountM3)t
			)  ,0),
	@NAvgCountM1,
	@NAvgCountM2,
	@NAvgCountM3
*/
/*          */
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021010' ELSE '020010' end,
	CASE WHEN @nMONTH3 = 3 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE =2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3  ) T
			),0)
		WHEN @nMONTH3 = 6 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE =2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 ) T
			),0) 
		WHEN @nMONTH3 = 9 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE =2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9) T
			),0) 
		WHEN  @nMONTH3 = 12 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE =2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 10 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 11 
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 12 ) T
			),0) 				
	END,	
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3 ) T
			),0),

	 ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1) ,0),
	 ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	 ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 


/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110010',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 6 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		
*/
--12 2     ,      -  2  -   1020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021020' ELSE '020020' end,
	CASE @nMONTH3
		WHEN 3 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=3  )
		WHEN 6 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=6  )
		WHEN 9 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=9  )
		WHEN 12 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=12  )
	END,	
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH1  ),
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH2  ),
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH3  )

--12 2 ,      -   1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021030' ELSE '020030' end,
	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=3 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=3),0)
		WHEN 6 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=6 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=6),0)
		WHEN 9 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=9 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=9),0)
		WHEN 12 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=12 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=12),0)
	END , 
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH1 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH1),0),
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH2 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH2),0),
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH3 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH3),0)



-----      
DECLARE @LIMIT_FSS NUMERIC(18,2)

SELECT @LIMIT_FSS = MAX(S.PREDEL)
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @LIMIT_FSS = ISNULL(@LIMIT_FSS,0)

--  ,        (%)
DECLARE 
	@PERCENT_FSS NUMERIC(18,2)

--  	
SELECT @PERCENT_FSS = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	predel = @LIMIT_FSS
	and tarif =1
	and 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @PERCENT_FSS = ISNULL(@PERCENT_FSS,0)


SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1_FSS FROM #SPR_ESN WHERE MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2_FSS
FROM 
	#SPR_ESN1_FSS T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1_FSS T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1_FSS T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--12 2 ,         -   1040
--,        ,     . 8    24 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021040' ELSE '020040' end,
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M <=@nMONTH3),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH1),0),
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH2),0),
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH3),0)
-----<<<<<<<<<<<<<<<<<<<

--12 2     ,         , 
--   ,  ,   - 
--   -    1054

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1Res_FSS FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2Res_FSS
FROM 
	#SPR_ESN1Res_FSS T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1Res_FSS T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1Res_FSS T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--12 2 ,         -   1040
--,        ,     . 8    24 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021054' ELSE '020054' end,
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN WHERE INO = 1 AND way_calc = 2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M <= @nMONTH3),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH1) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH1),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH2),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH3) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH3),0)



---12     - 1060


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT 
CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021060' ELSE '020060' end, 
  (select ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE <= @nMONTH3 AND way_calc = 2),
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH1 AND way_calc = 2) ,
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH2 AND way_calc = 2) ,
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH3 AND way_calc = 2) 


-- 12       - 1070 

---          

/*EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.02', 
	@sKT_ACC_LINE='_.302.13', 
	@sDT_EKR_FILTER='CODE <> ''290'''
*/

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021070' ELSE '020070' end,  
	3 = ISNULL((SELECT SUM(SUMMA) FROM #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS WHERE cj.link_ekr = @LINK_EKR213  AND cj.way_calc <> 5 and P.[OBJECT] = 1  and year(cj.period_begin) = @nYEAR ),0),
	0,
	5= ISNULL((SELECT SUM(SUMMA) FROM  #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS  WHERE cj.link_ekr = @LINK_EKR213 AND cj.way_calc <> 5 and P.[OBJECT] = 1  and year(cj.period_begin) = @nYEAR AND month(cj.period_begin) = @nMONTH1 ),0), 
	6= ISNULL((SELECT SUM(SUMMA) FROM #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS  WHERE cj.link_ekr = @LINK_EKR213 AND cj.way_calc <> 5  and P.[OBJECT] = 1 and year(cj.period_begin) = @nYEAR AND month(cj.period_begin) = @nMONTH2 ),0),
	7= ISNULL((SELECT SUM(SUMMA) FROM #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS  WHERE cj.link_ekr = @LINK_EKR213 AND cj.way_calc <> 5  and P.[OBJECT] = 1 and year(cj.period_begin) = @nYEAR AND month(cj.period_begin) = @nMONTH3),0)

-- 12       - 1070 
--("_.303.02","_.302.13"," >='01.01'  <")
--("_.303.02","_.302.13"," =(1)")
--("_.303.02","_.302.13"," =(2)")
--("_.303.02","_.302.13"," =(3)")
-- 12        - 1080
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))
EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sKT_ACC_LINE='_.303.02', 
	@sDT_EKR_FILTER='CODE <> ''290'''


/* DECLARE @Res float
SET @Res = 0
exec [dbo].RSS_RpSV_17_FNS_PREPARE @Res output, '', '20170101', '20170331', 3, 0, 5020
select @Res 	
*/


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021080' ELSE '020080' end,  
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and (Y_p >= @nYEAR OR Y_p = 0 )),0),
	0,
	5= ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH1 ),0), 
	6= ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH2  ),0),
	7= ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH3 ),0)
	

	
DROP TABLE  #PLAT


--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," >='01.01'  <=(3)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(1)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(2)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(3)")
-- 12    ,   (       ) -  1090
-- 1090 = 1070 - 1080
--    
/*
--   
 1.           4-       . 
 2.        ,   . 
 3.        ,   . 
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT5_1 INT 
SET @SALARY_OPTIONS_OPT5_1 = dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT5_1')



--------------------------------------------------------
IF @SALARY_OPTIONS_OPT5_2 = 2
BEGIN
IF ISNULL(@PERCENT_FSS,0) > 0
BEGIN

	--    	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2), 
			(
				SUM( 
					(CASE WHEN CODE_STR = '021020' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C3  ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT C3 FROM #RES2 WHERE CODE_STR in ('021060'))
			) / @PERCENT_FSS/100
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021020' THEN C3  ELSE 0 END) 
					-(CASE WHEN CODE_STR = '021030' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C3  ELSE 0 END) --     
				) * @PERCENT_FSS/100
				+
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021054' THEN C3  ELSE 0 END)  --   
				) * 1.8/100			
			)
		),		
		@C4N = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021020' THEN C4  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C4  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C4  ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100	
		),
		@C4NS = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C4 ELSE 0 END) --     		
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021054' THEN C4  ELSE 0 END) --   
				) * 1.8/100		
			)
		),		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C5 ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100			
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C5 ELSE 0 END) --     				
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021054' THEN C5  ELSE 0 END) --   
				) * 1.8/100			
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C6 ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100							
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C6 ELSE 0 END) --     					
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021054' THEN C6  ELSE 0 END) --     	
				) * 1.8/100				
			)
		)		
	FROM #RES2
	WHERE
		CODE_STR IN ('021020', '021030', '021040', '021054','021060')

	IF @SALARY_OPTIONS_OPT5_1 = 1
	BEGIN
		-- . 1 
		UPDATE #RES2
		SET C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)				 
		WHERE 
			CODE_STR = '021060'
		
	END

	IF @SALARY_OPTIONS_OPT5_1 = 3
	BEGIN
	
		UPDATE #RES2
		SET C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)	 
		WHERE 
			CODE_STR = '021030'
	
	END

end
END 
ELSE BEGIN 
		IF ISNULL(@PERCENT_FSS,0) > 0
		BEGIN

			--    	
			SELECT 
				@C3N = CONVERT(NUMERIC(18,2), 
					(
						SUM( 
							(CASE WHEN CODE_STR = '020020' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C3  ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT C3 FROM #RES2 WHERE CODE_STR in ('020060'))
					) / @PERCENT_FSS/100
				),
				@C3NS = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030403)  = 
							(CASE WHEN CODE_STR = '020020' THEN C3  ELSE 0 END) 
							-(CASE WHEN CODE_STR = '020030' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C3  ELSE 0 END) --     
						) * @PERCENT_FSS/100
						+
						SUM( -- 4 (030403)  = 
							(CASE WHEN CODE_STR = '020054' THEN C3  ELSE 0 END)  --   
						) * 1.8/100			
					)
				),		
				@C4N = CONVERT(NUMERIC(18,2), 
					(
						SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020020' THEN C4  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C4  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C4  ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '020060')
					) / @PERCENT_FSS/100	
				),
				@C4NS = CONVERT(NUMERIC(18,2), 
					(
						SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020020' THEN C4 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C4 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C4 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C4 ELSE 0 END) --     		
						) * @PERCENT_FSS/100
						+ SUM( -- 4 (030403)  = 
							(CASE WHEN CODE_STR = '020054' THEN C4  ELSE 0 END) --   
						) * 1.8/100		
					)
				),		
				@C5N = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C5 ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '020060')
					) / @PERCENT_FSS/100			
				),
				@C5NS = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C5 ELSE 0 END) --     				
						) * @PERCENT_FSS/100
						+ SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020054' THEN C5  ELSE 0 END) --   
						) * 1.8/100			
					)
				),		
				@C6N = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C6 ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '020060')
					) / @PERCENT_FSS/100							
				),
				@C6NS = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C6 ELSE 0 END) --     					
						) * @PERCENT_FSS/100
						+ SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020054' THEN C6  ELSE 0 END) --     	
						) * 1.8/100				
					)
				)		
			FROM #RES2
			WHERE
				CODE_STR IN ('020020', '020030', '020040', '020054','020060')

			IF @SALARY_OPTIONS_OPT5_1 = 1
			BEGIN
				-- . 1 
				UPDATE #RES2
				SET C4 = ISNULL(@C4NS,0),
					C5 = ISNULL(@C5NS,0),
					C6 = ISNULL(@C6NS,0)				 
				WHERE 
					CODE_STR = '020060'
				
			END

			IF @SALARY_OPTIONS_OPT5_1 = 3
			BEGIN
			
				UPDATE #RES2
				SET C3 = C3 + ISNULL(@C3N,0),
					C4 = C4 + ISNULL(@C4N,0),
					C5 = C5 + ISNULL(@C5N,0),
					C6 = C6 + ISNULL(@C6N,0)	 
				WHERE 
					CODE_STR = '020030'
			
			END

		end
	END 
	

	---  1
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'111' ,
	4 = case when (ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 > 0 
			 then
			 	abs(ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
			ELSE 0.00 END 
---  2				
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'112' ,
	4 = case when (ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0)) > 0
				then 
				abs(ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 
---  3						
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'113' ,
	4 = case when (ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 > 0
				then abs(ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END
---  
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	CODE_STR =  '110',
	4 = case when (ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 > 0
			  then abs(ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
			  ELSE 0.00 END
	---  1			
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'121',   
	4 = case when (ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 < 0
				then 
				abs(ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 						
	---  2			
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'122',   
	4 = case when (ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 < 0
				then 
				abs(ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 					
	---  3
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'123' ,
	4 = case when (ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	< 0
				then abs(ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 
				
	---  			
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	CODE_STR =  '120',
	4 = case when (ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0)) < 0
			  then abs(ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
			  ELSE 0.00 END	



---------------------------------------------------------------------
/********* 13  3       
*          , 
*        
*   1  *************************************/
---------------------------------------------------------------------
DECLARE 
	@P0300103 INT, -- 
	@P0300104 NUMERIC(18,2),  --   
	@P0300105 NUMERIC(18,2), --     

	@P0300113 INT, --    
	@P0300114 NUMERIC(18,2),  --     
	@P0300115 NUMERIC(18,2), --        
	
	@P0300203 INT, --    
	@P0300204 NUMERIC(18,2),  --    
	@P0300205 NUMERIC(18,2), --      
	
	@P0300213 INT, --        
	@P0300214 NUMERIC(18,2),  --       
	@P0300215 NUMERIC(18,2),  --         
	
	@P0300303 INT, --     
	@P0300304 NUMERIC(18,2),  --     
	@P0300305 NUMERIC(18,2), --       

	@P0300313 INT, --         
	@P0300314 NUMERIC(18,2),  --        
	@P0300315 NUMERIC(18,2),  --          

	--            
	@P0300613 INT, -- 
	@P0300614 NUMERIC(18,2),  --   
	@P0300615 NUMERIC(18,2), --  

	--              
	@P0300623 INT, -- 
	@P0300624 NUMERIC(18,2),  --   
	@P0300625 NUMERIC(18,2) --  

---	
SELECT 
	@P0300103 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 or  (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN NULL ELSE A.LINK END) ),
	@P0300113 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) = 2 THEN A.LINK ELSE NULL END), 
	@P0300203 = COUNT(DISTINCT (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END) ), 
	@P0300213 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END), 
	@P0300303 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) ), 
	@P0300313 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) 
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK
	INNER JOIN DBO.SDOC_ADIS_TABLE1 T ON T.LINK_UP = A.LINK AND T.PAYER = 0
	inner join dbo.DIS d on d.link = a.ref_arhe 
	left  JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left  JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	A.LINK_DEP = @DEP_LINK 
	AND A.FLAG_JC = 1 --
	AND YEAR(A.[DATE]) = YEAR(@BYearDate) --   
	AND MONTH(A.[DATE]) <= MONTH(@END_DATE) --   
	and isnull(D.REF_DOC,0) = 0


---	
SELECT 
	---    (        )
	@P0300104 = SUM( (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END) * ISNULL(A.FSS_DAYS,0)), --(DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	@P0300114 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	

	--      ,    ,     
	@P0300204 = SUM(  (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--      ,    ,     
	@P0300214 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END) * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	

	--       ,    ,     
	@P0300304 = SUM(  COALESCE(A.DEKRET,0)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--       ,    ,     
	@P0300314 = SUM( (CASE WHEN STATUS_EMPL = 3  AND COALESCE(A.DEKRET,0) = 1 THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0))--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK 
		INNER JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	LINK_DEP = @DEP_LINK 
	AND FLAG_JC = 1 --
	AND YEAR(DATE) = YEAR(@BYearDate) --   
	AND MONTH(DATE) <= MONTH(@END_DATE) --   


--     (  ,     
--      ,     ,  , 
--    -    )       010

INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0010
SELECT '030010',
	@P0300103, 
	@P0300104,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2  AND  RESIDENT = 2 ),0)  -- @P0300105
	
--           011
INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0011
SELECT '030011', 
	@P0300113, 
	@P0300114,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND  RESIDENT = 2),0) -- @P0300115

--           ,     ,  ,    -            020
INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0020
SELECT '030020', 
	@P0300203, 
	@P0300204,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND RESIDENT <>2),0)--@P0300205, 

--           021
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0021 
SELECT '030021', 
	@P0300213, 
	@P0300214,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND RESIDENT <>2),0)--@P0300215, 

--           030
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0030
SELECT '030030', 
	@P0300303, 
	@P0300304,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3),0)--@P0300305, 

--           031
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0031
SELECT '030031', 
	@P0300313, 
	@P0300314,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3 AND [STATUS] = 3),0)--@P0300315, 

--   ,                  040
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030040',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0)


--              050
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030050', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0)
	
--             060
--   061 + 062 
--   :              061
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030061',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0)	, 
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0)

--              062
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030062',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0)

--        -        070
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030070', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 8),0)	,
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 8),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 8),0)
--  ,          -        080
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030080', 0 , 0, ISNULL((SELECT SUM(SUMMA)*(@PERCENT_FSS/100) FROM #ATR_4FSS WHERE F4FSS = 8),0)

--                  090
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030090', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 9),0)	,	
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 9),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 9),0)

--         100

-- :            110
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030110', 0,0,0
----------------------------------------------------------------------
/********************************************************************/
----------------------------------------------------------------------

/***************   -  ******************************** */

/***********************************************************************************************************/
----  1  9 
/************************************************************************************************************/

---   
CREATE TABLE #RAZD1P9 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD1P9 (LINK,COL2,COL3,COL4,COL5)
SELECT DISTINCT 
	LINK = PERS_link , 
	COL2 = CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 7 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 8 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 9 THEN SUMMA_ALL_INO ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 7 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 8 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 9 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 10 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 11 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 12 THEN SUMMA_ALL_INO ELSE 0 END))	 					 	 					 			 					
			END,			
			
		COL3 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH1 THEN SUMMA_ALL_INO ELSE 0 END)),
		COL4 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH2 THEN SUMMA_ALL_INO ELSE 0 END)),
		COL5 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH3 THEN SUMMA_ALL_INO ELSE 0 END))
FROM 
	#SALARY_SUM_DATA	
WHERE  INO = 1
GROUP BY PERS_link 


DROP TABLE #SALARY_SUM_DATA	

DECLARE @Table_Razd1p9 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1p9 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1p9 + ' from #RAZD1p9')
EXEC dbo.BufferClear
EXEC dbo.BufferPush -117, @Table_Razd1p9

/*
declare @Res float
 exec RSS_RPSV_17_FNS_PREPARE @Res output , '' , '20160101' , '20161231', 1 , 1, 3223

select  @Res 
 

*/
/*
---------------
/******** **********/

DECLARE @Date1M datetime, @Date2M datetime, @Date3M datetime

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

if @nMONTH3 =3
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0101')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0201')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0301')
end
if @nMONTH3 =6
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0401')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0501')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0601')
end
if @nMONTH3 =9
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0701')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0801')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0901')
end
if @nMONTH3 =12
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1001')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1101')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1201')
end

/*            ,   3.1 -3.2   */
/*    */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))

/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '331',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))	

/*     */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '332',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))	

*/
*/
/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -116, @Table_Razd1

DROP TABLE #RES2
















GO


GRANT EXECUTE ON dbo.[RSS_RPSV_17_FNS_PREPARE] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_4FSS_EXPORT_v093]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_4FSS_EXPORT_v093]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].SA_4FSS_EXPORT_v092       42251*/
CREATE      PROCEDURE [dbo].SA_4FSS_EXPORT_v093 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)

SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DD1.Email ,
	DA.[ADDRESS] , 
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3,
	BUDG_ORG = dd1.buh_type,
	BUDG_CODE	= CASE WHEN dd1.buh_type = 2 then	( select (case when a.budg_code = '01' THEN '1' 
																 WHEN a.budg_code in ('2','02') THEN '2'
																 WHEN a.budg_code IN ('05','04','10','13') THEN '3'	
																 ELSE '4' END )
															 FROM  ( SELECT DISTINCT budg_code from BI_DICTION_ADMIN_BS WHERE code = 
															 (SELECT  distinct code_adm = left(xd.kbk_code,3) 		 
															 FROM dbo.XD_DEP_KBK xd
															  WHERE xd.DEP_LINK = DD1.link AND xd.Type_Str = ''		AND USED_ALL =1 )) a )
					ELSE '' END 
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = FSS_REG_NUM + '_' + CONVERT(VARCHAR(4),@YEAR)  + '_' +  (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.93"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<F4REPORT xmlns="http://fz122.fss.ru" xmlns:xsd="http://www.w3.org/2001/XMLSchema-instance" xsd:schemaLocation="http://fz122.fss.ru/doc/f4form_2017.xsd">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<TITLE'
		+ ' REG_NUM="' + LTRIM(RTRIM(FSS_REG_NUM)) + '"'
		+ ' KPS_NUM="' + LTRIM(RTRIM(FSS_KOD_P)) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' YEAR_NUM="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' QUART_NUM="' + (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '"'
		+ ' NumCorr="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' NumDot="' + LTRIM(RTRIM(CONVERT(VARCHAR(2),@NumDot))) + '"' -- 
		+ ' LIKV="' +LTRIM(RTRIM(CONVERT(VARCHAR(1),@nLIKV))) + '"'
		+ ' NAME="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"','&quot;'))) + '"'
		+ ' INN="' + LTRIM(RTRIM(INN1)) + '"'
		+ ' KPP="' + LTRIM(RTRIM(KPP1)) + '"'
		+ ' OGRN="' + LTRIM(RTRIM(OGRN)) + '"'
		--+ ' OKOPF="' + LTRIM(RTRIM(OKOPF)) + '"'
		--+ CASE WHEN @OKATO_OR_OKTMO = 1 THEN  (' OKATO="' + REPLACE(LTRIM(RTRIM(OKATO)),' ','') + '"') ELSE (' OKTMO="' + REPLACE(LTRIM(RTRIM(OKTMO)),' ','') + '"') END
		--+ ' OKPO="' + LTRIM(RTRIM(OKPO)) + '"'
		--+ ' OKFS="' + LTRIM(RTRIM(OKFS)) + '"'
		--
		+ ' PHONE="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ' ') + '"'
		+ ' CADDR="'+left(LTRIM(RTRIM(ADDR_STR)),128)+'"'
		+ ' EMAIL="'+LTRIM(RTRIM(EMAIL))+'"'
		+ ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"'
		--+ ' TaxType="' + LEFT(LTRIM(RTRIM(TaxType)),3) + '"' -- ( )
		--+ ' TaxType2="' + LEFT(LTRIM(RTRIM(TaxType2)),2) + '"' -- ( )
		--+ ' TaxType3="' + LEFT(LTRIM(RTRIM(TaxType3)),2) + '"' -- ( )		
		+ ' T1R1C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 1, 3)),0)))) + '"' -- 	
		+ ' BO_IF="'+ LTRIM(RTRIM(BUDG_CODE))+ '"'
		--+ ' T1R2C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 2, 3)),0)))) + '"' -- : 	
		+ ' T1R4C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 3, 3)),0)))) + '"' -- :  	
		+ ' T1R6C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 4, 3)),0)))) + '"' -- : ,       ()   	
		+ ' Upoln="1"'
		+ ' CEO="' + LTRIM(RTRIM(CHIEF_FIO)) + '"'
		+ ' CRE_DATE="' + convert(varchar(10),@modify_date,120) + '"'
		--+ ' WRO="' + LEFT(FSS_REG_NUM,4) + '"'
		--+ ' CFO="' + LTRIM(RTRIM(GLBUH_FIO)) + '"'
		--+ ' AUTHOR="' + ISNULL(dbo.AdminGetUserFIO(default),'') + '"'
		+ '/>'
		FROM #DEP_DATA
--  /**  I **/

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INFO '		



		-- 1  2  3
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 3) WHERE SUMMA2 <> 0
		-- 1  2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2,4) WHERE SUMMA2 <> 0
		-- 1  2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 5) WHERE SUMMA2 <> 0
		-- 1  2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 6) WHERE SUMMA2 <> 0
		
		-- 1  3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 3) WHERE SUMMA2 <> 0
		-- 4	
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4) WHERE SUMMA2 <> 0
		--  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 5) WHERE SUMMA2 <> 0
		--  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 6) WHERE SUMMA2 <> 0

		-- 1  4  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 3) WHERE SUMMA2 <> 0
		-- 4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4) WHERE SUMMA2 <> 0
		-- 5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 5) WHERE SUMMA2 <> 0
		-- 6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 6) WHERE SUMMA2 <> 0

		-- 1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_MIS="' + right(ltrim(rtrim(str(SUMMA2))),2)+'.' +substring(convert(varchar(4),(SUMMA2 - ROUND(SUMMA2, 0, 1))),3,1)  + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 3) WHERE SUMMA2 <> 0
		-- 1  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_DEC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 6, 3) WHERE SUMMA2 <> 0
		-- 1  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 3) WHERE SUMMA2 <> 0
		-- 1  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' INC_DATE="'
					+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
						WHEN 10 THEN
							SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
						WHEN 8 THEN
							'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
						ELSE
						''
					END + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 8,7) WHERE ISNULL(STR_VAL,'') <> ''


		
---		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA

		--  1 
		-- 2  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3) WHERE SUMMA2 <> 0

		-- 2  1_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R41C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3) WHERE SUMMA2 <> 0

		-- 2  2_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3) WHERE SUMMA2 <> 0
		-- 2_3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3) WHERE SUMMA2 <> 0
		-- 2_4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3) WHERE SUMMA2 <> 0
		-- 2_5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3) WHERE SUMMA2 <> 0
		
		-- 2  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3) WHERE SUMMA2 <> 0
		-- 2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R13C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3) WHERE SUMMA2 <> 0
		-- 2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R11C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 11, 3) WHERE SUMMA2 <> 0
		-- 2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R16C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 12, 3) WHERE SUMMA2 <> 0
		-- 2  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R17C61="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 13, 3) WHERE SUMMA2 <> 0
		-- 2  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R18C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 15, 3) WHERE SUMMA2 <> 0
		-- 2  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R39C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 17, 3) WHERE SUMMA2 <> 0
		-- 2  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R19C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 18, 3) WHERE SUMMA2 <> 0
		-- 2  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R40C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 20, 3) WHERE SUMMA2 <> 0
		-- 2  14_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R42C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 21, 3) WHERE SUMMA2 <> 0



		-- 2  15_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R21C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 23, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R23C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 24, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R24C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 25, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R25C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 27, 3) WHERE SUMMA2 <> 0
		-- 2  16_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R27C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R29C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R30C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R31C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 33, 3) WHERE SUMMA2 <> 0
		-- 2  17
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R38C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 35, 3) WHERE SUMMA2 <> 0
		-- 2  19
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R34C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4,36, 3) WHERE SUMMA2 <> 0
		-- 2  20
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R35C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 37, 3) WHERE SUMMA2 <> 0

		-- 
		-- 3  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4) WHERE SUMMA2 <> 0
		-- 3  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4) WHERE SUMMA2 <> 0
		-- 3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4) WHERE SUMMA2 <> 0
		-- 3  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4) WHERE SUMMA2 <> 0
		-- 3  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4) WHERE SUMMA2 <> 0
		-- 3  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4) WHERE SUMMA2 <> 0
		-- 3  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4) WHERE SUMMA2 <> 0
		-- 3  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4) WHERE SUMMA2 <> 0
		-- 3  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4) WHERE SUMMA2 <> 0
		-- 3  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R11C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5,11, 4) WHERE SUMMA2 <> 0


		-- 4
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' M' + CONVERT(VARCHAR(2),ROW) + '="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, DEFAULT, 3) WHERE ROW IN (1,2,3,5) AND SUMMA <> 0

		-- 5  1
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL3="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL4="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7) WHERE SUMMA <> 0

		-- 5  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 8) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 9) WHERE SUMMA <> 0
		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + '>'


		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 4)
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INFO>'
		
	/*	
		/* 1.1 ,      ,    2.1  22    24  1998 N125-*/
		CREATE TABLE #SVED (
			NUM_PP INT, REG_NOM VARCHAR(10), INN VARCHAR(12), OKVED VARCHAR(8), CHISL NUMERIC(6),
			B_ALL VARCHAR(25), B_INV VARCHAR(25), B_1M_ALL NUMERIC(18,2), B_1M_INV NUMERIC(18,2),
			B_2M_ALL NUMERIC(18,2), B_2M_INV NUMERIC(18,2), B_3M_ALL NUMERIC(18,2), B_3M_INV NUMERIC(18,2),
			STR_KL  NUMERIC(2,2) , STR_SK  NUMERIC(2,1) )
		
		CREATE TABLE #TAB1_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
			INSERT INTO #TAB1_1 (ROW_CODE, COL,SUMMA , SUMMA2, STR_VAL)
			SELECT ROW_CODE, COL,SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL



		INSERT INTO #SVED (NUM_PP, REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK)
		SELECT 
			NOM_PP = ROW_NUMBER() OVER (PARTITION BY REG_NOM ORDER BY REG_NOM), 
			REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK
		FROM (	
			SELECT DISTINCT
				REG_NOM = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 2 AND T.ROW_CODE = T11.ROW_CODE),
				INN = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL =3 AND T.ROW_CODE = T11.ROW_CODE),
				OKVED = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 4 AND T.ROW_CODE = T11.ROW_CODE),
				CHISL = (SELECT TOP 1 SUMMA FROM #TAB1_1 T WHERE T.COL = 5 AND T.ROW_CODE = T11.ROW_CODE),
				B_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 6 AND T.ROW_CODE = T11.ROW_CODE),
				B_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 7 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 8 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 9 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 10 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 11 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 12 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 13 AND T.ROW_CODE = T11.ROW_CODE),
				STR_KL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 14 AND T.ROW_CODE = T11.ROW_CODE),
				STR_SK = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 15 AND T.ROW_CODE = T11.ROW_CODE)
			FROM
				#TAB1_1 T11
			) as t	

			DROP TABLE #TAB1_1

		
		IF (SELECT COUNT(*) FROM #SVED ) > 0
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,
				SPACE(1) + '<F4DOGOV' 
					+ ' REG_NUM_P="' + LEFT(LTRIM(RTRIM(STR(REG_NOM))),10) + '"'
					+ ' INN_P="' + LEFT(LTRIM(RTRIM(INN)),12) + '"' 
					+ ' OKVED_P="' + LEFT(LTRIM(RTRIM(OKVED)),8) + '"' 
					+ ' WRK_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL(CHISL,0)))) + '"'
					+ ' FOT_="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_ALL,0)))) + '"' 
					+ ' FOTINV_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_INV,0)))) + '"'
					+ ' C1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_ALL,0)))) + '"'
					+ ' I1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_INV,0)))) + '"'
					+ ' C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_ALL,0)))) + '"' 
					+ ' I2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_INV,0)))) + '"' 
					+ ' C3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_ALL,0)))) + '"'
					+ ' I3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_INV,0)))) + '"' 
					+ ' RATE_MIS_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(4),ISNULL(STR_KL,0)))) + '"' 
					+ ' MIS_ALL_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(5),ISNULL(STR_SK,0)))) + '"/>'
			FROM #SVED
			ORDER BY NUM_PP

			DROP TABLE #SVED

		END
	*/
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, SPACE(0) + '</F4REPORT>'
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]












GO


GRANT EXECUTE ON dbo.[SA_4FSS_EXPORT_v093] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_PRINT_TABEL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_PRINT_TABEL]

GO

CREATE   PROCEDURE dbo.SA_PRINT_TABEL
	@varKSnLINKDoc INT,
	@varKSnOption1 INT= 1,
	@varKSnCheck1 INT = 0,
	@nSort3 int = 0 /* 3*/,
	@nCheck3 tinyint = 0 /* */,
	@nCheck5 tinyint = 0 /*   */,
	@varKSSUBDIV VARCHAR(254) OUTPUT, 
	@varKSSUBDIV_CODE VARCHAR(10) OUTPUT,
	@varKSDIV_CODE VARCHAR(10) OUTPUT, 
	@varKSDIV_NAME VARCHAR(254) OUTPUT,
	@varKSTI_CODE VARCHAR(10) OUTPUT, 
	@varKSTI_NAME VARCHAR(254) OUTPUT,
	@varKSEXP_CODE VARCHAR(10) OUTPUT, 
	@varKSEXP_NAME VARCHAR(254) OUTPUT

AS
BEGIN

	declare @varKSdDate1 DATETIME, @varKSdDate2 DATETIME
	SELECT @varKSdDate1 = PERIOD FROM TABELS WHERE LINK_DOC = @varKSnLINKDoc
	SELECT @varKSdDate1 = dbo.DateBeginOfMonth(@varKSdDate1)
	SELECT @varKSdDate2 = dbo.DateEndOfMonth(@varKSdDate1)

	CREATE TABLE #T_RES00 (
		ID VARCHAR(20),
		LINK_FACE INT, 
		LINK_EMPL INT,
		LINK_SOVM INT,
		FIO VARCHAR(254),
		NAME_EMPL VARCHAR(254),
		TN VARCHAR(10) ,
		STAKE NUMERIC(2,1),
		SUBDIV_LINK INT, 
		CODE_SUB VARCHAR(10),
		SUBDIV VARCHAR(254) ,
		POST_LINK INT,
		CODE_POST VARCHAR(10),
		POST VARCHAR(254) ,
		LINK_DAY INT,
		SYMB VARCHAR(4),
		DAY_1 CHAR(2),	DAY_2 CHAR(2),	DAY_3 CHAR(2),	DAY_4 CHAR(2),	DAY_5 CHAR(2),
		DAY_6 CHAR(2),	DAY_7 CHAR(2),	DAY_8 CHAR(2),	DAY_9 CHAR(2),	DAY_10 CHAR(2),
		DAY_11 CHAR(2),	DAY_12 CHAR(2),	DAY_13 CHAR(2),	DAY_14 CHAR(2),	DAY_15 CHAR(2),
		DAY_16 CHAR(2),	DAY_17 CHAR(2),	DAY_18 CHAR(2),	DAY_19 CHAR(2),	DAY_20 CHAR(2),
		DAY_21 CHAR(2),	DAY_22 CHAR(2),	DAY_23 CHAR(2),	DAY_24 CHAR(2),	DAY_25 CHAR(2),
		DAY_26 CHAR(2),	DAY_27 CHAR(2),	DAY_28 CHAR(2),	DAY_29 CHAR(2),	DAY_30 CHAR(2),
		DAY_31 CHAR(2),
		
		H_1 NUMERIC(6,2),  H_2 NUMERIC(6,2),  H_3 NUMERIC(6,2),  H_4 NUMERIC(6,2),  H_5 NUMERIC(6,2),  H_6 NUMERIC(6,2),
		H_7 NUMERIC(6,2),  H_8 NUMERIC(6,2),  H_9 NUMERIC(6,2),  H_10 NUMERIC(6,2), H_11 NUMERIC(6,2), H_12 NUMERIC(6,2),
		H_13 NUMERIC(6,2), H_14 NUMERIC(6,2), H_15 NUMERIC(6,2), H_16 NUMERIC(6,2), H_17 NUMERIC(6,2), H_18 NUMERIC(6,2),
		H_19 NUMERIC(6,2), H_20 NUMERIC(6,2), H_21 NUMERIC(6,2), H_22 NUMERIC(6,2), H_23 NUMERIC(6,2), H_24 NUMERIC(6,2),
		H_25 NUMERIC(6,2), H_26 NUMERIC(6,2), H_27 NUMERIC(6,2), H_28 NUMERIC(6,2), H_29 NUMERIC(6,2), H_30 NUMERIC(6,2),
		H_31 NUMERIC(6,2),
		
		HALF_D INT, HALF_H NUMERIC(6,2), 	
		HALF2_D INT, HALF2_H NUMERIC(6,2), 	
		ALL_D INT, ALL_H NUMERIC(6,2), 		
		NONE_DAYS INT, NONE_HOURS NUMERIC(6,2)	,
		
		TYPE_1 INT, TYPE_1H NUMERIC(6,2), TYPE_2H INT, TYPE_2 INT, TYPE_3 INT, TYPE_4 INT, TYPE_5 INT, TYPE_6 INT, 
		TYPE_7 INT, TYPE_8 INT, TYPE_9 INT, TYPE_10 INT, TYPE_11 INT, TYPE_12 INT,

		TYPE_13 INT,	--     
		TYPE_14 INT,	--     
		TYPE_15 INT,	--         
	) 

	---
	DECLARE @ISMINUTES TINYINT
	SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     

	---
	declare @def_tdlink int, @def_tdname varchar(254), @def_tdsymb varchar(4)
	Select @def_tdlink = LINK, @def_tdname = [NAME], @def_tdsymb = SYMB from dbo.TYP_DAYS where WORK_D = 1 AND TYP_YAVKA = 1

	select  LINK_DOC, NUMBER, DATE, LINK_EMPL, PERIOD, [DAY], 
		SUM([HOUR]) as [HOUR], 
		MAX(WORK_D) as WORK_D,
		MAX(TYP_YAV) AS TYP_YAV,
		(CASE when count(TYPE_DAY) = 1 then MAX(TYPE_DAY) else @def_tdlink end) as TYPE_DAY,
		(CASE when count(SYMB) = 1 then MAX(SYMB) else @def_tdsymb end) as SYMB,	
		(CASE when count(SYMB) = 1 then MAX(TYPE_DATY_NAME) else @def_tdname end) as TYPE_DATY_NAME
	into #tabel 
	from TABEL WHERE LINK_DOC = @varKSnLINKDoc
	group by LINK_DOC, NUMBER, DATE, LINK_EMPL, PERIOD, [DAY]
--	having count(SYMB) > 1
--AND TYPE_DAY not in (Select KOD from [dbo].[SA_TYPES_DOP_TAB])

	---    
	SELECT W.LINK_UP1, W.LINK_SOVM,
	DAYS_H1 = 
		CASE WHEN SUM(W.D1) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D2) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D3) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D4) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D5) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D6) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D7) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D8) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D9) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D10) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D11) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D12) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D13) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D14) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D15) > 0 THEN 1 ELSE 0 END,

	DAYS_H2 = 
		CASE WHEN SUM(W.D16) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D17) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D18) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D19) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D20) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D21) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D22) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D23) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D24) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D25) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D26) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D27) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D28) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D29) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D30) > 0 THEN 1 ELSE 0 END 
	+	CASE WHEN SUM(W.D31) > 0 THEN 1 ELSE 0 END,

	HORS_H1 = SUM(W.D1) + SUM(W.D2) + SUM(W.D3) + SUM(W.D4) + SUM(W.D5) + SUM(W.D6) + SUM(W.D7) + SUM(W.D8) + SUM(W.D9) + SUM(W.D10) + SUM(W.D11) + SUM(W.D12) + SUM(W.D13) + SUM(W.D14) + SUM(W.D15),
	HORS_H2 = SUM(W.D16) + SUM(W.D17) + SUM(W.D18) + SUM(W.D19) + SUM(W.D20) + SUM(W.D21) + SUM(W.D22) + SUM(W.D23) + SUM(W.D24) + SUM(W.D25) + SUM(W.D26) + SUM(W.D27) + SUM(W.D28) + SUM(W.D29) + SUM(W.D30) + SUM(W.D31)
		
	INTO 
		#WORK_DAYS
	FROM 
		DBO.SA_TABELS_W W
	WHERE 
		LINK_UP = @varKSnLINKDoc
	GROUP BY 
		W.LINK_UP1, W.LINK_SOVM

	---    
	SELECT W.LINK_UP1, W.LINK_SOVM,
	DAYS_Y7 = 
			CASE WHEN SUM(W.D1) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D2) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D3) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D4) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D5) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D6) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D7) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D8) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D9) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D10) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D11) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D12) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D13) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D14) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D15) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D16) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D17) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D18) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D19) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D20) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D21) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D22) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D23) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D24) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D25) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D26) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D27) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D28) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D29) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D30) > 0 THEN 1 ELSE 0 END 
		+	CASE WHEN SUM(W.D31) > 0 THEN 1 ELSE 0 END
	INTO 
		#WORK_DAYS1
	FROM 
		DBO.SA_TABELS_W W
	WHERE 
		LINK_UP = @varKSnLINKDoc
		AND
		TYP_YAVKA = 7
	GROUP BY 
		W.LINK_UP1, W.LINK_SOVM			

	---    
	SELECT 
		N.LINK_UP1,
		T.WORK_D,
		COUNT_DAYS = 
			CASE WHEN N.D1 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D2 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D3 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D4 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D5 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D6 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D7 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D8 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D9 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D10 = T.LINK THEN 1 ELSE 0 END

			+ CASE WHEN N.D11 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D12 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D13 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D14 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D15 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D16 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D17 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D18 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D19 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D20 = T.LINK THEN 1 ELSE 0 END

			+ CASE WHEN N.D21 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D22 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D23 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D24 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D25 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D26 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D27 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D28 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D29 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D30 = T.LINK THEN 1 ELSE 0 END 
			+ CASE WHEN N.D31 = T.LINK THEN 1 ELSE 0 END 
	INTO 
		#NOTWORK_DAYS
	FROM
		DBO.SA_TABELS_N N, DBO.TYP_DAYS T
	WHERE
		LINK_UP = @varKSnLINKDoc

	---
	INSERT INTO #T_RES00
		(ID,LINK_FACE, LINK_EMPL, LINK_SOVM, FIO, NAME_EMPL, TN,STAKE, SUBDIV_LINK, CODE_SUB, SUBDIV, POST_LINK, CODE_POST, POST,
		LINK_DAY,
		SYMB,
		DAY_1,  DAY_2,  DAY_3,  DAY_4,  DAY_5,  DAY_6,  DAY_7,  DAY_8,  DAY_9,  DAY_10, 
		DAY_11, DAY_12, DAY_13, DAY_14, DAY_15, DAY_16, DAY_17, DAY_18, DAY_19, DAY_20, 
		DAY_21, DAY_22, DAY_23, DAY_24, DAY_25, DAY_26, DAY_27, DAY_28, DAY_29, DAY_30,
		DAY_31,
		H_1,  H_2, H_3,  H_4,  H_5,  H_6,  H_7,  H_8,  H_9,  H_10, 
		H_11, H_12, H_13, H_14, H_15, H_16, H_17, H_18, H_19, H_20, 
		H_21, H_22, H_23, H_24, H_25, H_26, H_27, H_28, H_29, H_30, 
		H_31,
		HALF_D, HALF_H,
		HALF2_D, HALF2_H,
		ALL_D, ALL_H,
		NONE_DAYS, NONE_HOURS,
		TYPE_1, TYPE_1H, TYPE_2, TYPE_2H, TYPE_3, TYPE_4, TYPE_5, TYPE_6, 
		TYPE_7, TYPE_8, TYPE_9, TYPE_10, TYPE_11, TYPE_12,

		TYPE_13,TYPE_14,TYPE_15

	)
	SELECT
		ID = RIGHT( REPLACE(SPACE(20),SPACE(1),'0') + CONVERT(VARCHAR(20),WP.LINK_EMPL),10) +RIGHT( REPLACE(SPACE(20),SPACE(1),'0') + CONVERT(VARCHAR(20),WP.LINK_SOVM),10) ,
		[LINK_FACE] = P.LINK,
		WP.LINK_EMPL,
		WP.LINK_SOVM,
		[FIO]  = (case when coalesce(@nCheck3,0) = 1 then  coalesce(LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(P.FM)) + ' ' + LTRIM(RTRIM(P.IM)) + ' ' + LTRIM(RTRIM(P.OT)),' '))),100), SPACE(100)) 
					else coalesce(LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30), SPACE(100)) end),
		[NAME_EMPL] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30),
		[TN] 		= ISNULL(TE.TAB, SPACE(10)),
		[STAKE] =  (SELECT TOP 1 stake FROM SD_EMPL WHERE link = E.link),
		[SUBDIV_LINK] = TE.SUBDIV_LINK,
		[CODE_SUB] = ISNULL( TE.SUBDIV_CODE, SPACE(10) ),
		[SUBDIV] = ISNULL( TE.SUBDIV_NAME, SPACE(254) ),
		[POST_LINK] = WP.POST_LINK,
		[CODE_POST] = ISNULL( WP.POST_CODE, SPACE(10) ),
		[POST] 		= ISNULL( WP.POST_NAME, SPACE(120) ),
		W.LINK_DAY,		
		W.SYMB,
		[DAY_1] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB1, SPACE(2) ) end,
		[DAY_2] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB2, SPACE(2) ) end,
		[DAY_3] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB3, SPACE(2) ) end,
		[DAY_4] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB4, SPACE(2) ) end,
		[DAY_5] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB5, SPACE(2) ) end,
		[DAY_6] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB6, SPACE(2) ) end,
		[DAY_7] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB7, SPACE(2) ) end,
		[DAY_8] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB8, SPACE(2) ) end,
		[DAY_9] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB9, SPACE(2) ) end,
		[DAY_10] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB10, SPACE(2) ) end,

		[DAY_11] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB11, SPACE(2) ) end,
		[DAY_12] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB12, SPACE(2) ) end,
		[DAY_13] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB13, SPACE(2) ) end,
		[DAY_14] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB14, SPACE(2) ) end,
		[DAY_15] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB15, SPACE(2) ) end,
		[DAY_16] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB16, SPACE(2) ) end,
		[DAY_17] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB17, SPACE(2) ) end,
		[DAY_18] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB18, SPACE(2) ) end,
		[DAY_19] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB19, SPACE(2) ) end,
		[DAY_20] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB20, SPACE(2) ) end,

		[DAY_21] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB21, SPACE(2) ) end,
		[DAY_22] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB22, SPACE(2) ) end,
		[DAY_23] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB23, SPACE(2) ) end,
		[DAY_24] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB24, SPACE(2) ) end,
		[DAY_25] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB25, SPACE(2) ) end,
		[DAY_26] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB26, SPACE(2) ) end,
		[DAY_27] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB27, SPACE(2) ) end,
		[DAY_28] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB28, SPACE(2) ) end,
		[DAY_29] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB29, SPACE(2) ) end,
		[DAY_30] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB30, SPACE(2) ) end,
		[DAY_31] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB31, SPACE(2) ) end,

		[H1] = case when @nCheck5 = 1 then 0 else W.D1 end, 
		[H2] = case when @nCheck5 = 1 then 0 else W.D2 end,
		[H3] = case when @nCheck5 = 1 then 0 else W.D3 end,
		[H4] = case when @nCheck5 = 1 then 0 else W.D4 end, 
		[H5] = case when @nCheck5 = 1 then 0 else W.D5 end,
		[H6] = case when @nCheck5 = 1 then 0 else W.D6 end,
		[H7] = case when @nCheck5 = 1 then 0 else W.D7 end,  
		[H8] = case when @nCheck5 = 1 then 0 else W.D8 end, 
		[H9] = case when @nCheck5 = 1 then 0 else W.D9 end, 
		[H10] = case when @nCheck5 = 1 then 0 else W.D10 end,

		[H11] = case when @nCheck5 = 1 then 0 else W.D11 end,
		[H12] = case when @nCheck5 = 1 then 0 else W.D12 end, 
		[H13] = case when @nCheck5 = 1 then 0 else W.D13 end, 
		[H14] = case when @nCheck5 = 1 then 0 else W.D14 end, 
		[H15] = case when @nCheck5 = 1 then 0 else W.D15 end, 
		[H16] = case when @nCheck5 = 1 then 0 else W.D16 end, 
		[H17] = case when @nCheck5 = 1 then 0 else W.D17 end, 
		[H18] = case when @nCheck5 = 1 then 0 else W.D18 end, 
		[H19] = case when @nCheck5 = 1 then 0 else W.D19 end, 
		[H20] = case when @nCheck5 = 1 then 0 else W.D20 end, 

		[H21] = case when @nCheck5 = 1 then 0 else W.D21 end, 
		[H22] = case when @nCheck5 = 1 then 0 else W.D22 end, 
		[H23] = case when @nCheck5 = 1 then 0 else W.D23 end, 
		[H24] = case when @nCheck5 = 1 then 0 else W.D24 end, 
		[H25] = case when @nCheck5 = 1 then 0 else W.D25 end, 
		[H26] = case when @nCheck5 = 1 then 0 else W.D26 end, 
		[H27] = case when @nCheck5 = 1 then 0 else W.D27 end, 
		[H28] = case when @nCheck5 = 1 then 0 else W.D28 end, 
		[H29] = case when @nCheck5 = 1 then 0 else W.D29 end, 
		[H30] = case when @nCheck5 = 1 then 0 else W.D30 end, 
		[H31] = case when @nCheck5 = 1 then 0 else W.D31 end, 
--
		[HALF_D] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H1,0) end, 
		[HALF_H] = case when @nCheck5 = 1 then 0 else 
			DBO.MINUTES_TO_NUM( 
			DBO.NUM_TO_MINUTES(W.D1,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D2,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D3,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D4,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D5,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D6,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D7,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D8,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D9,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D10,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D11,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D12,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D13,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D14,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D15,@ISMINUTES) 
		,@ISMINUTES) end,

		[HALF_D2] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H2,0) end,
		[HALF_H2] = case when @nCheck5 = 1 then 0 else isnull(WD.HORS_H2,0) end,

		[ALL_D] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H1,0) + isnull(WD.DAYS_H2,0) end,
		[ALL_H] = case when @nCheck5 = 1 then 0 else isnull(WD.HORS_H1,0) + isnull(WD.HORS_H2,0) end,

		[NONE_DAYS] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (4, 5, 6, 7, 8, 9, 10, 13)) end ) end,
		[NONE_HOURS] = case when @nCheck5 = 1 then 0 else 0 end,

		-- 		
		[TYPE_1] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else COALESCE(WD.DAYS_H1,0) + COALESCE(WD.DAYS_H2,0) end) end,
		-- 
		[TYPE_1H] =  case when @nCheck5 = 1 then 0 else 
			DBO.MINUTES_TO_NUM( 
			DBO.NUM_TO_MINUTES(W.D1,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D2,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D3,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D4,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D5,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D6,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D7,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D8,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D9,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D10,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D11,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D12,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D13,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D14,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D15,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D16,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D17,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D18,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D19,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D20,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D21,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D22,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D23,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D24,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D25,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D26,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D27,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D28,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D29,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D30,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D31,@ISMINUTES)
		,@ISMINUTES) end,

		[TYPE_2] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 2) end,		--  ()
		[TYPE_2H] = 0,	--  ()
		[TYPE_3] = case when @nCheck5 = 1 then 0 else ISNULL((SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 3),0) + ISNULL(Y.DAYS_Y7,0) end,		--   ()
		[TYPE_4] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 4) end,		--     ()
		[TYPE_5] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 5) end,		--    ()
		[TYPE_6] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 6) end,		--   ()
		[TYPE_7] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (7,13)) end, 	--     ()
		[TYPE_8] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 8) end,		--     ()
		[TYPE_9] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 9) end,		--   ()
		[TYPE_10] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 10) end,	--    ()
		[TYPE_11] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (11,14)) end ) end,	--     ()
		[TYPE_12] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 12) end,
		--
		[TYPE_13] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 4) end,	--  
		[TYPE_14] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 2) end, --    
		[TYPE_15] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 3) end	--     
	FROM 
		DBO.TABELS T 
		INNER JOIN DBO.SA_TABELS_EMPLS TE ON T.LINK = TE.LINK
		INNER JOIN DBO.SA_TABELS_EMPLS_WP WP ON TE.LINK = WP.LINK_UP1
		INNER JOIN DBO.EMPL E ON E.LINK = TE.LINK_EMPL
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
		LEFT JOIN DBO.SA_TABELS_N N ON TE.LINK = N.LINK_UP1
		LEFT JOIN DBO.SA_TABELS_W W ON TE.LINK = W.LINK_UP1 AND W.LINK_SOVM = WP.LINK_SOVM
		LEFT JOIN #WORK_DAYS WD ON TE.LINK = WD.LINK_UP1 AND WD.LINK_SOVM = WP.LINK_SOVM
		LEFT JOIN #WORK_DAYS1 Y ON TE.LINK = Y.LINK_UP1 AND WD.LINK_SOVM = Y.LINK_SOVM
	WHERE 
		T.LINK_DOC = @varKSnLINKDoc
	ORDER BY 
		1

IF (SELECT COUNT(DISTINCT SUBDIV_LINK) FROM #T_RES00) <> 1 BEGIN
		SELECT @varKSSUBDIV = '', @varKSSUBDIV_CODE = ''
	END
	ELSE 
		BEGIN
			SELECT TOP 1 @varKSSUBDIV = SUBDIV, @varKSSUBDIV_CODE = CODE_SUB FROM  #T_RES00
		END

	DECLARE 
		@varKSCNT1 INT, @varKSCNT2 INT, @varKSCNT3 INT
	
	SELECT TOP 1 
		@varKSCNT1 = COUNT(DISTINCT LINK_FKR_D), 
		@varKSCNT2 = COUNT(DISTINCT LINK_FKR_T), 
		@varKSCNT3 = COUNT(DISTINCT LINK_FKR_E),
		@varKSDIV_CODE = MAX(CODE_FKR_D),
		@varKSDIV_NAME = MAX(NAME_FKR_D),
		@varKSTI_CODE = MAX(CODE_FKR_T),
		@varKSTI_NAME = MAX(NAME_FKR_T),
		@varKSEXP_CODE = MAX(CODE_FKR_E),
		@varKSEXP_NAME = MAX(NAME_FKR_E)
	FROM DICTIONARY_PAYS_EMPL DPE
	INNER JOIN dbo.PAYS P ON DPE.LINK_PAYS = P.LINK
	INNER JOIN bi_diction_vkr VKR ON VKR.LINK = DPE.LINK_KBK
	INNER JOIN #T_RES00 R ON DPE.LINK_EMPL = R.LINK_EMPL
	where date_begin <= @varKSdDate2
		AND (DATE_END >= @varKSdDate1 OR DATE_END IS NULL) 


		declare @LINK_DEP int
		Set @LINK_DEP = Coalesce( (SELECT TOP 1 ZB_LINK FROM dbo.KS_OPTIONS_ZB), dbo.GetOwnDepLink())

		declare @nAVGCount numeric(18,2), @nMCount numeric(18,2)

		Select @nAVGCount = dbo.sa_ssch_empls(@varKSdDate1, @varKSdDate2, null, 0, 1, 0, DEFAULT)
		Select @nMCount = dbo.sa_sch_empls(@varKSdDate2, null, 0, 1, 0, DEFAULT)


	IF @varKSCNT1 <> 1
		SELECT @varKSDIV_CODE = '', @varKSDIV_NAME = ''
	IF @varKSCNT2 <> 1
		SELECT @varKSTI_CODE = '', @varKSTI_NAME = ''
	IF @varKSCNT3 <> 1
		SELECT @varKSEXP_CODE = '', @varKSEXP_NAME = ''

	SELECT *, @nAVGCount as AVGCount, @nMCount as MCount 
	FROM #T_RES00
	ORDER BY 
		LTRIM(RTRIM(CASE @varKSnOption1 
			WHEN 1 THEN REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 2 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 3 THEN POST
			WHEN 4 THEN FIO
			WHEN 5 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 6 THEN SUBDIV
			ELSE ''
		END)),

		LTRIM(RTRIM(CASE @varKSnCheck1 
			WHEN 2 THEN REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 3 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 4 THEN POST
			WHEN 5 THEN FIO
			WHEN 6 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 7 THEN SUBDIV
			ELSE ''
		END)),
		
		LTRIM(RTRIM(CASE @nSort3 
			WHEN 2 THEN '' + REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 3 THEN '' +REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 4 THEN '' +POST
			WHEN 5 THEN '' +FIO
			WHEN 6 THEN '' +REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 7 THEN '' +SUBDIV
			ELSE ''
		END))

END












GO


GRANT EXECUTE ON dbo.[SA_PRINT_TABEL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REESTR_FSS_PREPARE_DATA]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REESTR_FSS_PREPARE_DATA]

GO

CREATE     PROCEDURE dbo.SD_REESTR_FSS_PREPARE_DATA 
		   @BUFFER_ID VARCHAR(20) = NULL
AS

BEGIN

	DECLARE @str VARCHAR(7000),
			@nLink INT, 
			@nMode INT,
			@SortMode INT,
			@GroupMode INT,
			@WrapMode INT,
			@FIOShort tinyint

	CREATE TABLE #REC1 (LINK INT)
	CREATE INDEX #TMP_IDX_REC ON #REC1 (LINK)
	
	INSERT INTO #REC1 (LINK)
	SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER_ID
	
	DECLARE @WORK_DATE DATETIME, @DEP_LINK INT, @SID VARBINARY(85)
	SELECT @WORK_DATE = WORKDATE, @DEP_LINK = DEP_LINK, @SID = [SID] FROM dbo.USER_INFO
--SELECT 	@WORK_DATE, @DEP_LINK , @SID
	CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

	SET NOCOUNT ON
	-- 
	CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

	declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
	Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
		@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
		+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
		+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
	from dbo.DICTIONARY_TASK where CODE = 'SALARY'


	CREATE TABLE #DOC_REESTR_FSS_TABLE1( ROW int IDENTITY(1,1), CHECKED tinyint, UPD tinyint, DEL tinyint, LOCKED tinyint,
			[LINK] int,[NUMBER] varchar(30), [DATE] DATETIME, [COMMENTARY] varchar (254) , [FLAG_JC] tinyint,   
			[LINK_DEP] int , [name_dep] varchar (254), [MDEP_NAME] varchar (90), MDEP_ADDR varchar (254), 
			ADR_MED_DEP_LINK varchar (100), HOUSE_MED_DEP  varchar (30), INDEX_MED_DEP  varchar (6), OGRN_MED_DEP  varchar (15),
			[TAB_NUMER] varchar (10), [NAME_EMPL] varchar (150), [REF_EMPL] int, BIRTH_EMPL datetime , SEX tinyint, [DAYS] int, 
			[HOURS] numeric (18,2),	[DATE1] DATETIME, [DATE2] DATETIME, [NEPR_YEAR] int,[NEPR_MONTH] int,
			[NEPR_DAY] int,[CODE_TYP_ARHE] varchar (5),	[NAME_TYP_ARHE] varchar (150),[REF_TYP_ARHE] int ,[DOC_TYPE] CHAR(2),[NUM_DOC] varchar (30),
			[REF_DOC] int,[DECRET] tinyint, LINK_PAYS int,CODE_PAYS varchar (10),NAME_PAYS varchar (60), KIDS_FLAG tinyint, 
			REF_PERS_KID int,[PERS_KID] varchar (304),FAMILY_NAME varchar (35), BIRTHDATE DATETIME ,AGE_E int,AGE_M int,PERS_LINK int,[INSTRUCT] tinyint,
			INSUR_NUM varchar (14),INN varchar (12),FM varchar(100),IM varchar (100),OT varchar (100),RESIDENT tinyint,
			DOC_CODE varchar (2),[DOC_NAME] VARCHAR(150),DOC_NUM varchar (20),DOC_DATE DATETIME,DOC_WHOM varchar (254),[ADR_REAL_LINK] int,
			[ADR_REAL] varchar (254),[REGION_REAL] varchar (254),[HOUSE_REAL] varchar (30),[CORP_REAL] varchar (30),[FLAT_REAL] varchar (30),
			[INDEX_REAL] varchar (6),[BIK] varchar (9),[BANK_NAME] varchar (80),[LIC_SCHET] varchar (25), [PAYCARD_FLAG] TINYINT, [PAYCARD_NUM] varchar (25),
			[ADR_OFIC_LINK] int, [ADR_OFIC] varchar (254),[REGION_OFIC] varchar (254),[HOUSE_OFIC] varchar (30),[CORP_OFIC] varchar (30),
			[FLAT_OFIC] varchar (30),[INDEX_OFIC] varchar (6),[STATUS_EMPL] int, [STATUSC_EMPL] varchar(20),[OGRN] varchar (15),
			[FSS_REG_NUM] varchar (10),[FSS_KOD_P] varchar (10),[KPP_dep] varchar (9),[INN_dep] varchar (12),[dep_tel] varchar (20),[dep_mail] varchar (30),
			[FIO_RUK] varchar (90), [DOLG_RUK] varchar (90), [FIO_BUH] varchar (90),[DATE_BEGIN] DATETIME, 
			[DATE_END] DATETIME, [OKLAD] numeric (18,2) ,[REG_KOEF] numeric (3),LINK_EXCH int,REF_BL int ,REF_RBL int,
			LINK_SOST int, FIO_SOST varchar (120),EMAIL_SOST varchar (40),TEL_SOST varchar (30),STAT_EXCH tinyint,
			STAT_NAME varchar (30),DATE_OUT DATETIME,TYPE_INFO tinyint, RECALC_REASON_CODE tinyint,OWNER_FLAG tinyint, 
			PAYMENT_TYPE tinyint,YEAR_CHANGE_FLAG tinyint, FILE_NUMBER tinyint, [YEAR1_OLD] varchar (4),[YEAR2_OLD] varchar (4) ,
			[YEAR1] varchar (4),[YEAR2] varchar (4),[BASE_SUM1] numeric (18,2), [BASE_SUM2] numeric (18,2), [LINK_R] int, [NUMBER_R] varchar(30),[DATE_R] DATETIME,
			[COMMENTARY_R] varchar (254),[CODE_PAY_R] varchar (10),[NAME_PAY_R] varchar (60),[REF_PAY_R] int,[FLAG_JC_R] tinyint,
			SYST_PAY tinyint,[SUMMA_R] numeric (18,2),[SR_PREM_R] numeric (18,2),
			[TYP_PER_R] tinyint ,[DATE1_R] DATETIME,[DATE2_R] DATETIME,[DATE_B_R] DATETIME,[DATE_E_R] DATETIME,[LIMIT_R] tinyint,/*[PER_ARHE_R],[NUM_ARHE_R],*/
			[REF_ARHE_R] int,/*[CODE_TYP_ARHE_BL],[NAME_TYP_ARHE_BL],[REF_TYP_ARHE_BL],*/ [STAG_R] int,[STAG_MONTH_R] int,
			[SUMA_BASE0_R] numeric (18,4),[LINK_DEP_R] int, RAB_SUM_R numeric(18,2), RAB_DAYS_R numeric(18,2), FSS_SUM_R numeric(18,2), 
			FSS_DAYS_R numeric(18,2), DOHOD_R  numeric(18,2),ITOGO_DNI_R numeric(18,2), ITOGO_CH_R numeric(18,2), 
			RP_DAYS_R numeric(18,2),RP_HOURS_R numeric(18,2),RP_DAYS_N_R numeric(18,2), RP_HOURS_N_R numeric(18,2), 
			RP_SUMMA_PREM_R numeric(18,2),  RP_SUMMA_R numeric(18,2), DEKRET tinyint,INSTRUCT_R tinyint)

		INSERT INTO #DOC_REESTR_FSS_TABLE1 ( CHECKED, UPD, DEL, LOCKED, LINK ,NUMBER,  [DATE], COMMENTARY, FLAG_JC,LINK_DEP, 
											 name_dep, MDEP_NAME, MDEP_ADDR, ADR_MED_DEP_LINK,HOUSE_MED_DEP, INDEX_MED_DEP, OGRN_MED_DEP, TAB_NUMER,NAME_EMPL, REF_EMPL,
											BIRTH_EMPL, SEX, [DAYS],[HOURS],DATE1,DATE2, NEPR_YEAR,NEPR_MONTH,NEPR_DAY,CODE_TYP_ARHE,	
											NAME_TYP_ARHE,REF_TYP_ARHE,[DOC_TYPE],NUM_DOC,REF_DOC,DECRET,LINK_PAYS,CODE_PAYS,NAME_PAYS,KIDS_FLAG,REF_PERS_KID,
											PERS_KID,FAMILY_NAME,BIRTHDATE,AGE_E,AGE_M,PERS_LINK,INSTRUCT,INSUR_NUM,INN,FM,
											IM,OT,RESIDENT,DOC_CODE,[DOC_NAME],DOC_NUM,DOC_DATE,DOC_WHOM,ADR_REAL_LINK,ADR_REAL,REGION_REAL,
											HOUSE_REAL,CORP_REAL,FLAT_REAL,INDEX_REAL,BIK,BANK_NAME,LIC_SCHET,PAYCARD_FLAG,PAYCARD_NUM,ADR_OFIC_LINK, ADR_OFIC,REGION_OFIC,
											HOUSE_OFIC,CORP_OFIC,FLAT_OFIC,INDEX_OFIC,[STATUS_EMPL], [STATUSC_EMPL],[OGRN],[FSS_REG_NUM],[FSS_KOD_P],[KPP_dep],
											[INN_dep],DEP_TEL,DEP_MAIL,[FIO_RUK], [DOLG_RUK], [FIO_BUH],[DATE_BEGIN],[DATE_END], [OKLAD],[REG_KOEF],
											LINK_EXCH,REF_BL,REF_RBL,LINK_SOST,FIO_SOST,EMAIL_SOST,TEL_SOST,STAT_EXCH,STAT_NAME,DATE_OUT,
											TYPE_INFO, RECALC_REASON_CODE ,OWNER_FLAG ,PAYMENT_TYPE ,YEAR_CHANGE_FLAG , FILE_NUMBER, [YEAR1_OLD],[YEAR2_OLD],[YEAR1] ,[YEAR2] ,
											[BASE_SUM1] , [BASE_SUM2] , [LINK_R] , [NUMBER_R] ,[DATE_R] ,[COMMENTARY_R] ,[CODE_PAY_R] ,[NAME_PAY_R] ,[REF_PAY_R] ,[FLAG_JC_R] ,
											SYST_PAY,[SUMMA_R] ,[SR_PREM_R] ,[TYP_PER_R] ,[DATE1_R] ,[DATE2_R] ,[DATE_B_R],[DATE_e_R] ,[LIMIT_R] ,[REF_ARHE_R],
											[STAG_R],[STAG_MONTH_R],[SUMA_BASE0_R],[LINK_DEP_R], RAB_SUM_R, RAB_DAYS_R, FSS_SUM_R,FSS_DAYS_R, DOHOD_R,ITOGO_DNI_R,
											 ITOGO_CH_R,RP_DAYS_R,RP_HOURS_R,RP_DAYS_N_R, RP_HOURS_N_R,RP_SUMMA_PREM_R , RP_SUMMA_R, DEKRET,INSTRUCT_R) 
		exec dbo.DOCUMENTS_REESTR_FSS_LIST @BUFFER_ID = @BUFFER_ID, @MODE = 1
	
	--SELECT * FROM #DOC_REESTR_FSS_TABLE1
		---
		select ID = b.ROW , a.* 
		into #DOC_REESTR_FSS_TABLE2 
		FROM 
			DOCUMENTS_ADD_ARCHE_TABLE0 a
			inner join  #DOC_REESTR_FSS_TABLE1 b on a.link =  b.link_r
 
		--
		DECLARE @Cur1 CURSOR,
			@FNAME varchar(254),
			@ROW int ,
			@ID int,
			@ROW_NAME varchar(254) , 
			@name_dep VARCHAR(254), --  
			@DOC_DATE DATETIME,	 --   
			@DOC_DATE1 varchar(10), --       
			@FIO_SOST varchar (120),  --  
			@EMAIL_SOST varchar (40), -- Email 
			@TEL_SOST varchar (30),	   --  
			@OWNER_FLAG tinyint,	   -- ,    1- 0- 
			@TYPE_INFO tinyint,	   -- : 0    (    ), 1-
 			@RECALC_REASON_CODE tinyint, --  
 			@DEP_REG_NUM varchar (10), --    			
 			@DEP_KOD_P varchar (10),   --   
 			@KPP_dep varchar (9),  --  
 			@INN_dep varchar (12), --  
 			@DEP_OGRN VARCHAR(15), --   
			@FIO_RUK varchar (90), --    
			@DOLG_RUK varchar (90),--    
			@FIO_BUH varchar (90), --   
			@LastFileNumber  numeric (2) 
			
		SELECT  top 1 
				@name_dep 	= LEFT(DEP.[NAME],254), 
				@INN_dep	= LEFT(INN,12), 
				@KPP_dep = LEFT(KPP,9),  
				@DEP_OGRN = LEFT(OGRN,13) , 
				@DEP_REG_NUM = left(FSS_REG_NUM,10), 
				@DEP_KOD_P = left(FSS_KOD_P,0)
		FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE DEP.LINK = @DEP_LINK

 		DECLARE @LINK_SOST INT
 		SELECT @LINK_SOST = USER_REF FROM dbo.WHO_IS_WHO WHERE [SID] = @SID

		SELECT 
			@FIO_SOST = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LTRIM(RTRIM(IM)) + ' ' + LTRIM(RTRIM(OT)),' '))),100),
			@EMAIL_SOST = LEFT(ISNULL(LTRIM(RTRIM((select DBO.ConcatEmplPhoneValues (2,0,E.link)) )),' '),254),
			@TEL_SOST = LEFT(ISNULL(LTRIM(RTRIM((select DBO.ConcatEmplPhoneValues (1,3,E.link)) )),' '),254)
		FROM 
			dbo.PERSON P
			INNER JOIN dbo.EMPL E ON P.LINK = E.PERS_LINK
		WHERE
			E.LINK = @LINK_SOST

		SET	@LastFileNumber =
			isnull(
				(select max(FILE_NUMBER) 
				from 
					#REC1 R
					INNER JOIN dbo.REESTR_FSS_EXCH_INFO I ON R.LINK = I.REF_BL
				WHERE
					I.DATE_OUT = @WORK_DATE
				),0) + 1

		SET @DOC_DATE = @WORK_DATE

	set @ROW  = 0
	DECLARE @Cur2  CURSOR


	--   
	-----

		SELECT top 1 @FNAME = 'E_'+ ltrim(rtrim(FSS_REG_NUM))+'_'+ CONVERT(VARCHAR(4),  YEAR(@DOC_DATE))+'_' 
								  + case  when len(convert(varchar(2), MONTH(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), MONTH(@DOC_DATE))) else ( convert(varchar(2), MONTH(@DOC_DATE))) end +'_'
								  + case  when len(convert(varchar(2), day(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), day(@DOC_DATE))) else (convert(varchar(2), day(@DOC_DATE))) end  + '_' 
								  + case  when len(convert(varchar(2),(@LastFileNumber))) = 1 then ('0' + convert(varchar(2),(@LastFileNumber))) else (convert(varchar(2),(@LastFileNumber))) end +'.xml'
		FROM  #DOC_REESTR_FSS_TABLE1 

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		 SELECT @FNAME, 'UTF-8' --  
				UNION ALL SELECT @FNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8"?>'																								
				UNION ALL SELECT @FNAME, SPACE(0) + '<ROWSET version="'+ substring(@VERS_PROG, 1,2) +'.'+substring(@VERS_PROG, 3,2)+'" software="'+rtrim(ltrim(@NAME_PROG))+'" version_software="SP'+substring(@VERS_PROG, 5,2)+'" author="'+isnull(RTRIM(LTRIM(@FIO_SOST)),' ')+'" phone="'+isnull((RTRIM(LTRIM(@TEL_SOST))),' ')+'" email="'+isnull((RTRIM(LTRIM(@EMAIL_SOST))),' ')+'" EMPL_KPP="'+ltrim(rtrim(@KPP_dep))+'" EMPL_INN="'+ltrim(rtrim(@INN_dep))+'" EMPL_OGRN="'+ltrim(rtrim(@DEP_OGRN))+'" EMPL_REG_NO="'+ltrim(rtrim(@DEP_REG_NUM))+'"  xsi:noNamespaceSchemaLocation="XSD.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">' 

	--- 
	--  
	---

	
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select ROW from #DOC_REESTR_FSS_TABLE1 order by ROW

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ROW

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME, 
				SPACE(1) + '<ROW>' + CHAR(10)
				  + SPACE(2) + '<BATCH_NO>'+ 'E_'+ ltrim(rtrim(FSS_REG_NUM))+'_'+ CONVERT(VARCHAR(4),  YEAR(@DOC_DATE))+'_' 
				  						   + case  when len(convert(varchar(2), MONTH(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), MONTH(@DOC_DATE))) else ( convert(varchar(2), MONTH(@DOC_DATE))) end +'_'
										   + case  when len(convert(varchar(2), day(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), day(@DOC_DATE))) else (convert(varchar(2), day(@DOC_DATE))) end  + '_' 
										   + convert(varchar(2),(@LastFileNumber))+':'+convert(varchar(2),ROW) 
							 + '</BATCH_NO>' + CHAR(10)
				  + SPACE(2) + '<TYPE_INFO>'+ convert(varchar(1),isnull([TYPE_INFO],0))+'</TYPE_INFO>' + CHAR(10)  
				  + SPACE(2) + '<RECALC_REASON_CODE>'+  case when convert(varchar(1),isnull(RECALC_REASON_CODE,'')) = '0' 
															 then ''
															 else convert(varchar(1),isnull(RECALC_REASON_CODE,'')) 
														end
							 +'</RECALC_REASON_CODE>' + CHAR(10) 
				 + SPACE(2) + '<DOC_TYPE>' + case 
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2)  = '01' or  substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) ='04' then '1'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '05' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '06' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '07' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '08' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '09' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '10'  
												then '5'	 
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '02' then '2'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '03' then '6'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '11' then '13' 
											  else '01'
											  end
							 + '</DOC_TYPE>' + CHAR(10)
				  + SPACE(2) + '<DOC_DT1>' + convert(varchar(10),[DATE],120) + '</DOC_DT1>' + CHAR(10) 
				  + SPACE(2) + '<SNILS>' + convert(varchar(11),replace(replace(INSUR_NUM,' ',''),'-','')) + '</SNILS>' + CHAR(10) 
				  + SPACE(2) + '<INN_PERSON>' + LEFT(ltrim(rtrim(INN)),12) + '</INN_PERSON>' + CHAR(10)
				  + SPACE(2) + '<SURNAME>' + LEFT(UPPER(ltrim(rtrim(FM))),30) + '</SURNAME>' + CHAR(10)
				  + SPACE(2) + '<NAME>' + LEFT(UPPER(ltrim(rtrim(IM))),30) + '</NAME>' + CHAR(10)
				  + SPACE(2) + '<PATRONIMIC>'+ LEFT(UPPER(ltrim(rtrim(OT))),30) +'</PATRONIMIC>' + CHAR(10)
				  + SPACE(2) + '<RESIDENT_FLAG>'+ case 
												when convert(varchar (1), RESIDENT) = '2' THEN '1'
												WHEN convert(varchar (1), RESIDENT) = '3' THEN '2'
												ELSE '0' end
												  +'</RESIDENT_FLAG>' + CHAR(10)
				  + SPACE(2) + '<RESIDENT_FLAG>'+ convert(varchar (1), RESIDENT) +'</RESIDENT_FLAG>' + CHAR(10)
				  + SPACE(2) + '<ID_TYPE>'  +RTRIM(LTRIM(COALESCE(DOC_CODE,'')))+ '</ID_TYPE>' + CHAR(10) 
				  + SPACE(2) + '<ID_NO>' + RTRIM(LTRIM(COALESCE(DOC_NUM,''))) + '</ID_NO>' + CHAR(10)
				  + SPACE(2) + '<ID_DT>' + convert(varchar(10),DOC_DATE, 120) + '</ID_DT>' + CHAR(10)
				  + SPACE(2) + '<ID_DEPT>' +RTRIM(LTRIM(COALESCE(DOC_WHOM,'')))+ '</ID_DEPT>' + CHAR(10)
			
				  --+ SPACE(2) + '<ADDR>'+ RTRIM(LTRIM(COALESCE(ADR_REAL,'')))+'</ADDR>' + CHAR(10)
				  + SPACE(2) + '<ADDR_KLADR>' + CASE 
												 WHEN isnull(RTRIM(LTRIM(convert(varchar(20),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_REAL_LINK)))),'') = ''
												 THEN '' 
												 ELSE '#'+ isnull(RTRIM(LTRIM(convert(varchar(20),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_REAL_LINK)))),'')
												END 
											  + '</ADDR_KLADR>' + CHAR(10)
				  + SPACE(2) + '<ADDR_HOUSE>'+ RTRIM(LTRIM(COALESCE(HOUSE_REAL,'')))+'</ADDR_HOUSE>' + CHAR(10)
				  + SPACE(2) + '<ADDR_BUILDING>'+ RTRIM(LTRIM(COALESCE(CORP_REAL,'')))+'</ADDR_BUILDING>' + CHAR(10)
				  + SPACE(2) + '<ADDR_FLAT>'+ RTRIM(LTRIM(COALESCE(FLAT_REAL,'')))+'</ADDR_FLAT>' + CHAR(10)
				  + SPACE(2) + '<POST_INDEX>'+ RTRIM(LTRIM(COALESCE(INDEX_REAL,'')))+'</POST_INDEX>' + CHAR(10)
				  
				  + SPACE(2) + '<OWNER_FLAG>'+ convert(varchar(1),OWNER_FLAG) +'</OWNER_FLAG>' + CHAR(10)
				  + SPACE(2) + '<PAYMENT_TYPE>'+ convert(varchar(1),PAYMENT_TYPE) +'</PAYMENT_TYPE>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT_BIC>'+ RTRIM(LTRIM(COALESCE(BIK,'')))+'</ACCOUNT_BIC>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT_NAME>'+ RTRIM(LTRIM(COALESCE(BANK_NAME,'')))+'</ACCOUNT_NAME>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT>'+ RTRIM(LTRIM(COALESCE(LIC_SCHET,'')))+'</ACCOUNT>' + CHAR(10)
				  
				  + SPACE(2) + '<ADDR2>'+ RTRIM(LTRIM(COALESCE(ADR_OFIC,'')))+'</ADDR2>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_KLADR>' + CASE when isnull(RTRIM(LTRIM(convert(varchar(99),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_OFIC_LINK)))),'') = ''
													  THEN ''
													  ELSE '#'+ RTRIM(LTRIM(convert(varchar(99),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_OFIC_LINK))))
													  END  + '</ADDR2_KLADR>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_HOUSE>'+ RTRIM(LTRIM(COALESCE(HOUSE_OFIC,'')))+'</ADDR2_HOUSE>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_BUILDING>'+ RTRIM(LTRIM(COALESCE(CORP_OFIC,'')))+'</ADDR2_BUILDING>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_FLAT>'+ RTRIM(LTRIM(COALESCE(FLAT_OFIC,'')))+'</ADDR2_FLAT>' + CHAR(10)
				  + SPACE(2) + '<POST2_INDEX>'+ RTRIM(LTRIM(COALESCE(INDEX_OFIC,'')))+'</POST2_INDEX>' + CHAR(10)
	
				  + SPACE(2) + '<EMPLOYER>'+ UPPER(ltrim(rtrim(name_dep)))+'</EMPLOYER>' + CHAR(10)
				  + SPACE(2) + '<EMPL_FLAG>'+convert(varchar(1),STATUS_EMPL)+'</EMPL_FLAG>' + CHAR(10)
				  + SPACE(2) + '<EMPL_OGRN>'+ ltrim(rtrim(OGRN)) +'</EMPL_OGRN>' + CHAR(10)
				  + SPACE(2) + '<EMPL_REG_NO>'+ ltrim(rtrim(FSS_REG_NUM)) +'</EMPL_REG_NO>' + CHAR(10)
				  + SPACE(2) + '<EMPL_PARENT_NO>'+ ltrim(rtrim(FSS_KOD_P)) + '</EMPL_PARENT_NO>' + CHAR(10)
				  + SPACE(2) + '<EMPL_KPP>'+ ltrim(rtrim(KPP_dep)) +'</EMPL_KPP>' + CHAR(10)
				  + SPACE(2) + '<EMPL_INN>'+ ltrim(rtrim(INN_dep)) +'</EMPL_INN>' + CHAR(10)
				   
				  + SPACE(2) + '<APPROVE1>'+ isnull(UPPER(ltrim(rtrim(FIO_RUK))),'') +'</APPROVE1>' + CHAR(10)
				  + SPACE(2) + '<APPROVE1_ROLE>'+ isnull(UPPER(ltrim(rtrim(DOLG_RUK))),'') +'</APPROVE1_ROLE>' + CHAR(10)
				  + SPACE(2) + '<APPROVE2>'+ isnull(UPPER(ltrim(rtrim(FIO_BUH))),'') +'</APPROVE2>' + CHAR(10)
				  
				  + SPACE(2) + '<WORK_CONTRACT_START_DT>'+convert(varchar(10),[DATE_BEGIN],120)+'</WORK_CONTRACT_START_DT>' + CHAR(10)
				  + SPACE(2) + '<WORK_CONTRACT_FINISH_DT>'+isnull(convert(varchar(10),[DATE_END],120),'')+'</WORK_CONTRACT_FINISH_DT>' + CHAR(10)
				   
				  + SPACE(2) + '<ROLE_WAGE>'+ RTRIM(LTRIM(STR(COALESCE(OKLAD,0),18,2)))   + '</ROLE_WAGE>' + CHAR(10)
				  + SPACE(2) + '<BASE_CALC_DAYS>'+ 
								RTRIM(LTRIM(STR(COALESCE(datediff(day , dbo.ConvertDMY2Date(1,1,YEAR1), (dbo.DateEndOfYear(dbo.ConvertDMY2Date(1,1,YEAR2))+1)),3,0))))		  
							 + '</BASE_CALC_DAYS>' + CHAR(10)
				  + SPACE(2) + '<BASE_AVG_SAL>'+RTRIM(LTRIM(STR(COALESCE((BASE_SUM1+BASE_SUM2),0),18,2)))+'</BASE_AVG_SAL>' + CHAR(10)
				  + SPACE(2) + '<BASE_AVG_DAILY_SAL>'+ RTRIM(LTRIM(STR(COALESCE([SUMA_BASE0_R],0),15,2))) +'</BASE_AVG_DAILY_SAL>' + CHAR(10)
				  + SPACE(2) + '<YEAR_CHANGE_FLAG>'+ isnull(convert(varchar(1),YEAR_CHANGE_FLAG), '') +'</YEAR_CHANGE_FLAG>' + CHAR(10)
				  + SPACE(2) + '<YEAR1_ODL></YEAR1_ODL>' + CHAR(10)
				  + SPACE(2) + '<YEAR2_ODL></YEAR2_ODL>' + CHAR(10)
				  + SPACE(2) + '<YEAR1>'+ ltrim(rtrim(isnull(YEAR1,''))) +'</YEAR1>' + CHAR(10)
				  + SPACE(2) + '<YEAR2>'+ ltrim(rtrim(isnull(YEAR2,''))) +'</YEAR2>' + CHAR(10)
				  + SPACE(2) + '<BASE_SUM1>'+ RTRIM(LTRIM(STR(COALESCE(BASE_SUM1,0),18,2))) +'</BASE_SUM1>' + CHAR(10)
				  + SPACE(2) + '<BASE_SUM2>'+ RTRIM(LTRIM(STR(COALESCE(BASE_SUM2,0),18,2))) +'</BASE_SUM2>' + CHAR(10)
				  + SPACE(2) + '<KF_REG>'+ RTRIM(LTRIM(STR(COALESCE(REG_KOEF,0),3,0))) +'</KF_REG>' + CHAR(10)
				  + SPACE(2) + '<KF_SHORT_DAY></KF_SHORT_DAY>' + CHAR(10)
				  + SPACE(2) + '<LIVE_COND_FLAG></LIVE_COND_FLAG>' + CHAR(10)
				  + SPACE(2) + '<LIVE_COND></LIVE_COND>' + CHAR(10)
				  + SPACE(2) + '<CALC_MH_PERIOD_START></CALC_MH_PERIOD_START>' + CHAR(10)
				  + SPACE(2) + '<CALC_MH_PERIOD_FINISH></CALC_MH_PERIOD_FINISH>' + CHAR(10)
				  + SPACE(2) + '<DOWNTIME_START></DOWNTIME_START>' + CHAR(10)
				  + SPACE(2) + '<DOWNTIME_FINISH></DOWNTIME_FINISH>' + CHAR(10)
				  + SPACE(2) + '<INSUR_YY>'+ convert(varchar(2),isnull(STAG_R,'')) +'</INSUR_YY>' + CHAR(10)
				  + SPACE(2) + '<INSUR_MM>'+convert(varchar(2),isnull(STAG_MONTH_R,'')) +'</INSUR_MM>' + CHAR(10)
				  + SPACE(2) + '<NOT_INSUR_YY></NOT_INSUR_YY>' + CHAR(10)
				  + SPACE(2) + '<NOT_INSUR_MM></NOT_INSUR_MM>' + CHAR(10)
				  + SPACE(2) + '<LN_CODE>'+ convert(varchar(12),replace(replace(NUMBER,' ',''),'-','')) +'</LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<PREV_LN_CODE>'+ ltrim(rtrim(NUM_DOC)) +'</PREV_LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<PRIMARY_FLAG>'+ (case when REF_DOC is not null then '1' else '0' end)  +'</PRIMARY_FLAG>' + CHAR(10)
				  + SPACE(2) + '<DUPLICATE_FLAG>0</DUPLICATE_FLAG>' + CHAR(10)
				  + SPACE(2) + '<LN_DATE>'+ convert(varchar(10),[DATE], 120) +'</LN_DATE>' + CHAR(10)
				  + SPACE(2) + '<LPU_NAME>'+isnull(ltrim(rtrim(MDEP_NAME)),'') +'</LPU_NAME>' + CHAR(10)
				  + SPACE(2) + '<LPU_ADDRESS>'+isnull(ltrim(rtrim(MDEP_ADDR)),'') +'</LPU_ADDRESS>' + CHAR(10)
				 -- + SPACE(2) + '<LPU_ADDRESS_KLADR>'+ltrim(rtrim(ADR_MED_DEP_LINK)) +'</LPU_ADDRESS_KLADR>' + CHAR(10)
				  --+ SPACE(4) + '<LPU_ADDR_A1>'+ RTRIM(LTRIM(STR(COALESCE([s2_7],0),15,2))) +'</LPU_ADDR_A1>'
				  --+ SPACE(3) + '<LPU_ADDR_A3>'+ +'</LPU_ADDR_A3>'
				  --+ SPACE(3) + '<LPU_ADDR_A5>' ++ '</LPU_ADDR_A5>'
				 -- + SPACE(2) + '<LPU_ADDR_HOUSE>'+isnull(ltrim(rtrim(HOUSE_MED_DEP)),'') +'</LPU_ADDR_HOUSE>' + CHAR(10)
				 -- + SPACE(2) + '<LPU_ADDR_POST_INDEX>'+ltrim(rtrim(INDEX_MED_DEP)) +'</LPU_ADDR_POST_INDEX>' + CHAR(10)
				  + SPACE(2) + '<LPU_OGRN>'+ltrim(rtrim(OGRN_MED_DEP)) +'</LPU_OGRN>' + CHAR(10)
				  + SPACE(2) + '<BIRTHDAY>'+ convert(varchar(10),[BIRTH_EMPL], 120) +'</BIRTHDAY>' + CHAR(10)
				  + SPACE(2) + '<GENDER>' + convert(varchar(1),[sex]) + '</GENDER>' + CHAR(10)
				  + SPACE(2) + '<REASON1>' + convert(varchar(1),CODE_TYP_ARHE)+'</REASON1>' + CHAR(10)
				  + SPACE(2) + '<REASON2></REASON2>' + CHAR(10)
				  + SPACE(2) + '<REASON3></REASON3>' + CHAR(10)
				  + SPACE(2) + '<PARENT_CODE></PARENT_CODE>' + CHAR(10)
				  + SPACE(2) + '<DATE1></DATE1>' + CHAR(10)
				  + SPACE(2) + '<DATE2></DATE2>' + CHAR(10)    
				  + SPACE(2) + '<VOUCHER_NO></VOUCHER_NO>' + CHAR(10)
				  + SPACE(2) + '<VOUCHER_OGRN></VOUCHER_OGRN>' + CHAR(10)    

				  + SPACE(2) + '<SERV1_AGE>'+ case when BIRTHDATE is not null then 
												convert(varchar(3),((datediff(year, BIRTHDATE,[DATE] )*12 ) - (month(BIRTHDATE) -  month([DATE])))/12) 
											  else '' end	
							 +' </SERV1_AGE>' + CHAR(13) + CHAR(10)  /*convert(varchar(3),((convert(numeric(5,0),datediff(year, BIRTHDATE,[DATE] ))*12 - (month(BIRTHDATE) -  month([DATE])))/12))*/
				  + SPACE(2) + '<SERV1_MM>'+ case when BIRTHDATE is not null then 
											 convert(varchar(3),(case when (month([DATE]) - month(BIRTHDATE))  < 0 then  12 - ABS(month([DATE]) - month(BIRTHDATE))  else  (month([DATE]) - month(BIRTHDATE)) end))
											 else '' end
							 +' </SERV1_MM>' + CHAR(10)
				  + SPACE(2) + '<SERV1_RELATION_CODE>'+ case when ltrim(rtrim(FAMILY_NAME)) = ''  
															 then (case when [sex] = 1 
																	   then '39'
																	   else '38'
																  end)	 	   
															 when ltrim(rtrim(FAMILY_NAME)) = '' 
															 then (case when [sex] = 1 
																	   then '39'
																	   else '38'
																  end)	 			   
															 when ltrim(rtrim(FAMILY_NAME)) = '' or ltrim(rtrim(FAMILY_NAME)) = '' 
															 then '40'
															 else '41'
															 end	 		
							 +'</SERV1_RELATION_CODE>' + CHAR(10)
				  + SPACE(2) + '<SERV1_FIO>'+ ltrim(rtrim(PERS_KID)) +'</SERV1_FIO>' + CHAR(10)
				  + SPACE(2) + '<SERV2_DAYS></SERV2_DAYS>' + CHAR(10)
				  + SPACE(2) + '<PREGN12W_FLAG></PREGN12W_FLAG>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_DT1></HOSPITAL_DT1>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_DT2></HOSPITAL_DT2>' + CHAR(10)	
				  + SPACE(2) + '<HOSPITAL_BREACH_CODE></HOSPITAL_BREACH_CODE>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_BREACH_DT></HOSPITAL_BREACH_DT>' + CHAR(10)
				  + SPACE(2) + '<MSE_DT1></MSE_DT1>' + CHAR(10)
				  + SPACE(2) + '<MSE_DT2></MSE_DT2>' + CHAR(10)	
				  + SPACE(2) + '<MSE_DT3></MSE_DT3>' + CHAR(10)
				  + SPACE(2) + '<MSE_INVALID_GROUP></MSE_INVALID_GROUP>' + CHAR(10)
				  + SPACE(2) + '<MSE_INVALID_DAYS></MSE_INVALID_DAYS>' + CHAR(10)
				  + SPACE(2) + '<MSE_RESULT></MSE_RESULT>' + CHAR(10)	
				  
				  + SPACE(2) + '<TREAT1_DT1>'+ convert(varchar(10),DATE1, 120) +'</TREAT1_DT1>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DT2>'+ convert(varchar(10),DATE2, 120) +'</TREAT1_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR_ROLE></TREAT1_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR></TREAT1_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOC_ID></TREAT1_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR2_ROLE></TREAT1_DOCTOR2_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_CHAIRMAN_VK></TREAT1_CHAIRMAN_VK>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOC2_ID></TREAT1_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DT1></TREAT2_DT1>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DT2></TREAT2_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR_ROLE></TREAT2_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR></TREAT2_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOC_ID></TREAT2_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR2_ROLE></TREAT2_DOCTOR2_ROLE>' + CHAR(10)					  				  
				  + SPACE(2) + '<TREAT2_CHAIRMAN_VK></TREAT2_CHAIRMAN_VK>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOC2_ID></TREAT2_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DT1></TREAT3_DT1>' + CHAR(10)		
				  + SPACE(2) + '<TREAT3_DT2></TREAT3_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR_ROLE></TREAT3_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR></TREAT3_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOC_ID></TREAT3_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR2_ROLE></TREAT3_DOCTOR2_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_CHAIRMAN_VK></TREAT3_CHAIRMAN_VK>' + CHAR(10)		
				  + SPACE(2) + '<TREAT3_DOC2_ID></TREAT3_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<OTHER_STATE_DT></OTHER_STATE_DT>' + CHAR(10)
				  + SPACE(2) + '<RETURN_DATE_LPU></RETURN_DATE_LPU>' + CHAR(10)
				  + SPACE(2) + '<NEXT_LN_CODE></NEXT_LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<CALC_METHOD>1</CALC_METHOD>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION1></CALC_CONDITION1>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION2></CALC_CONDITION2>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION3></CALC_CONDITION3>' + CHAR(10)
				  + SPACE(2) + '<FORM1_DT></FORM1_DT>' + CHAR(10)

				  + SPACE(2) + '<RETURN_DATE_EMPL>'+ convert(varchar(10),DATE2+1,120)+'</RETURN_DATE_EMPL>' + CHAR(10)
				  + SPACE(2) + '<DT1>'+ convert(varchar(10),DATE1,120)+'</DT1>' + CHAR(10)
				  + SPACE(2) + '<DT2>'+ convert(varchar(10),DATE2,120) +'</DT2>' + CHAR(10)
				  + SPACE(2) + '<CALC_DAYS>'+ convert(varchar(3),[DAYS])+'</CALC_DAYS>' + CHAR(10)
				  + SPACE(2) + '<DT2_FACT></DT2_FACT>' + CHAR(10)
				  --+ SPACE(2) + '<CALC_PERIOD></CALC_PERIOD>' + CHAR(10)				  
		  
				  + SPACE(2) + '<EMPL_PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([RAB_SUM_R],0),18,2))) +'</EMPL_PAYMENT>' + CHAR(10)
				  + SPACE(2) + '<FSS_PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([FSS_SUM_R],0),18,2))) +'</FSS_PAYMENT>' + CHAR(10)
				  + SPACE(2) + '<PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([RAB_SUM_R] + [FSS_SUM_R],0),18,2))) +'</PAYMENT>' + CHAR(10)
  
  				 -- + SPACE(2) + '<CERT_TYPE></CERT_TYPE>' + CHAR(10)
				  + SPACE(2) + '<CERT_NO></CERT_NO>' + CHAR(10)
				  + SPACE(2) + '<CERT_DT></CERT_DT>' + CHAR(10)
				  + SPACE(2) + '<CERT_BR></CERT_BR>' + CHAR(10)
				  + SPACE(2) + '<CERT_DT_DATE></CERT_DT_DATE>' + CHAR(10)
				  + SPACE(2) + '<CERT_SURNAME></CERT_SURNAME>' + CHAR(10)
				  + SPACE(2) + '<CERT_NAME></CERT_NAME>' + CHAR(10)		
				  + SPACE(2) + '<CERT_PATRONIMIC></CERT_PATRONIMIC>' + CHAR(10)
				  + SPACE(2) + '<REF_24_NO></REF_24_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_24_DT></REF_24_DT>' + CHAR(10)
				  + SPACE(2) + '<CHILD_SER></CHILD_SER>' + CHAR(10)
				  + SPACE(2) + '<MH_OUT></MH_OUT>' + CHAR(10)
				  + SPACE(2) + '<HOLID_ORD_NO></HOLID_ORD_NO>' + CHAR(10)		
				  + SPACE(2) + '<HOLID_ORD_DT></HOLID_ORD_DT>' + CHAR(10)
				  + SPACE(2) + '<HOLID_DT_ST></HOLID_DT_ST>' + CHAR(10)
				  + SPACE(2) + '<HOLID_DT_FN></HOLID_DT_FN>' + CHAR(10)
				  + SPACE(2) + '<HOLID_CH_ORD_NO></HOLID_CH_ORD_NO>' + CHAR(10)
				  + SPACE(2) + '<HOLID_CH_ORD_DT></HOLID_CH_ORD_DT>' + CHAR(10)
				  + SPACE(2) + '<WARD_FLAG></WARD_FLAG>' + CHAR(10)
				  + SPACE(2) + '<WARD_REF_NO></WARD_REF_NO>' + CHAR(10)
				  + SPACE(2) + '<WARD_REF_DT></WARD_REF_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_FAMILY_NO></REF_FAMILY_NO>' + CHAR(10)
	  			  + SPACE(2) + '<REF_FAMILY_DT></REF_FAMILY_DT>' + CHAR(10)		
				  + SPACE(2) + '<OTHER_CHILD_FLAG_DT></OTHER_CHILD_FLAG_DT>' + CHAR(10)
				  + SPACE(2) + '<OTHER_CHILD_FLAG_BR></OTHER_CHILD_FLAG_BR>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_FATHER_NO></REF_NPAY_FATHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_FATHER_DT></REF_NPAY_FATHER_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_MOTHER_NO></REF_NPAY_MOTHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_MOTHER_DT></REF_NPAY_MOTHER_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_OTHER_NO></REF_NPAY_OTHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_OTHER_DT></REF_NPAY_OTHER_DT>' + CHAR(10)
				  + SPACE(2) + '<PERIODS>' 
				 FROM
					#DOC_REESTR_FSS_TABLE1
				 WHERE 
					ROW = @ROW 
				
				---
				--  
				---

				SET @Cur2 = CURSOR FORWARD_ONLY
				FOR select ORDERS from #DOC_REESTR_FSS_TABLE2 WHERE id = @ROW
				
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @ID

				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @FNAME, 
								SPACE(3) + '<PERIOD>'	
										+ SPACE(4) + '<START_DATE>'+convert(varchar(10),DATE1,120)+'</START_DATE>'
										+ SPACE(4) + '<END_DATE>'+convert(varchar(10),DATE2,120)+'</END_DATE>'
										+ SPACE(4) + '<IDLE_AVERAGE>'+ RTRIM(LTRIM(STR(COALESCE(summa,0),18,2)))+'</IDLE_AVERAGE>'
								+ SPACE(3) + '</PERIOD>'

							 FROM
								#DOC_REESTR_FSS_TABLE2
							WHERE 
								ID = @ID 

					END


					FETCH NEXT FROM @Cur2 INTO @ID
				END

			CLOSE @Cur2
			DEALLOCATE @Cur2

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME,	
						SPACE(2) + '</PERIODS>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME,	
				 + SPACE(1) + '</ROW>'
		END

		FETCH NEXT FROM @Cur1 INTO @ROW	

	END
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @FNAME, SPACE(0) + '</ROWSET>'

	CLOSE @Cur1
	DEALLOCATE @Cur1


	select * from #OUTPUT  order by [ID]	
		

END 




GO


GRANT EXECUTE ON dbo.[SD_REESTR_FSS_PREPARE_DATA] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KD_VACATION_VID_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KD_VACATION_VID_SAVE]

GO

/*
  (Keysystems), 2005
*/
CREATE PROCEDURE dbo.KD_VACATION_VID_SAVE
	@LINK	int	OUTPUT,
	@CODE           CHAR(2) 		= '',
	@NAME           VARCHAR(150) = '',
	@TYPE_LINK      INT,
	@LINK_PAYS      INT		= null,
	@PERIOD1        TINYINT 	= 0,
	@BonusTakeTime		TINYINT 	= 0,
	@Time_Arche		TINYINT 	= 0,
	@NO_SAL			TINYINT 	= 0,
	@HOLIDAY		TINYINT 	= 0,
	@ADM			TINYINT 	= 0,
	@NOT_LGOT_EXPIR	TINYINT 	= 0,
	@IS_DOP VARCHAR(20) = NULL,
	@VAC_V TINYINT = 0,
	@INSTR TINYINT = 1
AS

DECLARE @SQLError	int, 
		@EventText	varchar(7000),
		@trancount	int,  
		@ObjLink int, 
		@RowCount INT


SET @trancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

Set @BonusTakeTime = COALESCE(@BonusTakeTime,0)
Set @Time_Arche = COALESCE(@Time_Arche,0)
Set @NO_SAL = COALESCE(@NO_SAL,0)
SET @ADM = COALESCE(@ADM,0)
SET @VAC_V = COALESCE(@VAC_V,1) - 1
SET @INSTR = COALESCE(@INSTR,1) - 1

IF LEN(@NAME) = 0 OR LEN(@CODE) = 0 OR @TYPE_LINK IS NULL
BEGIN
	ROLLBACK
	RETURN 5
END
--
SET @ObjLink = dbo.obj_id('KD_VACATION_VID')

IF @LINK is null OR @LINK = 0
BEGIN
	INSERT INTO dbo.VACATION_VID WITH (ROWLOCK) (CODE,NAME,TYPE_LINK,LINK_PAYS,PERIOD1,BonusTakeTime,Time_Arche,NO_SAL,HOLIDAY,ADM, NOT_LGOT_EXPIR, IS_DOP,VAC_V, INSTR) 
	VALUES (@CODE,@NAME,@TYPE_LINK,@LINK_PAYS,@PERIOD1, @BonusTakeTime,@Time_Arche,@NO_SAL,@HOLIDAY,@ADM,@NOT_LGOT_EXPIR, @IS_DOP,@VAC_V, @INSTR)
	SELECT @SQLError = @@ERROR, @LINK = @@IDENTITY
	IF @SQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
END
ELSE
BEGIN
	UPDATE dbo.VACATION_VID WITH (ROWLOCK) 
	SET CODE = @CODE,NAME = @NAME,TYPE_LINK = @TYPE_LINK,LINK_PAYS = @LINK_PAYS, 
        PERIOD1 = @PERIOD1, BonusTakeTime = @BonusTakeTime, Time_Arche = @Time_Arche, NO_SAL = @NO_SAL, HOLIDAY = @HOLIDAY, ADM = @ADM, NOT_LGOT_EXPIR = @NOT_LGOT_EXPIR,
        IS_DOP = @IS_DOP,VAC_V = @VAC_V, INSTR = @INSTR
	WHERE LINK =@LINK
	SELECT @SQLError = @@ERROR, @RowCount = @@ROWCOUNT
	IF @SQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @RowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
END	


SET @EventText = ' ' + ' ' +  RTRIM(CONVERT(VARCHAR(7000), @NAME))
EXECUTE WF_GENERATEEVENT '  ', @EventText, @ObjLink, 'VACATION_VID', @LINK

IF @@TRANCOUNT > @trancount
	COMMIT TRAN
RETURN 0

GO


GRANT EXECUTE ON dbo.[KD_VACATION_VID_SAVE] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_REPORT_BOOK_AMORT1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_REPORT_BOOK_AMORT1]

GO


CREATE      PROCEDURE dbo.BK_REPORT_BOOK_AMORT1
	@varKSnMonth1		INT			,
	@varKScYear1		VARCHAR (4)		,
	@varKScVal1	char(1), @varKSnOtborLink1	int,
	@dDATE_BEGIN		DATETIME	= NULL,
	@dDATE_END		DATETIME	= NULL,
	@intREPORT_BY_PERIOD	TINYINT		= 0,
	@intNO_AMORT	INT,
	@intSVOD_ZB INT,
	@cVal_KBK char(1), @nOtborLinkKBK int,		--   --
	@intGRP_KBK	INT = 0,
	@intAMORT_ONLY_PER	INT = 0
--
AS
BEGIN

/*
SELECT
	intNO_AMORT = @intNO_AMORT,
	intSVOD_ZB = @intSVOD_ZB,
	intGRP_KBK	= @intGRP_KBK,
	intAMORT_ONLY_PER	= @intAMORT_ONLY_PER

RETURN
*/
--select 'start', convert (varchar (100), getdate (), 121)

	DECLARE
		@varKSDATE_BEGIN	DATETIME,	
		@varKSDATE_END		DATETIME,	
		@varKSDATE_REST		DATETIME,	
		@varKSLINK_DEP		INT		,
		@varKScNEXT_PERIOD	VARCHAR (10),
		@varKScBEGIN_PERIOD	VARCHAR (10),
		@varKScOtborAccount	VARCHAR (100),

		@varKSMonth		VARCHAR (20),
		@varKSP_CODE		VARCHAR (20),
		@varKSDEP_CODE		VARCHAR (20),
		@varKSDEP_NAME		VARCHAR (254),
		@varKSDEP_OKPO		VARCHAR (20),
		@varKSEMP_CODE		VARCHAR (20),
		@strGLBUH		VARCHAR (100),
		@varKSnSel_Spr1		INT,
		@varKSEMP_NAME		VARCHAR (254),
		@strDATE_END_PERIOD	VARCHAR (10),
		@intDEP_LINK	INT

	IF @intREPORT_BY_PERIOD = 0
	BEGIN
		SET @varKSDATE_BEGIN = dbo.DateBeginOfMonth (dbo.ConvertDMY2Date (1, @varKSnMonth1, CONVERT (INT, @varKScYear1)))
		SET @varKSDATE_END = dbo.DateEndOfMonth (@varKSDATE_BEGIN)
	END
	ELSE
	BEGIN
		SET @varKSDATE_BEGIN = @dDATE_BEGIN
		SET @varKSDATE_END = @dDATE_END
	END

	SET @strDATE_END_PERIOD	= CONVERT (VARCHAR (10), @varKSDATE_END, 104)
	SET @intNO_AMORT = ISNULL (@intNO_AMORT, 0)
	SET @intDEP_LINK = dbo.BK_GetDepZB () 

	DECLARE @ACCT_BALANSE TABLE (LINK_ACCT [INT],
					cSOURCE CHAR (1),
					cSINTH CHAR (3),
					cANALIT CHAR (2),
					cUSER VARCHAR (4))

	IF LEN (@varKScVal1) > 0
		INSERT INTO @ACCT_BALANSE
		SELECT RECORD,
			SA.cSOURCE,
			SA.cSINTH,
			SA.cANALIT,
			SA.cUSER
		FROM dbo.OBJECT_VAR_ACCT OV_AC
		INNER JOIN dbo.S_ACCOUNTS SA ON (SA.LINK = OV_AC.RECORD)
		WHERE LINK_UP = @varKSnOtborLink1
	ELSE
		INSERT INTO @ACCT_BALANSE
		SELECT T1.LINK,
			T1.cSOURCE,
			T1.cSINTH,
			T1.cANALIT,
			T1.cUSER
		FROM dbo.BK_GetAcctTableByCode ('101', DEFAULT, DEFAULT, DEFAULT) T1
		UNION ALL
		SELECT T1.LINK,
			T1.cSOURCE,
			T1.cSINTH,
			T1.cANALIT,
			T1.cUSER
		FROM dbo.BK_GetAcctTableByCode ('102', DEFAULT, DEFAULT, DEFAULT) T1
		UNION ALL
		SELECT T1.LINK,
			T1.cSOURCE,
			T1.cSINTH,
			T1.cANALIT,
			T1.cUSER
		FROM dbo.BK_GetAcctTableByCode ('108', '01,02,03', DEFAULT, DEFAULT) T1
		UNION ALL
		SELECT T1.LINK,
			T1.cSOURCE,
			T1.cSINTH,
			T1.cANALIT,
			T1.cUSER
		FROM dbo.BK_GetAcctTableByCode ('108', '51,52,54', DEFAULT, DEFAULT) T1

	DECLARE @ACCT_AMORT TABLE
		(
		LINK_ACCT [INT],
		cSOURCE CHAR (1),
		cSINTH CHAR (3),
		cANALIT CHAR (2),
		cUSER VARCHAR (4)
		)

	INSERT INTO @ACCT_AMORT
	SELECT
		T1.LINK,
		T1.cSOURCE,
		T1.cSINTH,
		T1.cANALIT,
		T1.cUSER
	FROM dbo.BK_GetAcctTableByCode ('104', DEFAULT, DEFAULT, DEFAULT) T1

	---   --- 
	DECLARE @TAB_KBK TABLE (LINK_KBK INT, KBK_CODE VARCHAR (30))
	IF LEN (@cVal_KBK) > 0
		INSERT INTO @TAB_KBK
		SELECT AP.LINK,
			AP.CODE
		FROM dbo.KL_KBK AP 
		INNER JOIN dbo.OBJECT_VAR_KBK OVR ON (OVR.RECORD = AP.LINK)
		WHERE OVR.LINK_UP = @nOtborLinkKBK
	ELSE
		INSERT INTO @TAB_KBK
		SELECT LINK_AP, AP_CODE
		FROM dbo.BK_GetTableDictionByAP ('KBK')

	---   --- 
	SET @intSVOD_ZB = ISNULL (@intSVOD_ZB, 0)
	SET @varKSLINK_DEP = dbo.BK_GetDepZB ()

	IF @intSVOD_ZB = 1 OR @varKSLINK_DEP IS NULL
		SET @varKSLINK_DEP = dbo.GetOwnDepLink()

	SELECT
		@varKSLINK_DEP = LINK,
		@varKSDEP_CODE = CODE,
		@varKSDEP_NAME = [NAME],
		@varKSDEP_OKPO = OKPO
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = @varKSLINK_DEP

	IF @intSVOD_ZB = 1
		SET @varKSDEP_NAME = RTRIM (@varKSDEP_NAME) + ' ()'

	SET @varKSDATE_REST = DATEADD (DAY, 1, @varKSDATE_END)

	DECLARE @BALANSE_OS TABLE (DEP [INT], ACCOUNT [INT], INV [INT], KBK INT,
		IN_QTY [NUMERIC] (28,4), IN_SUMMA [NUMERIC] (28,4),
		OUT_QTY [NUMERIC] (28,4), OUT_SUMMA [NUMERIC] (28,4))

	INSERT INTO @BALANSE_OS
	SELECT T1.DEP,
		T1.ACCOUNT,
		T1.INV,
		T1.KBK,
		SUM (T1.IN_QTY),
		SUM (T1.IN_SUMMA),
		SUM (T1.OUT_QTY),
		SUM (T1.OUT_SUMMA)
	FROM dbo.BK_GetTableOSVByDate (@varKSDATE_BEGIN, @varKSDATE_END, @intDEP_LINK) T1
	INNER JOIN @ACCT_BALANSE T2 ON (T2.LINK_ACCT = T1.ACCOUNT)
	INNER JOIN @TAB_KBK T3 ON (T3.LINK_KBK = T1.KBK)
	WHERE @intSVOD_ZB = 1 
		OR (@intSVOD_ZB = 0 AND T1.DEP_LINK = @varKSLINK_DEP)
	GROUP BY T1.DEP,
		T1.ACCOUNT,
		T1.INV,
		T1.KBK

--select '@BALANSE_OS', convert (varchar (100), getdate (), 121)

	DECLARE @AMORT_OS TABLE (ACCOUNT [INT], INV [INT], KBK INT, 
		cSOURCE CHAR (1), cSINTH CHAR (3), cANALIT CHAR (2), cUSER VARCHAR (4),
		IN_SUMMA [NUMERIC] (28,4), K_SUMMA [NUMERIC] (28,4),
		OUT_SUMMA [NUMERIC] (28,4))

	INSERT INTO @AMORT_OS
	SELECT T1.ACCOUNT,
		T1.INV,
		T1.KBK,
		T2.cSOURCE,
		T2.cSINTH,
		T2.cANALIT,
		T2.cUSER,
		SUM (ISNULL (T1.IN_SUMMA, 0)),
		SUM (ISNULL (T1.K_SUMMA, 0)),
		SUM (ISNULL (T1.OUT_SUMMA, 0))
	FROM dbo.BK_GetTableOSVByDate (@varKSDATE_BEGIN, @varKSDATE_END, @intDEP_LINK) T1
	INNER JOIN @ACCT_AMORT T2 ON (T2.LINK_ACCT = T1.ACCOUNT)
	INNER JOIN @TAB_KBK T3 ON (T3.LINK_KBK = T1.KBK)
--	WHERE T1.DEP_LINK = @varKSLINK_DEP
	WHERE @intSVOD_ZB = 1 
		OR (@intSVOD_ZB = 0 AND T1.DEP_LINK = @varKSLINK_DEP)
	GROUP BY T1.ACCOUNT,
		T1.INV,
		T1.KBK,
		T2.cSOURCE,
		T2.cSINTH,
		T2.cANALIT,
		T2.cUSER
	HAVING	SUM (ISNULL (T1.IN_SUMMA, 0)) <> 0
		OR SUM (ISNULL (T1.K_SUMMA, 0)) <> 0
		OR SUM (ISNULL (T1.OUT_SUMMA, 0)) <> 0

--select '@AMORT_OS', convert (varchar (100), getdate (), 121)

	DECLARE @TABLE_DATE_OUT_OS TABLE (INV [INT], DATE_OUT [DATETIME])
	INSERT INTO @TABLE_DATE_OUT_OS
	SELECT INV,
		MAX (DATE_OPER)
	FROM dbo.BK_GetDateTableOutOS (DEFAULT , @varKSDATE_END)
	GROUP BY INV

--select '@TABLE_DATE_OUT_OS', convert (varchar (100), getdate (), 121)

	-- ,        --
	SET @intAMORT_ONLY_PER = ISNULL (@intAMORT_ONLY_PER, 0)
--SELECT @varKSDATE_END,  * FROM @TABLE_DATE_OUT_OS

	DECLARE @TAB_RES TABLE
		(
		ACCOUNT [INT], INV [INT],
		ACCT_CODE [VARCHAR] (30),
		INV_CODE [VARCHAR] (20), INV_NAME [VARCHAR] (254),
		CODE_OKOF [varchar] (20), NAME_OKOF [varchar] (254),
		BEGIN_USED [VARCHAR] (10), 
		QTY [NUMERIC] (28,4), BALANSE [NUMERIC] (28,4),
		ASUM_PB [NUMERIC] (28,4), ASUM_P [NUMERIC] (28,4), ASUM_PE [NUMERIC] (28,4),
		LSUM_BE  [NUMERIC] (28,4), LSUM_PE  [NUMERIC] (28,4),
		PERC_RATE [NUMERIC] (10,2),
		DEP_NAME [VARCHAR] (254),
		GLBUH [VARCHAR] (100),
		MONTH_NAME [VARCHAR] (20),
		YEAR_NAME [INT],
		DATE1 [VARCHAR] (10),
		DATE2 [VARCHAR] (10),
		YPERC_RATE [FLOAT],
		YSUM_RATE  [NUMERIC] (28,4),
		MSUM_RATE  [NUMERIC] (28,4),
		ISPERIOD   [TINYINT],
		PERIOD_END [VARCHAR] (10),
		DATE_OUT [VARCHAR] (10),
		KBK_CODE VARCHAR (30))

	SET @varKSMonth = dbo.DateMonthName (@varKSnMonth1)
	SET @varKSMonth = ISNULL (@varKSMonth, '')

	SELECT @strGLBUH = SHORT_NAME
	FROM dbo.GetOtvFaceData (@varKSLINK_DEP, ' ')

	SET @intGRP_KBK = ISNULL (@intGRP_KBK, 0)

	INSERT INTO @TAB_RES
	SELECT
		T1.ACCOUNT,
		T1.INV,
		RTRIM (SA.CODE),
		ISNULL (INV.CODE, ''),
		ISNULL (INV.NAME, ''),
		ISNULL(INV_DOP.CODE_OKOF,''), 
		ISNULL(INV_DOP.NAME_OKOF,''),
		ISNULL (CONVERT (VARCHAR (10), INV_DOP.DATE_BEGIN, 104), ''),
		CASE
			WHEN T1.OUT_QTY > 0 THEN T1.OUT_QTY
			WHEN T1.IN_QTY > 0 THEN T1.IN_QTY
			ELSE 0
		END,
		CASE
			WHEN T1.OUT_SUMMA > 0 THEN T1.OUT_SUMMA
			WHEN T1.IN_SUMMA > 0 THEN T1.IN_SUMMA
			ELSE 0
		END,
		ISNULL (T2.IN_SUMMA, 0),
		ISNULL (T2.K_SUMMA, 0),
		ISNULL (T2.OUT_SUMMA, 0),
		T1.IN_SUMMA - ISNULL (T2.IN_SUMMA, 0),
		T1.OUT_SUMMA - ISNULL (T2.OUT_SUMMA, 0),
		0,
		@varKSDEP_NAME,
		@strGLBUH,
		@varKSMonth,
		YEAR (@varKSDATE_BEGIN),
		CONVERT (VARCHAR (10), @varKSDATE_BEGIN, 104),
		CONVERT (VARCHAR (10), DATEADD (DAY, 1, @varKSDATE_END), 104),
/*		ISNULL (INV_DOP.DEPRE_RATE, CASE
						WHEN ISNULL (INV_DOP.PERIOD_USED, 0) <> 0
						THEN 100 / INV_DOP.PERIOD_USED
						ELSE 0
					END),
*/		ISNULL (NORM_D.DEPRE_RATE, 0),
		0, 0,
		@intREPORT_BY_PERIOD,
		@strDATE_END_PERIOD,
		ISNULL (CONVERT (VARCHAR (10), DATE_OUT, 104), ''),
		ISNULL (K.CODE, '')
	FROM @BALANSE_OS T1
--	INNER JOIN @AMORT_OS T2 ON (T2.INV = T1.INV)
	INNER JOIN dbo.INVENTORY_CARD INV ON (INV.LINK = T1.INV)
	INNER JOIN dbo.S_ACCOUNTS SA ON (SA.LINK = T1.ACCOUNT)
	LEFT OUTER JOIN @AMORT_OS T2 ON (T2.INV = T1.INV
				 AND T2.cSOURCE = SA.cSOURCE)
	LEFT OUTER JOIN dbo.BV_INVENTORY_CARD_DOP INV_DOP ON (INV_DOP.LINK_UP = T1.INV)
	LEFT OUTER JOIN @TABLE_DATE_OUT_OS OUT_OS ON (OUT_OS.INV = T1.INV)
	LEFT OUTER JOIN dbo.BK_GetNormDepreTableByOS (DEFAULT) NORM_D ON (NORM_D.INV = T1.INV)
	LEFT JOIN dbo.KL_KBK K ON (@intGRP_KBK = 1 AND K.LINK = T1.KBK)
	WHERE 
		(@intAMORT_ONLY_PER = 0 
			OR @intAMORT_ONLY_PER = 1 AND ISNULL (T2.K_SUMMA, 0) <> 0)
		AND (@intNO_AMORT = 0 AND T2.INV = T1.INV
			OR @intNO_AMORT = 1)

	UPDATE @TAB_RES SET PERC_RATE = ASUM_PE / BALANSE * 100
	WHERE BALANSE <> 0
	
	UPDATE @TAB_RES SET YSUM_RATE = BALANSE * YPERC_RATE /100
	UPDATE @TAB_RES SET MSUM_RATE = YSUM_RATE / 12

--select '@TAB_RES', convert (varchar (100), getdate (), 121)				

	SELECT * FROM @TAB_RES ORDER BY KBK_CODE, ACCT_CODE, RIGHT ('00000000000000000000' + INV_CODE, 20)

--select 'end', convert (varchar (100), getdate (), 121)

END







GO


GRANT EXECUTE ON dbo.[BK_REPORT_BOOK_AMORT1] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_SVOD1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_SVOD1]

GO

CREATE   PROCEDURE [dbo].[SD_REP_SVOD1]
	@varKSstart_date DATETIME, 
 	@varKSEND_DATE DATETIME,	
	@varKScVal1 char(1), @varKSnOtborLink1 int,		
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@varKScVal3 char(1), @varKSnOtborLink3 int,
	@CVAL4 CHAR(1), @NOTBORLINK4 INT	/*    */,
	@Sort1 tinyint, @Sort2 tinyint,
	@ALL_DEP tinyint = NULL,
	@nCheck1 int = 1	/*   */,
	@nCheck2 int = 1	/*   */,
	@nCheck3 int = 1	/*   */,
	@detailed_SFIN int = 0	/*     */,
	@detailed_EKR int = 0	/*    */,
	@AS_SALARY TINYINT = 0 /*    */	
AS
BEGIN

	--DECLARE @AS_SALARY TINYINT
	--SET @AS_SALARY = 0

	SET @Sort1 = COALESCE(@Sort1,0)
	SET @Sort2 = COALESCE(@Sort2,0)
	SET @ALL_DEP = COALESCE(@ALL_DEP,0)

	DECLARE @varKSSTART_YEAR DATETIME
	SELECT @varKSSTART_YEAR = dbo.DateBeginOfYear(@varKSstart_date)


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	EXEC BufferClear
	DECLARE @varKSVKR_ID VARCHAR(100), @varKScWhere VARCHAR(1000)
	IF LEN(@varKScVal2) = 0 BEGIN
		SET @varKSVKR_ID = NULL
	END	 
	ELSE BEGIN
		SET @varKSVKR_ID = 'SALARY_SVOD1_VKR'
		SET @varKScWhere = 'LINK_UP = ' + STR(@varKSnOtborLink2)
		EXEC BufferPushTable 'OBJECT_VAR_SAL_SFIN', @varKSVKR_ID, 'RECORD', @varKScWhere
	END

	---
	create table #otbor_ekr (link int)
	insert into #otbor_ekr (link)
	select RECORD from dbo.OBJECT_VAR_KOSGU WHERE LEN(@varKScVal3) = 0 OR LINK_UP = @varKSnOtborLink3

	---
	DECLARE @varKSnYear INT
	SET @varKSnYear = YEAR(@varKSSTART_YEAR)

	CREATE TABLE #varKSEMPLS (LINK_EMPL INT)
	CREATE TABLE #varKSEMPLS1 (LINK_EMPL INT, LINK_VKR INT, LINK_EKR INT)
	CREATE TABLE #varKSEMPLS2 (LINK_EMPL INT, LINK_VKR INT, LINK_EKR INT)
	
	IF LEN(@varKScVal1) <> 0 
		INSERT INTO #varKSEMPLS (LINK_EMPL)
		SELECT DISTINCT RECORD 
		FROM
			dbo.OBJECT_VAR_EMPL A 
			LEFT JOIN DBO.SA_EMPLS_INFO(@varKSEND_DATE, DEFAULT) K ON K.empl_link = A.RECORD
		WHERE 
			LINK_UP = @varKSnOtborLink1
			AND
			(	
				LEN(@CVAL4) = 0 
				OR 
				K.KAT_LINK IN (SELECT RECORD FROM DBO.OBJECT_VAR_KATEG WHERE LINK_UP = @NOTBORLINK4)
			)
	ELSE
		INSERT INTO #varKSEMPLS (LINK_EMPL)
		SELECT DISTINCT E.LINK
		FROM 
			dbo.EMPL E 
			LEFT JOIN DBO.SA_EMPLS_INFO(@varKSEND_DATE, DEFAULT) K ON K.empl_link = E.LINK
		WHERE 
			((DEP_LINK = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
			AND
			(	
				LEN(@CVAL4) = 0 
				OR 
				K.KAT_LINK IN (SELECT RECORD FROM DBO.OBJECT_VAR_KATEG WHERE LINK_UP = @NOTBORLINK4)
			)		

	CREATE CLUSTERED INDEX #varKSEMPLS_INDEX1 ON #varKSEMPLS (LINK_EMPL)
	---

	--	
	DECLARE @varKSDATE_01 DATETIME
	SET @varKSDATE_01 = DATEADD(DAY, -1, @varKSstart_date)

	--    
	DECLARE @DATE_BEG DATETIME, @DATE_END DATETIME, @DATE_BEG_PREV_YEAR DATETIME
	SET @DATE_BEG = CASE WHEN @varKSSTART_YEAR < @varKSstart_date THEN @varKSSTART_YEAR ELSE @varKSstart_date END
	SET @DATE_END = (CASE WHEN @varKSDATE_01 > @varKSEND_DATE THEN @varKSDATE_01 ELSE @varKSEND_DATE END)
	SET @DATE_BEG_PREV_YEAR = dbo.DateBeginOfYear(@varKSSTART_YEAR-1)

	--   
	CREATE TABLE #VEDOM_ZP (LINK INT)
	
	INSERT INTO #VEDOM_ZP (LINK)
	SELECT 
		D.LINK 
	FROM 
		dbo.SDOC D 
		INNER JOIN dbo.SDOC_VEDOM V ON V.LINK_UP = D.LINK 
	WHERE 
		LINK_DEP = @DEP_LINK
		AND @AS_SALARY = 1 
		AND TYP_PAYMENT = 1
		AND D.DATE_CALC BETWEEN @DATE_BEG_PREV_YEAR AND @DATE_END

	DECLARE @SALARY_PROV_OPT4 TINYINT
	SET @SALARY_PROV_OPT4 = dbo.sa_get_option_by_code('SALARY_PROV_OPT4')
	
	DECLARE @LINK_EKR_211 INT, @LINK_EKR_212 INT, @LINK_EKR_213 INT
	SET @LINK_EKR_211 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '211')
	SET @LINK_EKR_212 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '212')
	SET @LINK_EKR_213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

	DECLARE @LINK_R211 INT
	SET @LINK_R211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211')

	--  
	CREATE TABLE #SJC (LINK_EMPL INT, LINK_PAYS INT, SNAME VARCHAR(15), [NAME] VARCHAR(254), TYP_OPER TINYINT, WAY_CALC TINYINT, LINK_VKR INT, LINK_EKR INT, summa NUMERIC(20,2), PERIOD_BEGIN DATETIME, PERIOD_END DATETIME, LINK_DEP INT, [DAYS] INT)
	INSERT INTO #SJC 
		(LINK_EMPL, LINK_PAYS, SNAME, [NAME], TYP_OPER, WAY_CALC, LINK_VKR, LINK_EKR, summa, PERIOD_BEGIN, PERIOD_END, LINK_DEP, [DAYS])
	SELECT 
		SJC.LINK_EMPL,  SJC.LINK_PAYS, 
		P.SNAME, P.[NAME] + CASE WHEN ISNULL(A.LINK,0) > 0 AND (YEAR(PERIOD_BEGIN)* 100 + MONTH(PERIOD_BEGIN)) <> (YEAR(DATE_BEGIN)* 100 + MONTH(DATE_BEGIN)) THEN ' (. ' + CONVERT(VARCHAR(4),YEAR(PERIOD_BEGIN)) + '/' +  + RIGHT(CONVERT(VARCHAR(3),100 + MONTH(PERIOD_BEGIN)),2) + '  ' + CONVERT(VARCHAR(4),YEAR(DATE_BEGIN)) + '/' +  + RIGHT(CONVERT(VARCHAR(3),100 + MONTH(DATE_BEGIN)),2) + ')' ELSE '' END, 
		P.[OBJECT], P.WAY_CALC, 
		SJC.LINK_VKR, 
		--ISNULL(SJC.LINK_EKR,P.LINK_EKR), 
		CASE WHEN P.[OBJECT] = 3 THEN 
				CASE WHEN @SALARY_PROV_OPT4 = 0 THEN 
					CASE WHEN EKR.LINK = @LINK_EKR_211 THEN @LINK_EKR_213 ELSE EKR.LINK END
				ELSE 
					CASE WHEN EKR.LINK IN (@LINK_EKR_211, @LINK_EKR_212) THEN @LINK_EKR_213 ELSE EKR.LINK END				
				END
			ELSE EKR.LINK
		END,	
		SJC.summa, 
		CASE WHEN COALESCE(A.LINK,0) = 0 THEN SJC.PERIOD_BEGIN ELSE (CASE WHEN SJC.DATE_BEGIN < SJC.PERIOD_BEGIN THEN SJC.DATE_BEGIN ELSE SJC.PERIOD_BEGIN END) END, 
		CASE WHEN COALESCE(A.LINK,0) = 0 THEN SJC.PERIOD_END ELSE (CASE WHEN SJC.DATE_END < SJC.PERIOD_END THEN SJC.DATE_END ELSE SJC.PERIOD_END END) END, 
		SJC.LINK_DEP, SJC.[DAYS]
	FROM
		dbo.PAYS P
		INNER JOIN dbo.CALCULATE_JURNAL SJC ON SJC.LINK_PAYS = P.LINK
		INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(SJC.LINK_EKR,P.LINK_EKR) THEN @LINK_EKR_211 ELSE COALESCE(SJC.LINK_EKR,P.LINK_EKR) END)
		LEFT JOIN #VEDOM_ZP A ON A.LINK = SJC.LINK_DOC
	WHERE
		((SJC.LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
		AND --   
		(@varKSVKR_ID IS NULL OR EXISTS (SELECT * FROM dbo.BUFFER T WHERE T.[SID] = SUSER_SID() AND T.ID = @varKSVKR_ID AND T.LINK = SJC.LINK_VKR))
		AND --   
		( LEN(@varKScVal3) = 0 OR EXISTS (SELECT LINK FROM #otbor_ekr T WHERE T.LINK = EKR.LINK))
		AND
		(
			(
			--P.[OBJECT] = 2 AND COALESCE(A.LINK,0) = 0 AND YEAR(SJC.PERIOD_BEGIN) = YEAR(SJC.DATE_BEGIN) AND SJC.PERIOD_BEGIN >= @DATE_BEG AND SJC.PERIOD_END <= @DATE_END
			-- .  ,     
			--,        
			NOT (P.[OBJECT] = 2 AND ISNULL(A.LINK,0) > 0) AND SJC.PERIOD_BEGIN >= @DATE_BEG AND SJC.PERIOD_END <= @DATE_END			
			OR 
			--.       
			P.[OBJECT] = 2 AND ISNULL(A.LINK,0) > 0 AND (SJC.DATE_BEGIN >= @DATE_BEG AND SJC.DATE_BEGIN <= @DATE_END)
			)
		OR
			(	
				P.[OBJECT] = 2 AND COALESCE(A.LINK,0) > 0
				AND
				YEAR(SJC.DATE_BEGIN) = YEAR(@DATE_BEG)-1 --    ,    
				AND 
				YEAR(SJC.PERIOD_BEGIN) = YEAR(@DATE_BEG) AND MONTH(SJC.PERIOD_BEGIN) <= MONTH(@DATE_BEG)			
			)
		)	

	--
	CREATE CLUSTERED INDEX #SJC_INDEX1 ON #SJC (LINK_EMPL)	

	--
	CREATE TABLE #T1( Link_Empl INT, TYP_OPER INT, WAY_CALC INT, LINK_VKR INT, LINK_EKR INT, summa NUMERIC(20,2) )
	--       . 
	INSERT INTO #T1
	SELECT 
		SJC.LINK_EMPL, SJC.TYP_OPER, SJC.WAY_CALC, 
		LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN SJC.LINK_VKR ELSE 0 END), 
		LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN SJC.LINK_EKR ELSE 0 END), 
		ISNULL(SUM(SUMMA), 0.00)
	FROM 
		#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	WHERE 
			SJC.PERIOD_BEGIN >= @varKSSTART_YEAR 
		AND SJC.PERIOD_END <= @varKSDATE_01
		AND SJC.TYP_OPER IN (1,2)
	GROUP BY 
		SJC.LINK_EMPL, 
		(CASE WHEN @detailed_SFIN = 1 THEN SJC.LINK_VKR ELSE 0 END), 
		(CASE WHEN @detailed_EKR = 1 THEN SJC.LINK_EKR ELSE 0 END), 
		SJC.TYP_OPER, SJC.WAY_CALC
	HAVING 
		ISNULL(SUM(SUMMA), 0.00) <> 0	

	INSERT INTO #T1
	SELECT Link_Empl, TYP_OPER, 0, LINK_VKR, LINK_EKR, ISNULL(SUM(SUMMA), 0.00)
	FROM #T1 
	GROUP BY 
		Link_Empl, TYP_OPER, LINK_VKR, LINK_EKR
	HAVING 
		ISNULL(SUM(SUMMA), 0.00) <> 0	

	------------------------
	CREATE TABLE #T2( Link_Empl INT, TYP_OPER INT, WAY_CALC INT, LINK_VKR INT, LINK_EKR INT, summa NUMERIC(20,2) )
	--       . 
	INSERT INTO #T2
	SELECT 
		SJC.LINK_EMPL, SJC.TYP_OPER, SJC.WAY_CALC, 
		LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
		LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN LINK_EKR ELSE 0 END), 
		ISNULL(SUM(SUMMA), 0.00)
	FROM 
		#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	WHERE 
			SJC.PERIOD_BEGIN >= @varKSSTART_YEAR
		AND SJC.PERIOD_END <= @varKSEND_DATE
		AND SJC.TYP_OPER IN (1,2)
	GROUP BY 
		SJC.LINK_EMPL, 
		(CASE WHEN @detailed_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
		(CASE WHEN @detailed_EKR = 1 THEN LINK_EKR ELSE 0 END),		
		SJC.TYP_OPER, SJC.WAY_CALC
	HAVING 
		ISNULL(SUM(SUMMA), 0.00) <> 0		
	
	INSERT INTO #T2
	SELECT Link_Empl, TYP_OPER, 0, LINK_VKR, LINK_EKR, ISNULL(SUM(SUMMA), 0.00)
	FROM #T2 
	GROUP BY 
		Link_Empl, TYP_OPER, LINK_VKR, LINK_EKR
	HAVING 
		ISNULL(SUM(SUMMA), 0.00) <> 0	

	------------------------
	CREATE TABLE #T3( Link_Empl INT, TYP_OPER INT, WAY_CALC INT, LINK_VKR INT, LINK_EKR INT, summa NUMERIC(20,2) )
	----   
	INSERT INTO #T3 
	SELECT 
		SJC.LINK_EMPL, SJC.TYP_OPER, SJC.WAY_CALC, 
		LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
		LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN LINK_EKR ELSE 0 END), 	
		ISNULL(SUM(SUMMA), 0.00)
	FROM 
		#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	WHERE 
			SJC.PERIOD_BEGIN >= @varKSstart_date 
		AND SJC.PERIOD_END <= @varKSEND_DATE
	GROUP BY 
		SJC.LINK_EMPL, 
		(CASE WHEN @detailed_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
		(CASE WHEN @detailed_EKR = 1 THEN LINK_EKR ELSE 0 END),
		SJC.TYP_OPER, SJC.WAY_CALC
	
	INSERT INTO #T3
	SELECT Link_Empl, TYP_OPER, 0, LINK_VKR, LINK_EKR, ISNULL(SUM(SUMMA), 0.00)
	FROM #T3 
	GROUP BY 
		Link_Empl, TYP_OPER, LINK_VKR, LINK_EKR
	HAVING 
		ISNULL(SUM(SUMMA), 0.00) <> 0	

	------------------------    ----------------------------------
	CREATE TABLE #SAL_REMAIN (LINK_EMPL INT, LINK_VKR INT, LINK_EKR INT, SUMMA NUMERIC(18,2), NDFL NUMERIC(18,2) )

	INSERT INTO #SAL_REMAIN (LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA, NDFL)
	SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUM(SUMMA), SUM(NDFL)
	FROM
	( 
		SELECT 
			SR.LINK_EMPL, 
			LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN SR.LINK_VKR ELSE 0 END), 
			LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN EKR.LINK ELSE 0 END),		
			SUMMA = SR.SUMMA, 
			NDFL = SR.NDFL
		FROM 
			dbo.SAL_REMAIN SR 
			INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_EKR_211 ELSE SR.LINK_EKR END)
			INNER JOIN #varKSEMPLS E ON SR.LINK_EMPL = E.LINK_EMPL
		WHERE 
			YEAR_SAL = @varKSnYear 
			AND (@varKSVKR_ID IS NULL OR EXISTS (SELECT * FROM dbo.BUFFER T WHERE T.[SID] = SUSER_SID() AND T.ID=@varKSVKR_ID AND T.LINK = LINK_VKR))
			AND ( LEN(@varKScVal3) = 0 OR EXISTS (SELECT LINK FROM #otbor_ekr T WHERE T.LINK = EKR.LINK))

		
		--        
		UNION ALL
		SELECT 
			SJC.LINK_EMPL, 
			LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
			LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN LINK_EKR ELSE 0 END), 	
			-SUMMA,
			NDFL = 0
		FROM 
			#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
		WHERE
			@AS_SALARY = 1
			AND 
			YEAR(SJC.PERIOD_BEGIN) = YEAR(@DATE_BEG_PREV_YEAR)
	) T	
	GROUP BY 
		LINK_EMPL, LINK_VKR, LINK_EKR
	HAVING
		SUM(SUMMA) <> 0 OR SUM(NDFL) <> 0	


	-----------------------
	DECLARE @varKSCNT_N INT, @varKSCNT_U INT, @varKSCNT_O INT
	
	--
	CREATE TABLE #TMP_N (LINK_DEP1 INT, LINK_EMPL1 INT, NN VARCHAR(15), SN NUMERIC(15,2), LINK_VKR_N INT, LINK_EKR_N INT, way_calc tinyint, p tinyint )
	
	INSERT INTO #TMP_N 
	SELECT 
		SJC.LINK_DEP, SJC.LINK_EMPL, left(SJC.SNAME,15), SUMMA, 
		LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN SJC.LINK_VKR ELSE 0 END), 
		LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN SJC.LINK_EKR ELSE 0 END), 
		SJC.way_calc, 0
	FROM 
		#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	WHERE 
			SJC.TYP_OPER = 1 
		AND SJC.PERIOD_BEGIN >= @varKSstart_date AND SJC.PERIOD_END <= @varKSEND_DATE
		AND @nCheck1 = 1
				
	--UNION ALL
	/*        */
	--SELECT 
	--	SJC.LINK_DEP, SJC.LINK_EMPL, SJC.SNAME, [DAYS], 
	--	LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN SJC.LINK_VKR ELSE 0 END), 
	--	LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN SJC.LINK_EKR ELSE 0 END), 
	--	SJC.way_calc, 1
	--FROM 
	--	#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	--WHERE 
	--		SJC.TYP_OPER = 1 and SJC.way_calc in (13,20)
	--	AND PERIOD_BEGIN >= @varKSstart_date AND PERIOD_END <= @varKSEND_DATE
	--	AND @nCheck1 = 1		

	SET @varKSCNT_N = (SELECT COUNT(DISTINCT NN) FROM #TMP_N )

	------
	--UPDATE #TMP_N
	--SET  
	--	NN = rtrim(ltrim(NN))
	--	+ (CASE WHEN p=1 THEN ' ' ELSE '' END)
	--WHERE 
	--	LINK_EKR_N is not null and way_calc in (13,20) AND @ALL_DEP = 1
	------

	CREATE TABLE #TMP_U (LINK_DEP2 INT, LINK_EMPL2 INT, NU VARCHAR(100), SU NUMERIC(15,2), LINK_VKR_U INT, LINK_EKR_U INT)
	INSERT INTO #TMP_U
	SELECT 
		SJC.LINK_DEP, SJC.LINK_EMPL, left(SJC.[NAME],100), SJC.SUMMA,
		LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN SJC.LINK_VKR ELSE 0 END), 
		LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN SJC.LINK_EKR ELSE 0 END)		
	FROM 
		#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	WHERE 
			TYP_OPER = 2
		AND PERIOD_BEGIN >= @varKSstart_date AND PERIOD_END <= @varKSEND_DATE
		AND @nCheck2 = 1
		AND SJC.SUMMA <> 0
	
	SET @varKSCNT_U = (SELECT COUNT(DISTINCT NU) FROM #TMP_U )
	------
	
	CREATE TABLE #TMP_O (LINK_DEP3 INT, LINK_EMPL3 INT, NNO VARCHAR(15), SO NUMERIC(15,2), LINK_VKR_O INT, LINK_EKR_O INT)
	INSERT INTO #TMP_O 
	SELECT 
		SJC.LINK_DEP, SJC.LINK_EMPL, left(SJC.[SNAME],15), SJC.SUMMA,
		LINK_VKR = (CASE WHEN @detailed_SFIN = 1 THEN SJC.LINK_VKR ELSE 0 END), 
		LINK_EKR = (CASE WHEN @detailed_EKR = 1 THEN SJC.LINK_EKR ELSE 0 END)
	FROM 
		#SJC SJC INNER JOIN #varKSEMPLS E ON SJC.LINK_EMPL = E.LINK_EMPL
	WHERE 
			TYP_OPER = 3
		AND PERIOD_BEGIN >= @varKSstart_date AND PERIOD_END <= @varKSEND_DATE
		AND @nCheck3 = 1
		AND SJC.SUMMA <> 0		

	SET @varKSCNT_O = (SELECT COUNT(DISTINCT NNO) FROM #TMP_O )

	INSERT INTO #varKSEMPLS2
	SELECT DISTINCT LINK_EMPL, LINK_VKR, LINK_EKR FROM #T1 WHERE WAY_CALC = 0 AND LINK_EMPL IS NOT NULL AND SUMMA <> 0 
	UNION
	SELECT DISTINCT LINK_EMPL, LINK_VKR, LINK_EKR FROM #T2 WHERE WAY_CALC = 0 AND LINK_EMPL IS NOT NULL AND SUMMA <> 0
	UNION
	SELECT DISTINCT LINK_EMPL, LINK_VKR, LINK_EKR FROM #SAL_REMAIN WHERE (SUMMA <> 0 OR NDFL <> 0)
	UNION
	SELECT DISTINCT LINK_EMPL1, LINK_VKR_N, LINK_EKR_N FROM #TMP_N WHERE SN <> 0
	UNION
	SELECT DISTINCT LINK_EMPL2, LINK_VKR_U, LINK_EKR_U FROM #TMP_U WHERE SU <> 0
	UNION
	SELECT DISTINCT LINK_EMPL3, LINK_VKR_O, LINK_EKR_O FROM #TMP_O WHERE SO <> 0

	--
	CREATE INDEX #varKSEMPLS2_INDEX1 ON #varKSEMPLS2 (LINK_EMPL, LINK_VKR, LINK_EKR)	

	------------------------------------------------------------------------------
	CREATE TABLE #REST_B1(
		LINK_EMPL INT, LINK_VKR INT, LINK_EKR INT,
		BEG_PAY NUMERIC(20,2), BEG_TAX NUMERIC(20,2), 
		BEG_R NUMERIC(20,2), BEG_NDFL NUMERIC(20),
		END_PAY NUMERIC(20,2), END_TAX NUMERIC(20,2),	
		CURR_PAY NUMERIC(20,2), CURR_TAX NUMERIC(20,2),	
		[CURR_DED] NUMERIC(20,2)
	)

	INSERT INTO #REST_B1
	SELECT 
		DF.LINK_EMPL, DF.LINK_VKR, DF.LINK_EKR,
		 
		[BEG_PAY] = ISNULL(T11.SUMMA, 0.00), --  . 
		[BEG_TAX] = ISNULL(T12.SUMMA, 0.00), --  . 

		[BEG_R] = ISNULL(DSR.SUMMA, 0.00), --  .  
		[BEG_NDFL] = ISNULL(DSR.NDFL, 0.00), --  .  

		[END_PAY] = ISNULL(T21.SUMMA, 0.00), --.  .    
		[END_TAX] = ISNULL(T22.SUMMA, 0.00), --.  .    
		
		[CURR_PAY] = ISNULL(T31.SUMMA, 0.00), --   
		[CURR_TAX] = ISNULL(T32.SUMMA, 0.00),  --   
		[CURR_DED] = ISNULL(T33.SUMMA, 0.00) --.   

	FROM 
		#varKSEMPLS2 DF
		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T1 WHERE TYP_OPER = 1 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T11 ON DF.LINK_EMPL = T11.LINK_EMPL AND DF.LINK_VKR = T11.LINK_VKR AND DF.LINK_EKR = T11.LINK_EKR
		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T1 WHERE TYP_OPER = 2 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T12 ON DF.LINK_EMPL = T12.LINK_EMPL AND DF.LINK_VKR = T12.LINK_VKR AND DF.LINK_EKR = T12.LINK_EKR

		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA), NDFL = SUM(NDFL) FROM #SAL_REMAIN GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) DSR ON DF.LINK_EMPL = DSR.LINK_EMPL AND DF.LINK_VKR = DSR.LINK_VKR AND DF.LINK_EKR = DSR.LINK_EKR

		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T2 WHERE TYP_OPER = 1 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T21 ON DF.LINK_EMPL = T21.LINK_EMPL AND DF.LINK_VKR = T21.LINK_VKR AND DF.LINK_EKR = T21.LINK_EKR
		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T2 WHERE TYP_OPER = 2 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T22 ON DF.LINK_EMPL = T22.LINK_EMPL AND DF.LINK_VKR = T22.LINK_VKR AND DF.LINK_EKR = T22.LINK_EKR

		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T3 WHERE TYP_OPER = 1 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T31 ON DF.LINK_EMPL = T31.LINK_EMPL AND DF.LINK_VKR = T31.LINK_VKR AND DF.LINK_EKR = T31.LINK_EKR
		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T3 WHERE TYP_OPER = 2 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T32 ON DF.LINK_EMPL = T32.LINK_EMPL AND DF.LINK_VKR = T32.LINK_VKR AND DF.LINK_EKR = T32.LINK_EKR
		LEFT JOIN (SELECT LINK_EMPL, LINK_VKR, LINK_EKR, SUMMA = SUM(SUMMA) FROM #T3 WHERE TYP_OPER = 3 AND WAY_CALC = 0 GROUP BY LINK_EMPL, LINK_VKR, LINK_EKR) T33 ON DF.LINK_EMPL = T33.LINK_EMPL AND DF.LINK_VKR = T33.LINK_VKR AND DF.LINK_EKR = T33.LINK_EKR

	CREATE TABLE #REST_B(
		LINK_EMPL INT, LINK_VKR INT, LINK_EKR INT, 
		REST_BEG NUMERIC(20,2), 
		REST_D NUMERIC(20,2),
		CURR_PAY NUMERIC(20,2), CURR_TAX NUMERIC(20,2),	
		[CURR_DED] NUMERIC(20,2)
	)
	
	INSERT INTO #REST_B
	SELECT 
		LINK_EMPL, LINK_VKR, LINK_EKR, 
		BEG_PAY - BEG_TAX + BEG_R AS REST_BEG, --   
		END_PAY - END_TAX + BEG_R AS REST_D, --   
		CURR_PAY, 
		CURR_TAX,
		CURR_DED
	FROM 
		#REST_B1
	WHERE 
		(BEG_PAY - BEG_TAX + BEG_R) <> 0
		OR (END_PAY - END_TAX + BEG_R) <> 0
		OR CURR_PAY <> 0
		OR CURR_TAX <> 0
		OR CURR_DED <> 0


	INSERT INTO #varKSEMPLS1
	SELECT DISTINCT LINK_EMPL, LINK_VKR, LINK_EKR FROM #REST_B
	UNION
	SELECT DISTINCT LINK_EMPL1, LINK_VKR_N, LINK_EKR_N FROM #TMP_N WHERE SN <> 0
	UNION
	SELECT DISTINCT LINK_EMPL2, LINK_VKR_U, LINK_EKR_U FROM #TMP_U WHERE SU <> 0
	UNION
	SELECT DISTINCT LINK_EMPL3, LINK_VKR_O, LINK_EKR_O FROM #TMP_O WHERE SO <> 0

	--
	CREATE CLUSTERED INDEX #varKSEMPLS1_INDEX1 ON #varKSEMPLS1 (LINK_EMPL, LINK_VKR, LINK_EKR)	


	CREATE TABLE #RES0
	(
		LINK_DEP INT,
		LINK_EMPL INT,
		LINK_VKR INT,
		LINK_EKR INT, 
		SVD_TN VARCHAR(15), 
		SVD_FIO VARCHAR(254),
		SVD_PODR VARCHAR(254),
		SUBDIV_CODE VARCHAR(10),
		S_SN NUMERIC(20,2), S_SU NUMERIC(20,2), S_SO NUMERIC(20,2),
		SVD_Saldo NUMERIC(20,2), REST_END NUMERIC(20,2),
		POST_CODE VARCHAR(10),
		POST_NAME VARCHAR(254)
	)
	INSERT INTO #RES0
	SELECT 
		EP.DEP_LINK,
		[LINK_EMPL] = EP.LINK,
		E.LINK_VKR, 
		E.LINK_EKR,
		[TN] 		= EP.TAB,
		[FIO] 		= dbo.ku_GetPersFio(EP.PERS_LINK),
		[SUBDIV] 	= EP.SUBDIV_NAME,
		[SUBDIV_CODE] = EP.SUBDIV_CODE,
		[CURR_PAY] = ISNULL(RB.CURR_PAY, 0.00),
		[CURR_TAX] = ISNULL(RB.CURR_TAX, 0.00),
		[S_SO] = ISNULL(RB.CURR_DED, 0.00),
		[SVD_Saldo] = ISNULL(RB.REST_BEG, 0.00),
		[REST_END] = ISNULL(RB.REST_D, 0.00),
		POST_CODE, POST_NAME 
	FROM 
		DBO.KU_EMPL_PLACING EP 
		INNER JOIN #varKSEMPLS1 E ON EP.LINK = E.LINK_EMPL
		LEFT OUTER JOIN #REST_B RB ON EP.LINK = RB.LINK_EMPL AND RB.LINK_VKR = E.LINK_VKR AND RB.LINK_EKR = E.LINK_EKR
	WHERE
		((EP.DEP_LINK = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	
	DECLARE 
		@varKSTABLE_PAY VARCHAR(120), @varKSTABLE_TAX VARCHAR(120), @varKSTABLE_DED VARCHAR(120), 
		@varKSTABLE_OUT VARCHAR(120), @varKSTABLE_OUT2 VARCHAR(120)
	EXEC X_GET_TABLE_NAME @varKSTABLE_PAY OUTPUT
	SELECT @varKSTABLE_TAX = @varKSTABLE_PAY + '_1', @varKSTABLE_OUT = @varKSTABLE_PAY + '_2', 
		@varKSTABLE_OUT2 = @varKSTABLE_PAY + '_3',
		@varKSTABLE_DED = @varKSTABLE_PAY + '_4'

	IF @ALL_DEP = 0 BEGIN
		EXEC M_CROSS_TABLE
			'LINK_EMPL1, LINK_VKR_N, LINK_EKR_N',
			'NN', 'VARCHAR(15)',
			'SN', 'NUMERIC(15,2)', 'SUM(SN) AS SN',
			'#TMP_N', @varKSTABLE_PAY

		EXEC M_CROSS_TABLE
			'LINK_EMPL2, LINK_VKR_U, LINK_EKR_U',
			'NU', 'VARCHAR(100)',
			'SU', 'NUMERIC(15,2)', 'SUM(SU) AS SU',
			'#TMP_U', @varKSTABLE_TAX
	
		EXEC M_CROSS_TABLE
			'LINK_EMPL3, LINK_VKR_O, LINK_EKR_O',
			'NNO', 'VARCHAR(15)',
			'SO', 'NUMERIC(15,2)', 'SUM(SO) AS SO',
			'#TMP_O', @varKSTABLE_DED
		
		EXEC ( '
		SELECT  T1.*, ISNULL(F.CODE,'''') AS SFIN_CODE, ISNULL(G.CODE,'''') AS EKR_CODE, T2.*, T3.*, T4.* INTO ' + @varKSTABLE_OUT2 + ' 
		FROM 
			#RES0 T1
			LEFT JOIN DBO.SAL_SFIN F ON F.LINK = T1.LINK_VKR
			LEFT JOIN DBO.KOSGU G ON G.LINK = T1.LINK_EKR
			LEFT OUTER JOIN ' + @varKSTABLE_PAY + ' T2 ON T1.LINK_EMPL = T2.LINK_EMPL1 AND T1.LINK_VKR = T2.LINK_VKR_N AND T1.LINK_EKR = T2.LINK_EKR_N
			LEFT OUTER JOIN ' + @varKSTABLE_TAX + ' T3 ON T1.LINK_EMPL = T3.LINK_EMPL2 AND T1.LINK_VKR = T3.LINK_VKR_U AND T1.LINK_EKR = T3.LINK_EKR_U
			LEFT OUTER JOIN ' + @varKSTABLE_DED + ' T4 ON T1.LINK_EMPL = T4.LINK_EMPL3 AND T1.LINK_VKR = T4.LINK_VKR_O AND T1.LINK_EKR = T4.LINK_EKR_O
		')
		
	END
	ELSE BEGIN

		EXEC M_CROSS_TABLE
			'LINK_DEP1, LINK_VKR_N, LINK_EKR_N',
			'NN', 'VARCHAR(15)',
			'SN', 'NUMERIC(15,2)', 'SUM(SN) AS SN',
			'#TMP_N', @varKSTABLE_PAY

		EXEC M_CROSS_TABLE
			'LINK_DEP2, LINK_VKR_U, LINK_EKR_U',
			'NU', 'VARCHAR(100)',
			'SU', 'NUMERIC(15,2)', 'SUM(SU) AS SU',
			'#TMP_U', @varKSTABLE_TAX
	
		EXEC M_CROSS_TABLE
			'LINK_DEP3, LINK_VKR_O, LINK_EKR_O',
			'NNO', 'VARCHAR(15)',
			'SO', 'NUMERIC(15,2)', 'SUM(SO) AS SO',
			'#TMP_O', @varKSTABLE_DED

		EXEC ( '
		SELECT  T1.*,  ISNULL(F.CODE,'''') AS SFIN_CODE, ISNULL(G.CODE,'''') AS EKR_CODE, T2.*, T3.*, T4.* INTO ' + @varKSTABLE_OUT2 + ' 
		FROM 
			(Select LINK_DEP, LINK_VKR, LINK_EKR, S_SN= SUM(S_SN), S_SU= SUM(S_SU), S_SO= SUM(S_SO), SVD_Saldo= SUM(SVD_Saldo), REST_END= SUM(REST_END) FROM #RES0 GROUP BY LINK_DEP, LINK_VKR, LINK_EKR) T1 
		LEFT JOIN DBO.SAL_SFIN F ON F.LINK = T1.LINK_VKR
		LEFT JOIN DBO.KOSGU G ON G.LINK = T1.LINK_EKR			
		LEFT OUTER JOIN ' + @varKSTABLE_PAY + ' T2 ON T1.LINK_DEP = T2.LINK_DEP1 AND T1.LINK_VKR = T2.LINK_VKR_N AND T1.LINK_EKR = T2.LINK_EKR_N
		LEFT OUTER JOIN ' + @varKSTABLE_TAX + ' T3 ON T1.LINK_DEP = T3.LINK_DEP2 AND T1.LINK_VKR = T3.LINK_VKR_U AND T1.LINK_EKR = T3.LINK_EKR_U
		LEFT OUTER JOIN ' + @varKSTABLE_DED + ' T4 ON T1.LINK_DEP = T4.LINK_DEP3 AND T1.LINK_VKR = T4.LINK_VKR_O AND T1.LINK_EKR = T4.LINK_EKR_O
		')

	END

	DECLARE @varKSSQL_STR VARCHAR(4000), @varKSFIELD_NAME VARCHAR(100), @varKSI int
	SET @varKSI=1
	WHILE @varKSI<=@varKSCNT_N BEGIN
		SET @varKSFIELD_NAME= 'NN_' + RTRIM(LTRIM(STR(@varKSI))) 
		SET @varKSSQL_STR = ' UPDATE ' + @varKSTABLE_OUT2 
			+ '  SET ' + @varKSFIELD_NAME + ' = (SELECT TOP 1 ' + @varKSFIELD_NAME 
			+ ' FROM ' + @varKSTABLE_PAY 
			+ ' WHERE ' + @varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SN_' + RTRIM(LTRIM(STR(@varKSI))) 
		SET @varKSSQL_STR = ' UPDATE  ' + @varKSTABLE_OUT2 
			+ '  SET ' + @varKSFIELD_NAME + ' = 0
			     WHERE ' + @varKSFIELD_NAME+ '  IS NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END
	IF @varKSCNT_N=0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_OUT2 + ' ADD NN_0 VARCHAR(15), SN_0 NUMERIC(15,2) ')
	END
		

	SET @varKSI=1
	WHILE @varKSI<=@varKSCNT_U BEGIN
		SET @varKSFIELD_NAME= 'NU_' + RTRIM(LTRIM(STR(@varKSI))) 
		SET @varKSSQL_STR= ' UPDATE ' + @varKSTABLE_OUT2 
			+ '  SET ' + @varKSFIELD_NAME + ' = (SELECT TOP 1 ' + @varKSFIELD_NAME 
			+ ' FROM ' + @varKSTABLE_TAX 
			+ ' WHERE ' + @varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SU_' + RTRIM(LTRIM(STR(@varKSI))) 
		SET @varKSSQL_STR = ' UPDATE  ' + @varKSTABLE_OUT2 
			+ '  SET ' + @varKSFIELD_NAME + ' = 0
			     WHERE ' + @varKSFIELD_NAME+ '  IS NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END
	IF @varKSCNT_U=0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_OUT2 + ' ADD NU_0 VARCHAR(100), SU_0 NUMERIC(15,2) ')
	END

	SET @varKSI=1
	WHILE @varKSI<=@varKSCNT_O BEGIN
		SET @varKSFIELD_NAME= 'NNO_' + RTRIM(LTRIM(STR(@varKSI))) 
		SET @varKSSQL_STR= ' UPDATE ' + @varKSTABLE_OUT2 
			+ '  SET ' + @varKSFIELD_NAME + ' = (SELECT TOP 1 ' + @varKSFIELD_NAME 
			+ ' FROM ' + @varKSTABLE_DED 
			+ ' WHERE ' + @varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SO_' + RTRIM(LTRIM(STR(@varKSI))) 
		SET @varKSSQL_STR = ' UPDATE  ' + @varKSTABLE_OUT2 
			+ '  SET ' + @varKSFIELD_NAME + ' = 0
			     WHERE ' + @varKSFIELD_NAME+ '  IS NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END
	IF @varKSCNT_O=0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_OUT2 + ' ADD NNO_1 VARCHAR(15) DEFAULT '''', SO_1 NUMERIC(15, 2) DEFAULT 0')
	END

	DECLARE @SCRIPT varchar(1000)

	IF @ALL_DEP = 0 begin

		set @SCRIPT = 'SELECT * FROM ' + @varKSTABLE_OUT2 + ' 
		ORDER BY ' + 
			LTRIM(RTRIM(CASE @Sort1 
				WHEN 1 THEN 'SUBDIV_CODE'
				WHEN 2 THEN 'SVD_PODR'
				WHEN 3 THEN 'SVD_TN' 
				WHEN 4 THEN 'SVD_FIO'
				ELSE ''
			END)) + 

			LTRIM(RTRIM(CASE @Sort2 
				WHEN 2 THEN (CASE WHEN @Sort1 <> 3 THEN ',SVD_TN' ELSE '' END)
				WHEN 3 THEN (CASE WHEN @Sort1 <> 4 THEN ',SVD_FIO' ELSE '' END)
				ELSE ''
			END))
			
			+ ',SFIN_CODE, EKR_CODE'

		EXEC (@SCRIPT)
	end
	ELSE
		EXEC (
		' SELECT DISTINCT R.*, DEP_NAME= D.[NAME], GRP_NAME = COALESCE(GRP.GRP_NAME,'' '')  FROM ' + @varKSTABLE_OUT2+' R '
		+ ' INNER JOIN DEPARTMENTS D on R.LINK_DEP = D.LINK
		LEFT JOIN (select GRP_NAME= G.[NAME], D_LINK= REF.DEP_LINK
			from DEPARTMENT_GROUPS G inner join DEPARTMENT_GROUPS_REF REF on G.LINK = REF.GROUP_LINK
			where G.LINK = (SELECT MAX(REF1.GROUP_LINK) from DEPARTMENT_GROUPS_REF REF1 where REF1.DEP_LINK = REF.DEP_LINK)) GRP on D.LINK = GRP.D_LINK'
		+ ' order by COALESCE(GRP.GRP_NAME,'' ''), D.[NAME],SFIN_CODE, EKR_CODE'
		)

	EXEC (' DROP TABLE ' + @varKSTABLE_PAY)
	EXEC (' DROP TABLE ' + @varKSTABLE_TAX)
	EXEC (' DROP TABLE ' + @varKSTABLE_OUT2)
	EXEC BufferClear
END





GO


GRANT EXECUTE ON dbo.[SD_REP_SVOD1] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_POV_KVALIF_YAKUT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_POV_KVALIF_YAKUT]

GO


CREATE  procedure [dbo].SS_POV_KVALIF_YAKUT
	@date datetime,
	@form INT  
as

DECLARE @DEP_LINK INT
exec dbo.xd_whats_zb @DEP_LINK output

CREATE table #temp (link INT ,pers_link INT , dep_link int , Dep_name VARCHAR(254),SUB_link int,SUB_NAME VARCHAR(254), 
		tab VARCHAR(10), FM VARCHAR(100),IM VARCHAR(100),OT VARCHAR(100),FIO VARCHAR(100), POST_LINK int, 
		POST_NAME VARCHAR(254),DATE_BEGIN datetime,DATE_MOV datetime,DATE_SACK datetime, 
		DATEB_INQ datetime, DATEE_INQ  DATETIME,DATEE_ED DATETIME,PROG_NAME VARCHAR(254), 
		DATEB_PROFP datetime,DATEE_PROFP datetime,DATEB_SC datetime ,DATEE_SC DATETIME, years INT , months INT , days1 INT , lastday INT,NOTE VARCHAR(150))

INSERT INTO #temp (link,pers_link,dep_link,Dep_name,SUB_link,SUB_NAME,tab,FM,IM,OT,FIO,POST_LINK, 
		POST_NAME,DATE_BEGIN,DATE_MOV,DATE_SACK,DATEB_INQ,DATEE_INQ,DATEE_ED, PROG_NAME , DATEB_PROFP,DATEE_PROFP,DATEB_SC,DATEE_SC,
		years,months,days1,lastday,NOTE)
select fn.link, 
	   fn.pers_link, 
	   fn.dep_link, 
	   fn.Dep_name, 
	   FN.SUBDIV_LINK, 
	   FN.SUBDIV_NAME,
	   fn.tab, 
	   fn.FM,
	   fn.IM,
	   fn.OT,
	   fn.FIO, 
	   fn.POST_LINK, 
	   fn.POST_NAME,
	   DATE_BEGIN = fn.DATE_BEGIN,
	   fn.DATE_MOV,
	   fn.DATE_SACK, 
	   DATEB_INQ = EIQ.DATE_BEGIN, 
	   DATEE_INQ =  isnull(EIQ.DATE_END,ISNULL(KEP.DATE_END, fn.DATE_BEGIN)), 
	   DATEE_ED =  case when EIQ.DATE_END IS NOT NULL AND EIQ.DATE_END >  ISNULL(KEP.DATE_END,fn.DATE_BEGIN) THEN EIQ.DATE_END
							WHEN  KEP.DATE_END IS NOT NULL AND KEP.DATE_END > fn.DATE_BEGIN THEN KEP.DATE_END 
							WHEN  KPD.DATE_END IS NOT NULL AND KPD.DATE_END > KEP.DATE_END THEN KPD.DATE_END
							ELSE fn.DATE_BEGIN END , 
	   PROG_NAME = case when EIQ.DATE_END IS NOT NULL AND EIQ.DATE_END >  ISNULL(KEP.DATE_END,fn.DATE_BEGIN) THEN EIQ.PROG_NAME
							WHEN  KEP.DATE_END IS NOT NULL AND KEP.DATE_END > fn.DATE_BEGIN THEN KEP.PROG_NAME
							WHEN  KPD.DATE_END IS NOT NULL AND KPD.DATE_END > KEP.DATE_END THEN isnull(KPD.SPEC_NAME,KPD.QUALIFY)
							ELSE '' END , 
	   DATEB_PROFP = KEP.date_begin,
	   DATEE_PROFP = KEP.date_end,
	   DATEB_SC= KPD.date_begin,
	   DATEE_SC= KPD.date_END, 
	   0,0,0,0,
	   NOTE = ''
from dbo.KU_EMPL_PLACING_FN(@date) fn
	left JOIN dbo.EMPL_INCQUAL EIQ  ON EIQ.EMPL_LINK = fn.LINK 
									AND  EIQ.DATe_begin = (SELECT max(date_begin)   FROM dbo.EMPL_INCQUAL WHERE empl_link = eiq.empl_link) 
	left JOIN dbo.SCHOOL s ON EIQ.SCHOOL_LINK = S.LINK
	LEFT JOIN dbo.KU_EMPL_PROFP KEP ON KEP.EMPL_LINK = fn.LINK
	LEFT JOIN  (SELECT a1.* FROM KU_PERS_EDUCATION a1
				INNER JOIN ( SELECT link = max(b.link) , b.pers_link FROM  KU_PERS_EDUCATION b 
											WHERE b.pers_link IN (SELECT A.PERS_LINK FROM  KU_PERS_EDUCATION A  
																					WHERE A.PERS_LINK IN (SELECT pers_link
																												FROM KU_PERS_EDUCATION   
																												GROUP BY pers_link 
																												 having count(PERS_LINK) > 1  ) 
																						AND a.educ_name  LIKE '%' 		 
																 GROUP BY   a.pers_link
																 HAVING COUNT(A.PERS_LINK)>1) 
											 GROUP BY b.pers_link ) a2 ON a2.PERS_LINK = a1.PERS_LINK AND a2.LINK = a1.LINK 
	) KPD ON kpd.pers_link = fn.PERS_LINK
		
WHERE fn.DATe_begin IS NOT NULL AND (fn.sack <> 1  OR isnull(fn.date_sack,'20991231') >=@date) AND fn.DEP_LINK = @DEP_LINK
ORDER BY  fn.FM,fn.IM,fn.OT

UPDATE #temp SET 
	years = year(@DATE+1) - year(DATEE_ED),
	months = month(@DATE+1) - month(DATEE_ED),
	days1 = day(@DATE+1) - day(DATEE_ED),
	lastday = 30/*datepart(day, dbo.DateBeginOfMonth(date_end+1) - 1)*/
			  /*case	when month(date_begin) = 2 then 30
					else datepart(day, dbo.DateBeginOfMonth(date_end+1) - 1)
			  end*/

UPDATE #temp SET years = convert(int, years), months = months + (years-convert(int, years)) * 12
UPDATE #temp SET months = convert(int, months), days1 = days1 + (months-convert(int, months)) * lastday
UPDATE #temp SET months = months - 1, days1 = days1 + lastday WHERE days1<0
UPDATE #temp SET years = years - 1, months = months + 12 WHERE months<0

UPDATE #temp 
	SET NOTE = (SELECT TOP 1 (CASE WHEN DATE2 >@date THEN  ' /  '+convert(varchar(10),DATE2,104)+'' ELSE  '  / '+convert(varchar(10),DATE2,104)+''  END ) FROM dis WHERE ref_empl = #temp.link AND DATE1 > #temp.DATEE_ED AND dekret = 1 )
WHERE years >=3

if  @FORM = 1 
begin 
	select * from #temp order by FIO,POST_NAME
end

if @FORM = 2 
begin 
	select * from #temp order by  FIO,POST_NAME 
end


drop table #temp




GO


GRANT EXECUTE ON dbo.[SS_POV_KVALIF_YAKUT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSD_REPORT_FORMULA_AVPAT3_NASTR_VALUE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSD_REPORT_FORMULA_AVPAT3_NASTR_VALUE]

GO

CREATE PROCEDURE dbo.RSD_REPORT_FORMULA_AVPAT3_NASTR_VALUE  
	@res varchar(250) output, @varcStr varchar(250), @vardBegin datetime = '20050101', @vardEnd datetime = '20051231', @variCol int, @variRow int, @variLSF int
AS
	DECLARE
		@intPER_TYPE	INT,
		@intPER_NUM	INT,
		@cCODE_FORM	VARCHAR (100)

	set @res = ''
	if @varcStr = ''
	begin
		SELECT @Res = REPLACE(DEP.OKATO, ' ', '') FROM DICTIONARY_DEPARTMENT DEP inner join report_saved_forms RSF on RSF.Link_Saved_Form = @variLSF and DEP.link = RSF.Link_Organization
		return 0
	end
	if @varcStr = '1'
	begin
		SELECT @res = CASE WHEN LEN(ISNULL(DOH_CODE, '')) = 0 THEN '-' ELSE DOH_CODE END FROM AVANSE_ASSETS_OPTIONS
		return 0
	end
	if @varcStr = '160'
	begin
		SELECT @res = ISNULL(CODE520, '') FROM AVANSE_ASSETS_OPTIONS
		return 0
	end
	if @varcStr = '200'
	begin
		SELECT @res = ISNULL(CODE200, '') FROM AVANSE_ASSETS_OPTIONS
		return 0
	end
	if @varcStr = '210'	
	begin
		SELECT @res = ISNULL([PERCENT], 0.00) FROM AVANSE_ASSETS_OPTIONS
		return 0
	end
	if @varcStr = '240'
	begin
		SELECT @res = ISNULL(CODE240, '') FROM AVANSE_ASSETS_OPTIONS
		return 0
	end
	if @varcStr = '...'
	begin
		SELECT @Res = ISNULL(TDOH_CODE, '') FROM AVANSE_ASSETS_OPTIONS
		return 0
	end

	--    --
	IF @varcStr = '__'
	BEGIN
		SELECT
			@intPER_TYPE	=	PERIOD_TYPE,
			@intPER_NUM	=	PERIOD_NUMBER,
			@cCODE_FORM	=	RF.CODE
		FROM dbo.REPORT_SAVED_FORMS RSF 
		INNER JOIN dbo.REPORT_FORMS RF ON (RF.LINK_FORM = RSF.LINK_FORM)
		WHERE RSF.Link_Saved_Form = @variLSF
		
		IF @intPER_TYPE	= 1
			SET @Res = '34'

		IF @intPER_TYPE	= 2
			SET @Res = 
				CASE
					WHEN @cCODE_FORM = 'AV_IMU_18' THEN
						CASE
							WHEN @intPER_NUM = 1 THEN '21'
							WHEN @intPER_NUM = 2 THEN '17'
							WHEN @intPER_NUM = 3 THEN '18'
							ELSE '34'
						END	
					ELSE
						CASE
							WHEN @intPER_NUM = 1 THEN '21'
							WHEN @intPER_NUM = 2 THEN '31'
							WHEN @intPER_NUM = 3 THEN '33'
							ELSE '34'
						END	
				END
		RETURN 0
	END

	if @varcStr = '____'
	begin
		SELECT
			@Res = REPLACE(DEP.OKTMO, ' ', '')
		FROM dbo.DEPARTMENTS DEP
		INNER JOIN dbo.REPORT_SAVED_FORMS RSF ON RSF.Link_Saved_Form = @variLSF and DEP.link = RSF.Link_Organization
		return 0
	end

GO


GRANT EXECUTE ON dbo.[RSD_REPORT_FORMULA_AVPAT3_NASTR_VALUE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSD_REPORT_FORMULA_AVPAT3_P22_VALUE14]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSD_REPORT_FORMULA_AVPAT3_P22_VALUE14]

GO


/*
c  (Keysystems), 2005
*/
CREATE   PROCEDURE dbo.RSD_REPORT_FORMULA_AVPAT3_P22_VALUE14
	@cres char(20) output, @varcStr varchar(250), @vardBegin datetime = '20050101', @vardEnd datetime = '20051231', @variCol int, @variRow int, @variLSF int
AS
	declare @res float,@cStr varchar(250), @q tinyint, @lnDiv int, @linkCol int, @linkRow int, @linkTable int, @DATE_CALC	DATETIME, @DEP_LINK INT, @S_LAST NUMERIC (20)

	set @res = 0
	set @q = DATEPART (QUARTER, @vardEnd)
	set @cStr = case @q
				when 1 then '020~030~040~050'
				when 2 then '020~030~040~050~060~070~080'
				when 3 then '020~030~040~050~060~070~080~090~100~110'
				when 4 then '020~030~040~050~060~070~080~090~100~110~120~130~140'
			end
	set @lnDiv = case @q
				when 1 then 4
				when 2 then 7
				when 3 then 10
				when 4 then 13
			end

	IF @varcStr = '_'
	BEGIN
		SELECT
			@DATE_CALC	= CASE
								WHEN @q < 4 THEN @vardEnd
								ELSE DATEADD (DAY, 1, @vardEnd)
							END,	
			@DEP_LINK = LINK_ORGANIZATION
		FROM dbo.REPORT_SAVED_FORMS
		WHERE LINK_SAVED_FORM = @variLSF

		SELECT
			@S_LAST = SUM (OST_SUM)
		FROM dbo.CalcNalogBalanceOS (@DATE_CALC, @DEP_LINK)
		WHERE NO_NALOG BETWEEN 0 AND 2
		
		SET @cres = CONVERT (VARCHAR (20), @S_LAST)
	END	
	ELSE
	BEGIN	
		select
			@linkTable = RT.Link_Table
		from dbo.report_rows A 
		left join dbo.report_tables C on c.Link_Table = a.Link_Table
		LEFT JOIN dbo.REPORT_FORMS RF ON (RF.LINK_FORM = C.LINK_FORM)
		left join dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RF.LINK_FORM)
		where 
			A.Link_Row = @variRow
			AND (
					(
					RF.CODE = 'AV_IMU' AND RF.[START_DATE] = '20140101' 
					OR RF.CODE = 'ND_IMU' AND RF.[START_DATE] = '20130101'
					OR RF.CODE = 'AV_IMU_18'
					)
					AND RT.orders = 2
				OR RT.orders = 1
				)

		select @linkRow = Link_Row from (select top 1 Link_Row from report_rows where Link_Table = @linkTable) A
		if @varcStr = '' OR @varcStr = '_'
			select @linkCol = link_Col from report_coloumns A where orders = 3 and link_table = @linkTable
		else
			select @linkCol = link_Col from report_coloumns A where orders = 4 and link_table = @linkTable

		exec dbo.RI_Report_Formula_itog @res output, @cStr, @vardBegin, @vardEnd, @linkCol, @linkRow, @variLSF

		set @cres = str(@res/@lnDiv)
	END


-- SELECT @cStr, @res, @lnDiv, @cres
	
GO


GRANT EXECUTE ON dbo.[RSD_REPORT_FORMULA_AVPAT3_P22_VALUE14] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_NDFL_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_NDFL_FILL]

GO

CREATE PROCEDURE [dbo].[SD_U_NDFL_FILL]
	@varKSlinkEmpl	 int,  
	@varKSRef_Pay  int, 	 
	@varKSDate datetime, 	 
	@varKSLinkVKR int,
	@varKSLinkEKR int,	
	@varKSfl int = 0

AS 
SET NOCOUNT ON
DECLARE @varKSMonth int, 
	  @varKSYear int, 
	  @LINK_PERSON int, 
	  @Sum_PredMestoRab numeric(15,2), 
	  @Sum_DGH numeric(15,2), 
	  @varKSFlagD int,
	  @Status int	-->>NEW

IF @varKSfl>0
	SET @varKSfl = 1

DECLARE @NDFL_OPT8 TINYINT --   
SET @NDFL_OPT8 = dbo.sa_get_option_by_code('NDFL_OPT8')

SET @varKSMonth= month(@varKSDate)
SET @varKSYear = year(@varKSDate)

declare @DEP_LINK int
SELECT @DEP_LINK = DEP_LINK, @LINK_PERSON = PERS_LINK FROM DBO.EMPL WHERE LINK = @varKSlinkEmpl

DECLARE @Link211EKR int
Set @Link211EKR = ISNULL((SELECT TOP 1 LINK FROM KOSGU WHERE CODE = '211'),0)

if @varKSfl = 1
	Select [] = [NAME] from dbo.DEPARTMENTS where link = @DEP_LINK

Select @Status= [STATUS] from dbo.ITEM_MOVE where ACTIVE = 1 and EMPL_LINK = @varKSlinkEmpl	-->>NEW

SET @varKSFlagD = 0

DECLARE @DIS_DATE DATETIME
SET @DIS_DATE = COALESCE((SELECT TOP 1 IDF.DIS_DATE FROM DBO.ITEM_DIS_FACE IDF with (nolock) WHERE IDF.EMPL_LINK = @varKSlinkEmpl AND IDF.ACTIVE=1),'29990101')

SET @Sum_PredMestoRab = 0
IF YEAR(dbo.kd_DateBeginWork(@varKSlinkEmpl,@varKSDate)) = @varKSYear
BEGIN

	SET @Sum_PredMestoRab =(SELECT ISNULL(SUM(SUMMA_TYP_INCOMS),0) FROM dbo.SD_EMPL_PREV_DOHOD WHERE LINK_EMPL = @varKSlinkEmpl)
			- (SELECT ISNULL(SUM(SUMMA_DED),0) FROM dbo.SD_EMPL_PREV_DED WHERE LINK_EMPL = @varKSlinkEmpl and 
					LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )
	IF @Sum_PredMestoRab IS null or @Sum_PredMestoRab < 0
		SET @Sum_PredMestoRab = 0
	SET @varKSFlagD = 1
END

--    
SET @Sum_DGH = ISNULL(
	(
	SELECT SUM(SUMMA_BASE)
	FROM 
		dbo.PAYS P
		INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	WHERE
		P.[OBJECT] = 2 --
		AND P.WAY_CALC = 4 -- 13%
		AND J.PERS_LINK = @LINK_PERSON
		AND ISNULL(J.LINK_EMPL,0) = 0
		AND J.LINK_DEP = @DEP_LINK
		AND YEAR(J.PERIOD_BEGIN) = @varKSYear
		AND MONTH(J.PERIOD_BEGIN) <= @varKSMonth
	),0)
---
IF @varKSfl = 1 
	SELECT Case @Status when 1 then ' ' when 2 then ' ' else ' ' end + 
	': '+rtrim(TAB)+ ' ' +rtrim(dbo.sd_GetEmplName(LINK))+  ',  ' + rtrim(convert(varchar(100),@varKSMonth))+ 
			 ',  ' +rtrim( convert(varchar(100),@varKSYear )) as ' '  FROM dbo.EMPL WHERE LINK = @varKSlinkEmpl

IF @varKSfl = 1 
	SELECT dbo.SumToMoney(@Sum_DGH) AS [       ] 
			    
IF  @varKSfl = 1 
	SELECT ' : '+ dbo.SumToMoney((select sum(summa_TYP_INCOMS) from dbo.SD_EMPL_PREV_DOHOD where link_empl =@varKSlinkEmpl)) + ' ,  : '+
	 dbo.SumToMoney((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED NOT IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) ))
	+ ' ,  : '+
	dbo.SumToMoney((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) ))  as [    ]


/**/
Declare @isPrevPreiod tinyint
--        ,     .                   
Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')
Set @isPrevPreiod = 1 - ISNULL(@isPrevPreiod,0)

Declare @SJC table (link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), period_begin datetime, date1 datetime)

Insert into @SJC (link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, period_begin, date1)
Select 
	JC.LINK_EMPL, P.LINK, link_vkr, S.LINK, P.TYP_PER, P.[OBJECT], summa, 
	period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
			else (Case 
					when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code <> 'DOCUMENTS_ADD_PREMIUM' and d.code <> 'DOCUMENTS_ADD_PERCENT'
					then JC.DATE_BEGIN else JC.period_begin 
				end) 
			end),
	JC.DATE_BEGIN
from 
	dbo.CALCULATE_JURNAL JC 
	INNER JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
	INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211
	INNER JOIN dbo.KOSGU S ON S.LINK = (CASE WHEN R211.LINK = ISNULL(JC.LINK_EKR,P.LINK_EKR) THEN T211.LINK ELSE ISNULL(JC.LINK_EKR,P.LINK_EKR) END)	
	LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
where
	P.OBJECT = 1
	AND
	P.LINK in (Select TAX_LINK from dbo.group_tax(@varKSRef_Pay)) 
	AND (
			@isPrevPreiod = 0 and @varKSMonth >= month(JC.PERIOD_BEGIN) and @varKSYear = year(JC.PERIOD_BEGIN)
		or 
			@isPrevPreiod = 1 
			and (@varKSMonth >= month(JC.DATE_BEGIN) or @varKSMonth >= month(JC.PERIOD_BEGIN) )
			and (@varKSYear = year(JC.DATE_BEGIN) or @varKSYear = year(JC.PERIOD_BEGIN) )
		)
	AND  
		(	-->>NEW
		@Status <> 1 AND JC.LINK_EMPL = @varKSlinkEmpl /*   ,      */
		or
		@Status = 1 AND E.PERS_LINK = @LINK_PERSON /*  ,      */
		)	
	AND JC.LINK_DEP = @DEP_LINK 
	

DECLARE @Val TABLE 
([MONTH] 		[int],
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2)
 --[SUMMA_M_VKR1]		[numeric](19, 2)
)

INSERT INTO @Val([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR])--,[SUMMA_M_VKR1])
SELECT T.NUM AS [MONTH],  
		[SUMMA] = SUM(SJ.SUMMA), 
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR   AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_211] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @Link211EKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_VKR] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
--		[SUMMA_M_VKR1] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 AND T.NUM <= @varKSMonth
		AND T.NUM >= Month(sj.period_begin)
		AND  @varKSYear = Year(sj.period_begin)
GROUP BY  T.NUM

if @varKSfl = 1 
	select [month] as [], dbo.SumToMoney([summa]) as [     ], dbo.SumToMoney(summa_vkr) as [      ], dbo.SumToMoney(summa_m) as [   ], 
	dbo.SumToMoney(summa_m_vkr) as [     ]  from @Val

/*  */
DECLARE @Val2 TABLE 
([MONTH] 		[int],
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]		[numeric](19, 2))


INSERT INTO @Val2([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
SELECT T.NUM AS [MONTH],
		[SUMMA] = SUM(SJ.SUMMA),
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END),
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND (SJ.LINK_EMPL = @varKSlinkEmpl) AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN (CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num AND SJ.LINK_EMPL = @varKSlinkEmpl then sj.summa else 0 end),
		[SUMMA_M_VKR] = SUM(CASE WHEN ((CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num)
							AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 
		AND T.NUM <= @varKSMonth AND
		T.NUM >=(CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(SJ.DATE1) END)
		AND @varKSYear =(case WHEN SJ.TYP_PER=1 THEN Year(sj.period_begin) ELSE YEAR(sj.DATE1) END)
GROUP BY  T.NUM

insert into @Val2 ([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
select T.NUM, 0, 0, 0, 0, 0, 0  from dbo.MONTHS T where T.NUM < (Select min([month]) from @Val2)

if @varKSfl = 1 
	select [month] as [], [summa] as [    ], @Sum_PredMestoRab as [     ], summa_vkr as [       ], summa_m as [   ], 
	summa_m_vkr as [     ]  from @Val2 order by [month]

/*  */
if @varKSfl=1 
   select code as [ ], LEFT(name,50) as [ ], SUMMA as [] from dbo.Salary_deductions(@varKSDate) WHERE TYPE = 5

/*
    ,          
   ,  
*/

/*   .*/
DECLARE @varKSTemp1 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2),
 [PREDEL]		[numeric](19, 2))

-- 
INSERT INTO @varKSTemp1 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL])
SELECT m.num,T1.REF_PAY,
	/*      .*/
	[mp] = SUM(case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end), 
	/*      .*/
	[mp_m] = sum(case when Month(sj.period_begin)=m.num then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	/*      .     */
	[mp_m_vkr] = sum(case when Month(sj.period_begin) = m.num AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	[PREDEL] = T1.SUMMA -(case when @varKSFlagD = 1 then isnull((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where LINK_DED = T1.REF_PAY and  link_empl=@varKSlinkEmpl),0)  else 0 end) 
FROM 
	dbo.MONTHS M, @SJC SJ, dbo.Salary_deductions(@varKSDate) T1
WHERE  
	Year(sj.period_begin) = @varKSYear and m.num <= @varKSMonth AND T1.TYPE = 6 --  "   "
	AND T1.REF_PAY = (select ref_deduct  from dbo.DICTIONARY_TYP_INCOMS where link = (select LINK_INC from dbo.PAYS where LINK = SJ.LINK_PAYS)) 
	AND @Status in (1 /**/, 3 /* */) AND SJ.LINK_EMPL = @varKSlinkEmpl
	AND T1.SUMMA > 0 
GROUP BY m.num, T1.REF_PAY, T1.SUMMA

IF @varKSfl=1 
	select [num] as [], [] = (select CODE from diction where link = ref_pay), [mp] as [    ], mp_m as [   ], 
	mp_m_vkr as [     ], predel as []  from @varKSTemp1

DECLARE @varKSTemp2 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2), [PREDEL]		[numeric](19, 2),
 [SALDO]		[numeric](19, 2),
 [KOEF] 		[numeric](19, 10))

--
INSERT INTO @varKSTemp2 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL],[SALDO],[KOEF])
SELECT 
	T1.NUM,T1.REF_PAY,T1.MP,T1.MP_M,T1.MP_M_VKR,T1.PREDEL, 
	[SALDO] = (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL((select sum(mp_m) from @varKSTemp1 T2 where T2.num < T1.num and T2.REF_PAY = T1.REF_PAY),0),
	[KOEF] =  (CASE WHEN MP_M = 0 THEN 0 ELSE MP_M_VKR/MP_M END)
FROM @varKSTemp1 T1

--  
DECLARE @varKSTemp3 TABLE 
(
	[NUM] 			[int],
	[REF_PAY]		[int],	
	[MP_M]			[numeric](19, 2),
	[MP_M_VKR]		[numeric](19, 2),
	[KOEF] 		[numeric](19, 10),
	[DED]			[numeric](19, 2)
)
INSERT INTO @varKSTemp3 ([NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF],[DED])
SELECT [NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF], 
	   [DED] = 	case when SALDO < 0 then 
				- case when (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) > 0	then
					(CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) 
					else 0
				end
			else
				(CASE WHEN MP_M > SALDO THEN SALDO ELSE MP_M END)
			end
FROM @varKSTemp2 

/*  :       ,        .
           2*/
DELETE
FROM 
	dbo.SAL_DED_MONTH
WHERE
	YEAR(dbo.SAL_DED_MONTH.DATE_DED) = YEAR(@varKSDate)
	and
	not exists (
		SELECT j.LINK 
		FROM dbo.calculate_jurnal j
		WHERE 
			YEAR(j.PERIOD_BEGIN) = YEAR(@varKSDate)
			and j.link_empl = dbo.SAL_DED_MONTH.link_empl 
			and j.LINK_VKR = dbo.SAL_DED_MONTH.LINK_VKR
			and j.LINK_EKR = dbo.SAL_DED_MONTH.LINK_EKR
			AND EXISTS (SELECT LINK_PAYS FROM dbo.PAYS P 
						INNER JOIN dbo.TAX_REF R ON R.LINK_TAX = P.LINK 
						WHERE P.OBJECT = 2 AND P.WAY_CALC = 4 AND R.LINK_PAYS = j.link_pays)
	)

/*      ,     */
DELETE FROM dbo.SAL_DED_MONTH
WHERE 
	LINK_EMPL = @varKSlinkEmpl 
	AND LINK_VKR = @varKSLinkVKR 
	AND ISNULL(LINK_EKR,@varKSLinkEKR) = @varKSLinkEKR 
	AND YEAR(DATE_DED) = YEAR(@varKSDate) 
	AND MONTH(DATE_DED) <= MONTH(@varKSDate) 

/*   */
INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE)
SELECT [LINK_EMPL] = @varKSlinkEmpl,
		 [REF_DED]   = T.REF_PAY,
		 [SUMMA] 	 = ISNULL(T.DED,0) * ISNULL(T.KOEF,1),
		 [DATE_DED]  = dbo.ConvertDMY2Date(1,t.num,year(@varKSDate)),
		 [LINK_VKR]	 = @varKSLinkVKR,
		 [LINK_EKR]	 = @varKSLinkEKR,
		 [TYPE] = 2
FROM @varKSTemp3 T WHERE T.MP_M_VKR <> 0 AND T.DED <> 0 

/*  */

DECLARE @TotTab TABLE
([MONTH] 		[int],
 [EMPL_SUMMA]		[numeric](19, 2), --
 [EMPL_SUMMA_VKR]	[numeric](19, 2), --
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2), --  , 
 [DED_M_ALL] 		[numeric](19, 2),
 --[DED_M_ALL_211] 	[numeric](19, 2), --        211 
 [DED]			[numeric](19, 2),
 [DED_M]		[numeric](19, 2),
 [DED0]			[numeric](19, 2)
 ) 

/*          */
INSERT INTO @TotTab([MONTH], [EMPL_SUMMA], [EMPL_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],DED0)
SELECT 	
		M.[NUM], 
		ISNULL(T1.EMPL_SUMMA,0), 
		ISNULL(T1.[EMPL_SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_M],0),
		ISNULL(T1.[SUMMA_M_211],0),	 
		ISNULL(T1.[SUMMA_M_VKR],0),
	 	[DED_M_ALL] = ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM=M.[NUM]),0),
		[DED] 		= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0),
		[DED_M] 	= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM = M.[NUM]),0),
		[DED0] 		= ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0)
FROM  dbo.months M LEFT JOIN @Val T1 on M.num = T1.[MONTH] 
WHERE M.NUM <= @varKSMonth
GROUP BY M.[NUM], T1.[EMPL_SUMMA], T1.[EMPL_SUMMA_VKR], T1.SUMMA_VKR, T1.SUMMA_M_VKR, T1.SUMMA_M, T1.SUMMA_M_211

IF @varKSfl=1 
select [month] as [],summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [    ], ded_m_all as [ ], ded as [   ], ded_m as [    ]  from @TotTab

DECLARE @varKSTT TABLE
([REF_PAY] 	[int],
 [PREDEL]	[numeric](19, 2),
 [SUMMA]		[numeric](19, 2),
 [MONTHEND]	[int])

---   :   
INSERT INTO @varKSTT ([REF_PAY],[PREDEL],[SUMMA],[MONTHEND])
SELECT TD.REF_PAY,TD.PREDEL,TD.SUMMA, 
		[MonthEnd] =  (SELECT TOP 1 T1.[MONTH] FROM  @Val2 T1 
 							WHERE (SUMMA + ISNULL(@Sum_PredMestoRab,0) - ISNULL((select sum(ded) from @varKSTemp3 where num<=T1.[MONTH]),0))
							<(CASE WHEN TD.PREDEL = 0 THEN 999999999999 ELSE TD.PREDEL END)
							ORDER BY T1.[MONTH] DESC)
FROM 
	dbo.Salary_deductions(@varKSDate ) as TD where TYPE = 1

DECLARE @varKSTotal TABLE
( link int not null IDENTITY(1,1),
 [REF_PAY] 	[int],
 [MONTH_BEGIN]	[int],
 [MONTH_END]	[int],		
 [SUMMA]	[numeric](19, 2),
[SUMMA_V] numeric(18,2), [SUMMA_D] numeric(18,2), [Ostatok_V] numeric(18,2)--    
)

--  
/*
              , 
    13 ,            .
*/
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
SELECT 		
	[REF_PAY] 		= TT.REF_PAY, 
	[MONTH_BEGIN]	= M.[NUM],--SDE.MONTH_BEGIN,
	[MONTH_END] 	= M.[NUM],--(CASE WHEN TT.MonthEnd> SDE.MONTH_END THEN SDE.MONTH_END ELSE TT.MonthEnd END),
	[SUMMA] 		= TT.SUMMA,
	[SUMMA_V]		= TT.SUMMA,	--    
	[SUMMA_D]		= ISNULL(D.[summa_m],0)	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = M.[NUM]),0)
FROM 
	@varKSTT TT
	INNER JOIN (SELECT link_ded, month_begin,month_end FROM DBO.salary_ded_empl(@varKSlinkEmpl,@varKSMonth, @varKSYear)T1 WHERE t1.month_begin<=t1.month_end) SDE
		ON SDE.LINK_DED =TT.REF_PAY
	INNER JOIN dbo.Months M ON TT.MonthEnd >= M.[NUM] AND M.[NUM] between SDE.MONTH_BEGIN and SDE.MONTH_END
	LEFT JOIN @Val D ON M.NUM = D.[month] --    
WHERE 
	@Status in (1 /**/, 3 /* */)	-->>NEW
	AND -- ,           .
	dbo.DateEndOfMonth(@DIS_DATE) >= dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1,M.[NUM],@varKSYear))
ORDER BY
	M.NUM

---     
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
select 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN), MONTH(cj.PERIOD_BEGIN), SUM(cj.SUMMA),SUM(cj.SUMMA), 
	[SUMMA_D]		= MAX(ISNULL(D.[summa_m],0))	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = MONTH(cj.PERIOD_BEGIN)),0)	
from 
	dbo.EMPL E inner join dbo.calculate_jurnal cj on e.link = cj.link_empl
	inner join dbo.TAX2_APP TA on TA.LINK_UP = CJ.LINK_PAYS
	LEFT JOIN @Val D ON MONTH(cj.PERIOD_BEGIN) = D.[month] --    
where 
	year(period_begin) = @varKSYear
	and
	E.LINK = @varKSlinkEmpl	
	and
	@Status in (1 /**/, 3 /* */) and MONTH(cj.PERIOD_BEGIN) <= Month(@varKSDate) 
	and
	ISNULL(TA.LINK_DED,0) > 0
GROUP BY 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN)


--    ,     :      
--    
BEGIN

	DECLARE @Cur1 CURSOR, @MES tinyint, @REF_V int, @SUMMA_V numeric(18,2), @SUMMA_D numeric(18,2), @Ostatok_V numeric(18,2), @Ostatok numeric(18,2), @Ostatok_m numeric(18,2), @link int
	Declare @SumVPred numeric(18,2) --      
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR select link, MONTH_BEGIN, REF_PAY, SUMMA_V, SUMMA_D, Ostatok_V from @varKSTotal order by link
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			Set @Ostatok = 
					ISNULL((
						Select Sum(Ostatok_V)  from @varKSTotal 
						where MONTH_BEGIN <= @MES --         (   )
						and link < @link and REF_PAY = @REF_V
					),0)
			
			Set @Ostatok_m = ISNULL((Select Sum(Ostatok_V)  from @varKSTotal where Ostatok_V > 0 and MONTH_BEGIN = @MES and link < @link),0)
			Set @SUMMA_V = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link <= @link),0)
			Set @SumVPred = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link < @link),0)
	
			update @varKSTotal
			Set 	SUMMA_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0) 
					then ISNULL(SUMMA_D,0) - @SumVPred
					else (case when @Ostatok_m = 0 then ISNULL(@SUMMA_V,0) + @Ostatok - @SumVPred else 0 end) 
				end),
				Ostatok_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0)
							then ISNULL(@SUMMA_V,0) - ISNULL(SUMMA_D,0)
							else  - @Ostatok
						end)
			where link = @link

		END
	
		FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	END
	
	CLOSE @Cur1
	DEALLOCATE @Cur1

	IF @varKSfl=1 
	select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),100) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
		month_begin as [ ], month_end as [ ], summa as [   ], summa_v as [  ], Ostatok_V as [  ] from @varKSTotal order by month_begin,  REF_PAY
	
	update @varKSTotal 
	Set summa = summa_v

END
/**/

/* ^^^^^^   -   ^^^^^^^^*/

declare @VychOpt9 int --       
Set @VychOpt9 = ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT9')),0)

declare @SprOtherDed table(LINK_DICTION int, MONTH1 TINYINT, Summa numeric(18,2))

insert into @SprOtherDed
Select LINK_DICTION, MONTH1, SUM(SUM_DED) 
from 
	EMPL E 
	inner join TAX_DEDUCTIONS TD on E.PERS_LINK = TD.LINK_PERSON AND E.DEP_LINK = TD.LINK_DEP
where 
	E.LINK = @varKSlinkEmpl 
	and [YEAR] = @varKSYear 
	AND @Status in (1 /**/, 3 /* */) 
	and MONTH1 <= Month(@varKSDate) --DATE_REF <= dbo.DateEndOfMonth(@varKSDate)
	AND E.DEP_LINK = @DEP_LINK
Group by 
	LINK_DICTION, MONTH1

IF @varKSfl=1 
	select []= rtrim(SNAME), [ ] = LEFT(rtrim(name),50), [ ] = ISNULL(OD.summa,0) 
	from @SprOtherDed OD inner join dbo.DICTIONARY_TYP_DEDUCTION  D on D.link = OD.LINK_DICTION

-------
declare @TMP Table ([REF_PAY] int, [MONTH_BEGIN] int, [MONTH_END] int, [SUMMA] numeric(18,2))

Insert into @TMP
Select 
	[REF_PAY], M.NUM, M.NUM, SUM([SUMMA]) 
from 
	dbo.Months M, @varKSTotal T1 
where 
	M.[NUM] between [MONTH_BEGIN] and [MONTH_END] and [REF_PAY] not in (select LINK_DICTION from @SprOtherDed) 
group by 
	[REF_PAY], M.NUM

	
----------------------
DECLARE @REF_PAY int, @MONTH_BEGIN int, @SUMMA numeric(18,2), @Saldo numeric(18,2), @STD_VYCH NUMERIC(18,2), @MONTH1 TINYINT

-------------
DECLARE @Cur CURSOR, @Cur11 CURSOR
SET @Cur11 = CURSOR FORWARD_ONLY
FOR 
	Select LINK_DICTION from @SprOtherDed ORDER BY LINK_DICTION

OPEN @Cur11
FETCH NEXT FROM @Cur11 INTO @REF_PAY
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
			Select M.NUM, [SUMMA], MONTH1 = (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) 
			from @SprOtherDed OD, dbo.Months M 
			WHERE 
				LINK_DICTION = @REF_PAY
				AND M.NUM BETWEEN (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) AND @varKSMonth
			ORDER BY M.NUM

		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @SUMMA, @MONTH1
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN

				Set @Saldo = ISNULL(@SUMMA,0) - ISNULL((Select Sum(Summa) from @tmp T where T.REF_PAY = @REF_PAY),0)

				SET @STD_VYCH = ISNULL((SELECT SUM(SUMMA) FROM @varKSTotal WHERE [MONTH_BEGIN] < @MONTH1),0)

				INSERT INTO @TMP ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
				Select --
					@REF_PAY, @MONTH_BEGIN, @MONTH_BEGIN, 
					(Case When @Saldo > (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
										- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
										- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
						then (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
								- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
								- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
					else
						@Saldo
					end)
				from
					@TotTab DS
					LEFT JOIN @TotTab DS2 ON DS2.[Month] = @MONTH1-1 
				where
					DS.[Month] = @MONTH_BEGIN
					and
					(ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0)
						- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH) 
						- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0)) > 0
					and 
					@Saldo > 0

			END
			FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @SUMMA, @MONTH1
		END

		CLOSE @Cur
		DEALLOCATE @Cur

		INSERT INTO @varKSTotal ( [REF_PAY], [MONTH_BEGIN], [MONTH_END], [SUMMA])
		Select * from @TMP where [REF_PAY] = @REF_PAY

	END
	FETCH NEXT FROM @Cur11 INTO @REF_PAY
END

CLOSE @Cur11
DEALLOCATE @Cur11

/* vvvvvv   -   vvvvvvv */

IF @varKSfl=1 
select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),50) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
	month_begin as [ ], month_end as [ ], summa as [ ]  from @varKSTotal T1  order by month_begin, REF_PAY

DECLARE @varKSTotal1 TABLE
([KOL]			[int],
 [REF_PAY] 		[int],
 [MONTH_BEGIN]		[int],
 [MONTH_END]		[int],		
 [SUMMA]		[numeric](19, 2))

INSERT INTO @varKSTotal1 ([KOL],[REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
SELECT COUNT(*) AS [KOL],REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA
FROM @varKSTotal 
GROUP BY REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA

DECLARE @vych TABLE
([MONTH] 	[int],
 [REF_PAY] 	[int],
 [DEDUCT]	[numeric] (19, 2),
 [COMMENT]  [varchar] (254),
 [KOEF_VKR] [numeric] (18,10),
 [kol] [numeric] (18,2),
 [SPR_SUM]  NUMERIC(18,2)	
)

DECLARE @NDFL_OPT7 int
SET @NDFL_OPT7 = dbo.sa_get_option_by_code('NDFL_OPT7')

DECLARE @Koef table (Mon int, koef NUMERIC(18,15), doh tinyint, koef2 NUMERIC(18,10))
insert into @Koef (Mon, Koef, doh, koef2)
Select 	T2.[Month], 
	CASE WHEN @NDFL_OPT7 = 1 --      211 
	THEN 
		CASE WHEN @varKSLinkEKR = @Link211EKR 
		THEN --  
			CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then (v.summa_m_vkr/t2.summa_m_211) else 0 end )
			--CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then ((v.summa_m_vkr-T2.DED_M)/(t2.summa_m_211-T2.DED_M_ALL)) else 0 end )
		ELSE 
			0 
		END
	ELSE --    
		--CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
		CONVERT(NUMERIC(18,10), case when (t2.summa_m-T2.DED_M_ALL) > 0 then ((t2.summa_m_vkr-T2.DED_M)/(t2.summa_m-T2.DED_M_ALL)) else 0 end)
	END,
	(Case when t2.summa_m <> 0 then 1 else 0 end),
	--CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
	CONVERT(NUMERIC(18,10), case when (t2.summa_m-T2.DED_M_ALL) > 0 then ((t2.summa_m_vkr-T2.DED_M)/(t2.summa_m-T2.DED_M_ALL)) else 0 end)
from 
	@TotTab T2 
	inner join @Val V on T2.[month] = V.[month]
	

--   
DECLARE @DICT_TAX_DEDUCTIONS TABLE (LINK INT)
INSERT INTO @DICT_TAX_DEDUCTIONS (LINK)
SELECT LINK FROM dbo.DICTIONARY_TYP_DEDUCTION WHERE NUMBER = 4

/*   .   ,    .  ,    */
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
				case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0) end)
	,[COMMENT] = 
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+ 
				'*'+ rtrim(ltrim(convert(varchar(100), CONVERT(NUMERIC(18,4), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end)) )) +')'
	,[KOEF_VKR] =
				 CONVERT(NUMERIC(18,10), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end )
	,T1.KOL,
	T1.KOL*T1.SUMMA
FROM @varKSTotal1 t1 left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	NOT EXISTS (SELECT * FROM @DICT_TAX_DEDUCTIONS IM WHERE IM.LINK = T1.REF_PAY)
ORDER BY 1

/* .   ,           */
IF @NDFL_OPT7 = 1
BEGIN

--SELECT * FROM @Koef
--SELECT * FROM @TotTab
--SELECT '!!!!', * FROM @vych
--select * from @varKSTotal1

	UPDATE K SET K.koef2 = CONVERT(NUMERIC(18,10), case when (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) <> 0 
													then
														CONVERT(NUMERIC(28,10),	(T2.summa_m_vkr - (T2.ded_m_all + Y.SPR_SUM)*K.KOEF)) 
														/ CONVERT(NUMERIC(28,10), (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) )
													else 0 end )
	FROM 
		@Koef K
		INNER JOIN @TotTab T2 ON K.Mon = T2.[Month]
		INNER JOIN (SELECT [MONTH], SPR_SUM = SUM(ISNULL(KOL * SPR_SUM,0)) FROM @vych GROUP BY [MONTH]) Y ON K.Mon = Y.[MONTH]
END		

IF @varKSfl=1 
	select [] = Mon, [_] = koef, [__] = koef2 from @Koef T1  order by Mon


-- 
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,2), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					> ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN 
					ISNULL(D.SUMMA_M_VKR,0) - ISNULL([DED_M_ALL],0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				ELSE 
					CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)						
				END
	
	,[COMMENT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,2), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					> ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN
				'('+convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL(D.SUMMA_M_VKR,0)))
				+'-' + convert( varchar(20), ISNULL([DED_M_ALL],0))
				+'-' + convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)))
				+')'				
				ELSE
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+
				+'*' + convert( varchar(20), CONVERT(NUMERIC(18,4),(
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
						))
					)
				+')'					
				END
	,[KOEF_VKR] = 
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
	,T1.KOL
	,T1.KOL*T1.SUMMA
FROM
	@DICT_TAX_DEDUCTIONS IM 
	INNER JOIN @varKSTotal1 t1 ON IM.LINK = T1.REF_PAY
	INNER JOIN @Koef K ON K.Mon = T1.MONTH_BEGIN
	left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	T1.SUMMA > 0	
ORDER BY 1
--SELECT '111',* FROM @TotTab
--select * from @vych

INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
		[REF_DED] 	= T.REF_PAY,
		[SUMMA] 	= T.DEDUCT,
		[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
		[LINK_VKR]	= @varKSLinkVKR,
		[LINK_EKR]	= @varKSLinkEKR,
		[TYPE] 		= 1, 
		[KOEF_VKR],
		[KOL]
FROM @vych T WHERE T.DEDUCT <> 0 

--==============
--    ,        
SELECT S.REF_DED, MONTH(DATE_DED) AS MN, V.SPR_SUM - SUM(SUMMA) AS SUMMA
INTO #CORRECT
FROM dbo.SAL_DED_MONTH S INNER JOIN @vych V ON V.[MONTH] = MONTH(S.DATE_DED) AND S.REF_DED = V.REF_PAY
WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl
GROUP BY S.REF_DED, MONTH(DATE_DED), V.SPR_SUM
HAVING ABS(V.SPR_SUM - SUM(SUMMA)) BETWEEN 0.01 AND 0.02

IF EXISTS(SELECT * FROM #CORRECT) BEGIN

	UPDATE V
	SET V.DEDUCT = ISNULL(V.DEDUCT,0) + ISNULL(C.SUMMA,0)
	FROM @vych V INNER JOIN #CORRECT C ON V.[MONTH] = C.MN AND C.REF_DED = V.REF_PAY

	DELETE FROM dbo.SAL_DED_MONTH 
	WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl AND [LINK_VKR] = @varKSLinkVKR AND [LINK_EKR] = @varKSLinkEKR
		AND REF_DED IN (SELECT REF_PAY FROM @vych)

	INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
	SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
				[REF_DED] 	= T.REF_PAY,
				[SUMMA] 	= T.DEDUCT,
				[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
				[LINK_VKR]	= @varKSLinkVKR,
				[LINK_EKR]	= @varKSLinkEKR,
				[TYPE] 		= 1, --convert(NUMERIC(3,0),B.VALUE)
				[KOEF_VKR],
				[KOL]
	FROM @vych T WHERE T.DEDUCT <> 0 

END

----------------------------------------------------------------------------------------
IF @varKSfl=1 
	SELECT 
		[] = MONTH([DATE_DED]), [] = S.CODE, [] = LEFT(S.NAME,50), [] = D.SUMMA, [] = CONVERT(NUMERIC(18,4),D.KOEF_VKR)
	FROM 
		dbo.SAL_DED_MONTH D
		INNER JOIN dbo.[DICTIONARY_TYP_DEDUCTION] S ON S.LINK = D.REF_DED
	WHERE 
		LINK_EMPL = @varKSlinkEmpl
		AND YEAR([DATE_DED]) = @varKSYear
		AND [LINK_VKR]	= @varKSLinkVKR
		AND [LINK_EKR]	= @varKSLinkEKR
	ORDER BY
		MONTH([DATE_DED]), S.CODE	

-----------------------------------------------------------------------------------------
DECLARE @varKSTota TABLE
([MONTH] 		[int],
 [PERS_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]	[numeric](19, 2),
 [DED_M_ALL] 	[numeric](19, 2),
 [DED]			[numeric](19, 2),
 [DED_M]			[numeric](19, 2),
 [VYCH]			[numeric](19, 2),
 [VYCH_M]		[numeric](19, 2),
 [DOHOD_ALL]	[numeric](19, 2),
 [VICHET_ALL]	[numeric](19, 2)
 ) 

INSERT INTO @varKSTota([MONTH], [PERS_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],[VYCH],[VYCH_M],[DOHOD_ALL],[VICHET_ALL])
SELECT T1.[MONTH],T1. [SUMMA_VKR], T1.[EMPL_SUMMA_VKR],T1.[SUMMA_M],T1.[SUMMA_M_VKR],T1.[DED_M_ALL],T1.[DED],T1.[DED_M],
		[VYCH]	=ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0),
		[VYCH_M] =ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH] = T1.[MONTH]),0),
		[DOHOD_ALL] = T1.[EMPL_SUMMA],
		[VICHET_ALL] = ISNULL((SELECT SUM(V.SPR_SUM) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0)
FROM @TotTab T1

IF @varKSfl=1 
	select [month] as [],pers_summa_vkr as [      ], summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [     ], ded_m_all as [ ], ded as [   ], ded_m as [    ], 
	vych as [ ], vych_m  as [  ] from @varKSTota

----
declare @varKSSumDed numeric(15,2), @varKSRange  numeric(15,2), @varKSResid int, @varKSStrCom varchar(1000)

SET @varKSSumDed = ISNULL(
	(SELECT sum(summa) 
	FROM
		dbo.PAYS P INNER JOIN dbo.CALCULATE_JURNAL SJ ON P.LINK = SJ.LINK_PAYS
	WHERE
		SJ.LINK_PAYS = @varKSRef_Pay
		AND YEAR(SJ.PERIOD_BEGIN) = @varKSYear
		AND MONTH(SJ.PERIOD_BEGIN) <=@varKSMonth 
		AND SJ.LINK_EMPL = @varKSlinkEmpl 
		AND SJ.LINK_VKR = @varKSLinkVKR
		AND SJ.LINK_DEP = @DEP_LINK 
		AND ISNULL(SJ.LINK_EKR,P.LINK_EKR) = @varKSLinkEKR)
	,0)	
	
SET @varKSSumDed = @varKSSumDed + ISNULL( (SELECT SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR WHERE SR.LINK_EMPL = @varKSlinkEmpl AND SR.YEAR_SAL = @varKSYear AND SR.LINK_VKR = @varKSLinkVKR AND SR.LINK_EKR = @varKSLinkEKR), 0)

set @varKSRange =  dbo.SalaryGetNDFLRange (@varKSlinkEmpl,@varKSDate)
set @varKSResid = dbo.GetEmplResident(@varKSlinkEmpl)

IF @varKSfl=1 
	select [   ] = @varKSSumDed, [ ] = @varKSRange, [] = (case when @varKSResid = 1  then '' else ' ' end)


set @varKSStrCom = ''
DECLARE @varKSCurs CURSOR,
		  @varKSCurCOMMENT varchar(255)

SET @varKSCurs = CURSOR FORWARD_ONLY
FOR SELECT COMMENT FROM @vych WHERE DEDUCT <> 0 and [month]=@varKSMonth
OPEN @varKSCurs
FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @varKSStrCom = @varKSStrCom + ' ' + isnull(@varKSCurCOMMENT,'0')+ ' +'
	FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
END 
CLOSE @varKSCurs
DEALLOCATE @varKSCurs

IF LEN(@varKSStrCom) > 2
	SET @varKSStrCom = LEFT(@varKSStrCom,LEN(@varKSStrCom)-2) 

IF @varKSfl=1 
BEGIN	
	PRINT '      '
	
	SELECT T.*,
	[sum_ded]=  isnull(@varKSSumDed,0),
	[summa] = 	case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,2),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END,
	[comment] = @varKSStrCom
	FROM @varKSTota T
	WHERE [MONTH] = @varKSMonth
	
END
--SELECT summa_vkr -ded - vych, * FROM @varKSTota
/*,         /    */
IF @varKSfl<>1 
SELECT 
	[MONTH],
	PERS_SUMMA_VKR= convert(numeric(18,2), [PERS_SUMMA_VKR]),
	SUMMA_VKR= convert(numeric(18,2), [SUMMA_VKR]),
	SUMMA_M= convert(numeric(18,2), [SUMMA_M]),
	SUMMA_M_VKR= convert(numeric(18,2), [SUMMA_M_VKR]),
	DED_M_ALL= convert(numeric(18,2), [DED_M_ALL]),
	DED= convert(numeric(18,2),[DED]),
	DED_M= convert(numeric(18,2),[DED_M]),
	VYCH= convert(numeric(18,2), [VYCH]),
	VYCH_M= convert(numeric(18,2), [VYCH_M]),
	[sum_ded]=  convert(numeric(18,0), isnull(@varKSSumDed,0)), 
	[summa] = 	case when convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100) > 0
			then 
				case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END					
			else 
				CASE WHEN @NDFL_OPT8 = 0 
				THEN 
					0
				ELSE
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				END
			end,
	[comment] = Case when len(rtrim(ltrim(@varKSStrCom))) > 0 then '{' + RTRIM(LTRIM(@varKSStrCom)) + '}' else '' end,
	[RANGE] = @varKSRange/100
FROM @varKSTota T
WHERE [MONTH] = @varKSMonth


GO


GRANT EXECUTE ON dbo.[SD_U_NDFL_FILL] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_SAVE_DOC_TABLE_MZ_NDS]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_SAVE_DOC_TABLE_MZ_NDS]

GO
CREATE PROCEDURE dbo.BK_SAVE_DOC_TABLE_MZ_NDS
	@intLINK_ROW	INT = NULL OUTPUT,
	@varKSpLINK_UP	INT,
	@varKSpORDERS	INT,

	@INV_TYPE VARCHAR(30),
	@INV 	INT,
	@PRICE NUMERIC(19, 4) = 0,
	@AKCIZ NUMERIC (19, 4) = 0,
	@NUM_TD VARCHAR(30) = '',
	@QTY NUMERIC(19, 4) = 0,
	@SUMMA NUMERIC(19, 4) = 0,
	@STAVKA_NDS NUMERIC(5, 2) = 0,
	@SUMMA_NDS NUMERIC(19, 4) = 0,
	@SUMMA_ALL NUMERIC(19, 4) = 0,
	@EKR INT = NULL,
	@FIN_SOURCE CHAR(1)= '',
	@NO_NDS	TINYINT = 0,
	@COUNTRY_LINK	INT = NULL,
	@TNDS_LINK	INT = NULL,
	@COMMENT	VARCHAR (1000) = NULL,
	@INV_TYPE1	VARCHAR (1000) = NULL

AS
BEGIN
	DECLARE
		@varKSERROR	tinyint,
		@varKSstrVALUE	varchar(7000),
		@varKStrancount	int,

		@intOBJ_TABLE INT,
		@iOBJ_ID	INT

	SELECT @intOBJ_TABLE = LINK FROM dbo.S_OBJECTS WITH (NOLOCK) WHERE CODE = 'DOC_TABLE_MZ_NDS'

	SET @varKStrancount = @@TRANCOUNT
	SET IMPLICIT_TRANSACTIONS ON

	EXECUTE @varKSERROR = dbo.X_UPDATE_OUT_TABLE_ROW @intLINK_ROW OUTPUT, @varKSpLINK_UP,
			@intOBJ_TABLE, @varKSpORDERS

	IF @varKSERROR <> 0
		RETURN @varKSERROR

	EXECUTE @varKSERROR = dbo.XK_UPDATE_OUT_TABLE_MZ_SUMMA
			@intLINK_ROW,
			@INV_TYPE, @INV,
			@PRICE, @AKCIZ, @NUM_TD, @QTY, @SUMMA, @STAVKA_NDS,
			@SUMMA_NDS, @SUMMA_ALL, @EKR, @FIN_SOURCE, @NO_NDS,
			@COUNTRY_LINK,
			@TNDS_LINK

	IF @varKSERROR <> 0
		RETURN @varKSERROR

	SET @iOBJ_ID = dbo.GetObjLink ('DOC_TABLE_MZ_NDS_COMMENT')

	EXECUTE @varKSERROR = dbo.X_UPDATE_OUT_TABLE_STRING
				@varKSLink_Up	=	@intLINK_ROW,
				@varKSObject	=	@iOBJ_ID,
				@varKSString	=	@COMMENT

	IF @varKSERROR <> 0
		RETURN @varKSERROR

	--    --
	SET @iOBJ_ID = dbo.GetObjLink ('DOC_TABLE_MZ_NDS_INV_TYPE1')

	EXECUTE @varKSERROR = dbo.X_UPDATE_OUT_TABLE_STRING
				@varKSLink_Up	=	@intLINK_ROW,
				@varKSObject	=	@iOBJ_ID,
				@varKSString	=	@INV_TYPE1

	IF @varKSERROR <> 0
		RETURN @varKSERROR

	IF @@TRANCOUNT > @varKStrancount
		COMMIT TRAN
	RETURN 0
END


GO


GRANT EXECUTE ON dbo.[BK_SAVE_DOC_TABLE_MZ_NDS] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_PRINTDOC_INVOICE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_PRINTDOC_INVOICE]

GO
CREATE PROCEDURE dbo.BK_PRINTDOC_INVOICE
	@intLINK_DOC	INT
AS
BEGIN
	--    --
	DECLARE @TAB_HDR TABLE
		(DOC_LINK	INT,

		DOC_NUM		VARCHAR (30),
		DOC_DATE	VARCHAR (10),
		COR_NUM		VARCHAR (30),
		COR_DATE	VARCHAR (10),

		--  --
		SEL_NAME	VARCHAR (254),
		SEL_ADDR	VARCHAR (254),
		SEL_INN		VARCHAR (20),
		SEL_KPP		VARCHAR (20),

		--  --
		SHIPPER		VARCHAR (254),

		--  --
		RECEIVER	VARCHAR (254),

		--  -   --
		NUM_BASE	VARCHAR (30),
		DATE_BASE	VARCHAR (10),

		--  --
		BUY_NAME	VARCHAR (254),
		BUY_ADDR	VARCHAR (254),
		BUY_INN		VARCHAR (20),
		BUY_KPP		VARCHAR (20),
		DOG_INFO	VARCHAR (254)
		)

	--  - --
	INSERT INTO @TAB_HDR
	SELECT
		DOC.LINK,
		DOC.NUMBER,
		CONVERT (VARCHAR (10), DOC.[DATE], 104),
		CASE 
			WHEN ISNULL (GPI.COR_NUM, '') = '' THEN '-'
			ELSE GPI.COR_NUM
		END, 
		CASE
			WHEN GPI.COR_DATE IS NULL THEN  '-'
			ELSE CONVERT (VARCHAR (10), GPI.COR_DATE, 104)
		END,

		--  --
		dbo.BK_GET_PRINT_DEP_NAME (SEL.LINK),
		CONVERT (VARCHAR (254), dbo.GetAddressByKladr (SEL.KLADR_LINK) +
			ISNULL (', ' + SEL.HOUSE, '')),
		SEL.INN,
		SEL.KPP,

		--  --
		CASE
			WHEN ISNULL (SEL_SHIP, 0) = 1 THEN ' '
			ELSE CONVERT (VARCHAR (254), dbo.BK_GET_PRINT_DEP_NAME (SH1.LINK)
				+ ' ' + ISNULL (CONVERT (VARCHAR (254), dbo.GetAddressByKladr (SH1.KLADR_LINK)
				+ ISNULL (', ' + SH1.HOUSE, '')), ''))
		END,

		--  --
		CONVERT (VARCHAR (254), dbo.BK_GET_PRINT_DEP_NAME (R1.LINK)
			+ ' ' + ISNULL (CONVERT (VARCHAR (254), dbo.GetAddressByKladr (R1.KLADR_LINK)
			+ ISNULL (', ' + R1.HOUSE, '')), '')),

		--  -   --
		GPI.PAY_NUM AS NUM_BASE, 
		CONVERT (VARCHAR (10), GPI.PAY_DATE, 104),

		--  --
		dbo.BK_GET_PRINT_DEP_NAME (BUY.LINK),
		CONVERT (VARCHAR (254), dbo.GetAddressByKladr (BUY.KLADR_LINK) +
			ISNULL (', ' + BUY.HOUSE, '')),
		BUY.INN,
		BUY.KPP,
		
		DOG_INFO	=	ISNULL (DOG.INFO, '')
	FROM dbo.G_PROV DOC
	LEFT JOIN dbo.G_PROV_INVOICE GPI ON (GPI.DOC_LINK = DOC.LINK)
	LEFT JOIN dbo.DEPARTMENTS SEL ON (SEL.LINK = GPI.SELLER)
	LEFT JOIN dbo.DEPARTMENTS BUY ON (BUY.LINK = GPI.BUYER)
	LEFT JOIN dbo.DEPARTMENTS SH1 ON (SH1.LINK = GPI.SHIPPER)
	LEFT JOIN dbo.DEPARTMENTS R1 ON (R1.LINK = GPI.RECEIVER)

	LEFT JOIN dbo.BD_OSNOV DOG ON (DOG.LINK = GPI.OSNOV)
	WHERE DOC.LINK = @intLINK_DOC

-- SELECT * FROM @TAB_HDR

	SELECT T1.*,
		T2.INV_NAME,
		INV_TYPE1 = CASE
						WHEN ISNULL (T2.INV_TYPE1, '') = '' THEN '-'
						ELSE LTRIM (T2.INV_TYPE1)
					END,
		ISNULL (T2.UM_CODE, '-') AS UM_CODE,
		ISNULL (T2.UM_NAME, '-') AS UM_NAME,
		ISNULL (T2.QTY, 0.00) AS QTY,
		ISNULL (T2.PRICE, 0.00) AS PRICE,
		T2.SUMMA,
		ISNULL (T2.AKCIZ, 0.00) AS AKCIZ,
		ISNULL (T2.STAVKA_NDS, 0.00) AS STAVKA_NDS,
		ISNULL (T2.SUMMA_NDS, 0.00) AS SUMMA_NDS,
		ISNULL (T2.NO_NDS, 0) AS NO_NDS,
		ISNULL (T2.SUMMA_ALL, 0.00) AS SUMMA_ALL,
		STATE_CODE,
		STATE_NAME,
		NUM_TD
	FROM @TAB_HDR T1
	LEFT JOIN dbo.BK_DOC_TABLE_MZ_NDS_FN (@intLINK_DOC) T2 ON (T2.LINK_UP = T1.DOC_LINK)
END


GO


GRANT EXECUTE ON dbo.[BK_PRINTDOC_INVOICE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SAVE_POST_TYPE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SAVE_POST_TYPE]

GO

CREATE   PROCEDURE dbo.SAVE_POST_TYPE
	@varKSparLINK		int	OUTPUT,
	@varKSparName		varchar(254),
	@varKSparINSTR		int
AS
DECLARE @varKSRowCount	INT,
		@varKSERROR	tinyint,
			@varKStrancount	int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN


IF @varKSparLINK IS NULL 
	RETURN 5

IF @varKSparINSTR IS NULL 
	RETURN 5


UPDATE POST_TYPE
	SET INSTR = @varKSparINSTR
WHERE link = @varKSparLINK
	
SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@IDENTITY

  IF @varKSERROR <> 0
  BEGIN
		ROLLBACK
		RETURN 7
  END
  IF @varKSRowCount = 0
  BEGIN
		ROLLBACK
		RETURN 2
  END

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0






GO


GRANT EXECUTE ON dbo.[SAVE_POST_TYPE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_4FSS_26092016_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_4FSS_26092016_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_4FSS_26092016_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20170101', @vardEnd datetime = '20171231', @variCol int, @variRow int, @variLSF int
AS 

EXEC dbo.BufferClear

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT

DECLARE --  
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)


select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT 
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(18,6) default 0.00, DED_M numeric(18,6) default 0.00, INV_M numeric(18,6) default 0.00, SUMMA numeric(18,6) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, RESIDENT int default 2, KATEG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , RESIDENT, KATEG)
Select s.[MONTH_BASE], s.SUMMA_BASE, s.DED_M, s.INV_M, s.SUMMA, s.WAY_CALC, s.REF_PHYS_PERS, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , s.KATEG
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) s
left join dbo.person p on p.link = s.REF_PHYS_PERS
left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK
WHERE s.WAY_CALC = 2

---  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, resident, KATEG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, P.WAY_CALC, GT.PERS_LINK, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , 
	KATEG = (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)
FROM 
	dbo.SDOC G
	INNER JOIN dbo.SDOC_DGH_TABLE GT ON G.LINK = GT.LINK_UP
	INNER JOIN dbo.PAYS P ON P.LINK = GT.LINK_PAY
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = GT.LINK_VKR
	left JOIN DBO.PERSON Pe on Pe.LINK = GT.PERS_LINK
	LEFT JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
	LEFT JOIN dbo.pers_invalid I ON GT.PERS_LINK = I.PERS_LINK 
	AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(G.[DATE]),@nYEAR)) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
WHERE
	G.[OBJECT] =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_DGH')
	AND GT.[OBJECT] = 3
	AND FLAG_JC = 1
	AND P.WAY_CALC = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


/* 1*/
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

CREATE TABLE #RES2(CODE_STR VARCHAR(10), BASE_FSS NUMERIC(18,6), CNT_FSS INT, CNT_FEM INT , NUM_PP Varchar(50) default '')

DECLARE @REST NUMERIC(18,2)


/******** **********/

/*     */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))
INSERT INTO #RES2
SELECT '3', 0, @NAvgCount, 0, ''

/*      */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
INSERT INTO #RES2
SELECT '1', 0, @NAvgCount, 0, ''

/*    */  ---  
INSERT INTO #RES2
SELECT '2', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 2, 1, 0, DEFAULT)), 0 , ''

/*       */ ---  
INSERT INTO #RES2
SELECT '4', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 2, DEFAULT)), 0 , ''




---   
CREATE TABLE #RAZD31 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD31 (LINK)
SELECT DISTINCT 
	P.REF_PHYS_PERS
FROM 
	#SPR_ESN P
WHERE  RESIDENT <> 2

DECLARE @Table_Razd31 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd31 OUTPUT
EXEC ('select * INTO ' + @Table_Razd31 + ' from #RAZD31')
EXEC dbo.BufferPush -116, @Table_Razd31
----  1 

Declare @StBase5 table (link int)
Insert into @StBase5 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 5)


CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(CASE WHEN GT.WAY_CALC  = 5 THEN GT.SUMMA_BASE ELSE 0 END)
INTO #DGH_FAKT_BASE2
FROM 
	dbo.DOCUMENTS_DGH G 
	--INNER JOIN dbo.DOCUMENTS_DGH_T1 T1 ON T1.LINK = G.LINK
	--INNER JOIN dbo.REESTR_DGH R ON R.LINK = T1.LINK_DOG  --AND FLAG_TRAVMA = 1	
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK --AND T1.PERS_LINK = GT.PERS_LINK 
WHERE 
	G.LINK_DEP = @DEP_LINK
	AND FLAG_JC = 1
	--AND GT.WAY_CALC  = 5
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY   GT.PERS_LINK,  MONTH(G.[DATE]) /*, GT.WAY_CALC*/




DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')


SELECT MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I)
INTO #SALARY_SUM
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) AND I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END)
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase5 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN DBO.PERS_INVALID I ON I.PERS_LINK = E.PERS_LINK 
			AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
			--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
GROUP BY
	Month(CJ.PERIOD_BEGIN)
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(CJ.SUMMA),
	SUMMA_NO = SUM( CJ.SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA - ISNULL(B.SUMMA_BASE,0) ELSE 0 END)
from 
	#DGH_CJ CJ
	INNER JOIN #DGH_FAKT_BASE2 B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = CJ.PERS_LINK 
		AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
		--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Month(period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN)
) AS T
GROUP BY 
	MON
------------------------

--  
DECLARE @LINK_S_OBJ INT
SET @LINK_S_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_CLOSE_MONTH')

CREATE TABLE #TRAVM_LGOTY (I TINYINT, M TINYINT, SUMMA NUMERIC(18,2))
--  
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])
	
----  	
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_VYCHET S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])	

---- 1 
--   1
CREATE TABLE #TABLE1 (MON TINYINT, SUMMA3 NUMERIC(18,2), SUMMA4 NUMERIC(18,2), SUMMA5 NUMERIC(18,2) )
INSERT INTO #TABLE1 (MON, SUMMA3, SUMMA4, SUMMA5)
SELECT 
	M.NUM, 
	SUMMA3 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL)/*-SUM(SUMMA_NO)*/ FROM #SALARY_SUM WHERE MON = M.NUM) ,0) /*- ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0)*/ /*,0)*/,
	SUMMA4 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL_I)-SUM(SUMMA_NO_I) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE I = 1 AND M = M.NUM),0) /*,0)*/,
	SUMMA5 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) + ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0) /*,0)*/
FROM
	dbo.MONTHS M
	
	
INSERT INTO #RES2 SELECT '010103', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010104', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010105', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010303', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010304', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010305', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010403', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH2) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010404', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH2) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010405', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH2) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010503', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH3) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010504', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH3) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010505', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH3) ,0), 0, 0, ''

--1. 2


---P1. 2
--  ר 303.06   
DECLARE @QV_DATE DATETIME
SELECT @REST = 0, @QV_DATE = @END_DATE+1



DECLARE @ATR_LIKVIDATION VARCHAR(2)
SELECT @ATR_LIKVIDATION = ISNULL(dbo.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_ATR_LIKVID'),'')
--  ר 303.02   
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @BYearDate, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT (CASE WHEN @ATR_LIKVIDATION = ''  THEN '0201' ELSE '02011' END), @REST, 0, 0 WHERE @REST > 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT (CASE WHEN @ATR_LIKVIDATION = ''  THEN '0212' ELSE '02141' END), -@REST, 0, 0 WHERE @REST < 0


--  ר 303.06    

EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @QV_DATE, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0209', -@REST, 0, 0 WHERE @REST < 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0719', @REST, 0, 0 WHERE @REST > 0





select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA = SUM(SUMMA)
INTO 
	#SALARY_SUM1
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and CJ.LINK_PAYS = (select top 1 link from pays where object = 3 and way_calc = 5)
GROUP BY
	Month(CJ.PERIOD_BEGIN)

--1. 2
INSERT INTO #RES2 SELECT '0221', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON < @nMONTH1
INSERT INTO #RES2 SELECT '0223', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH1
INSERT INTO #RES2 SELECT '0224', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH2
INSERT INTO #RES2 SELECT '0225', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH3





---   
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))

EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.06', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE <> ''290'''


INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02161', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON < @nMONTH1), 
		'', 
		0  
	
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02163', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH1), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02164', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02165', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3), 
		'', 
		0   

---    
SELECT  VID,
		Y , 
		MON ,
		NUMBER	
INTO #PLAT_PP1
FROM #PLAT 
GROUP  BY VID , Y , MON, NUMBER

DROP TABLE #PLAT

BEGIN 
	declare @Cur_1 cursor , @VID1 tinyint , @Y1 INT, @MON1 TINYINT, @NUMBER1 VARCHAR(10)

	SET @Cur_1 = CURSOR FORWARD_ONLY
	FOR 
		select VID, Y, MON, NUMBER from #PLAT_PP1 order by VID, Y, MON, NUMBER
	OPEN @Cur_1
	FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	
	WHILE (@@fetch_status <> -1)
	BEGIN
		
		IF (@@fetch_status <> -2)
		BEGIN	
			if  @Y1 = @nYEAR and @MON1 = @nMONTH1
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02163' 

			if  @Y1 = @nYEAR and @MON1 = @nMONTH2
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02164'

			if  @Y1 = @nYEAR and @MON1 = @nMONTH3
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02165'				

		end
		FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	end

CLOSE @Cur_1
DEALLOCATE @Cur_1

END 

drop table #PLAT_PP1




SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 


-- 3

INSERT INTO #RES2
SELECT '0301', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10),0),	
	0, ''

INSERT INTO #RES2
SELECT '0302', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),	
	0, ''	
	
INSERT INTO #RES2
SELECT '0304', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11),0),	
	0, ''

INSERT INTO #RES2
SELECT '0305', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),	
	0, ''		

INSERT INTO #RES2
SELECT '0307', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 12),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 12),0),	
	0, ''

DECLARE  @SPO4 INT
SELECT @SPO4 = (SELECT distinct LINK FROM dbo.SA_SZV4_SPR WHERE code = '4' AND spr_code = 'SPO_USL_TRUDA' )




-----    
--1. 5
select [KOL_ALL] = SUM(S.NUM_STAKE),
		[KOL_SPO_ALL] = SUM(CASE WHEN S.COD_SPO_USL_TRUD IS NOT NULL THEN S.NUM_STAKE ELSE 0 END ),
		[KOL_SPO_3] =  SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD = @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) ,	   
		[KOL_SPO_4] = SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD <> @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) 	  
	
INTO 
	#STAF_ALL
from 
	dbo.staff s inner join dbo.staff_head sh on s.link_up = sh.LINK
where 	
	sh.DEP_LINK = @DEP_LINK
	and @vardEnd between s.date_begin and s.date_end 




INSERT INTO #RES2 SELECT '050103', KOL_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050104', KOL_SPO_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050105', KOL_SPO_3, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050106', KOL_SPO_4, 0, 0, '' FROM #STAF_ALL 


/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -115, @Table_Razd1


DROP TABLE #RES2
DROP TABLE #SPR_ESN
DROP TABLE #ATR_4FSS
--DROP TABLE #SPR_ESN1KATEG3
--DROP TABLE #SPR_ESN2KATEG3
DROP TABLE #RAZD31
DROP TABLE #DGH_FAKT_BASE2
DROP TABLE #SALARY_SUM
DROP TABLE #SALARY_SUM1
DROP TABLE #TRAVM_LGOTY
DROP TABLE #TABLE1








GO


GRANT EXECUTE ON dbo.[RSA_4FSS_26092016_PREPARE] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RPSV_PERS_UCH_SZV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RPSV_PERS_UCH_SZV]

GO

--   EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20160101', '20161231', 13488, 0 , 3239
CREATE PROCEDURE dbo.RSA_RPSV_PERS_UCH_SZV
	@dDate1 DATETIME,
	@dDate2 DATETIME,
	@LINK_DEP int = NULL,
	@REP TINYINT = 0, 
	@VARILSF INT = null
AS BEGIN


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	SET @DEP_LINK = COALESCE(@LINK_DEP,@DEP_LINK)

   DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

	SELECT 
		@nYEAR = YEAR(@dDATE1),
		@nMONTH1 = MONTH(@dDATE1),
		@nMONTH2 = MONTH(@dDATE1)+1,
		@nMONTH3 = MONTH(@dDATE1)+2

	DECLARE @ATR_PERS_UCH INT
	DECLARE @ATR_likvid INT
	DECLARE @NUM_KOR  INT 
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_PERS_UCH'))
	SET @ATR_likvid  = CASE WHEN (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_LIKVID')) = '' THEN 0 ELSE 1 END 
	SET @NUM_KOR  = (SELECT [version] FROM REPORT_SAVED_FORMS AS rsf WHERE Link_Saved_Form = @VARILSF)

	DECLARE  @Period_Number TINYINT, @Begin_Date DATETIME, @End_Date DATETIME
	SELECT
		@Period_Number = Period_Number,
		@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
		@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date)))
	FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF

--************************************************************
	--       
	--    
--***********************************************************

	create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int , REF_PHYS_PERS INT , link_vkr INT  , FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, TDOG INT , SP VARCHAR(4) , KATEG TINYINT)
	-----     ,  , ,           13%, 
	--	  PERSON_CZ  - 0 ..        .
	SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  
					PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN 
									 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))



	Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , FACE_GROUP, I, E, INO, TDOG , SP, KATEG)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
		( CASE WHEN P.RESIDENT = 0 THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
		1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 1,
		SP = isnull(left(s4.code,4),''),
		KATEG
	from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
		inner join PERSON P on S.REF_PHYS_PERS = P.link
		inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE  WAY_CALC not in (5)
	
	--  
	INSERT INTO #SPR_ESN
		([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, TDOG, KATEG)
	SELECT
		MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
		( CASE WHEN P.RESIDENT = 0  THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
		1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 2,
		KATEG = 	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))) = 2
					THEN 3
					ELSE
					(CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END )
		        	END 
		
	FROM
		DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		inner join PERSON P on GT.PERS_LINK = P.link
		inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  not in (5)
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

	DELETE FROM #SPR_ESN
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @dDate1)
		

	Declare @StBase2 table (link int)
	Insert into @StBase2 (link)
	select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

	--   
	SELECT
		GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
	INTO #DGH_FAKT_BASE
	FROM
		dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  = 6
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK
	GROUP BY
		GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

	SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
	INTO #DGH_FAKT_BASE1
	FROM #DGH_FAKT_BASE
	GROUP BY PERS_LINK, MONTH_BASE

	DECLARE @LINK_EKR213 INT
	SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

	DECLARE @ESN_213 INT --      213 
	SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

	------
	CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
	INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
	SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
	FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
	WHERE
		Year(period_begin) = @nYEAR
		and Month(period_begin) <= @nMONTH3
		and CJ.LINK_DEP = @DEP_LINK
	GROUP BY
		cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


	DELETE FROM #CALCULATE_JURNAL 
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @dDate1)


	------	      
	CREATE TABLE #PERS_INV (PERS_LINK INT)
	--SELECT DISTINCT PERS_LINK
	--INTO #PERS_INV
	--FROM dbo.PERS_INVALID I
	--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
	------	            
	SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
	INTO #EMPL_DT
	FROM DBO.KU_EMPL_PLACING SD
		left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE
			(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


	--  #SALARY_SUM2
	CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT,LINK_EMPL INT ,T_DOG INT , PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
			SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
			/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
		SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
			SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2), sack CHAR(1) DEFAULT ''
			)
	--


	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		E.PERS_LINK,
		CJ.LINK_EMPL,
		T_DOG  = 1 ,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
		SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.sd_EMPL E ON E.LINK = CJ.LINK_EMPL
		LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
	where 	
		P.[OBJECT] = 1
	GROUP BY
		E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK,CJ.LINK_EMPL--, e.DATE_END --, e.sack



 --EXEC dbo.RSA_RPSV_PERS_UCH_SZV  '2017-04-01 00:00:00','2017-06-30 00:00:00',  74578 , 1, 6426


	--
	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,  T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
			--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
			)
	select
		CJ.PERS_LINK,
		T_DOG = 2,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D1 = 0,

		--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D2 = 0
			
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
		--     
	--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
		--   
	--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	where 	
		P.[OBJECT] = 1
	GROUP BY
		CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK
	----    ,      
	--UPDATE D SET
	--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
	--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
	--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
	--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
	--FROM #SALARY_SUM_DATA D
	--WHERE INV = 1 --    -  	

	--    ,      
	UPDATE D SET
		SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
		SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
	FROM #SALARY_SUM_DATA D
	WHERE INO = 1 --  -  	


-----------
DECLARE @PREDEL NUMERIC(18,2)
SET @PREDEL = ISNULL((SELECT MIN(PREDEL) FROM dbo.DICTIONARY_RANGE_PF WHERE WAY_CALC = 6 AND TARIF = 1 AND [DATE] >= dbo.ConvertDMY2Date(1,1,YEAR(@dDate1))),0)
-----------

	--   
	SELECT
		PERS_LINK,
		--MON = Month(PERIOD_BEGIN),
		T_DOG = MIN(T_DOG),
		SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
		SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
		SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
		SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
		SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
		SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
		SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I - SUMMA_NO - SUMMA_NO_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
		SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
		,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),
		SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
		SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
		SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
		SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
		SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31) /*,
		SACK = MAX(SACK)*/
	INTO #SALARY_SUM2
	FROM #SALARY_SUM_DATA WHERE month(PERIOD_BEGIN) BETWEEN @nMONTH1 AND @nMONTH3
	GROUP BY
		PERS_LINK
		


	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 0 ,  4058	
	------    
	--
	--,        
	DECLARE @LIMIT NUMERIC(18,2)

	SELECT
		@LIMIT  = MIN(S.PREDEL)
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		tarif =1
		and
		[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT = ISNULL(@LIMIT,0)


	--,        
	DECLARE @LIMIT_OMS NUMERIC(18,2)

	SELECT @LIMIT_OMS = MAX(S.PREDEL)
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


	--  ,        (%)
	--   
	--    2014         ,      " 1967"
	DECLARE
		@PERCENT NUMERIC(18,2),
		--    2014  
		-- @PERCENT_N NUMERIC(18,2)  --
		@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
		
	SELECT
		@PERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT3 > 0
		
	SET @PERCENT = ISNULL(@PERCENT,0)	


	--
	SELECT @PERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0

	--
	SELECT @IPERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0	

	SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
	SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

	--  
	---  
	DECLARE @IPERCENT NUMERIC(28,2)
	SELECT @IPERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif = 3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
	SET @IPERCENT = ISNULL(@IPERCENT,0)		


	SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END  FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2
	FROM
		#SPR_ESN1 T INNER JOIN dbo.months_ex(@dDate1, @dDate2) M ON 1=1
		LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
		

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
		
--************************************************************
	--     (****)
--***********************************************************

	--   
	DECLARE @ROUND_TYPE tinyint, @ROUND_LEN tinyint
	Set @ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT2')
	Set @ROUND_LEN = (case when @ROUND_TYPE <= 1 then 2 else 0 end)
	Set @ROUND_TYPE = (case when @ROUND_TYPE = 3 then 1 else 0 end)

	--  
	DECLARE @IT_ROUND_TYPE tinyint
	Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
	
	/*SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))
	*/
	-----  

		
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = 1,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = SE.LINK,
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )/(SELECT COUNT(link_empl) FROM #salary_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND month(PERIOD_BEGIN) = month(ss.period_begin) AND T_DOG = SS.T_DOG )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN @limit
												ELSE 
													0
												END) 
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = COALESCE((SELECT ISNULL(dt.dop,0) FROM #empl_dt dt WHERE dt.link = se.link ),0) ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = (SELECT ISNULL(dt.spo,'') FROM #empl_dt dt WHERE dt.link = se.link ) ,
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	INTO #SZV_ALL
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	inner JOIN dbo.sd_empl AS se ON   se.link = ss.link_empl /*AND se.sack = 0*/ AND  se.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1))
	where  (CASE WHEN  exists(SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where  s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2    and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)) and s1.status_empl = 1)
		THEN 1 ELSE (SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)))  
			      END ) = se.statuS_empl  
	ORDER BY se.FM, se.IM,se.OT,se.DATE_BEGIN


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 74579, 1 ,  2501	
 --EXEC dbo.RSA_RPSV_PERS_UCH_SZV  '2017-04-01 00:00:00','2017-06-30 00:00:00',  74578 , 0, 6426
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 2 ,  3239	
    ---    

	INSERT INTO #SZV_ALL
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
							(CASE WHEN t_dog = 1 THEN  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
								 WHEN  t_dog = 2 then ''  END )
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = SS.T_DOG,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = '',
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN @limit
												ELSE 
													0
												END) 
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = 0 ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = '',
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	WHERE NOT EXISTS (SELECT link_FACE FROM #SZV_ALL WHERE link_FACE = p.link) AND ss.T_DOG = 2
	ORDER BY SS.T_DOG , p.FM, p.IM,p.OT --,se.DATE_BEGIN


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1,  4058

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  356

SELECT * INTO #SZV_SUM FROM	 
(SELECT 
	RN = ROW_NUMBER() OVER (PARTITION BY LINK_FACE, CODE, T_DOG, [TYPE], PER_EDT, NGROUP/*, ID_EX*/ ORDER BY T_DOG),
	CODE,
	LINK_FACE,
	[PFNUMBER],
	T_DOG,
	INC_M1= convert(numeric(18,2),0) ,
	B_BEF_M1= convert(numeric(18,2),0) ,
	B_AFT_M1= convert(numeric(18,2),0) ,
	INC_M2 = convert(numeric(18,2),0) ,
	B_BEF_M2 = convert(numeric(18,2),0),
	B_AFT_M2 = convert(numeric(18,2),0),
	INC_M3 = convert(numeric(18,2),0),
	B_BEF_M3 = convert(numeric(18,2),0),
	B_AFT_M3 = convert(numeric(18,2),0),		
	per,
	[year],
	[TYPE],
	per_edt,
	year_edt,
	INSUR  = convert(numeric(18,2),0)
FROM 
	#SZV_ALL 
	GROUP BY CODE ,LINK_FACE,[PFNUMBER],T_DOG,per,[year],[TYPE],per_edt,year_edt,NGROUP, num
) T WHERE RN = 1


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488,0,  4058


UPDATE s 	 
set INC_M1 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND LTRIM(RTRIM(s1.link_face)) = LTRIM(RTRIM(s.link_face)) AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG)) AND  ltrim(rtrim(s1.mon)) = ltrim(rtrim(@nMONTH1))),
	B_BEF_M1 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	B_AFT_M1 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	INC_M2 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_BEF_M2 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_AFT_M2 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	INC_M3 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_BEF_M3 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_AFT_M3 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND s1.mon = @nMONTH3),
	INSUR = (select isnull(sum(s1.INSUR),0) from #SZV_ALL s1 WHERE s1.link_face = s.link_face AND  LTRIM(RTRIM(s1.code))= LTRIM(RTRIM(s.code))  AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND rtrim(ltrim(s1.per)) = ltrim(rtrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon IN( @nMONTH1,@nMONTH2,@nMONTH3 ) GROUP BY s1.code, s1.link_face,s1.T_DOG ,s1.per ,s1.[year])
FROM 	
#SZV_SUM s 

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  803

----------------------------

SELECT 
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt, INSUR = SUM(INSUR)
INTO 
	#SZV_PC		
FROM 
	(
	SELECT 
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt, 
		INSUR = CASE WHEN MIN(B_AFT_M1) + MIN(B_AFT_M2) + MIN(B_AFT_M3) <> 0 THEN
					MIN(B_BEF_M1 * PERCENT1 / 100) + MIN(B_BEF_M2 * PERCENT1 / 100) + MIN(B_BEF_M3 * PERCENT1 / 100)
				ELSE
					MIN(INSUR)
				END				
	FROM 
		#SZV_SUM A left JOIN dbo.SA_PFR_KATEG B ON A.CODE = B.CODE AND [year] BETWEEN YBEG AND YEND
			left JOIN 
			(
				SELECT 
					TARIF, PERCENT1
				FROM 
					dbo.DICTIONARY_RANGE_PF D
				WHERE
					WAY_CALC = 6 AND PREDEL = @PREDEL
					AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND WAY_CALC = 6 AND DATE <= @dDate1 ORDER BY [DATE] DESC) 
			) C ON C.TARIF = B.LINK2 
	GROUP BY
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt
	) T
GROUP BY
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  803
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488,1,  4058
-----------------------------------------------------

	IF @REP = 0 
	BEGIN 
		
		declare @modify_date DATETIME
		SELECT  @modify_date = modify_date
		FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF
	--PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR
	--(ORDER BY a.[PFNUMBER]))
		SELECT
			CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY  a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT])),
			COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT])),
			COL2 = @NUM_KOR, 
			COL3 = CASE WHEN @ATR_likvid = 0 then (CASE a.per when 1 THEN 21 
															  WHEN 2 THEN 31
															  WHEN 3 THEN 33
															  WHEN 4 THEN 34 END )
											 ELSE (CASE a.per when 1 THEN 51 
															  WHEN 2 THEN 52
															  WHEN 3 THEN 53
															  WHEN 4 THEN 90 END )			  
											END ,
			COL4 = a.year,
			COL5 = CONVERT(VARCHAR(10), @modify_date, 104),
			COL6 = p.INN ,
			COL7 = CONVERT(VARCHAR(14),a.[PFNUMBER]),
			COL8 = CONVERT(varchar(100),a.[FM]),
			COL9 = CONVERT(varchar(100),a.[IM]),
			COL10 = CONVERT(varchar(100),a.[OT]),
			COL11 = CONVERT(VARCHAR(10),p.BIRTHDATE, 104),
			COL12 = CASE WHEN (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) IN (1,2) 
							THEN '643' 
							ELSE (CASE WHEN p.DOC_WHOM = 'MDA' THEN '498' 
										WHEN p.DOC_WHOM LIKE '%%' THEN '398'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '804'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '051' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '112' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '417'
										ELSE '000' end) end ,
			COL13 = p.SEX,
			col14 = (SELECT code FROM FACE_DOCUMENT WHERE LINK = p.DOC_LINK ) ,
			col15 = substring(REPLACE(ltrim(rtrim(p.DOC_NUM)),'/',''),1, len(REPLACE(ltrim(RTRIM(p.DOC_NUM)), right(LTRIM(RTRIM(p.DOC_NUM)),6) , ''))),
			col16 = right(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ','') , 6),
			col17 = 1,
			col18 = 1,
			col19 = 1,
			COL20 = [TYPE],
			COL21 = [NGROUP],
			COL22 = a.LINK_FACE,
			col23 = per_EDT
		FROM
			#SZV_ALL a
		inner join dbo.PERSON p on p.LINK = a.LINK_FACE   AND a.mon BETWEEN month(@dDate1) AND month(@dDate2)
		GROUP BY a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.[PFNUMBER],a.LINK_FACE, a.[NGROUP]/*, a.[FNAME],a.DATE_DOC*/,a.per_EDT, 
		a.PER, a.[YEAR], p.inn,p.BIRTHDATE,p.CITIZ_LINK,p.SEX,p.DOC_LINK,p.DOC_NUM,p.DOC_WHOM ,p.BIRTHPLACE
		ORDER BY
			a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.per_EDT

	END



--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  803
-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 74578, 1,      5019
	IF @REP = 1 
	BEGIN 	

	/*****************************************************/
	--     
	/*****************************************************/
		create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), 
						   COL8 numeric(18,2), COL9 numeric(18,2),COL10 numeric(18,2) , COL11 varchar(1), COL12 varchar(4), COL13 varchar(15), COL14 varchar(1), COL15 varchar(4),
						   COL16 int, COL17 varchar(100), COL18 varchar(100), COL19 varchar(100), COL20 int, COL21 int, COL22 numeric(18,2), COL23 numeric(18,2), COL24 numeric(18,2),
						   COL25 int, COL26 int, COL27 numeric(18,2), COL28 numeric(18,2), COL29 numeric(18,2),
						   COL30 int, COL31 int, COL32 numeric(18,2), COL33 numeric(18,2), COL34 numeric(18,2),
						   COL35 int, COL36 int, COL37 numeric(18,2), COL38 numeric(18,2), COL39 numeric(18,2),
						   COL40 int, COL41 int, COL42 numeric(18,2), COL43 numeric(18,2), COL44 numeric(18,2), COL45 char(1) DEFAULT '' )
		
		
		/***************************************/
		--            
---------->>>>>>>>>>

-----------<<<<<<<<</*   ,  */
		
		DECLARE @nYEAR1_K INT, @nMONTH_1_K INT, @nMONTH_2_K INT, @nMONTH_3_K INT	
		select 
   		@nYEAR1_K = YEAR_EDT,
   		@nMONTH_1_K = /*case when YEAR_EDT  between '2011' and '2013' then (*/case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end/*)
					when  YEAR_EDT >= '2014'  then (case  PER_EDT when 3 then  1 when 6 then  4 when 9 then  7 else  10 end)
					else null end */
		from #SZV_ALL	
		where [TYPE] = 2
		and YEAR_EDT >=2014
							 
		select @nMONTH_2_K = @nMONTH_1_K+1,
				@nMONTH_3_K = @nMONTH_1_K +2	

		DECLARE @BYearDate_K	datetime , @EndYear_K datetime
		SET @BYearDate_K = dbo.DateBeginOfYear (@nYEAR1_K+'0101')
		Set @EndYear_K = dbo.DateEndOfYear(@BYearDate_K)


		DECLARE @PREDEL_K NUMERIC(18,2)
		SET @PREDEL_K = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1_K)

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239


		/*******************   ********************/
		DECLARE @Cur1 CURSOR, @CODE varchar(4), @TYPE tinyint , @T_DOG tinyint, @PFNUMBER VARCHAR (14) , @FM VARCHAR(100),@IM VARCHAR(100),@OT VARCHAR(100),
		@LINK_FACE1 int , @CODE_old VARCHAR(4), @TYPE_OLD TINYINT, @nom_pp INT, @MON INT, @LINK_FACE INT , @EMPL_LINK INT 
		SET @LINK_FACE1 = 0
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = 1
 
		SET @Cur1 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,EMPL_LINK, [PFNUMBER], [FM],[IM],[OT], MIN(MON) AS mon 
			FROM #SZV_ALL where [TYPE] = 1 AND mon BETWEEN month(@dDate1) AND month(@dDate2)
			GROUP BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK,[TYPE],CODE 
			ORDER BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK, mon
		OPEN @Cur1
		FETCH NEXT FROM @Cur1 INTO  @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN

				---        ( , , )
				IF (/*@T_DOG = 1 and */ @LINK_FACE <> @LINK_FACE1 ) 
				BEGIN
				
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I ,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)  - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) 
										END) 
								 END,
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) AND  WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL
										ELSE 
											0
										END) 
								 END,
						   COL10 =  (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),	 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT), 
						  -- COL44 = isnull([INSUR],0),
						   COL45 = '' --ISNULL([sack],'')
					FROM #SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND  S.LINK_FACE = @link_face

	

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  4058
		
				/*	select row_number() over (order by PER_EDT) as ID , 
							[PER_EDT] as k_PER_EDT, 
							YEAR_EDT as k_YEAR_EDT, 
							INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT]  )  as k_INSUR, 
							GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT] ) as k_GAIN, 
							PFNUMBER as k_PFNUMBER , 
							FM as k_FM 
					INTO #TMP01
					from  #SZV_ALL s
					WHERE  [TYPE] = 2 AND mon =1 and FM = @FM AND PFNUMBER = @PFNUMBER

					UPDATE #TMP1
					SET COL20 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=1),
						COL21 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1),
						COL22 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1)  ELSE 0 END ),
						COL23 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1) ELSE 0 END ),
						COL24 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=1) ELSE 0 END ), 
						COL25 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=2),
					    COL26 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2), 
					    COL27 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2)  ELSE 0 END ), 
					    COL28 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2) ELSE 0 END ), 
					    COL29 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL30 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=3),
					    COL31 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3), 
					    COL32 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3)  ELSE 0 END ), 
					    COL33 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3) ELSE 0 END ), 
					    COL34 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL35 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=4),
					    COL36 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4), 
					    COL37 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4)  ELSE 0 END ), 
					    COL38 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4) ELSE 0 END ), 
					    COL39 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL40 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=5),
					    COL41 = (SELECT TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5), 
					    COL42 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5)  ELSE 0 END ), 
					    COL43 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5) ELSE 0 END ), 
					    COL44 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=5) ELSE 0 END )--,
					FROM #TMP1
					WHERE #TMP1.COL5 = @CODE 
						AND #TMP1.COL12 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), '') 
						AND #TMP1.COL2 = @PFNUMBER and #TMP1.COL17 = @FM and #TMP1.COL18 = @IM and #TMP1.COL19= @OT

					drop table #TMP01
				*/
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,	 
						    --CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1 WHERE  I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ), 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year],''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face	
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
				
					set @nom_pp = @nom_pp + 1

					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face	
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,

						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
					
					set @nom_pp = @nom_pp + 1
				END
	
	

				---        (         )
				IF /*@T_DOG = 1 and*/  @LINK_FACE = @LINK_FACE1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19,COL45)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL- SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									( (ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)) - (ISNULL(SS.SUMMA_NO,0) -  ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,	
														
						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,
						   COL10 = (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   COL45 = '' -- ISNULL(SACK,'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END						
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COl2 = @PFNUMBER 
								and COL13 = (case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
							
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((SELECT TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						 COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 		
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1	
				
				end 

					set @LINK_FACE1 = @LINK_FACE
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
			END

			FETCH NEXT FROM @Cur1 INTO @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		END

		CLOSE @Cur1
		DEALLOCATE @Cur1

/*
		/*****************************************************/
		--    /
		/*****************************************************/
		DECLARE @Cur2 CURSOR , @PER_EDT1 INT, @PER_OLD INT
		set @pf_num1 = ''
		
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = (SELECT MAX(CODE) FROM #TMP1 WHERE COL12= '') + 1 
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], PER_EDT  FROM #SZV_ALL where /*T_DOG = 1 and*/ [TYPE] != 1 /*AND YEAR_EDT >=2014*/ GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO  @CODE,@TYPE,@PFNUMBER,@FM,@IM,@OT,@PER_EDT1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				  
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1  OR ( @PFNUMBER = @pf_num1 AND  @PER_EDT1 <> @PER_OLD)) 
				BEGIN
					
				 					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) 
										END) 
								 END,								 

						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE 
											0
										END) 
								 END,
						   COL10 = isnull([INSUR],0),												
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   
						   COL45 = ISNULL([SACK],'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER  AND PER_EDT = @PER_EDT1 
						
					

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) , 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
					

		
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
													
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   
						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
						   COL10 = isnull([INSUR],0), 										
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						S.NUM = 1 AND code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER and FM = @FM					
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3],SS.SUMMA_ALL_I, SS.SUMMA_NO, SS.SUMMA_NO_I, SS.SUMMA_NO_E
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER and per_edt = @per_edt1
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],s.link_face,[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3]
					
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER],s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND  per_edt = @PER_EDT1
					GROUP BY [PFNUMBER] ,s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COL2 = @PFNUMBER 
								and COL12 = (case WHEN @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
						
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						 COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 		
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					set @nom_pp = @nom_pp + 1	
					--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2190
		
				end 
			
					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
					SET @PER_OLD = @PER_EDT1
			END

			FETCH NEXT FROM @Cur2 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @PER_EDT1
		END

		CLOSE @Cur2
		DEALLOCATE @Cur2
*/       
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45	
		FROM #TMP1 where col5 <> '' ORDER BY  CODE, COL15
		
	--drop table #SALARY_SUM2_K
	--drop table #SPR_ESN1_K			
	drop table #SPR_ESN
	DROP TABLE #SPR_ESN1
	DROP TABLE #SALARY_SUM_DATA
	drop table #SALARY_SUM2
	DROP TABLE #CALCULATE_JURNAL
	drop table #TMP1

	END  

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803

/*	IF @REP = 2 
	BEGIN 	
		/*   6.6    */
		/*            ,           
		*  ,     .     6.6 , 
		*      ()   6  ()   -6-1,  () -6-2,  () -6-4.
		*/
		/*   ,      */
	
		---    
			DECLARE @BYDateK	datetime , @nYEAR_K INT, @nMON1 INT, @nMON2 INT, @nMON3 INT
	

			select top 1 
			@BYDateK = (convert(varchar(4),YEAR_EDT)+'0101'),
			@nYEAR_K = YEAR_EDT,
			@nMON1 = (case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end)
			from #SZV_ALL WHERE [TYPE] = 2
			
			SELECT  @nMON2 = @nMON1 +1 , 	
					@nMON3 = @nMON1 +2 	
					
----------<<<<<<<<< #SPR_ESN     (  )

		/*    */
		SELECT year_edt = p.YEAR_EDT, 
				PER_EDT = p.PER_EDT, 
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = case when S.Link_kateg = 3 then 1 else S.Link_kateg  end ,
				pachka = s.pachka
		INTO #tmp_pers
		FROM 	dbo.SA_SZV4_PACHKA P 
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT , 
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int) 
	
		DECLARE @Cur_R2 CURSOR, @link int ,@LINK_pers INT, @year_edt INT , @per_edt INT , @Link_kateg INT ,@pachka int
		SET @Cur_R2 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers ORDER by link_pers

		OPEN @Cur_R2
		FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt , @link_kateg, @pachka
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link = 0
					
					SELECT @link =max(pp.link)
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1 
										  AND pp.link_dep = @DEP_LINK 
										  AND pp.year_begin =@year_edt  
										  AND pp.PER =@per_edt 
										  AND @LINK_pers = ss.link_pers
										  --AND @link_kateg = ss.link_kateg  
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1 
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link  
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1 
																					  AND p1.link_dep = @DEP_LINK 
																					  AND p1.year_begin =@year_edt  
																					  AND p1.PER =@per_edt 
																					  AND @LINK_pers = s1.link_pers
																					  /*AND @link_kateg = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers, 
										sum_doh, sum_str, sum_nak,sum_dop, pachka) 
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers, 
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link and pp.proverka = 1 
										 AND pp.vid_kor = 1 
										 AND pp.link_dep = @DEP_LINK 
										 AND pp.year_begin =@year_edt  
										 AND pp.PER =@per_edt 
										 AND ss.link_pers = @LINK_pers
										/* AND ss.link_kateg = @link_kateg*/
										  

			END

			FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt, @link_kateg, @pachka
		END

		CLOSE @Cur_R2
		DEALLOCATE @Cur_R2
--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2191


---------->>>>>>>>>>
		create table #TMP2(CODE int identity(1,1) ,col1 int,   COL2 tinyint, COL3 varchar(4), COL4 numeric(18,2), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 INT)

		INSERT INTO #TMP2 (COL2, COL3, COL4, COL5, COL6, COL7)
		SELECT 
			   COL2 = /*case when YEAR_EDT between '2011' and '2013'  then (case*/ [PER_EDT]/* when 1 then 1 when 2 then 2 when 3 then 3 when 4 then 4 else 0 end)
							when YEAR_EDT = '2014' then (case [PER_EDT] when 1 then 3 when 2 then 6 when 3 then 9 when 4 then 0 else null end) end */, 
			   COL3 = CONVERT(VARCHAR(4),YEAR_EDT),
			   COL4 = (CASE WHEN YEAR_EDT = '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )  ELSE 0 END ),
			   COL5 = (CASE WHEN YEAR_EDT < '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face  AND  per = s.per_edt )  ELSE 0 END ),
			   COL6 = (CASE WHEN YEAR_EDT < '2014' THEN GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )   ELSE 0 END ),
			   COL7 = CONVERT(VARCHAR(14),PFNUMBER)
		FROM #SZV_ALL s WHERE  [TYPE] = 2 AND id_ex =1 
		GROUP BY link_face, YEAR_EDT,  [PER_EDT] , INSUR , GAIN ,[FM],[IM],[OT], PFNUMBER 
		ORDER BY [FM],[IM],[OT],[PFNUMBER]
		
		UPDATE #TMP2 
			SET col1 = CODE , COL8 = CODE 

		
		SELECT * FROM #TMP2 ORDER BY CODE


		drop table #tmp_pers
		drop table #tmp_pers_kor_sum
		--DROP TABLE #SPR_ESN_K
		drop table #TMP2
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
	

	
	END	
*/	
	IF @REP = 3 
	BEGIN 	
		/*   3.2.2           ,     , 
		*              ,    1, 2  2.1  58.3 
		*    24  2009 .  212- */

	/*****************************************************/
	--     
	/*****************************************************/

		DECLARE @BYear_Date	datetime
			SET @BYear_Date = dbo.DateBeginOfYear (@dDate1)

		/*UPDATE #SZV_ALL 
			SET [OSOB_SPO] =  SP 
			FROM #SPR_ESN   WHERE pf_num = #SZV_ALL.[PFNUMBER] AND WAY_CALC IN (10,11) AND MONTH_BASE = @nMONTH3  AND SUMMA_BASE <> 0 */    

		create table #TMP3(CODE int,col1 int,   COL2 varchar(100), COL3 varchar(4), COL4 varchar (4), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 int, COL9 int, 
							COL10 VARCHAR(10), COL11 VARCHAR(10), COL12 VARCHAR(10),COL13 VARCHAR(30), COL14 VARCHAR(10), COL15 VARCHAR(100), COL16 VARCHAR(10),COL17 VARCHAR(100),
							COL18 VARCHAR(10), COL19 VARCHAR(10), COL20 VARCHAR(10),COL21 VARCHAR(30), COL22 VARCHAR(10), COL23 VARCHAR(100), COL24 VARCHAR(10), COL25 VARCHAR(100), 
							COL26 VARCHAR(10), COL27 VARCHAR(10), COL28 VARCHAR(10),COL29 VARCHAR(30), COL30 VARCHAR(10), COL31 VARCHAR(100), COL32 VARCHAR(10), COL33 VARCHAR(100),
							COL34 VARCHAR(10), COL35 VARCHAR(10), COL36 VARCHAR(10), COL37 VARCHAR(30), COL38 VARCHAR(10), COL39 VARCHAR(100), COL40 VARCHAR(10), COL41 VARCHAR(100), COL42 varchar(100), COL43 varchar(100), COL44 varchar(100),
							COL45 VARCHAR(300), COL46 VARCHAR(300))


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 3 , 370

		DECLARE @Cur3 CURSOR, @CODE1 varchar(4), @TYPE1 tinyint , @PFNUMBER1 VARCHAR (14) , @FM1 VARCHAR(100),@IM1 VARCHAR(100),@OT1 VARCHAR(100),
		@LINK_FACE11 INT ,@LINK_FACE01 int ,@TYPE_OLD1 TINYINT, @nom_pp1 INT, @OSOB_SPO VARCHAR(4), @OSOB_SPO_old VARCHAR(4),
		@DateM1B DATETIME, @DateM2B DATETIME, @DateM3B DATETIME, @DateM1E DATETIME, @dateM2E DATETIME, @dateM3E DATETIME
		
		set @Link_FACE11 = 0
		set @OSOB_SPO_old = NULL 
		set @TYPE_OLD1 = 0
		set @nom_pp1 = 1
	
		SELECT @DateM1B = @dDate1,
			   @DateM2B =  dbo.ConvertDMY2Date(1,month(@dDate1)+1,YEAR(@dDate1)), 	
			   @DateM3B =  dbo.ConvertDMY2Date(1,month(@dDate1)+2,YEAR(@dDate1)), 
			   @DateM1E =  dbo.DateEndOfMonth(@DateM1B),
			   @DateM2E =  dbo.DateEndOfMonth(@DateM2B), 	
			   @DateM3E =  @dDate2


		SET @Cur3 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  
			FROM #SZV_ALL 
			where [TYPE] = 1  AND ISNULL([OSOB_SPO],'') <> '' AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO] 
			ORDER BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO]
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO  @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')
				---        ( , , )
				
				IF @LINK_FACE01 <> @LINK_FACE11 
				BEGIN

					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42, COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL(  (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN e.MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL(  (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL(  ( sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END  ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE], 
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM 
						#SZV_ALL s
						left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		AND  s.mon = e.MONTH_BASE					
					WHERE  
						s.code = @CODE1 and s.[TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO --AND s.MON = month(@DateM1B)
						AND  s.mon between 	@nMONTH1 AND @nMONTH3	
						AND  e.MONTH_BASE between @nMONTH1 AND @nMONTH3							   
					GROUP BY 
						[TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]/*, INC_T1,INC_T2*/,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS 

					--                   -      
					UPDATE TMP3
					SET COL5 = (SELECT case when s.per = 1 THEN sum((CASE WHEN  mon = 1 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 1 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 2 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 2 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 3 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 3 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 2 then sum((CASE WHEN  mon = 4 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 4 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 5 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 5 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 6 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 6 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END ) 		) 
											when s.per = 3 then sum((CASE WHEN  mon = 7 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 7 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 8 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 8 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 9 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 9 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 4 then sum((CASE WHEN  mon = 10 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 10 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)  end
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon between 	@nMONTH1 AND @nMONTH3
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '700' 			    

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

					SELECT  @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM1B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  
				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM1E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM1E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM1E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '701' 

			

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON =month(@DateM2B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  

					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM2E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM2E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM2E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '702' 
			
					set @nom_pp1 = @nom_pp1 + 1

					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL(( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM3B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  
				
				
				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM3E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM2E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM3E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '703' 

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 74578, 3 ,  3400						
					set @nom_pp1 = @nom_pp1 + 1
				
				END
		
					
		/*		---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
				
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL  s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
				END						
			*/	---    '410','411','412','413' 
 	
			/*	if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) 
					AND NOT EXISTS (
						SELECT * FROM #SZV_ALL 
						WHERE PFNUMBER = @PFNUMBER1 
							AND ISNULL(OSOB_SPO,'') != ISNULL(@OSOB_SPO,'') 
							AND [TYPE] = 1
						) 
				begin 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT 
						   CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						 COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)

					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
	
					set @nom_pp1 = @nom_pp1 + 1	
				end 
				*/
					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END]> @dDate2 THEN @dDate2 ELSE [DATE_END] end),
							link_face1 = link_face 
					into #TMP03
					FROM #SZV_ALL  WHERE  mon IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN) and [TYPE] = @TYPE1 AND LINK_FACE =@LINK_FACE01 and fm = @FM1 and T_DOG = 1
					GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END]
					ORDER BY  [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE]
			
	--SELECT * FROM #TMP03
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL12 = NULL,
						COL13 = NULL,
						COL14 = NULL, 
						COL15 = NULL,
					    COL16 = NULL, 
					    COL17 = NULL, 
					    COL18 = NULL, 
					    COL19 = NULL,
					    COL20 = NULL,
					    COL21 = NULL,
						COL22 = NULL, 
						COL23 = NULL,
					    COL24 = NULL, 
					    COL25 = NULL,
					    COL26 = NULL, 
					    COL27 = NULL,
					    COL28 = NULL,
					    COL29 = NULL,
						COL30 = NULL, 
						COL31 = NULL,
					    COL32 = NULL, 
					    COL33 = NULL,
					    COL34 = NULL, 
					    COL35 = NULL,
					    COL36 = NULL,
					    COL37 = NULL,
						COL38 = NULL, 
						COL39 = NULL,
					    COL40 = NULL, 
					    COL41 = NULL,
					    
					    COL45 = NULL, 
					    COL46 = NULL
					    

					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL8 = @LINK_FACE01 AND #TMP3.COL3 = '700' /*and #TMP3.CODE =  @nom_pp1*/


					drop table #TMP03				


				
				 
					set @LINK_FACE11 = @LINK_FACE01
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			
			END

			FETCH NEXT FROM @Cur3 INTO @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur3
		DEALLOCATE @Cur3
		
		
		
		
	/*	/*****************************************************/
		--    /
		/*****************************************************/
		--create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), COL8 numeric(18,2), COL9 numeric(18,2), COL10 varchar(1), COL11 varchar(4), COL12 varchar(15), COL13 varchar(1), COL14 varchar(4),COL15 int)
	

		DECLARE @Cur4 CURSOR
		set @pf_num11 = ''
		set @OSOB_SPO_old = ''  
		set @TYPE_OLD1 = 0
		set @nom_pp1 = (SELECT MAX(CODE) FROM #TMP3 WHERE COL9 = 1) + 1 
		
			
		SET @Cur4 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  FROM #SZV_ALL where /*T_DOG = 1 and */[TYPE] != 1 /*and year_edt >=2014*/  GROUP BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]ORDER BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
		OPEN @Cur4
		FETCH NEXT FROM @Cur4 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')	
				---        ( , , )
				IF (@PFNUMBER1 <> @pf_num11 ) 
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,

						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 , date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end ,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]	,INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
				END
					
				
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 			
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM  		
					
					set @nom_pp1 = @nom_pp1 + 1
				END						

				---    '710','711','712','713' 
			
				if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') != @OSOB_SPO AND [TYPE] = 2) 
				begin 
						
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1	
				
				end 


					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END] > @dDate2 THEN @dDate2 ELSE  [DATE_END] END )  , 
							TU_CODE1 = [TU_CODE], 
							OS_CODE1 = [OS_CODE], 
							EX_CODE1 = [EX_CODE], 
							f_is_dop1 = [f_is_dop], 
							P_CODE1 = [P_CODE], 
							f_ud_dop1 = [f_ud_dop] 
					into #TMP04
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL /*AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)*/ and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 --and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
				
				

					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1), 
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1 , 104 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=4 and FM1= @FM1),
						
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP04 where ID=5 and FM1= @FM1),' ')), 
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ), ' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')
																	 + ','  			
															 FROM #TMP04 where ID=6 and FM1= @FM1),' '))
				
					
					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL7 = @PFNUMBER1 and  #TMP3.COL3 = '700'

				
					drop table #TMP04	


					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			END

			FETCH NEXT FROM @Cur4 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur4
		DEALLOCATE @Cur4
	*/
	
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
		
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45, COL46
		FROM #TMP3 where col5 <> 0 or col6 <> 0 or ISNULL(COL10,'') <> '' ORDER BY CODE, COL8

--RSA_RSV_1_PERS_UCH_szv '20140401', '20140630', 13488 , 3, 2786
		drop table #TMP3
	
	END		

	IF @REP = 4 
	BEGIN 	
		/*  6.8          6 */
		create table #TMP4(CODE int identity(1,1) ,col1 int,   COL2 VARCHAR(10), COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 VARCHAR(30), COL6 VARCHAR(10), COL7 varchar(100), COL8 VARCHAR(10), COL9 varchar(100), COL10 VARCHAR(14), COL11 INT , COL12 INT, COL13 VARCHAR(100), COL14 varchar(100), COL15 VARCHAR(100) )

		INSERT INTO #TMP4 (COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL12, COL13, COL14, COL15 )
		SELECT 
			   COL2 = convert(varchar(10),(CASE WHEN [DATE_BEGIN] > @dDate2 THEN @dDate2 ELSE [DATE_BEGIN] END) , 104), 
			   COL3 = CONVERT(varchar(10),[DATE_END] , 104),
			   COL4 = CONVERT(VARCHAR(10),ISNULL([TU_CODE],'')),
			   COL5 = CONVERT(VARCHAR(30),ISNULL([OS_CODE],'')),
			   COL6 = CONVERT(VARCHAR(10),ISNULL([EX_CODE],'')),
			   COL7 = CONVERT(VARCHAR(100),ISNULL([f_is_dop],'')),
			   COL8 = CONVERT(VARCHAR(10),ISNULL([P_CODE],'')),
			   COL9 = CONVERT(VARCHAR(100),ISNULL([f_ud_dop],'')),
			   COL10 = CONVERT(VARCHAR(100),ISNULL([PFNUMBER],'')),
			   COL12 = ISNULL([TYPE],0),
			   COL13 = CONVERT(varchar(100),FM),
			   COL14 = CONVERT(varchar(100),IM),
			   COL15 = CONVERT(varchar(100),OT)
		FROM #SZV_ALL 
		WHERE 
			id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)
		GROUP BY 
			[FM],[IM],[OT],[PFNUMBER],[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
		ORDER BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE]

		UPDATE #TMP4 
			SET col1 = CODE , COL11 = CODE 

		SELECT * FROM #TMP4 ORDER BY CODE
		
		drop table #TMP4
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
		
	END	
	
	
		
		drop table #SZV_ALL
		--drop table #docs_kor_otm
		--drop table #docs

END










GO


GRANT EXECUTE ON dbo.[RSA_RPSV_PERS_UCH_SZV] TO PUBLIC

GO


-- --



-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_N_VAC_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_N_VAC_FILL]

GO

CREATE   PROCEDURE dbo.SA_N_VAC_FILL 
(
 @LINK_DOC INT OUTPUT, --  .	
 @OBJ_CODE VARCHAR(50), -- 
 @SR_VID TINYINT = 1, --     1 -   , 2 - 
 @LINK_VAC INT, --  
 @SR_LINK_EMPL INT  = NULL, --       
 @LINK_PAYS INT = NULL, --   
 @TYP_PERIOD TINYINT  = NULL, --  : 1- 3 , 2 - 12 
 @PAYMENT TINYINT  = NULL,--   1 -   , 2 -   
 @SR_DATE1 DATETIME  = NULL,--         
 @SR_DATE2 DATETIME  = NULL,--         
 @SR_DATE DATETIME  = NULL,--           
 @RECALC TINYINT = 0, -- 0  .     3 
			-- 1 -      
			-- 2 -     
			-- 3 -     
 @OPER TINYINT = 0, -- 1 -  
 @LINK_DEP INT = NULL
 ,@INSTR INT = NULL --   : 1,2,3
)
AS

---
DECLARE 
 @LINK_EMPL INT, --  
 @DATE_BEGIN DATETIME -- , 

IF ISNULL(@INSTR,0) < 1
	SET @INSTR = 1 --        

SET @INSTR = @INSTR - 1 --   0,1,2

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_ADD_FURLOUGH'
BEGIN
	SELECT @LINK_EMPL = EMPL_LINK, @DATE_BEGIN = DATE_BEGIN
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_VACATION IV ON IV.ORDER_LINK = O.LINK
	WHERE IV.LINK = @LINK_VAC
END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_TRAVEL'
BEGIN
	SELECT @LINK_EMPL = EMPL_LINK, @DATE_BEGIN = DATE_BEGIN
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_TRAVEL IV ON IV.ORDER_LINK = O.LINK
	WHERE IV.LINK = @LINK_VAC
END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG'
BEGIN
	SELECT @LINK_EMPL = @SR_LINK_EMPL, @DATE_BEGIN = @SR_DATE1
END
SELECT @INSTR
IF 
	@INSTR = 0 --
	AND EXISTS --    
		(
		Select s.GOSSL 
		FROM 
			dbo.EMPL E
			LEFT JOIN dbo.EMPL_STAFF1(@DATE_BEGIN) d on e.link = d.empl_link
			LEFT JOIN dbo.staff S ON s.link = D.STAFF_LINK
			LEFT JOIN dbo.POST_TYPES p ON  p.link = s.gossl
		WHERE 
			E.LINK = @LINK_EMPL AND ISNULL(s.GOSSL,0) = p.link
			AND p.instr IN (0,1) 
		)
	OR 
	@INSTR = 1 --   2
			--  922 
		EXEC dbo.SA_N_VAC_FILL1 @LINK_DOC OUT, @OBJ_CODE, @SR_VID, @LINK_VAC, @SR_LINK_EMPL, @LINK_PAYS, @TYP_PERIOD, @PAYMENT, @SR_DATE1, @SR_DATE2, @SR_DATE, @RECALC, @OPER, @LINK_DEP
	ELSE 
			--  562 
		EXEC dbo.SA_N_VAC_FILL2 @LINK_DOC OUT, @OBJ_CODE, @SR_VID, @LINK_VAC, @SR_LINK_EMPL, @LINK_PAYS, @TYP_PERIOD, @PAYMENT, @SR_DATE1, @SR_DATE2, @SR_DATE, @RECALC, @OPER, @LINK_DEP

SELECT INSTR FROM dbo.SDOC_AVAC WHERE LINK_UP = @LINK_DOC
	

GO


GRANT EXECUTE ON dbo.[SA_N_VAC_FILL] TO PUBLIC

GO


-- --


GO

--AFTER CODE 06.10.2017

/****************     "   ."*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4618' AND NAME = ' ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DOCUMENTS_ADD_PREMIUM')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4618' AND NAME = ' '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4331'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, '4331', '   .', @ORD, NULL, 1, @LINK_SELF, 'DOCUMENT', @OBJECT, @LINK_VAR, 3
GO

UPDATE DBO.S_OBJECTS
SET CODE = 'DOCUMENTS_ADD_PREMIUM', NAME = '   .', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENT_SALARY_KADR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='XDOCUMENT_CLASS'), MANAGED = 1, INHERITED = 1
WHERE CODE ='DOCUMENTS_ADD_PREMIUM'
GO
EXEC X_SET_PROP 'DOCUMENTS_ADD_PREMIUM', 'TITLE', '   .'
GO
EXEC X_SET_PROP 'DOCUMENTS_ADD_PREMIUM', 'COMMENTARY', ' "   ."        . (  )       .

1.    ,  ,   " ".
            .     . 
 " "  "".      .
   "        ",             .    ,    .
       "".    : 
"	"  " -         ,             ;
"	   -          ,    ,          " ".
"	   -       "  ",      ,     " ".
 ,         .              .        " . . ".
   ,         .
   ,   ,     .

!
      - ,         ,   ,          .  ,  ,    ,   ,    ,    . (   11  2003. 213,  . 14)

    "      ",                   .     ,        .
  "       ",         .
          ,       .         :   *   /  .    ,       . 
    "  "  "  ",    "      "       ", "   100%  .    ,           ,  .
          ,      ( "  ,   ").         ,   ,   ,     .         "-->  "   " ", " ",   " "    "    " (      ).

2.   .     <>.   .   ,     .       ,     ,    . 
      "  ".          <>.
     "  "       .      -  .        ""   <Enter>         .      ,       .

3.   .     <>.

4.  .     <>.

5.  .     <>.        ,         .


           .                 .      " ".

      :
   .      " "    ""     "  "    .         "   ".
   .      " "    ""     "  "    .         "   ".
'
GO

GO
--       --
INSERT INTO dbo.DICTION
	(
	NAME,
	[OBJECT],
	CODE,
	BEGINDATE,
	ENDDATE
	)
SELECT
	T1.NAME,
	SO.LINK,
	T1.CODE,
	BEGINDATE = '17530101',
	ENDDATE = '99991231'
FROM 
	(
	SELECT CODE = '21', NAME = '1 ' UNION ALL
	SELECT CODE = '17', NAME = ' (2 )' UNION ALL
	SELECT CODE = '18', NAME = '9  (3 )' UNION ALL
	SELECT CODE = '51', NAME = '1    ' UNION ALL
	SELECT CODE = '47', NAME = ' (2 )   ' UNION ALL
	SELECT CODE = '48', NAME = '9  (3 )   '
	) AS T1
INNER JOIN dbo.S_OBJECTS SO ON (SO.CODE = 'DICTIONARY_TAX_PERIOD')
WHERE NOT EXISTS
	(
	SELECT 1
	FROM dbo.DICTION TTT
	WHERE
		TTT.CODE = T1.CODE
		AND	TTT.[OBJECT] = SO.LINK
	)
GO

	

GO
/****** :       ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'FURLOUGH_OPT18')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'FURLOUGH_OPT18')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'FURLOUGH_OPT18')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'FURLOUGH_OPT18')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'FURLOUGH_OPT18'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'FURLOUGH_OPT18')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='FURLOUGH_OPT18')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'FURLOUGH_OPT18', '   ', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='FURLOUGH_OPTIONS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'FURLOUGH_OPT18', NAME = '   ', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='FURLOUGH_OPTIONS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='FURLOUGH_OPT18'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'TITLE', '   '
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'EDIT_OBJECT_METHOD', 'lanc_init_object(''POST_TYPES '',.T.)'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'STORAGE', 'S_OPTIONS'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'TYPE_FIELD_DICT', 'INT'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'SHORT_CODE_OBJ', 'AN_OPT18'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'CONTROL_NAME_EDIT', 'AOpenSpr7'
GO
EXEC X_SET_PROP 'FURLOUGH_OPT18', 'COMMENTARY', '          '
GO

/****************     *************/


GO
DELETE HOLIDAYS WHERE [year] = 2018
GO


/*   2018 -    */

DECLARE @YEAR INT , @TD_LINK INT, @TITLE VARCHAR(254)
---  ,      
IF EXISTS( SELECT * FROM HOLIDAYS WHERE [YEAR] = 1900  )
	UPDATE HOLIDAYS SET   [YEAR] = 2015 	
	WHERE [YEAR] = 1900 

SET @YEAR = '2018' 		
IF NOT EXISTS ( select * from HOLIDAYS WHERE [year] = @YEAR )
begin
	--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--    
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL,[YEAR])
			SELECT	'1  ( )', 1, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'2  ( )', 2, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'3  ( )', 3, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'4  ( )', 4, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'5  ( )', 5, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'6  ( )', 6, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'7  ( )', 7, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'8  ( )', 8, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'23  (  )', 23, 2, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'8  (  )', 8, 3, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'1  (   )', 1, 5, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'9  ( )', 9, 5, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'12  ( )', 12, 6, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'4  (  )', 4, 11, @TD_LINK, 1,@YEAR

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE SYMB = '')
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1,[YEAR])
			SELECT	'22 ', 22, 2, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'7 ', 7, 3, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'28 ', 28, 4, @TD_LINK, 2, NULL, NULL,@YEAR			
			UNION ALL
			SELECT	'8 ', 8, 5, @TD_LINK, 2, NULL, NULL,@YEAR			
			UNION ALL
			SELECT	'9 ', 9, 6, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'29 ', 29, 12, @TD_LINK, 2, NULL, NULL,@YEAR
			

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1,[YEAR])
			SELECT	'9  (   6 )', 9, 3, @TD_LINK, 3, 6, 1,@YEAR
			UNION ALL
			SELECT	'2  (   7 )', 2, 5, @TD_LINK, 3, 7, 1,@YEAR
			UNION ALL
			SELECT	'30  (   28 )', 30, 4, @TD_LINK, 3, 28, 4,@YEAR
			UNION ALL
			SELECT	'11  (   9 )', 11, 6, @TD_LINK, 3, 9, 6,@YEAR
			UNION ALL
			SELECT	'5  (   4 )', 5, 11, @TD_LINK, 3, 4, 11,@YEAR
			UNION ALL
			SELECT	'31  (   29 )', 31, 12, @TD_LINK, 3, 29, 12,@YEAR
			

END 

GO


GO
--  "    "
--   scriptObjectVar 'KJ_KADRY_ALL_PHIS_REP'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'KJ_KADRY_ALL_PHIS_REP'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'    ',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'KJ_KADRY_ALL_PHIS_REP',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= '	EXEC dbo.KJ_KADRY_ALL_PHIS_REP	@dDate1, @cText1, @cVal1,  @nOtborLink1
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#KJ_KADRY_ALL_PHIS_REP'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.T.,"REP_INF_PERS_CARD_OPEN.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #KJ_KADRY_ALL_PHIS_REP
	@dDate1 datetime	/*  */,
	@cText1 varchar(8000)	/*   */,
	@cText2 varchar(8000)	/*   */,
	@cText3 varchar(8000)	/*   */,
	@nFilterLink int	/*  */
AS
BEGIN
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*    */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_FL''))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))

	EXEC dbo.KJ_KADRY_ALL_PHIS_REP	@dDate1, @cText1, @cVal1,  @nOtborLink1


END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= 'PROTOCOLS_EOD_ALL_PHIS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_KADRY_ALL_PHIS_REP'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_FILTER' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_FILTER'),
		'   ',0, 
		(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP'),
		'KJ_KADRY_ALL_PHIS_REP_FILTER',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_FL'),
					'  ',1, 
					(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_FILTER'),
					'KJ_KADRY_ALL_PHIS_REP_OTBOR_1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICTIONARY_PHYSICAL_PERSONS2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_OTBOR_1'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_MAIN_PARAM' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',2, 
		(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP'),
		'KJ_KADRY_ALL_PHIS_REP_MAIN_PARAM',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_DATEBOX'),
					'',3, 
					(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_MAIN_PARAM'),
					'KJ_KADRY_ALL_PHIS_REP_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'DATEBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							',      '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , , . , . , , , . , . '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@dDate1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'datetime'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO

/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_PARAM1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_MAIN_PARAM'),
					'KJ_KADRY_ALL_PHIS_REP_PARAM1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO

/***        ***/
					DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_PARAM2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',5, 
					(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_MAIN_PARAM'),
					'KJ_KADRY_ALL_PHIS_REP_PARAM2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
					DELETE FROM object_var WHERE CODE = 'KJ_KADRY_ALL_PHIS_REP_PARAM3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',5, 
					(Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_MAIN_PARAM'),
					'KJ_KADRY_ALL_PHIS_REP_PARAM3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_KADRY_ALL_PHIS_REP_PARAM3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
GO
/***        ***/
GO
/***        ***/
GO
/***        ***/
GO
/***        ***/
GO


GO
/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'POST_TYPES')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'POST_TYPES')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'POST_TYPES')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'POST_TYPES')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'POST_TYPES'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'POST_TYPES')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='POST_TYPES')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'POST_TYPES', ' ', 36, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SAL_KADR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'POST_TYPES', NAME = ' ', ORDERS = '36', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SAL_KADR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='POST_TYPES'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='STATUS_TYPES_CHECKED_2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'STATUS_TYPES_CHECKED_2', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'STATUS_TYPES_CHECKED_2', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='STATUS_TYPES_CHECKED_2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='STATUS_TYPES_CODE_2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'STATUS_TYPES_CODE_2', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'STATUS_TYPES_CODE_2', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='STATUS_TYPES_CODE_2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='STATUS_TYPES_NAME_2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'STATUS_TYPES_NAME_2', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'STATUS_TYPES_NAME_2', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='STATUS_TYPES_NAME_2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='STATUS_TYPES_INSTR_2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'STATUS_TYPES_INSTR_2', ' ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'STATUS_TYPES_INSTR_2', NAME = ' ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='STATUS_TYPES_INSTR_2'
GO
EXEC X_SET_PROP 'POST_TYPES', 'TITLE', ' '
GO
EXEC X_SET_PROP 'POST_TYPES', 'INIT_OBJECT_METHOD', 'x_spisok(''POST_TYPES'')'
GO
EXEC X_SET_PROP 'POST_TYPES', 'SAVE_OBJECT_METHOD', 'X_SAVE("SAVE_POST_TYPE", m.cAlias, "ALLTRIM(NAME),INSTR","POST_TYPES")'
GO
EXEC X_SET_PROP 'POST_TYPES', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'POST_TYPES', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''POST_TYPES'')'
GO
EXEC X_SET_PROP 'POST_TYPES', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''POST_TYPES'')'
GO
EXEC X_SET_PROP 'POST_TYPES', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CHECKED_2', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CHECKED_2', 'CONTROLSOURCE', 'm.cAlias+".CHECKED"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CHECKED_2', 'SHORT_CODE_OBJ', 'CHECKED'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CHECKED_2', 'CONTROLSOURCE_EDIT', 'm.cAlias+".CHECKED"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CODE_2', 'TITLE', ''
GO
EXEC X_SET_PROP 'STATUS_TYPES_CODE_2', 'CONTROLSOURCE', 'm.cAlias+".LINK"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CODE_2', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CODE_2', 'TYPE_FIELD_DICT', 'CHAR(3)'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CODE_2', 'SHORT_CODE_OBJ', 'LINK'
GO
EXEC X_SET_PROP 'STATUS_TYPES_CODE_2', 'CONTROLSOURCE_EDIT', 'm.cAlias+".LINK"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'TITLE', ''
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'CONTROLSOURCE', 'm.cAlias+".NAME"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'TYPE_FIELD_DICT', 'VARCHAR(35)'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'SHORT_CODE_OBJ', 'NAME'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'CONTROLSOURCE_EDIT', 'm.cAlias+".NAME"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'CONTROL_NAME_EDIT', 'Atxt1'
GO
EXEC X_SET_PROP 'STATUS_TYPES_NAME_2', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'TITLE', ''
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'CONTROLSOURCE', 'm.cAlias + ".INSTR_C"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'ROWSOURCE', '"1.   922  24.12.2007. (),2.   562  06.09.2007. ( . )"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'TYPE_FIELD_DICT', 'VARCHAR(200)'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'SHORT_CODE_OBJ', 'INSTR_C'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INSTR_C"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'CONTROL_NAME_EDIT', 'Acmb2'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'REFERENCE_TO_FIELD', 'INSTR'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'COMMENTARY', '         .'
GO
EXEC X_SET_PROP 'STATUS_TYPES_INSTR_2', 'ATTRIBUTES', 'WIDTH = 400'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'POST_TYPES', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'POST_TYPES', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'POST_TYPES', '- ()', 5,26
GO

/****************     " "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4187' AND NAME = ' ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'POST_TYPES')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4187' AND NAME = ' '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'KADR_POST_TYPES'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'KADR_POST_TYPES', ' ', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO


GO
/****************   "   ( 2010.)"*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'SQL_REP_ESN_CARD')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DOC_TREE_ROOT' AND NAME = '  ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

IF EXISTS (SELECT * FROM s_navigator WHERE code = 'SNV_SQL_REP_ESN_CARD' AND link_self = @LINK_SELF AND [OBJECT] = @OBJECT AND link_var = @LINK_VAR  )
begin 
	DELETE  FROM s_navigator WHERE code = 'SNV_SQL_REP_ESN_CARD' AND link_self = @LINK_SELF AND [OBJECT] = @OBJECT 
END
IF EXISTS (SELECT * FROM object_var WHERE code = 'SQL_REP_ESN_CARD'  )
begin 
	DELETE  from object_var_values where link_up=     @LINK_VAR
	DELETE  FROM object_var WHERE code = 'SQL_REP_ESN_CARD' AND link = @LINK_VAR 
END

GO

/****************   "      ,, (c 2010.)"*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_10')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DOC_TREE_ROOT' AND NAME = '  ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

IF EXISTS (SELECT * FROM s_navigator WHERE code = 'SNV_REP_PERS_CARD_ESN_10' AND link_self = @LINK_SELF AND [OBJECT] = @OBJECT AND link_var = @LINK_VAR  )
begin 
	DELETE  FROM s_navigator WHERE code = 'SNV_REP_PERS_CARD_ESN_10' AND link_self = @LINK_SELF AND [OBJECT] = @OBJECT 
END
IF EXISTS (SELECT * FROM object_var WHERE code = 'REP_PERS_CARD_ESN_10'  )
begin 
	DELETE  from object_var_values where link_up=     @LINK_VAR
	DELETE  FROM object_var WHERE code = 'REP_PERS_CARD_ESN_10' AND link = @LINK_VAR 
END

GO

/****************   "      ,, (c 2010.)"*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_10_DGH')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DGH_DOC_TREE_ROOT' AND NAME = '     ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

IF EXISTS (SELECT * FROM s_navigator WHERE code = 'SNV1_REP_PERS_CARD_ESN_10' AND link_self = @LINK_SELF AND [OBJECT] = @OBJECT AND link_var = @LINK_VAR  )
begin 
	DELETE  FROM s_navigator WHERE code = 'SNV1_REP_PERS_CARD_ESN_10' AND link_self = @LINK_SELF AND [OBJECT] = @OBJECT 
END
IF EXISTS (SELECT * FROM object_var WHERE code = 'REP_PERS_CARD_ESN_10_DGH'  )
begin 
	DELETE  from object_var_values where link_up=     @LINK_VAR
	DELETE  FROM object_var WHERE code = 'REP_PERS_CARD_ESN_10_DGH' AND link = @LINK_VAR 
END

GO


GO
--  "          .  "
--   scriptObjectVar 'REP_PERS_CARD_ESN_15_DGH'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'REP_PERS_CARD_ESN_15_DGH'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_15_DGH'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'          .  ',304, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'REP_PERS_CARD_ESN_15_DGH',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_DGH') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= '	DECLARE @nLINK INT
	SET @nLINK = CAST(@cText1 AS INT)

	IF CONVERT(INT, @cYear1) >= 2015
		EXEC dbo.SA_PERS_CARD_ESN_15 NULL, @cYear1, @nLINK
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#REP_PERS_CARD_ESN_15_DGH'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKERMULTISHEET.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.T.,"PERS_CARD_ESN_17.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #REP_PERS_CARD_ESN_15_DGH
	@cText1 INT	/*  */,
	@cYear1 VARCHAR(4)	/*   */
AS
BEGIN

	DECLARE @nLINK INT
	SET @nLINK = CAST(@cText1 AS INT)

	IF CONVERT(INT, @cYear1) >= 2015
		EXEC dbo.SA_PERS_CARD_ESN_15 NULL, @cYear1, @nLINK


END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'PERS_CARD_ESN_17.BAS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_DGH_NASTR_GR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH'),
		'REP_PERS_CARD_ESN_15_DGH_NASTR_GR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',2, 
					(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR_GR'),
					'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'INT'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'0'

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_DGH_NASTR2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_YEARBOX'),
					' ',3, 
					(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR_GR'),
					'REP_PERS_CARD_ESN_15_DGH_NASTR2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'FORMAT'),
							'9999'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'MASKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cYear1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'VARCHAR(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2015'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_DGH_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO


/****************     "          .  "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_15_DGH')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DGH_DOC_TREE_ROOT' AND NAME = '     ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DGH_DOC_TREE_ROOT' AND NAME = '     '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SNV1_REP_PERS_CARD_ESN_15'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'SNV1_REP_PERS_CARD_ESN_15', '      ', @ORD, NULL, 1, @LINK_SELF, 'REPORT', @OBJECT, @LINK_VAR, 3
GO


GO
--  "      "
--   scriptObjectVar 'REP_PERS_CARD_ESN_15'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'REP_PERS_CARD_ESN_15'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_15'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'      ',304, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'REP_PERS_CARD_ESN_15',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= '	DECLARE @nLINK INT
	SET @nLINK = CAST(@cText1 AS INT)

	IF CONVERT(INT, @cYear1) >= 2015
       begin
		EXEC dbo.SA_PERS_CARD_ESN_15 @nLINK, @cYear1
	 end	
	ELSE 
	begin	
		DECLARE @varKSMesStr varchar(1000)
		SET @varKSMesStr = '' !     2015 ''
		RAISERROR (@varKSMesStr,11,1)
 		RETURN 1005
	end'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#REP_PERS_CARD_ESN_15'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKERMULTISHEET.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.T.,"PERS_CARD_ESN_17.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #REP_PERS_CARD_ESN_15
	@cText1 INT	/*  */,
	@cYear1 VARCHAR(4)	/*   */
AS
BEGIN

	DECLARE @nLINK INT
	SET @nLINK = CAST(@cText1 AS INT)

	IF CONVERT(INT, @cYear1) >= 2015
       begin
		EXEC dbo.SA_PERS_CARD_ESN_15 @nLINK, @cYear1
	 end	
	ELSE 
	begin	
		DECLARE @varKSMesStr varchar(1000)
		SET @varKSMesStr = '' !     2015 ''
		RAISERROR (@varKSMesStr,11,1)
 		RETURN 1005
	end

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'PERS_CARD_ESN_17.BAS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_NASTR_GR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'REP_PERS_CARD_ESN_15'),
		'REP_PERS_CARD_ESN_15_NASTR_GR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',2, 
					(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR_GR'),
					'REP_PERS_CARD_ESN_15_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'INT'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'0'
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_NASTR2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_YEARBOX'),
					' ',3, 
					(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR_GR'),
					'REP_PERS_CARD_ESN_15_NASTR2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'FORMAT'),
							'9999'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'MASKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cYear1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'VARCHAR(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO



/****************     "      "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_15')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DOC_TREE_ROOT' AND NAME = '  ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_DOC_TREE_ROOT' AND NAME = '  '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SNV_REP_PERS_CARD_ESN_15'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'SNV_REP_PERS_CARD_ESN_15', '      ', @ORD, NULL, 1, @LINK_SELF, 'REPORT', @OBJECT, @LINK_VAR, 3
GO


GO
---   
declare @PERIOD datetime

SET @PERIOD = coalesce((select Max(PERIOD) from minrot),'20000101')
IF @PERIOD < '20170701'
BEGIN
	declare @P1 int, @LINK_DED INT
				
	DECLARE @Object int, @LinkDep int
	SELECT @Object = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'
	SELECT @LinkDep = LINK FROM dbo.DICTIONARY_DEPARTMENT WHERE TYPE = 4
	
	Declare @nRKoef numeric(18,2), @KOEF_BL numeric(18,2), @TARIF numeric(18,2), @MROT1 numeric(18,2), @RESERV tinyint
	/* */
	select top 1 @MROT1 =MROT1, @TARIF = TARIF, @nRKoef = KOEF, @KOEF_BL = KOEF_BL, @RESERV = RESERV 
	from dbo.MINROT order by PERIOD desc

	SELECT 
		@MROT1 = COALESCE(@MROT1,100)
		,@TARIF = COALESCE(@TARIF,2300)
		,@nRKoef = COALESCE(@nRKoef,1)
		,@KOEF_BL = COALESCE(@KOEF_BL,1)
		,@RESERV = COALESCE(@RESERV,1)

	set @P1 = 0
	exec SALARY_SAVE_DICTIONARY_MROT @P1 output, 
			/* */'20170701', 
			/* */@MROT1, 
			/*  */7800, 
			/*  */@TARIF, 
			/* */@nRKoef, 
			/*   /*/@KOEF_BL, 
					@LinkDep,
					@RESERV

	IF COALESCE(@Object,0) > 0 AND COALESCE(@P1,0) > 0 BEGIN
		--   
		
		SELECT TOP 1  @LINK_DED = LINK   FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '104'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,500)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '105'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,3000)
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '126'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '127'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '128'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,3000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '129'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '130'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)		
												
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '131'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)
														
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '132'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,3000)
				
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '133'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)			
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '134'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '135'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)			
		
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '136'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '137'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)			
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '138'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '139'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)			

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '140'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,12000)			
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '141'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,12000)						
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '142'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '143'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '144'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '145'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)			

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '146'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '147'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)			

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '148'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,12000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '149'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,12000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '313'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,2000000)				

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '320'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,200000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '321'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,100000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '324'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,200000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '501'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,4000)				

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '502'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,4000)				

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '503'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,4000)				
	
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '602'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,12000,0)	


	END

	--   
	SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '503'
	IF COALESCE(@P1,0) > 0 AND COALESCE(@LINK_DED,0) > 0 
		EXEC SALARY_SAVE_DICTIONARY_MROT_TABLE2 @P1, @LINK_DED, 4000


	
	--   
	
	DECLARE @FSS12 int

	SELECT TOP 1 @FSS12 = LINK FROM PAYS WHERE OBJECT = 3 AND WAY_CALC = 5

	IF COALESCE(@P1,0) > 0 BEGIN
		IF COALESCE(@FSS12,0) > 0
			exec SALARY_SAVE_DICTIONARY_MROT_TABLE3 @P1, @FSS12, 0, 0.12
	END


END   

IF @PERIOD = '20170701'
BEGIN

	declare @P2 int, @LINK_DED1 INT
	DECLARE @Object1 int
	SELECT @Object1 = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'


	SET @P2 = (select TOP 1 link from minrot where period = @PERIOD)
	
	IF COALESCE(@Object1,0) > 0 AND COALESCE(@P2,0) > 0 BEGIN
		--   

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '104'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 500 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '105'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 3000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

	--
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '114'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 1400 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '115'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 1400 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1
			
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '116'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 3000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '117'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

	--
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '118'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '119'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1
			
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '120'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '121'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 12000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1
	
	--
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '122'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '123'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '124'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '125'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 12000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '313'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2000000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		/* */
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '320'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 200000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '321'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 100000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '324'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 200000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		---
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '501'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 4000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '502'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 4000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '503'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 4000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object1		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '602'
		IF COALESCE(@LINK_DED1,0) > 0 
		BEGIN 
			IF exists (select * from MINROT_DICTION where LINK_DICTION = @LINK_DED1 and LINK_MINROT = @p2)
			DELETE FROM MINROT_DICTION WHERE LINK_DICTION = @LINK_DED1 and LINK_MINROT = @p2

			SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '602'
			IF COALESCE(@LINK_DED1,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P2,@LINK_DED1,@Object1,12000,0)	
		END
	END

	--   
	SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '503'
	IF COALESCE(@P2,0) > 0 AND COALESCE(@LINK_DED1,0) > 0 
		EXEC SALARY_SAVE_DICTIONARY_MROT_TABLE2 @P2, @LINK_DED1, 4000
	--   
	
	DECLARE @FSS12_1 int

	SELECT TOP 1 @FSS12_1 = LINK FROM PAYS WHERE OBJECT = 3 AND WAY_CALC = 5

	IF COALESCE(@P2,0) > 0 BEGIN
		IF COALESCE(@FSS12_1,0) > 0
			exec SALARY_SAVE_DICTIONARY_MROT_TABLE3 @P2, @FSS12_1, 0, 0.12
	END

END

GO
GO




----    
DECLARE @LINK_OBJ INT
SET @LINK_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS SO WHERE SO.CODE = 'COLUMN_REF_PAY_MROT_T4')

if exists (SELECT * FROM MINROT_PAYS WHERE  [OBJECT] = @LINK_OBJ AND link_minrot IN (SELECT LINK FROM  dbo.MINROT WHERE PERIOD >= '20170101' AND   PERIOD < '20990101'))
DELETE FROM MINROT_PAYS 
WHERE
	[OBJECT] = @LINK_OBJ 
	AND link_minrot IN (SELECT LINK FROM dbo.MINROT WHERE PERIOD >= '20170701' AND PERIOD < '20990101')
GO


DECLARE @PERIOD datetime, @LINK_NEW_MINROT INT

SET @PERIOD = (SELECT MAX(PERIOD) FROM dbo.MINROT WHERE PERIOD < '20170701')
SET @LINK_NEW_MINROT = (SELECT MAX(LINK) FROM dbo.MINROT WHERE PERIOD = '20170701')

--
DELETE MP
FROM
	dbo.MINROT M
	INNER JOIN dbo.MINROT_PAYS MP ON MP.LINK_MINROT = M.LINK
WHERE
	M.PERIOD = '20170701'

--
INSERT INTO dbo.[MINROT_PAYS]([LINK_MINROT], [LINK_PAYS], [OBJECT], [PERIOD], [PREDEL], [SUMMA])
SELECT DISTINCT @LINK_NEW_MINROT, MP.[LINK_PAYS], MP.[OBJECT], MP.[PERIOD], MP.[PREDEL], MP.[SUMMA]
FROM
	dbo.MINROT M
	INNER JOIN dbo.MINROT_PAYS MP ON MP.LINK_MINROT = M.LINK
WHERE
	M.PERIOD = @PERIOD
GO


DECLARE @LINK_OBJ INT
SET @LINK_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS SO WHERE SO.CODE = 'COLUMN_REF_PAY_MROT_T4')

INSERT INTO dbo.MINROT_PAYS (LINK_MINROT, LINK_PAYS, OBJECT)
SELECT M.LINK, P.LINK, @LINK_OBJ 
FROM dbo.MINROT M INNER JOIN dbo.PAYS P ON 1=1
WHERE 
	M.PERIOD >= '20170701'
	AND
	M.PERIOD < '20990101'
	AND
	P.[OBJECT] = 3 AND P.WAY_CALC IN (2,3,6,10,11)
	AND
	NOT EXISTS (SELECT * FROM dbo.DICTIONARY_MROT_TABLE4 T4 WHERE T4.LINK_MINROT = M.LINK AND T4.REF_PAY = P.LINK)
ORDER BY
	M.LINK, P.LINK
GO


GO
--SCRIPT O, DOC_TABLE_COR_INVOICE
/****** :    -******/
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_COR_INVOICE', '   -', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DIR_SHABLON_DOC_TABLE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_COR_INVOICE', NAME = '   -', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DIR_SHABLON_DOC_TABLE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_COR_INVOICE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_MARKER')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_MARKER', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_MARKER', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_MARKER'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_INV_TYPE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_INV_TYPE', '  ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_INV_TYPE', NAME = '  ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_INV_TYPE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_INV_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_INV_LINK', ' ()', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_INV_LINK', NAME = ' ()', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_INV_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_INV_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_INV_CODE', ' ()', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_INV_CODE', NAME = ' ()', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_INV_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_INV_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_INV_NAME', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_INV_NAME', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_INV_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_UM_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_UM_LINK', ' ()', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_UM_LINK', NAME = ' ()', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_UM_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_UM_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_UM_CODE', '  ()', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_UM_CODE', NAME = '  ()', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_UM_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_UM_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_UM_NAME', '  ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_UM_NAME', NAME = '  ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_UM_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_T_INV1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_T_INV1', '   ()', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_T_INV1', NAME = '   ()', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_T_INV1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_T_INV1_N')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_T_INV1_N', '   ()', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_T_INV1_N', NAME = '   ()', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_T_INV1_N'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_QTY')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_QTY', ' ()', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_QTY', NAME = ' ()', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_QTY'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_QTY_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_QTY_NEW', ' ()', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_QTY_NEW', NAME = ' ()', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_QTY_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_PRICE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_PRICE', ' ()    ()', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_PRICE', NAME = ' ()    ()', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_PRICE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_PRICE_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_PRICE_NEW', ' ()    ()', 14, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_PRICE_NEW', NAME = ' ()    ()', ORDERS = '14', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_PRICE_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_SUMMA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_SUMMA', '  (, ),   ', 15, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_SUMMA', NAME = '  (, ),   ', ORDERS = '15', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_SUMMA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_SUM_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_SUM_NEW', '  ()', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_SUM_NEW', NAME = '  ()', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_SUM_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_AKCIZ')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_AKCIZ', '    ()', 17, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_AKCIZ', NAME = '    ()', ORDERS = '17', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_AKCIZ'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_AKC_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_AKC_NEW', '    ()', 18, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_AKC_NEW', NAME = '    ()', ORDERS = '18', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_AKC_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_STAVKA_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_STAVKA_NDS', ' ', 19, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_STAVKA_NDS', NAME = ' ', ORDERS = '19', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_STAVKA_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_ST_NDS_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', '  ()', 20, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', NAME = '  ()', ORDERS = '20', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_ST_NDS_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_NO_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_NO_NDS', '   ()', 21, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_NO_NDS', NAME = '   ()', ORDERS = '21', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_NO_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_NO_NDS_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', '   ()', 22, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', NAME = '   ()', ORDERS = '22', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_NO_NDS_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_SUMMA_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_SUMMA_NDS', '  ()', 23, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_SUMMA_NDS', NAME = '  ()', ORDERS = '23', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_SUMMA_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_S_NDS_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_S_NDS_NEW', '  ()', 24, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_S_NDS_NEW', NAME = '  ()', ORDERS = '24', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_S_NDS_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_SUMMA_ALL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_SUMMA_ALL', '  (, )    ', 25, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_SUMMA_ALL', NAME = '  (, )    ', ORDERS = '25', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_SUMMA_ALL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_S_ALL_NEW')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_S_ALL_NEW', '  ()', 26, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_S_ALL_NEW', NAME = '  ()', ORDERS = '26', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_S_ALL_NEW'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_COUNTRY')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_COUNTRY', ' ', 27, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_COUNTRY', NAME = ' ', ORDERS = '27', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_COUNTRY'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_NUM_DEC')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_NUM_DEC', '   ', 28, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_NUM_DEC', NAME = '   ', ORDERS = '28', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_NUM_DEC'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_EKR_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_EKR_LINK', '  ', 29, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_EKR_LINK', NAME = '  ', ORDERS = '29', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_EKR_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_EKR_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_EKR_CODE', ' ', 30, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_EKR_CODE', NAME = ' ', ORDERS = '30', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_EKR_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_SFIN_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_SFIN_NAME', ' ', 31, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_SFIN_NAME', NAME = ' ', ORDERS = '31', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_SFIN_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TAB_COR_INVOICE_TNDS_CODE2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TAB_COR_INVOICE_TNDS_CODE2', ' ', 32, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TAB_COR_INVOICE_TNDS_CODE2', NAME = ' ', ORDERS = '32', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_COR_INVOICE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TAB_COR_INVOICE_TNDS_CODE2'
GO
EXEC X_SET_PROP 'DOC_TABLE_COR_INVOICE', 'SAVE_OBJECT_METHOD', 'X_SAVE(''dbo.BK_UPDATE_OUT_TABLE_INVOICE_COR'', m.cAlias,''SQLNULL(LINK_UP), SQLNULL (ROW_LINK), QTY_NEW, PRICE_NEW, SUM_NEW, AKC_NEW, S_NDS_NEW, S_ALL_NEW, ST_NDS_NEW, NO_NDS_NEW, SQLNULL(TNDS_LINK2),T_INV1_N'', "DOC_TABLE_COR_INVOICE")'
GO
EXEC X_SET_PROP 'DOC_TABLE_COR_INVOICE', 'SELECT_RECORDS_METHOD', 'SQL.EXEC(''SELECT 0 as CHECKED, 0 as UPD, 0 as DEL, * FROM dbo.BK_DOC_TAB_INVOICE_COR_FN (''+STR(NVL (m.nLINK, 0)) + '')'',m.cAlias)'
GO
EXEC X_SET_PROP 'DOC_TABLE_COR_INVOICE', 'SERVER_TABLE_NAME', 'OUT_TABLE_INVOICE_COR'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_MARKER', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_MARKER', 'CONTROLSOURCE', 'm.cAlias+''.CHECKED'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_MARKER', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_MARKER', 'SHORT_CODE_OBJ', 'CHECKED'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_TYPE', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_TYPE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_TYPE', 'CONTROLSOURCE', 'm.cAlias+''.INV_TYPE'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_TYPE', 'TYPE_FIELD_DICT', 'VARCHAR(30)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_LINK', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_LINK', 'STORAGE', 'NOMENCLATURE'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_LINK', 'REFERENCE_TO_DICT', 'BV_NOMENCLATURE'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_LINK', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_LINK', 'SHORT_CODE_OBJ', 'INV_LINK'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_LINK', 'REFERENCE_TO_FIELD', 'LINK'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_CODE', 'TITLE', '.\. '
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_CODE', 'EDIT_OBJECT_METHOD', 'bk_vibor_doc_table_mz_nds()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_CODE', 'CONTROLSOURCE', 'm.cAlias+''.INV_CODE'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD (EVALUATE(m.cAliasOperate+''.INV_TYPE''),EVALUATE(m.cAliasOperate+''.INV_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_CODE', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_NAME', 'CONTROLSOURCE', 'm.cAlias+''.INV_NAME'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_NAME', 'OPERATE_METHOD', 'X_OPERATE_METHOD (EVALUATE(m.cAliasOperate+''.INV_TYPE''),EVALUATE(m.cAliasOperate+''.INV_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_INV_NAME', 'TYPE_FIELD_DICT', 'varchar(100)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_LINK', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_LINK', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_CODE', 'TITLE', ' ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_CODE', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_DIGIT", oObj.parent.Parent.RECORDSOURCE, "LINK, CODE, NAME", "UM_LINK, UM_CODE, UM_NAME", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_CODE', 'CONTROLSOURCE', 'm.cAlias+''.UM_CODE'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_DIGIT", EVALUATE(m.cAliasOperate+''.UM_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_CODE', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.UM_CODE'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_NAME', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_NAME', 'CONTROLSOURCE', 'm.cAlias+''.UM_NAME'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_NAME', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_DIGIT", EVALUATE(m.cAliasOperate+''.UM_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_UM_NAME', 'TYPE_FIELD_DICT', 'varchar(15)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1', 'TITLE', '   ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1', 'CONTROLSOURCE', 'm.cAlias+''.T_INV1'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1', 'TYPE_FIELD_DICT', 'VARCHAR (254)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1_N', 'TITLE', '   ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1_N', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1_N', 'CONTROLSOURCE', 'm.cAlias+''.T_INV1_N'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1_N', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_T_INV1_N', 'TYPE_FIELD_DICT', 'VARCHAR (254)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY', 'CONTROLSOURCE', 'm.cAlias+''.QTY'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY', 'TYPE_FIELD_DICT', 'NUMERIC(13,4)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY_NEW', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY_NEW', 'CONTROLSOURCE', 'm.cAlias+''.QTY_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_QTY_NEW', 'TYPE_FIELD_DICT', 'NUMERIC(13,4)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE', 'CONTROLSOURCE', 'm.cAlias+''.PRICE'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE', 'TYPE_FIELD_DICT', 'NUMERIC(18,4)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE_NEW', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE_NEW', 'CONTROLSOURCE', 'm.cAlias+''.PRICE_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_PRICE_NEW', 'TYPE_FIELD_DICT', 'NUMERIC(18,4)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA', 'CONTROLSOURCE', 'm.cAlias + ''.SUMMA'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA', 'TYPE_FIELD_DICT', 'NUMERIC(17,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUM_NEW', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUM_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUM_NEW', 'CONTROLSOURCE', 'm.cAlias + ''.SUM_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUM_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUM_NEW', 'TYPE_FIELD_DICT', 'NUMERIC(17,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKCIZ', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKCIZ', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKCIZ', 'CONTROLSOURCE', 'm.cAlias + ''.AKCIZ'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKCIZ', 'TYPE_FIELD_DICT', 'NUMERIC(5,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKCIZ', 'AUTO_FILL_CONTEXT', '999.99'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKC_NEW', 'TITLE', ' ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKC_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKC_NEW', 'CONTROLSOURCE', 'm.cAlias + ''.AKC_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKC_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKC_NEW', 'TYPE_FIELD_DICT', 'NUMERIC(5,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_AKC_NEW', 'AUTO_FILL_CONTEXT', '999.99'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_STAVKA_NDS', 'TITLE', '  ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_STAVKA_NDS', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_STAVKA_NDS', 'CONTROLSOURCE', 'm.cAlias + ''.STAVKA_NDS'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_STAVKA_NDS', 'TYPE_FIELD_DICT', 'NUMERIC(5,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_STAVKA_NDS', 'INPUT_MASK', '99.99'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', 'TITLE', '  ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', 'CONTROLSOURCE', 'm.cAlias + ''.ST_NDS_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', 'TYPE_FIELD_DICT', 'NUMERIC(5,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_ST_NDS_NEW', 'INPUT_MASK', '99.99'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS', 'TITLE', '  ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS', 'CONTROLSOURCE', 'm.cAlias + ''.NO_NDS'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS', 'TYPE_FIELD_DICT', 'TINYINT'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', 'TITLE', '  ()'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', 'CONTROLSOURCE', 'm.cAlias + ''.NO_NDS_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NO_NDS_NEW', 'TYPE_FIELD_DICT', 'TINYINT'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_NDS', 'TITLE', '  ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_NDS', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_NDS', 'CONTROLSOURCE', 'm.cAlias+''.SUMMA_NDS'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_NDS', 'TYPE_FIELD_DICT', 'numeric(13,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_NDS_NEW', 'TITLE', '  ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_NDS_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_NDS_NEW', 'CONTROLSOURCE', 'm.cAlias+''.S_NDS_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_NDS_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_NDS_NEW', 'TYPE_FIELD_DICT', 'numeric(13,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_ALL', 'TITLE', '  ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_ALL', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_ALL', 'CONTROLSOURCE', 'm.cAlias+''.SUMMA_ALL'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SUMMA_ALL', 'TYPE_FIELD_DICT', 'numeric(13,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_ALL_NEW', 'TITLE', '  ( .)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_ALL_NEW', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_ALL_NEW', 'CONTROLSOURCE', 'm.cAlias+''.S_ALL_NEW'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_ALL_NEW', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_S_ALL_NEW', 'TYPE_FIELD_DICT', 'numeric(13,2)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_COUNTRY', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_COUNTRY', 'CONTROLSOURCE', 'm.cAlias+''.COUNTRY'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_COUNTRY', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_COUNTRY', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NUM_DEC', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NUM_DEC', 'CONTROLSOURCE', 'm.cAlias+''.NUM_TD'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NUM_DEC', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_NUM_DEC', 'TYPE_FIELD_DICT', 'varchar(5)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_LINK', 'TITLE', '  '
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_LINK', 'CONTROLSOURCE', 'm.cAlias+''.EKR_LINK'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_LINK', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_LINK', 'STORAGE', 'KOSGU'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_LINK', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_CODE', 'EDIT_OBJECT_METHOD', 'a_vibor_01("DICTIONARY_ITEM", oObj.parent.Parent.RECORDSOURCE, "LINK,CODE", "EKR_LINK, EKR_CODE", "", "","",  .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_CODE', 'CONTROLSOURCE', 'm.cAlias+''.EKR_CODE'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_KOSGU", EVALUATE(m.cAliasOperate+''.EKR_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_EKR_CODE', 'TYPE_FIELD_DICT', 'CHAR(3)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SFIN_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SFIN_NAME', 'CONTROLSOURCE', 'm.cAlias+''.SFIN_NAME'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SFIN_NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_SFIN_NAME', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'EDIT_OBJECT_METHOD', 'a_vibor_01("DICTIONARY_TYPE_OPER_NDS", oObj.parent.Parent.RECORDSOURCE, "LINK,CODE", "TNDS_LINK2, TNDS_CODE2", "", "","",  .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'CONTROLSOURCE', 'm.cAlias+''.TNDS_CODE2'''
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_TYPE_OPER_NDS",EVALUATE(m.cAliasOperate+''.TNDS_LINK2''))
'
GO
EXEC X_SET_PROP 'DOC_TAB_COR_INVOICE_TNDS_CODE2', 'TYPE_FIELD_DICT', 'VARCHAR(2)'
GO


GO
/****** :      ******/
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS', '     ', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DIR_SHABLON_DOC_TABLE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS', NAME = '     ', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DIR_SHABLON_DOC_TABLE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_MARKER')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_MARKER', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_MARKER', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_MARKER'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_INV_TYPE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_INV_TYPE', '  ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_INV_TYPE', NAME = '  ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_INV_TYPE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_INV_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_INV_LINK', ' ()', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_INV_LINK', NAME = ' ()', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_INV_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_INV_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_INV_CODE', ' ()', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_INV_CODE', NAME = ' ()', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_INV_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_INV_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_INV_NAME', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_INV_NAME', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_INV_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_INV_TYPE1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_INV_TYPE1', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_INV_TYPE1', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_INV_TYPE1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_UM_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_UM_LINK', ' ()', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_UM_LINK', NAME = ' ()', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_UM_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_UM_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_UM_CODE', '  ()', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_UM_CODE', NAME = '  ()', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_UM_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_UM_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_UM_NAME', '  ', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_UM_NAME', NAME = '  ', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_UM_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_QTY')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_QTY', '', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_QTY', NAME = '', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_QTY'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_PRICE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_PRICE', ' ()   ', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_PRICE', NAME = ' ()   ', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_PRICE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_SUMMA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_SUMMA', '  (, ),   ', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_SUMMA', NAME = '  (, ),   ', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_SUMMA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_AKCIZ')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_AKCIZ', '   ', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_AKCIZ', NAME = '   ', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_AKCIZ'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_STAVKA_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_STAVKA_NDS', ' ', 14, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_STAVKA_NDS', NAME = ' ', ORDERS = '14', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_STAVKA_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_NO_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_NO_NDS', '  ', 15, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_NO_NDS', NAME = '  ', ORDERS = '15', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_NO_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_SUMMA_NDS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_SUMMA_NDS', ' ', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_SUMMA_NDS', NAME = ' ', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_SUMMA_NDS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_SUMMA_ALL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_SUMMA_ALL', '  (, )    ', 17, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_SUMMA_ALL', NAME = '  (, )    ', ORDERS = '17', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_SUMMA_ALL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_STATE_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_STATE_CODE', '  ()', 18, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_STATE_CODE', NAME = '  ()', ORDERS = '18', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_STATE_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_STATE_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_STATE_NAME', '  ()', 19, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_STATE_NAME', NAME = '  ()', ORDERS = '19', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_STATE_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_NUM_DEC')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_NUM_DEC', '   ', 20, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_NUM_DEC', NAME = '   ', ORDERS = '20', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_NUM_DEC'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_EKR_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_EKR_LINK', '  ', 21, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_EKR_LINK', NAME = '  ', ORDERS = '21', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_EKR_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_EKR_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_EKR_CODE', ' ', 22, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_EKR_CODE', NAME = ' ', ORDERS = '22', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_EKR_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_SFIN_SOURCE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', ' ', 23, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', NAME = ' ', ORDERS = '23', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_SFIN_SOURCE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_TYPE_NDS_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', ' ', 24, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', NAME = ' ', ORDERS = '24', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_TYPE_NDS_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS_COMMENT')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DOC_TABLE_MZ_NDS_COMMENT', '', 25, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DOC_TABLE_MZ_NDS_COMMENT', NAME = '', ORDERS = '25', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOC_TABLE_MZ_NDS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DOC_TABLE_MZ_NDS_COMMENT'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS', 'SAVE_OBJECT_METHOD', 'X_SAVE(''dbo.BK_SAVE_DOC_TABLE_MZ_NDS'', m.cAlias,''SQLNULL(LINK_UP), ORDERS, INV_TYPE, SQLNULL(INV_LINK),  PRICE, AKCIZ, NUM_TD, QTY, SUMMA, STAVKA_NDS, SUMMA_NDS, SUMMA_ALL, SQLNULL(EKR_LINK), SFIN_CODE, NO_NDS, SQLNULL (STATE_LINK), SQLNULL (TNDS_LINK),COMMENT,INV_TYPE1'', "DOC_TABLE_MZ_NDS")'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS', 'SELECT_RECORDS_METHOD', 'SQL.EXEC(''SELECT 0 as CHECKED, 0 as UPD, 0 as DEL, * FROM dbo.BK_DOC_TABLE_MZ_NDS_FN (''+STR(NVL (m.nLINK, 0)) + '')'',m.cAlias)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS', 'SERVER_TABLE_NAME', 'OUT_TABLE_ROW'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_MARKER', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_MARKER', 'CONTROLSOURCE', 'm.cAlias+''.CHECKED'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_MARKER', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_MARKER', 'SHORT_CODE_OBJ', 'CHECKED'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE', 'CONTROLSOURCE', 'm.cAlias+''.INV_TYPE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE', 'TYPE_FIELD_DICT', 'VARCHAR(30)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_LINK', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_LINK', 'STORAGE', 'NOMENCLATURE'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_LINK', 'REFERENCE_TO_DICT', 'BV_NOMENCLATURE'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_LINK', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_LINK', 'SHORT_CODE_OBJ', 'INV_LINK'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_LINK', 'REFERENCE_TO_FIELD', 'LINK'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'TITLE', '.\. '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'EDIT_OBJECT_METHOD', 'bk_vibor_doc_table_mz_nds()'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'CONTROLSOURCE', 'm.cAlias+''.INV_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD (EVALUATE(m.cAliasOperate+''.INV_TYPE''),EVALUATE(m.cAliasOperate+''.INV_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_CODE', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_NAME', 'CONTROLSOURCE', 'm.cAlias+''.INV_NAME'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_NAME', 'OPERATE_METHOD', 'X_OPERATE_METHOD (EVALUATE(m.cAliasOperate+''.INV_TYPE''),EVALUATE(m.cAliasOperate+''.INV_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_NAME', 'TYPE_FIELD_DICT', 'varchar(100)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE1', 'TITLE', '  '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE1', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE1', 'CONTROLSOURCE', 'm.cAlias+''.INV_TYPE1'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE1', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_INV_TYPE1', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.INV_TYPE1'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_LINK', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_LINK', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'TITLE', ' ()'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_DIGIT", oObj.parent.Parent.RECORDSOURCE, "LINK, CODE, NAME", "UM_LINK, UM_CODE, UM_NAME", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'CONTROLSOURCE', 'm.cAlias+''.UM_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_DIGIT", EVALUATE(m.cAliasOperate+''.UM_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.UM_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_NAME', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_NAME', 'CONTROLSOURCE', 'm.cAlias+''.UM_NAME'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_NAME', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_DIGIT", EVALUATE(m.cAliasOperate+''.UM_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_UM_NAME', 'TYPE_FIELD_DICT', 'varchar(15)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_QTY', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_QTY', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_QTY', 'CONTROLSOURCE', 'm.cAlias+''.QTY'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_QTY', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_QTY', 'TYPE_FIELD_DICT', 'NUMERIC(13,4)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_PRICE', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_PRICE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_PRICE', 'CONTROLSOURCE', 'm.cAlias+''.PRICE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_PRICE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_PRICE', 'TYPE_FIELD_DICT', 'NUMERIC(18,4)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA', 'CONTROLSOURCE', 'm.cAlias + ''.SUMMA'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA', 'TYPE_FIELD_DICT', 'NUMERIC(17,2)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_AKCIZ', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_AKCIZ', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_AKCIZ', 'CONTROLSOURCE', 'm.cAlias + ''.AKCIZ'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_AKCIZ', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_AKCIZ', 'TYPE_FIELD_DICT', 'NUMERIC(5,2)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_AKCIZ', 'AUTO_FILL_CONTEXT', '999.99'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STAVKA_NDS', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STAVKA_NDS', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STAVKA_NDS', 'CONTROLSOURCE', 'm.cAlias + ''.STAVKA_NDS'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STAVKA_NDS', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STAVKA_NDS', 'TYPE_FIELD_DICT', 'NUMERIC(5,2)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STAVKA_NDS', 'INPUT_MASK', '99.99'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NO_NDS', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NO_NDS', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NO_NDS', 'CONTROLSOURCE', 'm.cAlias + ''.NO_NDS'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NO_NDS', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NO_NDS', 'TYPE_FIELD_DICT', 'TINYINT'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_NDS', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_NDS', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_NDS', 'CONTROLSOURCE', 'm.cAlias+''.SUMMA_NDS'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_NDS', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_NDS', 'TYPE_FIELD_DICT', 'numeric(13,2)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_ALL', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_ALL', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_ALL', 'CONTROLSOURCE', 'm.cAlias+''.SUMMA_ALL'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_ALL', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SUMMA_ALL', 'TYPE_FIELD_DICT', 'numeric(13,2)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_CODE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_CODE', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01("DICTIONARY_COUNTRY", oObj.parent.Parent.RECORDSOURCE, "LINK,CODE,NAME", "STATE_LINK, STATE_CODE, STATE_NAME", "", "","",  .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_CODE', 'CONTROLSOURCE', 'm.cAlias+''.STATE_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_NAME', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_NAME', 'CONTROLSOURCE', 'm.cAlias+''.STATE_NAME'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_STATE_NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NUM_DEC', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NUM_DEC', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NUM_DEC', 'CONTROLSOURCE', 'm.cAlias+''.NUM_TD'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NUM_DEC', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_NUM_DEC', 'TYPE_FIELD_DICT', 'varchar(5)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_LINK', 'TITLE', '  '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_LINK', 'CONTROLSOURCE', 'm.cAlias+''.EKR_LINK'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_LINK', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_LINK', 'STORAGE', 'KOSGU'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_LINK', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'EDIT_OBJECT_METHOD', 'a_vibor_01("DICTIONARY_ITEM", oObj.parent.Parent.RECORDSOURCE, "LINK,CODE", "EKR_LINK, EKR_CODE", "", "","",  .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'CONTROLSOURCE', 'm.cAlias+''.EKR_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_KOSGU", EVALUATE(m.cAliasOperate+''.EKR_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_EKR_CODE', 'TYPE_FIELD_DICT', 'CHAR(3)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', 'CONTROLSOURCE', 'm.cAlias+''.SFIN_NAME'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_SFIN_SOURCE', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'EDIT_OBJECT_METHOD', 'a_vibor_01("DICTIONARY_TYPE_OPER_NDS", oObj.parent.Parent.RECORDSOURCE, "LINK,CODE", "TNDS_LINK, TNDS_CODE", "", "","",  .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'CONTROLSOURCE', 'm.cAlias+''.TNDS_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'OPERATE_METHOD', 'X_OPERATE_METHOD ("DICTIONARY_TYPE_OPER_NDS",EVALUATE(m.cAliasOperate+''.TNDS_LINK''))
'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'TYPE_FIELD_DICT', 'VARCHAR(2)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_TYPE_NDS_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.TNDS_CODE'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_COMMENT', 'TITLE', ''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_COMMENT', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_COMMENT', 'CONTROLSOURCE', 'm.cAlias+''.COMMENT'''
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_COMMENT', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_COMMENT', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'DOC_TABLE_MZ_NDS_COMMENT', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.COMMENT'''
GO



GO
--  "  ()"
--   scriptObjectVar 'SQL_POV_KVALIF_YAKUT'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_POV_KVALIF_YAKUT'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_POV_KVALIF_YAKUT'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'  ()',NULL, 
	(Select link from object_var where code = 'KADRY_SQL_CATALOG'),
	'SQL_POV_KVALIF_YAKUT',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_POV_KVALIF_YAKUT') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= 'exec SS_POV_KVALIF_YAKUT  @dDate1,@nOption1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SQL_POV_KVALIF_YAKUT'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(@nOption1 = 1,"REP_POV_KVAL_YAK1.XLT",IIF(@nOption1 = 2,"REP_POV_KVAL_YAK2.XLT",""))'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SQL_POV_KVALIF_YAKUT
	@dDate1 datetime	/*   */,
	@nOption1 int	/*   */
AS
BEGIN


exec SS_POV_KVALIF_YAKUT @dDate1,@nOption1
END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_POV_KVALIF_YAKUT'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_GROUP_NASTR_POV_KVALIF_YAKUT' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SQL_POV_KVALIF_YAKUT'),
		'SQL_GROUP_NASTR_POV_KVALIF_YAKUT',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_NASTR_POV_KVALIF_YAKUT_1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_DATEBOX'),
					' ',2, 
					(Select link from object_var where code = 'SQL_GROUP_NASTR_POV_KVALIF_YAKUT'),
					'SQL_NASTR_POV_KVALIF_YAKUT_1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'DATEBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , , . , . , , , . , . '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@dDate1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'datetime'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_NASTR_POV_KVALIF_YAKUT_2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					' ',3, 
					(Select link from object_var where code = 'SQL_GROUP_NASTR_POV_KVALIF_YAKUT'),
					'SQL_NASTR_POV_KVALIF_YAKUT_2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_NASTR_POV_KVALIF_YAKUT_2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO




/****************     "  ()"*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'SQL_POV_KVALIF_YAKUT')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'KADRY_FREE_PROF_REFR' AND NAME = '   ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'KADRY_FREE_PROF_REFR' AND NAME = '   '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SQL_REP_POV_KVAL_YAK'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'SQL_REP_POV_KVAL_YAK', '  ()', @ORD, NULL, 1, @LINK_SELF, 'REPORT', @OBJECT, @LINK_VAR, 3
GO


GO
	DECLARE @Object int, @LinkDep int
	SELECT @Object = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'
	SELECT @LinkDep = LINK FROM dbo.DICTIONARY_DEPARTMENT WHERE TYPE = 4
	DECLARE @LINK_DED INT , @P1 INT 
	
	SELECT top 1 @P1 =  link FROM DICTIONARY_MROT WHERE PERIOD =  '20170701'
	
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '129'
		IF COALESCE(@LINK_DED,0) > 0 
			UPDATE MINROT_DICTION 
			SET summa = 12000 
			WHERE LINK_MINROT = @P1 and LINK_DICTION = @LINK_DED and OBJECT  = @Object
			

GO

GO
--  .. RA_EXPORT_FORM_STRUCT. ( 31 2017 11:03:38:583AM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : AV_IMU_18 (         )
--   : 20170501
--    :
--  : 2017-07-31 11:03:38.577
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = 'AV_IMU_18' AND [START_DATE] = '20170501'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2017-07-31 11:03:38.577',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + 'AV_IMU_18',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = 'AV_IMU_18'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20170501')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SMETA'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'         ',@vcNEW_FORM_CODE,@dNEW_START_DATE,2,0,1,1,18186,'i_report_export_nalog',0,0,'19000101',NULL,'    31  2017. N-7-21/271@'
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, '','nd_imu_f1152026_2018.BAS','print_nd_imu_2013 (.T., 18)','KirRepMakerMultiSheet.xls','AV_IMU_F1152028_2018.XLT','',NULL,'i_report_export_nalog',0,NULL,NULL,NULL,'          ','',NULL,NULL,'|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' 1', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,1,1,1,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,2,0,20,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  ',@iLINK_TABLE,1,1,3,0,11,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' ',@iLINK_TABLE,1,0,4,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'    ()',@iLINK_TABLE,1,1,6,0,3,1,'DICTIONARY_PLACE_ND_IMU','COL6','CODE',NULL,4,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,'  ',@iLINK_TABLE,1,1,7,0,2,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 8,'  ',@iLINK_TABLE,0,1,8,0,2,1,'DICTIONARY_TAX_PERIOD','COL8','CODE',NULL,4,NULL,'CODE LIKE ''%[1-3,7-8]'''
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 9,'   ()',@iLINK_TABLE,0,1,9,0,1,1,'DICTIONARY_REORG_DEP','COL9','CODE',NULL,NULL,NULL,'CODE <> ''0'''
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 10,' . -',@iLINK_TABLE,0,1,10,0,12,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 11,' . -',@iLINK_TABLE,1,1,11,0,11,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 12,' ',@iLINK_TABLE,0,0,12,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' 1', @iLINK_FORM,1, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' 2_1', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'  ',@iLINK_TABLE,0,1,0,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,1,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'',@iLINK_TABLE,1,0,3,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' ..   ',@iLINK_TABLE,1,0,4,1,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' 2_1', @iLINK_FORM,2, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' 2_2', @iLINK_FORM,3
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,0,1,0,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,1,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' ',@iLINK_TABLE,1,0,3,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' (%)/',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' /',@iLINK_TABLE,0,1,5,0,15,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'  (2- )',@iLINK_TABLE,0,1,6,0,15,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' 2_2', @iLINK_FORM,3, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' 2.1', @iLINK_FORM,4
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,1,1,1,0,0,1,NULL,NULL,NULL,NULL,8,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'  (010)',@iLINK_TABLE,0,1,2,0,100,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'  (020)',@iLINK_TABLE,0,1,3,0,100,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'  (030)',@iLINK_TABLE,0,1,4,0,50,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'  (040)',@iLINK_TABLE,0,1,5,0,20,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'   01.04, 01.07, 01.10 (050)',@iLINK_TABLE,0,0,6,0,0,1,NULL,NULL,NULL,'999 999 999 999 999',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' 2.1', @iLINK_FORM,4, @iLINK_CODE_COL,1,'CALC_SMETA=exec dbo.RK_CALC_AV_IMU_2018_21 @depLink, @dateBeginPeriod, @dateEndPeriod',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, ' 3', @iLINK_FORM,5
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,0,1,0,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,1,0,250,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,' ',@iLINK_TABLE,1,0,3,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,' (%)',@iLINK_TABLE,1,0,4,0,2,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,' /',@iLINK_TABLE,0,1,5,0,15,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'  (2- )',@iLINK_TABLE,0,1,6,0,15,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 7,' ',@iLINK_TABLE,0,1,7,0,100,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, ' 3', @iLINK_FORM,5, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

DECLARE @iError INT

--    .
IF OBJECT_ID('tempdb..#R') IS NOT NULL
BEGIN
   DROP TABLE #R
END

CREATE TABLE #R([ORDERS]      SMALLINT,
                [LINK_TABLE]  INT,
                [CALC_ORDERS] SMALLINT,
                [PRINT_NULL]  TINYINT)

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #R',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN
INSERT #R VALUES (1,1,1,1)
INSERT #R VALUES (1,2,1,1)
INSERT #R VALUES (2,2,2,1)
INSERT #R VALUES (3,2,3,1)
INSERT #R VALUES (4,2,4,1)
INSERT #R VALUES (5,2,5,1)
INSERT #R VALUES (6,2,6,1)
INSERT #R VALUES (7,2,7,1)
INSERT #R VALUES (8,2,8,1)
INSERT #R VALUES (9,2,9,1)
INSERT #R VALUES (10,2,10,1)
INSERT #R VALUES (1,3,1,1)
INSERT #R VALUES (2,3,2,1)
INSERT #R VALUES (3,3,3,1)
INSERT #R VALUES (4,3,4,1)
INSERT #R VALUES (5,3,5,1)
INSERT #R VALUES (6,3,6,1)
INSERT #R VALUES (7,3,7,1)
INSERT #R VALUES (8,3,8,1)
INSERT #R VALUES (9,3,9,1)
INSERT #R VALUES (10,3,10,1)
INSERT #R VALUES (11,3,11,1)
INSERT #R VALUES (1,5,1,1)
INSERT #R VALUES (2,5,2,1)
INSERT #R VALUES (3,5,3,1)
INSERT #R VALUES (4,5,4,1)
INSERT #R VALUES (6,5,6,1)
INSERT #R VALUES (7,5,7,1)
INSERT #R VALUES (8,5,8,1)
INSERT #R VALUES (9,5,9,1)
INSERT #R VALUES (10,5,10,1)
INSERT #R VALUES (11,5,11,1)
INSERT #R VALUES (12,5,12,1)
INSERT #R VALUES (13,5,13,1)
INSERT #R VALUES (14,5,14,1)
INSERT #R VALUES (15,5,15,1)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #R) <> 36
BEGIN
   INSERT #tabErrorLog VALUES ('     #R',0)
END

ALTER TABLE dbo.[REPORT_ROWS] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_ROWS] ([ORDERS],
                          [LINK_TABLE],
                          [CALC_ORDERS],
                          [PRINT_NULL])
SELECT [C].[ORDERS],
       [B].[LINK_TABLE],
       [C].[CALC_ORDERS],
       [C].[PRINT_NULL]
FROM #tabInfo            [A]
JOIN dbo.[REPORT_TABLES] [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN #R                  [C] ON [B].[ORDERS] = [C].[LINK_TABLE]

ALTER TABLE dbo.[REPORT_ROWS] ENABLE TRIGGER ALL

DROP TABLE #R

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

--  REPORT_FORMULA.
IF OBJECT_ID('tempdb..#F') IS NOT NULL
BEGIN
   DROP TABLE #F
END

CREATE TABLE #F([ORDER_TABLE] INT,
                [ORDER_ROW]   INT,
                [ORDER_COL]   INT,
                [FORMULA]  VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #F',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
INSERT #F VALUES (1,1,1,'1                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (1,1,2,'3_(..)')
INSERT #F VALUES (1,1,3,'3_("____")')
INSERT #F VALUES (1,1,6,'214')
INSERT #F VALUES (1,1,7,'03')
INSERT #F VALUES (1,1,8,'3_("__")')
INSERT #F VALUES (2,1,1,'01.01                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,2,1,'01.02                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,3,1,'01.03                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,4,1,'01.04                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,5,1,'01.05                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,6,1,'01.06                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,7,1,'01.07                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,8,1,'01.08                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,9,1,'01.09                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,10,1,'01.10                                                                                                                                                                                                                                                     ')
INSERT #F VALUES (2,1,2,'020')
INSERT #F VALUES (2,2,2,'030')
INSERT #F VALUES (2,3,2,'040')
INSERT #F VALUES (2,4,2,'050')
INSERT #F VALUES (2,5,2,'060')
INSERT #F VALUES (2,6,2,'070')
INSERT #F VALUES (2,7,2,'080')
INSERT #F VALUES (2,8,2,'090')
INSERT #F VALUES (2,9,2,'100')
INSERT #F VALUES (2,10,2,'110')
INSERT #F VALUES (2,1,3,'3_() + 3_(..,"")                                                                                                                                                                                                        ')
INSERT #F VALUES (2,2,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,3,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,4,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,5,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,6,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,7,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,8,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,9,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,10,3,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,1,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,2,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,3,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,4,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,5,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,6,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,7,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,8,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,9,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (2,10,4,'3_(..,"")                                                                                                                                                                                                                              ')
INSERT #F VALUES (3,1,1,'                                                                                                                                                                                                                 ')
INSERT #F VALUES (3,2,1,'                                                                                                                                                                                                                                        ')
INSERT #F VALUES (3,3,1,'                                                                                                                                                                                             ')
INSERT #F VALUES (3,4,1,'                                                                                                                                                 ')
INSERT #F VALUES (3,5,1,'   (     )                                                                                                                                                                                    ')
INSERT #F VALUES (3,6,1,'                                                                                                                                                                                                                                           ')
INSERT #F VALUES (3,7,1,'                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,8,1,'                                                                                                                                                                                                                                    ')
INSERT #F VALUES (3,9,1,'   (    ,    )                                                                                                                                                                         ')
INSERT #F VALUES (3,10,1,'    ,      ,                                                                                                                                                ')
INSERT #F VALUES (3,11,1,'       01.04, 01.07, 01.10                                                                                                                                                                                 ')
INSERT #F VALUES (3,1,2,'120                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,2,2,'130                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,3,2,'140                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,4,2,'150                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,5,2,'160                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,6,2,'170                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,7,2,'175                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,8,2,'180                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,9,2,'190                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,10,2,'200                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,11,2,'210                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (3,1,3,'3_("")')
INSERT #F VALUES (3,2,3,' ()')
INSERT #F VALUES (3,3,3,'3_("")')
INSERT #F VALUES (3,4,3,' ()')
INSERT #F VALUES (3,5,3,' ()')
INSERT #F VALUES (3,6,3,' ()')
INSERT #F VALUES (3,7,3,' ()')
INSERT #F VALUES (3,8,3,'3_()')
INSERT #F VALUES (3,9,3,' ()')
INSERT #F VALUES (3,10,3,'3_()')
INSERT #F VALUES (3,11,3,'3_("_")')
INSERT #F VALUES (3,1,4,' ()')
INSERT #F VALUES (3,2,4,' ()')
INSERT #F VALUES (3,3,4,' ()')
INSERT #F VALUES (3,4,4,' ()')
INSERT #F VALUES (3,5,4,' ()')
INSERT #F VALUES (3,6,4,'3_("210")')
INSERT #F VALUES (3,8,4,' ()')
INSERT #F VALUES (3,9,4,' ()')
INSERT #F VALUES (3,10,4,' ()')
INSERT #F VALUES (3,11,4,' ()')
INSERT #F VALUES (3,1,5,' ()')
INSERT #F VALUES (3,2,5,'3_("160")')
INSERT #F VALUES (3,3,5,' ()')
INSERT #F VALUES (3,5,5,'3_("200")')
INSERT #F VALUES (3,6,5,' ()')
INSERT #F VALUES (3,7,5,' ()')
INSERT #F VALUES (3,8,5,' ()')
INSERT #F VALUES (3,9,5,'3_("240")')
INSERT #F VALUES (3,10,5,' ()')
INSERT #F VALUES (3,11,5,' ()')
INSERT #F VALUES (3,1,6,' ()')
INSERT #F VALUES (3,3,6,' ()')
INSERT #F VALUES (3,4,6,' ()')
INSERT #F VALUES (3,6,6,' ()')
INSERT #F VALUES (3,7,6,' ()')
INSERT #F VALUES (3,8,6,' ()')
INSERT #F VALUES (3,10,6,' ()')
INSERT #F VALUES (3,11,6,' ()')
INSERT #F VALUES (5,1,1,'   (, )                                                                                                                                                                                                           ')
INSERT #F VALUES (5,2,1,'                                                                                                                                                                                                                                 ')
INSERT #F VALUES (5,3,1,'                                                                                                                                                                                                                                      ')
INSERT #F VALUES (5,4,1,'                                                                                                                                                                                                          ')
INSERT #F VALUES (5,6,1,'                                                                                                                                                                                                                              ')
INSERT #F VALUES (5,7,1,'       6 .378.2                                                                                                                                                                                ')
INSERT #F VALUES (5,8,1,'                                                                                                                                                                                                                                        ')
INSERT #F VALUES (5,9,1,'                                                                                                                                                 ')
INSERT #F VALUES (5,10,1,'   (     )                                                                                                                                                                                    ')
INSERT #F VALUES (5,11,1,'                                                                                                                                                                                                                                           ')
INSERT #F VALUES (5,12,1,'                                                                                                                                                                                                                                              ')
INSERT #F VALUES (5,13,1,'                                                                                                                                                                                                                            ')
INSERT #F VALUES (5,14,1,'   (    ,    )                                                                                                                                                                         ')
INSERT #F VALUES (5,15,1,'    ,      ,                                                                                                                                                ')
INSERT #F VALUES (5,1,2,'014                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,2,2,'015                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,3,2,'020                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,4,2,'025                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,6,2,'030                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,7,2,'035                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,8,2,'040                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,9,2,'050                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,10,2,'060                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,11,2,'070                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,12,2,'080                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,13,2,'090                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,14,2,'100                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,15,2,'110                                                                                                                                                                                                                                                       ')
INSERT #F VALUES (5,1,3,' ()')
INSERT #F VALUES (5,2,3,' ()')
INSERT #F VALUES (5,6,3,' ()')
INSERT #F VALUES (5,7,3,' ()')
INSERT #F VALUES (5,8,3,' ()')
INSERT #F VALUES (5,9,3,' ()')
INSERT #F VALUES (5,10,3,' ()')
INSERT #F VALUES (5,11,3,' ()')
INSERT #F VALUES (5,12,3,' ()')
INSERT #F VALUES (5,14,3,' ()')
INSERT #F VALUES (5,1,4,' ()')
INSERT #F VALUES (5,2,4,' ()')
INSERT #F VALUES (5,3,4,' ()')
INSERT #F VALUES (5,4,4,' ()')
INSERT #F VALUES (5,6,4,' ()')
INSERT #F VALUES (5,7,4,' ()')
INSERT #F VALUES (5,8,4,' ()')
INSERT #F VALUES (5,9,4,' ()')
INSERT #F VALUES (5,10,4,' ()')
INSERT #F VALUES (5,12,4,' ()')
INSERT #F VALUES (5,13,4,' ()')
INSERT #F VALUES (5,14,4,' ()')
INSERT #F VALUES (5,15,4,' ()')
INSERT #F VALUES (5,1,5,' ()')
INSERT #F VALUES (5,2,5,' ()')
INSERT #F VALUES (5,3,5,' ()')
INSERT #F VALUES (5,4,5,' ()')
INSERT #F VALUES (5,11,5,' ()')
INSERT #F VALUES (5,13,5,' ()')
INSERT #F VALUES (5,15,5,' ()')
INSERT #F VALUES (5,1,6,' ()')
INSERT #F VALUES (5,2,6,' ()')
INSERT #F VALUES (5,3,6,' ()')
INSERT #F VALUES (5,4,6,' ()')
INSERT #F VALUES (5,11,6,' ()')
INSERT #F VALUES (5,13,6,' ()')
INSERT #F VALUES (5,15,6,' ()')
INSERT #F VALUES (5,3,7,' ()')
INSERT #F VALUES (5,4,7,' ()')
INSERT #F VALUES (5,6,7,' ()')
INSERT #F VALUES (5,7,7,' ()')
INSERT #F VALUES (5,8,7,' ()')
INSERT #F VALUES (5,9,7,' ()')
INSERT #F VALUES (5,10,7,' ()')
INSERT #F VALUES (5,11,7,' ()')
INSERT #F VALUES (5,12,7,' ()')
INSERT #F VALUES (5,13,7,' ()')
INSERT #F VALUES (5,14,7,' ()')
INSERT #F VALUES (5,15,7,' ()')

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #F) <> 184
BEGIN
   INSERT #tabErrorLog VALUES ('     #F',0)
END

ALTER TABLE dbo.[REPORT_FORMULA] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_FORMULA] ([LINK_ROW],
                             [LINK_COL],
                             [FORMULA])
SELECT [D].[LINK_ROW],
       [C].[LINK_COL],
       [E].[FORMULA]
FROM #tabInfo              [A]
JOIN dbo.[REPORT_TABLES]   [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN dbo.[REPORT_COLOUMNS] [C] ON [B].[LINK_TABLE] = [C].[LINK_TABLE]
JOIN dbo.[REPORT_ROWS]     [D] ON [B].[LINK_TABLE] = [D].[LINK_TABLE]
JOIN #F                    [E] ON [E].[ORDER_TABLE] = [B].[ORDERS] AND [E].[ORDER_COL] = [C].[ORDERS] AND [E].[ORDER_ROW] = [D].[ORDERS]

ALTER TABLE dbo.[REPORT_FORMULA] ENABLE TRIGGER ALL

DROP TABLE #F

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
INSERT #A VALUES(1,NULL,0,NULL,1,7,0,0,0,'.1.1.4 =  .3.180.3 -  .3.200.3',1,0,1,'20140201','','','','AV_IMU_18','20170501','','=',1,'','')
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 1
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
INSERT #B VALUES(1,1,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','4','1','1',NULL,NULL,'',0,NULL,1,'',0)
INSERT #B VALUES(1,2,0,'+',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','180','3',NULL,NULL,'',1,NULL,1,'',0)
INSERT #B VALUES(1,3,0,'-',NULL,NULL,NULL,NULL,0,0,'','','','','','','','','3','200','3',NULL,NULL,'',1,NULL,1,'',0)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 3
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '3         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'3',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '5         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'5',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '7         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'7','',1,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '999999    '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'999999',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2017-07-31 11:03:38.577',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2017-07-31 11:03:38.577'
	BEGIN
		SELECT @vcMessage = ' AV_IMU_18    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' AV_IMU_18    ' + @vcMessage + '       2017-07-31 11:03:38.577.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO


GO
---    
	IF ( SELECT value FROM  dbo.S_OPTIONS WHERE [OBJECT] = (select  LINK FROM  dbo.S_OBJECTS WHERE CODE = 'XK_WORKMODE_NEW_RAS_BUT_OFF')) = '1'
	BEGIN 
		UPDATE dbo.S_OPTIONS
		SET VALUE = '0'
		 WHERE [OBJECT] = (select  LINK FROM  dbo.S_OBJECTS WHERE CODE = 'XK_WORKMODE_NEW_RAS_BUT_OFF')
		 
	END 

GO

update dbo.report_forms
SET end_date = '20170331'
where 
	form_TYPE = (SELECT top 1 link FROM dbo.s_objects WHERE code = 'smeta') 
	AND  end_date IS NULL 
	AND CODE NOT IN ('AV_IMU','AV_TN','ND_IMU','ND_NP','ND_TN','0617004_11','_11','0617005','AV_IMU_18')

GO

GO
